###########################################################################################
#   Script to generate the solution for lab "Transceiver Core Generation"                 #
#   Lab directory: <$TRAINING_PATH>/trx1_ip                                               #
#	Vivado version: 2024.2                                                                #
###########################################################################################




#!/usr/bin/tclsh
variable hostOS [lindex $tcl_platform(os) 0]
if { $hostOS == "Windows" } {
    set TRAINING_PATH "C:\\training"
    set xilinxPath "C:\\Xilinx"
} else {
    set TRAINING_PATH "/home/amd/training"
    set xilinxPath "/opt/xilinx"
}

start_gui
create_project trx $::env(TRAINING_PATH)/trx1_ip/solution -part xcvc1902-vsva2197-2MP-e-S -force
set_property board_part xilinx.com:vck190:part0:3.3 [current_project]

#cd $::env(TRAINING_PATH)/trx1_ip/scripts
#source *.tcl

create_ip -name gtwiz_versal -vendor xilinx.com -library ip -version 1.0 -module_name my_trx
set_property -dict [list \
  CONFIG.INTF0_GT_SETTINGS {LR0_SETTINGS {preset GTY-10GBASE-KR} LR1_SETTINGS {preset GTY-OTU2 RX_REFCLK_FREQUENCY 156.25 RX_REFCLK_SOURCE R1 TX_REFCLK_FREQUENCY 156.25 TX_REFCLK_SOURCE R1}} \
  CONFIG.INTF0_NO_OF_LANES {2} \
  CONFIG.INTF0_OPTIONAL_PORTS {ch_rxpd true ch_txpd true} \
  CONFIG.QUAD0_PROT0_LANES {2} \
  CONFIG.QUAD0_PROT0_RX0_EN {false} \
  CONFIG.QUAD0_PROT0_RX1_EN {false} \
  CONFIG.QUAD0_PROT0_RXMSTCLK {RX2} \
  CONFIG.QUAD0_PROT0_TX0_EN {false} \
  CONFIG.QUAD0_PROT0_TX1_EN {false} \
  CONFIG.QUAD0_PROT0_TXMSTCLK {TX2} \
  CONFIG.QUAD0_TX1_OUTCLK_EN {false} \
] [get_ips my_trx]
generate_target {instantiation_template} [get_files $::env(TRAINING_PATH)/trx1_ip/solution/trx.srcs/sources_1/ip/my_trx/my_trx.xci]
update_compile_order -fileset sources_1
generate_target all [get_files  $::env(TRAINING_PATH)/trx1_ip/solution/trx.srcs/sources_1/ip/my_trx/my_trx.xci]
catch { config_ip_cache -export [get_ips -all my_trx] }
export_ip_user_files -of_objects [get_files $::env(TRAINING_PATH)/trx1_ip/solution/trx.srcs/sources_1/ip/my_trx/my_trx.xci] -no_script -sync -force -quiet
create_ip_run [get_files -of_objects [get_fileset sources_1] $::env(TRAINING_PATH)/trx1_ip/solution/trx.srcs/sources_1/ip/my_trx/my_trx.xci]
launch_runs my_trx_synth_1 -jobs 20
wait_on_run my_trx_synth_1
export_simulation -lib_map_path [list {modelsim=$::env(TRAINING_PATH)/trx1_ip/solution/trx.cache/compile_simlib/modelsim} {questa=$::env(TRAINING_PATH)/trx1_ip/solution/trx.cache/compile_simlib/questa} {riviera=$::env(TRAINING_PATH)/trx1_ip/solution/trx.cache/compile_simlib/riviera} {activehdl=$::env(TRAINING_PATH)/trx1_ip/solution/trx.cache/compile_simlib/activehdl}] -of_objects [get_files $::env(TRAINING_PATH)/trx1_ip/solution/trx.srcs/sources_1/ip/my_trx/my_trx.xci] -directory $::env(TRAINING_PATH)/trx1_ip/solution/trx.ip_user_files/sim_scripts -ip_user_files_dir $::env(TRAINING_PATH)/trx1_ip/solution/trx.ip_user_files -ipstatic_source_dir $::env(TRAINING_PATH)/trx1_ip/solution/trx.ip_user_files/ipstatic -use_ip_compiled_libs -force -quiet

#close_project
#exit