// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// -------------------------------------------------------------------------------

`timescale 1 ps / 1 ps

(* BLOCK_STUB = "true" *)
module my_trx (
  gtpowergood,
  gtwiz_freerun_clk,
  QUAD0_GTREFCLK0,
  QUAD0_GTREFCLK1,
  QUAD0_TX2_outclk,
  QUAD0_RX2_outclk,
  QUAD0_rxp,
  QUAD0_rxn,
  QUAD0_txp,
  QUAD0_txn,
  QUAD0_TX2_usrclk,
  QUAD0_TX3_usrclk,
  QUAD0_RX2_usrclk,
  QUAD0_RX3_usrclk,
  INTF0_TX0_ch_txdata,
  INTF0_TX0_ch_txpd,
  INTF0_TX0_ch_txrate,
  INTF0_TX0_ch_txheader,
  INTF0_TX0_ch_txsequence,
  INTF0_TX1_ch_txdata,
  INTF0_TX1_ch_txpd,
  INTF0_TX1_ch_txrate,
  INTF0_TX1_ch_txheader,
  INTF0_TX1_ch_txsequence,
  INTF0_RX0_ch_rxpd,
  INTF0_RX0_ch_rxrate,
  INTF0_RX0_ch_rxdata,
  INTF0_RX0_ch_rxdatavalid,
  INTF0_RX0_ch_rxheader,
  INTF0_RX0_ch_rxgearboxslip,
  INTF0_RX0_ch_rxheadervalid,
  INTF0_RX0_ch_rxstartofseq,
  INTF0_RX1_ch_rxpd,
  INTF0_RX1_ch_rxrate,
  INTF0_RX1_ch_rxdata,
  INTF0_RX1_ch_rxdatavalid,
  INTF0_RX1_ch_rxheader,
  INTF0_RX1_ch_rxgearboxslip,
  INTF0_RX1_ch_rxheadervalid,
  INTF0_RX1_ch_rxstartofseq,
  INTF0_TX_clr_out,
  INTF0_TX_clrb_leaf_out,
  INTF0_RX_clr_out,
  INTF0_RX_clrb_leaf_out,
  INTF0_rst_all_in,
  INTF0_rst_tx_pll_and_datapath_in,
  INTF0_rst_tx_datapath_in,
  INTF0_rst_tx_done_out,
  INTF0_rst_rx_pll_and_datapath_in,
  INTF0_rst_rx_datapath_in,
  INTF0_rst_rx_done_out
);

  (* X_INTERFACE_IGNORE = "true" *)
  output gtpowergood;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 GTWIZ_FREERUN_CLK CLK" *)
  (* X_INTERFACE_MODE = "slave GTWIZ_FREERUN_CLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME GTWIZ_FREERUN_CLK, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_PORT , ASSOCIATED_RESET , INSERT_VIP 0" *)
  input gtwiz_freerun_clk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 Quad0_GTREFCLK0 CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_GTREFCLK0" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_GTREFCLK0, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_PORT , ASSOCIATED_RESET , INSERT_VIP 0" *)
  input QUAD0_GTREFCLK0;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 Quad0_GTREFCLK1 CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_GTREFCLK1" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_GTREFCLK1, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_PORT , ASSOCIATED_RESET , INSERT_VIP 0" *)
  input QUAD0_GTREFCLK1;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_outclk:1.0 Quad0_TX2_OUTCLK CLK" *)
  (* X_INTERFACE_MODE = "master Quad0_TX2_OUTCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_TX2_OUTCLK, FREQ_HZ 156250000, IS_MASTER false, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN " *)
  output QUAD0_TX2_outclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_outclk:1.0 Quad0_RX2_OUTCLK CLK" *)
  (* X_INTERFACE_MODE = "master Quad0_RX2_OUTCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_RX2_OUTCLK, FREQ_HZ 156250000, IS_MASTER false, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN " *)
  output QUAD0_RX2_outclk;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt:1.0 Quad0_GT_Serial GRX_P" *)
  (* X_INTERFACE_MODE = "master Quad0_GT_Serial" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_GT_Serial, CAN_DEBUG false" *)
  input [3:0]QUAD0_rxp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt:1.0 Quad0_GT_Serial GRX_N" *)
  input [3:0]QUAD0_rxn;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt:1.0 Quad0_GT_Serial GTX_P" *)
  output [3:0]QUAD0_txp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt:1.0 Quad0_GT_Serial GTX_N" *)
  output [3:0]QUAD0_txn;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 Quad0_TX2_USRCLK CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_TX2_USRCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_TX2_USRCLK, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input QUAD0_TX2_usrclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 Quad0_TX3_USRCLK CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_TX3_USRCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_TX3_USRCLK, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input QUAD0_TX3_usrclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 Quad0_RX2_USRCLK CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_RX2_USRCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_RX2_USRCLK, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input QUAD0_RX2_usrclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 Quad0_RX3_USRCLK CLK" *)
  (* X_INTERFACE_MODE = "slave Quad0_RX3_USRCLK" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME Quad0_RX3_USRCLK, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input QUAD0_RX3_usrclk;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX0_GT_IP_Interface ch_txdata" *)
  (* X_INTERFACE_MODE = "slave INTF0_TX0_GT_IP_Interface" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME INTF0_TX0_GT_IP_Interface, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, TX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [127:0]INTF0_TX0_ch_txdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX0_GT_IP_Interface ch_txpd" *)
  input [1:0]INTF0_TX0_ch_txpd;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX0_GT_IP_Interface ch_txrate" *)
  input [7:0]INTF0_TX0_ch_txrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX0_GT_IP_Interface ch_txheader" *)
  input [5:0]INTF0_TX0_ch_txheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX0_GT_IP_Interface ch_txsequence" *)
  input [6:0]INTF0_TX0_ch_txsequence;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX1_GT_IP_Interface ch_txdata" *)
  (* X_INTERFACE_MODE = "slave INTF0_TX1_GT_IP_Interface" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME INTF0_TX1_GT_IP_Interface, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, TX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [127:0]INTF0_TX1_ch_txdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX1_GT_IP_Interface ch_txpd" *)
  input [1:0]INTF0_TX1_ch_txpd;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX1_GT_IP_Interface ch_txrate" *)
  input [7:0]INTF0_TX1_ch_txrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX1_GT_IP_Interface ch_txheader" *)
  input [5:0]INTF0_TX1_ch_txheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 INTF0_TX1_GT_IP_Interface ch_txsequence" *)
  input [6:0]INTF0_TX1_ch_txsequence;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxpd" *)
  (* X_INTERFACE_MODE = "slave INTF0_RX0_GT_IP_Interface" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME INTF0_RX0_GT_IP_Interface, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, RX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [1:0]INTF0_RX0_ch_rxpd;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxrate" *)
  input [7:0]INTF0_RX0_ch_rxrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxdata" *)
  output [127:0]INTF0_RX0_ch_rxdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxdatavalid" *)
  output [1:0]INTF0_RX0_ch_rxdatavalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxheader" *)
  output [5:0]INTF0_RX0_ch_rxheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxgearboxslip" *)
  input [0:0]INTF0_RX0_ch_rxgearboxslip;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxheadervalid" *)
  output [1:0]INTF0_RX0_ch_rxheadervalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX0_GT_IP_Interface ch_rxstartofseq" *)
  output [1:0]INTF0_RX0_ch_rxstartofseq;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxpd" *)
  (* X_INTERFACE_MODE = "slave INTF0_RX1_GT_IP_Interface" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME INTF0_RX1_GT_IP_Interface, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, RX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [1:0]INTF0_RX1_ch_rxpd;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxrate" *)
  input [7:0]INTF0_RX1_ch_rxrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxdata" *)
  output [127:0]INTF0_RX1_ch_rxdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxdatavalid" *)
  output [1:0]INTF0_RX1_ch_rxdatavalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxheader" *)
  output [5:0]INTF0_RX1_ch_rxheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxgearboxslip" *)
  input [0:0]INTF0_RX1_ch_rxgearboxslip;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxheadervalid" *)
  output [1:0]INTF0_RX1_ch_rxheadervalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 INTF0_RX1_GT_IP_Interface ch_rxstartofseq" *)
  output [1:0]INTF0_RX1_ch_rxstartofseq;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_TX_clr_out;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_TX_clrb_leaf_out;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_RX_clr_out;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_RX_clrb_leaf_out;
  (* X_INTERFACE_IGNORE = "true" *)
  input INTF0_rst_all_in;
  (* X_INTERFACE_IGNORE = "true" *)
  input INTF0_rst_tx_pll_and_datapath_in;
  (* X_INTERFACE_IGNORE = "true" *)
  input INTF0_rst_tx_datapath_in;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_rst_tx_done_out;
  (* X_INTERFACE_IGNORE = "true" *)
  input INTF0_rst_rx_pll_and_datapath_in;
  (* X_INTERFACE_IGNORE = "true" *)
  input INTF0_rst_rx_datapath_in;
  (* X_INTERFACE_IGNORE = "true" *)
  output INTF0_rst_rx_done_out;

  // stub module has no contents

endmodule
