// (c) Copyright 2023 Advanced Micro Devices, Inc. All rights reserved.
//
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
//
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
//
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
//
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
//-----------------------------------------------------------------
`timescale 1ns / 1fs
module my_trx_example_top  
(
			input QUAD0_GTREFCLK0_in_p ,
			input QUAD0_GTREFCLK0_in_n ,
			input QUAD0_GTREFCLK1_in_p ,
			input QUAD0_GTREFCLK1_in_n ,
			input    [3:0]  QUAD0_rxp ,
			input    [3:0]  QUAD0_rxn ,
			output   [3:0]  QUAD0_txp ,
			output   [3:0]  QUAD0_txn ,
			output          INTF0_link_status_out,
			output          INTF0_rst_tx_done_out,
			input           gtwiz_INTF0_rst_tx_datapath_in,
      output INTF0_TX_usrclk,
			output          INTF0_rst_rx_done_out,
			input           gtwiz_INTF0_rst_rx_datapath_in ,
      output INTF0_RX_usrclk,
			input    [3:0]  intf0_rate_sel,
			input           intf0_gpio_enable,
			input           gtwiz_INTF0_rst_all_in ,
			input wire      gtwiz_freerun_clock,
			output          gt_powergood

);

//Versal GT Wiz ports declaration
wire  [127:0]     INTF0_TX0_ch_txdata ;
wire   [1:0]       INTF0_TX0_ch_txpd = 0 ;
wire  [7:0]       INTF0_TX0_ch_txrate ;
wire  [5:0]       INTF0_TX0_ch_txheader ;
wire  [6:0]       INTF0_TX0_ch_txsequence ;
wire  [127:0]     INTF0_TX1_ch_txdata ;
wire   [1:0]       INTF0_TX1_ch_txpd = 0 ;
wire  [7:0]       INTF0_TX1_ch_txrate ;
wire  [5:0]       INTF0_TX1_ch_txheader ;
wire  [6:0]       INTF0_TX1_ch_txsequence ;

wire   [1:0]       INTF0_RX0_ch_rxpd = 0 ;
wire  [7:0]       INTF0_RX0_ch_rxrate ;
wire  [127:0]     INTF0_RX0_ch_rxdata ;
wire  [1:0]       INTF0_RX0_ch_rxdatavalid ;
wire  [5:0]       INTF0_RX0_ch_rxheader ;
wire              INTF0_RX0_ch_rxgearboxslip ;
wire  [1:0]       INTF0_RX0_ch_rxheadervalid ;
wire  [1:0]       INTF0_RX0_ch_rxstartofseq ;
wire   [1:0]       INTF0_RX1_ch_rxpd = 0 ;
wire  [7:0]       INTF0_RX1_ch_rxrate ;
wire  [127:0]     INTF0_RX1_ch_rxdata ;
wire  [1:0]       INTF0_RX1_ch_rxdatavalid ;
wire  [5:0]       INTF0_RX1_ch_rxheader ;
wire              INTF0_RX1_ch_rxgearboxslip ;
wire  [1:0]       INTF0_RX1_ch_rxheadervalid ;
wire  [1:0]       INTF0_RX1_ch_rxstartofseq ;

//Versal GT Wiz quad ports declaration
 
 
       // APB3 Interface
  
  
 
  
 
  
 
  
 
  
 
  
 
  
 
 
  
 
  
 
  
 
  

//prbs generator checker port declaration
//prbs generator checker mandatory port declaration
 wire intf0_gpo_in;
 wire intf0_gpi_out;
wire  [127:0]     intf0_ch0_txdata;
wire  [5:0]       intf0_ch0_txheader;
wire  [7:0]       intf0_ch0_txrate;
wire  [6:0]       intf0_ch0_txsequence;
wire  [127:0]     intf0_ch1_txdata;
wire  [5:0]       intf0_ch1_txheader;
wire  [7:0]       intf0_ch1_txrate;
wire  [6:0]       intf0_ch1_txsequence;
wire  [127:0]     intf0_ch0_rxdata;
wire  [1:0]       intf0_ch0_rxdatavalid;
wire              intf0_ch0_rxgearboxslip;
wire  [5:0]       intf0_ch0_rxheader;
wire  [1:0]       intf0_ch0_rxheadervalid;
wire  [7:0]       intf0_ch0_rxrate;
wire  [1:0]       intf0_ch0_rxstartofseq;
wire  [127:0]     intf0_ch1_rxdata;
wire  [1:0]       intf0_ch1_rxdatavalid;
wire              intf0_ch1_rxgearboxslip;
wire  [5:0]       intf0_ch1_rxheader;
wire  [1:0]       intf0_ch1_rxheadervalid;
wire  [7:0]       intf0_ch1_rxrate;
wire  [1:0]       intf0_ch1_rxstartofseq;
wire prbs_gen_check_apb3clk;
// gt free running clock declaration
//GT Refclk declaration
wire QUAD0_GTREFCLK0 ; 
wire QUAD0_GTREFCLK1 ; 


wire INTF0_TX_clr_out;
wire INTF0_RX_clr_out;

//reset IP connections
reg INTF0_rst_tx_pll_and_datapath_in = 1'b0;
reg INTF0_rst_rx_pll_and_datapath_in = 1'b0;
 
// INTF0_RX bufg instance 
my_trx_example_bufg_gt  INTF0_RX_bufg_gt (
        .outclk ( QUAD0_RX2_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF0_RX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF0_RX_usrclk)
);
// connect INTF0_RX_usrclk to quad rx user clocks 
	wire QUAD0_RX2_usrclk = INTF0_RX_usrclk;
	wire QUAD0_RX3_usrclk = INTF0_RX_usrclk;
 
 
//  INTF0_TX bufg instance 
// wire INTF0_TX_usrclk;
my_trx_example_bufg_gt  INTF0_TX_bufg_gt (
        .outclk ( QUAD0_TX2_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF0_TX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF0_TX_usrclk)
);
// connect INTF0_TX_usrclk to quad tx user clocks 
	wire QUAD0_TX2_usrclk = INTF0_TX_usrclk;
	wire QUAD0_TX3_usrclk = INTF0_TX_usrclk;
wire QUAD0_TX0_usrclk = 1'b0;
wire QUAD0_RX0_usrclk = 1'b0;
wire QUAD0_TX1_usrclk = 1'b0;
wire QUAD0_RX1_usrclk = 1'b0;

//Assignments
assign prbs_gen_check_apb3clk = gtwiz_freerun_clock;
//Prbs generator checker - Versal GT Wiz mandate ports connections 
assign INTF0_TX0_ch_txdata = intf0_ch0_txdata;
assign  INTF0_TX0_ch_txpd = 0 ;
assign INTF0_TX0_ch_txrate = intf0_ch0_txrate;
assign INTF0_TX0_ch_txheader = intf0_ch0_txheader;
assign INTF0_TX0_ch_txsequence = intf0_ch0_txsequence;
assign INTF0_TX1_ch_txdata = intf0_ch1_txdata;
assign  INTF0_TX1_ch_txpd = 0 ;
assign INTF0_TX1_ch_txrate = intf0_ch1_txrate;
assign INTF0_TX1_ch_txheader = intf0_ch1_txheader;
assign INTF0_TX1_ch_txsequence = intf0_ch1_txsequence;

assign  INTF0_RX0_ch_rxpd = 0 ;
assign INTF0_RX0_ch_rxrate = intf0_ch0_rxrate;
assign intf0_ch0_rxdata = INTF0_RX0_ch_rxdata ;
assign intf0_ch0_rxdatavalid = INTF0_RX0_ch_rxdatavalid ;
assign intf0_ch0_rxheader = INTF0_RX0_ch_rxheader ;
assign INTF0_RX0_ch_rxgearboxslip = intf0_ch0_rxgearboxslip;
assign intf0_ch0_rxheadervalid = INTF0_RX0_ch_rxheadervalid ;
assign intf0_ch0_rxstartofseq = INTF0_RX0_ch_rxstartofseq ;
assign  INTF0_RX1_ch_rxpd = 0 ;
assign INTF0_RX1_ch_rxrate = intf0_ch1_rxrate;
assign intf0_ch1_rxdata = INTF0_RX1_ch_rxdata ;
assign intf0_ch1_rxdatavalid = INTF0_RX1_ch_rxdatavalid ;
assign intf0_ch1_rxheader = INTF0_RX1_ch_rxheader ;
assign INTF0_RX1_ch_rxgearboxslip = intf0_ch1_rxgearboxslip;
assign intf0_ch1_rxheadervalid = INTF0_RX1_ch_rxheadervalid ;
assign intf0_ch1_rxstartofseq = INTF0_RX1_ch_rxstartofseq ;

wire [2 -1:0] intf0_gpo_in_int ;
assign intf0_gpo_in_int[0] = 1'b0;
assign intf0_gpo_in_int[1] = 1'b0;
 assign intf0_gpo_in = &intf0_gpo_in_int;




//Versal GT Wiz instance
my_trx 
 dut_inst (
.INTF0_TX0_ch_txdata(INTF0_TX0_ch_txdata) ,
.INTF0_TX0_ch_txpd(INTF0_TX0_ch_txpd) ,
.INTF0_TX0_ch_txrate(INTF0_TX0_ch_txrate) ,
.INTF0_TX0_ch_txheader(INTF0_TX0_ch_txheader) ,
.INTF0_TX0_ch_txsequence(INTF0_TX0_ch_txsequence) ,
.INTF0_TX1_ch_txdata(INTF0_TX1_ch_txdata) ,
.INTF0_TX1_ch_txpd(INTF0_TX1_ch_txpd) ,
.INTF0_TX1_ch_txrate(INTF0_TX1_ch_txrate) ,
.INTF0_TX1_ch_txheader(INTF0_TX1_ch_txheader) ,
.INTF0_TX1_ch_txsequence(INTF0_TX1_ch_txsequence) ,
.INTF0_RX0_ch_rxpd(INTF0_RX0_ch_rxpd) ,
.INTF0_RX0_ch_rxrate(INTF0_RX0_ch_rxrate) ,
.INTF0_RX0_ch_rxdata(INTF0_RX0_ch_rxdata) ,
.INTF0_RX0_ch_rxdatavalid(INTF0_RX0_ch_rxdatavalid) ,
.INTF0_RX0_ch_rxheader(INTF0_RX0_ch_rxheader) ,
.INTF0_RX0_ch_rxgearboxslip(INTF0_RX0_ch_rxgearboxslip) ,
.INTF0_RX0_ch_rxheadervalid(INTF0_RX0_ch_rxheadervalid) ,
.INTF0_RX0_ch_rxstartofseq(INTF0_RX0_ch_rxstartofseq) ,
.INTF0_RX1_ch_rxpd(INTF0_RX1_ch_rxpd) ,
.INTF0_RX1_ch_rxrate(INTF0_RX1_ch_rxrate) ,
.INTF0_RX1_ch_rxdata(INTF0_RX1_ch_rxdata) ,
.INTF0_RX1_ch_rxdatavalid(INTF0_RX1_ch_rxdatavalid) ,
.INTF0_RX1_ch_rxheader(INTF0_RX1_ch_rxheader) ,
.INTF0_RX1_ch_rxgearboxslip(INTF0_RX1_ch_rxgearboxslip) ,
.INTF0_RX1_ch_rxheadervalid(INTF0_RX1_ch_rxheadervalid) ,
.INTF0_RX1_ch_rxstartofseq(INTF0_RX1_ch_rxstartofseq) ,
       .gtwiz_freerun_clk                 ( gtwiz_freerun_clock),

       // APB3 Interface

       .QUAD0_rxp                       ( QUAD0_rxp),
       .QUAD0_rxn                       ( QUAD0_rxn),
       .QUAD0_txp                       ( QUAD0_txp),
       .QUAD0_txn                       ( QUAD0_txn),

.QUAD0_GTREFCLK0            ( QUAD0_GTREFCLK0),
.QUAD0_GTREFCLK1            ( QUAD0_GTREFCLK1),
.QUAD0_TX2_outclk(QUAD0_TX2_outclk) ,
.QUAD0_RX2_outclk(QUAD0_RX2_outclk) ,
.INTF0_TX_clr_out(INTF0_TX_clr_out),
.INTF0_RX_clr_out(INTF0_RX_clr_out),
//reset IP connections
.INTF0_rst_all_in(gtwiz_INTF0_rst_all_in),
.INTF0_rst_tx_pll_and_datapath_in(INTF0_rst_tx_pll_and_datapath_in),
.INTF0_rst_tx_datapath_in(gtwiz_INTF0_rst_tx_datapath_in),
.INTF0_rst_tx_done_out(INTF0_rst_tx_done_out),
.INTF0_rst_rx_pll_and_datapath_in(INTF0_rst_rx_pll_and_datapath_in),
.INTF0_rst_rx_datapath_in(gtwiz_INTF0_rst_rx_datapath_in),
.INTF0_rst_rx_done_out(INTF0_rst_rx_done_out),
.QUAD0_TX2_usrclk(QUAD0_TX2_usrclk),
.QUAD0_RX2_usrclk(QUAD0_RX2_usrclk),
.QUAD0_TX3_usrclk(QUAD0_TX3_usrclk),
.QUAD0_RX3_usrclk(QUAD0_RX3_usrclk),
.gtpowergood(gt_powergood)
);

//Prbs Generator Checker interface0 instance
prbs_generator_checker_intf0 
 prbs_generator_checker_intf0_inst (
.ch0_txdata (intf0_ch0_txdata),
.ch0_txheader (intf0_ch0_txheader),
.ch0_txrate (intf0_ch0_txrate),
.ch0_txsequence (intf0_ch0_txsequence),
.ch1_txdata (intf0_ch1_txdata),
.ch1_txheader (intf0_ch1_txheader),
.ch1_txrate (intf0_ch1_txrate),
.ch1_txsequence (intf0_ch1_txsequence),
.ch0_rxdata (intf0_ch0_rxdata),
.ch0_rxdatavalid (intf0_ch0_rxdatavalid),
.ch0_rxgearboxslip (intf0_ch0_rxgearboxslip),
.ch0_rxheader (intf0_ch0_rxheader),
.ch0_rxheadervalid (intf0_ch0_rxheadervalid),
.ch0_rxrate (intf0_ch0_rxrate),
.ch0_rxstartofseq (intf0_ch0_rxstartofseq),
.ch1_rxdata (intf0_ch1_rxdata),
.ch1_rxdatavalid (intf0_ch1_rxdatavalid),
.ch1_rxgearboxslip (intf0_ch1_rxgearboxslip),
.ch1_rxheader (intf0_ch1_rxheader),
.ch1_rxheadervalid (intf0_ch1_rxheadervalid),
.ch1_rxrate (intf0_ch1_rxrate),
.ch1_rxstartofseq (intf0_ch1_rxstartofseq),
.rate_sel (intf0_rate_sel),
.tx_reset_in  (!(INTF0_rst_tx_done_out)),
.rx_reset_in  (!(INTF0_rst_rx_done_out)),
.gpo_in (intf0_gpo_in),
.gpi_out (intf0_gpi_out),
.gpio_enable (intf0_gpio_enable),
.gt_reset_in (gtwiz_INTF0_rst_all_in),
.link_status_out (INTF0_link_status_out),
.gt_txusrclk (INTF0_TX_usrclk),
.gt_rxusrclk (INTF0_RX_usrclk),
.apb3clk (prbs_gen_check_apb3clk)
 );

//GT Refclk0 Utility buffer  instance
//util_ds_buf #(
my_trx_util_ds_buf #(
.C_BUF_TYPE ("ibufdsgte5"),
.C_SIZE (1),
.C_BUFGCE_DIV (1),
.C_BUFG_GT_SYNC(0),
.C_SIM_DEVICE ("versal"),
.C_OBUFDS_GTE5_ADV (2'b00),
.C_REFCLK_ICNTL_TX (5'b00000))
utility_buffer_QUAD0_GTREFCLK0_inst
(
.IBUF_DS_P       (QUAD0_GTREFCLK0_in_p),
.IBUF_DS_N       (QUAD0_GTREFCLK0_in_n),    
.IBUF_DS_CEB     (1'b0)  ,
// .IBUF_DS_ODIV2 (),
.IBUF_OUT        (QUAD0_GTREFCLK0)      
);
//GT Refclk1 Utility buffer  instance
//util_ds_buf #(
my_trx_util_ds_buf #(
.C_BUF_TYPE ("ibufdsgte5"),
.C_SIZE (1),
.C_BUFGCE_DIV (1),
.C_BUFG_GT_SYNC(0),
.C_SIM_DEVICE ("versal"),
.C_OBUFDS_GTE5_ADV (2'b00),
.C_REFCLK_ICNTL_TX (5'b00000))
utility_buffer_QUAD0_GTREFCLK1_inst
(
.IBUF_DS_P       (QUAD0_GTREFCLK1_in_p),
.IBUF_DS_N       (QUAD0_GTREFCLK1_in_n),    
.IBUF_DS_CEB     (1'b0)  ,
// .IBUF_DS_ODIV2 (),
.IBUF_OUT        (QUAD0_GTREFCLK1)      
);
 

endmodule
