-- (c) Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
-- (c) Copyright 2022-2024 Advanced Micro Devices, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of AMD and is protected under U.S. and international copyright
-- and other intellectual property laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- AMD, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) AMD shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or AMD had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- AMD products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of AMD products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.
-- IP VLNV: xilinx.com:ip:gtwiz_versal:1.0
-- IP Revision: 1

-- The following code must appear in the VHDL architecture header.

------------- Begin Cut here for COMPONENT Declaration ------ COMP_TAG
COMPONENT my_trx
  PORT (
    gtpowergood : OUT STD_LOGIC;
    gtwiz_freerun_clk : IN STD_LOGIC;
    QUAD0_GTREFCLK0 : IN STD_LOGIC;
    QUAD0_GTREFCLK1 : IN STD_LOGIC;
    QUAD0_TX2_outclk : OUT STD_LOGIC;
    QUAD0_RX2_outclk : OUT STD_LOGIC;
    QUAD0_rxp : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    QUAD0_rxn : IN STD_LOGIC_VECTOR(3 DOWNTO 0);
    QUAD0_txp : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    QUAD0_txn : OUT STD_LOGIC_VECTOR(3 DOWNTO 0);
    QUAD0_TX2_usrclk : IN STD_LOGIC;
    QUAD0_TX3_usrclk : IN STD_LOGIC;
    QUAD0_RX2_usrclk : IN STD_LOGIC;
    QUAD0_RX3_usrclk : IN STD_LOGIC;
    INTF0_TX0_ch_txdata : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
    INTF0_TX0_ch_txpd : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_TX0_ch_txrate : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    INTF0_TX0_ch_txheader : IN STD_LOGIC_VECTOR(5 DOWNTO 0);
    INTF0_TX0_ch_txsequence : IN STD_LOGIC_VECTOR(6 DOWNTO 0);
    INTF0_TX1_ch_txdata : IN STD_LOGIC_VECTOR(127 DOWNTO 0);
    INTF0_TX1_ch_txpd : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_TX1_ch_txrate : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    INTF0_TX1_ch_txheader : IN STD_LOGIC_VECTOR(5 DOWNTO 0);
    INTF0_TX1_ch_txsequence : IN STD_LOGIC_VECTOR(6 DOWNTO 0);
    INTF0_RX0_ch_rxpd : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX0_ch_rxrate : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    INTF0_RX0_ch_rxdata : OUT STD_LOGIC_VECTOR(127 DOWNTO 0);
    INTF0_RX0_ch_rxdatavalid : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX0_ch_rxheader : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
    INTF0_RX0_ch_rxgearboxslip : IN STD_LOGIC_VECTOR(0 DOWNTO 0);
    INTF0_RX0_ch_rxheadervalid : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX0_ch_rxstartofseq : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX1_ch_rxpd : IN STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX1_ch_rxrate : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    INTF0_RX1_ch_rxdata : OUT STD_LOGIC_VECTOR(127 DOWNTO 0);
    INTF0_RX1_ch_rxdatavalid : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX1_ch_rxheader : OUT STD_LOGIC_VECTOR(5 DOWNTO 0);
    INTF0_RX1_ch_rxgearboxslip : IN STD_LOGIC_VECTOR(0 DOWNTO 0);
    INTF0_RX1_ch_rxheadervalid : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_RX1_ch_rxstartofseq : OUT STD_LOGIC_VECTOR(1 DOWNTO 0);
    INTF0_TX_clr_out : OUT STD_LOGIC;
    INTF0_TX_clrb_leaf_out : OUT STD_LOGIC;
    INTF0_RX_clr_out : OUT STD_LOGIC;
    INTF0_RX_clrb_leaf_out : OUT STD_LOGIC;
    INTF0_rst_all_in : IN STD_LOGIC;
    INTF0_rst_tx_pll_and_datapath_in : IN STD_LOGIC;
    INTF0_rst_tx_datapath_in : IN STD_LOGIC;
    INTF0_rst_tx_done_out : OUT STD_LOGIC;
    INTF0_rst_rx_pll_and_datapath_in : IN STD_LOGIC;
    INTF0_rst_rx_datapath_in : IN STD_LOGIC;
    INTF0_rst_rx_done_out : OUT STD_LOGIC 
  );
END COMPONENT;
-- COMP_TAG_END ------ End COMPONENT Declaration ------------

-- The following code must appear in the VHDL architecture
-- body. Substitute your own instance name and net names.

------------- Begin Cut here for INSTANTIATION Template ----- INST_TAG
your_instance_name : my_trx
  PORT MAP (
    gtpowergood => gtpowergood,
    gtwiz_freerun_clk => gtwiz_freerun_clk,
    QUAD0_GTREFCLK0 => QUAD0_GTREFCLK0,
    QUAD0_GTREFCLK1 => QUAD0_GTREFCLK1,
    QUAD0_TX2_outclk => QUAD0_TX2_outclk,
    QUAD0_RX2_outclk => QUAD0_RX2_outclk,
    QUAD0_rxp => QUAD0_rxp,
    QUAD0_rxn => QUAD0_rxn,
    QUAD0_txp => QUAD0_txp,
    QUAD0_txn => QUAD0_txn,
    QUAD0_TX2_usrclk => QUAD0_TX2_usrclk,
    QUAD0_TX3_usrclk => QUAD0_TX3_usrclk,
    QUAD0_RX2_usrclk => QUAD0_RX2_usrclk,
    QUAD0_RX3_usrclk => QUAD0_RX3_usrclk,
    INTF0_TX0_ch_txdata => INTF0_TX0_ch_txdata,
    INTF0_TX0_ch_txpd => INTF0_TX0_ch_txpd,
    INTF0_TX0_ch_txrate => INTF0_TX0_ch_txrate,
    INTF0_TX0_ch_txheader => INTF0_TX0_ch_txheader,
    INTF0_TX0_ch_txsequence => INTF0_TX0_ch_txsequence,
    INTF0_TX1_ch_txdata => INTF0_TX1_ch_txdata,
    INTF0_TX1_ch_txpd => INTF0_TX1_ch_txpd,
    INTF0_TX1_ch_txrate => INTF0_TX1_ch_txrate,
    INTF0_TX1_ch_txheader => INTF0_TX1_ch_txheader,
    INTF0_TX1_ch_txsequence => INTF0_TX1_ch_txsequence,
    INTF0_RX0_ch_rxpd => INTF0_RX0_ch_rxpd,
    INTF0_RX0_ch_rxrate => INTF0_RX0_ch_rxrate,
    INTF0_RX0_ch_rxdata => INTF0_RX0_ch_rxdata,
    INTF0_RX0_ch_rxdatavalid => INTF0_RX0_ch_rxdatavalid,
    INTF0_RX0_ch_rxheader => INTF0_RX0_ch_rxheader,
    INTF0_RX0_ch_rxgearboxslip => INTF0_RX0_ch_rxgearboxslip,
    INTF0_RX0_ch_rxheadervalid => INTF0_RX0_ch_rxheadervalid,
    INTF0_RX0_ch_rxstartofseq => INTF0_RX0_ch_rxstartofseq,
    INTF0_RX1_ch_rxpd => INTF0_RX1_ch_rxpd,
    INTF0_RX1_ch_rxrate => INTF0_RX1_ch_rxrate,
    INTF0_RX1_ch_rxdata => INTF0_RX1_ch_rxdata,
    INTF0_RX1_ch_rxdatavalid => INTF0_RX1_ch_rxdatavalid,
    INTF0_RX1_ch_rxheader => INTF0_RX1_ch_rxheader,
    INTF0_RX1_ch_rxgearboxslip => INTF0_RX1_ch_rxgearboxslip,
    INTF0_RX1_ch_rxheadervalid => INTF0_RX1_ch_rxheadervalid,
    INTF0_RX1_ch_rxstartofseq => INTF0_RX1_ch_rxstartofseq,
    INTF0_TX_clr_out => INTF0_TX_clr_out,
    INTF0_TX_clrb_leaf_out => INTF0_TX_clrb_leaf_out,
    INTF0_RX_clr_out => INTF0_RX_clr_out,
    INTF0_RX_clrb_leaf_out => INTF0_RX_clrb_leaf_out,
    INTF0_rst_all_in => INTF0_rst_all_in,
    INTF0_rst_tx_pll_and_datapath_in => INTF0_rst_tx_pll_and_datapath_in,
    INTF0_rst_tx_datapath_in => INTF0_rst_tx_datapath_in,
    INTF0_rst_tx_done_out => INTF0_rst_tx_done_out,
    INTF0_rst_rx_pll_and_datapath_in => INTF0_rst_rx_pll_and_datapath_in,
    INTF0_rst_rx_datapath_in => INTF0_rst_rx_datapath_in,
    INTF0_rst_rx_done_out => INTF0_rst_rx_done_out
  );
-- INST_TAG_END ------ End INSTANTIATION Template ---------

-- You must compile the wrapper file my_trx.vhd when simulating
-- the core, my_trx. When compiling the wrapper file, be sure to
-- reference the VHDL simulation library.



