// (c) Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// (c) Copyright 2022-2024 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.

// IP VLNV: xilinx.com:ip:prbs_generator_checker:1.0
// IP Revision: 1

// The following must be inserted into your Verilog file for this
// core to be instantiated. Change the instance name and port connections
// (in parentheses) to your own signal names.

//----------- Begin Cut here for INSTANTIATION Template ---// INST_TAG
prbs_generator_checker_intf0 your_instance_name (
  .ch0_txdata(ch0_txdata),                // output wire [127 : 0] ch0_txdata
  .ch0_txheader(ch0_txheader),            // output wire [5 : 0] ch0_txheader
  .ch0_txrate(ch0_txrate),                // output wire [7 : 0] ch0_txrate
  .ch0_txsequence(ch0_txsequence),        // output wire [6 : 0] ch0_txsequence
  .ch1_txdata(ch1_txdata),                // output wire [127 : 0] ch1_txdata
  .ch1_txheader(ch1_txheader),            // output wire [5 : 0] ch1_txheader
  .ch1_txrate(ch1_txrate),                // output wire [7 : 0] ch1_txrate
  .ch1_txsequence(ch1_txsequence),        // output wire [6 : 0] ch1_txsequence
  .ch0_rxdata(ch0_rxdata),                // input wire [127 : 0] ch0_rxdata
  .ch0_rxdatavalid(ch0_rxdatavalid),      // input wire [1 : 0] ch0_rxdatavalid
  .ch0_rxgearboxslip(ch0_rxgearboxslip),  // output wire [0 : 0] ch0_rxgearboxslip
  .ch0_rxheader(ch0_rxheader),            // input wire [5 : 0] ch0_rxheader
  .ch0_rxheadervalid(ch0_rxheadervalid),  // input wire [1 : 0] ch0_rxheadervalid
  .ch0_rxrate(ch0_rxrate),                // output wire [7 : 0] ch0_rxrate
  .ch0_rxstartofseq(ch0_rxstartofseq),    // input wire [1 : 0] ch0_rxstartofseq
  .ch1_rxdata(ch1_rxdata),                // input wire [127 : 0] ch1_rxdata
  .ch1_rxdatavalid(ch1_rxdatavalid),      // input wire [1 : 0] ch1_rxdatavalid
  .ch1_rxgearboxslip(ch1_rxgearboxslip),  // output wire [0 : 0] ch1_rxgearboxslip
  .ch1_rxheader(ch1_rxheader),            // input wire [5 : 0] ch1_rxheader
  .ch1_rxheadervalid(ch1_rxheadervalid),  // input wire [1 : 0] ch1_rxheadervalid
  .ch1_rxrate(ch1_rxrate),                // output wire [7 : 0] ch1_rxrate
  .ch1_rxstartofseq(ch1_rxstartofseq),    // input wire [1 : 0] ch1_rxstartofseq
  .gt_txusrclk(gt_txusrclk),              // input wire gt_txusrclk
  .tx_reset_in(tx_reset_in),              // input wire tx_reset_in
  .gt_rxusrclk(gt_rxusrclk),              // input wire gt_rxusrclk
  .rx_reset_in(rx_reset_in),              // input wire rx_reset_in
  .apb3clk(apb3clk),                      // input wire apb3clk
  .link_status_out(link_status_out),      // output wire link_status_out
  .gpio_enable(gpio_enable),              // input wire gpio_enable
  .gpi_out(gpi_out),                      // output wire gpi_out
  .gpo_in(gpo_in),                        // input wire gpo_in
  .gt_reset_in(gt_reset_in),              // input wire gt_reset_in
  .rate_sel(rate_sel)                    // input wire [3 : 0] rate_sel
);
// INST_TAG_END ------ End INSTANTIATION Template ---------

// You must compile the wrapper file prbs_generator_checker_intf0.v when simulating
// the core, prbs_generator_checker_intf0. When compiling the wrapper file, be sure to
// reference the Verilog simulation library.

