// Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// Copyright 2022-2024 Advanced Micro Devices, Inc. All Rights Reserved.
// -------------------------------------------------------------------------------

`timescale 1 ps / 1 ps

(* BLOCK_STUB = "true" *)
module prbs_generator_checker_intf0 (
  ch0_txdata,
  ch0_txheader,
  ch0_txrate,
  ch0_txsequence,
  ch1_txdata,
  ch1_txheader,
  ch1_txrate,
  ch1_txsequence,
  ch0_rxdata,
  ch0_rxdatavalid,
  ch0_rxgearboxslip,
  ch0_rxheader,
  ch0_rxheadervalid,
  ch0_rxrate,
  ch0_rxstartofseq,
  ch1_rxdata,
  ch1_rxdatavalid,
  ch1_rxgearboxslip,
  ch1_rxheader,
  ch1_rxheadervalid,
  ch1_rxrate,
  ch1_rxstartofseq,
  gt_txusrclk,
  tx_reset_in,
  gt_rxusrclk,
  rx_reset_in,
  apb3clk,
  link_status_out,
  gpio_enable,
  gpi_out,
  gpo_in,
  gt_reset_in,
  rate_sel
);

  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX0 ch_txdata" *)
  (* X_INTERFACE_MODE = "master GT_TX0" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME GT_TX0, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, TX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  output [127:0]ch0_txdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX0 ch_txheader" *)
  output [5:0]ch0_txheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX0 ch_txrate" *)
  output [7:0]ch0_txrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX0 ch_txsequence" *)
  output [6:0]ch0_txsequence;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX1 ch_txdata" *)
  (* X_INTERFACE_MODE = "master GT_TX1" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME GT_TX1, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, TX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  output [127:0]ch1_txdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX1 ch_txheader" *)
  output [5:0]ch1_txheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX1 ch_txrate" *)
  output [7:0]ch1_txrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_tx_interface:1.0 GT_TX1 ch_txsequence" *)
  output [6:0]ch1_txsequence;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxdata" *)
  (* X_INTERFACE_MODE = "master GT_RX0" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME GT_RX0, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, RX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [127:0]ch0_rxdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxdatavalid" *)
  input [1:0]ch0_rxdatavalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxgearboxslip" *)
  output [0:0]ch0_rxgearboxslip;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxheader" *)
  input [5:0]ch0_rxheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxheadervalid" *)
  input [1:0]ch0_rxheadervalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxrate" *)
  output [7:0]ch0_rxrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX0 ch_rxstartofseq" *)
  input [1:0]ch0_rxstartofseq;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxdata" *)
  (* X_INTERFACE_MODE = "master GT_RX1" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME GT_RX1, PARENT_ID undef, CHNL_NUMBER undef, MASTERCLK_SRC undef, GT_DIRECTION undef, RX_SETTINGS undef, ADDITIONAL_QUAD_SETTINGS undef, ADDITIONAL_CONFIG_FILE undef, ADDITIONAL_CONFIG_ENABLE undef" *)
  input [127:0]ch1_rxdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxdatavalid" *)
  input [1:0]ch1_rxdatavalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxgearboxslip" *)
  output [0:0]ch1_rxgearboxslip;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxheader" *)
  input [5:0]ch1_rxheader;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxheadervalid" *)
  input [1:0]ch1_rxheadervalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxrate" *)
  output [7:0]ch1_rxrate;
  (* X_INTERFACE_INFO = "xilinx.com:interface:gt_rx_interface:1.0 GT_RX1 ch_rxstartofseq" *)
  input [1:0]ch1_rxstartofseq;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 gt_txusrclk CLK" *)
  (* X_INTERFACE_MODE = "slave gt_txusrclk" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME gt_txusrclk, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input gt_txusrclk;
  (* X_INTERFACE_IGNORE = "true" *)
  input tx_reset_in;
  (* X_INTERFACE_INFO = "xilinx.com:signal:gt_usrclk:1.0 gt_rxusrclk CLK" *)
  (* X_INTERFACE_MODE = "slave gt_rxusrclk" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME gt_rxusrclk, FREQ_HZ 156250000, PARENT_ID undef, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_RESET " *)
  input gt_rxusrclk;
  (* X_INTERFACE_IGNORE = "true" *)
  input rx_reset_in;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 apb3clk CLK" *)
  (* X_INTERFACE_MODE = "master apb3clk" *)
  (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME apb3clk, FREQ_HZ 100000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN , ASSOCIATED_BUSIF , ASSOCIATED_PORT , ASSOCIATED_RESET , INSERT_VIP 0" *)
  input apb3clk;
  (* X_INTERFACE_IGNORE = "true" *)
  output link_status_out;
  (* X_INTERFACE_IGNORE = "true" *)
  input gpio_enable;
  (* X_INTERFACE_IGNORE = "true" *)
  output gpi_out;
  (* X_INTERFACE_IGNORE = "true" *)
  input gpo_in;
  (* X_INTERFACE_IGNORE = "true" *)
  input gt_reset_in;
  (* X_INTERFACE_IGNORE = "true" *)
  input [3:0]rate_sel;

  // stub module has no contents

endmodule
