// (c) Copyright 2023 Advanced Micro Devices, Inc. All rights reserved.
//
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
//
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
//
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
//
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
//-----------------------------------------------------------------

`timescale 1ns/1fs

module my_gtm_intf_quad_map  # (
   parameter C_NO_OF_QUADS        = 1,
   parameter C_NO_OF_INTFS        = 2,
   parameter C_GT_TYPE            = " "
) (


       input  [255:0]     INTF0_TX0_ch_txdata ,
       output [2:0]       INTF0_TX0_ch_txbufstatus ,
       output             INTF0_TX0_ch_txdccdone ,
       input              INTF0_TX0_ch_gttxreset ,
       output             INTF0_TX0_ch_txdebugpcsout ,
       output             INTF0_TX0_ch_txprogdivresetdone ,
       output             INTF0_TX0_ch_txresetdone ,
       input              INTF0_TX0_ch_txinhibit ,
       input              INTF0_TX0_ch_txlatclk ,
       input  [6:0]       INTF0_TX0_ch_txmaincursor ,
       input              INTF0_TX0_ch_txpcsresetmask ,
       input  [1:0]       INTF0_TX0_ch_txpd ,
       input              INTF0_TX0_ch_txpisopd ,
       input  [1:0]       INTF0_TX0_ch_txpmaresetmask ,
       input              INTF0_TX0_ch_txpolarity ,
       input  [5:0]       INTF0_TX0_ch_txpostcursor ,
       input              INTF0_TX0_ch_txprbsforceerr ,
       input  [3:0]       INTF0_TX0_ch_txprbssel ,
       input  [5:0]       INTF0_TX0_ch_txprecursor ,
       input  [5:0]       INTF0_TX0_ch_txprecursor2 ,
       input  [5:0]       INTF0_TX0_ch_txprecursor3 ,
       input              INTF0_TX0_ch_txprogdivreset ,
       input  [7:0]       INTF0_TX0_ch_txrate ,
       input  [1:0]       INTF0_TX0_ch_txresetmode ,
       input  [4:0]       INTF0_TX0_ch_txrsv0 ,
       input  [3:0]       INTF0_TX0_ch_txrsv1 ,
       input              INTF0_TX0_ch_txperst ,
       input              INTF0_TX0_ch_txqprbsen ,
       input  [255:0]     INTF1_TX0_ch_txdata ,
       output [2:0]       INTF1_TX0_ch_txbufstatus ,
       output             INTF1_TX0_ch_txdccdone ,
       input              INTF1_TX0_ch_gttxreset ,
       output             INTF1_TX0_ch_txdebugpcsout ,
       output             INTF1_TX0_ch_txprogdivresetdone ,
       output             INTF1_TX0_ch_txresetdone ,
       input              INTF1_TX0_ch_txinhibit ,
       input              INTF1_TX0_ch_txlatclk ,
       input  [6:0]       INTF1_TX0_ch_txmaincursor ,
       input              INTF1_TX0_ch_txpcsresetmask ,
       input  [1:0]       INTF1_TX0_ch_txpd ,
       input              INTF1_TX0_ch_txpisopd ,
       input  [1:0]       INTF1_TX0_ch_txpmaresetmask ,
       input              INTF1_TX0_ch_txpolarity ,
       input  [5:0]       INTF1_TX0_ch_txpostcursor ,
       input              INTF1_TX0_ch_txprbsforceerr ,
       input  [3:0]       INTF1_TX0_ch_txprbssel ,
       input  [5:0]       INTF1_TX0_ch_txprecursor ,
       input  [5:0]       INTF1_TX0_ch_txprecursor2 ,
       input  [5:0]       INTF1_TX0_ch_txprecursor3 ,
       input              INTF1_TX0_ch_txprogdivreset ,
       input  [7:0]       INTF1_TX0_ch_txrate ,
       input  [1:0]       INTF1_TX0_ch_txresetmode ,
       input  [4:0]       INTF1_TX0_ch_txrsv0 ,
       input  [3:0]       INTF1_TX0_ch_txrsv1 ,
       input              INTF1_TX0_ch_txperst ,
       input              INTF1_TX0_ch_txqprbsen ,

       output [2:0]       INTF0_RX0_ch_rxbufstatus ,
       output             INTF0_RX0_ch_rxcdrlock ,
       output             INTF0_RX0_ch_rxdebugpcsout ,
       output             INTF0_RX0_ch_rxprbserr ,
       output             INTF0_RX0_ch_rxprbslocked ,
       input              INTF0_RX0_ch_rxcdrhold ,
       input  [7:0]       INTF0_RX0_ch_rxcdrovrden ,
       input              INTF0_RX0_ch_rxlatclk ,
       input  [2:0]       INTF0_RX0_ch_rxpcsresetmask ,
       input  [1:0]       INTF0_RX0_ch_rxpd ,
       input              INTF0_RX0_ch_rxperst ,
       input  [7:0]       INTF0_RX0_ch_rxpmaresetmask ,
       input              INTF0_RX0_ch_rxpolarity ,
       input              INTF0_RX0_ch_rxprbscntreset ,
       input              INTF0_RX0_ch_rxqprbsen ,
       input  [7:0]       INTF0_RX0_ch_rxrate ,
       input  [1:0]       INTF0_RX0_ch_rxresetmode ,
       input              INTF0_RX0_ch_rxrsv0 ,
       input              INTF0_RX0_ch_rxrsv1 ,
       input              INTF0_RX0_ch_rxrsv2 ,
       output [255:0]     INTF0_RX0_ch_rxdata ,
       output             INTF0_RX0_ch_rxcdrphdone ,
       input              INTF0_RX0_ch_gtrxreset ,
       output             INTF0_RX0_ch_rxprogdivresetdone ,
       output             INTF0_RX0_ch_rxresetdone ,
       input  [7:0]       INTF0_RX0_ch_rxcdrreset ,
       input              INTF0_RX0_ch_rxprbscntstop ,
       input  [3:0]       INTF0_RX0_ch_rxprbssel ,
       input              INTF0_RX0_ch_rxprogdivreset ,
       output [2:0]       INTF1_RX0_ch_rxbufstatus ,
       output             INTF1_RX0_ch_rxcdrlock ,
       output             INTF1_RX0_ch_rxdebugpcsout ,
       output             INTF1_RX0_ch_rxprbserr ,
       output             INTF1_RX0_ch_rxprbslocked ,
       input              INTF1_RX0_ch_rxcdrhold ,
       input  [7:0]       INTF1_RX0_ch_rxcdrovrden ,
       input              INTF1_RX0_ch_rxlatclk ,
       input  [2:0]       INTF1_RX0_ch_rxpcsresetmask ,
       input  [1:0]       INTF1_RX0_ch_rxpd ,
       input              INTF1_RX0_ch_rxperst ,
       input  [7:0]       INTF1_RX0_ch_rxpmaresetmask ,
       input              INTF1_RX0_ch_rxpolarity ,
       input              INTF1_RX0_ch_rxprbscntreset ,
       input              INTF1_RX0_ch_rxqprbsen ,
       input  [7:0]       INTF1_RX0_ch_rxrate ,
       input  [1:0]       INTF1_RX0_ch_rxresetmode ,
       input              INTF1_RX0_ch_rxrsv0 ,
       input              INTF1_RX0_ch_rxrsv1 ,
       input              INTF1_RX0_ch_rxrsv2 ,
       output [255:0]     INTF1_RX0_ch_rxdata ,
       output             INTF1_RX0_ch_rxcdrphdone ,
       input              INTF1_RX0_ch_gtrxreset ,
       output             INTF1_RX0_ch_rxprogdivresetdone ,
       output             INTF1_RX0_ch_rxresetdone ,
       input  [7:0]       INTF1_RX0_ch_rxcdrreset ,
       input              INTF1_RX0_ch_rxprbscntstop ,
       input  [3:0]       INTF1_RX0_ch_rxprbssel ,
       input              INTF1_RX0_ch_rxprogdivreset ,

       input              gtwiz_freerun_clk,
       // GPIO
       input  [31:0]      QUAD0_gpi ,
       output [31:0]      QUAD0_gpo ,
 
 
 
 
 
 
       // APB3 Interface
       output [3:0]       QUAD0_txp ,
       output [3:0]       QUAD0_txn ,
       input  [3:0]       QUAD0_rxp ,
       input  [3:0]       QUAD0_rxn ,
       output             QUAD0_TX0_outclk ,
       output             QUAD0_RX0_outclk ,
       output             QUAD0_TX1_outclk ,
       output             QUAD0_RX1_outclk ,
       output             QUAD0_TX2_outclk ,
       output             QUAD0_RX2_outclk ,
       output             QUAD0_TX3_outclk ,
       output             QUAD0_RX3_outclk ,
       output             INTF0_gtpowergood_int,
       output [1-1:0]     INTF0_rst_userclk_tx_active_int,
       output [1-1:0]     INTF0_mst_tx_resetdone_int,
       input              INTF0_gtwiz_reset_txuserrdy_int,
       input              INTF0_mst_tx_reset_int,
       input              INTF0_mst_tx_dp_reset_int,
       output [1-1:0]     INTF0_rst_userclk_rx_active_int,
       output [1-1:0]     INTF0_mst_rx_resetdone_int,
       input              INTF0_gtwiz_reset_rxuserrdy_int,
       input              INTF0_mst_rx_reset_int,
       input              INTF0_mst_rx_dp_reset_int,
       output             INTF1_gtpowergood_int,
       output [1-1:0]     INTF1_rst_userclk_tx_active_int,
       output [1-1:0]     INTF1_mst_tx_resetdone_int,
       input              INTF1_gtwiz_reset_txuserrdy_int,
       input              INTF1_mst_tx_reset_int,
       input              INTF1_mst_tx_dp_reset_int,
       output [1-1:0]     INTF1_rst_userclk_rx_active_int,
       output [1-1:0]     INTF1_mst_rx_resetdone_int,
       input              INTF1_gtwiz_reset_rxuserrdy_int,
       input              INTF1_mst_rx_reset_int,
       input              INTF1_mst_rx_dp_reset_int,

       input              QUAD0_TX0_usrclk,
       input              QUAD0_RX0_usrclk,
       input              QUAD0_TX1_usrclk,
       input              QUAD0_RX1_usrclk,
       input              QUAD0_TX2_usrclk,
       input              QUAD0_RX2_usrclk,
       input              QUAD0_TX3_usrclk,
       input              QUAD0_RX3_usrclk,

       input              QUAD0_GTREFCLK0,
       input              QUAD0_GTREFCLK1,
       output             QUAD0_gtpowergood
);


wire         QUAD0_RX0_ch_rxdebugpcsout;
wire         QUAD0_RX0_ch_rxperst;
wire         QUAD0_RX0_ch_rxprbscntstop;
wire         QUAD0_RX0_ch_rxqprbsen;
wire         QUAD0_RX0_ch_rxrsv0;
wire         QUAD0_RX0_ch_rxrsv1;
wire         QUAD0_RX0_ch_rxrsv2;
wire [2:0]   QUAD0_RX0_ch_rxpcsresetmask;
wire [7:0]   QUAD0_RX0_ch_rxpmaresetmask;
wire [2:0]   QUAD0_RX0_ch_rxbufstatus;
wire         QUAD0_RX0_ch_rxcdrlock;
wire         QUAD0_RX0_ch_rxcdrphdone;
wire         QUAD0_RX0_ch_rxchanbond_busy;
wire         QUAD0_RX0_ch_rxchanbond_en;
wire         QUAD0_RX0_ch_rxchanbond_master;
wire         QUAD0_RX0_ch_rxchanbond_slave;
wire [2:0]   QUAD0_RX0_ch_rxchanbond_level;
wire [255:0] QUAD0_RX0_ch_rxdata;
wire         QUAD0_RX0_ch_rxpmaresetdone;
wire         QUAD0_RX0_ch_rxprbserr;
wire         QUAD0_RX0_ch_rxprbslocked;
wire         QUAD0_RX0_ch_rxprogdivresetdone;
wire         QUAD0_RX0_ch_rxresetdone;
wire         QUAD0_RX0_ch_rxmstresetdone;
wire         QUAD0_RX0_ch_rxmstreset;
wire         QUAD0_RX0_ch_rxmstdatapathreset;
wire         QUAD0_RX0_ch_gtrxreset;
wire         QUAD0_RX0_ch_rxcdrhold;
wire         QUAD0_RX0_ch_rxcdrovrden;
wire         QUAD0_RX0_ch_rxcdrreset;
wire         QUAD0_RX0_ch_rxlatclk;
wire [1:0]   QUAD0_RX0_ch_rxpd;
wire         QUAD0_RX0_ch_rxpolarity;
wire         QUAD0_RX0_ch_rxprbscntreset;
wire [3:0]   QUAD0_RX0_ch_rxprbssel;
wire         QUAD0_RX0_ch_rxprogdivreset;
wire [7:0]   QUAD0_RX0_ch_rxrate;
wire [1:0]   QUAD0_RX0_ch_rxresetmode;
wire         QUAD0_RX0_ch_rxuserrdy;

wire         QUAD0_TX0_ch_txdebugpcsout;
wire [2:0]   QUAD0_TX0_ch_txbufstatus;
wire         QUAD0_TX0_ch_txdccdone;
wire         QUAD0_TX0_ch_txpmaresetdone;
wire         QUAD0_TX0_ch_txprogdivresetdone;
wire         QUAD0_TX0_ch_txresetdone;
wire         QUAD0_TX0_ch_txmstresetdone;
wire         QUAD0_TX0_ch_txmstreset;
wire         QUAD0_TX0_ch_txmstdatapathreset;
wire         QUAD0_TX0_ch_gttxreset;
wire [255:0] QUAD0_TX0_ch_txdata;
wire [1:0]   QUAD0_TX0_ch_txpmaresetmask;
wire [5:0]   QUAD0_TX0_ch_txpostcursor;
wire [5:0]   QUAD0_TX0_ch_txprecursor;
wire [5:0]   QUAD0_TX0_ch_txprecursor2;
wire [5:0]   QUAD0_TX0_ch_txprecursor3;
wire [4:0]   QUAD0_TX0_ch_txrsv0;
wire [3:0]   QUAD0_TX0_ch_txrsv1;
wire         QUAD0_TX0_ch_txperst;
wire         QUAD0_TX0_ch_txqprbsen;
wire         QUAD0_TX0_ch_txinhibit;
wire         QUAD0_TX0_ch_txlatclk;
wire [6:0]   QUAD0_TX0_ch_txmaincursor;
wire         QUAD0_TX0_ch_txpcsresetmask;
wire [1:0]   QUAD0_TX0_ch_txpd;
wire         QUAD0_TX0_ch_txpisopd;
wire         QUAD0_TX0_ch_txpolarity;
wire         QUAD0_TX0_ch_txprbsforceerr;
wire [3:0]   QUAD0_TX0_ch_txprbssel;
wire         QUAD0_TX0_ch_txprogdivreset;
wire [7:0]   QUAD0_TX0_ch_txrate;
wire [1:0]   QUAD0_TX0_ch_txresetmode;
wire         QUAD0_TX0_ch_txuserrdy;
wire         QUAD0_RX1_ch_rxdebugpcsout;
wire         QUAD0_RX1_ch_rxperst;
wire         QUAD0_RX1_ch_rxprbscntstop;
wire         QUAD0_RX1_ch_rxqprbsen;
wire         QUAD0_RX1_ch_rxrsv0;
wire         QUAD0_RX1_ch_rxrsv1;
wire         QUAD0_RX1_ch_rxrsv2;
wire [2:0]   QUAD0_RX1_ch_rxpcsresetmask;
wire [7:0]   QUAD0_RX1_ch_rxpmaresetmask;
wire [2:0]   QUAD0_RX1_ch_rxbufstatus;
wire         QUAD0_RX1_ch_rxcdrlock;
wire         QUAD0_RX1_ch_rxcdrphdone;
wire         QUAD0_RX1_ch_rxchanbond_busy;
wire         QUAD0_RX1_ch_rxchanbond_en;
wire         QUAD0_RX1_ch_rxchanbond_master;
wire         QUAD0_RX1_ch_rxchanbond_slave;
wire [2:0]   QUAD0_RX1_ch_rxchanbond_level;
wire [255:0] QUAD0_RX1_ch_rxdata;
wire         QUAD0_RX1_ch_rxpmaresetdone;
wire         QUAD0_RX1_ch_rxprbserr;
wire         QUAD0_RX1_ch_rxprbslocked;
wire         QUAD0_RX1_ch_rxprogdivresetdone;
wire         QUAD0_RX1_ch_rxresetdone;
wire         QUAD0_RX1_ch_rxmstresetdone;
wire         QUAD0_RX1_ch_rxmstreset;
wire         QUAD0_RX1_ch_rxmstdatapathreset;
wire         QUAD0_RX1_ch_gtrxreset;
wire         QUAD0_RX1_ch_rxcdrhold;
wire         QUAD0_RX1_ch_rxcdrovrden;
wire         QUAD0_RX1_ch_rxcdrreset;
wire         QUAD0_RX1_ch_rxlatclk;
wire [1:0]   QUAD0_RX1_ch_rxpd;
wire         QUAD0_RX1_ch_rxpolarity;
wire         QUAD0_RX1_ch_rxprbscntreset;
wire [3:0]   QUAD0_RX1_ch_rxprbssel;
wire         QUAD0_RX1_ch_rxprogdivreset;
wire [7:0]   QUAD0_RX1_ch_rxrate;
wire [1:0]   QUAD0_RX1_ch_rxresetmode;
wire         QUAD0_RX1_ch_rxuserrdy;

wire         QUAD0_TX1_ch_txdebugpcsout;
wire [2:0]   QUAD0_TX1_ch_txbufstatus;
wire         QUAD0_TX1_ch_txdccdone;
wire         QUAD0_TX1_ch_txpmaresetdone;
wire         QUAD0_TX1_ch_txprogdivresetdone;
wire         QUAD0_TX1_ch_txresetdone;
wire         QUAD0_TX1_ch_txmstresetdone;
wire         QUAD0_TX1_ch_txmstreset;
wire         QUAD0_TX1_ch_txmstdatapathreset;
wire         QUAD0_TX1_ch_gttxreset;
wire [255:0] QUAD0_TX1_ch_txdata;
wire [1:0]   QUAD0_TX1_ch_txpmaresetmask;
wire [5:0]   QUAD0_TX1_ch_txpostcursor;
wire [5:0]   QUAD0_TX1_ch_txprecursor;
wire [5:0]   QUAD0_TX1_ch_txprecursor2;
wire [5:0]   QUAD0_TX1_ch_txprecursor3;
wire [4:0]   QUAD0_TX1_ch_txrsv0;
wire [3:0]   QUAD0_TX1_ch_txrsv1;
wire         QUAD0_TX1_ch_txperst;
wire         QUAD0_TX1_ch_txqprbsen;
wire         QUAD0_TX1_ch_txinhibit;
wire         QUAD0_TX1_ch_txlatclk;
wire [6:0]   QUAD0_TX1_ch_txmaincursor;
wire         QUAD0_TX1_ch_txpcsresetmask;
wire [1:0]   QUAD0_TX1_ch_txpd;
wire         QUAD0_TX1_ch_txpisopd;
wire         QUAD0_TX1_ch_txpolarity;
wire         QUAD0_TX1_ch_txprbsforceerr;
wire [3:0]   QUAD0_TX1_ch_txprbssel;
wire         QUAD0_TX1_ch_txprogdivreset;
wire [7:0]   QUAD0_TX1_ch_txrate;
wire [1:0]   QUAD0_TX1_ch_txresetmode;
wire         QUAD0_TX1_ch_txuserrdy;
wire         QUAD0_RX2_ch_rxdebugpcsout;
wire         QUAD0_RX2_ch_rxperst;
wire         QUAD0_RX2_ch_rxprbscntstop;
wire         QUAD0_RX2_ch_rxqprbsen;
wire         QUAD0_RX2_ch_rxrsv0;
wire         QUAD0_RX2_ch_rxrsv1;
wire         QUAD0_RX2_ch_rxrsv2;
wire [2:0]   QUAD0_RX2_ch_rxpcsresetmask;
wire [7:0]   QUAD0_RX2_ch_rxpmaresetmask;
wire [2:0]   QUAD0_RX2_ch_rxbufstatus;
wire         QUAD0_RX2_ch_rxcdrlock;
wire         QUAD0_RX2_ch_rxcdrphdone;
wire         QUAD0_RX2_ch_rxchanbond_busy;
wire         QUAD0_RX2_ch_rxchanbond_en;
wire         QUAD0_RX2_ch_rxchanbond_master;
wire         QUAD0_RX2_ch_rxchanbond_slave;
wire [2:0]   QUAD0_RX2_ch_rxchanbond_level;
wire [255:0] QUAD0_RX2_ch_rxdata;
wire         QUAD0_RX2_ch_rxpmaresetdone;
wire         QUAD0_RX2_ch_rxprbserr;
wire         QUAD0_RX2_ch_rxprbslocked;
wire         QUAD0_RX2_ch_rxprogdivresetdone;
wire         QUAD0_RX2_ch_rxresetdone;
wire         QUAD0_RX2_ch_rxmstresetdone;
wire         QUAD0_RX2_ch_rxmstreset;
wire         QUAD0_RX2_ch_rxmstdatapathreset;
wire         QUAD0_RX2_ch_gtrxreset;
wire         QUAD0_RX2_ch_rxcdrhold;
wire         QUAD0_RX2_ch_rxcdrovrden;
wire         QUAD0_RX2_ch_rxcdrreset;
wire         QUAD0_RX2_ch_rxlatclk;
wire [1:0]   QUAD0_RX2_ch_rxpd;
wire         QUAD0_RX2_ch_rxpolarity;
wire         QUAD0_RX2_ch_rxprbscntreset;
wire [3:0]   QUAD0_RX2_ch_rxprbssel;
wire         QUAD0_RX2_ch_rxprogdivreset;
wire [7:0]   QUAD0_RX2_ch_rxrate;
wire [1:0]   QUAD0_RX2_ch_rxresetmode;
wire         QUAD0_RX2_ch_rxuserrdy;

wire         QUAD0_TX2_ch_txdebugpcsout;
wire [2:0]   QUAD0_TX2_ch_txbufstatus;
wire         QUAD0_TX2_ch_txdccdone;
wire         QUAD0_TX2_ch_txpmaresetdone;
wire         QUAD0_TX2_ch_txprogdivresetdone;
wire         QUAD0_TX2_ch_txresetdone;
wire         QUAD0_TX2_ch_txmstresetdone;
wire         QUAD0_TX2_ch_txmstreset;
wire         QUAD0_TX2_ch_txmstdatapathreset;
wire         QUAD0_TX2_ch_gttxreset;
wire [255:0] QUAD0_TX2_ch_txdata;
wire [1:0]   QUAD0_TX2_ch_txpmaresetmask;
wire [5:0]   QUAD0_TX2_ch_txpostcursor;
wire [5:0]   QUAD0_TX2_ch_txprecursor;
wire [5:0]   QUAD0_TX2_ch_txprecursor2;
wire [5:0]   QUAD0_TX2_ch_txprecursor3;
wire [4:0]   QUAD0_TX2_ch_txrsv0;
wire [3:0]   QUAD0_TX2_ch_txrsv1;
wire         QUAD0_TX2_ch_txperst;
wire         QUAD0_TX2_ch_txqprbsen;
wire         QUAD0_TX2_ch_txinhibit;
wire         QUAD0_TX2_ch_txlatclk;
wire [6:0]   QUAD0_TX2_ch_txmaincursor;
wire         QUAD0_TX2_ch_txpcsresetmask;
wire [1:0]   QUAD0_TX2_ch_txpd;
wire         QUAD0_TX2_ch_txpisopd;
wire         QUAD0_TX2_ch_txpolarity;
wire         QUAD0_TX2_ch_txprbsforceerr;
wire [3:0]   QUAD0_TX2_ch_txprbssel;
wire         QUAD0_TX2_ch_txprogdivreset;
wire [7:0]   QUAD0_TX2_ch_txrate;
wire [1:0]   QUAD0_TX2_ch_txresetmode;
wire         QUAD0_TX2_ch_txuserrdy;
wire         QUAD0_RX3_ch_rxdebugpcsout;
wire         QUAD0_RX3_ch_rxperst;
wire         QUAD0_RX3_ch_rxprbscntstop;
wire         QUAD0_RX3_ch_rxqprbsen;
wire         QUAD0_RX3_ch_rxrsv0;
wire         QUAD0_RX3_ch_rxrsv1;
wire         QUAD0_RX3_ch_rxrsv2;
wire [2:0]   QUAD0_RX3_ch_rxpcsresetmask;
wire [7:0]   QUAD0_RX3_ch_rxpmaresetmask;
wire [2:0]   QUAD0_RX3_ch_rxbufstatus;
wire         QUAD0_RX3_ch_rxcdrlock;
wire         QUAD0_RX3_ch_rxcdrphdone;
wire         QUAD0_RX3_ch_rxchanbond_busy;
wire         QUAD0_RX3_ch_rxchanbond_en;
wire         QUAD0_RX3_ch_rxchanbond_master;
wire         QUAD0_RX3_ch_rxchanbond_slave;
wire [2:0]   QUAD0_RX3_ch_rxchanbond_level;
wire [255:0] QUAD0_RX3_ch_rxdata;
wire         QUAD0_RX3_ch_rxpmaresetdone;
wire         QUAD0_RX3_ch_rxprbserr;
wire         QUAD0_RX3_ch_rxprbslocked;
wire         QUAD0_RX3_ch_rxprogdivresetdone;
wire         QUAD0_RX3_ch_rxresetdone;
wire         QUAD0_RX3_ch_rxmstresetdone;
wire         QUAD0_RX3_ch_rxmstreset;
wire         QUAD0_RX3_ch_rxmstdatapathreset;
wire         QUAD0_RX3_ch_gtrxreset;
wire         QUAD0_RX3_ch_rxcdrhold;
wire         QUAD0_RX3_ch_rxcdrovrden;
wire         QUAD0_RX3_ch_rxcdrreset;
wire         QUAD0_RX3_ch_rxlatclk;
wire [1:0]   QUAD0_RX3_ch_rxpd;
wire         QUAD0_RX3_ch_rxpolarity;
wire         QUAD0_RX3_ch_rxprbscntreset;
wire [3:0]   QUAD0_RX3_ch_rxprbssel;
wire         QUAD0_RX3_ch_rxprogdivreset;
wire [7:0]   QUAD0_RX3_ch_rxrate;
wire [1:0]   QUAD0_RX3_ch_rxresetmode;
wire         QUAD0_RX3_ch_rxuserrdy;

wire         QUAD0_TX3_ch_txdebugpcsout;
wire [2:0]   QUAD0_TX3_ch_txbufstatus;
wire         QUAD0_TX3_ch_txdccdone;
wire         QUAD0_TX3_ch_txpmaresetdone;
wire         QUAD0_TX3_ch_txprogdivresetdone;
wire         QUAD0_TX3_ch_txresetdone;
wire         QUAD0_TX3_ch_txmstresetdone;
wire         QUAD0_TX3_ch_txmstreset;
wire         QUAD0_TX3_ch_txmstdatapathreset;
wire         QUAD0_TX3_ch_gttxreset;
wire [255:0] QUAD0_TX3_ch_txdata;
wire [1:0]   QUAD0_TX3_ch_txpmaresetmask;
wire [5:0]   QUAD0_TX3_ch_txpostcursor;
wire [5:0]   QUAD0_TX3_ch_txprecursor;
wire [5:0]   QUAD0_TX3_ch_txprecursor2;
wire [5:0]   QUAD0_TX3_ch_txprecursor3;
wire [4:0]   QUAD0_TX3_ch_txrsv0;
wire [3:0]   QUAD0_TX3_ch_txrsv1;
wire         QUAD0_TX3_ch_txperst;
wire         QUAD0_TX3_ch_txqprbsen;
wire         QUAD0_TX3_ch_txinhibit;
wire         QUAD0_TX3_ch_txlatclk;
wire [6:0]   QUAD0_TX3_ch_txmaincursor;
wire         QUAD0_TX3_ch_txpcsresetmask;
wire [1:0]   QUAD0_TX3_ch_txpd;
wire         QUAD0_TX3_ch_txpisopd;
wire         QUAD0_TX3_ch_txpolarity;
wire         QUAD0_TX3_ch_txprbsforceerr;
wire [3:0]   QUAD0_TX3_ch_txprbssel;
wire         QUAD0_TX3_ch_txprogdivreset;
wire [7:0]   QUAD0_TX3_ch_txrate;
wire [1:0]   QUAD0_TX3_ch_txresetmode;
wire         QUAD0_TX3_ch_txuserrdy;

	
	
	
	
	
wire [1 -1:0] concat_list_0;
assign concat_list_0[0] = QUAD0_gtpowergood ;
	
assign INTF0_gtpowergood_int = &concat_list_0;

assign INTF0_rst_userclk_tx_active_int[0] = QUAD0_TX0_ch_txprogdivresetdone;
assign INTF0_mst_tx_resetdone_int[0] = QUAD0_TX0_ch_txmstresetdone;
assign QUAD0_TX0_ch_txmstreset         = INTF0_mst_tx_reset_int;
assign QUAD0_TX0_ch_txmstdatapathreset = INTF0_mst_tx_dp_reset_int;
assign QUAD0_TX0_ch_txuserrdy          = INTF0_gtwiz_reset_txuserrdy_int;
assign QUAD0_TX0_ch_txdata = INTF0_TX0_ch_txdata ;
assign INTF0_TX0_ch_txbufstatus = QUAD0_TX0_ch_txbufstatus ;
assign INTF0_TX0_ch_txdccdone = QUAD0_TX0_ch_txdccdone ;
assign QUAD0_TX0_ch_gttxreset = INTF0_TX0_ch_gttxreset ;
assign INTF0_TX0_ch_txdebugpcsout = QUAD0_TX0_ch_txdebugpcsout ;
assign INTF0_TX0_ch_txprogdivresetdone = QUAD0_TX0_ch_txprogdivresetdone ;
assign INTF0_TX0_ch_txresetdone = QUAD0_TX0_ch_txresetdone ;
assign QUAD0_TX0_ch_txinhibit = INTF0_TX0_ch_txinhibit ;
assign QUAD0_TX0_ch_txlatclk = INTF0_TX0_ch_txlatclk ;
assign QUAD0_TX0_ch_txmaincursor = INTF0_TX0_ch_txmaincursor ;
assign QUAD0_TX0_ch_txpcsresetmask = INTF0_TX0_ch_txpcsresetmask ;
assign QUAD0_TX0_ch_txpd = INTF0_TX0_ch_txpd ;
assign QUAD0_TX0_ch_txpisopd = INTF0_TX0_ch_txpisopd ;
assign QUAD0_TX0_ch_txpmaresetmask = INTF0_TX0_ch_txpmaresetmask ;
assign QUAD0_TX0_ch_txpolarity = INTF0_TX0_ch_txpolarity ;
assign QUAD0_TX0_ch_txpostcursor = INTF0_TX0_ch_txpostcursor ;
assign QUAD0_TX0_ch_txprbsforceerr = INTF0_TX0_ch_txprbsforceerr ;
assign QUAD0_TX0_ch_txprbssel = INTF0_TX0_ch_txprbssel ;
assign QUAD0_TX0_ch_txprecursor = INTF0_TX0_ch_txprecursor ;
assign QUAD0_TX0_ch_txprecursor2 = INTF0_TX0_ch_txprecursor2 ;
assign QUAD0_TX0_ch_txprecursor3 = INTF0_TX0_ch_txprecursor3 ;
assign QUAD0_TX0_ch_txprogdivreset = INTF0_TX0_ch_txprogdivreset ;
assign QUAD0_TX0_ch_txrate = INTF0_TX0_ch_txrate ;
assign QUAD0_TX0_ch_txresetmode = INTF0_TX0_ch_txresetmode ;
assign QUAD0_TX0_ch_txrsv0 = INTF0_TX0_ch_txrsv0 ;
assign QUAD0_TX0_ch_txrsv1 = INTF0_TX0_ch_txrsv1 ;
assign QUAD0_TX0_ch_txperst = INTF0_TX0_ch_txperst ;
assign QUAD0_TX0_ch_txqprbsen = INTF0_TX0_ch_txqprbsen ;
assign INTF0_rst_userclk_rx_active_int[0] = QUAD0_RX0_ch_rxprogdivresetdone;
assign INTF0_mst_rx_resetdone_int[0] = QUAD0_RX0_ch_rxmstresetdone;
assign QUAD0_RX0_ch_rxmstreset         = INTF0_mst_rx_reset_int;
assign QUAD0_RX0_ch_rxmstdatapathreset = INTF0_mst_rx_dp_reset_int;
assign QUAD0_RX0_ch_rxuserrdy          = INTF0_gtwiz_reset_rxuserrdy_int;
assign INTF0_RX0_ch_rxbufstatus = QUAD0_RX0_ch_rxbufstatus ;
assign INTF0_RX0_ch_rxcdrlock = QUAD0_RX0_ch_rxcdrlock ;
assign INTF0_RX0_ch_rxdebugpcsout = QUAD0_RX0_ch_rxdebugpcsout ;
assign INTF0_RX0_ch_rxprbserr = QUAD0_RX0_ch_rxprbserr ;
assign INTF0_RX0_ch_rxprbslocked = QUAD0_RX0_ch_rxprbslocked ;
assign QUAD0_RX0_ch_rxcdrhold = INTF0_RX0_ch_rxcdrhold ;
assign QUAD0_RX0_ch_rxcdrovrden = INTF0_RX0_ch_rxcdrovrden ;
assign QUAD0_RX0_ch_rxlatclk = INTF0_RX0_ch_rxlatclk ;
assign QUAD0_RX0_ch_rxpcsresetmask = INTF0_RX0_ch_rxpcsresetmask ;
assign QUAD0_RX0_ch_rxpd = INTF0_RX0_ch_rxpd ;
assign QUAD0_RX0_ch_rxperst = INTF0_RX0_ch_rxperst ;
assign QUAD0_RX0_ch_rxpmaresetmask = INTF0_RX0_ch_rxpmaresetmask ;
assign QUAD0_RX0_ch_rxpolarity = INTF0_RX0_ch_rxpolarity ;
assign QUAD0_RX0_ch_rxprbscntreset = INTF0_RX0_ch_rxprbscntreset ;
assign QUAD0_RX0_ch_rxqprbsen = INTF0_RX0_ch_rxqprbsen ;
assign QUAD0_RX0_ch_rxrate = INTF0_RX0_ch_rxrate ;
assign QUAD0_RX0_ch_rxresetmode = INTF0_RX0_ch_rxresetmode ;
assign QUAD0_RX0_ch_rxrsv0 = INTF0_RX0_ch_rxrsv0 ;
assign QUAD0_RX0_ch_rxrsv1 = INTF0_RX0_ch_rxrsv1 ;
assign QUAD0_RX0_ch_rxrsv2 = INTF0_RX0_ch_rxrsv2 ;
assign INTF0_RX0_ch_rxdata = QUAD0_RX0_ch_rxdata ;
assign INTF0_RX0_ch_rxcdrphdone = QUAD0_RX0_ch_rxcdrphdone ;
assign QUAD0_RX0_ch_gtrxreset = INTF0_RX0_ch_gtrxreset ;
assign INTF0_RX0_ch_rxprogdivresetdone = QUAD0_RX0_ch_rxprogdivresetdone ;
assign INTF0_RX0_ch_rxresetdone = QUAD0_RX0_ch_rxresetdone ;
assign QUAD0_RX0_ch_rxcdrreset = INTF0_RX0_ch_rxcdrreset ;
assign QUAD0_RX0_ch_rxprbscntstop = INTF0_RX0_ch_rxprbscntstop ;
assign QUAD0_RX0_ch_rxprbssel = INTF0_RX0_ch_rxprbssel ;
assign QUAD0_RX0_ch_rxprogdivreset = INTF0_RX0_ch_rxprogdivreset ;
	
	
	
	
	
wire [1 -1:0] concat_list_1;
assign concat_list_1[0] = QUAD0_gtpowergood ;
	
assign INTF1_gtpowergood_int = &concat_list_1;

assign INTF1_rst_userclk_tx_active_int[0] = QUAD0_TX3_ch_txprogdivresetdone;
assign INTF1_mst_tx_resetdone_int[0] = QUAD0_TX3_ch_txmstresetdone;
assign QUAD0_TX3_ch_txmstreset         = INTF1_mst_tx_reset_int;
assign QUAD0_TX3_ch_txmstdatapathreset = INTF1_mst_tx_dp_reset_int;
assign QUAD0_TX3_ch_txuserrdy          = INTF1_gtwiz_reset_txuserrdy_int;
assign QUAD0_TX3_ch_txdata = INTF1_TX0_ch_txdata ;
assign INTF1_TX0_ch_txbufstatus = QUAD0_TX3_ch_txbufstatus ;
assign INTF1_TX0_ch_txdccdone = QUAD0_TX3_ch_txdccdone ;
assign QUAD0_TX3_ch_gttxreset = INTF1_TX0_ch_gttxreset ;
assign INTF1_TX0_ch_txdebugpcsout = QUAD0_TX3_ch_txdebugpcsout ;
assign INTF1_TX0_ch_txprogdivresetdone = QUAD0_TX3_ch_txprogdivresetdone ;
assign INTF1_TX0_ch_txresetdone = QUAD0_TX3_ch_txresetdone ;
assign QUAD0_TX3_ch_txinhibit = INTF1_TX0_ch_txinhibit ;
assign QUAD0_TX3_ch_txlatclk = INTF1_TX0_ch_txlatclk ;
assign QUAD0_TX3_ch_txmaincursor = INTF1_TX0_ch_txmaincursor ;
assign QUAD0_TX3_ch_txpcsresetmask = INTF1_TX0_ch_txpcsresetmask ;
assign QUAD0_TX3_ch_txpd = INTF1_TX0_ch_txpd ;
assign QUAD0_TX3_ch_txpisopd = INTF1_TX0_ch_txpisopd ;
assign QUAD0_TX3_ch_txpmaresetmask = INTF1_TX0_ch_txpmaresetmask ;
assign QUAD0_TX3_ch_txpolarity = INTF1_TX0_ch_txpolarity ;
assign QUAD0_TX3_ch_txpostcursor = INTF1_TX0_ch_txpostcursor ;
assign QUAD0_TX3_ch_txprbsforceerr = INTF1_TX0_ch_txprbsforceerr ;
assign QUAD0_TX3_ch_txprbssel = INTF1_TX0_ch_txprbssel ;
assign QUAD0_TX3_ch_txprecursor = INTF1_TX0_ch_txprecursor ;
assign QUAD0_TX3_ch_txprecursor2 = INTF1_TX0_ch_txprecursor2 ;
assign QUAD0_TX3_ch_txprecursor3 = INTF1_TX0_ch_txprecursor3 ;
assign QUAD0_TX3_ch_txprogdivreset = INTF1_TX0_ch_txprogdivreset ;
assign QUAD0_TX3_ch_txrate = INTF1_TX0_ch_txrate ;
assign QUAD0_TX3_ch_txresetmode = INTF1_TX0_ch_txresetmode ;
assign QUAD0_TX3_ch_txrsv0 = INTF1_TX0_ch_txrsv0 ;
assign QUAD0_TX3_ch_txrsv1 = INTF1_TX0_ch_txrsv1 ;
assign QUAD0_TX3_ch_txperst = INTF1_TX0_ch_txperst ;
assign QUAD0_TX3_ch_txqprbsen = INTF1_TX0_ch_txqprbsen ;
assign INTF1_rst_userclk_rx_active_int[0] = QUAD0_RX3_ch_rxprogdivresetdone;
assign INTF1_mst_rx_resetdone_int[0] = QUAD0_RX3_ch_rxmstresetdone;
assign QUAD0_RX3_ch_rxmstreset         = INTF1_mst_rx_reset_int;
assign QUAD0_RX3_ch_rxmstdatapathreset = INTF1_mst_rx_dp_reset_int;
assign QUAD0_RX3_ch_rxuserrdy          = INTF1_gtwiz_reset_rxuserrdy_int;
assign INTF1_RX0_ch_rxbufstatus = QUAD0_RX3_ch_rxbufstatus ;
assign INTF1_RX0_ch_rxcdrlock = QUAD0_RX3_ch_rxcdrlock ;
assign INTF1_RX0_ch_rxdebugpcsout = QUAD0_RX3_ch_rxdebugpcsout ;
assign INTF1_RX0_ch_rxprbserr = QUAD0_RX3_ch_rxprbserr ;
assign INTF1_RX0_ch_rxprbslocked = QUAD0_RX3_ch_rxprbslocked ;
assign QUAD0_RX3_ch_rxcdrhold = INTF1_RX0_ch_rxcdrhold ;
assign QUAD0_RX3_ch_rxcdrovrden = INTF1_RX0_ch_rxcdrovrden ;
assign QUAD0_RX3_ch_rxlatclk = INTF1_RX0_ch_rxlatclk ;
assign QUAD0_RX3_ch_rxpcsresetmask = INTF1_RX0_ch_rxpcsresetmask ;
assign QUAD0_RX3_ch_rxpd = INTF1_RX0_ch_rxpd ;
assign QUAD0_RX3_ch_rxperst = INTF1_RX0_ch_rxperst ;
assign QUAD0_RX3_ch_rxpmaresetmask = INTF1_RX0_ch_rxpmaresetmask ;
assign QUAD0_RX3_ch_rxpolarity = INTF1_RX0_ch_rxpolarity ;
assign QUAD0_RX3_ch_rxprbscntreset = INTF1_RX0_ch_rxprbscntreset ;
assign QUAD0_RX3_ch_rxqprbsen = INTF1_RX0_ch_rxqprbsen ;
assign QUAD0_RX3_ch_rxrate = INTF1_RX0_ch_rxrate ;
assign QUAD0_RX3_ch_rxresetmode = INTF1_RX0_ch_rxresetmode ;
assign QUAD0_RX3_ch_rxrsv0 = INTF1_RX0_ch_rxrsv0 ;
assign QUAD0_RX3_ch_rxrsv1 = INTF1_RX0_ch_rxrsv1 ;
assign QUAD0_RX3_ch_rxrsv2 = INTF1_RX0_ch_rxrsv2 ;
assign INTF1_RX0_ch_rxdata = QUAD0_RX3_ch_rxdata ;
assign INTF1_RX0_ch_rxcdrphdone = QUAD0_RX3_ch_rxcdrphdone ;
assign QUAD0_RX3_ch_gtrxreset = INTF1_RX0_ch_gtrxreset ;
assign INTF1_RX0_ch_rxprogdivresetdone = QUAD0_RX3_ch_rxprogdivresetdone ;
assign INTF1_RX0_ch_rxresetdone = QUAD0_RX3_ch_rxresetdone ;
assign QUAD0_RX3_ch_rxcdrreset = INTF1_RX0_ch_rxcdrreset ;
assign QUAD0_RX3_ch_rxprbscntstop = INTF1_RX0_ch_rxprbscntstop ;
assign QUAD0_RX3_ch_rxprbssel = INTF1_RX0_ch_rxprbssel ;
assign QUAD0_RX3_ch_rxprogdivreset = INTF1_RX0_ch_rxprogdivreset ;

// unmapped quad lanes tie off
assign QUAD0_RX1_ch_rxpd = 2'd0;
assign QUAD0_RX1_ch_rxresetmode = 2'd0;
assign QUAD0_RX1_ch_rxpcsresetmask = 3'd7;
assign QUAD0_RX1_ch_rxprbssel = 4'd0;
assign QUAD0_RX1_ch_rxpmaresetmask = 8'd255;
assign QUAD0_RX1_ch_rxrate = 8'd0;
assign QUAD0_RX1_ch_rxcdrhold = 1'd0;
assign QUAD0_RX1_ch_rxcdrovrden = 8'd0;
assign QUAD0_RX1_ch_rxcdrreset = 8'd0;
assign QUAD0_RX1_ch_rxlatclk = 1'd0;
assign QUAD0_RX1_ch_rxperst = 1'd0;
assign QUAD0_RX1_ch_rxpolarity = 1'd0;
assign QUAD0_RX1_ch_rxprbscntreset = 1'd0;
assign QUAD0_RX1_ch_rxprbscntstop = 1'd0;
assign QUAD0_RX1_ch_rxprogdivreset = 1'd0;
assign QUAD0_RX1_ch_rxqprbsen = 1'd0;
assign QUAD0_RX1_ch_rxrsv0 = 1'd0;
assign QUAD0_RX1_ch_rxrsv1 = 1'd0;
assign QUAD0_RX1_ch_rxrsv2 = 1'd0;
assign QUAD0_RX1_ch_rxuserrdy = 1'd0;
assign QUAD0_RX1_ch_rxmstreset = 1'd0;
assign QUAD0_RX1_ch_rxmstdatapathreset = 1'd0;
assign QUAD0_RX1_ch_gtrxreset = 1'd0;
assign QUAD0_RX2_ch_rxpd = 2'd0;
assign QUAD0_RX2_ch_rxresetmode = 2'd0;
assign QUAD0_RX2_ch_rxpcsresetmask = 3'd7;
assign QUAD0_RX2_ch_rxprbssel = 4'd0;
assign QUAD0_RX2_ch_rxpmaresetmask = 8'd255;
assign QUAD0_RX2_ch_rxrate = 8'd0;
assign QUAD0_RX2_ch_rxcdrhold = 1'd0;
assign QUAD0_RX2_ch_rxcdrovrden = 8'd0;
assign QUAD0_RX2_ch_rxcdrreset = 8'd0;
assign QUAD0_RX2_ch_rxlatclk = 1'd0;
assign QUAD0_RX2_ch_rxperst = 1'd0;
assign QUAD0_RX2_ch_rxpolarity = 1'd0;
assign QUAD0_RX2_ch_rxprbscntreset = 1'd0;
assign QUAD0_RX2_ch_rxprbscntstop = 1'd0;
assign QUAD0_RX2_ch_rxprogdivreset = 1'd0;
assign QUAD0_RX2_ch_rxqprbsen = 1'd0;
assign QUAD0_RX2_ch_rxrsv0 = 1'd0;
assign QUAD0_RX2_ch_rxrsv1 = 1'd0;
assign QUAD0_RX2_ch_rxrsv2 = 1'd0;
assign QUAD0_RX2_ch_rxuserrdy = 1'd0;
assign QUAD0_RX2_ch_rxmstreset = 1'd0;
assign QUAD0_RX2_ch_rxmstdatapathreset = 1'd0;
assign QUAD0_RX2_ch_gtrxreset = 1'd0;

assign QUAD0_TX1_ch_txdata = 256'd0;
assign QUAD0_TX1_ch_gttxreset = 1'd0;
assign QUAD0_TX1_ch_txinhibit = 1'd0;
assign QUAD0_TX1_ch_txlatclk = 1'd0;
assign QUAD0_TX1_ch_txmaincursor = 7'd77;
assign QUAD0_TX1_ch_txpcsresetmask = 1'd1;
assign QUAD0_TX1_ch_txpd = 2'd0;
assign QUAD0_TX1_ch_txpisopd = 1'd0;
assign QUAD0_TX1_ch_txpmaresetmask = 2'd3;
assign QUAD0_TX1_ch_txpolarity = 1'd0;
assign QUAD0_TX1_ch_txpostcursor = 6'd0;
assign QUAD0_TX1_ch_txprbsforceerr = 1'd0;
assign QUAD0_TX1_ch_txprbssel = 4'd0;
assign QUAD0_TX1_ch_txprecursor = 6'd0;
assign QUAD0_TX1_ch_txprecursor2 = 6'd0;
assign QUAD0_TX1_ch_txprecursor3 = 6'd0;
assign QUAD0_TX1_ch_txprogdivreset = 1'd0;
assign QUAD0_TX1_ch_txrate = 8'd0;
assign QUAD0_TX1_ch_txresetmode = 2'd0;
assign QUAD0_TX1_ch_txmstreset = 1'd0;
assign QUAD0_TX1_ch_txmstdatapathreset = 1'd0;
assign QUAD0_TX1_ch_txuserrdy = 1'd0;
assign QUAD0_TX1_ch_txrsv0 = 5'd0;
assign QUAD0_TX1_ch_txrsv1 = 4'd0;
assign QUAD0_TX1_ch_txperst = 1'd0;
assign QUAD0_TX1_ch_txqprbsen = 1'd0;
assign QUAD0_TX2_ch_txdata = 256'd0;
assign QUAD0_TX2_ch_gttxreset = 1'd0;
assign QUAD0_TX2_ch_txinhibit = 1'd0;
assign QUAD0_TX2_ch_txlatclk = 1'd0;
assign QUAD0_TX2_ch_txmaincursor = 7'd77;
assign QUAD0_TX2_ch_txpcsresetmask = 1'd1;
assign QUAD0_TX2_ch_txpd = 2'd0;
assign QUAD0_TX2_ch_txpisopd = 1'd0;
assign QUAD0_TX2_ch_txpmaresetmask = 2'd3;
assign QUAD0_TX2_ch_txpolarity = 1'd0;
assign QUAD0_TX2_ch_txpostcursor = 6'd0;
assign QUAD0_TX2_ch_txprbsforceerr = 1'd0;
assign QUAD0_TX2_ch_txprbssel = 4'd0;
assign QUAD0_TX2_ch_txprecursor = 6'd0;
assign QUAD0_TX2_ch_txprecursor2 = 6'd0;
assign QUAD0_TX2_ch_txprecursor3 = 6'd0;
assign QUAD0_TX2_ch_txprogdivreset = 1'd0;
assign QUAD0_TX2_ch_txrate = 8'd0;
assign QUAD0_TX2_ch_txresetmode = 2'd0;
assign QUAD0_TX2_ch_txmstreset = 1'd0;
assign QUAD0_TX2_ch_txmstdatapathreset = 1'd0;
assign QUAD0_TX2_ch_txuserrdy = 1'd0;
assign QUAD0_TX2_ch_txrsv0 = 5'd0;
assign QUAD0_TX2_ch_txrsv1 = 4'd0;
assign QUAD0_TX2_ch_txperst = 1'd0;
assign QUAD0_TX2_ch_txqprbsen = 1'd0;


my_gtm_quad_top  # (
   .C_NO_OF_QUADS ( 1 )
) quad_top_inst (

       .QUAD0_GTREFCLK0                    ( QUAD0_GTREFCLK0),
       .QUAD0_GTREFCLK1                    ( QUAD0_GTREFCLK1),
       .gtwiz_freerun_clk                                  ( gtwiz_freerun_clk),
       // RX margin interface
       .QUAD0_rxmarginreqack                       ( ),
       .QUAD0_rxmarginrescmd                       ( ),
       .QUAD0_rxmarginreslanenum                   ( ),
       .QUAD0_rxmarginrespayld                     ( ),
       .QUAD0_rxmarginresreq                       ( ),
       .QUAD0_rxmarginreqcmd                       ( 4'd0),
       .QUAD0_rxmarginreqlanenum                   ( 2'd0),
       .QUAD0_rxmarginreqpayld                     ( 8'd0),
       .QUAD0_rxmarginreqreq                       ( 1'd0),
       .QUAD0_rxmarginclk                          ( 1'd0),
       .QUAD0_rxmarginresack                       ( 1'd0),
       // PCIe link target
       .QUAD0_pcielinkreachtarget                  ( 1'd0),
       // PCIe ssm
       .QUAD0_pcieltssm                            ( 6'd0),
       // GPIO
       .QUAD0_gpi                                  ( QUAD0_gpi),
       .QUAD0_gpo                                  ( QUAD0_gpo),
       .QUAD0_ubmbrst                              ( 1'd0),
       // GT Debug interface
       .QUAD0_hsclk0_rxrecclksel                   ( ),
       .QUAD0_hsclk1_rxrecclksel                   ( ),
       .QUAD0_correcterr                           ( ),
       .QUAD0_debugtracetvalid                     ( ),
       .QUAD0_debugtracetdata                      ( ),
       .QUAD0_refclk0_gtrefclkpdint                ( ),
       .QUAD0_refclk0_clktestsigint                ( ),
       .QUAD0_refclk1_gtrefclkpdint                ( ),
       .QUAD0_refclk1_clktestsigint                ( ),
       .QUAD0_trigackin0                           ( ),
       .QUAD0_trigout0                             ( ),
       .QUAD0_ubinterrupt                          ( ),
       .QUAD0_ubtxuart                             ( ),
       .QUAD0_uncorrecterr                         ( ),
       .QUAD0_ctrlrsvdout                          ( ),
       .QUAD0_bgbypassb                            ( 1'd0),
       .QUAD0_bgmonitorenb                         ( 1'd0),
       .QUAD0_bgpdb                                ( 1'd0),
       .QUAD0_bgrcalovrdenb                        ( 1'd0),
       .QUAD0_bgrcalovrd                           ( 5'd0),
       .QUAD0_debugtraceready                      ( 1'd0),
       .QUAD0_debugtraceclk                        ( 1'd0),
       .QUAD0_trigackout0                          ( 1'd0),
       .QUAD0_trigin0                              ( 1'd0),
       .QUAD0_ubenable                             ( 1'd1),
       .QUAD0_ubiolmbrst                           ( 1'd0),

       .QUAD0_ubintr                               ( 12'd0),
       .QUAD0_ubrxuart                             ( 1'd0),
       .QUAD0_coestatusdebug                       ( 1'd0),
       .QUAD0_ctrlrsvdin                           ( 8'd0),
       .QUAD0_refclk0_clktestsig                   ( 1'd0),
       .QUAD0_refclk1_clktestsig                   ( 1'd0),
       // Outclk interface
       .QUAD0_TX0_outclk                   ( QUAD0_TX0_outclk),
       .QUAD0_RX0_outclk                   ( QUAD0_RX0_outclk),
       // Iloreset
       .QUAD0_ch0_iloreset                 ( 1'd0),
       // Iloreset done
       .QUAD0_ch0_iloresetdone             ( ),
       // Phystatus enable
       .QUAD0_ch0_phystatus                ( ),
       // Loopback
       .QUAD0_ch0_loopback                 ( 3'd0),
       // Debug enable interface
       .QUAD0_m0_axis_tready               ( 1'd0),
       .QUAD0_m0_axis_tdata                ( ),
       .QUAD0_m0_axis_tlast                ( ),
       .QUAD0_m0_axis_tvalid               ( ),
       .QUAD0_s0_axis_tready               ( ),
       .QUAD0_s0_axis_tdata                ( 32'd0),
       .QUAD0_s0_axis_tlast                ( 1'd0),
       .QUAD0_s0_axis_tvalid               ( 1'd0),
       .QUAD0_ch0_refdebugout              ( ),      
       .QUAD0_ch0_eyescandataerror         ( ), 
       .QUAD0_ch0_cdrfreqos                ( 1'd0),
       .QUAD0_ch0_cdrincpctrl              ( 1'd0),
       .QUAD0_ch0_cdrstepdir               ( 1'd0),
       .QUAD0_ch0_cdrstepsq                ( 1'd0),
       .QUAD0_ch0_cdrstepsx                ( 1'd0),
       .QUAD0_ch0_eyescanreset             ( 1'd0),
       .QUAD0_ch0_eyescantrigger           ( 1'd0),
       .QUAD0_ch0_clkrsvd0                 ( 1'd0),
       .QUAD0_ch0_clkrsvd1                 ( 1'd0),
       .QUAD0_ch0_dmonitorclk              ( 1'd0),
       .QUAD0_ch0_iloresetmask             ( 1'd1),
       .QUAD0_ch0_dmonfiforeset            ( 1'd0),
       .QUAD0_ch0_pcsrsvdin                ( 16'd576),
       .QUAD0_ch0_gtrsvd                   ( 16'd0),
       .QUAD0_ch0_pcsrsvdout               ( ),
       .QUAD0_ch0_pinrsvdas                ( ),
       .QUAD0_ch0_dmonitoroutclk           ( ),
       .QUAD0_ch0_resetexception           ( ),
       .QUAD0_ch0_dmonitorout              ( ),
       .QUAD0_ch0_hsdppcsreset             ( 1'd0),
       // phyready en
       // PCIe resetb
       .QUAD0_ch0_pcierstb                 ( 1'd1),
       // Outclk interface
       .QUAD0_TX1_outclk                   ( QUAD0_TX1_outclk),
       .QUAD0_RX1_outclk                   ( QUAD0_RX1_outclk),
       // Iloreset
       .QUAD0_ch1_iloreset                 ( 1'd0),
       // Iloreset done
       .QUAD0_ch1_iloresetdone             ( ),
       // Phystatus enable
       .QUAD0_ch1_phystatus                ( ),
       // Loopback
       .QUAD0_ch1_loopback                 ( 3'd0),
       // Debug enable interface
       .QUAD0_m1_axis_tready               ( 1'd0),
       .QUAD0_s1_axis_tdata                ( 32'd0),
       .QUAD0_s1_axis_tlast                ( 1'd0),
       .QUAD0_s1_axis_tvalid               ( 1'd0),
       .QUAD0_s1_axis_tready               ( ),
       .QUAD0_m1_axis_tdata                ( ),
       .QUAD0_m1_axis_tlast                ( ),
       .QUAD0_m1_axis_tvalid               ( ),
       .QUAD0_ch1_refdebugout              ( ),      
       .QUAD0_ch1_eyescandataerror         ( ), 
       .QUAD0_ch1_cdrfreqos                ( 1'd0),
       .QUAD0_ch1_cdrincpctrl              ( 1'd0),
       .QUAD0_ch1_cdrstepdir               ( 1'd0),
       .QUAD0_ch1_cdrstepsq                ( 1'd0),
       .QUAD0_ch1_cdrstepsx                ( 1'd0),
       .QUAD0_ch1_eyescanreset             ( 1'd0),
       .QUAD0_ch1_eyescantrigger           ( 1'd0),
       .QUAD0_ch1_clkrsvd0                 ( 1'd0),
       .QUAD0_ch1_clkrsvd1                 ( 1'd0),
       .QUAD0_ch1_dmonitorclk              ( 1'd0),
       .QUAD0_ch1_iloresetmask             ( 1'd1),
       .QUAD0_ch1_dmonfiforeset            ( 1'd0),
       .QUAD0_ch1_pcsrsvdin                ( 16'd576),
       .QUAD0_ch1_gtrsvd                   ( 16'd0),
       .QUAD0_ch1_pcsrsvdout               ( ),
       .QUAD0_ch1_pinrsvdas                ( ),
       .QUAD0_ch1_dmonitoroutclk           ( ),
       .QUAD0_ch1_resetexception           ( ),
       .QUAD0_ch1_dmonitorout              ( ),
       .QUAD0_ch1_hsdppcsreset             ( 1'd0),
       // phyready en
       // PCIe resetb
       .QUAD0_ch1_pcierstb                 ( 1'd1),
       // Outclk interface
       .QUAD0_TX2_outclk                   ( QUAD0_TX2_outclk),
       .QUAD0_RX2_outclk                   ( QUAD0_RX2_outclk),
       // Iloreset
       .QUAD0_ch2_iloreset                 ( 1'd0),
       // Iloreset done
       .QUAD0_ch2_iloresetdone             ( ),
       // Phystatus enable
       .QUAD0_ch2_phystatus                ( ),
       // Loopback
       .QUAD0_ch2_loopback                 ( 3'd0),
       // Debug enable interface
       .QUAD0_s2_axis_tdata                ( 32'd0),
       .QUAD0_s2_axis_tlast                ( 1'd0),
       .QUAD0_s2_axis_tvalid               ( 1'd0),
       .QUAD0_s2_axis_tready               ( ),
       .QUAD0_m2_axis_tdata                ( ),
       .QUAD0_m2_axis_tlast                ( ),
       .QUAD0_m2_axis_tvalid               ( ),
       .QUAD0_m2_axis_tready               ( 1'd0),
       .QUAD0_ch2_refdebugout              ( ),      
       .QUAD0_ch2_eyescandataerror         ( ), 
       .QUAD0_ch2_cdrfreqos                ( 1'd0),
       .QUAD0_ch2_cdrincpctrl              ( 1'd0),
       .QUAD0_ch2_cdrstepdir               ( 1'd0),
       .QUAD0_ch2_cdrstepsq                ( 1'd0),
       .QUAD0_ch2_cdrstepsx                ( 1'd0),
       .QUAD0_ch2_eyescanreset             ( 1'd0),
       .QUAD0_ch2_eyescantrigger           ( 1'd0),
       .QUAD0_ch2_clkrsvd0                 ( 1'd0),
       .QUAD0_ch2_clkrsvd1                 ( 1'd0),
       .QUAD0_ch2_dmonitorclk              ( 1'd0),
       .QUAD0_ch2_iloresetmask             ( 1'd1),
       .QUAD0_ch2_dmonfiforeset            ( 1'd0),
       .QUAD0_ch2_pcsrsvdin                ( 16'd576),
       .QUAD0_ch2_gtrsvd                   ( 16'd0),
       .QUAD0_ch2_pcsrsvdout               ( ),
       .QUAD0_ch2_pinrsvdas                ( ),
       .QUAD0_ch2_dmonitoroutclk           ( ),
       .QUAD0_ch2_resetexception           ( ),
       .QUAD0_ch2_dmonitorout              ( ),
       .QUAD0_ch2_hsdppcsreset             ( 1'd0),
       // phyready en
       // PCIe resetb
       .QUAD0_ch2_pcierstb                 ( 1'd1),
       // Outclk interface
       .QUAD0_TX3_outclk                   ( QUAD0_TX3_outclk),
       .QUAD0_RX3_outclk                   ( QUAD0_RX3_outclk),
       // Iloreset
       .QUAD0_ch3_iloreset                 ( 1'd0),
       // Iloreset done
       .QUAD0_ch3_iloresetdone             ( ),
       // Phystatus enable
       .QUAD0_ch3_phystatus                ( ),
       // Loopback
       .QUAD0_ch3_loopback                 ( 3'd0),
       // Debug enable interface
       .QUAD0_s3_axis_tdata                ( 32'd0),
       .QUAD0_s3_axis_tlast                ( 1'd0),
       .QUAD0_s3_axis_tvalid               ( 1'd0),
       .QUAD0_s3_axis_tready               ( ),
       .QUAD0_m3_axis_tdata                ( ),
       .QUAD0_m3_axis_tlast                ( ),
       .QUAD0_m3_axis_tvalid               ( ),
       .QUAD0_m3_axis_tready               ( 1'd0),
       .QUAD0_ch3_refdebugout              ( ),      
       .QUAD0_ch3_eyescandataerror         ( ), 
       .QUAD0_ch3_cdrfreqos                ( 1'd0),
       .QUAD0_ch3_cdrincpctrl              ( 1'd0),
       .QUAD0_ch3_cdrstepdir               ( 1'd0),
       .QUAD0_ch3_cdrstepsq                ( 1'd0),
       .QUAD0_ch3_cdrstepsx                ( 1'd0),
       .QUAD0_ch3_eyescanreset             ( 1'd0),
       .QUAD0_ch3_eyescantrigger           ( 1'd0),
       .QUAD0_ch3_clkrsvd0                 ( 1'd0),
       .QUAD0_ch3_clkrsvd1                 ( 1'd0),
       .QUAD0_ch3_dmonitorclk              ( 1'd0),
       .QUAD0_ch3_iloresetmask             ( 1'd1),
       .QUAD0_ch3_dmonfiforeset            ( 1'd0),
       .QUAD0_ch3_pcsrsvdin                ( 16'd576),
       .QUAD0_ch3_gtrsvd                   ( 16'd0),
       .QUAD0_ch3_pcsrsvdout               ( ),
       .QUAD0_ch3_pinrsvdas                ( ),
       .QUAD0_ch3_dmonitoroutclk           ( ),
       .QUAD0_ch3_resetexception           ( ),
       .QUAD0_ch3_dmonitorout              ( ),
       .QUAD0_ch3_hsdppcsreset             ( 1'd0),
       // phyready en
       // PCIe resetb
       .QUAD0_ch3_pcierstb                 ( 1'd1),
       // REFCLK PD
       .QUAD0_refclk0_gtrefclkpd           ( 1'd0),
       // HSCLK RPLL reset
       .QUAD0_hsclk0_rpllreset             ( 1'd0),
       // HSCLK LCPLL reset
       .QUAD0_hsclk0_lcpllreset            ( 1'd0),
       .QUAD0_hsclk0_rplllock              ( ),
 
       .QUAD0_hsclk0_lcplllock             ( ),
       // HSCLK debug interface 
       .QUAD0_hsclk0_lcpllpd               ( 1'd0),
       .QUAD0_hsclk0_lcpllresetbypassmode  ( 1'd0),
       .QUAD0_hsclk0_lcpllresetmask        ( 2'd3),
       .QUAD0_hsclk0_lcpllsdmtoggle        ( 1'd0),
       .QUAD0_hsclk0_lcpllrefclksel        ( 3'd1),
       .QUAD0_hsclk0_lcpllfbdiv            ( 8'd0),
       .QUAD0_hsclk0_lcpllfbclklost        ( ),
       .QUAD0_hsclk0_lcpllrefclklost       ( ),
       .QUAD0_hsclk0_lcpllrefclkmonitor    ( ),
//       .QUAD0_hsclk0_lcpllgtgrefclk        ( 1'b0),
       .QUAD0_hsclk0_rpllpd                ( 1'd0),
       .QUAD0_hsclk0_rpllresetbypassmode   ( 1'd0),
       .QUAD0_hsclk0_rpllresetmask         ( 2'd3),
       .QUAD0_hsclk0_rpllsdmtoggle         ( 1'd0),
       .QUAD0_hsclk0_rpllrefclksel         ( 3'd1),
       .QUAD0_hsclk0_rpllfbdiv             ( 8'd0),
       .QUAD0_hsclk0_rpllfbclklost         ( ),
       .QUAD0_hsclk0_rpllrefclklost        ( ),
       .QUAD0_hsclk0_rpllrefclkmonitor     ( ),
//       .QUAD0_hsclk0_rpllgtgrefclk         ( 1'b0),
       .QUAD0_hsclk0_rxrecclkout0          ( ),
       .QUAD0_hsclk0_rxrecclkout1          ( ),
       // REFCLK PD
       .QUAD0_refclk1_gtrefclkpd           ( 1'd0),
       // HSCLK RPLL reset
       .QUAD0_hsclk1_rpllreset             ( 1'd0),
       // HSCLK LCPLL reset
       .QUAD0_hsclk1_lcpllreset            ( 1'd0),
       .QUAD0_hsclk1_rplllock              ( ),
 
       .QUAD0_hsclk1_lcplllock             ( ),
       // HSCLK debug interface 
       .QUAD0_hsclk1_lcpllpd               ( 1'd0),
       .QUAD0_hsclk1_lcpllresetbypassmode  ( 1'd0),
       .QUAD0_hsclk1_lcpllresetmask        ( 2'd3),
       .QUAD0_hsclk1_lcpllsdmtoggle        ( 1'd0),
       .QUAD0_hsclk1_lcpllrefclksel        ( 3'd1),
       .QUAD0_hsclk1_lcpllfbdiv            ( 8'd0),
       .QUAD0_hsclk1_lcpllfbclklost        ( ),
       .QUAD0_hsclk1_lcpllrefclklost       ( ),
       .QUAD0_hsclk1_lcpllrefclkmonitor    ( ),
//       .QUAD0_hsclk1_lcpllgtgrefclk        ( 1'b0),
       .QUAD0_hsclk1_rpllpd                ( 1'd0),
       .QUAD0_hsclk1_rpllresetbypassmode   ( 1'd0),
       .QUAD0_hsclk1_rpllresetmask         ( 2'd3),
       .QUAD0_hsclk1_rpllsdmtoggle         ( 1'd0),
       .QUAD0_hsclk1_rpllrefclksel         ( 3'd1),
       .QUAD0_hsclk1_rpllfbdiv             ( 8'd0),
       .QUAD0_hsclk1_rpllfbclklost         ( ),
       .QUAD0_hsclk1_rpllrefclklost        ( ),
       .QUAD0_hsclk1_rpllrefclkmonitor     ( ),
//       .QUAD0_hsclk1_rpllgtgrefclk         ( 1'b0),
       .QUAD0_hsclk1_rxrecclkout0          ( ),
       .QUAD0_hsclk1_rxrecclkout1          ( ),
       .QUAD0_hsclk0_lcpllsdmdata                  ( 26'd18729921),
       .QUAD0_hsclk0_rpllsdmdata                   ( 26'd4535360),
       .QUAD0_hsclk1_lcpllsdmdata                  ( 26'd18729921),
       .QUAD0_hsclk1_rpllsdmdata                   ( 26'd4535360),


       .QUAD0_rxp                                  ( QUAD0_rxp),
       .QUAD0_rxn                                  ( QUAD0_rxn),
       .QUAD0_txp                                  ( QUAD0_txp),
       .QUAD0_txn                                  ( QUAD0_txn),

       .QUAD0_RX0_debugpcsout              ( QUAD0_RX0_ch_rxdebugpcsout),
       .QUAD0_RX0_perst                    ( QUAD0_RX0_ch_rxperst),
       .QUAD0_RX0_prbscntstop              ( QUAD0_RX0_ch_rxprbscntstop),
       .QUAD0_RX0_qprbsen                  ( QUAD0_RX0_ch_rxqprbsen),
       .QUAD0_RX0_rxrsv0                   ( QUAD0_RX0_ch_rxrsv0),
       .QUAD0_RX0_rxrsv1                   ( QUAD0_RX0_ch_rxrsv1),
       .QUAD0_RX0_rxrsv2                   ( QUAD0_RX0_ch_rxrsv2),
       .QUAD0_RX0_bufstatus                ( QUAD0_RX0_ch_rxbufstatus),
       .QUAD0_RX0_cdrlock                  ( QUAD0_RX0_ch_rxcdrlock),
       .QUAD0_RX0_cdrphdone                ( QUAD0_RX0_ch_rxcdrphdone),
       .QUAD0_RX0_data                     ( QUAD0_RX0_ch_rxdata),
       .QUAD0_RX0_pmaresetdone             ( QUAD0_RX0_ch_rxpmaresetdone),
       .QUAD0_RX0_prbserr                  ( QUAD0_RX0_ch_rxprbserr),
       .QUAD0_RX0_prbslocked               ( QUAD0_RX0_ch_rxprbslocked),
       .QUAD0_RX0_progdivresetdone         ( QUAD0_RX0_ch_rxprogdivresetdone),
       .QUAD0_RX0_resetdone                ( QUAD0_RX0_ch_rxresetdone),
       .QUAD0_RX0_gtrxreset                ( QUAD0_RX0_ch_gtrxreset),
       .QUAD0_RX0_cdrhold                  ( QUAD0_RX0_ch_rxcdrhold),
       .QUAD0_RX0_cdrovrden                ( QUAD0_RX0_ch_rxcdrovrden),
       .QUAD0_RX0_cdrreset                 ( QUAD0_RX0_ch_rxcdrreset),
       .QUAD0_RX0_latclk                   ( QUAD0_RX0_ch_rxlatclk),
       .QUAD0_RX0_pcsresetmask             ( QUAD0_RX0_ch_rxpcsresetmask),
       .QUAD0_RX0_pd                       ( QUAD0_RX0_ch_rxpd),
       .QUAD0_RX0_pmaresetmask             ( QUAD0_RX0_ch_rxpmaresetmask),
       .QUAD0_RX0_polarity                 ( QUAD0_RX0_ch_rxpolarity),
       .QUAD0_RX0_prbscntreset             ( QUAD0_RX0_ch_rxprbscntreset),
       .QUAD0_RX0_prbssel                  ( QUAD0_RX0_ch_rxprbssel),
       .QUAD0_RX0_progdivreset             ( QUAD0_RX0_ch_rxprogdivreset),
       .QUAD0_RX0_rate                     ( QUAD0_RX0_ch_rxrate),
       .QUAD0_RX0_resetmode                ( QUAD0_RX0_ch_rxresetmode),
       .QUAD0_RX0_userrdy                  ( QUAD0_RX0_ch_rxuserrdy),
       .QUAD0_RX0_usrclk                   ( QUAD0_RX0_usrclk),
       .QUAD0_RX0_mstresetdone             ( QUAD0_RX0_ch_rxmstresetdone),
       .QUAD0_RX0_mstreset                 ( QUAD0_RX0_ch_rxmstreset),
       .QUAD0_RX0_mstdatapathreset         ( QUAD0_RX0_ch_rxmstdatapathreset),

       .QUAD0_TX0_debugpcsout              ( QUAD0_TX0_ch_txdebugpcsout),
       .QUAD0_TX0_precursor2               ( QUAD0_TX0_ch_txprecursor2),
       .QUAD0_TX0_precursor3               ( QUAD0_TX0_ch_txprecursor3),
       .QUAD0_TX0_txrsv0                   ( QUAD0_TX0_ch_txrsv0),
       .QUAD0_TX0_txrsv1                   ( QUAD0_TX0_ch_txrsv1),
       .QUAD0_TX0_perst                    ( QUAD0_TX0_ch_txperst),
       .QUAD0_TX0_qprbsen                  ( QUAD0_TX0_ch_txqprbsen),
       .QUAD0_TX0_bufstatus                ( QUAD0_TX0_ch_txbufstatus),
       .QUAD0_TX0_dccdone                  ( QUAD0_TX0_ch_txdccdone),
       .QUAD0_TX0_pmaresetdone             ( QUAD0_TX0_ch_txpmaresetdone),
       .QUAD0_TX0_progdivresetdone         ( QUAD0_TX0_ch_txprogdivresetdone),
       .QUAD0_TX0_resetdone                ( QUAD0_TX0_ch_txresetdone),
       .QUAD0_TX0_gttxreset                ( QUAD0_TX0_ch_gttxreset),
       .QUAD0_TX0_data                     ( QUAD0_TX0_ch_txdata),
       .QUAD0_TX0_inhibit                  ( QUAD0_TX0_ch_txinhibit),
       .QUAD0_TX0_latclk                   ( QUAD0_TX0_ch_txlatclk),
       .QUAD0_TX0_maincursor               ( QUAD0_TX0_ch_txmaincursor),
       .QUAD0_TX0_pcsresetmask             ( QUAD0_TX0_ch_txpcsresetmask),
       .QUAD0_TX0_pd                       ( QUAD0_TX0_ch_txpd),
       .QUAD0_TX0_pisopd                   ( QUAD0_TX0_ch_txpisopd),
       .QUAD0_TX0_pmaresetmask             ( QUAD0_TX0_ch_txpmaresetmask),
       .QUAD0_TX0_polarity                 ( QUAD0_TX0_ch_txpolarity),
       .QUAD0_TX0_postcursor               ( QUAD0_TX0_ch_txpostcursor),
       .QUAD0_TX0_prbsforceerr             ( QUAD0_TX0_ch_txprbsforceerr),
       .QUAD0_TX0_prbssel                  ( QUAD0_TX0_ch_txprbssel),
       .QUAD0_TX0_precursor                ( QUAD0_TX0_ch_txprecursor),
       .QUAD0_TX0_progdivreset             ( QUAD0_TX0_ch_txprogdivreset),
       .QUAD0_TX0_rate                     ( QUAD0_TX0_ch_txrate),
       .QUAD0_TX0_resetmode                ( QUAD0_TX0_ch_txresetmode),
       .QUAD0_TX0_userrdy                  ( QUAD0_TX0_ch_txuserrdy),
       .QUAD0_TX0_usrclk                   ( QUAD0_TX0_usrclk),
       .QUAD0_TX0_mstresetdone             ( QUAD0_TX0_ch_txmstresetdone),
       .QUAD0_TX0_mstreset                 ( QUAD0_TX0_ch_txmstreset),
       .QUAD0_TX0_mstdatapathreset         ( QUAD0_TX0_ch_txmstdatapathreset),
       .QUAD0_RX1_debugpcsout              ( QUAD0_RX1_ch_rxdebugpcsout),
       .QUAD0_RX1_perst                    ( QUAD0_RX1_ch_rxperst),
       .QUAD0_RX1_prbscntstop              ( QUAD0_RX1_ch_rxprbscntstop),
       .QUAD0_RX1_qprbsen                  ( QUAD0_RX1_ch_rxqprbsen),
       .QUAD0_RX1_rxrsv0                   ( QUAD0_RX1_ch_rxrsv0),
       .QUAD0_RX1_rxrsv1                   ( QUAD0_RX1_ch_rxrsv1),
       .QUAD0_RX1_rxrsv2                   ( QUAD0_RX1_ch_rxrsv2),
       .QUAD0_RX1_bufstatus                ( QUAD0_RX1_ch_rxbufstatus),
       .QUAD0_RX1_cdrlock                  ( QUAD0_RX1_ch_rxcdrlock),
       .QUAD0_RX1_cdrphdone                ( QUAD0_RX1_ch_rxcdrphdone),
       .QUAD0_RX1_data                     ( QUAD0_RX1_ch_rxdata),
       .QUAD0_RX1_pmaresetdone             ( QUAD0_RX1_ch_rxpmaresetdone),
       .QUAD0_RX1_prbserr                  ( QUAD0_RX1_ch_rxprbserr),
       .QUAD0_RX1_prbslocked               ( QUAD0_RX1_ch_rxprbslocked),
       .QUAD0_RX1_progdivresetdone         ( QUAD0_RX1_ch_rxprogdivresetdone),
       .QUAD0_RX1_resetdone                ( QUAD0_RX1_ch_rxresetdone),
       .QUAD0_RX1_gtrxreset                ( QUAD0_RX1_ch_gtrxreset),
       .QUAD0_RX1_cdrhold                  ( QUAD0_RX1_ch_rxcdrhold),
       .QUAD0_RX1_cdrovrden                ( QUAD0_RX1_ch_rxcdrovrden),
       .QUAD0_RX1_cdrreset                 ( QUAD0_RX1_ch_rxcdrreset),
       .QUAD0_RX1_latclk                   ( QUAD0_RX1_ch_rxlatclk),
       .QUAD0_RX1_pcsresetmask             ( QUAD0_RX1_ch_rxpcsresetmask),
       .QUAD0_RX1_pd                       ( QUAD0_RX1_ch_rxpd),
       .QUAD0_RX1_pmaresetmask             ( QUAD0_RX1_ch_rxpmaresetmask),
       .QUAD0_RX1_polarity                 ( QUAD0_RX1_ch_rxpolarity),
       .QUAD0_RX1_prbscntreset             ( QUAD0_RX1_ch_rxprbscntreset),
       .QUAD0_RX1_prbssel                  ( QUAD0_RX1_ch_rxprbssel),
       .QUAD0_RX1_progdivreset             ( QUAD0_RX1_ch_rxprogdivreset),
       .QUAD0_RX1_rate                     ( QUAD0_RX1_ch_rxrate),
       .QUAD0_RX1_resetmode                ( QUAD0_RX1_ch_rxresetmode),
       .QUAD0_RX1_userrdy                  ( QUAD0_RX1_ch_rxuserrdy),
       .QUAD0_RX1_usrclk                   ( QUAD0_RX1_usrclk),
       .QUAD0_RX1_mstresetdone             ( QUAD0_RX1_ch_rxmstresetdone),
       .QUAD0_RX1_mstreset                 ( QUAD0_RX1_ch_rxmstreset),
       .QUAD0_RX1_mstdatapathreset         ( QUAD0_RX1_ch_rxmstdatapathreset),

       .QUAD0_TX1_debugpcsout              ( QUAD0_TX1_ch_txdebugpcsout),
       .QUAD0_TX1_precursor2               ( QUAD0_TX1_ch_txprecursor2),
       .QUAD0_TX1_precursor3               ( QUAD0_TX1_ch_txprecursor3),
       .QUAD0_TX1_txrsv0                   ( QUAD0_TX1_ch_txrsv0),
       .QUAD0_TX1_txrsv1                   ( QUAD0_TX1_ch_txrsv1),
       .QUAD0_TX1_perst                    ( QUAD0_TX1_ch_txperst),
       .QUAD0_TX1_qprbsen                  ( QUAD0_TX1_ch_txqprbsen),
       .QUAD0_TX1_bufstatus                ( QUAD0_TX1_ch_txbufstatus),
       .QUAD0_TX1_dccdone                  ( QUAD0_TX1_ch_txdccdone),
       .QUAD0_TX1_pmaresetdone             ( QUAD0_TX1_ch_txpmaresetdone),
       .QUAD0_TX1_progdivresetdone         ( QUAD0_TX1_ch_txprogdivresetdone),
       .QUAD0_TX1_resetdone                ( QUAD0_TX1_ch_txresetdone),
       .QUAD0_TX1_gttxreset                ( QUAD0_TX1_ch_gttxreset),
       .QUAD0_TX1_data                     ( QUAD0_TX1_ch_txdata),
       .QUAD0_TX1_inhibit                  ( QUAD0_TX1_ch_txinhibit),
       .QUAD0_TX1_latclk                   ( QUAD0_TX1_ch_txlatclk),
       .QUAD0_TX1_maincursor               ( QUAD0_TX1_ch_txmaincursor),
       .QUAD0_TX1_pcsresetmask             ( QUAD0_TX1_ch_txpcsresetmask),
       .QUAD0_TX1_pd                       ( QUAD0_TX1_ch_txpd),
       .QUAD0_TX1_pisopd                   ( QUAD0_TX1_ch_txpisopd),
       .QUAD0_TX1_pmaresetmask             ( QUAD0_TX1_ch_txpmaresetmask),
       .QUAD0_TX1_polarity                 ( QUAD0_TX1_ch_txpolarity),
       .QUAD0_TX1_postcursor               ( QUAD0_TX1_ch_txpostcursor),
       .QUAD0_TX1_prbsforceerr             ( QUAD0_TX1_ch_txprbsforceerr),
       .QUAD0_TX1_prbssel                  ( QUAD0_TX1_ch_txprbssel),
       .QUAD0_TX1_precursor                ( QUAD0_TX1_ch_txprecursor),
       .QUAD0_TX1_progdivreset             ( QUAD0_TX1_ch_txprogdivreset),
       .QUAD0_TX1_rate                     ( QUAD0_TX1_ch_txrate),
       .QUAD0_TX1_resetmode                ( QUAD0_TX1_ch_txresetmode),
       .QUAD0_TX1_userrdy                  ( QUAD0_TX1_ch_txuserrdy),
       .QUAD0_TX1_usrclk                   ( QUAD0_TX1_usrclk),
       .QUAD0_TX1_mstresetdone             ( QUAD0_TX1_ch_txmstresetdone),
       .QUAD0_TX1_mstreset                 ( QUAD0_TX1_ch_txmstreset),
       .QUAD0_TX1_mstdatapathreset         ( QUAD0_TX1_ch_txmstdatapathreset),
       .QUAD0_RX2_debugpcsout              ( QUAD0_RX2_ch_rxdebugpcsout),
       .QUAD0_RX2_perst                    ( QUAD0_RX2_ch_rxperst),
       .QUAD0_RX2_prbscntstop              ( QUAD0_RX2_ch_rxprbscntstop),
       .QUAD0_RX2_qprbsen                  ( QUAD0_RX2_ch_rxqprbsen),
       .QUAD0_RX2_rxrsv0                   ( QUAD0_RX2_ch_rxrsv0),
       .QUAD0_RX2_rxrsv1                   ( QUAD0_RX2_ch_rxrsv1),
       .QUAD0_RX2_rxrsv2                   ( QUAD0_RX2_ch_rxrsv2),
       .QUAD0_RX2_bufstatus                ( QUAD0_RX2_ch_rxbufstatus),
       .QUAD0_RX2_cdrlock                  ( QUAD0_RX2_ch_rxcdrlock),
       .QUAD0_RX2_cdrphdone                ( QUAD0_RX2_ch_rxcdrphdone),
       .QUAD0_RX2_data                     ( QUAD0_RX2_ch_rxdata),
       .QUAD0_RX2_pmaresetdone             ( QUAD0_RX2_ch_rxpmaresetdone),
       .QUAD0_RX2_prbserr                  ( QUAD0_RX2_ch_rxprbserr),
       .QUAD0_RX2_prbslocked               ( QUAD0_RX2_ch_rxprbslocked),
       .QUAD0_RX2_progdivresetdone         ( QUAD0_RX2_ch_rxprogdivresetdone),
       .QUAD0_RX2_resetdone                ( QUAD0_RX2_ch_rxresetdone),
       .QUAD0_RX2_gtrxreset                ( QUAD0_RX2_ch_gtrxreset),
       .QUAD0_RX2_cdrhold                  ( QUAD0_RX2_ch_rxcdrhold),
       .QUAD0_RX2_cdrovrden                ( QUAD0_RX2_ch_rxcdrovrden),
       .QUAD0_RX2_cdrreset                 ( QUAD0_RX2_ch_rxcdrreset),
       .QUAD0_RX2_latclk                   ( QUAD0_RX2_ch_rxlatclk),
       .QUAD0_RX2_pcsresetmask             ( QUAD0_RX2_ch_rxpcsresetmask),
       .QUAD0_RX2_pd                       ( QUAD0_RX2_ch_rxpd),
       .QUAD0_RX2_pmaresetmask             ( QUAD0_RX2_ch_rxpmaresetmask),
       .QUAD0_RX2_polarity                 ( QUAD0_RX2_ch_rxpolarity),
       .QUAD0_RX2_prbscntreset             ( QUAD0_RX2_ch_rxprbscntreset),
       .QUAD0_RX2_prbssel                  ( QUAD0_RX2_ch_rxprbssel),
       .QUAD0_RX2_progdivreset             ( QUAD0_RX2_ch_rxprogdivreset),
       .QUAD0_RX2_rate                     ( QUAD0_RX2_ch_rxrate),
       .QUAD0_RX2_resetmode                ( QUAD0_RX2_ch_rxresetmode),
       .QUAD0_RX2_userrdy                  ( QUAD0_RX2_ch_rxuserrdy),
       .QUAD0_RX2_usrclk                   ( QUAD0_RX2_usrclk),
       .QUAD0_RX2_mstresetdone             ( QUAD0_RX2_ch_rxmstresetdone),
       .QUAD0_RX2_mstreset                 ( QUAD0_RX2_ch_rxmstreset),
       .QUAD0_RX2_mstdatapathreset         ( QUAD0_RX2_ch_rxmstdatapathreset),

       .QUAD0_TX2_debugpcsout              ( QUAD0_TX2_ch_txdebugpcsout),
       .QUAD0_TX2_precursor2               ( QUAD0_TX2_ch_txprecursor2),
       .QUAD0_TX2_precursor3               ( QUAD0_TX2_ch_txprecursor3),
       .QUAD0_TX2_txrsv0                   ( QUAD0_TX2_ch_txrsv0),
       .QUAD0_TX2_txrsv1                   ( QUAD0_TX2_ch_txrsv1),
       .QUAD0_TX2_perst                    ( QUAD0_TX2_ch_txperst),
       .QUAD0_TX2_qprbsen                  ( QUAD0_TX2_ch_txqprbsen),
       .QUAD0_TX2_bufstatus                ( QUAD0_TX2_ch_txbufstatus),
       .QUAD0_TX2_dccdone                  ( QUAD0_TX2_ch_txdccdone),
       .QUAD0_TX2_pmaresetdone             ( QUAD0_TX2_ch_txpmaresetdone),
       .QUAD0_TX2_progdivresetdone         ( QUAD0_TX2_ch_txprogdivresetdone),
       .QUAD0_TX2_resetdone                ( QUAD0_TX2_ch_txresetdone),
       .QUAD0_TX2_gttxreset                ( QUAD0_TX2_ch_gttxreset),
       .QUAD0_TX2_data                     ( QUAD0_TX2_ch_txdata),
       .QUAD0_TX2_inhibit                  ( QUAD0_TX2_ch_txinhibit),
       .QUAD0_TX2_latclk                   ( QUAD0_TX2_ch_txlatclk),
       .QUAD0_TX2_maincursor               ( QUAD0_TX2_ch_txmaincursor),
       .QUAD0_TX2_pcsresetmask             ( QUAD0_TX2_ch_txpcsresetmask),
       .QUAD0_TX2_pd                       ( QUAD0_TX2_ch_txpd),
       .QUAD0_TX2_pisopd                   ( QUAD0_TX2_ch_txpisopd),
       .QUAD0_TX2_pmaresetmask             ( QUAD0_TX2_ch_txpmaresetmask),
       .QUAD0_TX2_polarity                 ( QUAD0_TX2_ch_txpolarity),
       .QUAD0_TX2_postcursor               ( QUAD0_TX2_ch_txpostcursor),
       .QUAD0_TX2_prbsforceerr             ( QUAD0_TX2_ch_txprbsforceerr),
       .QUAD0_TX2_prbssel                  ( QUAD0_TX2_ch_txprbssel),
       .QUAD0_TX2_precursor                ( QUAD0_TX2_ch_txprecursor),
       .QUAD0_TX2_progdivreset             ( QUAD0_TX2_ch_txprogdivreset),
       .QUAD0_TX2_rate                     ( QUAD0_TX2_ch_txrate),
       .QUAD0_TX2_resetmode                ( QUAD0_TX2_ch_txresetmode),
       .QUAD0_TX2_userrdy                  ( QUAD0_TX2_ch_txuserrdy),
       .QUAD0_TX2_usrclk                   ( QUAD0_TX2_usrclk),
       .QUAD0_TX2_mstresetdone             ( QUAD0_TX2_ch_txmstresetdone),
       .QUAD0_TX2_mstreset                 ( QUAD0_TX2_ch_txmstreset),
       .QUAD0_TX2_mstdatapathreset         ( QUAD0_TX2_ch_txmstdatapathreset),
       .QUAD0_RX3_debugpcsout              ( QUAD0_RX3_ch_rxdebugpcsout),
       .QUAD0_RX3_perst                    ( QUAD0_RX3_ch_rxperst),
       .QUAD0_RX3_prbscntstop              ( QUAD0_RX3_ch_rxprbscntstop),
       .QUAD0_RX3_qprbsen                  ( QUAD0_RX3_ch_rxqprbsen),
       .QUAD0_RX3_rxrsv0                   ( QUAD0_RX3_ch_rxrsv0),
       .QUAD0_RX3_rxrsv1                   ( QUAD0_RX3_ch_rxrsv1),
       .QUAD0_RX3_rxrsv2                   ( QUAD0_RX3_ch_rxrsv2),
       .QUAD0_RX3_bufstatus                ( QUAD0_RX3_ch_rxbufstatus),
       .QUAD0_RX3_cdrlock                  ( QUAD0_RX3_ch_rxcdrlock),
       .QUAD0_RX3_cdrphdone                ( QUAD0_RX3_ch_rxcdrphdone),
       .QUAD0_RX3_data                     ( QUAD0_RX3_ch_rxdata),
       .QUAD0_RX3_pmaresetdone             ( QUAD0_RX3_ch_rxpmaresetdone),
       .QUAD0_RX3_prbserr                  ( QUAD0_RX3_ch_rxprbserr),
       .QUAD0_RX3_prbslocked               ( QUAD0_RX3_ch_rxprbslocked),
       .QUAD0_RX3_progdivresetdone         ( QUAD0_RX3_ch_rxprogdivresetdone),
       .QUAD0_RX3_resetdone                ( QUAD0_RX3_ch_rxresetdone),
       .QUAD0_RX3_gtrxreset                ( QUAD0_RX3_ch_gtrxreset),
       .QUAD0_RX3_cdrhold                  ( QUAD0_RX3_ch_rxcdrhold),
       .QUAD0_RX3_cdrovrden                ( QUAD0_RX3_ch_rxcdrovrden),
       .QUAD0_RX3_cdrreset                 ( QUAD0_RX3_ch_rxcdrreset),
       .QUAD0_RX3_latclk                   ( QUAD0_RX3_ch_rxlatclk),
       .QUAD0_RX3_pcsresetmask             ( QUAD0_RX3_ch_rxpcsresetmask),
       .QUAD0_RX3_pd                       ( QUAD0_RX3_ch_rxpd),
       .QUAD0_RX3_pmaresetmask             ( QUAD0_RX3_ch_rxpmaresetmask),
       .QUAD0_RX3_polarity                 ( QUAD0_RX3_ch_rxpolarity),
       .QUAD0_RX3_prbscntreset             ( QUAD0_RX3_ch_rxprbscntreset),
       .QUAD0_RX3_prbssel                  ( QUAD0_RX3_ch_rxprbssel),
       .QUAD0_RX3_progdivreset             ( QUAD0_RX3_ch_rxprogdivreset),
       .QUAD0_RX3_rate                     ( QUAD0_RX3_ch_rxrate),
       .QUAD0_RX3_resetmode                ( QUAD0_RX3_ch_rxresetmode),
       .QUAD0_RX3_userrdy                  ( QUAD0_RX3_ch_rxuserrdy),
       .QUAD0_RX3_usrclk                   ( QUAD0_RX3_usrclk),
       .QUAD0_RX3_mstresetdone             ( QUAD0_RX3_ch_rxmstresetdone),
       .QUAD0_RX3_mstreset                 ( QUAD0_RX3_ch_rxmstreset),
       .QUAD0_RX3_mstdatapathreset         ( QUAD0_RX3_ch_rxmstdatapathreset),

       .QUAD0_TX3_debugpcsout              ( QUAD0_TX3_ch_txdebugpcsout),
       .QUAD0_TX3_precursor2               ( QUAD0_TX3_ch_txprecursor2),
       .QUAD0_TX3_precursor3               ( QUAD0_TX3_ch_txprecursor3),
       .QUAD0_TX3_txrsv0                   ( QUAD0_TX3_ch_txrsv0),
       .QUAD0_TX3_txrsv1                   ( QUAD0_TX3_ch_txrsv1),
       .QUAD0_TX3_perst                    ( QUAD0_TX3_ch_txperst),
       .QUAD0_TX3_qprbsen                  ( QUAD0_TX3_ch_txqprbsen),
       .QUAD0_TX3_bufstatus                ( QUAD0_TX3_ch_txbufstatus),
       .QUAD0_TX3_dccdone                  ( QUAD0_TX3_ch_txdccdone),
       .QUAD0_TX3_pmaresetdone             ( QUAD0_TX3_ch_txpmaresetdone),
       .QUAD0_TX3_progdivresetdone         ( QUAD0_TX3_ch_txprogdivresetdone),
       .QUAD0_TX3_resetdone                ( QUAD0_TX3_ch_txresetdone),
       .QUAD0_TX3_gttxreset                ( QUAD0_TX3_ch_gttxreset),
       .QUAD0_TX3_data                     ( QUAD0_TX3_ch_txdata),
       .QUAD0_TX3_inhibit                  ( QUAD0_TX3_ch_txinhibit),
       .QUAD0_TX3_latclk                   ( QUAD0_TX3_ch_txlatclk),
       .QUAD0_TX3_maincursor               ( QUAD0_TX3_ch_txmaincursor),
       .QUAD0_TX3_pcsresetmask             ( QUAD0_TX3_ch_txpcsresetmask),
       .QUAD0_TX3_pd                       ( QUAD0_TX3_ch_txpd),
       .QUAD0_TX3_pisopd                   ( QUAD0_TX3_ch_txpisopd),
       .QUAD0_TX3_pmaresetmask             ( QUAD0_TX3_ch_txpmaresetmask),
       .QUAD0_TX3_polarity                 ( QUAD0_TX3_ch_txpolarity),
       .QUAD0_TX3_postcursor               ( QUAD0_TX3_ch_txpostcursor),
       .QUAD0_TX3_prbsforceerr             ( QUAD0_TX3_ch_txprbsforceerr),
       .QUAD0_TX3_prbssel                  ( QUAD0_TX3_ch_txprbssel),
       .QUAD0_TX3_precursor                ( QUAD0_TX3_ch_txprecursor),
       .QUAD0_TX3_progdivreset             ( QUAD0_TX3_ch_txprogdivreset),
       .QUAD0_TX3_rate                     ( QUAD0_TX3_ch_txrate),
       .QUAD0_TX3_resetmode                ( QUAD0_TX3_ch_txresetmode),
       .QUAD0_TX3_userrdy                  ( QUAD0_TX3_ch_txuserrdy),
       .QUAD0_TX3_usrclk                   ( QUAD0_TX3_usrclk),
       .QUAD0_TX3_mstresetdone             ( QUAD0_TX3_ch_txmstresetdone),
       .QUAD0_TX3_mstreset                 ( QUAD0_TX3_ch_txmstreset),
       .QUAD0_TX3_mstdatapathreset         ( QUAD0_TX3_ch_txmstdatapathreset),

       .QUAD0_gtpowergood                  ( QUAD0_gtpowergood)

);
endmodule
