// (c) Copyright 2023 Advanced Micro Devices, Inc. All rights reserved.
//
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
//
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
//
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
//
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
//-----------------------------------------------------------------
`timescale 1ns / 1fs
module my_gtm_example_top  
(
			input QUAD0_GTREFCLK0_in_p ,
			input QUAD0_GTREFCLK0_in_n ,
//			input QUAD0_GTREFCLK1_in_p ,
//			input QUAD0_GTREFCLK1_in_n ,
			input    [3:0]  QUAD0_rxp ,
			input    [3:0]  QUAD0_rxn ,
			output   [3:0]  QUAD0_txp ,
			output   [3:0]  QUAD0_txn ,
			output          INTF0_link_status_out,
			output          INTF0_rst_tx_done_out,
			input           gtwiz_INTF0_rst_tx_datapath_in,
      output INTF0_TX_usrclk,
			output          INTF0_rst_rx_done_out,
			input           gtwiz_INTF0_rst_rx_datapath_in ,
      output INTF0_RX_usrclk,
			input    [3:0]  intf0_rate_sel,
			input           intf0_gpio_enable,
			input           gtwiz_INTF0_rst_all_in ,
			output          INTF1_link_status_out,
			output          INTF1_rst_tx_done_out,
			input           gtwiz_INTF1_rst_tx_datapath_in,
      output INTF1_TX_usrclk,
			output          INTF1_rst_rx_done_out,
			input           gtwiz_INTF1_rst_rx_datapath_in ,
      output INTF1_RX_usrclk,
			input    [3:0]  intf1_rate_sel,
			input           intf1_gpio_enable,
			input           gtwiz_INTF1_rst_all_in ,
			input wire      gtwiz_freerun_clock,
			output          gt_powergood

);

//Versal GT Wiz ports declaration
wire  [255:0]     INTF0_TX0_ch_txdata ;
wire  [2:0]       INTF0_TX0_ch_txbufstatus ;
wire              INTF0_TX0_ch_txdccdone ;
wire               INTF0_TX0_ch_gttxreset = 0 ;
wire              INTF0_TX0_ch_txdebugpcsout ;
wire              INTF0_TX0_ch_txprogdivresetdone ;
wire              INTF0_TX0_ch_txresetdone ;
wire               INTF0_TX0_ch_txinhibit = 0 ;
wire               INTF0_TX0_ch_txlatclk = 0 ;
wire   [6:0]       INTF0_TX0_ch_txmaincursor = 77 ;
wire               INTF0_TX0_ch_txpcsresetmask = 1 ;
wire   [1:0]       INTF0_TX0_ch_txpd = 0 ;
wire               INTF0_TX0_ch_txpisopd = 0 ;
wire   [1:0]       INTF0_TX0_ch_txpmaresetmask = 3 ;
wire               INTF0_TX0_ch_txpolarity = 0 ;
wire   [5:0]       INTF0_TX0_ch_txpostcursor = 0 ;
wire               INTF0_TX0_ch_txprbsforceerr = 0 ;
wire   [3:0]       INTF0_TX0_ch_txprbssel = 0 ;
wire   [5:0]       INTF0_TX0_ch_txprecursor = 0 ;
wire   [5:0]       INTF0_TX0_ch_txprecursor2 = 0 ;
wire   [5:0]       INTF0_TX0_ch_txprecursor3 = 0 ;
wire               INTF0_TX0_ch_txprogdivreset = 0 ;
wire  [7:0]       INTF0_TX0_ch_txrate ;
wire   [1:0]       INTF0_TX0_ch_txresetmode = 0 ;
wire   [4:0]       INTF0_TX0_ch_txrsv0 = 0 ;
wire   [3:0]       INTF0_TX0_ch_txrsv1 = 0 ;
wire               INTF0_TX0_ch_txperst = 0 ;
wire               INTF0_TX0_ch_txqprbsen = 0 ;
wire  [255:0]     INTF1_TX0_ch_txdata ;
wire  [2:0]       INTF1_TX0_ch_txbufstatus ;
wire              INTF1_TX0_ch_txdccdone ;
wire               INTF1_TX0_ch_gttxreset = 0 ;
wire              INTF1_TX0_ch_txdebugpcsout ;
wire              INTF1_TX0_ch_txprogdivresetdone ;
wire              INTF1_TX0_ch_txresetdone ;
wire               INTF1_TX0_ch_txinhibit = 0 ;
wire               INTF1_TX0_ch_txlatclk = 0 ;
wire   [6:0]       INTF1_TX0_ch_txmaincursor = 77 ;
wire               INTF1_TX0_ch_txpcsresetmask = 1 ;
wire   [1:0]       INTF1_TX0_ch_txpd = 0 ;
wire               INTF1_TX0_ch_txpisopd = 0 ;
wire   [1:0]       INTF1_TX0_ch_txpmaresetmask = 3 ;
wire               INTF1_TX0_ch_txpolarity = 0 ;
wire   [5:0]       INTF1_TX0_ch_txpostcursor = 0 ;
wire               INTF1_TX0_ch_txprbsforceerr = 0 ;
wire   [3:0]       INTF1_TX0_ch_txprbssel = 0 ;
wire   [5:0]       INTF1_TX0_ch_txprecursor = 0 ;
wire   [5:0]       INTF1_TX0_ch_txprecursor2 = 0 ;
wire   [5:0]       INTF1_TX0_ch_txprecursor3 = 0 ;
wire               INTF1_TX0_ch_txprogdivreset = 0 ;
wire  [7:0]       INTF1_TX0_ch_txrate ;
wire   [1:0]       INTF1_TX0_ch_txresetmode = 0 ;
wire   [4:0]       INTF1_TX0_ch_txrsv0 = 0 ;
wire   [3:0]       INTF1_TX0_ch_txrsv1 = 0 ;
wire               INTF1_TX0_ch_txperst = 0 ;
wire               INTF1_TX0_ch_txqprbsen = 0 ;

wire  [2:0]       INTF0_RX0_ch_rxbufstatus ;
wire              INTF0_RX0_ch_rxcdrlock ;
wire              INTF0_RX0_ch_rxdebugpcsout ;
wire              INTF0_RX0_ch_rxprbserr ;
wire              INTF0_RX0_ch_rxprbslocked ;
wire               INTF0_RX0_ch_rxcdrhold = 0 ;
wire   [7:0]       INTF0_RX0_ch_rxcdrovrden = 0 ;
wire               INTF0_RX0_ch_rxlatclk = 0 ;
wire   [2:0]       INTF0_RX0_ch_rxpcsresetmask = 7 ;
wire   [1:0]       INTF0_RX0_ch_rxpd = 0 ;
wire               INTF0_RX0_ch_rxperst = 0 ;
wire   [7:0]       INTF0_RX0_ch_rxpmaresetmask = 255 ;
wire               INTF0_RX0_ch_rxpolarity = 0 ;
wire               INTF0_RX0_ch_rxprbscntreset = 0 ;
wire               INTF0_RX0_ch_rxqprbsen = 0 ;
wire  [7:0]       INTF0_RX0_ch_rxrate ;
wire   [1:0]       INTF0_RX0_ch_rxresetmode = 0 ;
wire               INTF0_RX0_ch_rxrsv0 = 0 ;
wire               INTF0_RX0_ch_rxrsv1 = 0 ;
wire               INTF0_RX0_ch_rxrsv2 = 0 ;
wire  [255:0]     INTF0_RX0_ch_rxdata ;
wire              INTF0_RX0_ch_rxcdrphdone ;
wire               INTF0_RX0_ch_gtrxreset = 0 ;
wire              INTF0_RX0_ch_rxprogdivresetdone ;
wire              INTF0_RX0_ch_rxresetdone ;
wire   [7:0]       INTF0_RX0_ch_rxcdrreset = 0 ;
wire               INTF0_RX0_ch_rxprbscntstop = 0 ;
wire   [3:0]       INTF0_RX0_ch_rxprbssel = 0 ;
wire               INTF0_RX0_ch_rxprogdivreset = 0 ;
wire  [2:0]       INTF1_RX0_ch_rxbufstatus ;
wire              INTF1_RX0_ch_rxcdrlock ;
wire              INTF1_RX0_ch_rxdebugpcsout ;
wire              INTF1_RX0_ch_rxprbserr ;
wire              INTF1_RX0_ch_rxprbslocked ;
wire               INTF1_RX0_ch_rxcdrhold = 0 ;
wire   [7:0]       INTF1_RX0_ch_rxcdrovrden = 0 ;
wire               INTF1_RX0_ch_rxlatclk = 0 ;
wire   [2:0]       INTF1_RX0_ch_rxpcsresetmask = 7 ;
wire   [1:0]       INTF1_RX0_ch_rxpd = 0 ;
wire               INTF1_RX0_ch_rxperst = 0 ;
wire   [7:0]       INTF1_RX0_ch_rxpmaresetmask = 255 ;
wire               INTF1_RX0_ch_rxpolarity = 0 ;
wire               INTF1_RX0_ch_rxprbscntreset = 0 ;
wire               INTF1_RX0_ch_rxqprbsen = 0 ;
wire  [7:0]       INTF1_RX0_ch_rxrate ;
wire   [1:0]       INTF1_RX0_ch_rxresetmode = 0 ;
wire               INTF1_RX0_ch_rxrsv0 = 0 ;
wire               INTF1_RX0_ch_rxrsv1 = 0 ;
wire               INTF1_RX0_ch_rxrsv2 = 0 ;
wire  [255:0]     INTF1_RX0_ch_rxdata ;
wire              INTF1_RX0_ch_rxcdrphdone ;
wire               INTF1_RX0_ch_gtrxreset = 0 ;
wire              INTF1_RX0_ch_rxprogdivresetdone ;
wire              INTF1_RX0_ch_rxresetdone ;
wire   [7:0]       INTF1_RX0_ch_rxcdrreset = 0 ;
wire               INTF1_RX0_ch_rxprbscntstop = 0 ;
wire   [3:0]       INTF1_RX0_ch_rxprbssel = 0 ;
wire               INTF1_RX0_ch_rxprogdivreset = 0 ;

//Versal GT Wiz quad ports declaration
       // GPIO
       wire  [31:0] QUAD0_gpi ;
       wire [31:0] QUAD0_gpo ;
 
 
       // APB3 Interface
  
  
 
  
 
 
  
 
  
  
  
 
  
 
 
  
 
  

//prbs generator checker port declaration
//prbs generator checker mandatory port declaration
 wire intf0_gpo_in;
 wire intf0_gpi_out;
wire  [255:0]     intf0_ch0_txdata;
wire  [7:0]       intf0_ch0_txrate;
wire  [255:0]     intf0_ch0_rxdata;
wire  [7:0]       intf0_ch0_rxrate;
 wire intf1_gpo_in;
 wire intf1_gpi_out;
wire  [255:0]     intf1_ch0_txdata;
wire  [7:0]       intf1_ch0_txrate;
wire  [255:0]     intf1_ch0_rxdata;
wire  [7:0]       intf1_ch0_rxrate;
wire prbs_gen_check_apb3clk;
// gt free running clock declaration
//GT Refclk declaration
wire QUAD0_GTREFCLK0 ; 
wire QUAD0_GTREFCLK1 ; 


wire INTF0_TX_clr_out;
wire INTF0_RX_clr_out;

//reset IP connections
reg INTF0_rst_tx_pll_and_datapath_in = 1'b0;
reg INTF0_rst_rx_pll_and_datapath_in = 1'b0;
wire INTF1_TX_clr_out;
wire INTF1_RX_clr_out;

//reset IP connections
reg INTF1_rst_tx_pll_and_datapath_in = 1'b0;
reg INTF1_rst_rx_pll_and_datapath_in = 1'b0;
 
// INTF0_RX bufg instance 
my_gtm_example_bufg_gt  INTF0_RX_bufg_gt (
        .outclk ( QUAD0_RX0_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF0_RX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF0_RX_usrclk)
);
// connect INTF0_RX_usrclk to quad rx user clocks 
	wire QUAD0_RX0_usrclk = INTF0_RX_usrclk;
 
 
//  INTF0_TX bufg instance 
// wire INTF0_TX_usrclk;
my_gtm_example_bufg_gt  INTF0_TX_bufg_gt (
        .outclk ( QUAD0_TX0_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF0_TX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF0_TX_usrclk)
);
// connect INTF0_TX_usrclk to quad tx user clocks 
	wire QUAD0_TX0_usrclk = INTF0_TX_usrclk;
 
// INTF1_RX bufg instance 
my_gtm_example_bufg_gt  INTF1_RX_bufg_gt (
        .outclk ( QUAD0_RX3_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF1_RX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF1_RX_usrclk)
);
// connect INTF1_RX_usrclk to quad rx user clocks 
	wire QUAD0_RX3_usrclk = INTF1_RX_usrclk;
 
 
//  INTF1_TX bufg instance 
// wire INTF1_TX_usrclk;
my_gtm_example_bufg_gt  INTF1_TX_bufg_gt (
        .outclk ( QUAD0_TX3_outclk),
        .gt_bufgtce (1'b1),
        .gt_bufgtcemask (1'b0),
        .gt_bufgtclr ( INTF1_TX_clr_out),
        .gt_bufgtclrmask (1'b0),
        .gt_bufgtdiv (3'd0),
        .usrclk ( INTF1_TX_usrclk)
);
// connect INTF1_TX_usrclk to quad tx user clocks 
	wire QUAD0_TX3_usrclk = INTF1_TX_usrclk;
wire QUAD0_TX1_usrclk = 1'b0;
wire QUAD0_RX1_usrclk = 1'b0;
wire QUAD0_TX2_usrclk = 1'b0;
wire QUAD0_RX2_usrclk = 1'b0;

//Assignments
assign prbs_gen_check_apb3clk = gtwiz_freerun_clock;
//Prbs generator checker - Versal GT Wiz mandate ports connections 
assign INTF0_TX0_ch_txdata = intf0_ch0_txdata;
assign  INTF0_TX0_ch_gttxreset = 0 ;
assign  INTF0_TX0_ch_txinhibit = 0 ;
assign  INTF0_TX0_ch_txlatclk = 0 ;
assign  INTF0_TX0_ch_txmaincursor = 77 ;
assign  INTF0_TX0_ch_txpcsresetmask = 1 ;
assign  INTF0_TX0_ch_txpd = 0 ;
assign  INTF0_TX0_ch_txpisopd = 0 ;
assign  INTF0_TX0_ch_txpmaresetmask = 3 ;
assign  INTF0_TX0_ch_txpolarity = 0 ;
assign  INTF0_TX0_ch_txpostcursor = 0 ;
assign  INTF0_TX0_ch_txprbsforceerr = 0 ;
assign  INTF0_TX0_ch_txprbssel = 0 ;
assign  INTF0_TX0_ch_txprecursor = 0 ;
assign  INTF0_TX0_ch_txprecursor2 = 0 ;
assign  INTF0_TX0_ch_txprecursor3 = 0 ;
assign  INTF0_TX0_ch_txprogdivreset = 0 ;
assign INTF0_TX0_ch_txrate = intf0_ch0_txrate;
assign  INTF0_TX0_ch_txresetmode = 0 ;
assign  INTF0_TX0_ch_txrsv0 = 0 ;
assign  INTF0_TX0_ch_txrsv1 = 0 ;
assign  INTF0_TX0_ch_txperst = 0 ;
assign  INTF0_TX0_ch_txqprbsen = 0 ;
assign INTF1_TX0_ch_txdata = intf1_ch0_txdata;
assign  INTF1_TX0_ch_gttxreset = 0 ;
assign  INTF1_TX0_ch_txinhibit = 0 ;
assign  INTF1_TX0_ch_txlatclk = 0 ;
assign  INTF1_TX0_ch_txmaincursor = 77 ;
assign  INTF1_TX0_ch_txpcsresetmask = 1 ;
assign  INTF1_TX0_ch_txpd = 0 ;
assign  INTF1_TX0_ch_txpisopd = 0 ;
assign  INTF1_TX0_ch_txpmaresetmask = 3 ;
assign  INTF1_TX0_ch_txpolarity = 0 ;
assign  INTF1_TX0_ch_txpostcursor = 0 ;
assign  INTF1_TX0_ch_txprbsforceerr = 0 ;
assign  INTF1_TX0_ch_txprbssel = 0 ;
assign  INTF1_TX0_ch_txprecursor = 0 ;
assign  INTF1_TX0_ch_txprecursor2 = 0 ;
assign  INTF1_TX0_ch_txprecursor3 = 0 ;
assign  INTF1_TX0_ch_txprogdivreset = 0 ;
assign INTF1_TX0_ch_txrate = intf1_ch0_txrate;
assign  INTF1_TX0_ch_txresetmode = 0 ;
assign  INTF1_TX0_ch_txrsv0 = 0 ;
assign  INTF1_TX0_ch_txrsv1 = 0 ;
assign  INTF1_TX0_ch_txperst = 0 ;
assign  INTF1_TX0_ch_txqprbsen = 0 ;

assign  INTF0_RX0_ch_rxcdrhold = 0 ;
assign  INTF0_RX0_ch_rxcdrovrden = 0 ;
assign  INTF0_RX0_ch_rxlatclk = 0 ;
assign  INTF0_RX0_ch_rxpcsresetmask = 7 ;
assign  INTF0_RX0_ch_rxpd = 0 ;
assign  INTF0_RX0_ch_rxperst = 0 ;
assign  INTF0_RX0_ch_rxpmaresetmask = 255 ;
assign  INTF0_RX0_ch_rxpolarity = 0 ;
assign  INTF0_RX0_ch_rxprbscntreset = 0 ;
assign  INTF0_RX0_ch_rxqprbsen = 0 ;
assign INTF0_RX0_ch_rxrate = intf0_ch0_rxrate;
assign  INTF0_RX0_ch_rxresetmode = 0 ;
assign  INTF0_RX0_ch_rxrsv0 = 0 ;
assign  INTF0_RX0_ch_rxrsv1 = 0 ;
assign  INTF0_RX0_ch_rxrsv2 = 0 ;
assign intf0_ch0_rxdata = INTF0_RX0_ch_rxdata ;
assign  INTF0_RX0_ch_gtrxreset = 0 ;
assign  INTF0_RX0_ch_rxcdrreset = 0 ;
assign  INTF0_RX0_ch_rxprbscntstop = 0 ;
assign  INTF0_RX0_ch_rxprbssel = 0 ;
assign  INTF0_RX0_ch_rxprogdivreset = 0 ;
assign  INTF1_RX0_ch_rxcdrhold = 0 ;
assign  INTF1_RX0_ch_rxcdrovrden = 0 ;
assign  INTF1_RX0_ch_rxlatclk = 0 ;
assign  INTF1_RX0_ch_rxpcsresetmask = 7 ;
assign  INTF1_RX0_ch_rxpd = 0 ;
assign  INTF1_RX0_ch_rxperst = 0 ;
assign  INTF1_RX0_ch_rxpmaresetmask = 255 ;
assign  INTF1_RX0_ch_rxpolarity = 0 ;
assign  INTF1_RX0_ch_rxprbscntreset = 0 ;
assign  INTF1_RX0_ch_rxqprbsen = 0 ;
assign INTF1_RX0_ch_rxrate = intf1_ch0_rxrate;
assign  INTF1_RX0_ch_rxresetmode = 0 ;
assign  INTF1_RX0_ch_rxrsv0 = 0 ;
assign  INTF1_RX0_ch_rxrsv1 = 0 ;
assign  INTF1_RX0_ch_rxrsv2 = 0 ;
assign intf1_ch0_rxdata = INTF1_RX0_ch_rxdata ;
assign  INTF1_RX0_ch_gtrxreset = 0 ;
assign  INTF1_RX0_ch_rxcdrreset = 0 ;
assign  INTF1_RX0_ch_rxprbscntstop = 0 ;
assign  INTF1_RX0_ch_rxprbssel = 0 ;
assign  INTF1_RX0_ch_rxprogdivreset = 0 ;

wire [1 -1:0] intf0_gpo_in_int ;
wire [1 -1:0] intf1_gpo_in_int ;
assign intf0_gpo_in_int[0] = QUAD0_gpo[0];
assign QUAD0_gpi[0] = intf0_gpi_out;
assign QUAD0_gpi[0+4] = 'b0;
 assign intf0_gpo_in = &intf0_gpo_in_int;
assign intf1_gpo_in_int[0] = QUAD0_gpo[3];
assign QUAD0_gpi[3] = intf1_gpi_out;
assign QUAD0_gpi[3+4] = 'b0;
 assign intf1_gpo_in = &intf1_gpo_in_int;

assign QUAD0_gpi[31:8] = 24'b0;
assign QUAD0_gpi[1] = 1'b0;
assign QUAD0_gpi[5] = 1'b0;
assign QUAD0_gpi[2] = 1'b0;
assign QUAD0_gpi[6] = 1'b0;



//Versal GT Wiz instance
my_gtm 
 dut_inst (
.INTF0_TX0_ch_txdata(INTF0_TX0_ch_txdata) ,
.INTF0_TX0_ch_txbufstatus(INTF0_TX0_ch_txbufstatus) ,
.INTF0_TX0_ch_txdccdone(INTF0_TX0_ch_txdccdone) ,
.INTF0_TX0_ch_gttxreset(INTF0_TX0_ch_gttxreset) ,
.INTF0_TX0_ch_txdebugpcsout(INTF0_TX0_ch_txdebugpcsout) ,
.INTF0_TX0_ch_txprogdivresetdone(INTF0_TX0_ch_txprogdivresetdone) ,
.INTF0_TX0_ch_txresetdone(INTF0_TX0_ch_txresetdone) ,
.INTF0_TX0_ch_txinhibit(INTF0_TX0_ch_txinhibit) ,
.INTF0_TX0_ch_txlatclk(INTF0_TX0_ch_txlatclk) ,
.INTF0_TX0_ch_txmaincursor(INTF0_TX0_ch_txmaincursor) ,
.INTF0_TX0_ch_txpcsresetmask(INTF0_TX0_ch_txpcsresetmask) ,
.INTF0_TX0_ch_txpd(INTF0_TX0_ch_txpd) ,
.INTF0_TX0_ch_txpisopd(INTF0_TX0_ch_txpisopd) ,
.INTF0_TX0_ch_txpmaresetmask(INTF0_TX0_ch_txpmaresetmask) ,
.INTF0_TX0_ch_txpolarity(INTF0_TX0_ch_txpolarity) ,
.INTF0_TX0_ch_txpostcursor(INTF0_TX0_ch_txpostcursor) ,
.INTF0_TX0_ch_txprbsforceerr(INTF0_TX0_ch_txprbsforceerr) ,
.INTF0_TX0_ch_txprbssel(INTF0_TX0_ch_txprbssel) ,
.INTF0_TX0_ch_txprecursor(INTF0_TX0_ch_txprecursor) ,
.INTF0_TX0_ch_txprecursor2(INTF0_TX0_ch_txprecursor2) ,
.INTF0_TX0_ch_txprecursor3(INTF0_TX0_ch_txprecursor3) ,
.INTF0_TX0_ch_txprogdivreset(INTF0_TX0_ch_txprogdivreset) ,
.INTF0_TX0_ch_txrate(INTF0_TX0_ch_txrate) ,
.INTF0_TX0_ch_txresetmode(INTF0_TX0_ch_txresetmode) ,
.INTF0_TX0_ch_txrsv0(INTF0_TX0_ch_txrsv0) ,
.INTF0_TX0_ch_txrsv1(INTF0_TX0_ch_txrsv1) ,
.INTF0_TX0_ch_txperst(INTF0_TX0_ch_txperst) ,
.INTF0_TX0_ch_txqprbsen(INTF0_TX0_ch_txqprbsen) ,
.INTF1_TX0_ch_txdata(INTF1_TX0_ch_txdata) ,
.INTF1_TX0_ch_txbufstatus(INTF1_TX0_ch_txbufstatus) ,
.INTF1_TX0_ch_txdccdone(INTF1_TX0_ch_txdccdone) ,
.INTF1_TX0_ch_gttxreset(INTF1_TX0_ch_gttxreset) ,
.INTF1_TX0_ch_txdebugpcsout(INTF1_TX0_ch_txdebugpcsout) ,
.INTF1_TX0_ch_txprogdivresetdone(INTF1_TX0_ch_txprogdivresetdone) ,
.INTF1_TX0_ch_txresetdone(INTF1_TX0_ch_txresetdone) ,
.INTF1_TX0_ch_txinhibit(INTF1_TX0_ch_txinhibit) ,
.INTF1_TX0_ch_txlatclk(INTF1_TX0_ch_txlatclk) ,
.INTF1_TX0_ch_txmaincursor(INTF1_TX0_ch_txmaincursor) ,
.INTF1_TX0_ch_txpcsresetmask(INTF1_TX0_ch_txpcsresetmask) ,
.INTF1_TX0_ch_txpd(INTF1_TX0_ch_txpd) ,
.INTF1_TX0_ch_txpisopd(INTF1_TX0_ch_txpisopd) ,
.INTF1_TX0_ch_txpmaresetmask(INTF1_TX0_ch_txpmaresetmask) ,
.INTF1_TX0_ch_txpolarity(INTF1_TX0_ch_txpolarity) ,
.INTF1_TX0_ch_txpostcursor(INTF1_TX0_ch_txpostcursor) ,
.INTF1_TX0_ch_txprbsforceerr(INTF1_TX0_ch_txprbsforceerr) ,
.INTF1_TX0_ch_txprbssel(INTF1_TX0_ch_txprbssel) ,
.INTF1_TX0_ch_txprecursor(INTF1_TX0_ch_txprecursor) ,
.INTF1_TX0_ch_txprecursor2(INTF1_TX0_ch_txprecursor2) ,
.INTF1_TX0_ch_txprecursor3(INTF1_TX0_ch_txprecursor3) ,
.INTF1_TX0_ch_txprogdivreset(INTF1_TX0_ch_txprogdivreset) ,
.INTF1_TX0_ch_txrate(INTF1_TX0_ch_txrate) ,
.INTF1_TX0_ch_txresetmode(INTF1_TX0_ch_txresetmode) ,
.INTF1_TX0_ch_txrsv0(INTF1_TX0_ch_txrsv0) ,
.INTF1_TX0_ch_txrsv1(INTF1_TX0_ch_txrsv1) ,
.INTF1_TX0_ch_txperst(INTF1_TX0_ch_txperst) ,
.INTF1_TX0_ch_txqprbsen(INTF1_TX0_ch_txqprbsen) ,
.INTF0_RX0_ch_rxbufstatus(INTF0_RX0_ch_rxbufstatus) ,
.INTF0_RX0_ch_rxcdrlock(INTF0_RX0_ch_rxcdrlock) ,
.INTF0_RX0_ch_rxdebugpcsout(INTF0_RX0_ch_rxdebugpcsout) ,
.INTF0_RX0_ch_rxprbserr(INTF0_RX0_ch_rxprbserr) ,
.INTF0_RX0_ch_rxprbslocked(INTF0_RX0_ch_rxprbslocked) ,
.INTF0_RX0_ch_rxcdrhold(INTF0_RX0_ch_rxcdrhold) ,
.INTF0_RX0_ch_rxcdrovrden(INTF0_RX0_ch_rxcdrovrden) ,
.INTF0_RX0_ch_rxlatclk(INTF0_RX0_ch_rxlatclk) ,
.INTF0_RX0_ch_rxpcsresetmask(INTF0_RX0_ch_rxpcsresetmask) ,
.INTF0_RX0_ch_rxpd(INTF0_RX0_ch_rxpd) ,
.INTF0_RX0_ch_rxperst(INTF0_RX0_ch_rxperst) ,
.INTF0_RX0_ch_rxpmaresetmask(INTF0_RX0_ch_rxpmaresetmask) ,
.INTF0_RX0_ch_rxpolarity(INTF0_RX0_ch_rxpolarity) ,
.INTF0_RX0_ch_rxprbscntreset(INTF0_RX0_ch_rxprbscntreset) ,
.INTF0_RX0_ch_rxqprbsen(INTF0_RX0_ch_rxqprbsen) ,
.INTF0_RX0_ch_rxrate(INTF0_RX0_ch_rxrate) ,
.INTF0_RX0_ch_rxresetmode(INTF0_RX0_ch_rxresetmode) ,
.INTF0_RX0_ch_rxrsv0(INTF0_RX0_ch_rxrsv0) ,
.INTF0_RX0_ch_rxrsv1(INTF0_RX0_ch_rxrsv1) ,
.INTF0_RX0_ch_rxrsv2(INTF0_RX0_ch_rxrsv2) ,
.INTF0_RX0_ch_rxdata(INTF0_RX0_ch_rxdata) ,
.INTF0_RX0_ch_rxcdrphdone(INTF0_RX0_ch_rxcdrphdone) ,
.INTF0_RX0_ch_gtrxreset(INTF0_RX0_ch_gtrxreset) ,
.INTF0_RX0_ch_rxprogdivresetdone(INTF0_RX0_ch_rxprogdivresetdone) ,
.INTF0_RX0_ch_rxresetdone(INTF0_RX0_ch_rxresetdone) ,
.INTF0_RX0_ch_rxcdrreset(INTF0_RX0_ch_rxcdrreset) ,
.INTF0_RX0_ch_rxprbscntstop(INTF0_RX0_ch_rxprbscntstop) ,
.INTF0_RX0_ch_rxprbssel(INTF0_RX0_ch_rxprbssel) ,
.INTF0_RX0_ch_rxprogdivreset(INTF0_RX0_ch_rxprogdivreset) ,
.INTF1_RX0_ch_rxbufstatus(INTF1_RX0_ch_rxbufstatus) ,
.INTF1_RX0_ch_rxcdrlock(INTF1_RX0_ch_rxcdrlock) ,
.INTF1_RX0_ch_rxdebugpcsout(INTF1_RX0_ch_rxdebugpcsout) ,
.INTF1_RX0_ch_rxprbserr(INTF1_RX0_ch_rxprbserr) ,
.INTF1_RX0_ch_rxprbslocked(INTF1_RX0_ch_rxprbslocked) ,
.INTF1_RX0_ch_rxcdrhold(INTF1_RX0_ch_rxcdrhold) ,
.INTF1_RX0_ch_rxcdrovrden(INTF1_RX0_ch_rxcdrovrden) ,
.INTF1_RX0_ch_rxlatclk(INTF1_RX0_ch_rxlatclk) ,
.INTF1_RX0_ch_rxpcsresetmask(INTF1_RX0_ch_rxpcsresetmask) ,
.INTF1_RX0_ch_rxpd(INTF1_RX0_ch_rxpd) ,
.INTF1_RX0_ch_rxperst(INTF1_RX0_ch_rxperst) ,
.INTF1_RX0_ch_rxpmaresetmask(INTF1_RX0_ch_rxpmaresetmask) ,
.INTF1_RX0_ch_rxpolarity(INTF1_RX0_ch_rxpolarity) ,
.INTF1_RX0_ch_rxprbscntreset(INTF1_RX0_ch_rxprbscntreset) ,
.INTF1_RX0_ch_rxqprbsen(INTF1_RX0_ch_rxqprbsen) ,
.INTF1_RX0_ch_rxrate(INTF1_RX0_ch_rxrate) ,
.INTF1_RX0_ch_rxresetmode(INTF1_RX0_ch_rxresetmode) ,
.INTF1_RX0_ch_rxrsv0(INTF1_RX0_ch_rxrsv0) ,
.INTF1_RX0_ch_rxrsv1(INTF1_RX0_ch_rxrsv1) ,
.INTF1_RX0_ch_rxrsv2(INTF1_RX0_ch_rxrsv2) ,
.INTF1_RX0_ch_rxdata(INTF1_RX0_ch_rxdata) ,
.INTF1_RX0_ch_rxcdrphdone(INTF1_RX0_ch_rxcdrphdone) ,
.INTF1_RX0_ch_gtrxreset(INTF1_RX0_ch_gtrxreset) ,
.INTF1_RX0_ch_rxprogdivresetdone(INTF1_RX0_ch_rxprogdivresetdone) ,
.INTF1_RX0_ch_rxresetdone(INTF1_RX0_ch_rxresetdone) ,
.INTF1_RX0_ch_rxcdrreset(INTF1_RX0_ch_rxcdrreset) ,
.INTF1_RX0_ch_rxprbscntstop(INTF1_RX0_ch_rxprbscntstop) ,
.INTF1_RX0_ch_rxprbssel(INTF1_RX0_ch_rxprbssel) ,
.INTF1_RX0_ch_rxprogdivreset(INTF1_RX0_ch_rxprogdivreset) ,
       .gtwiz_freerun_clk                 ( gtwiz_freerun_clock),
       // GPIO
       .QUAD0_gpi                   ( QUAD0_gpi),
       .QUAD0_gpo                   ( QUAD0_gpo),

       // APB3 Interface

       .QUAD0_rxp                       ( QUAD0_rxp),
       .QUAD0_rxn                       ( QUAD0_rxn),
       .QUAD0_txp                       ( QUAD0_txp),
       .QUAD0_txn                       ( QUAD0_txn),

.QUAD0_GTREFCLK0            ( QUAD0_GTREFCLK0),
.QUAD0_GTREFCLK1            ( QUAD0_GTREFCLK0),
.QUAD0_TX0_outclk(QUAD0_TX0_outclk) ,
.QUAD0_RX0_outclk(QUAD0_RX0_outclk) ,
.QUAD0_TX3_outclk(QUAD0_TX3_outclk) ,
.QUAD0_RX3_outclk(QUAD0_RX3_outclk) ,
.INTF0_TX_clr_out(INTF0_TX_clr_out),
.INTF0_RX_clr_out(INTF0_RX_clr_out),
//reset IP connections
.INTF0_rst_all_in(gtwiz_INTF0_rst_all_in),
.INTF0_rst_tx_pll_and_datapath_in(INTF0_rst_tx_pll_and_datapath_in),
.INTF0_rst_tx_datapath_in(gtwiz_INTF0_rst_tx_datapath_in),
.INTF0_rst_tx_done_out(INTF0_rst_tx_done_out),
.INTF0_rst_rx_pll_and_datapath_in(INTF0_rst_rx_pll_and_datapath_in),
.INTF0_rst_rx_datapath_in(gtwiz_INTF0_rst_rx_datapath_in),
.INTF0_rst_rx_done_out(INTF0_rst_rx_done_out),
.INTF1_TX_clr_out(INTF1_TX_clr_out),
.INTF1_RX_clr_out(INTF1_RX_clr_out),
//reset IP connections
.INTF1_rst_all_in(gtwiz_INTF1_rst_all_in),
.INTF1_rst_tx_pll_and_datapath_in(INTF1_rst_tx_pll_and_datapath_in),
.INTF1_rst_tx_datapath_in(gtwiz_INTF1_rst_tx_datapath_in),
.INTF1_rst_tx_done_out(INTF1_rst_tx_done_out),
.INTF1_rst_rx_pll_and_datapath_in(INTF1_rst_rx_pll_and_datapath_in),
.INTF1_rst_rx_datapath_in(gtwiz_INTF1_rst_rx_datapath_in),
.INTF1_rst_rx_done_out(INTF1_rst_rx_done_out),
.QUAD0_TX0_usrclk(QUAD0_TX0_usrclk),
.QUAD0_RX0_usrclk(QUAD0_RX0_usrclk),
.QUAD0_TX3_usrclk(QUAD0_TX3_usrclk),
.QUAD0_RX3_usrclk(QUAD0_RX3_usrclk),
.gtpowergood(gt_powergood)
);

//Prbs Generator Checker interface0 instance
prbs_generator_checker_intf0 
 prbs_generator_checker_intf0_inst (
.ch0_txdata (intf0_ch0_txdata),
.ch0_txrate (intf0_ch0_txrate),
.ch0_rxdata (intf0_ch0_rxdata),
.ch0_rxrate (intf0_ch0_rxrate),
.rate_sel (intf0_rate_sel),
.tx_reset_in  (!(INTF0_rst_tx_done_out)),
.rx_reset_in  (!(INTF0_rst_rx_done_out)),
.gpo_in (intf0_gpo_in),
.gpi_out (intf0_gpi_out),
.gpio_enable (intf0_gpio_enable),
.gt_reset_in (gtwiz_INTF0_rst_all_in),
.link_status_out (INTF0_link_status_out),
.gt_txusrclk (INTF0_TX_usrclk),
.gt_rxusrclk (INTF0_RX_usrclk),
.apb3clk (prbs_gen_check_apb3clk)
 );
//Prbs Generator Checker interface1 instance
prbs_generator_checker_intf1 
 prbs_generator_checker_intf1_inst (
.ch0_txdata (intf1_ch0_txdata),
.ch0_txrate (intf1_ch0_txrate),
.ch0_rxdata (intf1_ch0_rxdata),
.ch0_rxrate (intf1_ch0_rxrate),
.rate_sel (intf1_rate_sel),
.tx_reset_in  (!(INTF1_rst_tx_done_out)),
.rx_reset_in  (!(INTF1_rst_rx_done_out)),
.gpo_in (intf1_gpo_in),
.gpi_out (intf1_gpi_out),
.gpio_enable (intf1_gpio_enable),
.gt_reset_in (gtwiz_INTF1_rst_all_in),
.link_status_out (INTF1_link_status_out),
.gt_txusrclk (INTF1_TX_usrclk),
.gt_rxusrclk (INTF1_RX_usrclk),
.apb3clk (prbs_gen_check_apb3clk)
 );

//GT Refclk0 Utility buffer  instance
my_gtm_util_ds_buf #(
.C_BUF_TYPE ("ibufds_gtme5"),
.C_SIZE (1),
.C_BUFGCE_DIV (1),
.C_BUFG_GT_SYNC(0),
.C_SIM_DEVICE ("versal"),
.C_OBUFDS_GTE5_ADV (2'b00),
.C_REFCLK_ICNTL_TX (5'b00000))
utility_buffer_QUAD0_GTREFCLK0_inst
 (
.IBUFDS_GTME5_I       (QUAD0_GTREFCLK0_in_p),
.IBUFDS_GTME5_IB      (QUAD0_GTREFCLK0_in_n),
.IBUFDS_GTME5_CEB     (1'b0),
//  .IBUFDS_GTME5_ODIV2 (),
.IBUFDS_GTME5_O       (QUAD0_GTREFCLK0)
 );
////GT Refclk1 Utility buffer  instance
//my_gtm_util_ds_buf #(
//.C_BUF_TYPE ("ibufds_gtme5"),
//.C_SIZE (1),
//.C_BUFGCE_DIV (1),
//.C_BUFG_GT_SYNC(0),
//.C_SIM_DEVICE ("versal"),
//.C_OBUFDS_GTE5_ADV (2'b00),
//.C_REFCLK_ICNTL_TX (5'b00000))
//utility_buffer_QUAD0_GTREFCLK1_inst
// (
//.IBUFDS_GTME5_I       (QUAD0_GTREFCLK1_in_p),
//.IBUFDS_GTME5_IB      (QUAD0_GTREFCLK1_in_n),
//.IBUFDS_GTME5_CEB     (1'b0),
////  .IBUFDS_GTME5_ODIV2 (),
//.IBUFDS_GTME5_O       (QUAD0_GTREFCLK1)
// );
 

endmodule
