## (c) Copyright 2023 Advanced Micro Devices, Inc. All rights reserved.
##
## This file contains confidential and proprietary information
## of AMD and is protected under U.S. and international copyright
## and other intellectual property laws.
##
## DISCLAIMER
## This disclaimer is not a license and does not grant any
## rights to the materials distributed herewith. Except as
## otherwise provided in a valid license issued to you by
## AMD, and to the maximum extent permitted by applicable
## law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
## WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
## AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
## BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
## INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
## (2) AMD shall not be liable (whether in contract or tort,
## including negligence, or under any other theory of
## liability) for any loss or damage of any kind or nature
## related to, arising under or in connection with these
## materials, including for any direct, or any indirect,
## special, incidental, or consequential loss or damage
## (including loss of data, profits, goodwill, or any type of
## loss or damage suffered as a result of any action brought
## by a third party) even if such damage or loss was
## reasonably foreseeable or AMD had been advised of the
## possibility of the same.
##
## CRITICAL APPLICATIONS
## AMD products are not designed or intended to be fail-
## safe, or for use in any application requiring fail-safe
## performance, such as life-support or safety devices or
## systems, Class III medical devices, nuclear facilities,
## applications related to the deployment of airbags, or any
## other applications that could lead to death, personal
## injury, or severe property or environmental damage
## (individually and collectively, "Critical
## Applications"). Customer assumes the sole risk and
## liability of any use of AMD products in Critical
## Applications, subject only to applicable laws and
## regulations governing limitations on product liability.
##
## THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
## PART OF THIS FILE AT ALL TIMES.
##-----------------------------------------------------------------
# Available PL Accessible Quad locations in the device :: GTM_QUAD_X0Y0 GTM_QUAD_X0Y1 GTM_QUAD_X0Y2 GTM_QUAD_X0Y3 GTM_QUAD_X0Y4
# Available PL Accessible Refclock locations in the device :: GTM_REFCLK_X0Y0 GTM_REFCLK_X0Y1 GTM_REFCLK_X0Y2 GTM_REFCLK_X0Y3 GTM_REFCLK_X0Y4 GTM_REFCLK_X0Y5 GTM_REFCLK_X0Y6 GTM_REFCLK_X0Y7 GTM_REFCLK_X0Y8 GTM_REFCLK_X0Y9
# GT Placement location constraints were added in this xdc file to implement the example design without any placement Issues. User can update this XDC with desired GT and REFCLOCK locations.


set_property LOC GTM_QUAD_X0Y2 [get_cells exdes_inst/dut_inst/inst/intf_quad_map_inst/quad_top_inst/gt_quad_base_0_inst/inst/quad_inst]


set_property LOC GTM_REFCLK_X0Y4 [get_cells {exdes_inst/utility_buffer_QUAD0_GTREFCLK0_inst/USE_IBUFDS_GTME5.GEN_IBUFDS_GTME5[0].IBUFDS_GTME5_U}]
set_property PACKAGE_PIN AB45 [get_ports QUAD0_GTREFCLK0_in_p]
#set_property LOC GTM_REFCLK_X0Y3    [get_cells exdes_inst/utility_buffer_QUAD0_GTREFCLK1_inst/USE_IBUFDS_GTME5.GEN_IBUFDS_GTME5[0].IBUFDS_GTME5_U]

#create_clock -period 5.0 [get_ports gtwiz_freerun_clock]

#The 6.4ns is the default create_clock added. The outclk freq are auto derived based on the transceiver settings. User is expected to refer to transceiver config to supply the actual clock when taking the design to board.
create_clock -period 6.400 [get_ports QUAD0_GTREFCLK0_in_p]
#create_clock -period 6.4 [get_ports QUAD0_GTREFCLK1_in_p]

