// (c) Copyright 1986-2022 Xilinx, Inc. All Rights Reserved.
// (c) Copyright 2022-2025 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of AMD and is protected under U.S. and international copyright
// and other intellectual property laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// AMD, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND AMD HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) AMD shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or AMD had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// AMD products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of AMD products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.

// IP VLNV: xilinx.com:ip:gtwiz_versal:1.0
// IP Revision: 1

// The following must be inserted into your Verilog file for this
// core to be instantiated. Change the instance name and port connections
// (in parentheses) to your own signal names.

//----------- Begin Cut here for INSTANTIATION Template ---// INST_TAG
my_gtm your_instance_name (
  .gtpowergood(gtpowergood),                                            // output wire gtpowergood
  .gtwiz_freerun_clk(gtwiz_freerun_clk),                                // input wire gtwiz_freerun_clk
  .QUAD0_GTREFCLK0(QUAD0_GTREFCLK0),                                    // input wire QUAD0_GTREFCLK0
  .QUAD0_GTREFCLK1(QUAD0_GTREFCLK1),                                    // input wire QUAD0_GTREFCLK1
  .QUAD0_TX0_outclk(QUAD0_TX0_outclk),                                  // output wire QUAD0_TX0_outclk
  .QUAD0_TX3_outclk(QUAD0_TX3_outclk),                                  // output wire QUAD0_TX3_outclk
  .QUAD0_RX0_outclk(QUAD0_RX0_outclk),                                  // output wire QUAD0_RX0_outclk
  .QUAD0_RX3_outclk(QUAD0_RX3_outclk),                                  // output wire QUAD0_RX3_outclk
  .QUAD0_rxp(QUAD0_rxp),                                                // input wire [3 : 0] QUAD0_rxp
  .QUAD0_rxn(QUAD0_rxn),                                                // input wire [3 : 0] QUAD0_rxn
  .QUAD0_txp(QUAD0_txp),                                                // output wire [3 : 0] QUAD0_txp
  .QUAD0_txn(QUAD0_txn),                                                // output wire [3 : 0] QUAD0_txn
  .QUAD0_gpi(QUAD0_gpi),                                                // input wire [31 : 0] QUAD0_gpi
  .QUAD0_gpo(QUAD0_gpo),                                                // output wire [31 : 0] QUAD0_gpo
  .QUAD0_TX0_usrclk(QUAD0_TX0_usrclk),                                  // input wire QUAD0_TX0_usrclk
  .QUAD0_TX3_usrclk(QUAD0_TX3_usrclk),                                  // input wire QUAD0_TX3_usrclk
  .QUAD0_RX0_usrclk(QUAD0_RX0_usrclk),                                  // input wire QUAD0_RX0_usrclk
  .QUAD0_RX3_usrclk(QUAD0_RX3_usrclk),                                  // input wire QUAD0_RX3_usrclk
  .INTF0_TX0_ch_txdata(INTF0_TX0_ch_txdata),                            // input wire [255 : 0] INTF0_TX0_ch_txdata
  .INTF0_TX0_ch_txbufstatus(INTF0_TX0_ch_txbufstatus),                  // output wire [2 : 0] INTF0_TX0_ch_txbufstatus
  .INTF0_TX0_ch_txdccdone(INTF0_TX0_ch_txdccdone),                      // output wire [0 : 0] INTF0_TX0_ch_txdccdone
  .INTF0_TX0_ch_gttxreset(INTF0_TX0_ch_gttxreset),                      // input wire [0 : 0] INTF0_TX0_ch_gttxreset
  .INTF0_TX0_ch_txdebugpcsout(INTF0_TX0_ch_txdebugpcsout),              // output wire [0 : 0] INTF0_TX0_ch_txdebugpcsout
  .INTF0_TX0_ch_txprogdivresetdone(INTF0_TX0_ch_txprogdivresetdone),    // output wire [0 : 0] INTF0_TX0_ch_txprogdivresetdone
  .INTF0_TX0_ch_txresetdone(INTF0_TX0_ch_txresetdone),                  // output wire [0 : 0] INTF0_TX0_ch_txresetdone
  .INTF0_TX0_ch_txinhibit(INTF0_TX0_ch_txinhibit),                      // input wire [0 : 0] INTF0_TX0_ch_txinhibit
  .INTF0_TX0_ch_txlatclk(INTF0_TX0_ch_txlatclk),                        // input wire [0 : 0] INTF0_TX0_ch_txlatclk
  .INTF0_TX0_ch_txmaincursor(INTF0_TX0_ch_txmaincursor),                // input wire [6 : 0] INTF0_TX0_ch_txmaincursor
  .INTF0_TX0_ch_txpcsresetmask(INTF0_TX0_ch_txpcsresetmask),            // input wire [0 : 0] INTF0_TX0_ch_txpcsresetmask
  .INTF0_TX0_ch_txpd(INTF0_TX0_ch_txpd),                                // input wire [1 : 0] INTF0_TX0_ch_txpd
  .INTF0_TX0_ch_txpisopd(INTF0_TX0_ch_txpisopd),                        // input wire [0 : 0] INTF0_TX0_ch_txpisopd
  .INTF0_TX0_ch_txpmaresetmask(INTF0_TX0_ch_txpmaresetmask),            // input wire [1 : 0] INTF0_TX0_ch_txpmaresetmask
  .INTF0_TX0_ch_txpolarity(INTF0_TX0_ch_txpolarity),                    // input wire [0 : 0] INTF0_TX0_ch_txpolarity
  .INTF0_TX0_ch_txpostcursor(INTF0_TX0_ch_txpostcursor),                // input wire [5 : 0] INTF0_TX0_ch_txpostcursor
  .INTF0_TX0_ch_txprbsforceerr(INTF0_TX0_ch_txprbsforceerr),            // input wire [0 : 0] INTF0_TX0_ch_txprbsforceerr
  .INTF0_TX0_ch_txprbssel(INTF0_TX0_ch_txprbssel),                      // input wire [3 : 0] INTF0_TX0_ch_txprbssel
  .INTF0_TX0_ch_txprecursor(INTF0_TX0_ch_txprecursor),                  // input wire [5 : 0] INTF0_TX0_ch_txprecursor
  .INTF0_TX0_ch_txprecursor2(INTF0_TX0_ch_txprecursor2),                // input wire [5 : 0] INTF0_TX0_ch_txprecursor2
  .INTF0_TX0_ch_txprecursor3(INTF0_TX0_ch_txprecursor3),                // input wire [5 : 0] INTF0_TX0_ch_txprecursor3
  .INTF0_TX0_ch_txprogdivreset(INTF0_TX0_ch_txprogdivreset),            // input wire [0 : 0] INTF0_TX0_ch_txprogdivreset
  .INTF0_TX0_ch_txrate(INTF0_TX0_ch_txrate),                            // input wire [7 : 0] INTF0_TX0_ch_txrate
  .INTF0_TX0_ch_txresetmode(INTF0_TX0_ch_txresetmode),                  // input wire [1 : 0] INTF0_TX0_ch_txresetmode
  .INTF0_TX0_ch_txrsv0(INTF0_TX0_ch_txrsv0),                            // input wire [4 : 0] INTF0_TX0_ch_txrsv0
  .INTF0_TX0_ch_txrsv1(INTF0_TX0_ch_txrsv1),                            // input wire [3 : 0] INTF0_TX0_ch_txrsv1
  .INTF0_TX0_ch_txperst(INTF0_TX0_ch_txperst),                          // input wire [0 : 0] INTF0_TX0_ch_txperst
  .INTF0_TX0_ch_txqprbsen(INTF0_TX0_ch_txqprbsen),                      // input wire [0 : 0] INTF0_TX0_ch_txqprbsen
  .INTF0_RX0_ch_rxbufstatus(INTF0_RX0_ch_rxbufstatus),                  // output wire [2 : 0] INTF0_RX0_ch_rxbufstatus
  .INTF0_RX0_ch_rxcdrlock(INTF0_RX0_ch_rxcdrlock),                      // output wire [0 : 0] INTF0_RX0_ch_rxcdrlock
  .INTF0_RX0_ch_rxdebugpcsout(INTF0_RX0_ch_rxdebugpcsout),              // output wire [0 : 0] INTF0_RX0_ch_rxdebugpcsout
  .INTF0_RX0_ch_rxprbserr(INTF0_RX0_ch_rxprbserr),                      // output wire [0 : 0] INTF0_RX0_ch_rxprbserr
  .INTF0_RX0_ch_rxprbslocked(INTF0_RX0_ch_rxprbslocked),                // output wire [0 : 0] INTF0_RX0_ch_rxprbslocked
  .INTF0_RX0_ch_rxcdrhold(INTF0_RX0_ch_rxcdrhold),                      // input wire [0 : 0] INTF0_RX0_ch_rxcdrhold
  .INTF0_RX0_ch_rxcdrovrden(INTF0_RX0_ch_rxcdrovrden),                  // input wire [7 : 0] INTF0_RX0_ch_rxcdrovrden
  .INTF0_RX0_ch_rxlatclk(INTF0_RX0_ch_rxlatclk),                        // input wire [0 : 0] INTF0_RX0_ch_rxlatclk
  .INTF0_RX0_ch_rxpcsresetmask(INTF0_RX0_ch_rxpcsresetmask),            // input wire [2 : 0] INTF0_RX0_ch_rxpcsresetmask
  .INTF0_RX0_ch_rxpd(INTF0_RX0_ch_rxpd),                                // input wire [1 : 0] INTF0_RX0_ch_rxpd
  .INTF0_RX0_ch_rxperst(INTF0_RX0_ch_rxperst),                          // input wire [0 : 0] INTF0_RX0_ch_rxperst
  .INTF0_RX0_ch_rxpmaresetmask(INTF0_RX0_ch_rxpmaresetmask),            // input wire [7 : 0] INTF0_RX0_ch_rxpmaresetmask
  .INTF0_RX0_ch_rxpolarity(INTF0_RX0_ch_rxpolarity),                    // input wire [0 : 0] INTF0_RX0_ch_rxpolarity
  .INTF0_RX0_ch_rxprbscntreset(INTF0_RX0_ch_rxprbscntreset),            // input wire [0 : 0] INTF0_RX0_ch_rxprbscntreset
  .INTF0_RX0_ch_rxqprbsen(INTF0_RX0_ch_rxqprbsen),                      // input wire [0 : 0] INTF0_RX0_ch_rxqprbsen
  .INTF0_RX0_ch_rxrate(INTF0_RX0_ch_rxrate),                            // input wire [7 : 0] INTF0_RX0_ch_rxrate
  .INTF0_RX0_ch_rxresetmode(INTF0_RX0_ch_rxresetmode),                  // input wire [1 : 0] INTF0_RX0_ch_rxresetmode
  .INTF0_RX0_ch_rxrsv0(INTF0_RX0_ch_rxrsv0),                            // input wire [0 : 0] INTF0_RX0_ch_rxrsv0
  .INTF0_RX0_ch_rxrsv1(INTF0_RX0_ch_rxrsv1),                            // input wire [0 : 0] INTF0_RX0_ch_rxrsv1
  .INTF0_RX0_ch_rxrsv2(INTF0_RX0_ch_rxrsv2),                            // input wire [0 : 0] INTF0_RX0_ch_rxrsv2
  .INTF0_RX0_ch_rxdata(INTF0_RX0_ch_rxdata),                            // output wire [255 : 0] INTF0_RX0_ch_rxdata
  .INTF0_RX0_ch_rxcdrphdone(INTF0_RX0_ch_rxcdrphdone),                  // output wire [0 : 0] INTF0_RX0_ch_rxcdrphdone
  .INTF0_RX0_ch_gtrxreset(INTF0_RX0_ch_gtrxreset),                      // input wire [0 : 0] INTF0_RX0_ch_gtrxreset
  .INTF0_RX0_ch_rxprogdivresetdone(INTF0_RX0_ch_rxprogdivresetdone),    // output wire [0 : 0] INTF0_RX0_ch_rxprogdivresetdone
  .INTF0_RX0_ch_rxresetdone(INTF0_RX0_ch_rxresetdone),                  // output wire [0 : 0] INTF0_RX0_ch_rxresetdone
  .INTF0_RX0_ch_rxcdrreset(INTF0_RX0_ch_rxcdrreset),                    // input wire [7 : 0] INTF0_RX0_ch_rxcdrreset
  .INTF0_RX0_ch_rxprbscntstop(INTF0_RX0_ch_rxprbscntstop),              // input wire [0 : 0] INTF0_RX0_ch_rxprbscntstop
  .INTF0_RX0_ch_rxprbssel(INTF0_RX0_ch_rxprbssel),                      // input wire [3 : 0] INTF0_RX0_ch_rxprbssel
  .INTF0_RX0_ch_rxprogdivreset(INTF0_RX0_ch_rxprogdivreset),            // input wire [0 : 0] INTF0_RX0_ch_rxprogdivreset
  .INTF1_TX0_ch_txdata(INTF1_TX0_ch_txdata),                            // input wire [255 : 0] INTF1_TX0_ch_txdata
  .INTF1_TX0_ch_txbufstatus(INTF1_TX0_ch_txbufstatus),                  // output wire [2 : 0] INTF1_TX0_ch_txbufstatus
  .INTF1_TX0_ch_txdccdone(INTF1_TX0_ch_txdccdone),                      // output wire [0 : 0] INTF1_TX0_ch_txdccdone
  .INTF1_TX0_ch_gttxreset(INTF1_TX0_ch_gttxreset),                      // input wire [0 : 0] INTF1_TX0_ch_gttxreset
  .INTF1_TX0_ch_txdebugpcsout(INTF1_TX0_ch_txdebugpcsout),              // output wire [0 : 0] INTF1_TX0_ch_txdebugpcsout
  .INTF1_TX0_ch_txprogdivresetdone(INTF1_TX0_ch_txprogdivresetdone),    // output wire [0 : 0] INTF1_TX0_ch_txprogdivresetdone
  .INTF1_TX0_ch_txresetdone(INTF1_TX0_ch_txresetdone),                  // output wire [0 : 0] INTF1_TX0_ch_txresetdone
  .INTF1_TX0_ch_txinhibit(INTF1_TX0_ch_txinhibit),                      // input wire [0 : 0] INTF1_TX0_ch_txinhibit
  .INTF1_TX0_ch_txlatclk(INTF1_TX0_ch_txlatclk),                        // input wire [0 : 0] INTF1_TX0_ch_txlatclk
  .INTF1_TX0_ch_txmaincursor(INTF1_TX0_ch_txmaincursor),                // input wire [6 : 0] INTF1_TX0_ch_txmaincursor
  .INTF1_TX0_ch_txpcsresetmask(INTF1_TX0_ch_txpcsresetmask),            // input wire [0 : 0] INTF1_TX0_ch_txpcsresetmask
  .INTF1_TX0_ch_txpd(INTF1_TX0_ch_txpd),                                // input wire [1 : 0] INTF1_TX0_ch_txpd
  .INTF1_TX0_ch_txpisopd(INTF1_TX0_ch_txpisopd),                        // input wire [0 : 0] INTF1_TX0_ch_txpisopd
  .INTF1_TX0_ch_txpmaresetmask(INTF1_TX0_ch_txpmaresetmask),            // input wire [1 : 0] INTF1_TX0_ch_txpmaresetmask
  .INTF1_TX0_ch_txpolarity(INTF1_TX0_ch_txpolarity),                    // input wire [0 : 0] INTF1_TX0_ch_txpolarity
  .INTF1_TX0_ch_txpostcursor(INTF1_TX0_ch_txpostcursor),                // input wire [5 : 0] INTF1_TX0_ch_txpostcursor
  .INTF1_TX0_ch_txprbsforceerr(INTF1_TX0_ch_txprbsforceerr),            // input wire [0 : 0] INTF1_TX0_ch_txprbsforceerr
  .INTF1_TX0_ch_txprbssel(INTF1_TX0_ch_txprbssel),                      // input wire [3 : 0] INTF1_TX0_ch_txprbssel
  .INTF1_TX0_ch_txprecursor(INTF1_TX0_ch_txprecursor),                  // input wire [5 : 0] INTF1_TX0_ch_txprecursor
  .INTF1_TX0_ch_txprecursor2(INTF1_TX0_ch_txprecursor2),                // input wire [5 : 0] INTF1_TX0_ch_txprecursor2
  .INTF1_TX0_ch_txprecursor3(INTF1_TX0_ch_txprecursor3),                // input wire [5 : 0] INTF1_TX0_ch_txprecursor3
  .INTF1_TX0_ch_txprogdivreset(INTF1_TX0_ch_txprogdivreset),            // input wire [0 : 0] INTF1_TX0_ch_txprogdivreset
  .INTF1_TX0_ch_txrate(INTF1_TX0_ch_txrate),                            // input wire [7 : 0] INTF1_TX0_ch_txrate
  .INTF1_TX0_ch_txresetmode(INTF1_TX0_ch_txresetmode),                  // input wire [1 : 0] INTF1_TX0_ch_txresetmode
  .INTF1_TX0_ch_txrsv0(INTF1_TX0_ch_txrsv0),                            // input wire [4 : 0] INTF1_TX0_ch_txrsv0
  .INTF1_TX0_ch_txrsv1(INTF1_TX0_ch_txrsv1),                            // input wire [3 : 0] INTF1_TX0_ch_txrsv1
  .INTF1_TX0_ch_txperst(INTF1_TX0_ch_txperst),                          // input wire [0 : 0] INTF1_TX0_ch_txperst
  .INTF1_TX0_ch_txqprbsen(INTF1_TX0_ch_txqprbsen),                      // input wire [0 : 0] INTF1_TX0_ch_txqprbsen
  .INTF1_RX0_ch_rxbufstatus(INTF1_RX0_ch_rxbufstatus),                  // output wire [2 : 0] INTF1_RX0_ch_rxbufstatus
  .INTF1_RX0_ch_rxcdrlock(INTF1_RX0_ch_rxcdrlock),                      // output wire [0 : 0] INTF1_RX0_ch_rxcdrlock
  .INTF1_RX0_ch_rxdebugpcsout(INTF1_RX0_ch_rxdebugpcsout),              // output wire [0 : 0] INTF1_RX0_ch_rxdebugpcsout
  .INTF1_RX0_ch_rxprbserr(INTF1_RX0_ch_rxprbserr),                      // output wire [0 : 0] INTF1_RX0_ch_rxprbserr
  .INTF1_RX0_ch_rxprbslocked(INTF1_RX0_ch_rxprbslocked),                // output wire [0 : 0] INTF1_RX0_ch_rxprbslocked
  .INTF1_RX0_ch_rxcdrhold(INTF1_RX0_ch_rxcdrhold),                      // input wire [0 : 0] INTF1_RX0_ch_rxcdrhold
  .INTF1_RX0_ch_rxcdrovrden(INTF1_RX0_ch_rxcdrovrden),                  // input wire [7 : 0] INTF1_RX0_ch_rxcdrovrden
  .INTF1_RX0_ch_rxlatclk(INTF1_RX0_ch_rxlatclk),                        // input wire [0 : 0] INTF1_RX0_ch_rxlatclk
  .INTF1_RX0_ch_rxpcsresetmask(INTF1_RX0_ch_rxpcsresetmask),            // input wire [2 : 0] INTF1_RX0_ch_rxpcsresetmask
  .INTF1_RX0_ch_rxpd(INTF1_RX0_ch_rxpd),                                // input wire [1 : 0] INTF1_RX0_ch_rxpd
  .INTF1_RX0_ch_rxperst(INTF1_RX0_ch_rxperst),                          // input wire [0 : 0] INTF1_RX0_ch_rxperst
  .INTF1_RX0_ch_rxpmaresetmask(INTF1_RX0_ch_rxpmaresetmask),            // input wire [7 : 0] INTF1_RX0_ch_rxpmaresetmask
  .INTF1_RX0_ch_rxpolarity(INTF1_RX0_ch_rxpolarity),                    // input wire [0 : 0] INTF1_RX0_ch_rxpolarity
  .INTF1_RX0_ch_rxprbscntreset(INTF1_RX0_ch_rxprbscntreset),            // input wire [0 : 0] INTF1_RX0_ch_rxprbscntreset
  .INTF1_RX0_ch_rxqprbsen(INTF1_RX0_ch_rxqprbsen),                      // input wire [0 : 0] INTF1_RX0_ch_rxqprbsen
  .INTF1_RX0_ch_rxrate(INTF1_RX0_ch_rxrate),                            // input wire [7 : 0] INTF1_RX0_ch_rxrate
  .INTF1_RX0_ch_rxresetmode(INTF1_RX0_ch_rxresetmode),                  // input wire [1 : 0] INTF1_RX0_ch_rxresetmode
  .INTF1_RX0_ch_rxrsv0(INTF1_RX0_ch_rxrsv0),                            // input wire [0 : 0] INTF1_RX0_ch_rxrsv0
  .INTF1_RX0_ch_rxrsv1(INTF1_RX0_ch_rxrsv1),                            // input wire [0 : 0] INTF1_RX0_ch_rxrsv1
  .INTF1_RX0_ch_rxrsv2(INTF1_RX0_ch_rxrsv2),                            // input wire [0 : 0] INTF1_RX0_ch_rxrsv2
  .INTF1_RX0_ch_rxdata(INTF1_RX0_ch_rxdata),                            // output wire [255 : 0] INTF1_RX0_ch_rxdata
  .INTF1_RX0_ch_rxcdrphdone(INTF1_RX0_ch_rxcdrphdone),                  // output wire [0 : 0] INTF1_RX0_ch_rxcdrphdone
  .INTF1_RX0_ch_gtrxreset(INTF1_RX0_ch_gtrxreset),                      // input wire [0 : 0] INTF1_RX0_ch_gtrxreset
  .INTF1_RX0_ch_rxprogdivresetdone(INTF1_RX0_ch_rxprogdivresetdone),    // output wire [0 : 0] INTF1_RX0_ch_rxprogdivresetdone
  .INTF1_RX0_ch_rxresetdone(INTF1_RX0_ch_rxresetdone),                  // output wire [0 : 0] INTF1_RX0_ch_rxresetdone
  .INTF1_RX0_ch_rxcdrreset(INTF1_RX0_ch_rxcdrreset),                    // input wire [7 : 0] INTF1_RX0_ch_rxcdrreset
  .INTF1_RX0_ch_rxprbscntstop(INTF1_RX0_ch_rxprbscntstop),              // input wire [0 : 0] INTF1_RX0_ch_rxprbscntstop
  .INTF1_RX0_ch_rxprbssel(INTF1_RX0_ch_rxprbssel),                      // input wire [3 : 0] INTF1_RX0_ch_rxprbssel
  .INTF1_RX0_ch_rxprogdivreset(INTF1_RX0_ch_rxprogdivreset),            // input wire [0 : 0] INTF1_RX0_ch_rxprogdivreset
  .INTF0_TX_clr_out(INTF0_TX_clr_out),                                  // output wire INTF0_TX_clr_out
  .INTF0_TX_clrb_leaf_out(INTF0_TX_clrb_leaf_out),                      // output wire INTF0_TX_clrb_leaf_out
  .INTF0_RX_clr_out(INTF0_RX_clr_out),                                  // output wire INTF0_RX_clr_out
  .INTF0_RX_clrb_leaf_out(INTF0_RX_clrb_leaf_out),                      // output wire INTF0_RX_clrb_leaf_out
  .INTF0_rst_all_in(INTF0_rst_all_in),                                  // input wire INTF0_rst_all_in
  .INTF0_rst_tx_pll_and_datapath_in(INTF0_rst_tx_pll_and_datapath_in),  // input wire INTF0_rst_tx_pll_and_datapath_in
  .INTF0_rst_tx_datapath_in(INTF0_rst_tx_datapath_in),                  // input wire INTF0_rst_tx_datapath_in
  .INTF0_rst_tx_done_out(INTF0_rst_tx_done_out),                        // output wire INTF0_rst_tx_done_out
  .INTF0_rst_rx_pll_and_datapath_in(INTF0_rst_rx_pll_and_datapath_in),  // input wire INTF0_rst_rx_pll_and_datapath_in
  .INTF0_rst_rx_datapath_in(INTF0_rst_rx_datapath_in),                  // input wire INTF0_rst_rx_datapath_in
  .INTF0_rst_rx_done_out(INTF0_rst_rx_done_out),                        // output wire INTF0_rst_rx_done_out
  .INTF1_TX_clr_out(INTF1_TX_clr_out),                                  // output wire INTF1_TX_clr_out
  .INTF1_TX_clrb_leaf_out(INTF1_TX_clrb_leaf_out),                      // output wire INTF1_TX_clrb_leaf_out
  .INTF1_RX_clr_out(INTF1_RX_clr_out),                                  // output wire INTF1_RX_clr_out
  .INTF1_RX_clrb_leaf_out(INTF1_RX_clrb_leaf_out),                      // output wire INTF1_RX_clrb_leaf_out
  .INTF1_rst_all_in(INTF1_rst_all_in),                                  // input wire INTF1_rst_all_in
  .INTF1_rst_tx_pll_and_datapath_in(INTF1_rst_tx_pll_and_datapath_in),  // input wire INTF1_rst_tx_pll_and_datapath_in
  .INTF1_rst_tx_datapath_in(INTF1_rst_tx_datapath_in),                  // input wire INTF1_rst_tx_datapath_in
  .INTF1_rst_tx_done_out(INTF1_rst_tx_done_out),                        // output wire INTF1_rst_tx_done_out
  .INTF1_rst_rx_pll_and_datapath_in(INTF1_rst_rx_pll_and_datapath_in),  // input wire INTF1_rst_rx_pll_and_datapath_in
  .INTF1_rst_rx_datapath_in(INTF1_rst_rx_datapath_in),                  // input wire INTF1_rst_rx_datapath_in
  .INTF1_rst_rx_done_out(INTF1_rst_rx_done_out)                        // output wire INTF1_rst_rx_done_out
);
// INST_TAG_END ------ End INSTANTIATION Template ---------

// You must compile the wrapper file my_gtm.v when simulating
// the core, my_gtm. When compiling the wrapper file, be sure to
// reference the Verilog simulation library.

