// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND Advanced Micro Devices HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(0),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(1'H0),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000020),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [15 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [15 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(16),
    .C_S_WUSER_WIDTH(16),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [15 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [15 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(16),
    .C_S_WUSER_WIDTH(16),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 0, ARUSER_WIDTH 0, WUSER_WIDTH 0, RUSER_WIDTH 0, BUSER_WIDTH 0, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 1, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, NUM_\
WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000020),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(3),
    .C_MSC_ROUTE_ARRAY(3'B111),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(0),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(0),
    .C_S_ARUSER_WIDTH(0),
    .C_S_RUSER_WIDTH(0),
    .C_S_WUSER_WIDTH(0),
    .C_S_BUSER_WIDTH(0),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(1),
    .C_SUPPORTS_WRAP(0),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(1'H0),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(1'H0),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(1'H0),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(1'H0),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [31 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [31 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(32),
    .C_S_WUSER_WIDTH(32),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [31 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [3 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [31 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [3 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 8, \
NUM_WRITE_THREADS 8, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_SEG(14),
    .C_SEG_BASE_ADDR_ARRAY(896'H00000000fffc000000000000ffc0000000000000ff80000000000000ff00000000000000fe00000000000000fd00000000000000fc00000000000000fbe0000000000000fbc0000000000000fb80000000000000fb00000000000000fa00000000000000f800000000000000f0000000),
    .C_SEG_SIZE_ARRAY(448'H000000120000001500000016000000170000001800000018000000180000001400000015000000160000001700000018000000190000001b),
    .C_SEG_SEP_ROUTE_ARRAY(896'H0000000000000000000000000000000d000000000000000c000000000000000b000000000000000a000000000000000900000000000000010000000000000008000000000000000700000000000000060000000000000005000000000000000400000000000000030000000000000002),
    .C_SEG_SUPPORTS_READ_ARRAY(14'B11111111111111),
    .C_SEG_SUPPORTS_WRITE_ARRAY(14'B11111111111111),
    .C_SEG_SECURE_READ_ARRAY(14'B00000000000000),
    .C_SEG_SECURE_WRITE_ARRAY(14'B00000000000000),
    .C_NUM_MSC(14),
    .C_MSC_ROUTE_WIDTH(14),
    .C_MSC_ROUTE_ARRAY(196'B1000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001000000000000001),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(0),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_S_AWUSER_WIDTH(32),
    .C_S_ARUSER_WIDTH(32),
    .C_S_RUSER_WIDTH(4),
    .C_S_WUSER_WIDTH(4),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(1'H0),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [15 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [15 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(16),
    .C_S_WUSER_WIDTH(16),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_mmu:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_s00mmu_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET ARESETN, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [17 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [15 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [15 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [17 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [15 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS\
 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [15 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [15 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [15 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [15 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_RE\
AD_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_mmu_v1_0_14_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'D0),
    .C_NUM_SEG(1),
    .C_SEG_BASE_ADDR_ARRAY(64'H0000000000000000),
    .C_SEG_SIZE_ARRAY(32'H00000034),
    .C_SEG_SEP_ROUTE_ARRAY(64'H0000000000000000),
    .C_SEG_SUPPORTS_READ_ARRAY(1'H1),
    .C_SEG_SUPPORTS_WRITE_ARRAY(1'H1),
    .C_SEG_SECURE_READ_ARRAY(1'B0),
    .C_SEG_SECURE_WRITE_ARRAY(1'B0),
    .C_NUM_MSC(1),
    .C_MSC_ROUTE_WIDTH(1),
    .C_MSC_ROUTE_ARRAY(1'B1),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(16),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_AWUSER_WIDTH(18),
    .C_S_ARUSER_WIDTH(18),
    .C_S_RUSER_WIDTH(16),
    .C_S_WUSER_WIDTH(16),
    .C_S_BUSER_WIDTH(16),
    .C_S_PROTOCOL(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0),
    .C_SUPPORTS_WRAP(1),
    .C_SUPPORTS_NARROW(1),
    .C_SUPPORTS_READ_DECERR(1),
    .C_SUPPORTS_WRITE_DECERR(1)
  ) inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .aclken(1'B1),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wid(16'H0000),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(0),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(0),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(1)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_a\
clk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(4),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_S_ID_WIDTH(0),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(1),
    .C_SUPPORTS_WRITE_DEADLOCK(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(1'H0),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(1'H0),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_transaction_regulator:1.0
// IP Revision: 9

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_s00tr_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [15 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [15 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [15 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [15 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design\
_aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_transaction_regulator_v1_0_11_top #(
    .C_FAMILY("virtex7"),
    .C_IS_CASCADED(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_NUM_READ_THREADS(1),
    .C_NUM_WRITE_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_MEP_IDENTIFIER(1),
    .C_SEP_ROUTE_WIDTH(1),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_S_ID_WIDTH(16),
    .C_M_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_SUPPORTS_READ_DEADLOCK(0),
    .C_SUPPORTS_WRITE_DEADLOCK(0),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_SINGLE_ISSUING(0)
  ) inst (
    .mep_identifier(1'H1),
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000040),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000040),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000040),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000040),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(1),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_PROTOCOL_ARRAY(32'H00000002),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(0),
    .C_S_RUSER_BITS_PER_BYTE(0),
    .C_MAX_WUSER_BITS_PER_BYTE(0),
    .C_MAX_RUSER_BITS_PER_BYTE(0),
    .C_SINGLE_ISSUING(1),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000080),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000080),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_a\
clk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(0),
    .C_LIMIT_READ_LENGTH(0),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(14),
    .C_SEP_WDATA_WIDTH_ARRAY(448'H0000002000000020000000200000002000000020000000200000002000000020000000200000002000000020000000200000002000000020),
    .C_SEP_RDATA_WIDTH_ARRAY(448'H0000002000000020000000200000002000000020000000200000002000000020000000200000002000000020000000200000002000000020),
    .C_SEP_PROTOCOL_ARRAY(448'H0000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000),
    .C_NUM_MSC(14),
    .C_MSC_WDATA_WIDTH_ARRAY(448'H0000002000000020000000200000002000000020000000200000002000000020000000200000002000000020000000200000002000000020),
    .C_MSC_RDATA_WIDTH_ARRAY(448'H0000002000000020000000200000002000000020000000200000002000000020000000200000002000000020000000200000002000000020),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(32),
    .C_RDATA_WIDTH(32),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000040),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000040),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000040),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000040),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_si_converter:1.0
// IP Revision: 11

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_s00sic_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awsize,
  s_axi_awburst,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arsize,
  s_axi_arburst,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWSIZE" *)
input wire [2 : 0] s_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWBURST" *)
input wire [1 : 0] s_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARSIZE" *)
input wire [2 : 0] s_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARBURST" *)
input wire [1 : 0] s_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, BRIDGES M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_\
aclk_0, NUM_READ_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_si_converter_v1_0_14_top #(
    .C_AXILITE_CONV(0),
    .C_LIMIT_WRITE_LENGTH(256),
    .C_LIMIT_READ_LENGTH(256),
    .C_WRITE_WATERMARK(0),
    .C_READ_WATERMARK(0),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SUPPORTS_NARROW(1),
    .C_HAS_BURST(1),
    .C_NUM_SEG(1),
    .C_SEP_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_SEP_PROTOCOL_ARRAY(32'H00000000),
    .C_NUM_MSC(1),
    .C_MSC_WDATA_WIDTH_ARRAY(32'H00000020),
    .C_MSC_RDATA_WIDTH_ARRAY(32'H00000020),
    .C_ADDR_WIDTH(64),
    .C_ID_WIDTH(1),
    .C_WDATA_WIDTH(128),
    .C_RDATA_WIDTH(128),
    .C_S_WUSER_BITS_PER_BYTE(1),
    .C_S_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_SINGLE_ISSUING(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32)
  ) inst (
    .aclk(aclk),
    .aclken(1'D1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awsize(s_axi_awsize),
    .s_axi_awburst(s_axi_awburst),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arsize(s_axi_arsize),
    .s_axi_arburst(s_axi_arburst),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [50 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [4 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [169 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [169 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [51 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(0),
    .C_SC_WUSER_BITS_PER_BYTE(0),
    .C_SC_ARUSER_WIDTH(0),
    .C_SC_AWUSER_WIDTH(0),
    .C_SC_BUSER_WIDTH(0),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(170),
    .C_ARPAYLD_WIDTH(170),
    .C_WPAYLD_WIDTH(52),
    .C_RPAYLD_WIDTH(51),
    .C_BPAYLD_WIDTH(5)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [54 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [213 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [213 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [68 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_axi2sc:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_s00a2s_0 (
  aclk,
  s_sc_r_req,
  s_sc_r_info,
  s_sc_r_send,
  s_sc_r_recv,
  s_sc_r_payld,
  s_sc_b_req,
  s_sc_b_info,
  s_sc_b_send,
  s_sc_b_recv,
  s_sc_b_payld,
  m_sc_ar_req,
  m_sc_ar_info,
  m_sc_ar_send,
  m_sc_ar_recv,
  m_sc_ar_payld,
  m_sc_aw_req,
  m_sc_aw_info,
  m_sc_aw_send,
  m_sc_aw_recv,
  m_sc_aw_payld,
  m_sc_w_req,
  m_sc_w_info,
  m_sc_w_send,
  m_sc_w_recv,
  m_sc_w_payld,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXI:M_AR_SC:M_AW_SC:M_W_SC:S_R_SC:S_B_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R REQ" *)
input wire s_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R INFO" *)
input wire [0 : 0] s_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R SEND" *)
input wire s_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R RECV" *)
output wire s_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_R PAYLD" *)
input wire [162 : 0] s_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B REQ" *)
input wire s_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B INFO" *)
input wire [0 : 0] s_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B SEND" *)
input wire s_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B RECV" *)
output wire s_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_B PAYLD" *)
input wire [19 : 0] s_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR REQ" *)
output wire m_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR INFO" *)
output wire [0 : 0] m_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR SEND" *)
output wire m_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR RECV" *)
input wire m_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AR PAYLD" *)
output wire [186 : 0] m_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW REQ" *)
output wire m_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW INFO" *)
output wire [0 : 0] m_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW SEND" *)
output wire m_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW RECV" *)
input wire m_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_AW PAYLD" *)
output wire [186 : 0] m_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W REQ" *)
output wire m_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W INFO" *)
output wire [0 : 0] m_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W SEND" *)
output wire m_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W RECV" *)
input wire m_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_W PAYLD" *)
output wire [175 : 0] m_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;

  sc_axi2sc_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .s_sc_r_req(s_sc_r_req),
    .s_sc_r_info(s_sc_r_info),
    .s_sc_r_send(s_sc_r_send),
    .s_sc_r_recv(s_sc_r_recv),
    .s_sc_r_payld(s_sc_r_payld),
    .s_sc_b_req(s_sc_b_req),
    .s_sc_b_info(s_sc_b_info),
    .s_sc_b_send(s_sc_b_send),
    .s_sc_b_recv(s_sc_b_recv),
    .s_sc_b_payld(s_sc_b_payld),
    .m_sc_ar_req(m_sc_ar_req),
    .m_sc_ar_info(m_sc_ar_info),
    .m_sc_ar_send(m_sc_ar_send),
    .m_sc_ar_recv(m_sc_ar_recv),
    .m_sc_ar_payld(m_sc_ar_payld),
    .m_sc_aw_req(m_sc_aw_req),
    .m_sc_aw_info(m_sc_aw_info),
    .m_sc_aw_send(m_sc_aw_send),
    .m_sc_aw_recv(m_sc_aw_recv),
    .m_sc_aw_payld(m_sc_aw_payld),
    .m_sc_w_req(m_sc_w_req),
    .m_sc_w_info(m_sc_w_info),
    .m_sc_w_send(m_sc_w_send),
    .m_sc_w_recv(m_sc_w_recv),
    .m_sc_w_payld(m_sc_w_payld),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [169 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [169 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(0),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(170),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(0),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(448'H0000000400000004000000040000000400000004000000040000000400000004000000040000000400000004000000040000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_sawn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [169 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [169 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(0),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(170),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(0),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(448'H0000000400000004000000040000000400000004000000040000000400000004000000040000000400000004000000040000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_sarn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [186 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [186 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(187),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(18),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [51 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [51 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(0),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(52),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(448'H0000000400000004000000040000000400000004000000040000000400000004000000040000000400000004000000040000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000008),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_swn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [175 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [175 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(176),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000008),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [50 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [50 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(0),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(51),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(14),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(448'H0000000400000004000000040000000400000004000000040000000400000004000000040000000400000004000000040000000400000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(14'B00000000000000),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000008),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_srn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [162 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [162 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(163),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(512),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000008),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [4 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [4 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(0),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(5),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(0),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000010),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(14),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(448'H0000000400000004000000040000000400000004000000040000000400000004000000040000000400000004000000040000000400000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(14'B00000000000000),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000008),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_sbn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(32'H00000010),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(16),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(1),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_switchboard:1.0
// IP Revision: 6

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_arsw_0 (
  aclk,
  aclken,
  s_sc_send,
  s_sc_req,
  s_sc_info,
  s_sc_payld,
  s_sc_recv,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC:S00_SC:S01_SC:S02_SC:S03_SC:S04_SC:S05_SC:S06_SC:S07_SC:S08_SC:S09_SC:S10_SC:S11_SC:S12_SC:S13_SC:S14_SC:S15_SC, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclken, POLARITY ACTIVE_LOW" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clockenable:1.0 aclken CE" *)
input wire aclken;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC SEND" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC REQ" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC INFO" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC RECV" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC RECV [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC RECV [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC RECV [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC RECV [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC RECV [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC RECV [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC RECV [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC RECV [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC RECV [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC RECV [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC RECV [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC RECV [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC RECV [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC RECV [0:0] [13:13]" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC SEND [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC SEND [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC SEND [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC SEND [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC SEND [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC SEND [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC SEND [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC SEND [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC SEND [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC SEND [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC SEND [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC SEND [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC SEND [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC SEND [0:0] [13:13]" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC REQ [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC REQ [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC REQ [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC REQ [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC REQ [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC REQ [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC REQ [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC REQ [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC REQ [0:0] [8:8], xilinx.com:interface:sc:1.0 M09_\
SC REQ [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC REQ [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC REQ [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC REQ [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC REQ [0:0] [13:13]" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC INFO [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC INFO [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC INFO [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC INFO [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC INFO [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC INFO [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC INFO [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC INFO [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC INFO [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC INFO [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC INFO [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC INFO [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC INFO [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC INFO [0:0] [13:13]" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC PAYLD [213:0] [213:0], xilinx.com:interface:sc:1.0 M01_SC PAYLD [213:0] [427:214], xilinx.com:interface:sc:1.0 M02_SC PAYLD [213:0] [641:428], xilinx.com:interface:sc:1.0 M03_SC PAYLD [213:0] [855:642], xilinx.com:interface:sc:1.0 M04_SC PAYLD [213:0] [1069:856], xilinx.com:interface:sc:1.0 M05_SC PAYLD [213:0] [1283:1070], xilinx.com:interface:sc:1.0 M06_SC PAYLD [213:0] [1497:1284], xilinx.com:interface:sc:1.0 M07_SC PAYLD [213:0] [1711:1498], xilinx.com:inte\
rface:sc:1.0 M08_SC PAYLD [213:0] [1925:1712], xilinx.com:interface:sc:1.0 M09_SC PAYLD [213:0] [2139:1926], xilinx.com:interface:sc:1.0 M10_SC PAYLD [213:0] [2353:2140], xilinx.com:interface:sc:1.0 M11_SC PAYLD [213:0] [2567:2354], xilinx.com:interface:sc:1.0 M12_SC PAYLD [213:0] [2781:2568], xilinx.com:interface:sc:1.0 M13_SC PAYLD [213:0] [2995:2782]" *)
output wire [2995 : 0] m_sc_payld;

  sc_switchboard_v1_0_8_top #(
    .C_PAYLD_WIDTH(214),
    .K_MAX_INFO_WIDTH(1),
    .C_S_PIPELINES(0),
    .C_M_PIPELINES(1),
    .C_S_LATENCY(0),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_TESTING_MODE(0),
    .C_CONNECTIVITY(14'B11111111111111)
  ) inst (
    .aclk(aclk),
    .aclken(aclken),
    .connectivity(14'B11111111111111),
    .s_sc_send(s_sc_send),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_payld(s_sc_payld),
    .s_sc_recv(s_sc_recv),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_switchboard:1.0
// IP Revision: 6

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_awsw_0 (
  aclk,
  aclken,
  s_sc_send,
  s_sc_req,
  s_sc_info,
  s_sc_payld,
  s_sc_recv,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC:S00_SC:S01_SC:S02_SC:S03_SC:S04_SC:S05_SC:S06_SC:S07_SC:S08_SC:S09_SC:S10_SC:S11_SC:S12_SC:S13_SC:S14_SC:S15_SC, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclken, POLARITY ACTIVE_LOW" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clockenable:1.0 aclken CE" *)
input wire aclken;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC SEND" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC REQ" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC INFO" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC RECV" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC RECV [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC RECV [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC RECV [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC RECV [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC RECV [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC RECV [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC RECV [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC RECV [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC RECV [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC RECV [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC RECV [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC RECV [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC RECV [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC RECV [0:0] [13:13]" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC SEND [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC SEND [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC SEND [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC SEND [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC SEND [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC SEND [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC SEND [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC SEND [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC SEND [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC SEND [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC SEND [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC SEND [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC SEND [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC SEND [0:0] [13:13]" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC REQ [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC REQ [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC REQ [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC REQ [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC REQ [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC REQ [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC REQ [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC REQ [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC REQ [0:0] [8:8], xilinx.com:interface:sc:1.0 M09_\
SC REQ [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC REQ [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC REQ [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC REQ [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC REQ [0:0] [13:13]" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC INFO [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC INFO [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC INFO [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC INFO [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC INFO [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC INFO [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC INFO [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC INFO [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC INFO [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC INFO [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC INFO [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC INFO [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC INFO [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC INFO [0:0] [13:13]" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC PAYLD [213:0] [213:0], xilinx.com:interface:sc:1.0 M01_SC PAYLD [213:0] [427:214], xilinx.com:interface:sc:1.0 M02_SC PAYLD [213:0] [641:428], xilinx.com:interface:sc:1.0 M03_SC PAYLD [213:0] [855:642], xilinx.com:interface:sc:1.0 M04_SC PAYLD [213:0] [1069:856], xilinx.com:interface:sc:1.0 M05_SC PAYLD [213:0] [1283:1070], xilinx.com:interface:sc:1.0 M06_SC PAYLD [213:0] [1497:1284], xilinx.com:interface:sc:1.0 M07_SC PAYLD [213:0] [1711:1498], xilinx.com:inte\
rface:sc:1.0 M08_SC PAYLD [213:0] [1925:1712], xilinx.com:interface:sc:1.0 M09_SC PAYLD [213:0] [2139:1926], xilinx.com:interface:sc:1.0 M10_SC PAYLD [213:0] [2353:2140], xilinx.com:interface:sc:1.0 M11_SC PAYLD [213:0] [2567:2354], xilinx.com:interface:sc:1.0 M12_SC PAYLD [213:0] [2781:2568], xilinx.com:interface:sc:1.0 M13_SC PAYLD [213:0] [2995:2782]" *)
output wire [2995 : 0] m_sc_payld;

  sc_switchboard_v1_0_8_top #(
    .C_PAYLD_WIDTH(214),
    .K_MAX_INFO_WIDTH(1),
    .C_S_PIPELINES(0),
    .C_M_PIPELINES(1),
    .C_S_LATENCY(0),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_TESTING_MODE(0),
    .C_CONNECTIVITY(14'B11111111111111)
  ) inst (
    .aclk(aclk),
    .aclken(aclken),
    .connectivity(14'B11111111111111),
    .s_sc_send(s_sc_send),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_payld(s_sc_payld),
    .s_sc_recv(s_sc_recv),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_switchboard:1.0
// IP Revision: 6

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_bsw_0 (
  aclk,
  aclken,
  s_sc_send,
  s_sc_req,
  s_sc_info,
  s_sc_payld,
  s_sc_recv,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC:S00_SC:S01_SC:S02_SC:S03_SC:S04_SC:S05_SC:S06_SC:S07_SC:S08_SC:S09_SC:S10_SC:S11_SC:S12_SC:S13_SC:S14_SC:S15_SC, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclken, POLARITY ACTIVE_LOW" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clockenable:1.0 aclken CE" *)
input wire aclken;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC SEND [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC SEND [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC SEND [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC SEND [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC SEND [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC SEND [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC SEND [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC SEND [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC SEND [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC SEND [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC SEND [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC SEND [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC SEND [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC SEND [0:0] [13:13]" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC REQ [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC REQ [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC REQ [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC REQ [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC REQ [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC REQ [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC REQ [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC REQ [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC REQ [0:0] [8:8], xilinx.com:interface:sc:1.0 S09_\
SC REQ [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC REQ [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC REQ [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC REQ [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC REQ [0:0] [13:13]" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC INFO [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC INFO [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC INFO [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC INFO [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC INFO [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC INFO [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC INFO [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC INFO [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC INFO [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC INFO [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC INFO [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC INFO [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC INFO [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC INFO [0:0] [13:13]" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC PAYLD [19:0] [19:0], xilinx.com:interface:sc:1.0 S01_SC PAYLD [19:0] [39:20], xilinx.com:interface:sc:1.0 S02_SC PAYLD [19:0] [59:40], xilinx.com:interface:sc:1.0 S03_SC PAYLD [19:0] [79:60], xilinx.com:interface:sc:1.0 S04_SC PAYLD [19:0] [99:80], xilinx.com:interface:sc:1.0 S05_SC PAYLD [19:0] [119:100], xilinx.com:interface:sc:1.0 S06_SC PAYLD [19:0] [139:120], xilinx.com:interface:sc:1.0 S07_SC PAYLD [19:0] [159:140], xilinx.com:interface:sc:1.0 S08_SC PAYL\
D [19:0] [179:160], xilinx.com:interface:sc:1.0 S09_SC PAYLD [19:0] [199:180], xilinx.com:interface:sc:1.0 S10_SC PAYLD [19:0] [219:200], xilinx.com:interface:sc:1.0 S11_SC PAYLD [19:0] [239:220], xilinx.com:interface:sc:1.0 S12_SC PAYLD [19:0] [259:240], xilinx.com:interface:sc:1.0 S13_SC PAYLD [19:0] [279:260]" *)
input wire [279 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S01_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S02_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S03_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_\
SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S04_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S05_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S06_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:\
M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S07_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S08_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S09_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S10_SC, BRID\
GES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S11_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S12_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S13_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC\
:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC RECV [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC RECV [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC RECV [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC RECV [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC RECV [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC RECV [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC RECV [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC RECV [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC RECV [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC RECV [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC RECV [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC RECV [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC RECV [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC RECV [0:0] [13:13]" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC RECV" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC SEND" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC REQ" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC INFO" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_switchboard_v1_0_8_top #(
    .C_PAYLD_WIDTH(20),
    .K_MAX_INFO_WIDTH(1),
    .C_S_PIPELINES(0),
    .C_M_PIPELINES(1),
    .C_S_LATENCY(0),
    .C_NUM_SI(14),
    .C_NUM_MI(1),
    .C_TESTING_MODE(0),
    .C_CONNECTIVITY(14'B11111111111111)
  ) inst (
    .aclk(aclk),
    .aclken(aclken),
    .connectivity(14'B11111111111111),
    .s_sc_send(s_sc_send),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_payld(s_sc_payld),
    .s_sc_recv(s_sc_recv),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_switchboard:1.0
// IP Revision: 6

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_rsw_0 (
  aclk,
  aclken,
  s_sc_send,
  s_sc_req,
  s_sc_info,
  s_sc_payld,
  s_sc_recv,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC:S00_SC:S01_SC:S02_SC:S03_SC:S04_SC:S05_SC:S06_SC:S07_SC:S08_SC:S09_SC:S10_SC:S11_SC:S12_SC:S13_SC:S14_SC:S15_SC, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclken, POLARITY ACTIVE_LOW" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clockenable:1.0 aclken CE" *)
input wire aclken;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC SEND [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC SEND [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC SEND [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC SEND [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC SEND [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC SEND [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC SEND [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC SEND [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC SEND [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC SEND [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC SEND [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC SEND [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC SEND [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC SEND [0:0] [13:13]" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC REQ [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC REQ [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC REQ [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC REQ [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC REQ [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC REQ [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC REQ [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC REQ [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC REQ [0:0] [8:8], xilinx.com:interface:sc:1.0 S09_\
SC REQ [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC REQ [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC REQ [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC REQ [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC REQ [0:0] [13:13]" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC INFO [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC INFO [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC INFO [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC INFO [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC INFO [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC INFO [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC INFO [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC INFO [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC INFO [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC INFO [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC INFO [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC INFO [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC INFO [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC INFO [0:0] [13:13]" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC PAYLD [54:0] [54:0], xilinx.com:interface:sc:1.0 S01_SC PAYLD [54:0] [109:55], xilinx.com:interface:sc:1.0 S02_SC PAYLD [54:0] [164:110], xilinx.com:interface:sc:1.0 S03_SC PAYLD [54:0] [219:165], xilinx.com:interface:sc:1.0 S04_SC PAYLD [54:0] [274:220], xilinx.com:interface:sc:1.0 S05_SC PAYLD [54:0] [329:275], xilinx.com:interface:sc:1.0 S06_SC PAYLD [54:0] [384:330], xilinx.com:interface:sc:1.0 S07_SC PAYLD [54:0] [439:385], xilinx.com:interface:sc:1.0 S08_\
SC PAYLD [54:0] [494:440], xilinx.com:interface:sc:1.0 S09_SC PAYLD [54:0] [549:495], xilinx.com:interface:sc:1.0 S10_SC PAYLD [54:0] [604:550], xilinx.com:interface:sc:1.0 S11_SC PAYLD [54:0] [659:605], xilinx.com:interface:sc:1.0 S12_SC PAYLD [54:0] [714:660], xilinx.com:interface:sc:1.0 S13_SC PAYLD [54:0] [769:715]" *)
input wire [769 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S01_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S02_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S03_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_\
SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S04_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S05_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S06_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:\
M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S07_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S08_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S09_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S10_SC, BRID\
GES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S11_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S12_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC, XIL_INTERFACENAME S13_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC\
:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC RECV [0:0] [0:0], xilinx.com:interface:sc:1.0 S01_SC RECV [0:0] [1:1], xilinx.com:interface:sc:1.0 S02_SC RECV [0:0] [2:2], xilinx.com:interface:sc:1.0 S03_SC RECV [0:0] [3:3], xilinx.com:interface:sc:1.0 S04_SC RECV [0:0] [4:4], xilinx.com:interface:sc:1.0 S05_SC RECV [0:0] [5:5], xilinx.com:interface:sc:1.0 S06_SC RECV [0:0] [6:6], xilinx.com:interface:sc:1.0 S07_SC RECV [0:0] [7:7], xilinx.com:interface:sc:1.0 S08_SC RECV [0:0] [8:8], xilinx.com:interface:sc\
:1.0 S09_SC RECV [0:0] [9:9], xilinx.com:interface:sc:1.0 S10_SC RECV [0:0] [10:10], xilinx.com:interface:sc:1.0 S11_SC RECV [0:0] [11:11], xilinx.com:interface:sc:1.0 S12_SC RECV [0:0] [12:12], xilinx.com:interface:sc:1.0 S13_SC RECV [0:0] [13:13]" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC RECV" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC SEND" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC REQ" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC INFO" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_switchboard_v1_0_8_top #(
    .C_PAYLD_WIDTH(55),
    .K_MAX_INFO_WIDTH(1),
    .C_S_PIPELINES(0),
    .C_M_PIPELINES(1),
    .C_S_LATENCY(0),
    .C_NUM_SI(14),
    .C_NUM_MI(1),
    .C_TESTING_MODE(0),
    .C_CONNECTIVITY(14'B11111111111111)
  ) inst (
    .aclk(aclk),
    .aclken(aclken),
    .connectivity(14'B11111111111111),
    .s_sc_send(s_sc_send),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_payld(s_sc_payld),
    .s_sc_recv(s_sc_recv),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_switchboard:1.0
// IP Revision: 6

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_wsw_0 (
  aclk,
  aclken,
  s_sc_send,
  s_sc_req,
  s_sc_info,
  s_sc_payld,
  s_sc_recv,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC:S00_SC:S01_SC:S02_SC:S03_SC:S04_SC:S05_SC:S06_SC:S07_SC:S08_SC:S09_SC:S10_SC:S11_SC:S12_SC:S13_SC:S14_SC:S15_SC, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclken, POLARITY ACTIVE_LOW" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clockenable:1.0 aclken CE" *)
input wire aclken;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC SEND" *)
input wire [13 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC REQ" *)
input wire [13 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC INFO" *)
input wire [13 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_SC, BRIDGES M00_SC:M01_SC:M02_SC:M03_SC:M04_SC:M05_SC:M06_SC:M07_SC:M08_SC:M09_SC:M10_SC:M11_SC:M12_SC:M13_SC:M14_SC:M15_SC" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S00_SC RECV" *)
output wire [13 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC RECV [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC RECV [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC RECV [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC RECV [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC RECV [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC RECV [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC RECV [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC RECV [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC RECV [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC RECV [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC RECV [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC RECV [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC RECV [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC RECV [0:0] [13:13]" *)
input wire [13 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC SEND [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC SEND [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC SEND [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC SEND [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC SEND [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC SEND [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC SEND [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC SEND [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC SEND [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC SEND [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC SEND [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC SEND [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC SEND [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC SEND [0:0] [13:13]" *)
output wire [13 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC REQ [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC REQ [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC REQ [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC REQ [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC REQ [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC REQ [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC REQ [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC REQ [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC REQ [0:0] [8:8], xilinx.com:interface:sc:1.0 M09_\
SC REQ [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC REQ [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC REQ [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC REQ [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC REQ [0:0] [13:13]" *)
output wire [13 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC INFO [0:0] [0:0], xilinx.com:interface:sc:1.0 M01_SC INFO [0:0] [1:1], xilinx.com:interface:sc:1.0 M02_SC INFO [0:0] [2:2], xilinx.com:interface:sc:1.0 M03_SC INFO [0:0] [3:3], xilinx.com:interface:sc:1.0 M04_SC INFO [0:0] [4:4], xilinx.com:interface:sc:1.0 M05_SC INFO [0:0] [5:5], xilinx.com:interface:sc:1.0 M06_SC INFO [0:0] [6:6], xilinx.com:interface:sc:1.0 M07_SC INFO [0:0] [7:7], xilinx.com:interface:sc:1.0 M08_SC INFO [0:0] [8:8], xilinx.com:interface:sc\
:1.0 M09_SC INFO [0:0] [9:9], xilinx.com:interface:sc:1.0 M10_SC INFO [0:0] [10:10], xilinx.com:interface:sc:1.0 M11_SC INFO [0:0] [11:11], xilinx.com:interface:sc:1.0 M12_SC INFO [0:0] [12:12], xilinx.com:interface:sc:1.0 M13_SC INFO [0:0] [13:13]" *)
output wire [13 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M00_SC PAYLD [68:0] [68:0], xilinx.com:interface:sc:1.0 M01_SC PAYLD [68:0] [137:69], xilinx.com:interface:sc:1.0 M02_SC PAYLD [68:0] [206:138], xilinx.com:interface:sc:1.0 M03_SC PAYLD [68:0] [275:207], xilinx.com:interface:sc:1.0 M04_SC PAYLD [68:0] [344:276], xilinx.com:interface:sc:1.0 M05_SC PAYLD [68:0] [413:345], xilinx.com:interface:sc:1.0 M06_SC PAYLD [68:0] [482:414], xilinx.com:interface:sc:1.0 M07_SC PAYLD [68:0] [551:483], xilinx.com:interface:sc:1.0 M08_\
SC PAYLD [68:0] [620:552], xilinx.com:interface:sc:1.0 M09_SC PAYLD [68:0] [689:621], xilinx.com:interface:sc:1.0 M10_SC PAYLD [68:0] [758:690], xilinx.com:interface:sc:1.0 M11_SC PAYLD [68:0] [827:759], xilinx.com:interface:sc:1.0 M12_SC PAYLD [68:0] [896:828], xilinx.com:interface:sc:1.0 M13_SC PAYLD [68:0] [965:897]" *)
output wire [965 : 0] m_sc_payld;

  sc_switchboard_v1_0_8_top #(
    .C_PAYLD_WIDTH(69),
    .K_MAX_INFO_WIDTH(1),
    .C_S_PIPELINES(0),
    .C_M_PIPELINES(1),
    .C_S_LATENCY(0),
    .C_NUM_SI(1),
    .C_NUM_MI(14),
    .C_TESTING_MODE(0),
    .C_CONNECTIVITY(14'B11111111111111)
  ) inst (
    .aclk(aclk),
    .aclken(aclken),
    .connectivity(14'B11111111111111),
    .s_sc_send(s_sc_send),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_payld(s_sc_payld),
    .s_sc_recv(s_sc_recv),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13awn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(3),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13arn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [213 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [213 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(2),
    .C_PAYLD_WIDTH(214),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(32),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13wn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [68 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [68 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(1),
    .C_PAYLD_WIDTH(69),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(14),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(0),
    .C_S_LATENCY(1),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13rn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [54 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [54 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(0),
    .C_PAYLD_WIDTH(55),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(1),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(4),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_node:1.0
// IP Revision: 14

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13bn_0 (
  s_sc_aclk,
  s_sc_aresetn,
  s_sc_req,
  s_sc_info,
  s_sc_send,
  s_sc_recv,
  s_sc_payld,
  m_sc_aclk,
  m_sc_aresetn,
  m_sc_recv,
  m_sc_send,
  m_sc_req,
  m_sc_info,
  m_sc_payld
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF S_AXIS_ARB:M_AXIS_ARB:S_SC, ASSOCIATED_RESET s_sc_aresetn, ASSOCIATED_CLKEN s_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire s_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 aresetn RST" *)
input wire s_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC REQ" *)
input wire [0 : 0] s_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC INFO" *)
input wire [0 : 0] s_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC SEND" *)
input wire [0 : 0] s_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC RECV" *)
output wire [0 : 0] s_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC PAYLD" *)
input wire [19 : 0] s_sc_payld;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aclk, ASSOCIATED_BUSIF M_SC, ASSOCIATED_RESET m_sc_aresetn, ASSOCIATED_CLKEN m_sc_aclken, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 m_sc_aclk CLK" *)
input wire m_sc_aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME m_sc_aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 m_sc_aresetn RST" *)
input wire m_sc_aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC RECV" *)
input wire [0 : 0] m_sc_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC SEND" *)
output wire [0 : 0] m_sc_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC REQ" *)
output wire [0 : 0] m_sc_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC INFO" *)
output wire [0 : 0] m_sc_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC PAYLD" *)
output wire [19 : 0] m_sc_payld;

  sc_node_v1_0_17_top #(
    .C_FAMILY("virtex7"),
    .C_FIFO_IP(0),
    .C_DISABLE_IP(0),
    .C_FIFO_SIZE(5),
    .C_FIFO_TYPE(0),
    .C_FIFO_OUTPUT_REG(1),
    .C_ENABLE_PIPELINING(8'H01),
    .C_SYNCHRONIZATION_STAGES(3),
    .C_NUM_SI(1),
    .C_NUM_MI(1),
    .C_CHANNEL(4),
    .C_PAYLD_WIDTH(20),
    .C_S_NUM_BYTES_ARRAY(32'H00000004),
    .C_M_NUM_BYTES_ARRAY(64'H0000000400000004),
    .C_PRIORITY_ARB_ARRAY(1'B0),
    .C_USER_BITS_PER_BYTE(0),
    .C_ARBITER_MODE(1),
    .C_SC_ROUTE_WIDTH(1),
    .C_ID_WIDTH(1),
    .C_ADDR_WIDTH(64),
    .C_USER_WIDTH(16),
    .C_MAX_PAYLD_BYTES(4),
    .C_S_PIPELINE(0),
    .C_M_PIPELINE(0),
    .C_M_SEND_PIPELINE(1),
    .C_S_LATENCY(0),
    .C_NUM_OUTSTANDING(8),
    .C_ACLK_RELATIONSHIP(1),
    .C_ACLKEN_CONVERSION(0)
  ) inst (
    .s_sc_aclk(s_sc_aclk),
    .s_sc_aclken(1'H1),
    .s_sc_aresetn(s_sc_aresetn),
    .s_sc_req(s_sc_req),
    .s_sc_info(s_sc_info),
    .s_sc_send(s_sc_send),
    .s_sc_recv(s_sc_recv),
    .s_sc_payld(s_sc_payld),
    .m_sc_aclk(m_sc_aclk),
    .m_sc_aclken(1'H1),
    .m_sc_aresetn(m_sc_aresetn),
    .m_sc_recv(m_sc_recv),
    .m_sc_send(m_sc_send),
    .m_sc_req(m_sc_req),
    .m_sc_info(m_sc_info),
    .m_sc_payld(m_sc_payld),
    .m_axis_arb_tvalid(),
    .m_axis_arb_tready(1'H1),
    .m_axis_arb_tdata(),
    .s_axis_arb_tvalid(1'H0),
    .s_axis_arb_tready(),
    .s_axis_arb_tdata(16'B0)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [63 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [7 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [63 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(64),
    .C_AXI_WDATA_WIDTH(64),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [50 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [4 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [169 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [169 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [51 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(0),
    .C_SC_WUSER_BITS_PER_BYTE(0),
    .C_SC_ARUSER_WIDTH(0),
    .C_SC_AWUSER_WIDTH(0),
    .C_SC_BUSER_WIDTH(0),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(170),
    .C_ARPAYLD_WIDTH(170),
    .C_WPAYLD_WIDTH(52),
    .C_RPAYLD_WIDTH(51),
    .C_BPAYLD_WIDTH(5)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(128),
    .C_AXI_WDATA_WIDTH(128),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [54 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [213 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [213 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [68 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(32),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(32),
    .C_SC_WDATA_WIDTH(32),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(32),
    .C_SC_AWUSER_WIDTH(32),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(14),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(214),
    .C_ARPAYLD_WIDTH(214),
    .C_WPAYLD_WIDTH(69),
    .C_RPAYLD_WIDTH(55),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [63 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [7 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [63 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(64),
    .C_AXI_WDATA_WIDTH(64),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_sc2axi:1.0
// IP Revision: 8

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_m00s2a_0 (
  aclk,
  m_sc_r_req,
  m_sc_r_info,
  m_sc_r_send,
  m_sc_r_recv,
  m_sc_r_payld,
  m_sc_b_req,
  m_sc_b_info,
  m_sc_b_send,
  m_sc_b_recv,
  m_sc_b_payld,
  s_sc_ar_req,
  s_sc_ar_info,
  s_sc_ar_send,
  s_sc_ar_recv,
  s_sc_ar_payld,
  s_sc_aw_req,
  s_sc_aw_info,
  s_sc_aw_send,
  s_sc_aw_recv,
  s_sc_aw_payld,
  s_sc_w_req,
  s_sc_w_info,
  s_sc_w_send,
  s_sc_w_recv,
  s_sc_w_payld,
  m_axi_awid,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bid,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_arid,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rid,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME aclk, ASSOCIATED_BUSIF M_AXI:S_AW_SC:S_AR_SC:S_W_SC:M_R_SC:M_W_SC, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 aclk CLK" *)
input wire aclk;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R REQ" *)
output wire m_sc_r_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R INFO" *)
output wire [0 : 0] m_sc_r_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R SEND" *)
output wire m_sc_r_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R RECV" *)
input wire m_sc_r_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_R PAYLD" *)
output wire [162 : 0] m_sc_r_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B REQ" *)
output wire m_sc_b_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B INFO" *)
output wire [0 : 0] m_sc_b_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B SEND" *)
output wire m_sc_b_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B RECV" *)
input wire m_sc_b_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 M_SC_B PAYLD" *)
output wire [19 : 0] m_sc_b_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR REQ" *)
input wire s_sc_ar_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR INFO" *)
input wire [0 : 0] s_sc_ar_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR SEND" *)
input wire s_sc_ar_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR RECV" *)
output wire s_sc_ar_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AR PAYLD" *)
input wire [186 : 0] s_sc_ar_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW REQ" *)
input wire s_sc_aw_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW INFO" *)
input wire [0 : 0] s_sc_aw_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW SEND" *)
input wire s_sc_aw_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW RECV" *)
output wire s_sc_aw_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_AW PAYLD" *)
input wire [186 : 0] s_sc_aw_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W REQ" *)
input wire s_sc_w_req;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W INFO" *)
input wire [0 : 0] s_sc_w_info;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W SEND" *)
input wire s_sc_w_send;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W RECV" *)
output wire s_sc_w_recv;
(* X_INTERFACE_INFO = "xilinx.com:interface:sc:1.0 S_SC_W PAYLD" *)
input wire [175 : 0] s_sc_w_payld;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWID" *)
output wire [0 : 0] m_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [1023 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [1023 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BID" *)
input wire [0 : 0] m_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [1023 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARID" *)
output wire [0 : 0] m_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [1023 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RID" *)
input wire [0 : 0] m_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [1023 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_sc2axi_v1_0_10_top #(
    .C_AXI_ADDR_WIDTH(64),
    .C_AXI_ID_WIDTH(1),
    .C_AXI_RDATA_WIDTH(32),
    .C_AXI_WDATA_WIDTH(32),
    .C_SC_ADDR_WIDTH(64),
    .C_SC_ID_WIDTH(1),
    .C_SC_RDATA_WIDTH(128),
    .C_SC_WDATA_WIDTH(128),
    .C_SC_RUSER_BITS_PER_BYTE(1),
    .C_SC_WUSER_BITS_PER_BYTE(1),
    .C_SC_ARUSER_WIDTH(18),
    .C_SC_AWUSER_WIDTH(18),
    .C_SC_BUSER_WIDTH(16),
    .C_MSC_ROUTE_WIDTH(1),
    .C_SSC_ROUTE_WIDTH(1),
    .C_AWPAYLD_WIDTH(187),
    .C_ARPAYLD_WIDTH(187),
    .C_WPAYLD_WIDTH(176),
    .C_RPAYLD_WIDTH(163),
    .C_BPAYLD_WIDTH(20)
  ) inst (
    .aclk(aclk),
    .m_sc_r_req(m_sc_r_req),
    .m_sc_r_info(m_sc_r_info),
    .m_sc_r_send(m_sc_r_send),
    .m_sc_r_recv(m_sc_r_recv),
    .m_sc_r_payld(m_sc_r_payld),
    .m_sc_b_req(m_sc_b_req),
    .m_sc_b_info(m_sc_b_info),
    .m_sc_b_send(m_sc_b_send),
    .m_sc_b_recv(m_sc_b_recv),
    .m_sc_b_payld(m_sc_b_payld),
    .s_sc_ar_req(s_sc_ar_req),
    .s_sc_ar_info(s_sc_ar_info),
    .s_sc_ar_send(s_sc_ar_send),
    .s_sc_ar_recv(s_sc_ar_recv),
    .s_sc_ar_payld(s_sc_ar_payld),
    .s_sc_aw_req(s_sc_aw_req),
    .s_sc_aw_info(s_sc_aw_info),
    .s_sc_aw_send(s_sc_aw_send),
    .s_sc_aw_recv(s_sc_aw_recv),
    .s_sc_aw_payld(s_sc_aw_payld),
    .s_sc_w_req(s_sc_w_req),
    .s_sc_w_info(s_sc_w_info),
    .s_sc_w_send(s_sc_w_send),
    .s_sc_w_recv(s_sc_w_recv),
    .s_sc_w_payld(s_sc_w_payld),
    .m_axi_awid(m_axi_awid),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(m_axi_bid),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(m_axi_arid),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(m_axi_rid),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [15 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [15 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(16),
    .C_M_WUSER_WIDTH(16),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [15 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [15 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(16),
    .C_M_WUSER_WIDTH(16),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [15 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [15 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(16),
    .C_M_WUSER_WIDTH(16),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [63 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [7 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [63 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [63 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [7 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [7 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [63 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [7 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 8, RUSER_WIDTH 8, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(64),
    .C_WDATA_WIDTH(64),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(8),
    .C_M_WUSER_WIDTH(8),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awprot,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arprot,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4LITE, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 0, ARUSER_WIDTH 0, WUSER_WIDTH 0, RUSER_WIDTH 0, BUSER_WIDTH 0, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 0, HAS_PROT 1, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 1, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, N\
UM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(3),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(6'B111101),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(0),
    .C_M_WUSER_BITS_PER_BYTE(0),
    .C_MAX_RUSER_BITS_PER_BYTE(0),
    .C_MAX_WUSER_BITS_PER_BYTE(0),
    .C_M_ARUSER_WIDTH(0),
    .C_M_AWUSER_WIDTH(0),
    .C_M_RUSER_WIDTH(0),
    .C_M_WUSER_WIDTH(0),
    .C_M_BUSER_WIDTH(0),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(2),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(1),
    .C_M_LIMIT_READ_LENGTH(0),
    .C_M_LIMIT_WRITE_LENGTH(0),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(),
    .m_axi_awsize(),
    .m_axi_awburst(),
    .m_axi_awlock(),
    .m_axi_awcache(),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(),
    .m_axi_awuser(),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(),
    .m_axi_wuser(),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(1'H0),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(),
    .m_axi_arsize(),
    .m_axi_arburst(),
    .m_axi_arlock(),
    .m_axi_arcache(),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(),
    .m_axi_aruser(),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(1'H1),
    .m_axi_ruser(1'H0),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [15 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [15 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(16),
    .C_M_WUSER_WIDTH(16),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [127 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [15 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [127 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_REA\
D_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [127 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [15 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [15 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [127 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [15 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS \
1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(128),
    .C_WDATA_WIDTH(128),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(16),
    .C_M_WUSER_WIDTH(16),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m01e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m02e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m03e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m04e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m05e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m06e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m07e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m08e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m09e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m10e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m11e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m12e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_m13e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [31 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [31 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 32, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [31 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [31 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [31 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [31 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'H1),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(32),
    .C_M_AWUSER_WIDTH(32),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(32),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(14),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(8),
    .C_NUM_WRITE_OUTSTANDING(8),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [63 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [7 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [63 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [63 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [7 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [7 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [63 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [7 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 8, RUSER_WIDTH 8, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(64),
    .C_WDATA_WIDTH(64),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(8),
    .C_M_WUSER_WIDTH(8),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule
// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:sc_exit:1.0
// IP Revision: 13

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_m00e_0 (
  aclk,
  aresetn,
  s_axi_awid,
  s_axi_awaddr,
  s_axi_awlen,
  s_axi_awlock,
  s_axi_awcache,
  s_axi_awprot,
  s_axi_awqos,
  s_axi_awuser,
  s_axi_awvalid,
  s_axi_awready,
  s_axi_wdata,
  s_axi_wstrb,
  s_axi_wlast,
  s_axi_wuser,
  s_axi_wvalid,
  s_axi_wready,
  s_axi_bid,
  s_axi_bresp,
  s_axi_buser,
  s_axi_bvalid,
  s_axi_bready,
  s_axi_arid,
  s_axi_araddr,
  s_axi_arlen,
  s_axi_arlock,
  s_axi_arcache,
  s_axi_arprot,
  s_axi_arqos,
  s_axi_aruser,
  s_axi_arvalid,
  s_axi_arready,
  s_axi_rid,
  s_axi_rdata,
  s_axi_rresp,
  s_axi_rlast,
  s_axi_ruser,
  s_axi_rvalid,
  s_axi_rready,
  m_axi_awaddr,
  m_axi_awlen,
  m_axi_awsize,
  m_axi_awburst,
  m_axi_awlock,
  m_axi_awcache,
  m_axi_awprot,
  m_axi_awqos,
  m_axi_awuser,
  m_axi_awvalid,
  m_axi_awready,
  m_axi_wdata,
  m_axi_wstrb,
  m_axi_wlast,
  m_axi_wuser,
  m_axi_wvalid,
  m_axi_wready,
  m_axi_bresp,
  m_axi_buser,
  m_axi_bvalid,
  m_axi_bready,
  m_axi_araddr,
  m_axi_arlen,
  m_axi_arsize,
  m_axi_arburst,
  m_axi_arlock,
  m_axi_arcache,
  m_axi_arprot,
  m_axi_arqos,
  m_axi_aruser,
  m_axi_arvalid,
  m_axi_arready,
  m_axi_rdata,
  m_axi_rresp,
  m_axi_rlast,
  m_axi_ruser,
  m_axi_rvalid,
  m_axi_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF S_AXI:M_AXI, ASSOCIATED_RESET aresetn, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST, POLARITY ACTIVE_LOW, INSERT_VIP 0, TYPE INTERCONNECT" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWID" *)
input wire [0 : 0] s_axi_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWADDR" *)
input wire [63 : 0] s_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLEN" *)
input wire [7 : 0] s_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWLOCK" *)
input wire [0 : 0] s_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWCACHE" *)
input wire [3 : 0] s_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWPROT" *)
input wire [2 : 0] s_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWQOS" *)
input wire [3 : 0] s_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWUSER" *)
input wire [1023 : 0] s_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWVALID" *)
input wire s_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI AWREADY" *)
output wire s_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WDATA" *)
input wire [31 : 0] s_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WSTRB" *)
input wire [3 : 0] s_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WLAST" *)
input wire s_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WUSER" *)
input wire [1023 : 0] s_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WVALID" *)
input wire s_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI WREADY" *)
output wire s_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BID" *)
output wire [0 : 0] s_axi_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BRESP" *)
output wire [1 : 0] s_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BUSER" *)
output wire [1023 : 0] s_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BVALID" *)
output wire s_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI BREADY" *)
input wire s_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARID" *)
input wire [0 : 0] s_axi_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARADDR" *)
input wire [63 : 0] s_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLEN" *)
input wire [7 : 0] s_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARLOCK" *)
input wire [0 : 0] s_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARCACHE" *)
input wire [3 : 0] s_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARPROT" *)
input wire [2 : 0] s_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARQOS" *)
input wire [3 : 0] s_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARUSER" *)
input wire [1023 : 0] s_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARVALID" *)
input wire s_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI ARREADY" *)
output wire s_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RID" *)
output wire [0 : 0] s_axi_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RDATA" *)
output wire [31 : 0] s_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RRESP" *)
output wire [1 : 0] s_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RLAST" *)
output wire s_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RUSER" *)
output wire [1023 : 0] s_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RVALID" *)
output wire s_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 1, ADDR_WIDTH 64, AWUSER_WIDTH 1024, ARUSER_WIDTH 1024, WUSER_WIDTH 1024, RUSER_WIDTH 1024, BUSER_WIDTH 1024, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 2, NUM_WRITE_OUTSTANDING 2, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ\
_THREADS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S_AXI RREADY" *)
input wire s_axi_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWADDR" *)
output wire [63 : 0] m_axi_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLEN" *)
output wire [7 : 0] m_axi_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWSIZE" *)
output wire [2 : 0] m_axi_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWBURST" *)
output wire [1 : 0] m_axi_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWLOCK" *)
output wire [0 : 0] m_axi_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWCACHE" *)
output wire [3 : 0] m_axi_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWPROT" *)
output wire [2 : 0] m_axi_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWQOS" *)
output wire [3 : 0] m_axi_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWUSER" *)
output wire [17 : 0] m_axi_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWVALID" *)
output wire m_axi_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI AWREADY" *)
input wire m_axi_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WDATA" *)
output wire [31 : 0] m_axi_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WSTRB" *)
output wire [3 : 0] m_axi_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WLAST" *)
output wire m_axi_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WUSER" *)
output wire [3 : 0] m_axi_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WVALID" *)
output wire m_axi_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI WREADY" *)
input wire m_axi_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BRESP" *)
input wire [1 : 0] m_axi_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BUSER" *)
input wire [15 : 0] m_axi_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BVALID" *)
input wire m_axi_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI BREADY" *)
output wire m_axi_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARADDR" *)
output wire [63 : 0] m_axi_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLEN" *)
output wire [7 : 0] m_axi_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARSIZE" *)
output wire [2 : 0] m_axi_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARBURST" *)
output wire [1 : 0] m_axi_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARLOCK" *)
output wire [0 : 0] m_axi_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARCACHE" *)
output wire [3 : 0] m_axi_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARPROT" *)
output wire [2 : 0] m_axi_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARQOS" *)
output wire [3 : 0] m_axi_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARUSER" *)
output wire [17 : 0] m_axi_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARVALID" *)
output wire m_axi_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI ARREADY" *)
input wire m_axi_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RDATA" *)
input wire [31 : 0] m_axi_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RRESP" *)
input wire [1 : 0] m_axi_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RLAST" *)
input wire m_axi_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RUSER" *)
input wire [3 : 0] m_axi_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RVALID" *)
input wire m_axi_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, \
NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M_AXI RREADY" *)
output wire m_axi_rready;

  sc_exit_v1_0_16_top #(
    .C_FAMILY("virtex7"),
    .C_ENABLE_PIPELINING(1'D0),
    .C_IS_CASCADED(0),
    .C_SSC_ROUTE_WIDTH(1),
    .C_MEP_IDENTIFIER_WIDTH(1),
    .C_SSC_ROUTE_ARRAY(2'B10),
    .C_RDATA_WIDTH(32),
    .C_WDATA_WIDTH(32),
    .C_M_RUSER_BITS_PER_BYTE(1),
    .C_M_WUSER_BITS_PER_BYTE(1),
    .C_MAX_RUSER_BITS_PER_BYTE(1),
    .C_MAX_WUSER_BITS_PER_BYTE(1),
    .C_M_ARUSER_WIDTH(18),
    .C_M_AWUSER_WIDTH(18),
    .C_M_RUSER_WIDTH(4),
    .C_M_WUSER_WIDTH(4),
    .C_M_BUSER_WIDTH(16),
    .C_S_ID_WIDTH(1),
    .C_M_ID_WIDTH(0),
    .C_ADDR_WIDTH(64),
    .C_M_PROTOCOL(0),
    .C_HAS_LOCK(0),
    .C_NUM_MSC(1),
    .C_SINGLE_ISSUING(0),
    .C_M_LIMIT_READ_LENGTH(256),
    .C_M_LIMIT_WRITE_LENGTH(256),
    .C_NUM_READ_OUTSTANDING(1),
    .C_NUM_WRITE_OUTSTANDING(1),
    .C_READ_ACCEPTANCE(32),
    .C_WRITE_ACCEPTANCE(32),
    .C_NUM_WRITE_THREADS(1),
    .C_NUM_READ_THREADS(1)
  ) inst (
    .aclk(aclk),
    .aclken(1'B1),
    .aresetn(aresetn),
    .s_axi_awid(s_axi_awid),
    .s_axi_awaddr(s_axi_awaddr),
    .s_axi_awlen(s_axi_awlen),
    .s_axi_awlock(s_axi_awlock),
    .s_axi_awcache(s_axi_awcache),
    .s_axi_awprot(s_axi_awprot),
    .s_axi_awqos(s_axi_awqos),
    .s_axi_awuser(s_axi_awuser),
    .s_axi_awvalid(s_axi_awvalid),
    .s_axi_awready(s_axi_awready),
    .s_axi_wdata(s_axi_wdata),
    .s_axi_wstrb(s_axi_wstrb),
    .s_axi_wlast(s_axi_wlast),
    .s_axi_wuser(s_axi_wuser),
    .s_axi_wvalid(s_axi_wvalid),
    .s_axi_wready(s_axi_wready),
    .s_axi_bid(s_axi_bid),
    .s_axi_bresp(s_axi_bresp),
    .s_axi_buser(s_axi_buser),
    .s_axi_bvalid(s_axi_bvalid),
    .s_axi_bready(s_axi_bready),
    .s_axi_arid(s_axi_arid),
    .s_axi_araddr(s_axi_araddr),
    .s_axi_arlen(s_axi_arlen),
    .s_axi_arlock(s_axi_arlock),
    .s_axi_arcache(s_axi_arcache),
    .s_axi_arprot(s_axi_arprot),
    .s_axi_arqos(s_axi_arqos),
    .s_axi_aruser(s_axi_aruser),
    .s_axi_arvalid(s_axi_arvalid),
    .s_axi_arready(s_axi_arready),
    .s_axi_rid(s_axi_rid),
    .s_axi_rdata(s_axi_rdata),
    .s_axi_rresp(s_axi_rresp),
    .s_axi_rlast(s_axi_rlast),
    .s_axi_ruser(s_axi_ruser),
    .s_axi_rvalid(s_axi_rvalid),
    .s_axi_rready(s_axi_rready),
    .m_axi_awid(),
    .m_axi_awaddr(m_axi_awaddr),
    .m_axi_awlen(m_axi_awlen),
    .m_axi_awsize(m_axi_awsize),
    .m_axi_awburst(m_axi_awburst),
    .m_axi_awlock(m_axi_awlock),
    .m_axi_awcache(m_axi_awcache),
    .m_axi_awprot(m_axi_awprot),
    .m_axi_awqos(m_axi_awqos),
    .m_axi_awuser(m_axi_awuser),
    .m_axi_awvalid(m_axi_awvalid),
    .m_axi_awready(m_axi_awready),
    .m_axi_wid(),
    .m_axi_wdata(m_axi_wdata),
    .m_axi_wstrb(m_axi_wstrb),
    .m_axi_wlast(m_axi_wlast),
    .m_axi_wuser(m_axi_wuser),
    .m_axi_wvalid(m_axi_wvalid),
    .m_axi_wready(m_axi_wready),
    .m_axi_bid(1'H0),
    .m_axi_bresp(m_axi_bresp),
    .m_axi_buser(m_axi_buser),
    .m_axi_bvalid(m_axi_bvalid),
    .m_axi_bready(m_axi_bready),
    .m_axi_arid(),
    .m_axi_araddr(m_axi_araddr),
    .m_axi_arlen(m_axi_arlen),
    .m_axi_arsize(m_axi_arsize),
    .m_axi_arburst(m_axi_arburst),
    .m_axi_arlock(m_axi_arlock),
    .m_axi_arcache(m_axi_arcache),
    .m_axi_arprot(m_axi_arprot),
    .m_axi_arqos(m_axi_arqos),
    .m_axi_aruser(m_axi_aruser),
    .m_axi_arvalid(m_axi_arvalid),
    .m_axi_arready(m_axi_arready),
    .m_axi_rid(1'H0),
    .m_axi_rdata(m_axi_rdata),
    .m_axi_rresp(m_axi_rresp),
    .m_axi_rlast(m_axi_rlast),
    .m_axi_ruser(m_axi_ruser),
    .m_axi_rvalid(m_axi_rvalid),
    .m_axi_rready(m_axi_rready)
  );
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_427c.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_427c
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_427c,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_427c,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_1_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_427c
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [127:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [15:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [127:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [15:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [15:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [127:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [15:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [127:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [15:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [15:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [127:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [127:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [15:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[127:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[15:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[15:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[127:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[15:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_FG09ES clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1LFXP4V m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_427c_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_427c_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_L4Z918 s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_OUV2P2 s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_FG09ES
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_427c_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1LFXP4V
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [15:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [15:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [127:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [15:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [127:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [15:0]m00_exit_M_AXI_WSTRB;
  wire [15:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[127:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[15:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[15:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_427c_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_L4Z918
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_427c_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_427c_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_427c_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_OUV2P2
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_427c_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_427c_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_427c_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_427c_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_427c_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_428c.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_428c
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_428c,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_428c,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_2_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_428c
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [127:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [15:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [127:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [15:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [15:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [127:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [15:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [127:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [15:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [15:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [127:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [127:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [15:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[127:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[15:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[15:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[127:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[15:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_1CVYGKR clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_K5E01C m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_428c_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_428c_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1KIUP4J s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1PM1VVT s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_1CVYGKR
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_428c_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_K5E01C
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [15:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [15:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [127:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [15:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [127:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [15:0]m00_exit_M_AXI_WSTRB;
  wire [15:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[127:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[15:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[15:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_428c_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1KIUP4J
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_428c_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_428c_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_428c_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1PM1VVT
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_428c_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_428c_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_428c_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_428c_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_428c_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_436c.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_436c
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_436c,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_436c,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_4_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_436c
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [127:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [15:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [127:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [15:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [15:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [127:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [15:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [127:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [15:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [15:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [127:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [127:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [15:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[127:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[15:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[15:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[127:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[15:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_D5UY1E clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1NWAVPL m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_436c_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_436c_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_NKNUOA s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_I4CLXS s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_D5UY1E
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_436c_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1NWAVPL
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [15:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [15:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [127:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [15:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [127:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [15:0]m00_exit_M_AXI_WSTRB;
  wire [15:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[127:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[15:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[15:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_436c_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_NKNUOA
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_436c_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_436c_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_436c_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_I4CLXS
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_436c_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_436c_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_436c_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_436c_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_436c_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_439c.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_439c
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_439c,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_439c,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_7_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_439c
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [31:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [3:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [31:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [3:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [3:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [31:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [3:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [31:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [3:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [31:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [31:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [3:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[31:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[3:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[3:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[31:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[3:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_1AV6IVX clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_M9W98M m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_439c_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_439c_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1MNXBK5 s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1J65R6N s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_1AV6IVX
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_439c_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_M9W98M
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [31:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [3:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [31:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [3:0]m00_exit_M_AXI_WSTRB;
  wire [3:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_439c_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1MNXBK5
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_439c_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_439c_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_439c_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1J65R6N
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_439c_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_439c_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_439c_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_439c_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_439c_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_6f5b.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_6f5b
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_6f5b,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_6f5b,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x32_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_6f5b
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [31:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [3:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [31:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [3:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [3:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [15:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [15:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [15:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [15:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [31:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [3:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [31:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [3:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [31:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [31:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [3:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[31:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[3:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[3:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[15:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[15:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[31:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[3:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_1DPEZBR clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_KYM3D8 m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1JO2F0V s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1PCKJV9 s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_1DPEZBR
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_6f5b_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_KYM3D8
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [31:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [3:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [31:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [3:0]m00_exit_M_AXI_WSTRB;
  wire [3:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_6f5b_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1JO2F0V
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [15:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [15:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [15:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [15:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[15:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[15:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_6f5b_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1PCKJV9
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_6f5b_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_6f5b_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_7a9a.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_7a9a
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_7a9a,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_7a9a,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x64_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_7a9a
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 64, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 8, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 8" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [63:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [7:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [63:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [7:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [7:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [15:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [15:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [15:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [15:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [63:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [7:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [63:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [7:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [7:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [63:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [63:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [7:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[63:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[7:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[7:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[15:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[15:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[63:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[7:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_GHJ9J5 clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1IBGUZE m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_I0JGT5 s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_NOBQGZ s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_GHJ9J5
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_7a9a_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1IBGUZE
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [63:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [7:0]m_axi_ruser;
  input m_axi_rvalid;
  output [63:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [7:0]m_axi_wstrb;
  output [7:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [63:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [63:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [7:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [63:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [7:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [63:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [7:0]m00_exit_M_AXI_WSTRB;
  wire [7:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [63:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [63:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [7:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[63:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[7:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[63:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[7:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[7:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[63:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[7:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[63:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_7a9a_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_I0JGT5
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [15:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [15:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [15:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [15:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[15:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[15:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_7a9a_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_NOBQGZ
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_7a9a_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_7a9a_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_826a.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_826a
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_826a,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_826a,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_sc_axi2apb_slave_side_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_826a
   (M00_AXI_araddr,
    M00_AXI_arprot,
    M00_AXI_arready,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awprot,
    M00_AXI_awready,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awvalid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 0, AWUSER_WIDTH 0, BUSER_WIDTH 0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 0, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 1, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 1, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4LITE, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 0, RUSER_WIDTH 0, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 0, WUSER_WIDTH 0" *) output [31:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [31:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [31:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [31:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [3:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 0, AWUSER_WIDTH 0, BUSER_WIDTH 0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 1, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 0, RUSER_WIDTH 0, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 0, WUSER_WIDTH 0" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire S00_AXI_1_AWVALID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [169:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [169:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [4:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [50:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [51:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [31:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [31:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [31:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [3:0]m00_exit_pipeline_m_axi_WSTRB;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [31:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [31:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [31:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [31:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [3:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [31:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [31:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [3:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [169:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [169:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [4:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [50:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [51:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[31:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[31:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[31:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wstrb[3:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[31:0];
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_12EL5DD clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_VUELRE m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_826a_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_826a_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1V4J1RD s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1RCRSTV s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_12EL5DD
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_826a_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_VUELRE
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arprot,
    m_axi_arready,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awprot,
    m_axi_awready,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rready,
    m_axi_rresp,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [2:0]m_axi_arprot;
  input m_axi_arready;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [2:0]m_axi_awprot;
  input m_axi_awready;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m00_exit_M_AXI_ARADDR;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire m00_exit_M_AXI_ARREADY;
  wire m00_exit_M_AXI_ARVALID;
  wire [31:0]m00_exit_M_AXI_AWADDR;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire m00_exit_M_AXI_AWREADY;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire m00_exit_M_AXI_BVALID;
  wire [31:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire m00_exit_M_AXI_RVALID;
  wire [31:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WREADY;
  wire [3:0]m00_exit_M_AXI_WSTRB;
  wire m00_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wstrb[3:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_826a_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1V4J1RD
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awvalid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input s_axi_awvalid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [31:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [31:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [3:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire s_axi_1_AWVALID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[31:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_826a_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_826a_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_826a_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1RCRSTV
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [169:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [169:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [4:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [50:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [51:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [169:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [169:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [4:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [50:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [51:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [169:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [169:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [4:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [50:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [51:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [169:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [169:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [4:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [50:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [51:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[169:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[169:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[4:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[50:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[51:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[169:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[169:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[4:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[50:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[51:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_826a_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_826a_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_826a_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_826a_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_826a_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_82dd.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_82dd
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_82dd,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_82dd,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_3_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_82dd
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [127:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [15:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [127:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [15:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [15:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [127:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [15:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [127:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [15:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [15:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [127:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [127:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [15:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[127:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[15:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[15:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[127:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[15:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_VS963S clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_12BSW6R m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_82dd_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_82dd_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_2IC35C s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_7YNBVU s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_VS963S
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_82dd_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_12BSW6R
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [15:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [15:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [127:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [15:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [127:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [15:0]m00_exit_M_AXI_WSTRB;
  wire [15:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[127:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[15:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[15:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_82dd_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_2IC35C
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_82dd_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_82dd_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_82dd_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_7YNBVU
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_82dd_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_82dd_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_82dd_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_82dd_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_82dd_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_833d.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_833d
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_833d,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_833d,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_5_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_833d
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [127:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [15:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [127:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [15:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [15:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [31:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [31:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [127:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [15:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [127:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [15:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [15:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [127:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [127:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [15:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[127:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[15:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[15:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[31:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[31:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[127:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[15:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_11DKCR0 clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_YZM05Z m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_833d_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_833d_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1Y95QAC s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1SISTVY s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_11DKCR0
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_833d_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_YZM05Z
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [15:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [15:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [127:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [15:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [127:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [15:0]m00_exit_M_AXI_WSTRB;
  wire [15:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[127:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[15:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[15:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_833d_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_1Y95QAC
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [31:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [31:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [31:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [31:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[31:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[31:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_833d_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_833d_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_833d_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_1SISTVY
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_833d_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_833d_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_833d_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_833d_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_833d_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_83cd.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_83cd
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_83cd,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_83cd,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=146,numReposBlks=114,numNonXlnxBlks=0,numHierBlks=32,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_smartconnect_6_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_83cd
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    M01_AXI_araddr,
    M01_AXI_arburst,
    M01_AXI_arcache,
    M01_AXI_arlen,
    M01_AXI_arlock,
    M01_AXI_arprot,
    M01_AXI_arqos,
    M01_AXI_arready,
    M01_AXI_arsize,
    M01_AXI_aruser,
    M01_AXI_arvalid,
    M01_AXI_awaddr,
    M01_AXI_awburst,
    M01_AXI_awcache,
    M01_AXI_awlen,
    M01_AXI_awlock,
    M01_AXI_awprot,
    M01_AXI_awqos,
    M01_AXI_awready,
    M01_AXI_awsize,
    M01_AXI_awuser,
    M01_AXI_awvalid,
    M01_AXI_bready,
    M01_AXI_bresp,
    M01_AXI_buser,
    M01_AXI_bvalid,
    M01_AXI_rdata,
    M01_AXI_rlast,
    M01_AXI_rready,
    M01_AXI_rresp,
    M01_AXI_ruser,
    M01_AXI_rvalid,
    M01_AXI_wdata,
    M01_AXI_wlast,
    M01_AXI_wready,
    M01_AXI_wstrb,
    M01_AXI_wuser,
    M01_AXI_wvalid,
    M02_AXI_araddr,
    M02_AXI_arburst,
    M02_AXI_arcache,
    M02_AXI_arlen,
    M02_AXI_arlock,
    M02_AXI_arprot,
    M02_AXI_arqos,
    M02_AXI_arready,
    M02_AXI_arsize,
    M02_AXI_aruser,
    M02_AXI_arvalid,
    M02_AXI_awaddr,
    M02_AXI_awburst,
    M02_AXI_awcache,
    M02_AXI_awlen,
    M02_AXI_awlock,
    M02_AXI_awprot,
    M02_AXI_awqos,
    M02_AXI_awready,
    M02_AXI_awsize,
    M02_AXI_awuser,
    M02_AXI_awvalid,
    M02_AXI_bready,
    M02_AXI_bresp,
    M02_AXI_buser,
    M02_AXI_bvalid,
    M02_AXI_rdata,
    M02_AXI_rlast,
    M02_AXI_rready,
    M02_AXI_rresp,
    M02_AXI_ruser,
    M02_AXI_rvalid,
    M02_AXI_wdata,
    M02_AXI_wlast,
    M02_AXI_wready,
    M02_AXI_wstrb,
    M02_AXI_wuser,
    M02_AXI_wvalid,
    M03_AXI_araddr,
    M03_AXI_arburst,
    M03_AXI_arcache,
    M03_AXI_arlen,
    M03_AXI_arlock,
    M03_AXI_arprot,
    M03_AXI_arqos,
    M03_AXI_arready,
    M03_AXI_arsize,
    M03_AXI_aruser,
    M03_AXI_arvalid,
    M03_AXI_awaddr,
    M03_AXI_awburst,
    M03_AXI_awcache,
    M03_AXI_awlen,
    M03_AXI_awlock,
    M03_AXI_awprot,
    M03_AXI_awqos,
    M03_AXI_awready,
    M03_AXI_awsize,
    M03_AXI_awuser,
    M03_AXI_awvalid,
    M03_AXI_bready,
    M03_AXI_bresp,
    M03_AXI_buser,
    M03_AXI_bvalid,
    M03_AXI_rdata,
    M03_AXI_rlast,
    M03_AXI_rready,
    M03_AXI_rresp,
    M03_AXI_ruser,
    M03_AXI_rvalid,
    M03_AXI_wdata,
    M03_AXI_wlast,
    M03_AXI_wready,
    M03_AXI_wstrb,
    M03_AXI_wuser,
    M03_AXI_wvalid,
    M04_AXI_araddr,
    M04_AXI_arburst,
    M04_AXI_arcache,
    M04_AXI_arlen,
    M04_AXI_arlock,
    M04_AXI_arprot,
    M04_AXI_arqos,
    M04_AXI_arready,
    M04_AXI_arsize,
    M04_AXI_aruser,
    M04_AXI_arvalid,
    M04_AXI_awaddr,
    M04_AXI_awburst,
    M04_AXI_awcache,
    M04_AXI_awlen,
    M04_AXI_awlock,
    M04_AXI_awprot,
    M04_AXI_awqos,
    M04_AXI_awready,
    M04_AXI_awsize,
    M04_AXI_awuser,
    M04_AXI_awvalid,
    M04_AXI_bready,
    M04_AXI_bresp,
    M04_AXI_buser,
    M04_AXI_bvalid,
    M04_AXI_rdata,
    M04_AXI_rlast,
    M04_AXI_rready,
    M04_AXI_rresp,
    M04_AXI_ruser,
    M04_AXI_rvalid,
    M04_AXI_wdata,
    M04_AXI_wlast,
    M04_AXI_wready,
    M04_AXI_wstrb,
    M04_AXI_wuser,
    M04_AXI_wvalid,
    M05_AXI_araddr,
    M05_AXI_arburst,
    M05_AXI_arcache,
    M05_AXI_arlen,
    M05_AXI_arlock,
    M05_AXI_arprot,
    M05_AXI_arqos,
    M05_AXI_arready,
    M05_AXI_arsize,
    M05_AXI_aruser,
    M05_AXI_arvalid,
    M05_AXI_awaddr,
    M05_AXI_awburst,
    M05_AXI_awcache,
    M05_AXI_awlen,
    M05_AXI_awlock,
    M05_AXI_awprot,
    M05_AXI_awqos,
    M05_AXI_awready,
    M05_AXI_awsize,
    M05_AXI_awuser,
    M05_AXI_awvalid,
    M05_AXI_bready,
    M05_AXI_bresp,
    M05_AXI_buser,
    M05_AXI_bvalid,
    M05_AXI_rdata,
    M05_AXI_rlast,
    M05_AXI_rready,
    M05_AXI_rresp,
    M05_AXI_ruser,
    M05_AXI_rvalid,
    M05_AXI_wdata,
    M05_AXI_wlast,
    M05_AXI_wready,
    M05_AXI_wstrb,
    M05_AXI_wuser,
    M05_AXI_wvalid,
    M06_AXI_araddr,
    M06_AXI_arburst,
    M06_AXI_arcache,
    M06_AXI_arlen,
    M06_AXI_arlock,
    M06_AXI_arprot,
    M06_AXI_arqos,
    M06_AXI_arready,
    M06_AXI_arsize,
    M06_AXI_aruser,
    M06_AXI_arvalid,
    M06_AXI_awaddr,
    M06_AXI_awburst,
    M06_AXI_awcache,
    M06_AXI_awlen,
    M06_AXI_awlock,
    M06_AXI_awprot,
    M06_AXI_awqos,
    M06_AXI_awready,
    M06_AXI_awsize,
    M06_AXI_awuser,
    M06_AXI_awvalid,
    M06_AXI_bready,
    M06_AXI_bresp,
    M06_AXI_buser,
    M06_AXI_bvalid,
    M06_AXI_rdata,
    M06_AXI_rlast,
    M06_AXI_rready,
    M06_AXI_rresp,
    M06_AXI_ruser,
    M06_AXI_rvalid,
    M06_AXI_wdata,
    M06_AXI_wlast,
    M06_AXI_wready,
    M06_AXI_wstrb,
    M06_AXI_wuser,
    M06_AXI_wvalid,
    M07_AXI_araddr,
    M07_AXI_arburst,
    M07_AXI_arcache,
    M07_AXI_arlen,
    M07_AXI_arlock,
    M07_AXI_arprot,
    M07_AXI_arqos,
    M07_AXI_arready,
    M07_AXI_arsize,
    M07_AXI_aruser,
    M07_AXI_arvalid,
    M07_AXI_awaddr,
    M07_AXI_awburst,
    M07_AXI_awcache,
    M07_AXI_awlen,
    M07_AXI_awlock,
    M07_AXI_awprot,
    M07_AXI_awqos,
    M07_AXI_awready,
    M07_AXI_awsize,
    M07_AXI_awuser,
    M07_AXI_awvalid,
    M07_AXI_bready,
    M07_AXI_bresp,
    M07_AXI_buser,
    M07_AXI_bvalid,
    M07_AXI_rdata,
    M07_AXI_rlast,
    M07_AXI_rready,
    M07_AXI_rresp,
    M07_AXI_ruser,
    M07_AXI_rvalid,
    M07_AXI_wdata,
    M07_AXI_wlast,
    M07_AXI_wready,
    M07_AXI_wstrb,
    M07_AXI_wuser,
    M07_AXI_wvalid,
    M08_AXI_araddr,
    M08_AXI_arburst,
    M08_AXI_arcache,
    M08_AXI_arlen,
    M08_AXI_arlock,
    M08_AXI_arprot,
    M08_AXI_arqos,
    M08_AXI_arready,
    M08_AXI_arsize,
    M08_AXI_aruser,
    M08_AXI_arvalid,
    M08_AXI_awaddr,
    M08_AXI_awburst,
    M08_AXI_awcache,
    M08_AXI_awlen,
    M08_AXI_awlock,
    M08_AXI_awprot,
    M08_AXI_awqos,
    M08_AXI_awready,
    M08_AXI_awsize,
    M08_AXI_awuser,
    M08_AXI_awvalid,
    M08_AXI_bready,
    M08_AXI_bresp,
    M08_AXI_buser,
    M08_AXI_bvalid,
    M08_AXI_rdata,
    M08_AXI_rlast,
    M08_AXI_rready,
    M08_AXI_rresp,
    M08_AXI_ruser,
    M08_AXI_rvalid,
    M08_AXI_wdata,
    M08_AXI_wlast,
    M08_AXI_wready,
    M08_AXI_wstrb,
    M08_AXI_wuser,
    M08_AXI_wvalid,
    M09_AXI_araddr,
    M09_AXI_arburst,
    M09_AXI_arcache,
    M09_AXI_arlen,
    M09_AXI_arlock,
    M09_AXI_arprot,
    M09_AXI_arqos,
    M09_AXI_arready,
    M09_AXI_arsize,
    M09_AXI_aruser,
    M09_AXI_arvalid,
    M09_AXI_awaddr,
    M09_AXI_awburst,
    M09_AXI_awcache,
    M09_AXI_awlen,
    M09_AXI_awlock,
    M09_AXI_awprot,
    M09_AXI_awqos,
    M09_AXI_awready,
    M09_AXI_awsize,
    M09_AXI_awuser,
    M09_AXI_awvalid,
    M09_AXI_bready,
    M09_AXI_bresp,
    M09_AXI_buser,
    M09_AXI_bvalid,
    M09_AXI_rdata,
    M09_AXI_rlast,
    M09_AXI_rready,
    M09_AXI_rresp,
    M09_AXI_ruser,
    M09_AXI_rvalid,
    M09_AXI_wdata,
    M09_AXI_wlast,
    M09_AXI_wready,
    M09_AXI_wstrb,
    M09_AXI_wuser,
    M09_AXI_wvalid,
    M10_AXI_araddr,
    M10_AXI_arburst,
    M10_AXI_arcache,
    M10_AXI_arlen,
    M10_AXI_arlock,
    M10_AXI_arprot,
    M10_AXI_arqos,
    M10_AXI_arready,
    M10_AXI_arsize,
    M10_AXI_aruser,
    M10_AXI_arvalid,
    M10_AXI_awaddr,
    M10_AXI_awburst,
    M10_AXI_awcache,
    M10_AXI_awlen,
    M10_AXI_awlock,
    M10_AXI_awprot,
    M10_AXI_awqos,
    M10_AXI_awready,
    M10_AXI_awsize,
    M10_AXI_awuser,
    M10_AXI_awvalid,
    M10_AXI_bready,
    M10_AXI_bresp,
    M10_AXI_buser,
    M10_AXI_bvalid,
    M10_AXI_rdata,
    M10_AXI_rlast,
    M10_AXI_rready,
    M10_AXI_rresp,
    M10_AXI_ruser,
    M10_AXI_rvalid,
    M10_AXI_wdata,
    M10_AXI_wlast,
    M10_AXI_wready,
    M10_AXI_wstrb,
    M10_AXI_wuser,
    M10_AXI_wvalid,
    M11_AXI_araddr,
    M11_AXI_arburst,
    M11_AXI_arcache,
    M11_AXI_arlen,
    M11_AXI_arlock,
    M11_AXI_arprot,
    M11_AXI_arqos,
    M11_AXI_arready,
    M11_AXI_arsize,
    M11_AXI_aruser,
    M11_AXI_arvalid,
    M11_AXI_awaddr,
    M11_AXI_awburst,
    M11_AXI_awcache,
    M11_AXI_awlen,
    M11_AXI_awlock,
    M11_AXI_awprot,
    M11_AXI_awqos,
    M11_AXI_awready,
    M11_AXI_awsize,
    M11_AXI_awuser,
    M11_AXI_awvalid,
    M11_AXI_bready,
    M11_AXI_bresp,
    M11_AXI_buser,
    M11_AXI_bvalid,
    M11_AXI_rdata,
    M11_AXI_rlast,
    M11_AXI_rready,
    M11_AXI_rresp,
    M11_AXI_ruser,
    M11_AXI_rvalid,
    M11_AXI_wdata,
    M11_AXI_wlast,
    M11_AXI_wready,
    M11_AXI_wstrb,
    M11_AXI_wuser,
    M11_AXI_wvalid,
    M12_AXI_araddr,
    M12_AXI_arburst,
    M12_AXI_arcache,
    M12_AXI_arlen,
    M12_AXI_arlock,
    M12_AXI_arprot,
    M12_AXI_arqos,
    M12_AXI_arready,
    M12_AXI_arsize,
    M12_AXI_aruser,
    M12_AXI_arvalid,
    M12_AXI_awaddr,
    M12_AXI_awburst,
    M12_AXI_awcache,
    M12_AXI_awlen,
    M12_AXI_awlock,
    M12_AXI_awprot,
    M12_AXI_awqos,
    M12_AXI_awready,
    M12_AXI_awsize,
    M12_AXI_awuser,
    M12_AXI_awvalid,
    M12_AXI_bready,
    M12_AXI_bresp,
    M12_AXI_buser,
    M12_AXI_bvalid,
    M12_AXI_rdata,
    M12_AXI_rlast,
    M12_AXI_rready,
    M12_AXI_rresp,
    M12_AXI_ruser,
    M12_AXI_rvalid,
    M12_AXI_wdata,
    M12_AXI_wlast,
    M12_AXI_wready,
    M12_AXI_wstrb,
    M12_AXI_wuser,
    M12_AXI_wvalid,
    M13_AXI_araddr,
    M13_AXI_arburst,
    M13_AXI_arcache,
    M13_AXI_arlen,
    M13_AXI_arlock,
    M13_AXI_arprot,
    M13_AXI_arqos,
    M13_AXI_arready,
    M13_AXI_arsize,
    M13_AXI_aruser,
    M13_AXI_arvalid,
    M13_AXI_awaddr,
    M13_AXI_awburst,
    M13_AXI_awcache,
    M13_AXI_awlen,
    M13_AXI_awlock,
    M13_AXI_awprot,
    M13_AXI_awqos,
    M13_AXI_awready,
    M13_AXI_awsize,
    M13_AXI_awuser,
    M13_AXI_awvalid,
    M13_AXI_bready,
    M13_AXI_bresp,
    M13_AXI_buser,
    M13_AXI_bvalid,
    M13_AXI_rdata,
    M13_AXI_rlast,
    M13_AXI_rready,
    M13_AXI_rresp,
    M13_AXI_ruser,
    M13_AXI_rvalid,
    M13_AXI_wdata,
    M13_AXI_wlast,
    M13_AXI_wready,
    M13_AXI_wstrb,
    M13_AXI_wuser,
    M13_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [31:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [31:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [31:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [31:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [3:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [31:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [3:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [3:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M01_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]M01_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARBURST" *) output [1:0]M01_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARCACHE" *) output [3:0]M01_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARLEN" *) output [7:0]M01_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARLOCK" *) output [0:0]M01_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARPROT" *) output [2:0]M01_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARQOS" *) output [3:0]M01_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARREADY" *) input M01_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARSIZE" *) output [2:0]M01_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARUSER" *) output [31:0]M01_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARVALID" *) output M01_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWADDR" *) output [63:0]M01_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWBURST" *) output [1:0]M01_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWCACHE" *) output [3:0]M01_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWLEN" *) output [7:0]M01_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWLOCK" *) output [0:0]M01_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWPROT" *) output [2:0]M01_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWQOS" *) output [3:0]M01_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWREADY" *) input M01_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWSIZE" *) output [2:0]M01_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWUSER" *) output [31:0]M01_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWVALID" *) output M01_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BREADY" *) output M01_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BRESP" *) input [1:0]M01_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BUSER" *) input [15:0]M01_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BVALID" *) input M01_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RDATA" *) input [31:0]M01_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RLAST" *) input M01_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RREADY" *) output M01_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RRESP" *) input [1:0]M01_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RUSER" *) input [3:0]M01_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RVALID" *) input M01_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WDATA" *) output [31:0]M01_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WLAST" *) output M01_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WREADY" *) input M01_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WSTRB" *) output [3:0]M01_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WUSER" *) output [3:0]M01_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WVALID" *) output M01_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M02_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M02_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARBURST" *) output [1:0]M02_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARCACHE" *) output [3:0]M02_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARLEN" *) output [7:0]M02_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARLOCK" *) output [0:0]M02_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARPROT" *) output [2:0]M02_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARQOS" *) output [3:0]M02_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARREADY" *) input M02_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARSIZE" *) output [2:0]M02_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARUSER" *) output [31:0]M02_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARVALID" *) output M02_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWADDR" *) output [31:0]M02_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWBURST" *) output [1:0]M02_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWCACHE" *) output [3:0]M02_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWLEN" *) output [7:0]M02_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWLOCK" *) output [0:0]M02_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWPROT" *) output [2:0]M02_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWQOS" *) output [3:0]M02_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWREADY" *) input M02_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWSIZE" *) output [2:0]M02_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWUSER" *) output [31:0]M02_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWVALID" *) output M02_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BREADY" *) output M02_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BRESP" *) input [1:0]M02_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BUSER" *) input [15:0]M02_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BVALID" *) input M02_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RDATA" *) input [31:0]M02_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RLAST" *) input M02_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RREADY" *) output M02_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RRESP" *) input [1:0]M02_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RUSER" *) input [3:0]M02_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RVALID" *) input M02_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WDATA" *) output [31:0]M02_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WLAST" *) output M02_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WREADY" *) input M02_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WSTRB" *) output [3:0]M02_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WUSER" *) output [3:0]M02_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WVALID" *) output M02_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M03_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M03_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARBURST" *) output [1:0]M03_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARCACHE" *) output [3:0]M03_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARLEN" *) output [7:0]M03_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARLOCK" *) output [0:0]M03_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARPROT" *) output [2:0]M03_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARQOS" *) output [3:0]M03_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARREADY" *) input M03_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARSIZE" *) output [2:0]M03_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARUSER" *) output [31:0]M03_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARVALID" *) output M03_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWADDR" *) output [31:0]M03_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWBURST" *) output [1:0]M03_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWCACHE" *) output [3:0]M03_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWLEN" *) output [7:0]M03_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWLOCK" *) output [0:0]M03_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWPROT" *) output [2:0]M03_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWQOS" *) output [3:0]M03_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWREADY" *) input M03_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWSIZE" *) output [2:0]M03_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWUSER" *) output [31:0]M03_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWVALID" *) output M03_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BREADY" *) output M03_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BRESP" *) input [1:0]M03_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BUSER" *) input [15:0]M03_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BVALID" *) input M03_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RDATA" *) input [31:0]M03_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RLAST" *) input M03_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RREADY" *) output M03_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RRESP" *) input [1:0]M03_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RUSER" *) input [3:0]M03_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RVALID" *) input M03_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WDATA" *) output [31:0]M03_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WLAST" *) output M03_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WREADY" *) input M03_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WSTRB" *) output [3:0]M03_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WUSER" *) output [3:0]M03_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WVALID" *) output M03_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M04_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M04_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARBURST" *) output [1:0]M04_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARCACHE" *) output [3:0]M04_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARLEN" *) output [7:0]M04_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARLOCK" *) output [0:0]M04_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARPROT" *) output [2:0]M04_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARQOS" *) output [3:0]M04_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARREADY" *) input M04_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARSIZE" *) output [2:0]M04_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARUSER" *) output [31:0]M04_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARVALID" *) output M04_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWADDR" *) output [31:0]M04_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWBURST" *) output [1:0]M04_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWCACHE" *) output [3:0]M04_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWLEN" *) output [7:0]M04_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWLOCK" *) output [0:0]M04_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWPROT" *) output [2:0]M04_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWQOS" *) output [3:0]M04_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWREADY" *) input M04_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWSIZE" *) output [2:0]M04_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWUSER" *) output [31:0]M04_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWVALID" *) output M04_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BREADY" *) output M04_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BRESP" *) input [1:0]M04_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BUSER" *) input [15:0]M04_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BVALID" *) input M04_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RDATA" *) input [31:0]M04_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RLAST" *) input M04_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RREADY" *) output M04_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RRESP" *) input [1:0]M04_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RUSER" *) input [3:0]M04_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RVALID" *) input M04_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WDATA" *) output [31:0]M04_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WLAST" *) output M04_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WREADY" *) input M04_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WSTRB" *) output [3:0]M04_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WUSER" *) output [3:0]M04_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WVALID" *) output M04_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M05_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M05_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARBURST" *) output [1:0]M05_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARCACHE" *) output [3:0]M05_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARLEN" *) output [7:0]M05_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARLOCK" *) output [0:0]M05_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARPROT" *) output [2:0]M05_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARQOS" *) output [3:0]M05_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARREADY" *) input M05_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARSIZE" *) output [2:0]M05_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARUSER" *) output [31:0]M05_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARVALID" *) output M05_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWADDR" *) output [31:0]M05_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWBURST" *) output [1:0]M05_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWCACHE" *) output [3:0]M05_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWLEN" *) output [7:0]M05_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWLOCK" *) output [0:0]M05_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWPROT" *) output [2:0]M05_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWQOS" *) output [3:0]M05_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWREADY" *) input M05_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWSIZE" *) output [2:0]M05_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWUSER" *) output [31:0]M05_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWVALID" *) output M05_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BREADY" *) output M05_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BRESP" *) input [1:0]M05_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BUSER" *) input [15:0]M05_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BVALID" *) input M05_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RDATA" *) input [31:0]M05_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RLAST" *) input M05_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RREADY" *) output M05_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RRESP" *) input [1:0]M05_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RUSER" *) input [3:0]M05_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RVALID" *) input M05_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WDATA" *) output [31:0]M05_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WLAST" *) output M05_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WREADY" *) input M05_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WSTRB" *) output [3:0]M05_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WUSER" *) output [3:0]M05_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WVALID" *) output M05_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M06_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M06_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARBURST" *) output [1:0]M06_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARCACHE" *) output [3:0]M06_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARLEN" *) output [7:0]M06_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARLOCK" *) output [0:0]M06_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARPROT" *) output [2:0]M06_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARQOS" *) output [3:0]M06_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARREADY" *) input M06_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARSIZE" *) output [2:0]M06_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARUSER" *) output [31:0]M06_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARVALID" *) output M06_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWADDR" *) output [31:0]M06_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWBURST" *) output [1:0]M06_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWCACHE" *) output [3:0]M06_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWLEN" *) output [7:0]M06_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWLOCK" *) output [0:0]M06_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWPROT" *) output [2:0]M06_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWQOS" *) output [3:0]M06_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWREADY" *) input M06_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWSIZE" *) output [2:0]M06_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWUSER" *) output [31:0]M06_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWVALID" *) output M06_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BREADY" *) output M06_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BRESP" *) input [1:0]M06_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BUSER" *) input [15:0]M06_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BVALID" *) input M06_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RDATA" *) input [31:0]M06_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RLAST" *) input M06_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RREADY" *) output M06_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RRESP" *) input [1:0]M06_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RUSER" *) input [3:0]M06_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RVALID" *) input M06_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WDATA" *) output [31:0]M06_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WLAST" *) output M06_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WREADY" *) input M06_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WSTRB" *) output [3:0]M06_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WUSER" *) output [3:0]M06_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WVALID" *) output M06_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M07_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M07_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARBURST" *) output [1:0]M07_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARCACHE" *) output [3:0]M07_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARLEN" *) output [7:0]M07_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARLOCK" *) output [0:0]M07_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARPROT" *) output [2:0]M07_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARQOS" *) output [3:0]M07_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARREADY" *) input M07_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARSIZE" *) output [2:0]M07_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARUSER" *) output [31:0]M07_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARVALID" *) output M07_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWADDR" *) output [31:0]M07_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWBURST" *) output [1:0]M07_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWCACHE" *) output [3:0]M07_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWLEN" *) output [7:0]M07_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWLOCK" *) output [0:0]M07_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWPROT" *) output [2:0]M07_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWQOS" *) output [3:0]M07_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWREADY" *) input M07_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWSIZE" *) output [2:0]M07_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWUSER" *) output [31:0]M07_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWVALID" *) output M07_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BREADY" *) output M07_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BRESP" *) input [1:0]M07_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BUSER" *) input [15:0]M07_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BVALID" *) input M07_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RDATA" *) input [31:0]M07_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RLAST" *) input M07_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RREADY" *) output M07_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RRESP" *) input [1:0]M07_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RUSER" *) input [3:0]M07_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RVALID" *) input M07_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WDATA" *) output [31:0]M07_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WLAST" *) output M07_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WREADY" *) input M07_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WSTRB" *) output [3:0]M07_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WUSER" *) output [3:0]M07_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WVALID" *) output M07_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M08_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M08_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARBURST" *) output [1:0]M08_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARCACHE" *) output [3:0]M08_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARLEN" *) output [7:0]M08_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARLOCK" *) output [0:0]M08_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARPROT" *) output [2:0]M08_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARQOS" *) output [3:0]M08_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARREADY" *) input M08_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARSIZE" *) output [2:0]M08_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARUSER" *) output [31:0]M08_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARVALID" *) output M08_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWADDR" *) output [31:0]M08_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWBURST" *) output [1:0]M08_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWCACHE" *) output [3:0]M08_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWLEN" *) output [7:0]M08_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWLOCK" *) output [0:0]M08_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWPROT" *) output [2:0]M08_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWQOS" *) output [3:0]M08_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWREADY" *) input M08_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWSIZE" *) output [2:0]M08_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWUSER" *) output [31:0]M08_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWVALID" *) output M08_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BREADY" *) output M08_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BRESP" *) input [1:0]M08_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BUSER" *) input [15:0]M08_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BVALID" *) input M08_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RDATA" *) input [31:0]M08_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RLAST" *) input M08_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RREADY" *) output M08_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RRESP" *) input [1:0]M08_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RUSER" *) input [3:0]M08_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RVALID" *) input M08_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WDATA" *) output [31:0]M08_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WLAST" *) output M08_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WREADY" *) input M08_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WSTRB" *) output [3:0]M08_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WUSER" *) output [3:0]M08_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WVALID" *) output M08_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M09_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M09_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARBURST" *) output [1:0]M09_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARCACHE" *) output [3:0]M09_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARLEN" *) output [7:0]M09_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARLOCK" *) output [0:0]M09_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARPROT" *) output [2:0]M09_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARQOS" *) output [3:0]M09_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARREADY" *) input M09_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARSIZE" *) output [2:0]M09_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARUSER" *) output [31:0]M09_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARVALID" *) output M09_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWADDR" *) output [31:0]M09_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWBURST" *) output [1:0]M09_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWCACHE" *) output [3:0]M09_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWLEN" *) output [7:0]M09_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWLOCK" *) output [0:0]M09_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWPROT" *) output [2:0]M09_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWQOS" *) output [3:0]M09_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWREADY" *) input M09_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWSIZE" *) output [2:0]M09_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWUSER" *) output [31:0]M09_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWVALID" *) output M09_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BREADY" *) output M09_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BRESP" *) input [1:0]M09_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BUSER" *) input [15:0]M09_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BVALID" *) input M09_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RDATA" *) input [31:0]M09_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RLAST" *) input M09_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RREADY" *) output M09_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RRESP" *) input [1:0]M09_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RUSER" *) input [3:0]M09_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RVALID" *) input M09_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WDATA" *) output [31:0]M09_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WLAST" *) output M09_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WREADY" *) input M09_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WSTRB" *) output [3:0]M09_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WUSER" *) output [3:0]M09_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WVALID" *) output M09_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M10_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M10_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARBURST" *) output [1:0]M10_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARCACHE" *) output [3:0]M10_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARLEN" *) output [7:0]M10_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARLOCK" *) output [0:0]M10_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARPROT" *) output [2:0]M10_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARQOS" *) output [3:0]M10_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARREADY" *) input M10_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARSIZE" *) output [2:0]M10_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARUSER" *) output [31:0]M10_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARVALID" *) output M10_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWADDR" *) output [31:0]M10_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWBURST" *) output [1:0]M10_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWCACHE" *) output [3:0]M10_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWLEN" *) output [7:0]M10_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWLOCK" *) output [0:0]M10_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWPROT" *) output [2:0]M10_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWQOS" *) output [3:0]M10_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWREADY" *) input M10_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWSIZE" *) output [2:0]M10_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWUSER" *) output [31:0]M10_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWVALID" *) output M10_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BREADY" *) output M10_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BRESP" *) input [1:0]M10_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BUSER" *) input [15:0]M10_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BVALID" *) input M10_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RDATA" *) input [31:0]M10_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RLAST" *) input M10_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RREADY" *) output M10_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RRESP" *) input [1:0]M10_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RUSER" *) input [3:0]M10_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RVALID" *) input M10_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WDATA" *) output [31:0]M10_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WLAST" *) output M10_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WREADY" *) input M10_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WSTRB" *) output [3:0]M10_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WUSER" *) output [3:0]M10_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WVALID" *) output M10_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M11_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M11_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARBURST" *) output [1:0]M11_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARCACHE" *) output [3:0]M11_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARLEN" *) output [7:0]M11_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARLOCK" *) output [0:0]M11_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARPROT" *) output [2:0]M11_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARQOS" *) output [3:0]M11_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARREADY" *) input M11_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARSIZE" *) output [2:0]M11_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARUSER" *) output [31:0]M11_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARVALID" *) output M11_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWADDR" *) output [31:0]M11_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWBURST" *) output [1:0]M11_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWCACHE" *) output [3:0]M11_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWLEN" *) output [7:0]M11_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWLOCK" *) output [0:0]M11_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWPROT" *) output [2:0]M11_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWQOS" *) output [3:0]M11_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWREADY" *) input M11_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWSIZE" *) output [2:0]M11_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWUSER" *) output [31:0]M11_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWVALID" *) output M11_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BREADY" *) output M11_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BRESP" *) input [1:0]M11_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BUSER" *) input [15:0]M11_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BVALID" *) input M11_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RDATA" *) input [31:0]M11_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RLAST" *) input M11_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RREADY" *) output M11_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RRESP" *) input [1:0]M11_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RUSER" *) input [3:0]M11_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RVALID" *) input M11_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WDATA" *) output [31:0]M11_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WLAST" *) output M11_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WREADY" *) input M11_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WSTRB" *) output [3:0]M11_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WUSER" *) output [3:0]M11_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WVALID" *) output M11_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M12_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M12_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARBURST" *) output [1:0]M12_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARCACHE" *) output [3:0]M12_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARLEN" *) output [7:0]M12_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARLOCK" *) output [0:0]M12_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARPROT" *) output [2:0]M12_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARQOS" *) output [3:0]M12_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARREADY" *) input M12_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARSIZE" *) output [2:0]M12_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARUSER" *) output [31:0]M12_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARVALID" *) output M12_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWADDR" *) output [31:0]M12_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWBURST" *) output [1:0]M12_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWCACHE" *) output [3:0]M12_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWLEN" *) output [7:0]M12_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWLOCK" *) output [0:0]M12_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWPROT" *) output [2:0]M12_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWQOS" *) output [3:0]M12_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWREADY" *) input M12_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWSIZE" *) output [2:0]M12_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWUSER" *) output [31:0]M12_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWVALID" *) output M12_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BREADY" *) output M12_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BRESP" *) input [1:0]M12_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BUSER" *) input [15:0]M12_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BVALID" *) input M12_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RDATA" *) input [31:0]M12_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RLAST" *) input M12_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RREADY" *) output M12_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RRESP" *) input [1:0]M12_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RUSER" *) input [3:0]M12_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RVALID" *) input M12_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WDATA" *) output [31:0]M12_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WLAST" *) output M12_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WREADY" *) input M12_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WSTRB" *) output [3:0]M12_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WUSER" *) output [3:0]M12_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WVALID" *) output M12_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M13_AXI, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]M13_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARBURST" *) output [1:0]M13_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARCACHE" *) output [3:0]M13_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARLEN" *) output [7:0]M13_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARLOCK" *) output [0:0]M13_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARPROT" *) output [2:0]M13_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARQOS" *) output [3:0]M13_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARREADY" *) input M13_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARSIZE" *) output [2:0]M13_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARUSER" *) output [31:0]M13_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARVALID" *) output M13_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWADDR" *) output [31:0]M13_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWBURST" *) output [1:0]M13_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWCACHE" *) output [3:0]M13_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWLEN" *) output [7:0]M13_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWLOCK" *) output [0:0]M13_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWPROT" *) output [2:0]M13_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWQOS" *) output [3:0]M13_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWREADY" *) input M13_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWSIZE" *) output [2:0]M13_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWUSER" *) output [31:0]M13_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWVALID" *) output M13_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BREADY" *) output M13_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BRESP" *) input [1:0]M13_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BUSER" *) input [15:0]M13_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BVALID" *) input M13_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RDATA" *) input [31:0]M13_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RLAST" *) input M13_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RREADY" *) output M13_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RRESP" *) input [1:0]M13_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RUSER" *) input [3:0]M13_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RVALID" *) input M13_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WDATA" *) output [31:0]M13_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WLAST" *) output M13_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WREADY" *) input M13_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WSTRB" *) output [3:0]M13_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WUSER" *) output [3:0]M13_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WVALID" *) output M13_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 8, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 8, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [31:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [31:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [31:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [3:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [31:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [3:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [3:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:M01_AXI:M02_AXI:M03_AXI:M04_AXI:M05_AXI:M06_AXI:M07_AXI:M08_AXI:M09_AXI:M10_AXI:M11_AXI:M12_AXI:M13_AXI:S00_AXI, ASSOCIATED_CLKEN m_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [31:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [31:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [31:0]S00_AXI_1_RDATA;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [3:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [31:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [3:0]S00_AXI_1_WSTRB;
  wire [3:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_10_INFO;
  wire [213:0]S_SC_AR_10_PAYLD;
  wire [0:0]S_SC_AR_10_RECV;
  wire [0:0]S_SC_AR_10_REQ;
  wire [0:0]S_SC_AR_10_SEND;
  wire [0:0]S_SC_AR_11_INFO;
  wire [213:0]S_SC_AR_11_PAYLD;
  wire [0:0]S_SC_AR_11_RECV;
  wire [0:0]S_SC_AR_11_REQ;
  wire [0:0]S_SC_AR_11_SEND;
  wire [0:0]S_SC_AR_12_INFO;
  wire [213:0]S_SC_AR_12_PAYLD;
  wire [0:0]S_SC_AR_12_RECV;
  wire [0:0]S_SC_AR_12_REQ;
  wire [0:0]S_SC_AR_12_SEND;
  wire [0:0]S_SC_AR_13_INFO;
  wire [213:0]S_SC_AR_13_PAYLD;
  wire [0:0]S_SC_AR_13_RECV;
  wire [0:0]S_SC_AR_13_REQ;
  wire [0:0]S_SC_AR_13_SEND;
  wire [0:0]S_SC_AR_14_INFO;
  wire [213:0]S_SC_AR_14_PAYLD;
  wire [0:0]S_SC_AR_14_RECV;
  wire [0:0]S_SC_AR_14_REQ;
  wire [0:0]S_SC_AR_14_SEND;
  wire [0:0]S_SC_AR_15_INFO;
  wire [213:0]S_SC_AR_15_PAYLD;
  wire [0:0]S_SC_AR_15_RECV;
  wire [0:0]S_SC_AR_15_REQ;
  wire [0:0]S_SC_AR_15_SEND;
  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AR_2_INFO;
  wire [213:0]S_SC_AR_2_PAYLD;
  wire [0:0]S_SC_AR_2_RECV;
  wire [0:0]S_SC_AR_2_REQ;
  wire [0:0]S_SC_AR_2_SEND;
  wire [0:0]S_SC_AR_3_INFO;
  wire [213:0]S_SC_AR_3_PAYLD;
  wire [0:0]S_SC_AR_3_RECV;
  wire [0:0]S_SC_AR_3_REQ;
  wire [0:0]S_SC_AR_3_SEND;
  wire [0:0]S_SC_AR_4_INFO;
  wire [213:0]S_SC_AR_4_PAYLD;
  wire [0:0]S_SC_AR_4_RECV;
  wire [0:0]S_SC_AR_4_REQ;
  wire [0:0]S_SC_AR_4_SEND;
  wire [0:0]S_SC_AR_5_INFO;
  wire [213:0]S_SC_AR_5_PAYLD;
  wire [0:0]S_SC_AR_5_RECV;
  wire [0:0]S_SC_AR_5_REQ;
  wire [0:0]S_SC_AR_5_SEND;
  wire [0:0]S_SC_AR_6_INFO;
  wire [213:0]S_SC_AR_6_PAYLD;
  wire [0:0]S_SC_AR_6_RECV;
  wire [0:0]S_SC_AR_6_REQ;
  wire [0:0]S_SC_AR_6_SEND;
  wire [0:0]S_SC_AR_7_INFO;
  wire [213:0]S_SC_AR_7_PAYLD;
  wire [0:0]S_SC_AR_7_RECV;
  wire [0:0]S_SC_AR_7_REQ;
  wire [0:0]S_SC_AR_7_SEND;
  wire [0:0]S_SC_AR_8_INFO;
  wire [213:0]S_SC_AR_8_PAYLD;
  wire [0:0]S_SC_AR_8_RECV;
  wire [0:0]S_SC_AR_8_REQ;
  wire [0:0]S_SC_AR_8_SEND;
  wire [0:0]S_SC_AR_9_INFO;
  wire [213:0]S_SC_AR_9_PAYLD;
  wire [0:0]S_SC_AR_9_RECV;
  wire [0:0]S_SC_AR_9_REQ;
  wire [0:0]S_SC_AR_9_SEND;
  wire [0:0]S_SC_AW_10_INFO;
  wire [213:0]S_SC_AW_10_PAYLD;
  wire [0:0]S_SC_AW_10_RECV;
  wire [0:0]S_SC_AW_10_REQ;
  wire [0:0]S_SC_AW_10_SEND;
  wire [0:0]S_SC_AW_11_INFO;
  wire [213:0]S_SC_AW_11_PAYLD;
  wire [0:0]S_SC_AW_11_RECV;
  wire [0:0]S_SC_AW_11_REQ;
  wire [0:0]S_SC_AW_11_SEND;
  wire [0:0]S_SC_AW_12_INFO;
  wire [213:0]S_SC_AW_12_PAYLD;
  wire [0:0]S_SC_AW_12_RECV;
  wire [0:0]S_SC_AW_12_REQ;
  wire [0:0]S_SC_AW_12_SEND;
  wire [0:0]S_SC_AW_13_INFO;
  wire [213:0]S_SC_AW_13_PAYLD;
  wire [0:0]S_SC_AW_13_RECV;
  wire [0:0]S_SC_AW_13_REQ;
  wire [0:0]S_SC_AW_13_SEND;
  wire [0:0]S_SC_AW_14_INFO;
  wire [213:0]S_SC_AW_14_PAYLD;
  wire [0:0]S_SC_AW_14_RECV;
  wire [0:0]S_SC_AW_14_REQ;
  wire [0:0]S_SC_AW_14_SEND;
  wire [0:0]S_SC_AW_15_INFO;
  wire [213:0]S_SC_AW_15_PAYLD;
  wire [0:0]S_SC_AW_15_RECV;
  wire [0:0]S_SC_AW_15_REQ;
  wire [0:0]S_SC_AW_15_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_AW_2_INFO;
  wire [213:0]S_SC_AW_2_PAYLD;
  wire [0:0]S_SC_AW_2_RECV;
  wire [0:0]S_SC_AW_2_REQ;
  wire [0:0]S_SC_AW_2_SEND;
  wire [0:0]S_SC_AW_3_INFO;
  wire [213:0]S_SC_AW_3_PAYLD;
  wire [0:0]S_SC_AW_3_RECV;
  wire [0:0]S_SC_AW_3_REQ;
  wire [0:0]S_SC_AW_3_SEND;
  wire [0:0]S_SC_AW_4_INFO;
  wire [213:0]S_SC_AW_4_PAYLD;
  wire [0:0]S_SC_AW_4_RECV;
  wire [0:0]S_SC_AW_4_REQ;
  wire [0:0]S_SC_AW_4_SEND;
  wire [0:0]S_SC_AW_5_INFO;
  wire [213:0]S_SC_AW_5_PAYLD;
  wire [0:0]S_SC_AW_5_RECV;
  wire [0:0]S_SC_AW_5_REQ;
  wire [0:0]S_SC_AW_5_SEND;
  wire [0:0]S_SC_AW_6_INFO;
  wire [213:0]S_SC_AW_6_PAYLD;
  wire [0:0]S_SC_AW_6_RECV;
  wire [0:0]S_SC_AW_6_REQ;
  wire [0:0]S_SC_AW_6_SEND;
  wire [0:0]S_SC_AW_7_INFO;
  wire [213:0]S_SC_AW_7_PAYLD;
  wire [0:0]S_SC_AW_7_RECV;
  wire [0:0]S_SC_AW_7_REQ;
  wire [0:0]S_SC_AW_7_SEND;
  wire [0:0]S_SC_AW_8_INFO;
  wire [213:0]S_SC_AW_8_PAYLD;
  wire [0:0]S_SC_AW_8_RECV;
  wire [0:0]S_SC_AW_8_REQ;
  wire [0:0]S_SC_AW_8_SEND;
  wire [0:0]S_SC_AW_9_INFO;
  wire [213:0]S_SC_AW_9_PAYLD;
  wire [0:0]S_SC_AW_9_RECV;
  wire [0:0]S_SC_AW_9_REQ;
  wire [0:0]S_SC_AW_9_SEND;
  wire [0:0]S_SC_B_10_INFO;
  wire [19:0]S_SC_B_10_PAYLD;
  wire [0:0]S_SC_B_10_RECV;
  wire S_SC_B_10_REQ;
  wire S_SC_B_10_SEND;
  wire [0:0]S_SC_B_11_INFO;
  wire [19:0]S_SC_B_11_PAYLD;
  wire [0:0]S_SC_B_11_RECV;
  wire S_SC_B_11_REQ;
  wire S_SC_B_11_SEND;
  wire [0:0]S_SC_B_12_INFO;
  wire [19:0]S_SC_B_12_PAYLD;
  wire [0:0]S_SC_B_12_RECV;
  wire S_SC_B_12_REQ;
  wire S_SC_B_12_SEND;
  wire [0:0]S_SC_B_13_INFO;
  wire [19:0]S_SC_B_13_PAYLD;
  wire [0:0]S_SC_B_13_RECV;
  wire S_SC_B_13_REQ;
  wire S_SC_B_13_SEND;
  wire [0:0]S_SC_B_14_INFO;
  wire [19:0]S_SC_B_14_PAYLD;
  wire [0:0]S_SC_B_14_RECV;
  wire S_SC_B_14_REQ;
  wire S_SC_B_14_SEND;
  wire [0:0]S_SC_B_15_INFO;
  wire [19:0]S_SC_B_15_PAYLD;
  wire [0:0]S_SC_B_15_RECV;
  wire S_SC_B_15_REQ;
  wire S_SC_B_15_SEND;
  wire [13:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [13:0]S_SC_B_1_RECV;
  wire [13:0]S_SC_B_1_REQ;
  wire [13:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_B_2_INFO;
  wire [19:0]S_SC_B_2_PAYLD;
  wire [0:0]S_SC_B_2_RECV;
  wire S_SC_B_2_REQ;
  wire S_SC_B_2_SEND;
  wire [0:0]S_SC_B_3_INFO;
  wire [19:0]S_SC_B_3_PAYLD;
  wire [0:0]S_SC_B_3_RECV;
  wire S_SC_B_3_REQ;
  wire S_SC_B_3_SEND;
  wire [0:0]S_SC_B_4_INFO;
  wire [19:0]S_SC_B_4_PAYLD;
  wire [0:0]S_SC_B_4_RECV;
  wire S_SC_B_4_REQ;
  wire S_SC_B_4_SEND;
  wire [0:0]S_SC_B_5_INFO;
  wire [19:0]S_SC_B_5_PAYLD;
  wire [0:0]S_SC_B_5_RECV;
  wire S_SC_B_5_REQ;
  wire S_SC_B_5_SEND;
  wire [0:0]S_SC_B_6_INFO;
  wire [19:0]S_SC_B_6_PAYLD;
  wire [0:0]S_SC_B_6_RECV;
  wire S_SC_B_6_REQ;
  wire S_SC_B_6_SEND;
  wire [0:0]S_SC_B_7_INFO;
  wire [19:0]S_SC_B_7_PAYLD;
  wire [0:0]S_SC_B_7_RECV;
  wire S_SC_B_7_REQ;
  wire S_SC_B_7_SEND;
  wire [0:0]S_SC_B_8_INFO;
  wire [19:0]S_SC_B_8_PAYLD;
  wire [0:0]S_SC_B_8_RECV;
  wire S_SC_B_8_REQ;
  wire S_SC_B_8_SEND;
  wire [0:0]S_SC_B_9_INFO;
  wire [19:0]S_SC_B_9_PAYLD;
  wire [0:0]S_SC_B_9_RECV;
  wire S_SC_B_9_REQ;
  wire S_SC_B_9_SEND;
  wire [0:0]S_SC_R_10_INFO;
  wire [54:0]S_SC_R_10_PAYLD;
  wire [0:0]S_SC_R_10_RECV;
  wire S_SC_R_10_REQ;
  wire S_SC_R_10_SEND;
  wire [0:0]S_SC_R_11_INFO;
  wire [54:0]S_SC_R_11_PAYLD;
  wire [0:0]S_SC_R_11_RECV;
  wire S_SC_R_11_REQ;
  wire S_SC_R_11_SEND;
  wire [0:0]S_SC_R_12_INFO;
  wire [54:0]S_SC_R_12_PAYLD;
  wire [0:0]S_SC_R_12_RECV;
  wire S_SC_R_12_REQ;
  wire S_SC_R_12_SEND;
  wire [0:0]S_SC_R_13_INFO;
  wire [54:0]S_SC_R_13_PAYLD;
  wire [0:0]S_SC_R_13_RECV;
  wire S_SC_R_13_REQ;
  wire S_SC_R_13_SEND;
  wire [0:0]S_SC_R_14_INFO;
  wire [54:0]S_SC_R_14_PAYLD;
  wire [0:0]S_SC_R_14_RECV;
  wire S_SC_R_14_REQ;
  wire S_SC_R_14_SEND;
  wire [0:0]S_SC_R_15_INFO;
  wire [54:0]S_SC_R_15_PAYLD;
  wire [0:0]S_SC_R_15_RECV;
  wire S_SC_R_15_REQ;
  wire S_SC_R_15_SEND;
  wire [13:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [13:0]S_SC_R_1_RECV;
  wire [13:0]S_SC_R_1_REQ;
  wire [13:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_R_2_INFO;
  wire [54:0]S_SC_R_2_PAYLD;
  wire [0:0]S_SC_R_2_RECV;
  wire S_SC_R_2_REQ;
  wire S_SC_R_2_SEND;
  wire [0:0]S_SC_R_3_INFO;
  wire [54:0]S_SC_R_3_PAYLD;
  wire [0:0]S_SC_R_3_RECV;
  wire S_SC_R_3_REQ;
  wire S_SC_R_3_SEND;
  wire [0:0]S_SC_R_4_INFO;
  wire [54:0]S_SC_R_4_PAYLD;
  wire [0:0]S_SC_R_4_RECV;
  wire S_SC_R_4_REQ;
  wire S_SC_R_4_SEND;
  wire [0:0]S_SC_R_5_INFO;
  wire [54:0]S_SC_R_5_PAYLD;
  wire [0:0]S_SC_R_5_RECV;
  wire S_SC_R_5_REQ;
  wire S_SC_R_5_SEND;
  wire [0:0]S_SC_R_6_INFO;
  wire [54:0]S_SC_R_6_PAYLD;
  wire [0:0]S_SC_R_6_RECV;
  wire S_SC_R_6_REQ;
  wire S_SC_R_6_SEND;
  wire [0:0]S_SC_R_7_INFO;
  wire [54:0]S_SC_R_7_PAYLD;
  wire [0:0]S_SC_R_7_RECV;
  wire S_SC_R_7_REQ;
  wire S_SC_R_7_SEND;
  wire [0:0]S_SC_R_8_INFO;
  wire [54:0]S_SC_R_8_PAYLD;
  wire [0:0]S_SC_R_8_RECV;
  wire S_SC_R_8_REQ;
  wire S_SC_R_8_SEND;
  wire [0:0]S_SC_R_9_INFO;
  wire [54:0]S_SC_R_9_PAYLD;
  wire [0:0]S_SC_R_9_RECV;
  wire S_SC_R_9_REQ;
  wire S_SC_R_9_SEND;
  wire [0:0]S_SC_W_10_INFO;
  wire [68:0]S_SC_W_10_PAYLD;
  wire [0:0]S_SC_W_10_RECV;
  wire [0:0]S_SC_W_10_REQ;
  wire [0:0]S_SC_W_10_SEND;
  wire [0:0]S_SC_W_11_INFO;
  wire [68:0]S_SC_W_11_PAYLD;
  wire [0:0]S_SC_W_11_RECV;
  wire [0:0]S_SC_W_11_REQ;
  wire [0:0]S_SC_W_11_SEND;
  wire [0:0]S_SC_W_12_INFO;
  wire [68:0]S_SC_W_12_PAYLD;
  wire [0:0]S_SC_W_12_RECV;
  wire [0:0]S_SC_W_12_REQ;
  wire [0:0]S_SC_W_12_SEND;
  wire [0:0]S_SC_W_13_INFO;
  wire [68:0]S_SC_W_13_PAYLD;
  wire [0:0]S_SC_W_13_RECV;
  wire [0:0]S_SC_W_13_REQ;
  wire [0:0]S_SC_W_13_SEND;
  wire [0:0]S_SC_W_14_INFO;
  wire [68:0]S_SC_W_14_PAYLD;
  wire [0:0]S_SC_W_14_RECV;
  wire [0:0]S_SC_W_14_REQ;
  wire [0:0]S_SC_W_14_SEND;
  wire [0:0]S_SC_W_15_INFO;
  wire [68:0]S_SC_W_15_PAYLD;
  wire [0:0]S_SC_W_15_RECV;
  wire [0:0]S_SC_W_15_REQ;
  wire [0:0]S_SC_W_15_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire [0:0]S_SC_W_2_INFO;
  wire [68:0]S_SC_W_2_PAYLD;
  wire [0:0]S_SC_W_2_RECV;
  wire [0:0]S_SC_W_2_REQ;
  wire [0:0]S_SC_W_2_SEND;
  wire [0:0]S_SC_W_3_INFO;
  wire [68:0]S_SC_W_3_PAYLD;
  wire [0:0]S_SC_W_3_RECV;
  wire [0:0]S_SC_W_3_REQ;
  wire [0:0]S_SC_W_3_SEND;
  wire [0:0]S_SC_W_4_INFO;
  wire [68:0]S_SC_W_4_PAYLD;
  wire [0:0]S_SC_W_4_RECV;
  wire [0:0]S_SC_W_4_REQ;
  wire [0:0]S_SC_W_4_SEND;
  wire [0:0]S_SC_W_5_INFO;
  wire [68:0]S_SC_W_5_PAYLD;
  wire [0:0]S_SC_W_5_RECV;
  wire [0:0]S_SC_W_5_REQ;
  wire [0:0]S_SC_W_5_SEND;
  wire [0:0]S_SC_W_6_INFO;
  wire [68:0]S_SC_W_6_PAYLD;
  wire [0:0]S_SC_W_6_RECV;
  wire [0:0]S_SC_W_6_REQ;
  wire [0:0]S_SC_W_6_SEND;
  wire [0:0]S_SC_W_7_INFO;
  wire [68:0]S_SC_W_7_PAYLD;
  wire [0:0]S_SC_W_7_RECV;
  wire [0:0]S_SC_W_7_REQ;
  wire [0:0]S_SC_W_7_SEND;
  wire [0:0]S_SC_W_8_INFO;
  wire [68:0]S_SC_W_8_PAYLD;
  wire [0:0]S_SC_W_8_RECV;
  wire [0:0]S_SC_W_8_REQ;
  wire [0:0]S_SC_W_8_SEND;
  wire [0:0]S_SC_W_9_INFO;
  wire [68:0]S_SC_W_9_PAYLD;
  wire [0:0]S_SC_W_9_RECV;
  wire [0:0]S_SC_W_9_REQ;
  wire [0:0]S_SC_W_9_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire clk_map_M00_ACLK;
  wire clk_map_M01_ACLK;
  wire clk_map_M02_ACLK;
  wire clk_map_M03_ACLK;
  wire clk_map_M04_ACLK;
  wire clk_map_M05_ACLK;
  wire clk_map_M06_ACLK;
  wire clk_map_M07_ACLK;
  wire clk_map_M08_ACLK;
  wire clk_map_M09_ACLK;
  wire clk_map_M10_ACLK;
  wire clk_map_M11_ACLK;
  wire clk_map_M12_ACLK;
  wire clk_map_M13_ACLK;
  wire [31:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [31:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [3:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [31:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [3:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [0:0]m00_nodes_M_SC_AR_INFO;
  wire [213:0]m00_nodes_M_SC_AR_PAYLD;
  wire m00_nodes_M_SC_AR_RECV;
  wire [0:0]m00_nodes_M_SC_AR_REQ;
  wire [0:0]m00_nodes_M_SC_AR_SEND;
  wire [0:0]m00_nodes_M_SC_AW_INFO;
  wire [213:0]m00_nodes_M_SC_AW_PAYLD;
  wire m00_nodes_M_SC_AW_RECV;
  wire [0:0]m00_nodes_M_SC_AW_REQ;
  wire [0:0]m00_nodes_M_SC_AW_SEND;
  wire [0:0]m00_nodes_M_SC_B_INFO;
  wire [19:0]m00_nodes_M_SC_B_PAYLD;
  wire [0:0]m00_nodes_M_SC_B_RECV;
  wire [0:0]m00_nodes_M_SC_B_REQ;
  wire [0:0]m00_nodes_M_SC_B_SEND;
  wire [0:0]m00_nodes_M_SC_R_INFO;
  wire [54:0]m00_nodes_M_SC_R_PAYLD;
  wire [0:0]m00_nodes_M_SC_R_RECV;
  wire [0:0]m00_nodes_M_SC_R_REQ;
  wire [0:0]m00_nodes_M_SC_R_SEND;
  wire [0:0]m00_nodes_M_SC_W_INFO;
  wire [68:0]m00_nodes_M_SC_W_PAYLD;
  wire m00_nodes_M_SC_W_RECV;
  wire [0:0]m00_nodes_M_SC_W_REQ;
  wire [0:0]m00_nodes_M_SC_W_SEND;
  wire [31:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [31:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [31:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [31:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [3:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire [63:0]m01_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m01_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m01_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m01_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m01_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m01_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m01_exit_pipeline_m_axi_ARQOS;
  wire m01_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m01_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m01_exit_pipeline_m_axi_ARUSER;
  wire m01_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m01_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m01_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m01_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m01_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m01_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m01_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m01_exit_pipeline_m_axi_AWQOS;
  wire m01_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m01_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m01_exit_pipeline_m_axi_AWUSER;
  wire m01_exit_pipeline_m_axi_AWVALID;
  wire m01_exit_pipeline_m_axi_BREADY;
  wire [1:0]m01_exit_pipeline_m_axi_BRESP;
  wire [15:0]m01_exit_pipeline_m_axi_BUSER;
  wire m01_exit_pipeline_m_axi_BVALID;
  wire [31:0]m01_exit_pipeline_m_axi_RDATA;
  wire m01_exit_pipeline_m_axi_RLAST;
  wire m01_exit_pipeline_m_axi_RREADY;
  wire [1:0]m01_exit_pipeline_m_axi_RRESP;
  wire [3:0]m01_exit_pipeline_m_axi_RUSER;
  wire m01_exit_pipeline_m_axi_RVALID;
  wire [31:0]m01_exit_pipeline_m_axi_WDATA;
  wire m01_exit_pipeline_m_axi_WLAST;
  wire m01_exit_pipeline_m_axi_WREADY;
  wire [3:0]m01_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m01_exit_pipeline_m_axi_WUSER;
  wire m01_exit_pipeline_m_axi_WVALID;
  wire [0:0]m01_nodes_M_SC_AR_INFO;
  wire [213:0]m01_nodes_M_SC_AR_PAYLD;
  wire m01_nodes_M_SC_AR_RECV;
  wire [0:0]m01_nodes_M_SC_AR_REQ;
  wire [0:0]m01_nodes_M_SC_AR_SEND;
  wire [0:0]m01_nodes_M_SC_AW_INFO;
  wire [213:0]m01_nodes_M_SC_AW_PAYLD;
  wire m01_nodes_M_SC_AW_RECV;
  wire [0:0]m01_nodes_M_SC_AW_REQ;
  wire [0:0]m01_nodes_M_SC_AW_SEND;
  wire [0:0]m01_nodes_M_SC_B_INFO;
  wire [19:0]m01_nodes_M_SC_B_PAYLD;
  wire [0:0]m01_nodes_M_SC_B_RECV;
  wire [0:0]m01_nodes_M_SC_B_REQ;
  wire [0:0]m01_nodes_M_SC_B_SEND;
  wire [0:0]m01_nodes_M_SC_R_INFO;
  wire [54:0]m01_nodes_M_SC_R_PAYLD;
  wire [0:0]m01_nodes_M_SC_R_RECV;
  wire [0:0]m01_nodes_M_SC_R_REQ;
  wire [0:0]m01_nodes_M_SC_R_SEND;
  wire [0:0]m01_nodes_M_SC_W_INFO;
  wire [68:0]m01_nodes_M_SC_W_PAYLD;
  wire m01_nodes_M_SC_W_RECV;
  wire [0:0]m01_nodes_M_SC_W_REQ;
  wire [0:0]m01_nodes_M_SC_W_SEND;
  wire [63:0]m01_sc2axi_M_AXI_ARADDR;
  wire [3:0]m01_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m01_sc2axi_M_AXI_ARID;
  wire [7:0]m01_sc2axi_M_AXI_ARLEN;
  wire [0:0]m01_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m01_sc2axi_M_AXI_ARPROT;
  wire [3:0]m01_sc2axi_M_AXI_ARQOS;
  wire m01_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m01_sc2axi_M_AXI_ARUSER;
  wire m01_sc2axi_M_AXI_ARVALID;
  wire [63:0]m01_sc2axi_M_AXI_AWADDR;
  wire [3:0]m01_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m01_sc2axi_M_AXI_AWID;
  wire [7:0]m01_sc2axi_M_AXI_AWLEN;
  wire [0:0]m01_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m01_sc2axi_M_AXI_AWPROT;
  wire [3:0]m01_sc2axi_M_AXI_AWQOS;
  wire m01_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m01_sc2axi_M_AXI_AWUSER;
  wire m01_sc2axi_M_AXI_AWVALID;
  wire [0:0]m01_sc2axi_M_AXI_BID;
  wire m01_sc2axi_M_AXI_BREADY;
  wire [1:0]m01_sc2axi_M_AXI_BRESP;
  wire [1023:0]m01_sc2axi_M_AXI_BUSER;
  wire m01_sc2axi_M_AXI_BVALID;
  wire [31:0]m01_sc2axi_M_AXI_RDATA;
  wire [0:0]m01_sc2axi_M_AXI_RID;
  wire m01_sc2axi_M_AXI_RLAST;
  wire m01_sc2axi_M_AXI_RREADY;
  wire [1:0]m01_sc2axi_M_AXI_RRESP;
  wire [1023:0]m01_sc2axi_M_AXI_RUSER;
  wire m01_sc2axi_M_AXI_RVALID;
  wire [31:0]m01_sc2axi_M_AXI_WDATA;
  wire m01_sc2axi_M_AXI_WLAST;
  wire m01_sc2axi_M_AXI_WREADY;
  wire [3:0]m01_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m01_sc2axi_M_AXI_WUSER;
  wire m01_sc2axi_M_AXI_WVALID;
  wire [31:0]m02_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m02_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m02_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m02_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m02_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m02_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m02_exit_pipeline_m_axi_ARQOS;
  wire m02_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m02_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m02_exit_pipeline_m_axi_ARUSER;
  wire m02_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m02_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m02_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m02_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m02_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m02_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m02_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m02_exit_pipeline_m_axi_AWQOS;
  wire m02_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m02_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m02_exit_pipeline_m_axi_AWUSER;
  wire m02_exit_pipeline_m_axi_AWVALID;
  wire m02_exit_pipeline_m_axi_BREADY;
  wire [1:0]m02_exit_pipeline_m_axi_BRESP;
  wire [15:0]m02_exit_pipeline_m_axi_BUSER;
  wire m02_exit_pipeline_m_axi_BVALID;
  wire [31:0]m02_exit_pipeline_m_axi_RDATA;
  wire m02_exit_pipeline_m_axi_RLAST;
  wire m02_exit_pipeline_m_axi_RREADY;
  wire [1:0]m02_exit_pipeline_m_axi_RRESP;
  wire [3:0]m02_exit_pipeline_m_axi_RUSER;
  wire m02_exit_pipeline_m_axi_RVALID;
  wire [31:0]m02_exit_pipeline_m_axi_WDATA;
  wire m02_exit_pipeline_m_axi_WLAST;
  wire m02_exit_pipeline_m_axi_WREADY;
  wire [3:0]m02_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m02_exit_pipeline_m_axi_WUSER;
  wire m02_exit_pipeline_m_axi_WVALID;
  wire [0:0]m02_nodes_M_SC_AR_INFO;
  wire [213:0]m02_nodes_M_SC_AR_PAYLD;
  wire m02_nodes_M_SC_AR_RECV;
  wire [0:0]m02_nodes_M_SC_AR_REQ;
  wire [0:0]m02_nodes_M_SC_AR_SEND;
  wire [0:0]m02_nodes_M_SC_AW_INFO;
  wire [213:0]m02_nodes_M_SC_AW_PAYLD;
  wire m02_nodes_M_SC_AW_RECV;
  wire [0:0]m02_nodes_M_SC_AW_REQ;
  wire [0:0]m02_nodes_M_SC_AW_SEND;
  wire [0:0]m02_nodes_M_SC_B_INFO;
  wire [19:0]m02_nodes_M_SC_B_PAYLD;
  wire [0:0]m02_nodes_M_SC_B_RECV;
  wire [0:0]m02_nodes_M_SC_B_REQ;
  wire [0:0]m02_nodes_M_SC_B_SEND;
  wire [0:0]m02_nodes_M_SC_R_INFO;
  wire [54:0]m02_nodes_M_SC_R_PAYLD;
  wire [0:0]m02_nodes_M_SC_R_RECV;
  wire [0:0]m02_nodes_M_SC_R_REQ;
  wire [0:0]m02_nodes_M_SC_R_SEND;
  wire [0:0]m02_nodes_M_SC_W_INFO;
  wire [68:0]m02_nodes_M_SC_W_PAYLD;
  wire m02_nodes_M_SC_W_RECV;
  wire [0:0]m02_nodes_M_SC_W_REQ;
  wire [0:0]m02_nodes_M_SC_W_SEND;
  wire [31:0]m02_sc2axi_M_AXI_ARADDR;
  wire [3:0]m02_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m02_sc2axi_M_AXI_ARID;
  wire [7:0]m02_sc2axi_M_AXI_ARLEN;
  wire [0:0]m02_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m02_sc2axi_M_AXI_ARPROT;
  wire [3:0]m02_sc2axi_M_AXI_ARQOS;
  wire m02_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m02_sc2axi_M_AXI_ARUSER;
  wire m02_sc2axi_M_AXI_ARVALID;
  wire [31:0]m02_sc2axi_M_AXI_AWADDR;
  wire [3:0]m02_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m02_sc2axi_M_AXI_AWID;
  wire [7:0]m02_sc2axi_M_AXI_AWLEN;
  wire [0:0]m02_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m02_sc2axi_M_AXI_AWPROT;
  wire [3:0]m02_sc2axi_M_AXI_AWQOS;
  wire m02_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m02_sc2axi_M_AXI_AWUSER;
  wire m02_sc2axi_M_AXI_AWVALID;
  wire [0:0]m02_sc2axi_M_AXI_BID;
  wire m02_sc2axi_M_AXI_BREADY;
  wire [1:0]m02_sc2axi_M_AXI_BRESP;
  wire [1023:0]m02_sc2axi_M_AXI_BUSER;
  wire m02_sc2axi_M_AXI_BVALID;
  wire [31:0]m02_sc2axi_M_AXI_RDATA;
  wire [0:0]m02_sc2axi_M_AXI_RID;
  wire m02_sc2axi_M_AXI_RLAST;
  wire m02_sc2axi_M_AXI_RREADY;
  wire [1:0]m02_sc2axi_M_AXI_RRESP;
  wire [1023:0]m02_sc2axi_M_AXI_RUSER;
  wire m02_sc2axi_M_AXI_RVALID;
  wire [31:0]m02_sc2axi_M_AXI_WDATA;
  wire m02_sc2axi_M_AXI_WLAST;
  wire m02_sc2axi_M_AXI_WREADY;
  wire [3:0]m02_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m02_sc2axi_M_AXI_WUSER;
  wire m02_sc2axi_M_AXI_WVALID;
  wire [31:0]m03_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m03_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m03_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m03_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m03_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m03_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m03_exit_pipeline_m_axi_ARQOS;
  wire m03_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m03_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m03_exit_pipeline_m_axi_ARUSER;
  wire m03_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m03_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m03_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m03_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m03_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m03_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m03_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m03_exit_pipeline_m_axi_AWQOS;
  wire m03_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m03_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m03_exit_pipeline_m_axi_AWUSER;
  wire m03_exit_pipeline_m_axi_AWVALID;
  wire m03_exit_pipeline_m_axi_BREADY;
  wire [1:0]m03_exit_pipeline_m_axi_BRESP;
  wire [15:0]m03_exit_pipeline_m_axi_BUSER;
  wire m03_exit_pipeline_m_axi_BVALID;
  wire [31:0]m03_exit_pipeline_m_axi_RDATA;
  wire m03_exit_pipeline_m_axi_RLAST;
  wire m03_exit_pipeline_m_axi_RREADY;
  wire [1:0]m03_exit_pipeline_m_axi_RRESP;
  wire [3:0]m03_exit_pipeline_m_axi_RUSER;
  wire m03_exit_pipeline_m_axi_RVALID;
  wire [31:0]m03_exit_pipeline_m_axi_WDATA;
  wire m03_exit_pipeline_m_axi_WLAST;
  wire m03_exit_pipeline_m_axi_WREADY;
  wire [3:0]m03_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m03_exit_pipeline_m_axi_WUSER;
  wire m03_exit_pipeline_m_axi_WVALID;
  wire [0:0]m03_nodes_M_SC_AR_INFO;
  wire [213:0]m03_nodes_M_SC_AR_PAYLD;
  wire m03_nodes_M_SC_AR_RECV;
  wire [0:0]m03_nodes_M_SC_AR_REQ;
  wire [0:0]m03_nodes_M_SC_AR_SEND;
  wire [0:0]m03_nodes_M_SC_AW_INFO;
  wire [213:0]m03_nodes_M_SC_AW_PAYLD;
  wire m03_nodes_M_SC_AW_RECV;
  wire [0:0]m03_nodes_M_SC_AW_REQ;
  wire [0:0]m03_nodes_M_SC_AW_SEND;
  wire [0:0]m03_nodes_M_SC_B_INFO;
  wire [19:0]m03_nodes_M_SC_B_PAYLD;
  wire [0:0]m03_nodes_M_SC_B_RECV;
  wire [0:0]m03_nodes_M_SC_B_REQ;
  wire [0:0]m03_nodes_M_SC_B_SEND;
  wire [0:0]m03_nodes_M_SC_R_INFO;
  wire [54:0]m03_nodes_M_SC_R_PAYLD;
  wire [0:0]m03_nodes_M_SC_R_RECV;
  wire [0:0]m03_nodes_M_SC_R_REQ;
  wire [0:0]m03_nodes_M_SC_R_SEND;
  wire [0:0]m03_nodes_M_SC_W_INFO;
  wire [68:0]m03_nodes_M_SC_W_PAYLD;
  wire m03_nodes_M_SC_W_RECV;
  wire [0:0]m03_nodes_M_SC_W_REQ;
  wire [0:0]m03_nodes_M_SC_W_SEND;
  wire [31:0]m03_sc2axi_M_AXI_ARADDR;
  wire [3:0]m03_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m03_sc2axi_M_AXI_ARID;
  wire [7:0]m03_sc2axi_M_AXI_ARLEN;
  wire [0:0]m03_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m03_sc2axi_M_AXI_ARPROT;
  wire [3:0]m03_sc2axi_M_AXI_ARQOS;
  wire m03_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m03_sc2axi_M_AXI_ARUSER;
  wire m03_sc2axi_M_AXI_ARVALID;
  wire [31:0]m03_sc2axi_M_AXI_AWADDR;
  wire [3:0]m03_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m03_sc2axi_M_AXI_AWID;
  wire [7:0]m03_sc2axi_M_AXI_AWLEN;
  wire [0:0]m03_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m03_sc2axi_M_AXI_AWPROT;
  wire [3:0]m03_sc2axi_M_AXI_AWQOS;
  wire m03_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m03_sc2axi_M_AXI_AWUSER;
  wire m03_sc2axi_M_AXI_AWVALID;
  wire [0:0]m03_sc2axi_M_AXI_BID;
  wire m03_sc2axi_M_AXI_BREADY;
  wire [1:0]m03_sc2axi_M_AXI_BRESP;
  wire [1023:0]m03_sc2axi_M_AXI_BUSER;
  wire m03_sc2axi_M_AXI_BVALID;
  wire [31:0]m03_sc2axi_M_AXI_RDATA;
  wire [0:0]m03_sc2axi_M_AXI_RID;
  wire m03_sc2axi_M_AXI_RLAST;
  wire m03_sc2axi_M_AXI_RREADY;
  wire [1:0]m03_sc2axi_M_AXI_RRESP;
  wire [1023:0]m03_sc2axi_M_AXI_RUSER;
  wire m03_sc2axi_M_AXI_RVALID;
  wire [31:0]m03_sc2axi_M_AXI_WDATA;
  wire m03_sc2axi_M_AXI_WLAST;
  wire m03_sc2axi_M_AXI_WREADY;
  wire [3:0]m03_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m03_sc2axi_M_AXI_WUSER;
  wire m03_sc2axi_M_AXI_WVALID;
  wire [31:0]m04_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m04_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m04_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m04_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m04_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m04_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m04_exit_pipeline_m_axi_ARQOS;
  wire m04_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m04_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m04_exit_pipeline_m_axi_ARUSER;
  wire m04_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m04_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m04_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m04_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m04_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m04_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m04_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m04_exit_pipeline_m_axi_AWQOS;
  wire m04_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m04_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m04_exit_pipeline_m_axi_AWUSER;
  wire m04_exit_pipeline_m_axi_AWVALID;
  wire m04_exit_pipeline_m_axi_BREADY;
  wire [1:0]m04_exit_pipeline_m_axi_BRESP;
  wire [15:0]m04_exit_pipeline_m_axi_BUSER;
  wire m04_exit_pipeline_m_axi_BVALID;
  wire [31:0]m04_exit_pipeline_m_axi_RDATA;
  wire m04_exit_pipeline_m_axi_RLAST;
  wire m04_exit_pipeline_m_axi_RREADY;
  wire [1:0]m04_exit_pipeline_m_axi_RRESP;
  wire [3:0]m04_exit_pipeline_m_axi_RUSER;
  wire m04_exit_pipeline_m_axi_RVALID;
  wire [31:0]m04_exit_pipeline_m_axi_WDATA;
  wire m04_exit_pipeline_m_axi_WLAST;
  wire m04_exit_pipeline_m_axi_WREADY;
  wire [3:0]m04_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m04_exit_pipeline_m_axi_WUSER;
  wire m04_exit_pipeline_m_axi_WVALID;
  wire [0:0]m04_nodes_M_SC_AR_INFO;
  wire [213:0]m04_nodes_M_SC_AR_PAYLD;
  wire m04_nodes_M_SC_AR_RECV;
  wire [0:0]m04_nodes_M_SC_AR_REQ;
  wire [0:0]m04_nodes_M_SC_AR_SEND;
  wire [0:0]m04_nodes_M_SC_AW_INFO;
  wire [213:0]m04_nodes_M_SC_AW_PAYLD;
  wire m04_nodes_M_SC_AW_RECV;
  wire [0:0]m04_nodes_M_SC_AW_REQ;
  wire [0:0]m04_nodes_M_SC_AW_SEND;
  wire [0:0]m04_nodes_M_SC_B_INFO;
  wire [19:0]m04_nodes_M_SC_B_PAYLD;
  wire [0:0]m04_nodes_M_SC_B_RECV;
  wire [0:0]m04_nodes_M_SC_B_REQ;
  wire [0:0]m04_nodes_M_SC_B_SEND;
  wire [0:0]m04_nodes_M_SC_R_INFO;
  wire [54:0]m04_nodes_M_SC_R_PAYLD;
  wire [0:0]m04_nodes_M_SC_R_RECV;
  wire [0:0]m04_nodes_M_SC_R_REQ;
  wire [0:0]m04_nodes_M_SC_R_SEND;
  wire [0:0]m04_nodes_M_SC_W_INFO;
  wire [68:0]m04_nodes_M_SC_W_PAYLD;
  wire m04_nodes_M_SC_W_RECV;
  wire [0:0]m04_nodes_M_SC_W_REQ;
  wire [0:0]m04_nodes_M_SC_W_SEND;
  wire [31:0]m04_sc2axi_M_AXI_ARADDR;
  wire [3:0]m04_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m04_sc2axi_M_AXI_ARID;
  wire [7:0]m04_sc2axi_M_AXI_ARLEN;
  wire [0:0]m04_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m04_sc2axi_M_AXI_ARPROT;
  wire [3:0]m04_sc2axi_M_AXI_ARQOS;
  wire m04_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m04_sc2axi_M_AXI_ARUSER;
  wire m04_sc2axi_M_AXI_ARVALID;
  wire [31:0]m04_sc2axi_M_AXI_AWADDR;
  wire [3:0]m04_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m04_sc2axi_M_AXI_AWID;
  wire [7:0]m04_sc2axi_M_AXI_AWLEN;
  wire [0:0]m04_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m04_sc2axi_M_AXI_AWPROT;
  wire [3:0]m04_sc2axi_M_AXI_AWQOS;
  wire m04_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m04_sc2axi_M_AXI_AWUSER;
  wire m04_sc2axi_M_AXI_AWVALID;
  wire [0:0]m04_sc2axi_M_AXI_BID;
  wire m04_sc2axi_M_AXI_BREADY;
  wire [1:0]m04_sc2axi_M_AXI_BRESP;
  wire [1023:0]m04_sc2axi_M_AXI_BUSER;
  wire m04_sc2axi_M_AXI_BVALID;
  wire [31:0]m04_sc2axi_M_AXI_RDATA;
  wire [0:0]m04_sc2axi_M_AXI_RID;
  wire m04_sc2axi_M_AXI_RLAST;
  wire m04_sc2axi_M_AXI_RREADY;
  wire [1:0]m04_sc2axi_M_AXI_RRESP;
  wire [1023:0]m04_sc2axi_M_AXI_RUSER;
  wire m04_sc2axi_M_AXI_RVALID;
  wire [31:0]m04_sc2axi_M_AXI_WDATA;
  wire m04_sc2axi_M_AXI_WLAST;
  wire m04_sc2axi_M_AXI_WREADY;
  wire [3:0]m04_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m04_sc2axi_M_AXI_WUSER;
  wire m04_sc2axi_M_AXI_WVALID;
  wire [31:0]m05_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m05_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m05_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m05_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m05_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m05_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m05_exit_pipeline_m_axi_ARQOS;
  wire m05_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m05_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m05_exit_pipeline_m_axi_ARUSER;
  wire m05_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m05_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m05_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m05_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m05_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m05_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m05_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m05_exit_pipeline_m_axi_AWQOS;
  wire m05_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m05_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m05_exit_pipeline_m_axi_AWUSER;
  wire m05_exit_pipeline_m_axi_AWVALID;
  wire m05_exit_pipeline_m_axi_BREADY;
  wire [1:0]m05_exit_pipeline_m_axi_BRESP;
  wire [15:0]m05_exit_pipeline_m_axi_BUSER;
  wire m05_exit_pipeline_m_axi_BVALID;
  wire [31:0]m05_exit_pipeline_m_axi_RDATA;
  wire m05_exit_pipeline_m_axi_RLAST;
  wire m05_exit_pipeline_m_axi_RREADY;
  wire [1:0]m05_exit_pipeline_m_axi_RRESP;
  wire [3:0]m05_exit_pipeline_m_axi_RUSER;
  wire m05_exit_pipeline_m_axi_RVALID;
  wire [31:0]m05_exit_pipeline_m_axi_WDATA;
  wire m05_exit_pipeline_m_axi_WLAST;
  wire m05_exit_pipeline_m_axi_WREADY;
  wire [3:0]m05_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m05_exit_pipeline_m_axi_WUSER;
  wire m05_exit_pipeline_m_axi_WVALID;
  wire [0:0]m05_nodes_M_SC_AR_INFO;
  wire [213:0]m05_nodes_M_SC_AR_PAYLD;
  wire m05_nodes_M_SC_AR_RECV;
  wire [0:0]m05_nodes_M_SC_AR_REQ;
  wire [0:0]m05_nodes_M_SC_AR_SEND;
  wire [0:0]m05_nodes_M_SC_AW_INFO;
  wire [213:0]m05_nodes_M_SC_AW_PAYLD;
  wire m05_nodes_M_SC_AW_RECV;
  wire [0:0]m05_nodes_M_SC_AW_REQ;
  wire [0:0]m05_nodes_M_SC_AW_SEND;
  wire [0:0]m05_nodes_M_SC_B_INFO;
  wire [19:0]m05_nodes_M_SC_B_PAYLD;
  wire [0:0]m05_nodes_M_SC_B_RECV;
  wire [0:0]m05_nodes_M_SC_B_REQ;
  wire [0:0]m05_nodes_M_SC_B_SEND;
  wire [0:0]m05_nodes_M_SC_R_INFO;
  wire [54:0]m05_nodes_M_SC_R_PAYLD;
  wire [0:0]m05_nodes_M_SC_R_RECV;
  wire [0:0]m05_nodes_M_SC_R_REQ;
  wire [0:0]m05_nodes_M_SC_R_SEND;
  wire [0:0]m05_nodes_M_SC_W_INFO;
  wire [68:0]m05_nodes_M_SC_W_PAYLD;
  wire m05_nodes_M_SC_W_RECV;
  wire [0:0]m05_nodes_M_SC_W_REQ;
  wire [0:0]m05_nodes_M_SC_W_SEND;
  wire [31:0]m05_sc2axi_M_AXI_ARADDR;
  wire [3:0]m05_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m05_sc2axi_M_AXI_ARID;
  wire [7:0]m05_sc2axi_M_AXI_ARLEN;
  wire [0:0]m05_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m05_sc2axi_M_AXI_ARPROT;
  wire [3:0]m05_sc2axi_M_AXI_ARQOS;
  wire m05_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m05_sc2axi_M_AXI_ARUSER;
  wire m05_sc2axi_M_AXI_ARVALID;
  wire [31:0]m05_sc2axi_M_AXI_AWADDR;
  wire [3:0]m05_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m05_sc2axi_M_AXI_AWID;
  wire [7:0]m05_sc2axi_M_AXI_AWLEN;
  wire [0:0]m05_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m05_sc2axi_M_AXI_AWPROT;
  wire [3:0]m05_sc2axi_M_AXI_AWQOS;
  wire m05_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m05_sc2axi_M_AXI_AWUSER;
  wire m05_sc2axi_M_AXI_AWVALID;
  wire [0:0]m05_sc2axi_M_AXI_BID;
  wire m05_sc2axi_M_AXI_BREADY;
  wire [1:0]m05_sc2axi_M_AXI_BRESP;
  wire [1023:0]m05_sc2axi_M_AXI_BUSER;
  wire m05_sc2axi_M_AXI_BVALID;
  wire [31:0]m05_sc2axi_M_AXI_RDATA;
  wire [0:0]m05_sc2axi_M_AXI_RID;
  wire m05_sc2axi_M_AXI_RLAST;
  wire m05_sc2axi_M_AXI_RREADY;
  wire [1:0]m05_sc2axi_M_AXI_RRESP;
  wire [1023:0]m05_sc2axi_M_AXI_RUSER;
  wire m05_sc2axi_M_AXI_RVALID;
  wire [31:0]m05_sc2axi_M_AXI_WDATA;
  wire m05_sc2axi_M_AXI_WLAST;
  wire m05_sc2axi_M_AXI_WREADY;
  wire [3:0]m05_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m05_sc2axi_M_AXI_WUSER;
  wire m05_sc2axi_M_AXI_WVALID;
  wire [31:0]m06_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m06_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m06_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m06_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m06_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m06_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m06_exit_pipeline_m_axi_ARQOS;
  wire m06_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m06_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m06_exit_pipeline_m_axi_ARUSER;
  wire m06_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m06_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m06_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m06_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m06_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m06_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m06_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m06_exit_pipeline_m_axi_AWQOS;
  wire m06_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m06_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m06_exit_pipeline_m_axi_AWUSER;
  wire m06_exit_pipeline_m_axi_AWVALID;
  wire m06_exit_pipeline_m_axi_BREADY;
  wire [1:0]m06_exit_pipeline_m_axi_BRESP;
  wire [15:0]m06_exit_pipeline_m_axi_BUSER;
  wire m06_exit_pipeline_m_axi_BVALID;
  wire [31:0]m06_exit_pipeline_m_axi_RDATA;
  wire m06_exit_pipeline_m_axi_RLAST;
  wire m06_exit_pipeline_m_axi_RREADY;
  wire [1:0]m06_exit_pipeline_m_axi_RRESP;
  wire [3:0]m06_exit_pipeline_m_axi_RUSER;
  wire m06_exit_pipeline_m_axi_RVALID;
  wire [31:0]m06_exit_pipeline_m_axi_WDATA;
  wire m06_exit_pipeline_m_axi_WLAST;
  wire m06_exit_pipeline_m_axi_WREADY;
  wire [3:0]m06_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m06_exit_pipeline_m_axi_WUSER;
  wire m06_exit_pipeline_m_axi_WVALID;
  wire [0:0]m06_nodes_M_SC_AR_INFO;
  wire [213:0]m06_nodes_M_SC_AR_PAYLD;
  wire m06_nodes_M_SC_AR_RECV;
  wire [0:0]m06_nodes_M_SC_AR_REQ;
  wire [0:0]m06_nodes_M_SC_AR_SEND;
  wire [0:0]m06_nodes_M_SC_AW_INFO;
  wire [213:0]m06_nodes_M_SC_AW_PAYLD;
  wire m06_nodes_M_SC_AW_RECV;
  wire [0:0]m06_nodes_M_SC_AW_REQ;
  wire [0:0]m06_nodes_M_SC_AW_SEND;
  wire [0:0]m06_nodes_M_SC_B_INFO;
  wire [19:0]m06_nodes_M_SC_B_PAYLD;
  wire [0:0]m06_nodes_M_SC_B_RECV;
  wire [0:0]m06_nodes_M_SC_B_REQ;
  wire [0:0]m06_nodes_M_SC_B_SEND;
  wire [0:0]m06_nodes_M_SC_R_INFO;
  wire [54:0]m06_nodes_M_SC_R_PAYLD;
  wire [0:0]m06_nodes_M_SC_R_RECV;
  wire [0:0]m06_nodes_M_SC_R_REQ;
  wire [0:0]m06_nodes_M_SC_R_SEND;
  wire [0:0]m06_nodes_M_SC_W_INFO;
  wire [68:0]m06_nodes_M_SC_W_PAYLD;
  wire m06_nodes_M_SC_W_RECV;
  wire [0:0]m06_nodes_M_SC_W_REQ;
  wire [0:0]m06_nodes_M_SC_W_SEND;
  wire [31:0]m06_sc2axi_M_AXI_ARADDR;
  wire [3:0]m06_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m06_sc2axi_M_AXI_ARID;
  wire [7:0]m06_sc2axi_M_AXI_ARLEN;
  wire [0:0]m06_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m06_sc2axi_M_AXI_ARPROT;
  wire [3:0]m06_sc2axi_M_AXI_ARQOS;
  wire m06_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m06_sc2axi_M_AXI_ARUSER;
  wire m06_sc2axi_M_AXI_ARVALID;
  wire [31:0]m06_sc2axi_M_AXI_AWADDR;
  wire [3:0]m06_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m06_sc2axi_M_AXI_AWID;
  wire [7:0]m06_sc2axi_M_AXI_AWLEN;
  wire [0:0]m06_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m06_sc2axi_M_AXI_AWPROT;
  wire [3:0]m06_sc2axi_M_AXI_AWQOS;
  wire m06_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m06_sc2axi_M_AXI_AWUSER;
  wire m06_sc2axi_M_AXI_AWVALID;
  wire [0:0]m06_sc2axi_M_AXI_BID;
  wire m06_sc2axi_M_AXI_BREADY;
  wire [1:0]m06_sc2axi_M_AXI_BRESP;
  wire [1023:0]m06_sc2axi_M_AXI_BUSER;
  wire m06_sc2axi_M_AXI_BVALID;
  wire [31:0]m06_sc2axi_M_AXI_RDATA;
  wire [0:0]m06_sc2axi_M_AXI_RID;
  wire m06_sc2axi_M_AXI_RLAST;
  wire m06_sc2axi_M_AXI_RREADY;
  wire [1:0]m06_sc2axi_M_AXI_RRESP;
  wire [1023:0]m06_sc2axi_M_AXI_RUSER;
  wire m06_sc2axi_M_AXI_RVALID;
  wire [31:0]m06_sc2axi_M_AXI_WDATA;
  wire m06_sc2axi_M_AXI_WLAST;
  wire m06_sc2axi_M_AXI_WREADY;
  wire [3:0]m06_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m06_sc2axi_M_AXI_WUSER;
  wire m06_sc2axi_M_AXI_WVALID;
  wire [31:0]m07_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m07_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m07_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m07_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m07_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m07_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m07_exit_pipeline_m_axi_ARQOS;
  wire m07_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m07_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m07_exit_pipeline_m_axi_ARUSER;
  wire m07_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m07_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m07_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m07_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m07_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m07_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m07_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m07_exit_pipeline_m_axi_AWQOS;
  wire m07_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m07_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m07_exit_pipeline_m_axi_AWUSER;
  wire m07_exit_pipeline_m_axi_AWVALID;
  wire m07_exit_pipeline_m_axi_BREADY;
  wire [1:0]m07_exit_pipeline_m_axi_BRESP;
  wire [15:0]m07_exit_pipeline_m_axi_BUSER;
  wire m07_exit_pipeline_m_axi_BVALID;
  wire [31:0]m07_exit_pipeline_m_axi_RDATA;
  wire m07_exit_pipeline_m_axi_RLAST;
  wire m07_exit_pipeline_m_axi_RREADY;
  wire [1:0]m07_exit_pipeline_m_axi_RRESP;
  wire [3:0]m07_exit_pipeline_m_axi_RUSER;
  wire m07_exit_pipeline_m_axi_RVALID;
  wire [31:0]m07_exit_pipeline_m_axi_WDATA;
  wire m07_exit_pipeline_m_axi_WLAST;
  wire m07_exit_pipeline_m_axi_WREADY;
  wire [3:0]m07_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m07_exit_pipeline_m_axi_WUSER;
  wire m07_exit_pipeline_m_axi_WVALID;
  wire [0:0]m07_nodes_M_SC_AR_INFO;
  wire [213:0]m07_nodes_M_SC_AR_PAYLD;
  wire m07_nodes_M_SC_AR_RECV;
  wire [0:0]m07_nodes_M_SC_AR_REQ;
  wire [0:0]m07_nodes_M_SC_AR_SEND;
  wire [0:0]m07_nodes_M_SC_AW_INFO;
  wire [213:0]m07_nodes_M_SC_AW_PAYLD;
  wire m07_nodes_M_SC_AW_RECV;
  wire [0:0]m07_nodes_M_SC_AW_REQ;
  wire [0:0]m07_nodes_M_SC_AW_SEND;
  wire [0:0]m07_nodes_M_SC_B_INFO;
  wire [19:0]m07_nodes_M_SC_B_PAYLD;
  wire [0:0]m07_nodes_M_SC_B_RECV;
  wire [0:0]m07_nodes_M_SC_B_REQ;
  wire [0:0]m07_nodes_M_SC_B_SEND;
  wire [0:0]m07_nodes_M_SC_R_INFO;
  wire [54:0]m07_nodes_M_SC_R_PAYLD;
  wire [0:0]m07_nodes_M_SC_R_RECV;
  wire [0:0]m07_nodes_M_SC_R_REQ;
  wire [0:0]m07_nodes_M_SC_R_SEND;
  wire [0:0]m07_nodes_M_SC_W_INFO;
  wire [68:0]m07_nodes_M_SC_W_PAYLD;
  wire m07_nodes_M_SC_W_RECV;
  wire [0:0]m07_nodes_M_SC_W_REQ;
  wire [0:0]m07_nodes_M_SC_W_SEND;
  wire [31:0]m07_sc2axi_M_AXI_ARADDR;
  wire [3:0]m07_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m07_sc2axi_M_AXI_ARID;
  wire [7:0]m07_sc2axi_M_AXI_ARLEN;
  wire [0:0]m07_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m07_sc2axi_M_AXI_ARPROT;
  wire [3:0]m07_sc2axi_M_AXI_ARQOS;
  wire m07_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m07_sc2axi_M_AXI_ARUSER;
  wire m07_sc2axi_M_AXI_ARVALID;
  wire [31:0]m07_sc2axi_M_AXI_AWADDR;
  wire [3:0]m07_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m07_sc2axi_M_AXI_AWID;
  wire [7:0]m07_sc2axi_M_AXI_AWLEN;
  wire [0:0]m07_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m07_sc2axi_M_AXI_AWPROT;
  wire [3:0]m07_sc2axi_M_AXI_AWQOS;
  wire m07_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m07_sc2axi_M_AXI_AWUSER;
  wire m07_sc2axi_M_AXI_AWVALID;
  wire [0:0]m07_sc2axi_M_AXI_BID;
  wire m07_sc2axi_M_AXI_BREADY;
  wire [1:0]m07_sc2axi_M_AXI_BRESP;
  wire [1023:0]m07_sc2axi_M_AXI_BUSER;
  wire m07_sc2axi_M_AXI_BVALID;
  wire [31:0]m07_sc2axi_M_AXI_RDATA;
  wire [0:0]m07_sc2axi_M_AXI_RID;
  wire m07_sc2axi_M_AXI_RLAST;
  wire m07_sc2axi_M_AXI_RREADY;
  wire [1:0]m07_sc2axi_M_AXI_RRESP;
  wire [1023:0]m07_sc2axi_M_AXI_RUSER;
  wire m07_sc2axi_M_AXI_RVALID;
  wire [31:0]m07_sc2axi_M_AXI_WDATA;
  wire m07_sc2axi_M_AXI_WLAST;
  wire m07_sc2axi_M_AXI_WREADY;
  wire [3:0]m07_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m07_sc2axi_M_AXI_WUSER;
  wire m07_sc2axi_M_AXI_WVALID;
  wire [31:0]m08_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m08_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m08_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m08_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m08_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m08_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m08_exit_pipeline_m_axi_ARQOS;
  wire m08_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m08_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m08_exit_pipeline_m_axi_ARUSER;
  wire m08_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m08_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m08_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m08_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m08_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m08_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m08_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m08_exit_pipeline_m_axi_AWQOS;
  wire m08_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m08_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m08_exit_pipeline_m_axi_AWUSER;
  wire m08_exit_pipeline_m_axi_AWVALID;
  wire m08_exit_pipeline_m_axi_BREADY;
  wire [1:0]m08_exit_pipeline_m_axi_BRESP;
  wire [15:0]m08_exit_pipeline_m_axi_BUSER;
  wire m08_exit_pipeline_m_axi_BVALID;
  wire [31:0]m08_exit_pipeline_m_axi_RDATA;
  wire m08_exit_pipeline_m_axi_RLAST;
  wire m08_exit_pipeline_m_axi_RREADY;
  wire [1:0]m08_exit_pipeline_m_axi_RRESP;
  wire [3:0]m08_exit_pipeline_m_axi_RUSER;
  wire m08_exit_pipeline_m_axi_RVALID;
  wire [31:0]m08_exit_pipeline_m_axi_WDATA;
  wire m08_exit_pipeline_m_axi_WLAST;
  wire m08_exit_pipeline_m_axi_WREADY;
  wire [3:0]m08_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m08_exit_pipeline_m_axi_WUSER;
  wire m08_exit_pipeline_m_axi_WVALID;
  wire [0:0]m08_nodes_M_SC_AR_INFO;
  wire [213:0]m08_nodes_M_SC_AR_PAYLD;
  wire m08_nodes_M_SC_AR_RECV;
  wire [0:0]m08_nodes_M_SC_AR_REQ;
  wire [0:0]m08_nodes_M_SC_AR_SEND;
  wire [0:0]m08_nodes_M_SC_AW_INFO;
  wire [213:0]m08_nodes_M_SC_AW_PAYLD;
  wire m08_nodes_M_SC_AW_RECV;
  wire [0:0]m08_nodes_M_SC_AW_REQ;
  wire [0:0]m08_nodes_M_SC_AW_SEND;
  wire [0:0]m08_nodes_M_SC_B_INFO;
  wire [19:0]m08_nodes_M_SC_B_PAYLD;
  wire [0:0]m08_nodes_M_SC_B_RECV;
  wire [0:0]m08_nodes_M_SC_B_REQ;
  wire [0:0]m08_nodes_M_SC_B_SEND;
  wire [0:0]m08_nodes_M_SC_R_INFO;
  wire [54:0]m08_nodes_M_SC_R_PAYLD;
  wire [0:0]m08_nodes_M_SC_R_RECV;
  wire [0:0]m08_nodes_M_SC_R_REQ;
  wire [0:0]m08_nodes_M_SC_R_SEND;
  wire [0:0]m08_nodes_M_SC_W_INFO;
  wire [68:0]m08_nodes_M_SC_W_PAYLD;
  wire m08_nodes_M_SC_W_RECV;
  wire [0:0]m08_nodes_M_SC_W_REQ;
  wire [0:0]m08_nodes_M_SC_W_SEND;
  wire [31:0]m08_sc2axi_M_AXI_ARADDR;
  wire [3:0]m08_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m08_sc2axi_M_AXI_ARID;
  wire [7:0]m08_sc2axi_M_AXI_ARLEN;
  wire [0:0]m08_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m08_sc2axi_M_AXI_ARPROT;
  wire [3:0]m08_sc2axi_M_AXI_ARQOS;
  wire m08_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m08_sc2axi_M_AXI_ARUSER;
  wire m08_sc2axi_M_AXI_ARVALID;
  wire [31:0]m08_sc2axi_M_AXI_AWADDR;
  wire [3:0]m08_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m08_sc2axi_M_AXI_AWID;
  wire [7:0]m08_sc2axi_M_AXI_AWLEN;
  wire [0:0]m08_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m08_sc2axi_M_AXI_AWPROT;
  wire [3:0]m08_sc2axi_M_AXI_AWQOS;
  wire m08_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m08_sc2axi_M_AXI_AWUSER;
  wire m08_sc2axi_M_AXI_AWVALID;
  wire [0:0]m08_sc2axi_M_AXI_BID;
  wire m08_sc2axi_M_AXI_BREADY;
  wire [1:0]m08_sc2axi_M_AXI_BRESP;
  wire [1023:0]m08_sc2axi_M_AXI_BUSER;
  wire m08_sc2axi_M_AXI_BVALID;
  wire [31:0]m08_sc2axi_M_AXI_RDATA;
  wire [0:0]m08_sc2axi_M_AXI_RID;
  wire m08_sc2axi_M_AXI_RLAST;
  wire m08_sc2axi_M_AXI_RREADY;
  wire [1:0]m08_sc2axi_M_AXI_RRESP;
  wire [1023:0]m08_sc2axi_M_AXI_RUSER;
  wire m08_sc2axi_M_AXI_RVALID;
  wire [31:0]m08_sc2axi_M_AXI_WDATA;
  wire m08_sc2axi_M_AXI_WLAST;
  wire m08_sc2axi_M_AXI_WREADY;
  wire [3:0]m08_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m08_sc2axi_M_AXI_WUSER;
  wire m08_sc2axi_M_AXI_WVALID;
  wire [31:0]m09_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m09_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m09_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m09_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m09_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m09_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m09_exit_pipeline_m_axi_ARQOS;
  wire m09_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m09_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m09_exit_pipeline_m_axi_ARUSER;
  wire m09_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m09_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m09_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m09_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m09_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m09_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m09_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m09_exit_pipeline_m_axi_AWQOS;
  wire m09_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m09_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m09_exit_pipeline_m_axi_AWUSER;
  wire m09_exit_pipeline_m_axi_AWVALID;
  wire m09_exit_pipeline_m_axi_BREADY;
  wire [1:0]m09_exit_pipeline_m_axi_BRESP;
  wire [15:0]m09_exit_pipeline_m_axi_BUSER;
  wire m09_exit_pipeline_m_axi_BVALID;
  wire [31:0]m09_exit_pipeline_m_axi_RDATA;
  wire m09_exit_pipeline_m_axi_RLAST;
  wire m09_exit_pipeline_m_axi_RREADY;
  wire [1:0]m09_exit_pipeline_m_axi_RRESP;
  wire [3:0]m09_exit_pipeline_m_axi_RUSER;
  wire m09_exit_pipeline_m_axi_RVALID;
  wire [31:0]m09_exit_pipeline_m_axi_WDATA;
  wire m09_exit_pipeline_m_axi_WLAST;
  wire m09_exit_pipeline_m_axi_WREADY;
  wire [3:0]m09_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m09_exit_pipeline_m_axi_WUSER;
  wire m09_exit_pipeline_m_axi_WVALID;
  wire [0:0]m09_nodes_M_SC_AR_INFO;
  wire [213:0]m09_nodes_M_SC_AR_PAYLD;
  wire m09_nodes_M_SC_AR_RECV;
  wire [0:0]m09_nodes_M_SC_AR_REQ;
  wire [0:0]m09_nodes_M_SC_AR_SEND;
  wire [0:0]m09_nodes_M_SC_AW_INFO;
  wire [213:0]m09_nodes_M_SC_AW_PAYLD;
  wire m09_nodes_M_SC_AW_RECV;
  wire [0:0]m09_nodes_M_SC_AW_REQ;
  wire [0:0]m09_nodes_M_SC_AW_SEND;
  wire [0:0]m09_nodes_M_SC_B_INFO;
  wire [19:0]m09_nodes_M_SC_B_PAYLD;
  wire [0:0]m09_nodes_M_SC_B_RECV;
  wire [0:0]m09_nodes_M_SC_B_REQ;
  wire [0:0]m09_nodes_M_SC_B_SEND;
  wire [0:0]m09_nodes_M_SC_R_INFO;
  wire [54:0]m09_nodes_M_SC_R_PAYLD;
  wire [0:0]m09_nodes_M_SC_R_RECV;
  wire [0:0]m09_nodes_M_SC_R_REQ;
  wire [0:0]m09_nodes_M_SC_R_SEND;
  wire [0:0]m09_nodes_M_SC_W_INFO;
  wire [68:0]m09_nodes_M_SC_W_PAYLD;
  wire m09_nodes_M_SC_W_RECV;
  wire [0:0]m09_nodes_M_SC_W_REQ;
  wire [0:0]m09_nodes_M_SC_W_SEND;
  wire [31:0]m09_sc2axi_M_AXI_ARADDR;
  wire [3:0]m09_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m09_sc2axi_M_AXI_ARID;
  wire [7:0]m09_sc2axi_M_AXI_ARLEN;
  wire [0:0]m09_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m09_sc2axi_M_AXI_ARPROT;
  wire [3:0]m09_sc2axi_M_AXI_ARQOS;
  wire m09_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m09_sc2axi_M_AXI_ARUSER;
  wire m09_sc2axi_M_AXI_ARVALID;
  wire [31:0]m09_sc2axi_M_AXI_AWADDR;
  wire [3:0]m09_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m09_sc2axi_M_AXI_AWID;
  wire [7:0]m09_sc2axi_M_AXI_AWLEN;
  wire [0:0]m09_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m09_sc2axi_M_AXI_AWPROT;
  wire [3:0]m09_sc2axi_M_AXI_AWQOS;
  wire m09_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m09_sc2axi_M_AXI_AWUSER;
  wire m09_sc2axi_M_AXI_AWVALID;
  wire [0:0]m09_sc2axi_M_AXI_BID;
  wire m09_sc2axi_M_AXI_BREADY;
  wire [1:0]m09_sc2axi_M_AXI_BRESP;
  wire [1023:0]m09_sc2axi_M_AXI_BUSER;
  wire m09_sc2axi_M_AXI_BVALID;
  wire [31:0]m09_sc2axi_M_AXI_RDATA;
  wire [0:0]m09_sc2axi_M_AXI_RID;
  wire m09_sc2axi_M_AXI_RLAST;
  wire m09_sc2axi_M_AXI_RREADY;
  wire [1:0]m09_sc2axi_M_AXI_RRESP;
  wire [1023:0]m09_sc2axi_M_AXI_RUSER;
  wire m09_sc2axi_M_AXI_RVALID;
  wire [31:0]m09_sc2axi_M_AXI_WDATA;
  wire m09_sc2axi_M_AXI_WLAST;
  wire m09_sc2axi_M_AXI_WREADY;
  wire [3:0]m09_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m09_sc2axi_M_AXI_WUSER;
  wire m09_sc2axi_M_AXI_WVALID;
  wire [31:0]m10_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m10_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m10_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m10_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m10_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m10_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m10_exit_pipeline_m_axi_ARQOS;
  wire m10_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m10_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m10_exit_pipeline_m_axi_ARUSER;
  wire m10_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m10_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m10_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m10_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m10_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m10_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m10_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m10_exit_pipeline_m_axi_AWQOS;
  wire m10_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m10_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m10_exit_pipeline_m_axi_AWUSER;
  wire m10_exit_pipeline_m_axi_AWVALID;
  wire m10_exit_pipeline_m_axi_BREADY;
  wire [1:0]m10_exit_pipeline_m_axi_BRESP;
  wire [15:0]m10_exit_pipeline_m_axi_BUSER;
  wire m10_exit_pipeline_m_axi_BVALID;
  wire [31:0]m10_exit_pipeline_m_axi_RDATA;
  wire m10_exit_pipeline_m_axi_RLAST;
  wire m10_exit_pipeline_m_axi_RREADY;
  wire [1:0]m10_exit_pipeline_m_axi_RRESP;
  wire [3:0]m10_exit_pipeline_m_axi_RUSER;
  wire m10_exit_pipeline_m_axi_RVALID;
  wire [31:0]m10_exit_pipeline_m_axi_WDATA;
  wire m10_exit_pipeline_m_axi_WLAST;
  wire m10_exit_pipeline_m_axi_WREADY;
  wire [3:0]m10_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m10_exit_pipeline_m_axi_WUSER;
  wire m10_exit_pipeline_m_axi_WVALID;
  wire [0:0]m10_nodes_M_SC_AR_INFO;
  wire [213:0]m10_nodes_M_SC_AR_PAYLD;
  wire m10_nodes_M_SC_AR_RECV;
  wire [0:0]m10_nodes_M_SC_AR_REQ;
  wire [0:0]m10_nodes_M_SC_AR_SEND;
  wire [0:0]m10_nodes_M_SC_AW_INFO;
  wire [213:0]m10_nodes_M_SC_AW_PAYLD;
  wire m10_nodes_M_SC_AW_RECV;
  wire [0:0]m10_nodes_M_SC_AW_REQ;
  wire [0:0]m10_nodes_M_SC_AW_SEND;
  wire [0:0]m10_nodes_M_SC_B_INFO;
  wire [19:0]m10_nodes_M_SC_B_PAYLD;
  wire [0:0]m10_nodes_M_SC_B_RECV;
  wire [0:0]m10_nodes_M_SC_B_REQ;
  wire [0:0]m10_nodes_M_SC_B_SEND;
  wire [0:0]m10_nodes_M_SC_R_INFO;
  wire [54:0]m10_nodes_M_SC_R_PAYLD;
  wire [0:0]m10_nodes_M_SC_R_RECV;
  wire [0:0]m10_nodes_M_SC_R_REQ;
  wire [0:0]m10_nodes_M_SC_R_SEND;
  wire [0:0]m10_nodes_M_SC_W_INFO;
  wire [68:0]m10_nodes_M_SC_W_PAYLD;
  wire m10_nodes_M_SC_W_RECV;
  wire [0:0]m10_nodes_M_SC_W_REQ;
  wire [0:0]m10_nodes_M_SC_W_SEND;
  wire [31:0]m10_sc2axi_M_AXI_ARADDR;
  wire [3:0]m10_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m10_sc2axi_M_AXI_ARID;
  wire [7:0]m10_sc2axi_M_AXI_ARLEN;
  wire [0:0]m10_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m10_sc2axi_M_AXI_ARPROT;
  wire [3:0]m10_sc2axi_M_AXI_ARQOS;
  wire m10_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m10_sc2axi_M_AXI_ARUSER;
  wire m10_sc2axi_M_AXI_ARVALID;
  wire [31:0]m10_sc2axi_M_AXI_AWADDR;
  wire [3:0]m10_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m10_sc2axi_M_AXI_AWID;
  wire [7:0]m10_sc2axi_M_AXI_AWLEN;
  wire [0:0]m10_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m10_sc2axi_M_AXI_AWPROT;
  wire [3:0]m10_sc2axi_M_AXI_AWQOS;
  wire m10_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m10_sc2axi_M_AXI_AWUSER;
  wire m10_sc2axi_M_AXI_AWVALID;
  wire [0:0]m10_sc2axi_M_AXI_BID;
  wire m10_sc2axi_M_AXI_BREADY;
  wire [1:0]m10_sc2axi_M_AXI_BRESP;
  wire [1023:0]m10_sc2axi_M_AXI_BUSER;
  wire m10_sc2axi_M_AXI_BVALID;
  wire [31:0]m10_sc2axi_M_AXI_RDATA;
  wire [0:0]m10_sc2axi_M_AXI_RID;
  wire m10_sc2axi_M_AXI_RLAST;
  wire m10_sc2axi_M_AXI_RREADY;
  wire [1:0]m10_sc2axi_M_AXI_RRESP;
  wire [1023:0]m10_sc2axi_M_AXI_RUSER;
  wire m10_sc2axi_M_AXI_RVALID;
  wire [31:0]m10_sc2axi_M_AXI_WDATA;
  wire m10_sc2axi_M_AXI_WLAST;
  wire m10_sc2axi_M_AXI_WREADY;
  wire [3:0]m10_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m10_sc2axi_M_AXI_WUSER;
  wire m10_sc2axi_M_AXI_WVALID;
  wire [31:0]m11_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m11_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m11_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m11_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m11_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m11_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m11_exit_pipeline_m_axi_ARQOS;
  wire m11_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m11_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m11_exit_pipeline_m_axi_ARUSER;
  wire m11_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m11_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m11_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m11_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m11_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m11_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m11_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m11_exit_pipeline_m_axi_AWQOS;
  wire m11_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m11_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m11_exit_pipeline_m_axi_AWUSER;
  wire m11_exit_pipeline_m_axi_AWVALID;
  wire m11_exit_pipeline_m_axi_BREADY;
  wire [1:0]m11_exit_pipeline_m_axi_BRESP;
  wire [15:0]m11_exit_pipeline_m_axi_BUSER;
  wire m11_exit_pipeline_m_axi_BVALID;
  wire [31:0]m11_exit_pipeline_m_axi_RDATA;
  wire m11_exit_pipeline_m_axi_RLAST;
  wire m11_exit_pipeline_m_axi_RREADY;
  wire [1:0]m11_exit_pipeline_m_axi_RRESP;
  wire [3:0]m11_exit_pipeline_m_axi_RUSER;
  wire m11_exit_pipeline_m_axi_RVALID;
  wire [31:0]m11_exit_pipeline_m_axi_WDATA;
  wire m11_exit_pipeline_m_axi_WLAST;
  wire m11_exit_pipeline_m_axi_WREADY;
  wire [3:0]m11_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m11_exit_pipeline_m_axi_WUSER;
  wire m11_exit_pipeline_m_axi_WVALID;
  wire [0:0]m11_nodes_M_SC_AR_INFO;
  wire [213:0]m11_nodes_M_SC_AR_PAYLD;
  wire m11_nodes_M_SC_AR_RECV;
  wire [0:0]m11_nodes_M_SC_AR_REQ;
  wire [0:0]m11_nodes_M_SC_AR_SEND;
  wire [0:0]m11_nodes_M_SC_AW_INFO;
  wire [213:0]m11_nodes_M_SC_AW_PAYLD;
  wire m11_nodes_M_SC_AW_RECV;
  wire [0:0]m11_nodes_M_SC_AW_REQ;
  wire [0:0]m11_nodes_M_SC_AW_SEND;
  wire [0:0]m11_nodes_M_SC_B_INFO;
  wire [19:0]m11_nodes_M_SC_B_PAYLD;
  wire [0:0]m11_nodes_M_SC_B_RECV;
  wire [0:0]m11_nodes_M_SC_B_REQ;
  wire [0:0]m11_nodes_M_SC_B_SEND;
  wire [0:0]m11_nodes_M_SC_R_INFO;
  wire [54:0]m11_nodes_M_SC_R_PAYLD;
  wire [0:0]m11_nodes_M_SC_R_RECV;
  wire [0:0]m11_nodes_M_SC_R_REQ;
  wire [0:0]m11_nodes_M_SC_R_SEND;
  wire [0:0]m11_nodes_M_SC_W_INFO;
  wire [68:0]m11_nodes_M_SC_W_PAYLD;
  wire m11_nodes_M_SC_W_RECV;
  wire [0:0]m11_nodes_M_SC_W_REQ;
  wire [0:0]m11_nodes_M_SC_W_SEND;
  wire [31:0]m11_sc2axi_M_AXI_ARADDR;
  wire [3:0]m11_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m11_sc2axi_M_AXI_ARID;
  wire [7:0]m11_sc2axi_M_AXI_ARLEN;
  wire [0:0]m11_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m11_sc2axi_M_AXI_ARPROT;
  wire [3:0]m11_sc2axi_M_AXI_ARQOS;
  wire m11_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m11_sc2axi_M_AXI_ARUSER;
  wire m11_sc2axi_M_AXI_ARVALID;
  wire [31:0]m11_sc2axi_M_AXI_AWADDR;
  wire [3:0]m11_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m11_sc2axi_M_AXI_AWID;
  wire [7:0]m11_sc2axi_M_AXI_AWLEN;
  wire [0:0]m11_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m11_sc2axi_M_AXI_AWPROT;
  wire [3:0]m11_sc2axi_M_AXI_AWQOS;
  wire m11_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m11_sc2axi_M_AXI_AWUSER;
  wire m11_sc2axi_M_AXI_AWVALID;
  wire [0:0]m11_sc2axi_M_AXI_BID;
  wire m11_sc2axi_M_AXI_BREADY;
  wire [1:0]m11_sc2axi_M_AXI_BRESP;
  wire [1023:0]m11_sc2axi_M_AXI_BUSER;
  wire m11_sc2axi_M_AXI_BVALID;
  wire [31:0]m11_sc2axi_M_AXI_RDATA;
  wire [0:0]m11_sc2axi_M_AXI_RID;
  wire m11_sc2axi_M_AXI_RLAST;
  wire m11_sc2axi_M_AXI_RREADY;
  wire [1:0]m11_sc2axi_M_AXI_RRESP;
  wire [1023:0]m11_sc2axi_M_AXI_RUSER;
  wire m11_sc2axi_M_AXI_RVALID;
  wire [31:0]m11_sc2axi_M_AXI_WDATA;
  wire m11_sc2axi_M_AXI_WLAST;
  wire m11_sc2axi_M_AXI_WREADY;
  wire [3:0]m11_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m11_sc2axi_M_AXI_WUSER;
  wire m11_sc2axi_M_AXI_WVALID;
  wire [31:0]m12_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m12_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m12_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m12_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m12_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m12_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m12_exit_pipeline_m_axi_ARQOS;
  wire m12_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m12_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m12_exit_pipeline_m_axi_ARUSER;
  wire m12_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m12_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m12_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m12_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m12_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m12_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m12_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m12_exit_pipeline_m_axi_AWQOS;
  wire m12_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m12_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m12_exit_pipeline_m_axi_AWUSER;
  wire m12_exit_pipeline_m_axi_AWVALID;
  wire m12_exit_pipeline_m_axi_BREADY;
  wire [1:0]m12_exit_pipeline_m_axi_BRESP;
  wire [15:0]m12_exit_pipeline_m_axi_BUSER;
  wire m12_exit_pipeline_m_axi_BVALID;
  wire [31:0]m12_exit_pipeline_m_axi_RDATA;
  wire m12_exit_pipeline_m_axi_RLAST;
  wire m12_exit_pipeline_m_axi_RREADY;
  wire [1:0]m12_exit_pipeline_m_axi_RRESP;
  wire [3:0]m12_exit_pipeline_m_axi_RUSER;
  wire m12_exit_pipeline_m_axi_RVALID;
  wire [31:0]m12_exit_pipeline_m_axi_WDATA;
  wire m12_exit_pipeline_m_axi_WLAST;
  wire m12_exit_pipeline_m_axi_WREADY;
  wire [3:0]m12_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m12_exit_pipeline_m_axi_WUSER;
  wire m12_exit_pipeline_m_axi_WVALID;
  wire [0:0]m12_nodes_M_SC_AR_INFO;
  wire [213:0]m12_nodes_M_SC_AR_PAYLD;
  wire m12_nodes_M_SC_AR_RECV;
  wire [0:0]m12_nodes_M_SC_AR_REQ;
  wire [0:0]m12_nodes_M_SC_AR_SEND;
  wire [0:0]m12_nodes_M_SC_AW_INFO;
  wire [213:0]m12_nodes_M_SC_AW_PAYLD;
  wire m12_nodes_M_SC_AW_RECV;
  wire [0:0]m12_nodes_M_SC_AW_REQ;
  wire [0:0]m12_nodes_M_SC_AW_SEND;
  wire [0:0]m12_nodes_M_SC_B_INFO;
  wire [19:0]m12_nodes_M_SC_B_PAYLD;
  wire [0:0]m12_nodes_M_SC_B_RECV;
  wire [0:0]m12_nodes_M_SC_B_REQ;
  wire [0:0]m12_nodes_M_SC_B_SEND;
  wire [0:0]m12_nodes_M_SC_R_INFO;
  wire [54:0]m12_nodes_M_SC_R_PAYLD;
  wire [0:0]m12_nodes_M_SC_R_RECV;
  wire [0:0]m12_nodes_M_SC_R_REQ;
  wire [0:0]m12_nodes_M_SC_R_SEND;
  wire [0:0]m12_nodes_M_SC_W_INFO;
  wire [68:0]m12_nodes_M_SC_W_PAYLD;
  wire m12_nodes_M_SC_W_RECV;
  wire [0:0]m12_nodes_M_SC_W_REQ;
  wire [0:0]m12_nodes_M_SC_W_SEND;
  wire [31:0]m12_sc2axi_M_AXI_ARADDR;
  wire [3:0]m12_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m12_sc2axi_M_AXI_ARID;
  wire [7:0]m12_sc2axi_M_AXI_ARLEN;
  wire [0:0]m12_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m12_sc2axi_M_AXI_ARPROT;
  wire [3:0]m12_sc2axi_M_AXI_ARQOS;
  wire m12_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m12_sc2axi_M_AXI_ARUSER;
  wire m12_sc2axi_M_AXI_ARVALID;
  wire [31:0]m12_sc2axi_M_AXI_AWADDR;
  wire [3:0]m12_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m12_sc2axi_M_AXI_AWID;
  wire [7:0]m12_sc2axi_M_AXI_AWLEN;
  wire [0:0]m12_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m12_sc2axi_M_AXI_AWPROT;
  wire [3:0]m12_sc2axi_M_AXI_AWQOS;
  wire m12_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m12_sc2axi_M_AXI_AWUSER;
  wire m12_sc2axi_M_AXI_AWVALID;
  wire [0:0]m12_sc2axi_M_AXI_BID;
  wire m12_sc2axi_M_AXI_BREADY;
  wire [1:0]m12_sc2axi_M_AXI_BRESP;
  wire [1023:0]m12_sc2axi_M_AXI_BUSER;
  wire m12_sc2axi_M_AXI_BVALID;
  wire [31:0]m12_sc2axi_M_AXI_RDATA;
  wire [0:0]m12_sc2axi_M_AXI_RID;
  wire m12_sc2axi_M_AXI_RLAST;
  wire m12_sc2axi_M_AXI_RREADY;
  wire [1:0]m12_sc2axi_M_AXI_RRESP;
  wire [1023:0]m12_sc2axi_M_AXI_RUSER;
  wire m12_sc2axi_M_AXI_RVALID;
  wire [31:0]m12_sc2axi_M_AXI_WDATA;
  wire m12_sc2axi_M_AXI_WLAST;
  wire m12_sc2axi_M_AXI_WREADY;
  wire [3:0]m12_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m12_sc2axi_M_AXI_WUSER;
  wire m12_sc2axi_M_AXI_WVALID;
  wire [31:0]m13_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m13_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m13_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m13_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m13_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m13_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m13_exit_pipeline_m_axi_ARQOS;
  wire m13_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m13_exit_pipeline_m_axi_ARSIZE;
  wire [31:0]m13_exit_pipeline_m_axi_ARUSER;
  wire m13_exit_pipeline_m_axi_ARVALID;
  wire [31:0]m13_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m13_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m13_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m13_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m13_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m13_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m13_exit_pipeline_m_axi_AWQOS;
  wire m13_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m13_exit_pipeline_m_axi_AWSIZE;
  wire [31:0]m13_exit_pipeline_m_axi_AWUSER;
  wire m13_exit_pipeline_m_axi_AWVALID;
  wire m13_exit_pipeline_m_axi_BREADY;
  wire [1:0]m13_exit_pipeline_m_axi_BRESP;
  wire [15:0]m13_exit_pipeline_m_axi_BUSER;
  wire m13_exit_pipeline_m_axi_BVALID;
  wire [31:0]m13_exit_pipeline_m_axi_RDATA;
  wire m13_exit_pipeline_m_axi_RLAST;
  wire m13_exit_pipeline_m_axi_RREADY;
  wire [1:0]m13_exit_pipeline_m_axi_RRESP;
  wire [3:0]m13_exit_pipeline_m_axi_RUSER;
  wire m13_exit_pipeline_m_axi_RVALID;
  wire [31:0]m13_exit_pipeline_m_axi_WDATA;
  wire m13_exit_pipeline_m_axi_WLAST;
  wire m13_exit_pipeline_m_axi_WREADY;
  wire [3:0]m13_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m13_exit_pipeline_m_axi_WUSER;
  wire m13_exit_pipeline_m_axi_WVALID;
  wire [0:0]m13_nodes_M_SC_AR_INFO;
  wire [213:0]m13_nodes_M_SC_AR_PAYLD;
  wire m13_nodes_M_SC_AR_RECV;
  wire [0:0]m13_nodes_M_SC_AR_REQ;
  wire [0:0]m13_nodes_M_SC_AR_SEND;
  wire [0:0]m13_nodes_M_SC_AW_INFO;
  wire [213:0]m13_nodes_M_SC_AW_PAYLD;
  wire m13_nodes_M_SC_AW_RECV;
  wire [0:0]m13_nodes_M_SC_AW_REQ;
  wire [0:0]m13_nodes_M_SC_AW_SEND;
  wire [0:0]m13_nodes_M_SC_B_INFO;
  wire [19:0]m13_nodes_M_SC_B_PAYLD;
  wire [0:0]m13_nodes_M_SC_B_RECV;
  wire [0:0]m13_nodes_M_SC_B_REQ;
  wire [0:0]m13_nodes_M_SC_B_SEND;
  wire [0:0]m13_nodes_M_SC_R_INFO;
  wire [54:0]m13_nodes_M_SC_R_PAYLD;
  wire [0:0]m13_nodes_M_SC_R_RECV;
  wire [0:0]m13_nodes_M_SC_R_REQ;
  wire [0:0]m13_nodes_M_SC_R_SEND;
  wire [0:0]m13_nodes_M_SC_W_INFO;
  wire [68:0]m13_nodes_M_SC_W_PAYLD;
  wire m13_nodes_M_SC_W_RECV;
  wire [0:0]m13_nodes_M_SC_W_REQ;
  wire [0:0]m13_nodes_M_SC_W_SEND;
  wire [31:0]m13_sc2axi_M_AXI_ARADDR;
  wire [3:0]m13_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m13_sc2axi_M_AXI_ARID;
  wire [7:0]m13_sc2axi_M_AXI_ARLEN;
  wire [0:0]m13_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m13_sc2axi_M_AXI_ARPROT;
  wire [3:0]m13_sc2axi_M_AXI_ARQOS;
  wire m13_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m13_sc2axi_M_AXI_ARUSER;
  wire m13_sc2axi_M_AXI_ARVALID;
  wire [31:0]m13_sc2axi_M_AXI_AWADDR;
  wire [3:0]m13_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m13_sc2axi_M_AXI_AWID;
  wire [7:0]m13_sc2axi_M_AXI_AWLEN;
  wire [0:0]m13_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m13_sc2axi_M_AXI_AWPROT;
  wire [3:0]m13_sc2axi_M_AXI_AWQOS;
  wire m13_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m13_sc2axi_M_AXI_AWUSER;
  wire m13_sc2axi_M_AXI_AWVALID;
  wire [0:0]m13_sc2axi_M_AXI_BID;
  wire m13_sc2axi_M_AXI_BREADY;
  wire [1:0]m13_sc2axi_M_AXI_BRESP;
  wire [1023:0]m13_sc2axi_M_AXI_BUSER;
  wire m13_sc2axi_M_AXI_BVALID;
  wire [31:0]m13_sc2axi_M_AXI_RDATA;
  wire [0:0]m13_sc2axi_M_AXI_RID;
  wire m13_sc2axi_M_AXI_RLAST;
  wire m13_sc2axi_M_AXI_RREADY;
  wire [1:0]m13_sc2axi_M_AXI_RRESP;
  wire [1023:0]m13_sc2axi_M_AXI_RUSER;
  wire m13_sc2axi_M_AXI_RVALID;
  wire [31:0]m13_sc2axi_M_AXI_WDATA;
  wire m13_sc2axi_M_AXI_WLAST;
  wire m13_sc2axi_M_AXI_WREADY;
  wire [3:0]m13_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m13_sc2axi_M_AXI_WUSER;
  wire m13_sc2axi_M_AXI_WVALID;
  wire [0:0]m_axi_aresetn_1;
  wire [0:0]m_axi_aresetn_10;
  wire [0:0]m_axi_aresetn_11;
  wire [0:0]m_axi_aresetn_12;
  wire [0:0]m_axi_aresetn_13;
  wire [0:0]m_axi_aresetn_14;
  wire [0:0]m_axi_aresetn_2;
  wire [0:0]m_axi_aresetn_3;
  wire [0:0]m_axi_aresetn_4;
  wire [0:0]m_axi_aresetn_5;
  wire [0:0]m_axi_aresetn_6;
  wire [0:0]m_axi_aresetn_7;
  wire [0:0]m_axi_aresetn_8;
  wire [0:0]m_axi_aresetn_9;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [31:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [31:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [3:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [13:0]s00_nodes_M_SC_AR_INFO;
  wire [213:0]s00_nodes_M_SC_AR_PAYLD;
  wire [13:0]s00_nodes_M_SC_AR_RECV;
  wire [13:0]s00_nodes_M_SC_AR_REQ;
  wire [13:0]s00_nodes_M_SC_AR_SEND;
  wire [13:0]s00_nodes_M_SC_AW_INFO;
  wire [213:0]s00_nodes_M_SC_AW_PAYLD;
  wire [13:0]s00_nodes_M_SC_AW_RECV;
  wire [13:0]s00_nodes_M_SC_AW_REQ;
  wire [13:0]s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [54:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [13:0]s00_nodes_M_SC_W_INFO;
  wire [68:0]s00_nodes_M_SC_W_PAYLD;
  wire [13:0]s00_nodes_M_SC_W_RECV;
  wire [13:0]s00_nodes_M_SC_W_REQ;
  wire [13:0]s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[31:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[31:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[31:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[31:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[31:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[3:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[3:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign M01_AXI_araddr[63:0] = m01_exit_pipeline_m_axi_ARADDR;
  assign M01_AXI_arburst[1:0] = m01_exit_pipeline_m_axi_ARBURST;
  assign M01_AXI_arcache[3:0] = m01_exit_pipeline_m_axi_ARCACHE;
  assign M01_AXI_arlen[7:0] = m01_exit_pipeline_m_axi_ARLEN;
  assign M01_AXI_arlock[0] = m01_exit_pipeline_m_axi_ARLOCK;
  assign M01_AXI_arprot[2:0] = m01_exit_pipeline_m_axi_ARPROT;
  assign M01_AXI_arqos[3:0] = m01_exit_pipeline_m_axi_ARQOS;
  assign M01_AXI_arsize[2:0] = m01_exit_pipeline_m_axi_ARSIZE;
  assign M01_AXI_aruser[31:0] = m01_exit_pipeline_m_axi_ARUSER;
  assign M01_AXI_arvalid = m01_exit_pipeline_m_axi_ARVALID;
  assign M01_AXI_awaddr[63:0] = m01_exit_pipeline_m_axi_AWADDR;
  assign M01_AXI_awburst[1:0] = m01_exit_pipeline_m_axi_AWBURST;
  assign M01_AXI_awcache[3:0] = m01_exit_pipeline_m_axi_AWCACHE;
  assign M01_AXI_awlen[7:0] = m01_exit_pipeline_m_axi_AWLEN;
  assign M01_AXI_awlock[0] = m01_exit_pipeline_m_axi_AWLOCK;
  assign M01_AXI_awprot[2:0] = m01_exit_pipeline_m_axi_AWPROT;
  assign M01_AXI_awqos[3:0] = m01_exit_pipeline_m_axi_AWQOS;
  assign M01_AXI_awsize[2:0] = m01_exit_pipeline_m_axi_AWSIZE;
  assign M01_AXI_awuser[31:0] = m01_exit_pipeline_m_axi_AWUSER;
  assign M01_AXI_awvalid = m01_exit_pipeline_m_axi_AWVALID;
  assign M01_AXI_bready = m01_exit_pipeline_m_axi_BREADY;
  assign M01_AXI_rready = m01_exit_pipeline_m_axi_RREADY;
  assign M01_AXI_wdata[31:0] = m01_exit_pipeline_m_axi_WDATA;
  assign M01_AXI_wlast = m01_exit_pipeline_m_axi_WLAST;
  assign M01_AXI_wstrb[3:0] = m01_exit_pipeline_m_axi_WSTRB;
  assign M01_AXI_wuser[3:0] = m01_exit_pipeline_m_axi_WUSER;
  assign M01_AXI_wvalid = m01_exit_pipeline_m_axi_WVALID;
  assign M02_AXI_araddr[31:0] = m02_exit_pipeline_m_axi_ARADDR;
  assign M02_AXI_arburst[1:0] = m02_exit_pipeline_m_axi_ARBURST;
  assign M02_AXI_arcache[3:0] = m02_exit_pipeline_m_axi_ARCACHE;
  assign M02_AXI_arlen[7:0] = m02_exit_pipeline_m_axi_ARLEN;
  assign M02_AXI_arlock[0] = m02_exit_pipeline_m_axi_ARLOCK;
  assign M02_AXI_arprot[2:0] = m02_exit_pipeline_m_axi_ARPROT;
  assign M02_AXI_arqos[3:0] = m02_exit_pipeline_m_axi_ARQOS;
  assign M02_AXI_arsize[2:0] = m02_exit_pipeline_m_axi_ARSIZE;
  assign M02_AXI_aruser[31:0] = m02_exit_pipeline_m_axi_ARUSER;
  assign M02_AXI_arvalid = m02_exit_pipeline_m_axi_ARVALID;
  assign M02_AXI_awaddr[31:0] = m02_exit_pipeline_m_axi_AWADDR;
  assign M02_AXI_awburst[1:0] = m02_exit_pipeline_m_axi_AWBURST;
  assign M02_AXI_awcache[3:0] = m02_exit_pipeline_m_axi_AWCACHE;
  assign M02_AXI_awlen[7:0] = m02_exit_pipeline_m_axi_AWLEN;
  assign M02_AXI_awlock[0] = m02_exit_pipeline_m_axi_AWLOCK;
  assign M02_AXI_awprot[2:0] = m02_exit_pipeline_m_axi_AWPROT;
  assign M02_AXI_awqos[3:0] = m02_exit_pipeline_m_axi_AWQOS;
  assign M02_AXI_awsize[2:0] = m02_exit_pipeline_m_axi_AWSIZE;
  assign M02_AXI_awuser[31:0] = m02_exit_pipeline_m_axi_AWUSER;
  assign M02_AXI_awvalid = m02_exit_pipeline_m_axi_AWVALID;
  assign M02_AXI_bready = m02_exit_pipeline_m_axi_BREADY;
  assign M02_AXI_rready = m02_exit_pipeline_m_axi_RREADY;
  assign M02_AXI_wdata[31:0] = m02_exit_pipeline_m_axi_WDATA;
  assign M02_AXI_wlast = m02_exit_pipeline_m_axi_WLAST;
  assign M02_AXI_wstrb[3:0] = m02_exit_pipeline_m_axi_WSTRB;
  assign M02_AXI_wuser[3:0] = m02_exit_pipeline_m_axi_WUSER;
  assign M02_AXI_wvalid = m02_exit_pipeline_m_axi_WVALID;
  assign M03_AXI_araddr[31:0] = m03_exit_pipeline_m_axi_ARADDR;
  assign M03_AXI_arburst[1:0] = m03_exit_pipeline_m_axi_ARBURST;
  assign M03_AXI_arcache[3:0] = m03_exit_pipeline_m_axi_ARCACHE;
  assign M03_AXI_arlen[7:0] = m03_exit_pipeline_m_axi_ARLEN;
  assign M03_AXI_arlock[0] = m03_exit_pipeline_m_axi_ARLOCK;
  assign M03_AXI_arprot[2:0] = m03_exit_pipeline_m_axi_ARPROT;
  assign M03_AXI_arqos[3:0] = m03_exit_pipeline_m_axi_ARQOS;
  assign M03_AXI_arsize[2:0] = m03_exit_pipeline_m_axi_ARSIZE;
  assign M03_AXI_aruser[31:0] = m03_exit_pipeline_m_axi_ARUSER;
  assign M03_AXI_arvalid = m03_exit_pipeline_m_axi_ARVALID;
  assign M03_AXI_awaddr[31:0] = m03_exit_pipeline_m_axi_AWADDR;
  assign M03_AXI_awburst[1:0] = m03_exit_pipeline_m_axi_AWBURST;
  assign M03_AXI_awcache[3:0] = m03_exit_pipeline_m_axi_AWCACHE;
  assign M03_AXI_awlen[7:0] = m03_exit_pipeline_m_axi_AWLEN;
  assign M03_AXI_awlock[0] = m03_exit_pipeline_m_axi_AWLOCK;
  assign M03_AXI_awprot[2:0] = m03_exit_pipeline_m_axi_AWPROT;
  assign M03_AXI_awqos[3:0] = m03_exit_pipeline_m_axi_AWQOS;
  assign M03_AXI_awsize[2:0] = m03_exit_pipeline_m_axi_AWSIZE;
  assign M03_AXI_awuser[31:0] = m03_exit_pipeline_m_axi_AWUSER;
  assign M03_AXI_awvalid = m03_exit_pipeline_m_axi_AWVALID;
  assign M03_AXI_bready = m03_exit_pipeline_m_axi_BREADY;
  assign M03_AXI_rready = m03_exit_pipeline_m_axi_RREADY;
  assign M03_AXI_wdata[31:0] = m03_exit_pipeline_m_axi_WDATA;
  assign M03_AXI_wlast = m03_exit_pipeline_m_axi_WLAST;
  assign M03_AXI_wstrb[3:0] = m03_exit_pipeline_m_axi_WSTRB;
  assign M03_AXI_wuser[3:0] = m03_exit_pipeline_m_axi_WUSER;
  assign M03_AXI_wvalid = m03_exit_pipeline_m_axi_WVALID;
  assign M04_AXI_araddr[31:0] = m04_exit_pipeline_m_axi_ARADDR;
  assign M04_AXI_arburst[1:0] = m04_exit_pipeline_m_axi_ARBURST;
  assign M04_AXI_arcache[3:0] = m04_exit_pipeline_m_axi_ARCACHE;
  assign M04_AXI_arlen[7:0] = m04_exit_pipeline_m_axi_ARLEN;
  assign M04_AXI_arlock[0] = m04_exit_pipeline_m_axi_ARLOCK;
  assign M04_AXI_arprot[2:0] = m04_exit_pipeline_m_axi_ARPROT;
  assign M04_AXI_arqos[3:0] = m04_exit_pipeline_m_axi_ARQOS;
  assign M04_AXI_arsize[2:0] = m04_exit_pipeline_m_axi_ARSIZE;
  assign M04_AXI_aruser[31:0] = m04_exit_pipeline_m_axi_ARUSER;
  assign M04_AXI_arvalid = m04_exit_pipeline_m_axi_ARVALID;
  assign M04_AXI_awaddr[31:0] = m04_exit_pipeline_m_axi_AWADDR;
  assign M04_AXI_awburst[1:0] = m04_exit_pipeline_m_axi_AWBURST;
  assign M04_AXI_awcache[3:0] = m04_exit_pipeline_m_axi_AWCACHE;
  assign M04_AXI_awlen[7:0] = m04_exit_pipeline_m_axi_AWLEN;
  assign M04_AXI_awlock[0] = m04_exit_pipeline_m_axi_AWLOCK;
  assign M04_AXI_awprot[2:0] = m04_exit_pipeline_m_axi_AWPROT;
  assign M04_AXI_awqos[3:0] = m04_exit_pipeline_m_axi_AWQOS;
  assign M04_AXI_awsize[2:0] = m04_exit_pipeline_m_axi_AWSIZE;
  assign M04_AXI_awuser[31:0] = m04_exit_pipeline_m_axi_AWUSER;
  assign M04_AXI_awvalid = m04_exit_pipeline_m_axi_AWVALID;
  assign M04_AXI_bready = m04_exit_pipeline_m_axi_BREADY;
  assign M04_AXI_rready = m04_exit_pipeline_m_axi_RREADY;
  assign M04_AXI_wdata[31:0] = m04_exit_pipeline_m_axi_WDATA;
  assign M04_AXI_wlast = m04_exit_pipeline_m_axi_WLAST;
  assign M04_AXI_wstrb[3:0] = m04_exit_pipeline_m_axi_WSTRB;
  assign M04_AXI_wuser[3:0] = m04_exit_pipeline_m_axi_WUSER;
  assign M04_AXI_wvalid = m04_exit_pipeline_m_axi_WVALID;
  assign M05_AXI_araddr[31:0] = m05_exit_pipeline_m_axi_ARADDR;
  assign M05_AXI_arburst[1:0] = m05_exit_pipeline_m_axi_ARBURST;
  assign M05_AXI_arcache[3:0] = m05_exit_pipeline_m_axi_ARCACHE;
  assign M05_AXI_arlen[7:0] = m05_exit_pipeline_m_axi_ARLEN;
  assign M05_AXI_arlock[0] = m05_exit_pipeline_m_axi_ARLOCK;
  assign M05_AXI_arprot[2:0] = m05_exit_pipeline_m_axi_ARPROT;
  assign M05_AXI_arqos[3:0] = m05_exit_pipeline_m_axi_ARQOS;
  assign M05_AXI_arsize[2:0] = m05_exit_pipeline_m_axi_ARSIZE;
  assign M05_AXI_aruser[31:0] = m05_exit_pipeline_m_axi_ARUSER;
  assign M05_AXI_arvalid = m05_exit_pipeline_m_axi_ARVALID;
  assign M05_AXI_awaddr[31:0] = m05_exit_pipeline_m_axi_AWADDR;
  assign M05_AXI_awburst[1:0] = m05_exit_pipeline_m_axi_AWBURST;
  assign M05_AXI_awcache[3:0] = m05_exit_pipeline_m_axi_AWCACHE;
  assign M05_AXI_awlen[7:0] = m05_exit_pipeline_m_axi_AWLEN;
  assign M05_AXI_awlock[0] = m05_exit_pipeline_m_axi_AWLOCK;
  assign M05_AXI_awprot[2:0] = m05_exit_pipeline_m_axi_AWPROT;
  assign M05_AXI_awqos[3:0] = m05_exit_pipeline_m_axi_AWQOS;
  assign M05_AXI_awsize[2:0] = m05_exit_pipeline_m_axi_AWSIZE;
  assign M05_AXI_awuser[31:0] = m05_exit_pipeline_m_axi_AWUSER;
  assign M05_AXI_awvalid = m05_exit_pipeline_m_axi_AWVALID;
  assign M05_AXI_bready = m05_exit_pipeline_m_axi_BREADY;
  assign M05_AXI_rready = m05_exit_pipeline_m_axi_RREADY;
  assign M05_AXI_wdata[31:0] = m05_exit_pipeline_m_axi_WDATA;
  assign M05_AXI_wlast = m05_exit_pipeline_m_axi_WLAST;
  assign M05_AXI_wstrb[3:0] = m05_exit_pipeline_m_axi_WSTRB;
  assign M05_AXI_wuser[3:0] = m05_exit_pipeline_m_axi_WUSER;
  assign M05_AXI_wvalid = m05_exit_pipeline_m_axi_WVALID;
  assign M06_AXI_araddr[31:0] = m06_exit_pipeline_m_axi_ARADDR;
  assign M06_AXI_arburst[1:0] = m06_exit_pipeline_m_axi_ARBURST;
  assign M06_AXI_arcache[3:0] = m06_exit_pipeline_m_axi_ARCACHE;
  assign M06_AXI_arlen[7:0] = m06_exit_pipeline_m_axi_ARLEN;
  assign M06_AXI_arlock[0] = m06_exit_pipeline_m_axi_ARLOCK;
  assign M06_AXI_arprot[2:0] = m06_exit_pipeline_m_axi_ARPROT;
  assign M06_AXI_arqos[3:0] = m06_exit_pipeline_m_axi_ARQOS;
  assign M06_AXI_arsize[2:0] = m06_exit_pipeline_m_axi_ARSIZE;
  assign M06_AXI_aruser[31:0] = m06_exit_pipeline_m_axi_ARUSER;
  assign M06_AXI_arvalid = m06_exit_pipeline_m_axi_ARVALID;
  assign M06_AXI_awaddr[31:0] = m06_exit_pipeline_m_axi_AWADDR;
  assign M06_AXI_awburst[1:0] = m06_exit_pipeline_m_axi_AWBURST;
  assign M06_AXI_awcache[3:0] = m06_exit_pipeline_m_axi_AWCACHE;
  assign M06_AXI_awlen[7:0] = m06_exit_pipeline_m_axi_AWLEN;
  assign M06_AXI_awlock[0] = m06_exit_pipeline_m_axi_AWLOCK;
  assign M06_AXI_awprot[2:0] = m06_exit_pipeline_m_axi_AWPROT;
  assign M06_AXI_awqos[3:0] = m06_exit_pipeline_m_axi_AWQOS;
  assign M06_AXI_awsize[2:0] = m06_exit_pipeline_m_axi_AWSIZE;
  assign M06_AXI_awuser[31:0] = m06_exit_pipeline_m_axi_AWUSER;
  assign M06_AXI_awvalid = m06_exit_pipeline_m_axi_AWVALID;
  assign M06_AXI_bready = m06_exit_pipeline_m_axi_BREADY;
  assign M06_AXI_rready = m06_exit_pipeline_m_axi_RREADY;
  assign M06_AXI_wdata[31:0] = m06_exit_pipeline_m_axi_WDATA;
  assign M06_AXI_wlast = m06_exit_pipeline_m_axi_WLAST;
  assign M06_AXI_wstrb[3:0] = m06_exit_pipeline_m_axi_WSTRB;
  assign M06_AXI_wuser[3:0] = m06_exit_pipeline_m_axi_WUSER;
  assign M06_AXI_wvalid = m06_exit_pipeline_m_axi_WVALID;
  assign M07_AXI_araddr[31:0] = m07_exit_pipeline_m_axi_ARADDR;
  assign M07_AXI_arburst[1:0] = m07_exit_pipeline_m_axi_ARBURST;
  assign M07_AXI_arcache[3:0] = m07_exit_pipeline_m_axi_ARCACHE;
  assign M07_AXI_arlen[7:0] = m07_exit_pipeline_m_axi_ARLEN;
  assign M07_AXI_arlock[0] = m07_exit_pipeline_m_axi_ARLOCK;
  assign M07_AXI_arprot[2:0] = m07_exit_pipeline_m_axi_ARPROT;
  assign M07_AXI_arqos[3:0] = m07_exit_pipeline_m_axi_ARQOS;
  assign M07_AXI_arsize[2:0] = m07_exit_pipeline_m_axi_ARSIZE;
  assign M07_AXI_aruser[31:0] = m07_exit_pipeline_m_axi_ARUSER;
  assign M07_AXI_arvalid = m07_exit_pipeline_m_axi_ARVALID;
  assign M07_AXI_awaddr[31:0] = m07_exit_pipeline_m_axi_AWADDR;
  assign M07_AXI_awburst[1:0] = m07_exit_pipeline_m_axi_AWBURST;
  assign M07_AXI_awcache[3:0] = m07_exit_pipeline_m_axi_AWCACHE;
  assign M07_AXI_awlen[7:0] = m07_exit_pipeline_m_axi_AWLEN;
  assign M07_AXI_awlock[0] = m07_exit_pipeline_m_axi_AWLOCK;
  assign M07_AXI_awprot[2:0] = m07_exit_pipeline_m_axi_AWPROT;
  assign M07_AXI_awqos[3:0] = m07_exit_pipeline_m_axi_AWQOS;
  assign M07_AXI_awsize[2:0] = m07_exit_pipeline_m_axi_AWSIZE;
  assign M07_AXI_awuser[31:0] = m07_exit_pipeline_m_axi_AWUSER;
  assign M07_AXI_awvalid = m07_exit_pipeline_m_axi_AWVALID;
  assign M07_AXI_bready = m07_exit_pipeline_m_axi_BREADY;
  assign M07_AXI_rready = m07_exit_pipeline_m_axi_RREADY;
  assign M07_AXI_wdata[31:0] = m07_exit_pipeline_m_axi_WDATA;
  assign M07_AXI_wlast = m07_exit_pipeline_m_axi_WLAST;
  assign M07_AXI_wstrb[3:0] = m07_exit_pipeline_m_axi_WSTRB;
  assign M07_AXI_wuser[3:0] = m07_exit_pipeline_m_axi_WUSER;
  assign M07_AXI_wvalid = m07_exit_pipeline_m_axi_WVALID;
  assign M08_AXI_araddr[31:0] = m08_exit_pipeline_m_axi_ARADDR;
  assign M08_AXI_arburst[1:0] = m08_exit_pipeline_m_axi_ARBURST;
  assign M08_AXI_arcache[3:0] = m08_exit_pipeline_m_axi_ARCACHE;
  assign M08_AXI_arlen[7:0] = m08_exit_pipeline_m_axi_ARLEN;
  assign M08_AXI_arlock[0] = m08_exit_pipeline_m_axi_ARLOCK;
  assign M08_AXI_arprot[2:0] = m08_exit_pipeline_m_axi_ARPROT;
  assign M08_AXI_arqos[3:0] = m08_exit_pipeline_m_axi_ARQOS;
  assign M08_AXI_arsize[2:0] = m08_exit_pipeline_m_axi_ARSIZE;
  assign M08_AXI_aruser[31:0] = m08_exit_pipeline_m_axi_ARUSER;
  assign M08_AXI_arvalid = m08_exit_pipeline_m_axi_ARVALID;
  assign M08_AXI_awaddr[31:0] = m08_exit_pipeline_m_axi_AWADDR;
  assign M08_AXI_awburst[1:0] = m08_exit_pipeline_m_axi_AWBURST;
  assign M08_AXI_awcache[3:0] = m08_exit_pipeline_m_axi_AWCACHE;
  assign M08_AXI_awlen[7:0] = m08_exit_pipeline_m_axi_AWLEN;
  assign M08_AXI_awlock[0] = m08_exit_pipeline_m_axi_AWLOCK;
  assign M08_AXI_awprot[2:0] = m08_exit_pipeline_m_axi_AWPROT;
  assign M08_AXI_awqos[3:0] = m08_exit_pipeline_m_axi_AWQOS;
  assign M08_AXI_awsize[2:0] = m08_exit_pipeline_m_axi_AWSIZE;
  assign M08_AXI_awuser[31:0] = m08_exit_pipeline_m_axi_AWUSER;
  assign M08_AXI_awvalid = m08_exit_pipeline_m_axi_AWVALID;
  assign M08_AXI_bready = m08_exit_pipeline_m_axi_BREADY;
  assign M08_AXI_rready = m08_exit_pipeline_m_axi_RREADY;
  assign M08_AXI_wdata[31:0] = m08_exit_pipeline_m_axi_WDATA;
  assign M08_AXI_wlast = m08_exit_pipeline_m_axi_WLAST;
  assign M08_AXI_wstrb[3:0] = m08_exit_pipeline_m_axi_WSTRB;
  assign M08_AXI_wuser[3:0] = m08_exit_pipeline_m_axi_WUSER;
  assign M08_AXI_wvalid = m08_exit_pipeline_m_axi_WVALID;
  assign M09_AXI_araddr[31:0] = m09_exit_pipeline_m_axi_ARADDR;
  assign M09_AXI_arburst[1:0] = m09_exit_pipeline_m_axi_ARBURST;
  assign M09_AXI_arcache[3:0] = m09_exit_pipeline_m_axi_ARCACHE;
  assign M09_AXI_arlen[7:0] = m09_exit_pipeline_m_axi_ARLEN;
  assign M09_AXI_arlock[0] = m09_exit_pipeline_m_axi_ARLOCK;
  assign M09_AXI_arprot[2:0] = m09_exit_pipeline_m_axi_ARPROT;
  assign M09_AXI_arqos[3:0] = m09_exit_pipeline_m_axi_ARQOS;
  assign M09_AXI_arsize[2:0] = m09_exit_pipeline_m_axi_ARSIZE;
  assign M09_AXI_aruser[31:0] = m09_exit_pipeline_m_axi_ARUSER;
  assign M09_AXI_arvalid = m09_exit_pipeline_m_axi_ARVALID;
  assign M09_AXI_awaddr[31:0] = m09_exit_pipeline_m_axi_AWADDR;
  assign M09_AXI_awburst[1:0] = m09_exit_pipeline_m_axi_AWBURST;
  assign M09_AXI_awcache[3:0] = m09_exit_pipeline_m_axi_AWCACHE;
  assign M09_AXI_awlen[7:0] = m09_exit_pipeline_m_axi_AWLEN;
  assign M09_AXI_awlock[0] = m09_exit_pipeline_m_axi_AWLOCK;
  assign M09_AXI_awprot[2:0] = m09_exit_pipeline_m_axi_AWPROT;
  assign M09_AXI_awqos[3:0] = m09_exit_pipeline_m_axi_AWQOS;
  assign M09_AXI_awsize[2:0] = m09_exit_pipeline_m_axi_AWSIZE;
  assign M09_AXI_awuser[31:0] = m09_exit_pipeline_m_axi_AWUSER;
  assign M09_AXI_awvalid = m09_exit_pipeline_m_axi_AWVALID;
  assign M09_AXI_bready = m09_exit_pipeline_m_axi_BREADY;
  assign M09_AXI_rready = m09_exit_pipeline_m_axi_RREADY;
  assign M09_AXI_wdata[31:0] = m09_exit_pipeline_m_axi_WDATA;
  assign M09_AXI_wlast = m09_exit_pipeline_m_axi_WLAST;
  assign M09_AXI_wstrb[3:0] = m09_exit_pipeline_m_axi_WSTRB;
  assign M09_AXI_wuser[3:0] = m09_exit_pipeline_m_axi_WUSER;
  assign M09_AXI_wvalid = m09_exit_pipeline_m_axi_WVALID;
  assign M10_AXI_araddr[31:0] = m10_exit_pipeline_m_axi_ARADDR;
  assign M10_AXI_arburst[1:0] = m10_exit_pipeline_m_axi_ARBURST;
  assign M10_AXI_arcache[3:0] = m10_exit_pipeline_m_axi_ARCACHE;
  assign M10_AXI_arlen[7:0] = m10_exit_pipeline_m_axi_ARLEN;
  assign M10_AXI_arlock[0] = m10_exit_pipeline_m_axi_ARLOCK;
  assign M10_AXI_arprot[2:0] = m10_exit_pipeline_m_axi_ARPROT;
  assign M10_AXI_arqos[3:0] = m10_exit_pipeline_m_axi_ARQOS;
  assign M10_AXI_arsize[2:0] = m10_exit_pipeline_m_axi_ARSIZE;
  assign M10_AXI_aruser[31:0] = m10_exit_pipeline_m_axi_ARUSER;
  assign M10_AXI_arvalid = m10_exit_pipeline_m_axi_ARVALID;
  assign M10_AXI_awaddr[31:0] = m10_exit_pipeline_m_axi_AWADDR;
  assign M10_AXI_awburst[1:0] = m10_exit_pipeline_m_axi_AWBURST;
  assign M10_AXI_awcache[3:0] = m10_exit_pipeline_m_axi_AWCACHE;
  assign M10_AXI_awlen[7:0] = m10_exit_pipeline_m_axi_AWLEN;
  assign M10_AXI_awlock[0] = m10_exit_pipeline_m_axi_AWLOCK;
  assign M10_AXI_awprot[2:0] = m10_exit_pipeline_m_axi_AWPROT;
  assign M10_AXI_awqos[3:0] = m10_exit_pipeline_m_axi_AWQOS;
  assign M10_AXI_awsize[2:0] = m10_exit_pipeline_m_axi_AWSIZE;
  assign M10_AXI_awuser[31:0] = m10_exit_pipeline_m_axi_AWUSER;
  assign M10_AXI_awvalid = m10_exit_pipeline_m_axi_AWVALID;
  assign M10_AXI_bready = m10_exit_pipeline_m_axi_BREADY;
  assign M10_AXI_rready = m10_exit_pipeline_m_axi_RREADY;
  assign M10_AXI_wdata[31:0] = m10_exit_pipeline_m_axi_WDATA;
  assign M10_AXI_wlast = m10_exit_pipeline_m_axi_WLAST;
  assign M10_AXI_wstrb[3:0] = m10_exit_pipeline_m_axi_WSTRB;
  assign M10_AXI_wuser[3:0] = m10_exit_pipeline_m_axi_WUSER;
  assign M10_AXI_wvalid = m10_exit_pipeline_m_axi_WVALID;
  assign M11_AXI_araddr[31:0] = m11_exit_pipeline_m_axi_ARADDR;
  assign M11_AXI_arburst[1:0] = m11_exit_pipeline_m_axi_ARBURST;
  assign M11_AXI_arcache[3:0] = m11_exit_pipeline_m_axi_ARCACHE;
  assign M11_AXI_arlen[7:0] = m11_exit_pipeline_m_axi_ARLEN;
  assign M11_AXI_arlock[0] = m11_exit_pipeline_m_axi_ARLOCK;
  assign M11_AXI_arprot[2:0] = m11_exit_pipeline_m_axi_ARPROT;
  assign M11_AXI_arqos[3:0] = m11_exit_pipeline_m_axi_ARQOS;
  assign M11_AXI_arsize[2:0] = m11_exit_pipeline_m_axi_ARSIZE;
  assign M11_AXI_aruser[31:0] = m11_exit_pipeline_m_axi_ARUSER;
  assign M11_AXI_arvalid = m11_exit_pipeline_m_axi_ARVALID;
  assign M11_AXI_awaddr[31:0] = m11_exit_pipeline_m_axi_AWADDR;
  assign M11_AXI_awburst[1:0] = m11_exit_pipeline_m_axi_AWBURST;
  assign M11_AXI_awcache[3:0] = m11_exit_pipeline_m_axi_AWCACHE;
  assign M11_AXI_awlen[7:0] = m11_exit_pipeline_m_axi_AWLEN;
  assign M11_AXI_awlock[0] = m11_exit_pipeline_m_axi_AWLOCK;
  assign M11_AXI_awprot[2:0] = m11_exit_pipeline_m_axi_AWPROT;
  assign M11_AXI_awqos[3:0] = m11_exit_pipeline_m_axi_AWQOS;
  assign M11_AXI_awsize[2:0] = m11_exit_pipeline_m_axi_AWSIZE;
  assign M11_AXI_awuser[31:0] = m11_exit_pipeline_m_axi_AWUSER;
  assign M11_AXI_awvalid = m11_exit_pipeline_m_axi_AWVALID;
  assign M11_AXI_bready = m11_exit_pipeline_m_axi_BREADY;
  assign M11_AXI_rready = m11_exit_pipeline_m_axi_RREADY;
  assign M11_AXI_wdata[31:0] = m11_exit_pipeline_m_axi_WDATA;
  assign M11_AXI_wlast = m11_exit_pipeline_m_axi_WLAST;
  assign M11_AXI_wstrb[3:0] = m11_exit_pipeline_m_axi_WSTRB;
  assign M11_AXI_wuser[3:0] = m11_exit_pipeline_m_axi_WUSER;
  assign M11_AXI_wvalid = m11_exit_pipeline_m_axi_WVALID;
  assign M12_AXI_araddr[31:0] = m12_exit_pipeline_m_axi_ARADDR;
  assign M12_AXI_arburst[1:0] = m12_exit_pipeline_m_axi_ARBURST;
  assign M12_AXI_arcache[3:0] = m12_exit_pipeline_m_axi_ARCACHE;
  assign M12_AXI_arlen[7:0] = m12_exit_pipeline_m_axi_ARLEN;
  assign M12_AXI_arlock[0] = m12_exit_pipeline_m_axi_ARLOCK;
  assign M12_AXI_arprot[2:0] = m12_exit_pipeline_m_axi_ARPROT;
  assign M12_AXI_arqos[3:0] = m12_exit_pipeline_m_axi_ARQOS;
  assign M12_AXI_arsize[2:0] = m12_exit_pipeline_m_axi_ARSIZE;
  assign M12_AXI_aruser[31:0] = m12_exit_pipeline_m_axi_ARUSER;
  assign M12_AXI_arvalid = m12_exit_pipeline_m_axi_ARVALID;
  assign M12_AXI_awaddr[31:0] = m12_exit_pipeline_m_axi_AWADDR;
  assign M12_AXI_awburst[1:0] = m12_exit_pipeline_m_axi_AWBURST;
  assign M12_AXI_awcache[3:0] = m12_exit_pipeline_m_axi_AWCACHE;
  assign M12_AXI_awlen[7:0] = m12_exit_pipeline_m_axi_AWLEN;
  assign M12_AXI_awlock[0] = m12_exit_pipeline_m_axi_AWLOCK;
  assign M12_AXI_awprot[2:0] = m12_exit_pipeline_m_axi_AWPROT;
  assign M12_AXI_awqos[3:0] = m12_exit_pipeline_m_axi_AWQOS;
  assign M12_AXI_awsize[2:0] = m12_exit_pipeline_m_axi_AWSIZE;
  assign M12_AXI_awuser[31:0] = m12_exit_pipeline_m_axi_AWUSER;
  assign M12_AXI_awvalid = m12_exit_pipeline_m_axi_AWVALID;
  assign M12_AXI_bready = m12_exit_pipeline_m_axi_BREADY;
  assign M12_AXI_rready = m12_exit_pipeline_m_axi_RREADY;
  assign M12_AXI_wdata[31:0] = m12_exit_pipeline_m_axi_WDATA;
  assign M12_AXI_wlast = m12_exit_pipeline_m_axi_WLAST;
  assign M12_AXI_wstrb[3:0] = m12_exit_pipeline_m_axi_WSTRB;
  assign M12_AXI_wuser[3:0] = m12_exit_pipeline_m_axi_WUSER;
  assign M12_AXI_wvalid = m12_exit_pipeline_m_axi_WVALID;
  assign M13_AXI_araddr[31:0] = m13_exit_pipeline_m_axi_ARADDR;
  assign M13_AXI_arburst[1:0] = m13_exit_pipeline_m_axi_ARBURST;
  assign M13_AXI_arcache[3:0] = m13_exit_pipeline_m_axi_ARCACHE;
  assign M13_AXI_arlen[7:0] = m13_exit_pipeline_m_axi_ARLEN;
  assign M13_AXI_arlock[0] = m13_exit_pipeline_m_axi_ARLOCK;
  assign M13_AXI_arprot[2:0] = m13_exit_pipeline_m_axi_ARPROT;
  assign M13_AXI_arqos[3:0] = m13_exit_pipeline_m_axi_ARQOS;
  assign M13_AXI_arsize[2:0] = m13_exit_pipeline_m_axi_ARSIZE;
  assign M13_AXI_aruser[31:0] = m13_exit_pipeline_m_axi_ARUSER;
  assign M13_AXI_arvalid = m13_exit_pipeline_m_axi_ARVALID;
  assign M13_AXI_awaddr[31:0] = m13_exit_pipeline_m_axi_AWADDR;
  assign M13_AXI_awburst[1:0] = m13_exit_pipeline_m_axi_AWBURST;
  assign M13_AXI_awcache[3:0] = m13_exit_pipeline_m_axi_AWCACHE;
  assign M13_AXI_awlen[7:0] = m13_exit_pipeline_m_axi_AWLEN;
  assign M13_AXI_awlock[0] = m13_exit_pipeline_m_axi_AWLOCK;
  assign M13_AXI_awprot[2:0] = m13_exit_pipeline_m_axi_AWPROT;
  assign M13_AXI_awqos[3:0] = m13_exit_pipeline_m_axi_AWQOS;
  assign M13_AXI_awsize[2:0] = m13_exit_pipeline_m_axi_AWSIZE;
  assign M13_AXI_awuser[31:0] = m13_exit_pipeline_m_axi_AWUSER;
  assign M13_AXI_awvalid = m13_exit_pipeline_m_axi_AWVALID;
  assign M13_AXI_bready = m13_exit_pipeline_m_axi_BREADY;
  assign M13_AXI_rready = m13_exit_pipeline_m_axi_RREADY;
  assign M13_AXI_wdata[31:0] = m13_exit_pipeline_m_axi_WDATA;
  assign M13_AXI_wlast = m13_exit_pipeline_m_axi_WLAST;
  assign M13_AXI_wstrb[3:0] = m13_exit_pipeline_m_axi_WSTRB;
  assign M13_AXI_wuser[3:0] = m13_exit_pipeline_m_axi_WUSER;
  assign M13_AXI_wvalid = m13_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[31:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[31:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[31:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[3:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[3:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[31:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[3:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[31:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[3:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  assign m01_exit_pipeline_m_axi_ARREADY = M01_AXI_arready;
  assign m01_exit_pipeline_m_axi_AWREADY = M01_AXI_awready;
  assign m01_exit_pipeline_m_axi_BRESP = M01_AXI_bresp[1:0];
  assign m01_exit_pipeline_m_axi_BUSER = M01_AXI_buser[15:0];
  assign m01_exit_pipeline_m_axi_BVALID = M01_AXI_bvalid;
  assign m01_exit_pipeline_m_axi_RDATA = M01_AXI_rdata[31:0];
  assign m01_exit_pipeline_m_axi_RLAST = M01_AXI_rlast;
  assign m01_exit_pipeline_m_axi_RRESP = M01_AXI_rresp[1:0];
  assign m01_exit_pipeline_m_axi_RUSER = M01_AXI_ruser[3:0];
  assign m01_exit_pipeline_m_axi_RVALID = M01_AXI_rvalid;
  assign m01_exit_pipeline_m_axi_WREADY = M01_AXI_wready;
  assign m02_exit_pipeline_m_axi_ARREADY = M02_AXI_arready;
  assign m02_exit_pipeline_m_axi_AWREADY = M02_AXI_awready;
  assign m02_exit_pipeline_m_axi_BRESP = M02_AXI_bresp[1:0];
  assign m02_exit_pipeline_m_axi_BUSER = M02_AXI_buser[15:0];
  assign m02_exit_pipeline_m_axi_BVALID = M02_AXI_bvalid;
  assign m02_exit_pipeline_m_axi_RDATA = M02_AXI_rdata[31:0];
  assign m02_exit_pipeline_m_axi_RLAST = M02_AXI_rlast;
  assign m02_exit_pipeline_m_axi_RRESP = M02_AXI_rresp[1:0];
  assign m02_exit_pipeline_m_axi_RUSER = M02_AXI_ruser[3:0];
  assign m02_exit_pipeline_m_axi_RVALID = M02_AXI_rvalid;
  assign m02_exit_pipeline_m_axi_WREADY = M02_AXI_wready;
  assign m03_exit_pipeline_m_axi_ARREADY = M03_AXI_arready;
  assign m03_exit_pipeline_m_axi_AWREADY = M03_AXI_awready;
  assign m03_exit_pipeline_m_axi_BRESP = M03_AXI_bresp[1:0];
  assign m03_exit_pipeline_m_axi_BUSER = M03_AXI_buser[15:0];
  assign m03_exit_pipeline_m_axi_BVALID = M03_AXI_bvalid;
  assign m03_exit_pipeline_m_axi_RDATA = M03_AXI_rdata[31:0];
  assign m03_exit_pipeline_m_axi_RLAST = M03_AXI_rlast;
  assign m03_exit_pipeline_m_axi_RRESP = M03_AXI_rresp[1:0];
  assign m03_exit_pipeline_m_axi_RUSER = M03_AXI_ruser[3:0];
  assign m03_exit_pipeline_m_axi_RVALID = M03_AXI_rvalid;
  assign m03_exit_pipeline_m_axi_WREADY = M03_AXI_wready;
  assign m04_exit_pipeline_m_axi_ARREADY = M04_AXI_arready;
  assign m04_exit_pipeline_m_axi_AWREADY = M04_AXI_awready;
  assign m04_exit_pipeline_m_axi_BRESP = M04_AXI_bresp[1:0];
  assign m04_exit_pipeline_m_axi_BUSER = M04_AXI_buser[15:0];
  assign m04_exit_pipeline_m_axi_BVALID = M04_AXI_bvalid;
  assign m04_exit_pipeline_m_axi_RDATA = M04_AXI_rdata[31:0];
  assign m04_exit_pipeline_m_axi_RLAST = M04_AXI_rlast;
  assign m04_exit_pipeline_m_axi_RRESP = M04_AXI_rresp[1:0];
  assign m04_exit_pipeline_m_axi_RUSER = M04_AXI_ruser[3:0];
  assign m04_exit_pipeline_m_axi_RVALID = M04_AXI_rvalid;
  assign m04_exit_pipeline_m_axi_WREADY = M04_AXI_wready;
  assign m05_exit_pipeline_m_axi_ARREADY = M05_AXI_arready;
  assign m05_exit_pipeline_m_axi_AWREADY = M05_AXI_awready;
  assign m05_exit_pipeline_m_axi_BRESP = M05_AXI_bresp[1:0];
  assign m05_exit_pipeline_m_axi_BUSER = M05_AXI_buser[15:0];
  assign m05_exit_pipeline_m_axi_BVALID = M05_AXI_bvalid;
  assign m05_exit_pipeline_m_axi_RDATA = M05_AXI_rdata[31:0];
  assign m05_exit_pipeline_m_axi_RLAST = M05_AXI_rlast;
  assign m05_exit_pipeline_m_axi_RRESP = M05_AXI_rresp[1:0];
  assign m05_exit_pipeline_m_axi_RUSER = M05_AXI_ruser[3:0];
  assign m05_exit_pipeline_m_axi_RVALID = M05_AXI_rvalid;
  assign m05_exit_pipeline_m_axi_WREADY = M05_AXI_wready;
  assign m06_exit_pipeline_m_axi_ARREADY = M06_AXI_arready;
  assign m06_exit_pipeline_m_axi_AWREADY = M06_AXI_awready;
  assign m06_exit_pipeline_m_axi_BRESP = M06_AXI_bresp[1:0];
  assign m06_exit_pipeline_m_axi_BUSER = M06_AXI_buser[15:0];
  assign m06_exit_pipeline_m_axi_BVALID = M06_AXI_bvalid;
  assign m06_exit_pipeline_m_axi_RDATA = M06_AXI_rdata[31:0];
  assign m06_exit_pipeline_m_axi_RLAST = M06_AXI_rlast;
  assign m06_exit_pipeline_m_axi_RRESP = M06_AXI_rresp[1:0];
  assign m06_exit_pipeline_m_axi_RUSER = M06_AXI_ruser[3:0];
  assign m06_exit_pipeline_m_axi_RVALID = M06_AXI_rvalid;
  assign m06_exit_pipeline_m_axi_WREADY = M06_AXI_wready;
  assign m07_exit_pipeline_m_axi_ARREADY = M07_AXI_arready;
  assign m07_exit_pipeline_m_axi_AWREADY = M07_AXI_awready;
  assign m07_exit_pipeline_m_axi_BRESP = M07_AXI_bresp[1:0];
  assign m07_exit_pipeline_m_axi_BUSER = M07_AXI_buser[15:0];
  assign m07_exit_pipeline_m_axi_BVALID = M07_AXI_bvalid;
  assign m07_exit_pipeline_m_axi_RDATA = M07_AXI_rdata[31:0];
  assign m07_exit_pipeline_m_axi_RLAST = M07_AXI_rlast;
  assign m07_exit_pipeline_m_axi_RRESP = M07_AXI_rresp[1:0];
  assign m07_exit_pipeline_m_axi_RUSER = M07_AXI_ruser[3:0];
  assign m07_exit_pipeline_m_axi_RVALID = M07_AXI_rvalid;
  assign m07_exit_pipeline_m_axi_WREADY = M07_AXI_wready;
  assign m08_exit_pipeline_m_axi_ARREADY = M08_AXI_arready;
  assign m08_exit_pipeline_m_axi_AWREADY = M08_AXI_awready;
  assign m08_exit_pipeline_m_axi_BRESP = M08_AXI_bresp[1:0];
  assign m08_exit_pipeline_m_axi_BUSER = M08_AXI_buser[15:0];
  assign m08_exit_pipeline_m_axi_BVALID = M08_AXI_bvalid;
  assign m08_exit_pipeline_m_axi_RDATA = M08_AXI_rdata[31:0];
  assign m08_exit_pipeline_m_axi_RLAST = M08_AXI_rlast;
  assign m08_exit_pipeline_m_axi_RRESP = M08_AXI_rresp[1:0];
  assign m08_exit_pipeline_m_axi_RUSER = M08_AXI_ruser[3:0];
  assign m08_exit_pipeline_m_axi_RVALID = M08_AXI_rvalid;
  assign m08_exit_pipeline_m_axi_WREADY = M08_AXI_wready;
  assign m09_exit_pipeline_m_axi_ARREADY = M09_AXI_arready;
  assign m09_exit_pipeline_m_axi_AWREADY = M09_AXI_awready;
  assign m09_exit_pipeline_m_axi_BRESP = M09_AXI_bresp[1:0];
  assign m09_exit_pipeline_m_axi_BUSER = M09_AXI_buser[15:0];
  assign m09_exit_pipeline_m_axi_BVALID = M09_AXI_bvalid;
  assign m09_exit_pipeline_m_axi_RDATA = M09_AXI_rdata[31:0];
  assign m09_exit_pipeline_m_axi_RLAST = M09_AXI_rlast;
  assign m09_exit_pipeline_m_axi_RRESP = M09_AXI_rresp[1:0];
  assign m09_exit_pipeline_m_axi_RUSER = M09_AXI_ruser[3:0];
  assign m09_exit_pipeline_m_axi_RVALID = M09_AXI_rvalid;
  assign m09_exit_pipeline_m_axi_WREADY = M09_AXI_wready;
  assign m10_exit_pipeline_m_axi_ARREADY = M10_AXI_arready;
  assign m10_exit_pipeline_m_axi_AWREADY = M10_AXI_awready;
  assign m10_exit_pipeline_m_axi_BRESP = M10_AXI_bresp[1:0];
  assign m10_exit_pipeline_m_axi_BUSER = M10_AXI_buser[15:0];
  assign m10_exit_pipeline_m_axi_BVALID = M10_AXI_bvalid;
  assign m10_exit_pipeline_m_axi_RDATA = M10_AXI_rdata[31:0];
  assign m10_exit_pipeline_m_axi_RLAST = M10_AXI_rlast;
  assign m10_exit_pipeline_m_axi_RRESP = M10_AXI_rresp[1:0];
  assign m10_exit_pipeline_m_axi_RUSER = M10_AXI_ruser[3:0];
  assign m10_exit_pipeline_m_axi_RVALID = M10_AXI_rvalid;
  assign m10_exit_pipeline_m_axi_WREADY = M10_AXI_wready;
  assign m11_exit_pipeline_m_axi_ARREADY = M11_AXI_arready;
  assign m11_exit_pipeline_m_axi_AWREADY = M11_AXI_awready;
  assign m11_exit_pipeline_m_axi_BRESP = M11_AXI_bresp[1:0];
  assign m11_exit_pipeline_m_axi_BUSER = M11_AXI_buser[15:0];
  assign m11_exit_pipeline_m_axi_BVALID = M11_AXI_bvalid;
  assign m11_exit_pipeline_m_axi_RDATA = M11_AXI_rdata[31:0];
  assign m11_exit_pipeline_m_axi_RLAST = M11_AXI_rlast;
  assign m11_exit_pipeline_m_axi_RRESP = M11_AXI_rresp[1:0];
  assign m11_exit_pipeline_m_axi_RUSER = M11_AXI_ruser[3:0];
  assign m11_exit_pipeline_m_axi_RVALID = M11_AXI_rvalid;
  assign m11_exit_pipeline_m_axi_WREADY = M11_AXI_wready;
  assign m12_exit_pipeline_m_axi_ARREADY = M12_AXI_arready;
  assign m12_exit_pipeline_m_axi_AWREADY = M12_AXI_awready;
  assign m12_exit_pipeline_m_axi_BRESP = M12_AXI_bresp[1:0];
  assign m12_exit_pipeline_m_axi_BUSER = M12_AXI_buser[15:0];
  assign m12_exit_pipeline_m_axi_BVALID = M12_AXI_bvalid;
  assign m12_exit_pipeline_m_axi_RDATA = M12_AXI_rdata[31:0];
  assign m12_exit_pipeline_m_axi_RLAST = M12_AXI_rlast;
  assign m12_exit_pipeline_m_axi_RRESP = M12_AXI_rresp[1:0];
  assign m12_exit_pipeline_m_axi_RUSER = M12_AXI_ruser[3:0];
  assign m12_exit_pipeline_m_axi_RVALID = M12_AXI_rvalid;
  assign m12_exit_pipeline_m_axi_WREADY = M12_AXI_wready;
  assign m13_exit_pipeline_m_axi_ARREADY = M13_AXI_arready;
  assign m13_exit_pipeline_m_axi_AWREADY = M13_AXI_awready;
  assign m13_exit_pipeline_m_axi_BRESP = M13_AXI_bresp[1:0];
  assign m13_exit_pipeline_m_axi_BUSER = M13_AXI_buser[15:0];
  assign m13_exit_pipeline_m_axi_BVALID = M13_AXI_bvalid;
  assign m13_exit_pipeline_m_axi_RDATA = M13_AXI_rdata[31:0];
  assign m13_exit_pipeline_m_axi_RLAST = M13_AXI_rlast;
  assign m13_exit_pipeline_m_axi_RRESP = M13_AXI_rresp[1:0];
  assign m13_exit_pipeline_m_axi_RUSER = M13_AXI_ruser[3:0];
  assign m13_exit_pipeline_m_axi_RVALID = M13_AXI_rvalid;
  assign m13_exit_pipeline_m_axi_WREADY = M13_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_GNVBO8 clk_map
       (.M00_ACLK(clk_map_M00_ACLK),
        .M00_ARESETN(m_axi_aresetn_1),
        .M01_ACLK(clk_map_M01_ACLK),
        .M01_ARESETN(m_axi_aresetn_2),
        .M02_ACLK(clk_map_M02_ACLK),
        .M02_ARESETN(m_axi_aresetn_3),
        .M03_ACLK(clk_map_M03_ACLK),
        .M03_ARESETN(m_axi_aresetn_4),
        .M04_ACLK(clk_map_M04_ACLK),
        .M04_ARESETN(m_axi_aresetn_5),
        .M05_ACLK(clk_map_M05_ACLK),
        .M05_ARESETN(m_axi_aresetn_6),
        .M06_ACLK(clk_map_M06_ACLK),
        .M06_ARESETN(m_axi_aresetn_7),
        .M07_ACLK(clk_map_M07_ACLK),
        .M07_ARESETN(m_axi_aresetn_8),
        .M08_ACLK(clk_map_M08_ACLK),
        .M08_ARESETN(m_axi_aresetn_9),
        .M09_ACLK(clk_map_M09_ACLK),
        .M09_ARESETN(m_axi_aresetn_10),
        .M10_ACLK(clk_map_M10_ACLK),
        .M10_ARESETN(m_axi_aresetn_11),
        .M11_ACLK(clk_map_M11_ACLK),
        .M11_ARESETN(m_axi_aresetn_12),
        .M12_ACLK(clk_map_M12_ACLK),
        .M12_ARESETN(m_axi_aresetn_13),
        .M13_ACLK(clk_map_M13_ACLK),
        .M13_ARESETN(m_axi_aresetn_14),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1IK2SCJ m00_exit_pipeline
       (.aclk(clk_map_M00_ACLK),
        .aresetn(m_axi_aresetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m00_nodes_imp_15847XR m00_nodes
       (.M_SC_AR_info(m00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m00_nodes_M_SC_B_RECV),
        .M_SC_B_req(m00_nodes_M_SC_B_REQ),
        .M_SC_B_send(m00_nodes_M_SC_B_SEND),
        .M_SC_R_info(m00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m00_nodes_M_SC_R_RECV),
        .M_SC_R_req(m00_nodes_M_SC_R_REQ),
        .M_SC_R_send(m00_nodes_M_SC_R_SEND),
        .M_SC_W_info(m00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m00_nodes_M_SC_W_RECV),
        .M_SC_W_req(m00_nodes_M_SC_W_REQ),
        .M_SC_W_send(m00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_2_INFO),
        .S_SC_AR_payld(S_SC_AR_2_PAYLD),
        .S_SC_AR_recv(S_SC_AR_2_RECV),
        .S_SC_AR_req(S_SC_AR_2_REQ),
        .S_SC_AR_send(S_SC_AR_2_SEND),
        .S_SC_AW_info(S_SC_AW_2_INFO),
        .S_SC_AW_payld(S_SC_AW_2_PAYLD),
        .S_SC_AW_recv(S_SC_AW_2_RECV),
        .S_SC_AW_req(S_SC_AW_2_REQ),
        .S_SC_AW_send(S_SC_AW_2_SEND),
        .S_SC_B_info(S_SC_B_2_INFO),
        .S_SC_B_payld(S_SC_B_2_PAYLD),
        .S_SC_B_recv(S_SC_B_2_RECV),
        .S_SC_B_req(S_SC_B_2_REQ),
        .S_SC_B_send(S_SC_B_2_SEND),
        .S_SC_R_info(S_SC_R_2_INFO),
        .S_SC_R_payld(S_SC_R_2_PAYLD),
        .S_SC_R_recv(S_SC_R_2_RECV),
        .S_SC_R_req(S_SC_R_2_REQ),
        .S_SC_R_send(S_SC_R_2_SEND),
        .S_SC_W_info(S_SC_W_2_INFO),
        .S_SC_W_payld(S_SC_W_2_PAYLD),
        .S_SC_W_recv(S_SC_W_2_RECV),
        .S_SC_W_req(S_SC_W_2_REQ),
        .S_SC_W_send(S_SC_W_2_SEND),
        .m_axi_aclk(clk_map_M00_ACLK),
        .m_axi_aresetn(m_axi_aresetn_1),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00s2a_0 m00_sc2axi
       (.aclk(clk_map_M00_ACLK),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_2_INFO),
        .m_sc_b_payld(S_SC_B_2_PAYLD),
        .m_sc_b_recv(S_SC_B_2_RECV),
        .m_sc_b_req(S_SC_B_2_REQ),
        .m_sc_b_send(S_SC_B_2_SEND),
        .m_sc_r_info(S_SC_R_2_INFO),
        .m_sc_r_payld(S_SC_R_2_PAYLD),
        .m_sc_r_recv(S_SC_R_2_RECV),
        .m_sc_r_req(S_SC_R_2_REQ),
        .m_sc_r_send(S_SC_R_2_SEND),
        .s_sc_ar_info(m00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m00_nodes_M_SC_W_RECV),
        .s_sc_w_req(m00_nodes_M_SC_W_REQ),
        .s_sc_w_send(m00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m01_exit_pipeline_imp_1MOZ6PV m01_exit_pipeline
       (.aclk(clk_map_M01_ACLK),
        .aresetn(m_axi_aresetn_2),
        .m_axi_araddr(m01_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m01_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m01_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m01_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m01_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m01_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m01_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m01_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m01_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m01_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m01_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m01_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m01_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m01_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m01_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m01_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m01_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m01_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m01_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m01_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m01_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m01_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m01_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m01_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m01_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m01_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m01_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m01_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m01_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m01_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m01_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m01_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m01_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m01_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m01_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m01_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m01_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m01_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m01_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m01_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m01_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m01_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m01_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m01_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m01_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m01_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m01_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m01_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m01_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m01_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m01_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m01_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m01_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m01_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m01_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m01_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m01_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m01_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m01_sc2axi_M_AXI_BID),
        .s_axi_bready(m01_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m01_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m01_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m01_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m01_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m01_sc2axi_M_AXI_RID),
        .s_axi_rlast(m01_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m01_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m01_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m01_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m01_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m01_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m01_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m01_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m01_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m01_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m01_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m01_nodes_imp_2NZ0IH m01_nodes
       (.M_SC_AR_info(m01_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m01_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m01_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m01_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m01_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m01_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m01_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m01_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m01_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m01_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m01_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m01_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m01_nodes_M_SC_B_RECV),
        .M_SC_B_req(m01_nodes_M_SC_B_REQ),
        .M_SC_B_send(m01_nodes_M_SC_B_SEND),
        .M_SC_R_info(m01_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m01_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m01_nodes_M_SC_R_RECV),
        .M_SC_R_req(m01_nodes_M_SC_R_REQ),
        .M_SC_R_send(m01_nodes_M_SC_R_SEND),
        .M_SC_W_info(m01_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m01_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m01_nodes_M_SC_W_RECV),
        .M_SC_W_req(m01_nodes_M_SC_W_REQ),
        .M_SC_W_send(m01_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_3_INFO),
        .S_SC_AR_payld(S_SC_AR_3_PAYLD),
        .S_SC_AR_recv(S_SC_AR_3_RECV),
        .S_SC_AR_req(S_SC_AR_3_REQ),
        .S_SC_AR_send(S_SC_AR_3_SEND),
        .S_SC_AW_info(S_SC_AW_3_INFO),
        .S_SC_AW_payld(S_SC_AW_3_PAYLD),
        .S_SC_AW_recv(S_SC_AW_3_RECV),
        .S_SC_AW_req(S_SC_AW_3_REQ),
        .S_SC_AW_send(S_SC_AW_3_SEND),
        .S_SC_B_info(S_SC_B_3_INFO),
        .S_SC_B_payld(S_SC_B_3_PAYLD),
        .S_SC_B_recv(S_SC_B_3_RECV),
        .S_SC_B_req(S_SC_B_3_REQ),
        .S_SC_B_send(S_SC_B_3_SEND),
        .S_SC_R_info(S_SC_R_3_INFO),
        .S_SC_R_payld(S_SC_R_3_PAYLD),
        .S_SC_R_recv(S_SC_R_3_RECV),
        .S_SC_R_req(S_SC_R_3_REQ),
        .S_SC_R_send(S_SC_R_3_SEND),
        .S_SC_W_info(S_SC_W_3_INFO),
        .S_SC_W_payld(S_SC_W_3_PAYLD),
        .S_SC_W_recv(S_SC_W_3_RECV),
        .S_SC_W_req(S_SC_W_3_REQ),
        .S_SC_W_send(S_SC_W_3_SEND),
        .m_axi_aclk(clk_map_M01_ACLK),
        .m_axi_aresetn(m_axi_aresetn_2),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01s2a_0 m01_sc2axi
       (.aclk(clk_map_M01_ACLK),
        .m_axi_araddr(m01_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m01_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m01_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m01_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m01_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m01_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m01_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m01_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m01_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m01_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m01_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m01_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m01_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m01_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m01_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m01_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m01_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m01_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m01_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m01_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m01_sc2axi_M_AXI_BID),
        .m_axi_bready(m01_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m01_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m01_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m01_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m01_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m01_sc2axi_M_AXI_RID),
        .m_axi_rlast(m01_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m01_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m01_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m01_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m01_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m01_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m01_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m01_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m01_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m01_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m01_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_3_INFO),
        .m_sc_b_payld(S_SC_B_3_PAYLD),
        .m_sc_b_recv(S_SC_B_3_RECV),
        .m_sc_b_req(S_SC_B_3_REQ),
        .m_sc_b_send(S_SC_B_3_SEND),
        .m_sc_r_info(S_SC_R_3_INFO),
        .m_sc_r_payld(S_SC_R_3_PAYLD),
        .m_sc_r_recv(S_SC_R_3_RECV),
        .m_sc_r_req(S_SC_R_3_REQ),
        .m_sc_r_send(S_SC_R_3_SEND),
        .s_sc_ar_info(m01_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m01_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m01_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m01_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m01_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m01_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m01_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m01_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m01_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m01_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m01_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m01_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m01_nodes_M_SC_W_RECV),
        .s_sc_w_req(m01_nodes_M_SC_W_REQ),
        .s_sc_w_send(m01_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m02_exit_pipeline_imp_1T6SQYR m02_exit_pipeline
       (.aclk(clk_map_M02_ACLK),
        .aresetn(m_axi_aresetn_3),
        .m_axi_araddr(m02_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m02_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m02_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m02_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m02_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m02_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m02_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m02_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m02_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m02_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m02_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m02_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m02_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m02_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m02_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m02_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m02_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m02_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m02_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m02_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m02_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m02_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m02_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m02_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m02_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m02_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m02_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m02_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m02_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m02_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m02_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m02_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m02_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m02_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m02_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m02_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m02_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m02_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m02_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m02_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m02_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m02_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m02_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m02_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m02_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m02_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m02_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m02_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m02_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m02_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m02_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m02_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m02_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m02_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m02_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m02_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m02_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m02_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m02_sc2axi_M_AXI_BID),
        .s_axi_bready(m02_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m02_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m02_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m02_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m02_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m02_sc2axi_M_AXI_RID),
        .s_axi_rlast(m02_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m02_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m02_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m02_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m02_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m02_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m02_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m02_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m02_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m02_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m02_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m02_nodes_imp_WQGEWY m02_nodes
       (.M_SC_AR_info(m02_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m02_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m02_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m02_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m02_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m02_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m02_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m02_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m02_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m02_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m02_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m02_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m02_nodes_M_SC_B_RECV),
        .M_SC_B_req(m02_nodes_M_SC_B_REQ),
        .M_SC_B_send(m02_nodes_M_SC_B_SEND),
        .M_SC_R_info(m02_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m02_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m02_nodes_M_SC_R_RECV),
        .M_SC_R_req(m02_nodes_M_SC_R_REQ),
        .M_SC_R_send(m02_nodes_M_SC_R_SEND),
        .M_SC_W_info(m02_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m02_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m02_nodes_M_SC_W_RECV),
        .M_SC_W_req(m02_nodes_M_SC_W_REQ),
        .M_SC_W_send(m02_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_4_INFO),
        .S_SC_AR_payld(S_SC_AR_4_PAYLD),
        .S_SC_AR_recv(S_SC_AR_4_RECV),
        .S_SC_AR_req(S_SC_AR_4_REQ),
        .S_SC_AR_send(S_SC_AR_4_SEND),
        .S_SC_AW_info(S_SC_AW_4_INFO),
        .S_SC_AW_payld(S_SC_AW_4_PAYLD),
        .S_SC_AW_recv(S_SC_AW_4_RECV),
        .S_SC_AW_req(S_SC_AW_4_REQ),
        .S_SC_AW_send(S_SC_AW_4_SEND),
        .S_SC_B_info(S_SC_B_4_INFO),
        .S_SC_B_payld(S_SC_B_4_PAYLD),
        .S_SC_B_recv(S_SC_B_4_RECV),
        .S_SC_B_req(S_SC_B_4_REQ),
        .S_SC_B_send(S_SC_B_4_SEND),
        .S_SC_R_info(S_SC_R_4_INFO),
        .S_SC_R_payld(S_SC_R_4_PAYLD),
        .S_SC_R_recv(S_SC_R_4_RECV),
        .S_SC_R_req(S_SC_R_4_REQ),
        .S_SC_R_send(S_SC_R_4_SEND),
        .S_SC_W_info(S_SC_W_4_INFO),
        .S_SC_W_payld(S_SC_W_4_PAYLD),
        .S_SC_W_recv(S_SC_W_4_RECV),
        .S_SC_W_req(S_SC_W_4_REQ),
        .S_SC_W_send(S_SC_W_4_SEND),
        .m_axi_aclk(clk_map_M02_ACLK),
        .m_axi_aresetn(m_axi_aresetn_3),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02s2a_0 m02_sc2axi
       (.aclk(clk_map_M02_ACLK),
        .m_axi_araddr(m02_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m02_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m02_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m02_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m02_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m02_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m02_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m02_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m02_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m02_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m02_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m02_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m02_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m02_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m02_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m02_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m02_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m02_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m02_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m02_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m02_sc2axi_M_AXI_BID),
        .m_axi_bready(m02_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m02_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m02_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m02_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m02_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m02_sc2axi_M_AXI_RID),
        .m_axi_rlast(m02_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m02_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m02_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m02_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m02_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m02_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m02_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m02_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m02_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m02_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m02_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_4_INFO),
        .m_sc_b_payld(S_SC_B_4_PAYLD),
        .m_sc_b_recv(S_SC_B_4_RECV),
        .m_sc_b_req(S_SC_B_4_REQ),
        .m_sc_b_send(S_SC_B_4_SEND),
        .m_sc_r_info(S_SC_R_4_INFO),
        .m_sc_r_payld(S_SC_R_4_PAYLD),
        .m_sc_r_recv(S_SC_R_4_RECV),
        .m_sc_r_req(S_SC_R_4_REQ),
        .m_sc_r_send(S_SC_R_4_SEND),
        .s_sc_ar_info(m02_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m02_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m02_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m02_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m02_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m02_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m02_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m02_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m02_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m02_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m02_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m02_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m02_nodes_M_SC_W_RECV),
        .s_sc_w_req(m02_nodes_M_SC_W_REQ),
        .s_sc_w_send(m02_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m03_exit_pipeline_imp_1YFMTDV m03_exit_pipeline
       (.aclk(clk_map_M03_ACLK),
        .aresetn(m_axi_aresetn_4),
        .m_axi_araddr(m03_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m03_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m03_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m03_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m03_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m03_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m03_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m03_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m03_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m03_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m03_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m03_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m03_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m03_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m03_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m03_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m03_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m03_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m03_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m03_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m03_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m03_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m03_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m03_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m03_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m03_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m03_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m03_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m03_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m03_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m03_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m03_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m03_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m03_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m03_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m03_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m03_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m03_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m03_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m03_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m03_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m03_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m03_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m03_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m03_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m03_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m03_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m03_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m03_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m03_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m03_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m03_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m03_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m03_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m03_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m03_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m03_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m03_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m03_sc2axi_M_AXI_BID),
        .s_axi_bready(m03_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m03_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m03_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m03_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m03_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m03_sc2axi_M_AXI_RID),
        .s_axi_rlast(m03_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m03_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m03_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m03_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m03_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m03_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m03_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m03_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m03_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m03_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m03_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m03_nodes_imp_1SMYINO m03_nodes
       (.M_SC_AR_info(m03_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m03_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m03_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m03_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m03_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m03_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m03_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m03_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m03_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m03_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m03_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m03_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m03_nodes_M_SC_B_RECV),
        .M_SC_B_req(m03_nodes_M_SC_B_REQ),
        .M_SC_B_send(m03_nodes_M_SC_B_SEND),
        .M_SC_R_info(m03_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m03_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m03_nodes_M_SC_R_RECV),
        .M_SC_R_req(m03_nodes_M_SC_R_REQ),
        .M_SC_R_send(m03_nodes_M_SC_R_SEND),
        .M_SC_W_info(m03_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m03_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m03_nodes_M_SC_W_RECV),
        .M_SC_W_req(m03_nodes_M_SC_W_REQ),
        .M_SC_W_send(m03_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_5_INFO),
        .S_SC_AR_payld(S_SC_AR_5_PAYLD),
        .S_SC_AR_recv(S_SC_AR_5_RECV),
        .S_SC_AR_req(S_SC_AR_5_REQ),
        .S_SC_AR_send(S_SC_AR_5_SEND),
        .S_SC_AW_info(S_SC_AW_5_INFO),
        .S_SC_AW_payld(S_SC_AW_5_PAYLD),
        .S_SC_AW_recv(S_SC_AW_5_RECV),
        .S_SC_AW_req(S_SC_AW_5_REQ),
        .S_SC_AW_send(S_SC_AW_5_SEND),
        .S_SC_B_info(S_SC_B_5_INFO),
        .S_SC_B_payld(S_SC_B_5_PAYLD),
        .S_SC_B_recv(S_SC_B_5_RECV),
        .S_SC_B_req(S_SC_B_5_REQ),
        .S_SC_B_send(S_SC_B_5_SEND),
        .S_SC_R_info(S_SC_R_5_INFO),
        .S_SC_R_payld(S_SC_R_5_PAYLD),
        .S_SC_R_recv(S_SC_R_5_RECV),
        .S_SC_R_req(S_SC_R_5_REQ),
        .S_SC_R_send(S_SC_R_5_SEND),
        .S_SC_W_info(S_SC_W_5_INFO),
        .S_SC_W_payld(S_SC_W_5_PAYLD),
        .S_SC_W_recv(S_SC_W_5_RECV),
        .S_SC_W_req(S_SC_W_5_REQ),
        .S_SC_W_send(S_SC_W_5_SEND),
        .m_axi_aclk(clk_map_M03_ACLK),
        .m_axi_aresetn(m_axi_aresetn_4),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03s2a_0 m03_sc2axi
       (.aclk(clk_map_M03_ACLK),
        .m_axi_araddr(m03_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m03_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m03_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m03_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m03_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m03_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m03_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m03_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m03_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m03_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m03_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m03_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m03_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m03_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m03_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m03_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m03_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m03_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m03_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m03_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m03_sc2axi_M_AXI_BID),
        .m_axi_bready(m03_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m03_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m03_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m03_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m03_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m03_sc2axi_M_AXI_RID),
        .m_axi_rlast(m03_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m03_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m03_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m03_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m03_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m03_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m03_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m03_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m03_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m03_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m03_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_5_INFO),
        .m_sc_b_payld(S_SC_B_5_PAYLD),
        .m_sc_b_recv(S_SC_B_5_RECV),
        .m_sc_b_req(S_SC_B_5_REQ),
        .m_sc_b_send(S_SC_B_5_SEND),
        .m_sc_r_info(S_SC_R_5_INFO),
        .m_sc_r_payld(S_SC_R_5_PAYLD),
        .m_sc_r_recv(S_SC_R_5_RECV),
        .m_sc_r_req(S_SC_R_5_REQ),
        .m_sc_r_send(S_SC_R_5_SEND),
        .s_sc_ar_info(m03_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m03_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m03_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m03_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m03_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m03_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m03_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m03_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m03_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m03_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m03_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m03_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m03_nodes_M_SC_W_RECV),
        .s_sc_w_req(m03_nodes_M_SC_W_REQ),
        .s_sc_w_send(m03_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m04_exit_pipeline_imp_166BB43 m04_exit_pipeline
       (.aclk(clk_map_M04_ACLK),
        .aresetn(m_axi_aresetn_5),
        .m_axi_araddr(m04_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m04_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m04_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m04_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m04_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m04_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m04_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m04_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m04_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m04_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m04_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m04_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m04_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m04_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m04_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m04_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m04_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m04_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m04_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m04_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m04_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m04_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m04_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m04_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m04_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m04_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m04_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m04_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m04_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m04_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m04_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m04_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m04_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m04_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m04_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m04_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m04_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m04_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m04_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m04_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m04_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m04_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m04_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m04_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m04_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m04_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m04_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m04_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m04_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m04_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m04_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m04_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m04_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m04_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m04_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m04_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m04_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m04_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m04_sc2axi_M_AXI_BID),
        .s_axi_bready(m04_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m04_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m04_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m04_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m04_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m04_sc2axi_M_AXI_RID),
        .s_axi_rlast(m04_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m04_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m04_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m04_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m04_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m04_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m04_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m04_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m04_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m04_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m04_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m04_nodes_imp_136MH4K m04_nodes
       (.M_SC_AR_info(m04_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m04_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m04_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m04_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m04_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m04_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m04_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m04_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m04_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m04_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m04_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m04_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m04_nodes_M_SC_B_RECV),
        .M_SC_B_req(m04_nodes_M_SC_B_REQ),
        .M_SC_B_send(m04_nodes_M_SC_B_SEND),
        .M_SC_R_info(m04_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m04_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m04_nodes_M_SC_R_RECV),
        .M_SC_R_req(m04_nodes_M_SC_R_REQ),
        .M_SC_R_send(m04_nodes_M_SC_R_SEND),
        .M_SC_W_info(m04_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m04_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m04_nodes_M_SC_W_RECV),
        .M_SC_W_req(m04_nodes_M_SC_W_REQ),
        .M_SC_W_send(m04_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_6_INFO),
        .S_SC_AR_payld(S_SC_AR_6_PAYLD),
        .S_SC_AR_recv(S_SC_AR_6_RECV),
        .S_SC_AR_req(S_SC_AR_6_REQ),
        .S_SC_AR_send(S_SC_AR_6_SEND),
        .S_SC_AW_info(S_SC_AW_6_INFO),
        .S_SC_AW_payld(S_SC_AW_6_PAYLD),
        .S_SC_AW_recv(S_SC_AW_6_RECV),
        .S_SC_AW_req(S_SC_AW_6_REQ),
        .S_SC_AW_send(S_SC_AW_6_SEND),
        .S_SC_B_info(S_SC_B_6_INFO),
        .S_SC_B_payld(S_SC_B_6_PAYLD),
        .S_SC_B_recv(S_SC_B_6_RECV),
        .S_SC_B_req(S_SC_B_6_REQ),
        .S_SC_B_send(S_SC_B_6_SEND),
        .S_SC_R_info(S_SC_R_6_INFO),
        .S_SC_R_payld(S_SC_R_6_PAYLD),
        .S_SC_R_recv(S_SC_R_6_RECV),
        .S_SC_R_req(S_SC_R_6_REQ),
        .S_SC_R_send(S_SC_R_6_SEND),
        .S_SC_W_info(S_SC_W_6_INFO),
        .S_SC_W_payld(S_SC_W_6_PAYLD),
        .S_SC_W_recv(S_SC_W_6_RECV),
        .S_SC_W_req(S_SC_W_6_REQ),
        .S_SC_W_send(S_SC_W_6_SEND),
        .m_axi_aclk(clk_map_M04_ACLK),
        .m_axi_aresetn(m_axi_aresetn_5),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04s2a_0 m04_sc2axi
       (.aclk(clk_map_M04_ACLK),
        .m_axi_araddr(m04_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m04_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m04_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m04_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m04_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m04_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m04_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m04_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m04_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m04_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m04_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m04_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m04_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m04_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m04_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m04_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m04_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m04_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m04_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m04_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m04_sc2axi_M_AXI_BID),
        .m_axi_bready(m04_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m04_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m04_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m04_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m04_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m04_sc2axi_M_AXI_RID),
        .m_axi_rlast(m04_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m04_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m04_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m04_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m04_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m04_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m04_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m04_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m04_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m04_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m04_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_6_INFO),
        .m_sc_b_payld(S_SC_B_6_PAYLD),
        .m_sc_b_recv(S_SC_B_6_RECV),
        .m_sc_b_req(S_SC_B_6_REQ),
        .m_sc_b_send(S_SC_B_6_SEND),
        .m_sc_r_info(S_SC_R_6_INFO),
        .m_sc_r_payld(S_SC_R_6_PAYLD),
        .m_sc_r_recv(S_SC_R_6_RECV),
        .m_sc_r_req(S_SC_R_6_REQ),
        .m_sc_r_send(S_SC_R_6_SEND),
        .s_sc_ar_info(m04_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m04_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m04_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m04_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m04_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m04_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m04_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m04_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m04_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m04_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m04_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m04_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m04_nodes_M_SC_W_RECV),
        .s_sc_w_req(m04_nodes_M_SC_W_REQ),
        .s_sc_w_send(m04_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m05_exit_pipeline_imp_13PZCN7 m05_exit_pipeline
       (.aclk(clk_map_M05_ACLK),
        .aresetn(m_axi_aresetn_6),
        .m_axi_araddr(m05_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m05_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m05_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m05_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m05_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m05_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m05_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m05_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m05_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m05_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m05_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m05_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m05_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m05_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m05_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m05_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m05_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m05_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m05_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m05_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m05_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m05_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m05_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m05_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m05_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m05_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m05_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m05_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m05_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m05_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m05_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m05_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m05_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m05_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m05_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m05_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m05_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m05_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m05_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m05_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m05_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m05_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m05_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m05_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m05_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m05_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m05_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m05_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m05_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m05_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m05_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m05_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m05_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m05_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m05_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m05_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m05_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m05_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m05_sc2axi_M_AXI_BID),
        .s_axi_bready(m05_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m05_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m05_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m05_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m05_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m05_sc2axi_M_AXI_RID),
        .s_axi_rlast(m05_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m05_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m05_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m05_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m05_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m05_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m05_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m05_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m05_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m05_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m05_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m05_nodes_imp_4HYYBM m05_nodes
       (.M_SC_AR_info(m05_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m05_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m05_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m05_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m05_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m05_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m05_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m05_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m05_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m05_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m05_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m05_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m05_nodes_M_SC_B_RECV),
        .M_SC_B_req(m05_nodes_M_SC_B_REQ),
        .M_SC_B_send(m05_nodes_M_SC_B_SEND),
        .M_SC_R_info(m05_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m05_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m05_nodes_M_SC_R_RECV),
        .M_SC_R_req(m05_nodes_M_SC_R_REQ),
        .M_SC_R_send(m05_nodes_M_SC_R_SEND),
        .M_SC_W_info(m05_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m05_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m05_nodes_M_SC_W_RECV),
        .M_SC_W_req(m05_nodes_M_SC_W_REQ),
        .M_SC_W_send(m05_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_7_INFO),
        .S_SC_AR_payld(S_SC_AR_7_PAYLD),
        .S_SC_AR_recv(S_SC_AR_7_RECV),
        .S_SC_AR_req(S_SC_AR_7_REQ),
        .S_SC_AR_send(S_SC_AR_7_SEND),
        .S_SC_AW_info(S_SC_AW_7_INFO),
        .S_SC_AW_payld(S_SC_AW_7_PAYLD),
        .S_SC_AW_recv(S_SC_AW_7_RECV),
        .S_SC_AW_req(S_SC_AW_7_REQ),
        .S_SC_AW_send(S_SC_AW_7_SEND),
        .S_SC_B_info(S_SC_B_7_INFO),
        .S_SC_B_payld(S_SC_B_7_PAYLD),
        .S_SC_B_recv(S_SC_B_7_RECV),
        .S_SC_B_req(S_SC_B_7_REQ),
        .S_SC_B_send(S_SC_B_7_SEND),
        .S_SC_R_info(S_SC_R_7_INFO),
        .S_SC_R_payld(S_SC_R_7_PAYLD),
        .S_SC_R_recv(S_SC_R_7_RECV),
        .S_SC_R_req(S_SC_R_7_REQ),
        .S_SC_R_send(S_SC_R_7_SEND),
        .S_SC_W_info(S_SC_W_7_INFO),
        .S_SC_W_payld(S_SC_W_7_PAYLD),
        .S_SC_W_recv(S_SC_W_7_RECV),
        .S_SC_W_req(S_SC_W_7_REQ),
        .S_SC_W_send(S_SC_W_7_SEND),
        .m_axi_aclk(clk_map_M05_ACLK),
        .m_axi_aresetn(m_axi_aresetn_6),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05s2a_0 m05_sc2axi
       (.aclk(clk_map_M05_ACLK),
        .m_axi_araddr(m05_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m05_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m05_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m05_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m05_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m05_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m05_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m05_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m05_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m05_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m05_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m05_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m05_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m05_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m05_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m05_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m05_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m05_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m05_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m05_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m05_sc2axi_M_AXI_BID),
        .m_axi_bready(m05_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m05_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m05_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m05_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m05_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m05_sc2axi_M_AXI_RID),
        .m_axi_rlast(m05_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m05_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m05_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m05_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m05_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m05_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m05_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m05_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m05_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m05_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m05_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_7_INFO),
        .m_sc_b_payld(S_SC_B_7_PAYLD),
        .m_sc_b_recv(S_SC_B_7_RECV),
        .m_sc_b_req(S_SC_B_7_REQ),
        .m_sc_b_send(S_SC_B_7_SEND),
        .m_sc_r_info(S_SC_R_7_INFO),
        .m_sc_r_payld(S_SC_R_7_PAYLD),
        .m_sc_r_recv(S_SC_R_7_RECV),
        .m_sc_r_req(S_SC_R_7_REQ),
        .m_sc_r_send(S_SC_R_7_SEND),
        .s_sc_ar_info(m05_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m05_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m05_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m05_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m05_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m05_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m05_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m05_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m05_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m05_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m05_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m05_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m05_nodes_M_SC_W_RECV),
        .s_sc_w_req(m05_nodes_M_SC_W_REQ),
        .s_sc_w_send(m05_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m06_exit_pipeline_imp_1EL33PF m06_exit_pipeline
       (.aclk(clk_map_M06_ACLK),
        .aresetn(m_axi_aresetn_7),
        .m_axi_araddr(m06_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m06_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m06_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m06_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m06_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m06_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m06_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m06_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m06_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m06_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m06_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m06_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m06_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m06_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m06_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m06_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m06_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m06_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m06_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m06_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m06_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m06_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m06_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m06_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m06_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m06_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m06_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m06_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m06_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m06_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m06_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m06_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m06_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m06_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m06_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m06_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m06_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m06_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m06_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m06_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m06_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m06_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m06_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m06_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m06_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m06_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m06_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m06_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m06_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m06_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m06_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m06_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m06_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m06_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m06_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m06_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m06_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m06_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m06_sc2axi_M_AXI_BID),
        .s_axi_bready(m06_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m06_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m06_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m06_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m06_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m06_sc2axi_M_AXI_RID),
        .s_axi_rlast(m06_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m06_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m06_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m06_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m06_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m06_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m06_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m06_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m06_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m06_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m06_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m06_nodes_imp_U24ZH5 m06_nodes
       (.M_SC_AR_info(m06_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m06_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m06_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m06_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m06_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m06_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m06_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m06_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m06_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m06_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m06_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m06_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m06_nodes_M_SC_B_RECV),
        .M_SC_B_req(m06_nodes_M_SC_B_REQ),
        .M_SC_B_send(m06_nodes_M_SC_B_SEND),
        .M_SC_R_info(m06_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m06_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m06_nodes_M_SC_R_RECV),
        .M_SC_R_req(m06_nodes_M_SC_R_REQ),
        .M_SC_R_send(m06_nodes_M_SC_R_SEND),
        .M_SC_W_info(m06_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m06_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m06_nodes_M_SC_W_RECV),
        .M_SC_W_req(m06_nodes_M_SC_W_REQ),
        .M_SC_W_send(m06_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_8_INFO),
        .S_SC_AR_payld(S_SC_AR_8_PAYLD),
        .S_SC_AR_recv(S_SC_AR_8_RECV),
        .S_SC_AR_req(S_SC_AR_8_REQ),
        .S_SC_AR_send(S_SC_AR_8_SEND),
        .S_SC_AW_info(S_SC_AW_8_INFO),
        .S_SC_AW_payld(S_SC_AW_8_PAYLD),
        .S_SC_AW_recv(S_SC_AW_8_RECV),
        .S_SC_AW_req(S_SC_AW_8_REQ),
        .S_SC_AW_send(S_SC_AW_8_SEND),
        .S_SC_B_info(S_SC_B_8_INFO),
        .S_SC_B_payld(S_SC_B_8_PAYLD),
        .S_SC_B_recv(S_SC_B_8_RECV),
        .S_SC_B_req(S_SC_B_8_REQ),
        .S_SC_B_send(S_SC_B_8_SEND),
        .S_SC_R_info(S_SC_R_8_INFO),
        .S_SC_R_payld(S_SC_R_8_PAYLD),
        .S_SC_R_recv(S_SC_R_8_RECV),
        .S_SC_R_req(S_SC_R_8_REQ),
        .S_SC_R_send(S_SC_R_8_SEND),
        .S_SC_W_info(S_SC_W_8_INFO),
        .S_SC_W_payld(S_SC_W_8_PAYLD),
        .S_SC_W_recv(S_SC_W_8_RECV),
        .S_SC_W_req(S_SC_W_8_REQ),
        .S_SC_W_send(S_SC_W_8_SEND),
        .m_axi_aclk(clk_map_M06_ACLK),
        .m_axi_aresetn(m_axi_aresetn_7),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06s2a_0 m06_sc2axi
       (.aclk(clk_map_M06_ACLK),
        .m_axi_araddr(m06_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m06_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m06_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m06_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m06_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m06_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m06_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m06_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m06_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m06_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m06_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m06_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m06_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m06_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m06_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m06_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m06_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m06_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m06_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m06_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m06_sc2axi_M_AXI_BID),
        .m_axi_bready(m06_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m06_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m06_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m06_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m06_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m06_sc2axi_M_AXI_RID),
        .m_axi_rlast(m06_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m06_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m06_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m06_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m06_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m06_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m06_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m06_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m06_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m06_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m06_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_8_INFO),
        .m_sc_b_payld(S_SC_B_8_PAYLD),
        .m_sc_b_recv(S_SC_B_8_RECV),
        .m_sc_b_req(S_SC_B_8_REQ),
        .m_sc_b_send(S_SC_B_8_SEND),
        .m_sc_r_info(S_SC_R_8_INFO),
        .m_sc_r_payld(S_SC_R_8_PAYLD),
        .m_sc_r_recv(S_SC_R_8_RECV),
        .m_sc_r_req(S_SC_R_8_REQ),
        .m_sc_r_send(S_SC_R_8_SEND),
        .s_sc_ar_info(m06_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m06_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m06_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m06_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m06_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m06_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m06_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m06_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m06_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m06_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m06_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m06_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m06_nodes_M_SC_W_RECV),
        .s_sc_w_req(m06_nodes_M_SC_W_REQ),
        .s_sc_w_send(m06_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m07_exit_pipeline_imp_18SVB5V m07_exit_pipeline
       (.aclk(clk_map_M07_ACLK),
        .aresetn(m_axi_aresetn_8),
        .m_axi_araddr(m07_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m07_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m07_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m07_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m07_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m07_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m07_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m07_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m07_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m07_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m07_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m07_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m07_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m07_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m07_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m07_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m07_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m07_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m07_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m07_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m07_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m07_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m07_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m07_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m07_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m07_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m07_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m07_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m07_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m07_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m07_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m07_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m07_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m07_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m07_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m07_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m07_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m07_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m07_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m07_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m07_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m07_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m07_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m07_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m07_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m07_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m07_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m07_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m07_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m07_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m07_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m07_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m07_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m07_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m07_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m07_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m07_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m07_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m07_sc2axi_M_AXI_BID),
        .s_axi_bready(m07_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m07_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m07_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m07_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m07_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m07_sc2axi_M_AXI_RID),
        .s_axi_rlast(m07_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m07_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m07_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m07_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m07_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m07_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m07_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m07_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m07_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m07_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m07_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m07_nodes_imp_1UYSFLB m07_nodes
       (.M_SC_AR_info(m07_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m07_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m07_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m07_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m07_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m07_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m07_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m07_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m07_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m07_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m07_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m07_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m07_nodes_M_SC_B_RECV),
        .M_SC_B_req(m07_nodes_M_SC_B_REQ),
        .M_SC_B_send(m07_nodes_M_SC_B_SEND),
        .M_SC_R_info(m07_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m07_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m07_nodes_M_SC_R_RECV),
        .M_SC_R_req(m07_nodes_M_SC_R_REQ),
        .M_SC_R_send(m07_nodes_M_SC_R_SEND),
        .M_SC_W_info(m07_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m07_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m07_nodes_M_SC_W_RECV),
        .M_SC_W_req(m07_nodes_M_SC_W_REQ),
        .M_SC_W_send(m07_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_9_INFO),
        .S_SC_AR_payld(S_SC_AR_9_PAYLD),
        .S_SC_AR_recv(S_SC_AR_9_RECV),
        .S_SC_AR_req(S_SC_AR_9_REQ),
        .S_SC_AR_send(S_SC_AR_9_SEND),
        .S_SC_AW_info(S_SC_AW_9_INFO),
        .S_SC_AW_payld(S_SC_AW_9_PAYLD),
        .S_SC_AW_recv(S_SC_AW_9_RECV),
        .S_SC_AW_req(S_SC_AW_9_REQ),
        .S_SC_AW_send(S_SC_AW_9_SEND),
        .S_SC_B_info(S_SC_B_9_INFO),
        .S_SC_B_payld(S_SC_B_9_PAYLD),
        .S_SC_B_recv(S_SC_B_9_RECV),
        .S_SC_B_req(S_SC_B_9_REQ),
        .S_SC_B_send(S_SC_B_9_SEND),
        .S_SC_R_info(S_SC_R_9_INFO),
        .S_SC_R_payld(S_SC_R_9_PAYLD),
        .S_SC_R_recv(S_SC_R_9_RECV),
        .S_SC_R_req(S_SC_R_9_REQ),
        .S_SC_R_send(S_SC_R_9_SEND),
        .S_SC_W_info(S_SC_W_9_INFO),
        .S_SC_W_payld(S_SC_W_9_PAYLD),
        .S_SC_W_recv(S_SC_W_9_RECV),
        .S_SC_W_req(S_SC_W_9_REQ),
        .S_SC_W_send(S_SC_W_9_SEND),
        .m_axi_aclk(clk_map_M07_ACLK),
        .m_axi_aresetn(m_axi_aresetn_8),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07s2a_0 m07_sc2axi
       (.aclk(clk_map_M07_ACLK),
        .m_axi_araddr(m07_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m07_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m07_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m07_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m07_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m07_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m07_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m07_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m07_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m07_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m07_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m07_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m07_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m07_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m07_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m07_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m07_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m07_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m07_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m07_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m07_sc2axi_M_AXI_BID),
        .m_axi_bready(m07_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m07_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m07_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m07_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m07_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m07_sc2axi_M_AXI_RID),
        .m_axi_rlast(m07_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m07_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m07_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m07_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m07_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m07_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m07_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m07_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m07_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m07_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m07_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_9_INFO),
        .m_sc_b_payld(S_SC_B_9_PAYLD),
        .m_sc_b_recv(S_SC_B_9_RECV),
        .m_sc_b_req(S_SC_B_9_REQ),
        .m_sc_b_send(S_SC_B_9_SEND),
        .m_sc_r_info(S_SC_R_9_INFO),
        .m_sc_r_payld(S_SC_R_9_PAYLD),
        .m_sc_r_recv(S_SC_R_9_RECV),
        .m_sc_r_req(S_SC_R_9_REQ),
        .m_sc_r_send(S_SC_R_9_SEND),
        .s_sc_ar_info(m07_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m07_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m07_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m07_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m07_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m07_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m07_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m07_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m07_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m07_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m07_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m07_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m07_nodes_M_SC_W_RECV),
        .s_sc_w_req(m07_nodes_M_SC_W_REQ),
        .s_sc_w_send(m07_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m08_exit_pipeline_imp_YXERYB m08_exit_pipeline
       (.aclk(clk_map_M08_ACLK),
        .aresetn(m_axi_aresetn_9),
        .m_axi_araddr(m08_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m08_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m08_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m08_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m08_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m08_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m08_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m08_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m08_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m08_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m08_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m08_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m08_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m08_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m08_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m08_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m08_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m08_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m08_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m08_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m08_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m08_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m08_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m08_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m08_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m08_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m08_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m08_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m08_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m08_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m08_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m08_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m08_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m08_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m08_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m08_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m08_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m08_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m08_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m08_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m08_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m08_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m08_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m08_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m08_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m08_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m08_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m08_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m08_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m08_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m08_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m08_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m08_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m08_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m08_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m08_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m08_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m08_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m08_sc2axi_M_AXI_BID),
        .s_axi_bready(m08_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m08_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m08_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m08_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m08_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m08_sc2axi_M_AXI_RID),
        .s_axi_rlast(m08_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m08_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m08_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m08_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m08_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m08_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m08_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m08_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m08_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m08_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m08_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m08_nodes_imp_1AK4LQX m08_nodes
       (.M_SC_AR_info(m08_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m08_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m08_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m08_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m08_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m08_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m08_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m08_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m08_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m08_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m08_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m08_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m08_nodes_M_SC_B_RECV),
        .M_SC_B_req(m08_nodes_M_SC_B_REQ),
        .M_SC_B_send(m08_nodes_M_SC_B_SEND),
        .M_SC_R_info(m08_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m08_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m08_nodes_M_SC_R_RECV),
        .M_SC_R_req(m08_nodes_M_SC_R_REQ),
        .M_SC_R_send(m08_nodes_M_SC_R_SEND),
        .M_SC_W_info(m08_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m08_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m08_nodes_M_SC_W_RECV),
        .M_SC_W_req(m08_nodes_M_SC_W_REQ),
        .M_SC_W_send(m08_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_10_INFO),
        .S_SC_AR_payld(S_SC_AR_10_PAYLD),
        .S_SC_AR_recv(S_SC_AR_10_RECV),
        .S_SC_AR_req(S_SC_AR_10_REQ),
        .S_SC_AR_send(S_SC_AR_10_SEND),
        .S_SC_AW_info(S_SC_AW_10_INFO),
        .S_SC_AW_payld(S_SC_AW_10_PAYLD),
        .S_SC_AW_recv(S_SC_AW_10_RECV),
        .S_SC_AW_req(S_SC_AW_10_REQ),
        .S_SC_AW_send(S_SC_AW_10_SEND),
        .S_SC_B_info(S_SC_B_10_INFO),
        .S_SC_B_payld(S_SC_B_10_PAYLD),
        .S_SC_B_recv(S_SC_B_10_RECV),
        .S_SC_B_req(S_SC_B_10_REQ),
        .S_SC_B_send(S_SC_B_10_SEND),
        .S_SC_R_info(S_SC_R_10_INFO),
        .S_SC_R_payld(S_SC_R_10_PAYLD),
        .S_SC_R_recv(S_SC_R_10_RECV),
        .S_SC_R_req(S_SC_R_10_REQ),
        .S_SC_R_send(S_SC_R_10_SEND),
        .S_SC_W_info(S_SC_W_10_INFO),
        .S_SC_W_payld(S_SC_W_10_PAYLD),
        .S_SC_W_recv(S_SC_W_10_RECV),
        .S_SC_W_req(S_SC_W_10_REQ),
        .S_SC_W_send(S_SC_W_10_SEND),
        .m_axi_aclk(clk_map_M08_ACLK),
        .m_axi_aresetn(m_axi_aresetn_9),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08s2a_0 m08_sc2axi
       (.aclk(clk_map_M08_ACLK),
        .m_axi_araddr(m08_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m08_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m08_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m08_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m08_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m08_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m08_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m08_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m08_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m08_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m08_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m08_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m08_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m08_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m08_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m08_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m08_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m08_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m08_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m08_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m08_sc2axi_M_AXI_BID),
        .m_axi_bready(m08_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m08_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m08_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m08_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m08_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m08_sc2axi_M_AXI_RID),
        .m_axi_rlast(m08_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m08_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m08_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m08_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m08_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m08_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m08_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m08_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m08_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m08_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m08_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_10_INFO),
        .m_sc_b_payld(S_SC_B_10_PAYLD),
        .m_sc_b_recv(S_SC_B_10_RECV),
        .m_sc_b_req(S_SC_B_10_REQ),
        .m_sc_b_send(S_SC_B_10_SEND),
        .m_sc_r_info(S_SC_R_10_INFO),
        .m_sc_r_payld(S_SC_R_10_PAYLD),
        .m_sc_r_recv(S_SC_R_10_RECV),
        .m_sc_r_req(S_SC_R_10_REQ),
        .m_sc_r_send(S_SC_R_10_SEND),
        .s_sc_ar_info(m08_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m08_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m08_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m08_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m08_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m08_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m08_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m08_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m08_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m08_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m08_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m08_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m08_nodes_M_SC_W_RECV),
        .s_sc_w_req(m08_nodes_M_SC_W_REQ),
        .s_sc_w_send(m08_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m09_exit_pipeline_imp_TMPADF m09_exit_pipeline
       (.aclk(clk_map_M09_ACLK),
        .aresetn(m_axi_aresetn_10),
        .m_axi_araddr(m09_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m09_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m09_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m09_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m09_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m09_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m09_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m09_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m09_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m09_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m09_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m09_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m09_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m09_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m09_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m09_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m09_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m09_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m09_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m09_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m09_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m09_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m09_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m09_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m09_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m09_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m09_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m09_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m09_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m09_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m09_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m09_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m09_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m09_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m09_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m09_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m09_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m09_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m09_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m09_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m09_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m09_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m09_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m09_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m09_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m09_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m09_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m09_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m09_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m09_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m09_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m09_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m09_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m09_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m09_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m09_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m09_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m09_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m09_sc2axi_M_AXI_BID),
        .s_axi_bready(m09_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m09_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m09_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m09_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m09_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m09_sc2axi_M_AXI_RID),
        .s_axi_rlast(m09_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m09_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m09_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m09_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m09_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m09_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m09_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m09_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m09_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m09_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m09_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m09_nodes_imp_GAXXM7 m09_nodes
       (.M_SC_AR_info(m09_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m09_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m09_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m09_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m09_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m09_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m09_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m09_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m09_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m09_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m09_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m09_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m09_nodes_M_SC_B_RECV),
        .M_SC_B_req(m09_nodes_M_SC_B_REQ),
        .M_SC_B_send(m09_nodes_M_SC_B_SEND),
        .M_SC_R_info(m09_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m09_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m09_nodes_M_SC_R_RECV),
        .M_SC_R_req(m09_nodes_M_SC_R_REQ),
        .M_SC_R_send(m09_nodes_M_SC_R_SEND),
        .M_SC_W_info(m09_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m09_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m09_nodes_M_SC_W_RECV),
        .M_SC_W_req(m09_nodes_M_SC_W_REQ),
        .M_SC_W_send(m09_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_11_INFO),
        .S_SC_AR_payld(S_SC_AR_11_PAYLD),
        .S_SC_AR_recv(S_SC_AR_11_RECV),
        .S_SC_AR_req(S_SC_AR_11_REQ),
        .S_SC_AR_send(S_SC_AR_11_SEND),
        .S_SC_AW_info(S_SC_AW_11_INFO),
        .S_SC_AW_payld(S_SC_AW_11_PAYLD),
        .S_SC_AW_recv(S_SC_AW_11_RECV),
        .S_SC_AW_req(S_SC_AW_11_REQ),
        .S_SC_AW_send(S_SC_AW_11_SEND),
        .S_SC_B_info(S_SC_B_11_INFO),
        .S_SC_B_payld(S_SC_B_11_PAYLD),
        .S_SC_B_recv(S_SC_B_11_RECV),
        .S_SC_B_req(S_SC_B_11_REQ),
        .S_SC_B_send(S_SC_B_11_SEND),
        .S_SC_R_info(S_SC_R_11_INFO),
        .S_SC_R_payld(S_SC_R_11_PAYLD),
        .S_SC_R_recv(S_SC_R_11_RECV),
        .S_SC_R_req(S_SC_R_11_REQ),
        .S_SC_R_send(S_SC_R_11_SEND),
        .S_SC_W_info(S_SC_W_11_INFO),
        .S_SC_W_payld(S_SC_W_11_PAYLD),
        .S_SC_W_recv(S_SC_W_11_RECV),
        .S_SC_W_req(S_SC_W_11_REQ),
        .S_SC_W_send(S_SC_W_11_SEND),
        .m_axi_aclk(clk_map_M09_ACLK),
        .m_axi_aresetn(m_axi_aresetn_10),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09s2a_0 m09_sc2axi
       (.aclk(clk_map_M09_ACLK),
        .m_axi_araddr(m09_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m09_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m09_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m09_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m09_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m09_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m09_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m09_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m09_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m09_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m09_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m09_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m09_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m09_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m09_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m09_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m09_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m09_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m09_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m09_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m09_sc2axi_M_AXI_BID),
        .m_axi_bready(m09_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m09_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m09_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m09_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m09_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m09_sc2axi_M_AXI_RID),
        .m_axi_rlast(m09_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m09_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m09_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m09_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m09_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m09_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m09_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m09_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m09_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m09_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m09_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_11_INFO),
        .m_sc_b_payld(S_SC_B_11_PAYLD),
        .m_sc_b_recv(S_SC_B_11_RECV),
        .m_sc_b_req(S_SC_B_11_REQ),
        .m_sc_b_send(S_SC_B_11_SEND),
        .m_sc_r_info(S_SC_R_11_INFO),
        .m_sc_r_payld(S_SC_R_11_PAYLD),
        .m_sc_r_recv(S_SC_R_11_RECV),
        .m_sc_r_req(S_SC_R_11_REQ),
        .m_sc_r_send(S_SC_R_11_SEND),
        .s_sc_ar_info(m09_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m09_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m09_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m09_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m09_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m09_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m09_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m09_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m09_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m09_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m09_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m09_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m09_nodes_M_SC_W_RECV),
        .s_sc_w_req(m09_nodes_M_SC_W_REQ),
        .s_sc_w_send(m09_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m10_exit_pipeline_imp_QL5H3R m10_exit_pipeline
       (.aclk(clk_map_M10_ACLK),
        .aresetn(m_axi_aresetn_11),
        .m_axi_araddr(m10_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m10_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m10_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m10_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m10_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m10_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m10_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m10_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m10_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m10_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m10_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m10_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m10_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m10_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m10_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m10_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m10_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m10_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m10_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m10_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m10_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m10_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m10_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m10_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m10_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m10_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m10_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m10_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m10_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m10_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m10_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m10_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m10_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m10_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m10_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m10_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m10_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m10_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m10_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m10_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m10_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m10_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m10_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m10_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m10_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m10_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m10_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m10_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m10_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m10_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m10_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m10_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m10_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m10_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m10_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m10_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m10_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m10_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m10_sc2axi_M_AXI_BID),
        .s_axi_bready(m10_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m10_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m10_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m10_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m10_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m10_sc2axi_M_AXI_RID),
        .s_axi_rlast(m10_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m10_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m10_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m10_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m10_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m10_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m10_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m10_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m10_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m10_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m10_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m10_nodes_imp_CLUH1J m10_nodes
       (.M_SC_AR_info(m10_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m10_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m10_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m10_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m10_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m10_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m10_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m10_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m10_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m10_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m10_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m10_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m10_nodes_M_SC_B_RECV),
        .M_SC_B_req(m10_nodes_M_SC_B_REQ),
        .M_SC_B_send(m10_nodes_M_SC_B_SEND),
        .M_SC_R_info(m10_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m10_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m10_nodes_M_SC_R_RECV),
        .M_SC_R_req(m10_nodes_M_SC_R_REQ),
        .M_SC_R_send(m10_nodes_M_SC_R_SEND),
        .M_SC_W_info(m10_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m10_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m10_nodes_M_SC_W_RECV),
        .M_SC_W_req(m10_nodes_M_SC_W_REQ),
        .M_SC_W_send(m10_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_12_INFO),
        .S_SC_AR_payld(S_SC_AR_12_PAYLD),
        .S_SC_AR_recv(S_SC_AR_12_RECV),
        .S_SC_AR_req(S_SC_AR_12_REQ),
        .S_SC_AR_send(S_SC_AR_12_SEND),
        .S_SC_AW_info(S_SC_AW_12_INFO),
        .S_SC_AW_payld(S_SC_AW_12_PAYLD),
        .S_SC_AW_recv(S_SC_AW_12_RECV),
        .S_SC_AW_req(S_SC_AW_12_REQ),
        .S_SC_AW_send(S_SC_AW_12_SEND),
        .S_SC_B_info(S_SC_B_12_INFO),
        .S_SC_B_payld(S_SC_B_12_PAYLD),
        .S_SC_B_recv(S_SC_B_12_RECV),
        .S_SC_B_req(S_SC_B_12_REQ),
        .S_SC_B_send(S_SC_B_12_SEND),
        .S_SC_R_info(S_SC_R_12_INFO),
        .S_SC_R_payld(S_SC_R_12_PAYLD),
        .S_SC_R_recv(S_SC_R_12_RECV),
        .S_SC_R_req(S_SC_R_12_REQ),
        .S_SC_R_send(S_SC_R_12_SEND),
        .S_SC_W_info(S_SC_W_12_INFO),
        .S_SC_W_payld(S_SC_W_12_PAYLD),
        .S_SC_W_recv(S_SC_W_12_RECV),
        .S_SC_W_req(S_SC_W_12_REQ),
        .S_SC_W_send(S_SC_W_12_SEND),
        .m_axi_aclk(clk_map_M10_ACLK),
        .m_axi_aresetn(m_axi_aresetn_11),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10s2a_0 m10_sc2axi
       (.aclk(clk_map_M10_ACLK),
        .m_axi_araddr(m10_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m10_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m10_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m10_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m10_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m10_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m10_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m10_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m10_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m10_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m10_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m10_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m10_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m10_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m10_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m10_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m10_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m10_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m10_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m10_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m10_sc2axi_M_AXI_BID),
        .m_axi_bready(m10_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m10_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m10_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m10_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m10_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m10_sc2axi_M_AXI_RID),
        .m_axi_rlast(m10_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m10_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m10_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m10_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m10_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m10_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m10_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m10_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m10_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m10_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m10_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_12_INFO),
        .m_sc_b_payld(S_SC_B_12_PAYLD),
        .m_sc_b_recv(S_SC_B_12_RECV),
        .m_sc_b_req(S_SC_B_12_REQ),
        .m_sc_b_send(S_SC_B_12_SEND),
        .m_sc_r_info(S_SC_R_12_INFO),
        .m_sc_r_payld(S_SC_R_12_PAYLD),
        .m_sc_r_recv(S_SC_R_12_RECV),
        .m_sc_r_req(S_SC_R_12_REQ),
        .m_sc_r_send(S_SC_R_12_SEND),
        .s_sc_ar_info(m10_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m10_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m10_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m10_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m10_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m10_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m10_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m10_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m10_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m10_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m10_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m10_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m10_nodes_M_SC_W_RECV),
        .s_sc_w_req(m10_nodes_M_SC_W_REQ),
        .s_sc_w_send(m10_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m11_exit_pipeline_imp_K8YUC7 m11_exit_pipeline
       (.aclk(clk_map_M11_ACLK),
        .aresetn(m_axi_aresetn_12),
        .m_axi_araddr(m11_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m11_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m11_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m11_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m11_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m11_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m11_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m11_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m11_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m11_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m11_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m11_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m11_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m11_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m11_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m11_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m11_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m11_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m11_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m11_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m11_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m11_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m11_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m11_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m11_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m11_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m11_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m11_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m11_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m11_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m11_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m11_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m11_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m11_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m11_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m11_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m11_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m11_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m11_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m11_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m11_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m11_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m11_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m11_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m11_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m11_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m11_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m11_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m11_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m11_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m11_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m11_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m11_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m11_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m11_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m11_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m11_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m11_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m11_sc2axi_M_AXI_BID),
        .s_axi_bready(m11_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m11_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m11_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m11_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m11_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m11_sc2axi_M_AXI_RID),
        .s_axi_rlast(m11_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m11_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m11_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m11_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m11_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m11_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m11_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m11_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m11_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m11_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m11_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m11_nodes_imp_1CXS1IP m11_nodes
       (.M_SC_AR_info(m11_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m11_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m11_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m11_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m11_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m11_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m11_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m11_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m11_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m11_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m11_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m11_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m11_nodes_M_SC_B_RECV),
        .M_SC_B_req(m11_nodes_M_SC_B_REQ),
        .M_SC_B_send(m11_nodes_M_SC_B_SEND),
        .M_SC_R_info(m11_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m11_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m11_nodes_M_SC_R_RECV),
        .M_SC_R_req(m11_nodes_M_SC_R_REQ),
        .M_SC_R_send(m11_nodes_M_SC_R_SEND),
        .M_SC_W_info(m11_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m11_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m11_nodes_M_SC_W_RECV),
        .M_SC_W_req(m11_nodes_M_SC_W_REQ),
        .M_SC_W_send(m11_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_13_INFO),
        .S_SC_AR_payld(S_SC_AR_13_PAYLD),
        .S_SC_AR_recv(S_SC_AR_13_RECV),
        .S_SC_AR_req(S_SC_AR_13_REQ),
        .S_SC_AR_send(S_SC_AR_13_SEND),
        .S_SC_AW_info(S_SC_AW_13_INFO),
        .S_SC_AW_payld(S_SC_AW_13_PAYLD),
        .S_SC_AW_recv(S_SC_AW_13_RECV),
        .S_SC_AW_req(S_SC_AW_13_REQ),
        .S_SC_AW_send(S_SC_AW_13_SEND),
        .S_SC_B_info(S_SC_B_13_INFO),
        .S_SC_B_payld(S_SC_B_13_PAYLD),
        .S_SC_B_recv(S_SC_B_13_RECV),
        .S_SC_B_req(S_SC_B_13_REQ),
        .S_SC_B_send(S_SC_B_13_SEND),
        .S_SC_R_info(S_SC_R_13_INFO),
        .S_SC_R_payld(S_SC_R_13_PAYLD),
        .S_SC_R_recv(S_SC_R_13_RECV),
        .S_SC_R_req(S_SC_R_13_REQ),
        .S_SC_R_send(S_SC_R_13_SEND),
        .S_SC_W_info(S_SC_W_13_INFO),
        .S_SC_W_payld(S_SC_W_13_PAYLD),
        .S_SC_W_recv(S_SC_W_13_RECV),
        .S_SC_W_req(S_SC_W_13_REQ),
        .S_SC_W_send(S_SC_W_13_SEND),
        .m_axi_aclk(clk_map_M11_ACLK),
        .m_axi_aresetn(m_axi_aresetn_12),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11s2a_0 m11_sc2axi
       (.aclk(clk_map_M11_ACLK),
        .m_axi_araddr(m11_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m11_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m11_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m11_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m11_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m11_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m11_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m11_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m11_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m11_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m11_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m11_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m11_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m11_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m11_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m11_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m11_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m11_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m11_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m11_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m11_sc2axi_M_AXI_BID),
        .m_axi_bready(m11_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m11_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m11_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m11_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m11_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m11_sc2axi_M_AXI_RID),
        .m_axi_rlast(m11_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m11_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m11_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m11_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m11_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m11_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m11_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m11_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m11_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m11_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m11_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_13_INFO),
        .m_sc_b_payld(S_SC_B_13_PAYLD),
        .m_sc_b_recv(S_SC_B_13_RECV),
        .m_sc_b_req(S_SC_B_13_REQ),
        .m_sc_b_send(S_SC_B_13_SEND),
        .m_sc_r_info(S_SC_R_13_INFO),
        .m_sc_r_payld(S_SC_R_13_PAYLD),
        .m_sc_r_recv(S_SC_R_13_RECV),
        .m_sc_r_req(S_SC_R_13_REQ),
        .m_sc_r_send(S_SC_R_13_SEND),
        .s_sc_ar_info(m11_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m11_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m11_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m11_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m11_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m11_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m11_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m11_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m11_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m11_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m11_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m11_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m11_nodes_M_SC_W_RECV),
        .s_sc_w_req(m11_nodes_M_SC_W_REQ),
        .s_sc_w_send(m11_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m12_exit_pipeline_imp_VHSSBB m12_exit_pipeline
       (.aclk(clk_map_M12_ACLK),
        .aresetn(m_axi_aresetn_13),
        .m_axi_araddr(m12_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m12_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m12_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m12_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m12_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m12_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m12_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m12_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m12_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m12_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m12_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m12_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m12_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m12_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m12_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m12_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m12_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m12_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m12_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m12_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m12_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m12_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m12_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m12_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m12_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m12_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m12_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m12_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m12_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m12_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m12_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m12_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m12_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m12_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m12_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m12_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m12_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m12_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m12_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m12_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m12_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m12_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m12_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m12_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m12_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m12_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m12_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m12_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m12_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m12_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m12_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m12_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m12_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m12_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m12_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m12_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m12_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m12_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m12_sc2axi_M_AXI_BID),
        .s_axi_bready(m12_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m12_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m12_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m12_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m12_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m12_sc2axi_M_AXI_RID),
        .s_axi_rlast(m12_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m12_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m12_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m12_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m12_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m12_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m12_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m12_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m12_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m12_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m12_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m12_nodes_imp_1KLR0X6 m12_nodes
       (.M_SC_AR_info(m12_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m12_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m12_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m12_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m12_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m12_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m12_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m12_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m12_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m12_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m12_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m12_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m12_nodes_M_SC_B_RECV),
        .M_SC_B_req(m12_nodes_M_SC_B_REQ),
        .M_SC_B_send(m12_nodes_M_SC_B_SEND),
        .M_SC_R_info(m12_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m12_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m12_nodes_M_SC_R_RECV),
        .M_SC_R_req(m12_nodes_M_SC_R_REQ),
        .M_SC_R_send(m12_nodes_M_SC_R_SEND),
        .M_SC_W_info(m12_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m12_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m12_nodes_M_SC_W_RECV),
        .M_SC_W_req(m12_nodes_M_SC_W_REQ),
        .M_SC_W_send(m12_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_14_INFO),
        .S_SC_AR_payld(S_SC_AR_14_PAYLD),
        .S_SC_AR_recv(S_SC_AR_14_RECV),
        .S_SC_AR_req(S_SC_AR_14_REQ),
        .S_SC_AR_send(S_SC_AR_14_SEND),
        .S_SC_AW_info(S_SC_AW_14_INFO),
        .S_SC_AW_payld(S_SC_AW_14_PAYLD),
        .S_SC_AW_recv(S_SC_AW_14_RECV),
        .S_SC_AW_req(S_SC_AW_14_REQ),
        .S_SC_AW_send(S_SC_AW_14_SEND),
        .S_SC_B_info(S_SC_B_14_INFO),
        .S_SC_B_payld(S_SC_B_14_PAYLD),
        .S_SC_B_recv(S_SC_B_14_RECV),
        .S_SC_B_req(S_SC_B_14_REQ),
        .S_SC_B_send(S_SC_B_14_SEND),
        .S_SC_R_info(S_SC_R_14_INFO),
        .S_SC_R_payld(S_SC_R_14_PAYLD),
        .S_SC_R_recv(S_SC_R_14_RECV),
        .S_SC_R_req(S_SC_R_14_REQ),
        .S_SC_R_send(S_SC_R_14_SEND),
        .S_SC_W_info(S_SC_W_14_INFO),
        .S_SC_W_payld(S_SC_W_14_PAYLD),
        .S_SC_W_recv(S_SC_W_14_RECV),
        .S_SC_W_req(S_SC_W_14_REQ),
        .S_SC_W_send(S_SC_W_14_SEND),
        .m_axi_aclk(clk_map_M12_ACLK),
        .m_axi_aresetn(m_axi_aresetn_13),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12s2a_0 m12_sc2axi
       (.aclk(clk_map_M12_ACLK),
        .m_axi_araddr(m12_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m12_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m12_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m12_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m12_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m12_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m12_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m12_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m12_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m12_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m12_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m12_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m12_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m12_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m12_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m12_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m12_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m12_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m12_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m12_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m12_sc2axi_M_AXI_BID),
        .m_axi_bready(m12_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m12_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m12_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m12_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m12_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m12_sc2axi_M_AXI_RID),
        .m_axi_rlast(m12_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m12_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m12_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m12_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m12_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m12_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m12_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m12_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m12_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m12_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m12_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_14_INFO),
        .m_sc_b_payld(S_SC_B_14_PAYLD),
        .m_sc_b_recv(S_SC_B_14_RECV),
        .m_sc_b_req(S_SC_B_14_REQ),
        .m_sc_b_send(S_SC_B_14_SEND),
        .m_sc_r_info(S_SC_R_14_INFO),
        .m_sc_r_payld(S_SC_R_14_PAYLD),
        .m_sc_r_recv(S_SC_R_14_RECV),
        .m_sc_r_req(S_SC_R_14_REQ),
        .m_sc_r_send(S_SC_R_14_SEND),
        .s_sc_ar_info(m12_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m12_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m12_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m12_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m12_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m12_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m12_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m12_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m12_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m12_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m12_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m12_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m12_nodes_M_SC_W_RECV),
        .s_sc_w_req(m12_nodes_M_SC_W_REQ),
        .s_sc_w_send(m12_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_m13_exit_pipeline_imp_SHHZMF m13_exit_pipeline
       (.aclk(clk_map_M13_ACLK),
        .aresetn(m_axi_aresetn_14),
        .m_axi_araddr(m13_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m13_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m13_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m13_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m13_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m13_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m13_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m13_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m13_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m13_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m13_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m13_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m13_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m13_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m13_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m13_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m13_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m13_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m13_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m13_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m13_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m13_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m13_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m13_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m13_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m13_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m13_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m13_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m13_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m13_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m13_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m13_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m13_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m13_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m13_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m13_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m13_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m13_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m13_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m13_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m13_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m13_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m13_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m13_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m13_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m13_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m13_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m13_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m13_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m13_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m13_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m13_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m13_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m13_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m13_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m13_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m13_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m13_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m13_sc2axi_M_AXI_BID),
        .s_axi_bready(m13_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m13_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m13_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m13_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m13_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m13_sc2axi_M_AXI_RID),
        .s_axi_rlast(m13_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m13_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m13_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m13_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m13_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m13_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m13_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m13_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m13_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m13_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m13_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_m13_nodes_imp_MHNRBW m13_nodes
       (.M_SC_AR_info(m13_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(m13_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(m13_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(m13_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(m13_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(m13_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(m13_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(m13_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(m13_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(m13_nodes_M_SC_AW_SEND),
        .M_SC_B_info(m13_nodes_M_SC_B_INFO),
        .M_SC_B_payld(m13_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(m13_nodes_M_SC_B_RECV),
        .M_SC_B_req(m13_nodes_M_SC_B_REQ),
        .M_SC_B_send(m13_nodes_M_SC_B_SEND),
        .M_SC_R_info(m13_nodes_M_SC_R_INFO),
        .M_SC_R_payld(m13_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(m13_nodes_M_SC_R_RECV),
        .M_SC_R_req(m13_nodes_M_SC_R_REQ),
        .M_SC_R_send(m13_nodes_M_SC_R_SEND),
        .M_SC_W_info(m13_nodes_M_SC_W_INFO),
        .M_SC_W_payld(m13_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(m13_nodes_M_SC_W_RECV),
        .M_SC_W_req(m13_nodes_M_SC_W_REQ),
        .M_SC_W_send(m13_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_15_INFO),
        .S_SC_AR_payld(S_SC_AR_15_PAYLD),
        .S_SC_AR_recv(S_SC_AR_15_RECV),
        .S_SC_AR_req(S_SC_AR_15_REQ),
        .S_SC_AR_send(S_SC_AR_15_SEND),
        .S_SC_AW_info(S_SC_AW_15_INFO),
        .S_SC_AW_payld(S_SC_AW_15_PAYLD),
        .S_SC_AW_recv(S_SC_AW_15_RECV),
        .S_SC_AW_req(S_SC_AW_15_REQ),
        .S_SC_AW_send(S_SC_AW_15_SEND),
        .S_SC_B_info(S_SC_B_15_INFO),
        .S_SC_B_payld(S_SC_B_15_PAYLD),
        .S_SC_B_recv(S_SC_B_15_RECV),
        .S_SC_B_req(S_SC_B_15_REQ),
        .S_SC_B_send(S_SC_B_15_SEND),
        .S_SC_R_info(S_SC_R_15_INFO),
        .S_SC_R_payld(S_SC_R_15_PAYLD),
        .S_SC_R_recv(S_SC_R_15_RECV),
        .S_SC_R_req(S_SC_R_15_REQ),
        .S_SC_R_send(S_SC_R_15_SEND),
        .S_SC_W_info(S_SC_W_15_INFO),
        .S_SC_W_payld(S_SC_W_15_PAYLD),
        .S_SC_W_recv(S_SC_W_15_RECV),
        .S_SC_W_req(S_SC_W_15_REQ),
        .S_SC_W_send(S_SC_W_15_SEND),
        .m_axi_aclk(clk_map_M13_ACLK),
        .m_axi_aresetn(m_axi_aresetn_14),
        .s_axi_aclk(swbd_aclk_net),
        .s_axi_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13s2a_0 m13_sc2axi
       (.aclk(clk_map_M13_ACLK),
        .m_axi_araddr(m13_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m13_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m13_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m13_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m13_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m13_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m13_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m13_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m13_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m13_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m13_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m13_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m13_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m13_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m13_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m13_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m13_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m13_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m13_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m13_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m13_sc2axi_M_AXI_BID),
        .m_axi_bready(m13_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m13_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m13_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m13_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m13_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m13_sc2axi_M_AXI_RID),
        .m_axi_rlast(m13_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m13_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m13_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m13_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m13_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m13_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m13_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m13_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m13_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m13_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m13_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_15_INFO),
        .m_sc_b_payld(S_SC_B_15_PAYLD),
        .m_sc_b_recv(S_SC_B_15_RECV),
        .m_sc_b_req(S_SC_B_15_REQ),
        .m_sc_b_send(S_SC_B_15_SEND),
        .m_sc_r_info(S_SC_R_15_INFO),
        .m_sc_r_payld(S_SC_R_15_PAYLD),
        .m_sc_r_recv(S_SC_R_15_RECV),
        .m_sc_r_req(S_SC_R_15_REQ),
        .m_sc_r_send(S_SC_R_15_SEND),
        .s_sc_ar_info(m13_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(m13_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(m13_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(m13_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(m13_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(m13_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(m13_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(m13_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(m13_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(m13_nodes_M_SC_AW_SEND),
        .s_sc_w_info(m13_nodes_M_SC_W_INFO),
        .s_sc_w_payld(m13_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(m13_nodes_M_SC_W_RECV),
        .s_sc_w_req(m13_nodes_M_SC_W_REQ),
        .s_sc_w_send(m13_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_JUJAWW s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_MT09I2 s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(swbd_aclk_net),
        .m_sc_resetn(swbd_aresetn_net),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
  versal_cips_ps_vip_v1_0_11_switchboards_imp_G130UM switchboards
       (.M00_SC_AR_info(S_SC_AR_2_INFO),
        .M00_SC_AR_payld(S_SC_AR_2_PAYLD),
        .M00_SC_AR_recv(S_SC_AR_2_RECV),
        .M00_SC_AR_req(S_SC_AR_2_REQ),
        .M00_SC_AR_send(S_SC_AR_2_SEND),
        .M00_SC_AW_info(S_SC_AW_2_INFO),
        .M00_SC_AW_payld(S_SC_AW_2_PAYLD),
        .M00_SC_AW_recv(S_SC_AW_2_RECV),
        .M00_SC_AW_req(S_SC_AW_2_REQ),
        .M00_SC_AW_send(S_SC_AW_2_SEND),
        .M00_SC_B_info(S_SC_B_1_INFO),
        .M00_SC_B_payld(S_SC_B_1_PAYLD),
        .M00_SC_B_recv(S_SC_B_1_RECV),
        .M00_SC_B_req(S_SC_B_1_REQ),
        .M00_SC_B_send(S_SC_B_1_SEND),
        .M00_SC_R_info(S_SC_R_1_INFO),
        .M00_SC_R_payld(S_SC_R_1_PAYLD),
        .M00_SC_R_recv(S_SC_R_1_RECV),
        .M00_SC_R_req(S_SC_R_1_REQ),
        .M00_SC_R_send(S_SC_R_1_SEND),
        .M00_SC_W_info(S_SC_W_2_INFO),
        .M00_SC_W_payld(S_SC_W_2_PAYLD),
        .M00_SC_W_recv(S_SC_W_2_RECV),
        .M00_SC_W_req(S_SC_W_2_REQ),
        .M00_SC_W_send(S_SC_W_2_SEND),
        .M01_SC_AR_info(S_SC_AR_3_INFO),
        .M01_SC_AR_payld(S_SC_AR_3_PAYLD),
        .M01_SC_AR_recv(S_SC_AR_3_RECV),
        .M01_SC_AR_req(S_SC_AR_3_REQ),
        .M01_SC_AR_send(S_SC_AR_3_SEND),
        .M01_SC_AW_info(S_SC_AW_3_INFO),
        .M01_SC_AW_payld(S_SC_AW_3_PAYLD),
        .M01_SC_AW_recv(S_SC_AW_3_RECV),
        .M01_SC_AW_req(S_SC_AW_3_REQ),
        .M01_SC_AW_send(S_SC_AW_3_SEND),
        .M01_SC_W_info(S_SC_W_3_INFO),
        .M01_SC_W_payld(S_SC_W_3_PAYLD),
        .M01_SC_W_recv(S_SC_W_3_RECV),
        .M01_SC_W_req(S_SC_W_3_REQ),
        .M01_SC_W_send(S_SC_W_3_SEND),
        .M02_SC_AR_info(S_SC_AR_4_INFO),
        .M02_SC_AR_payld(S_SC_AR_4_PAYLD),
        .M02_SC_AR_recv(S_SC_AR_4_RECV),
        .M02_SC_AR_req(S_SC_AR_4_REQ),
        .M02_SC_AR_send(S_SC_AR_4_SEND),
        .M02_SC_AW_info(S_SC_AW_4_INFO),
        .M02_SC_AW_payld(S_SC_AW_4_PAYLD),
        .M02_SC_AW_recv(S_SC_AW_4_RECV),
        .M02_SC_AW_req(S_SC_AW_4_REQ),
        .M02_SC_AW_send(S_SC_AW_4_SEND),
        .M02_SC_W_info(S_SC_W_4_INFO),
        .M02_SC_W_payld(S_SC_W_4_PAYLD),
        .M02_SC_W_recv(S_SC_W_4_RECV),
        .M02_SC_W_req(S_SC_W_4_REQ),
        .M02_SC_W_send(S_SC_W_4_SEND),
        .M03_SC_AR_info(S_SC_AR_5_INFO),
        .M03_SC_AR_payld(S_SC_AR_5_PAYLD),
        .M03_SC_AR_recv(S_SC_AR_5_RECV),
        .M03_SC_AR_req(S_SC_AR_5_REQ),
        .M03_SC_AR_send(S_SC_AR_5_SEND),
        .M03_SC_AW_info(S_SC_AW_5_INFO),
        .M03_SC_AW_payld(S_SC_AW_5_PAYLD),
        .M03_SC_AW_recv(S_SC_AW_5_RECV),
        .M03_SC_AW_req(S_SC_AW_5_REQ),
        .M03_SC_AW_send(S_SC_AW_5_SEND),
        .M03_SC_W_info(S_SC_W_5_INFO),
        .M03_SC_W_payld(S_SC_W_5_PAYLD),
        .M03_SC_W_recv(S_SC_W_5_RECV),
        .M03_SC_W_req(S_SC_W_5_REQ),
        .M03_SC_W_send(S_SC_W_5_SEND),
        .M04_SC_AR_info(S_SC_AR_6_INFO),
        .M04_SC_AR_payld(S_SC_AR_6_PAYLD),
        .M04_SC_AR_recv(S_SC_AR_6_RECV),
        .M04_SC_AR_req(S_SC_AR_6_REQ),
        .M04_SC_AR_send(S_SC_AR_6_SEND),
        .M04_SC_AW_info(S_SC_AW_6_INFO),
        .M04_SC_AW_payld(S_SC_AW_6_PAYLD),
        .M04_SC_AW_recv(S_SC_AW_6_RECV),
        .M04_SC_AW_req(S_SC_AW_6_REQ),
        .M04_SC_AW_send(S_SC_AW_6_SEND),
        .M04_SC_W_info(S_SC_W_6_INFO),
        .M04_SC_W_payld(S_SC_W_6_PAYLD),
        .M04_SC_W_recv(S_SC_W_6_RECV),
        .M04_SC_W_req(S_SC_W_6_REQ),
        .M04_SC_W_send(S_SC_W_6_SEND),
        .M05_SC_AR_info(S_SC_AR_7_INFO),
        .M05_SC_AR_payld(S_SC_AR_7_PAYLD),
        .M05_SC_AR_recv(S_SC_AR_7_RECV),
        .M05_SC_AR_req(S_SC_AR_7_REQ),
        .M05_SC_AR_send(S_SC_AR_7_SEND),
        .M05_SC_AW_info(S_SC_AW_7_INFO),
        .M05_SC_AW_payld(S_SC_AW_7_PAYLD),
        .M05_SC_AW_recv(S_SC_AW_7_RECV),
        .M05_SC_AW_req(S_SC_AW_7_REQ),
        .M05_SC_AW_send(S_SC_AW_7_SEND),
        .M05_SC_W_info(S_SC_W_7_INFO),
        .M05_SC_W_payld(S_SC_W_7_PAYLD),
        .M05_SC_W_recv(S_SC_W_7_RECV),
        .M05_SC_W_req(S_SC_W_7_REQ),
        .M05_SC_W_send(S_SC_W_7_SEND),
        .M06_SC_AR_info(S_SC_AR_8_INFO),
        .M06_SC_AR_payld(S_SC_AR_8_PAYLD),
        .M06_SC_AR_recv(S_SC_AR_8_RECV),
        .M06_SC_AR_req(S_SC_AR_8_REQ),
        .M06_SC_AR_send(S_SC_AR_8_SEND),
        .M06_SC_AW_info(S_SC_AW_8_INFO),
        .M06_SC_AW_payld(S_SC_AW_8_PAYLD),
        .M06_SC_AW_recv(S_SC_AW_8_RECV),
        .M06_SC_AW_req(S_SC_AW_8_REQ),
        .M06_SC_AW_send(S_SC_AW_8_SEND),
        .M06_SC_W_info(S_SC_W_8_INFO),
        .M06_SC_W_payld(S_SC_W_8_PAYLD),
        .M06_SC_W_recv(S_SC_W_8_RECV),
        .M06_SC_W_req(S_SC_W_8_REQ),
        .M06_SC_W_send(S_SC_W_8_SEND),
        .M07_SC_AR_info(S_SC_AR_9_INFO),
        .M07_SC_AR_payld(S_SC_AR_9_PAYLD),
        .M07_SC_AR_recv(S_SC_AR_9_RECV),
        .M07_SC_AR_req(S_SC_AR_9_REQ),
        .M07_SC_AR_send(S_SC_AR_9_SEND),
        .M07_SC_AW_info(S_SC_AW_9_INFO),
        .M07_SC_AW_payld(S_SC_AW_9_PAYLD),
        .M07_SC_AW_recv(S_SC_AW_9_RECV),
        .M07_SC_AW_req(S_SC_AW_9_REQ),
        .M07_SC_AW_send(S_SC_AW_9_SEND),
        .M07_SC_W_info(S_SC_W_9_INFO),
        .M07_SC_W_payld(S_SC_W_9_PAYLD),
        .M07_SC_W_recv(S_SC_W_9_RECV),
        .M07_SC_W_req(S_SC_W_9_REQ),
        .M07_SC_W_send(S_SC_W_9_SEND),
        .M08_SC_AR_info(S_SC_AR_10_INFO),
        .M08_SC_AR_payld(S_SC_AR_10_PAYLD),
        .M08_SC_AR_recv(S_SC_AR_10_RECV),
        .M08_SC_AR_req(S_SC_AR_10_REQ),
        .M08_SC_AR_send(S_SC_AR_10_SEND),
        .M08_SC_AW_info(S_SC_AW_10_INFO),
        .M08_SC_AW_payld(S_SC_AW_10_PAYLD),
        .M08_SC_AW_recv(S_SC_AW_10_RECV),
        .M08_SC_AW_req(S_SC_AW_10_REQ),
        .M08_SC_AW_send(S_SC_AW_10_SEND),
        .M08_SC_W_info(S_SC_W_10_INFO),
        .M08_SC_W_payld(S_SC_W_10_PAYLD),
        .M08_SC_W_recv(S_SC_W_10_RECV),
        .M08_SC_W_req(S_SC_W_10_REQ),
        .M08_SC_W_send(S_SC_W_10_SEND),
        .M09_SC_AR_info(S_SC_AR_11_INFO),
        .M09_SC_AR_payld(S_SC_AR_11_PAYLD),
        .M09_SC_AR_recv(S_SC_AR_11_RECV),
        .M09_SC_AR_req(S_SC_AR_11_REQ),
        .M09_SC_AR_send(S_SC_AR_11_SEND),
        .M09_SC_AW_info(S_SC_AW_11_INFO),
        .M09_SC_AW_payld(S_SC_AW_11_PAYLD),
        .M09_SC_AW_recv(S_SC_AW_11_RECV),
        .M09_SC_AW_req(S_SC_AW_11_REQ),
        .M09_SC_AW_send(S_SC_AW_11_SEND),
        .M09_SC_W_info(S_SC_W_11_INFO),
        .M09_SC_W_payld(S_SC_W_11_PAYLD),
        .M09_SC_W_recv(S_SC_W_11_RECV),
        .M09_SC_W_req(S_SC_W_11_REQ),
        .M09_SC_W_send(S_SC_W_11_SEND),
        .M10_SC_AR_info(S_SC_AR_12_INFO),
        .M10_SC_AR_payld(S_SC_AR_12_PAYLD),
        .M10_SC_AR_recv(S_SC_AR_12_RECV),
        .M10_SC_AR_req(S_SC_AR_12_REQ),
        .M10_SC_AR_send(S_SC_AR_12_SEND),
        .M10_SC_AW_info(S_SC_AW_12_INFO),
        .M10_SC_AW_payld(S_SC_AW_12_PAYLD),
        .M10_SC_AW_recv(S_SC_AW_12_RECV),
        .M10_SC_AW_req(S_SC_AW_12_REQ),
        .M10_SC_AW_send(S_SC_AW_12_SEND),
        .M10_SC_W_info(S_SC_W_12_INFO),
        .M10_SC_W_payld(S_SC_W_12_PAYLD),
        .M10_SC_W_recv(S_SC_W_12_RECV),
        .M10_SC_W_req(S_SC_W_12_REQ),
        .M10_SC_W_send(S_SC_W_12_SEND),
        .M11_SC_AR_info(S_SC_AR_13_INFO),
        .M11_SC_AR_payld(S_SC_AR_13_PAYLD),
        .M11_SC_AR_recv(S_SC_AR_13_RECV),
        .M11_SC_AR_req(S_SC_AR_13_REQ),
        .M11_SC_AR_send(S_SC_AR_13_SEND),
        .M11_SC_AW_info(S_SC_AW_13_INFO),
        .M11_SC_AW_payld(S_SC_AW_13_PAYLD),
        .M11_SC_AW_recv(S_SC_AW_13_RECV),
        .M11_SC_AW_req(S_SC_AW_13_REQ),
        .M11_SC_AW_send(S_SC_AW_13_SEND),
        .M11_SC_W_info(S_SC_W_13_INFO),
        .M11_SC_W_payld(S_SC_W_13_PAYLD),
        .M11_SC_W_recv(S_SC_W_13_RECV),
        .M11_SC_W_req(S_SC_W_13_REQ),
        .M11_SC_W_send(S_SC_W_13_SEND),
        .M12_SC_AR_info(S_SC_AR_14_INFO),
        .M12_SC_AR_payld(S_SC_AR_14_PAYLD),
        .M12_SC_AR_recv(S_SC_AR_14_RECV),
        .M12_SC_AR_req(S_SC_AR_14_REQ),
        .M12_SC_AR_send(S_SC_AR_14_SEND),
        .M12_SC_AW_info(S_SC_AW_14_INFO),
        .M12_SC_AW_payld(S_SC_AW_14_PAYLD),
        .M12_SC_AW_recv(S_SC_AW_14_RECV),
        .M12_SC_AW_req(S_SC_AW_14_REQ),
        .M12_SC_AW_send(S_SC_AW_14_SEND),
        .M12_SC_W_info(S_SC_W_14_INFO),
        .M12_SC_W_payld(S_SC_W_14_PAYLD),
        .M12_SC_W_recv(S_SC_W_14_RECV),
        .M12_SC_W_req(S_SC_W_14_REQ),
        .M12_SC_W_send(S_SC_W_14_SEND),
        .M13_SC_AR_info(S_SC_AR_15_INFO),
        .M13_SC_AR_payld(S_SC_AR_15_PAYLD),
        .M13_SC_AR_recv(S_SC_AR_15_RECV),
        .M13_SC_AR_req(S_SC_AR_15_REQ),
        .M13_SC_AR_send(S_SC_AR_15_SEND),
        .M13_SC_AW_info(S_SC_AW_15_INFO),
        .M13_SC_AW_payld(S_SC_AW_15_PAYLD),
        .M13_SC_AW_recv(S_SC_AW_15_RECV),
        .M13_SC_AW_req(S_SC_AW_15_REQ),
        .M13_SC_AW_send(S_SC_AW_15_SEND),
        .M13_SC_W_info(S_SC_W_15_INFO),
        .M13_SC_W_payld(S_SC_W_15_PAYLD),
        .M13_SC_W_recv(S_SC_W_15_RECV),
        .M13_SC_W_req(S_SC_W_15_REQ),
        .M13_SC_W_send(S_SC_W_15_SEND),
        .S00_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .S00_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .S00_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .S00_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .S00_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .S00_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .S00_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .S00_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .S00_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .S00_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .S00_SC_B_info(m00_nodes_M_SC_B_INFO),
        .S00_SC_B_payld(m00_nodes_M_SC_B_PAYLD),
        .S00_SC_B_recv(m00_nodes_M_SC_B_RECV),
        .S00_SC_B_req(m00_nodes_M_SC_B_REQ),
        .S00_SC_B_send(m00_nodes_M_SC_B_SEND),
        .S00_SC_R_info(m00_nodes_M_SC_R_INFO),
        .S00_SC_R_payld(m00_nodes_M_SC_R_PAYLD),
        .S00_SC_R_recv(m00_nodes_M_SC_R_RECV),
        .S00_SC_R_req(m00_nodes_M_SC_R_REQ),
        .S00_SC_R_send(m00_nodes_M_SC_R_SEND),
        .S00_SC_W_info(s00_nodes_M_SC_W_INFO),
        .S00_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .S00_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .S00_SC_W_req(s00_nodes_M_SC_W_REQ),
        .S00_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S01_SC_B_info(m01_nodes_M_SC_B_INFO),
        .S01_SC_B_payld(m01_nodes_M_SC_B_PAYLD),
        .S01_SC_B_recv(m01_nodes_M_SC_B_RECV),
        .S01_SC_B_req(m01_nodes_M_SC_B_REQ),
        .S01_SC_B_send(m01_nodes_M_SC_B_SEND),
        .S01_SC_R_info(m01_nodes_M_SC_R_INFO),
        .S01_SC_R_payld(m01_nodes_M_SC_R_PAYLD),
        .S01_SC_R_recv(m01_nodes_M_SC_R_RECV),
        .S01_SC_R_req(m01_nodes_M_SC_R_REQ),
        .S01_SC_R_send(m01_nodes_M_SC_R_SEND),
        .S02_SC_B_info(m02_nodes_M_SC_B_INFO),
        .S02_SC_B_payld(m02_nodes_M_SC_B_PAYLD),
        .S02_SC_B_recv(m02_nodes_M_SC_B_RECV),
        .S02_SC_B_req(m02_nodes_M_SC_B_REQ),
        .S02_SC_B_send(m02_nodes_M_SC_B_SEND),
        .S02_SC_R_info(m02_nodes_M_SC_R_INFO),
        .S02_SC_R_payld(m02_nodes_M_SC_R_PAYLD),
        .S02_SC_R_recv(m02_nodes_M_SC_R_RECV),
        .S02_SC_R_req(m02_nodes_M_SC_R_REQ),
        .S02_SC_R_send(m02_nodes_M_SC_R_SEND),
        .S03_SC_B_info(m03_nodes_M_SC_B_INFO),
        .S03_SC_B_payld(m03_nodes_M_SC_B_PAYLD),
        .S03_SC_B_recv(m03_nodes_M_SC_B_RECV),
        .S03_SC_B_req(m03_nodes_M_SC_B_REQ),
        .S03_SC_B_send(m03_nodes_M_SC_B_SEND),
        .S03_SC_R_info(m03_nodes_M_SC_R_INFO),
        .S03_SC_R_payld(m03_nodes_M_SC_R_PAYLD),
        .S03_SC_R_recv(m03_nodes_M_SC_R_RECV),
        .S03_SC_R_req(m03_nodes_M_SC_R_REQ),
        .S03_SC_R_send(m03_nodes_M_SC_R_SEND),
        .S04_SC_B_info(m04_nodes_M_SC_B_INFO),
        .S04_SC_B_payld(m04_nodes_M_SC_B_PAYLD),
        .S04_SC_B_recv(m04_nodes_M_SC_B_RECV),
        .S04_SC_B_req(m04_nodes_M_SC_B_REQ),
        .S04_SC_B_send(m04_nodes_M_SC_B_SEND),
        .S04_SC_R_info(m04_nodes_M_SC_R_INFO),
        .S04_SC_R_payld(m04_nodes_M_SC_R_PAYLD),
        .S04_SC_R_recv(m04_nodes_M_SC_R_RECV),
        .S04_SC_R_req(m04_nodes_M_SC_R_REQ),
        .S04_SC_R_send(m04_nodes_M_SC_R_SEND),
        .S05_SC_B_info(m05_nodes_M_SC_B_INFO),
        .S05_SC_B_payld(m05_nodes_M_SC_B_PAYLD),
        .S05_SC_B_recv(m05_nodes_M_SC_B_RECV),
        .S05_SC_B_req(m05_nodes_M_SC_B_REQ),
        .S05_SC_B_send(m05_nodes_M_SC_B_SEND),
        .S05_SC_R_info(m05_nodes_M_SC_R_INFO),
        .S05_SC_R_payld(m05_nodes_M_SC_R_PAYLD),
        .S05_SC_R_recv(m05_nodes_M_SC_R_RECV),
        .S05_SC_R_req(m05_nodes_M_SC_R_REQ),
        .S05_SC_R_send(m05_nodes_M_SC_R_SEND),
        .S06_SC_B_info(m06_nodes_M_SC_B_INFO),
        .S06_SC_B_payld(m06_nodes_M_SC_B_PAYLD),
        .S06_SC_B_recv(m06_nodes_M_SC_B_RECV),
        .S06_SC_B_req(m06_nodes_M_SC_B_REQ),
        .S06_SC_B_send(m06_nodes_M_SC_B_SEND),
        .S06_SC_R_info(m06_nodes_M_SC_R_INFO),
        .S06_SC_R_payld(m06_nodes_M_SC_R_PAYLD),
        .S06_SC_R_recv(m06_nodes_M_SC_R_RECV),
        .S06_SC_R_req(m06_nodes_M_SC_R_REQ),
        .S06_SC_R_send(m06_nodes_M_SC_R_SEND),
        .S07_SC_B_info(m07_nodes_M_SC_B_INFO),
        .S07_SC_B_payld(m07_nodes_M_SC_B_PAYLD),
        .S07_SC_B_recv(m07_nodes_M_SC_B_RECV),
        .S07_SC_B_req(m07_nodes_M_SC_B_REQ),
        .S07_SC_B_send(m07_nodes_M_SC_B_SEND),
        .S07_SC_R_info(m07_nodes_M_SC_R_INFO),
        .S07_SC_R_payld(m07_nodes_M_SC_R_PAYLD),
        .S07_SC_R_recv(m07_nodes_M_SC_R_RECV),
        .S07_SC_R_req(m07_nodes_M_SC_R_REQ),
        .S07_SC_R_send(m07_nodes_M_SC_R_SEND),
        .S08_SC_B_info(m08_nodes_M_SC_B_INFO),
        .S08_SC_B_payld(m08_nodes_M_SC_B_PAYLD),
        .S08_SC_B_recv(m08_nodes_M_SC_B_RECV),
        .S08_SC_B_req(m08_nodes_M_SC_B_REQ),
        .S08_SC_B_send(m08_nodes_M_SC_B_SEND),
        .S08_SC_R_info(m08_nodes_M_SC_R_INFO),
        .S08_SC_R_payld(m08_nodes_M_SC_R_PAYLD),
        .S08_SC_R_recv(m08_nodes_M_SC_R_RECV),
        .S08_SC_R_req(m08_nodes_M_SC_R_REQ),
        .S08_SC_R_send(m08_nodes_M_SC_R_SEND),
        .S09_SC_B_info(m09_nodes_M_SC_B_INFO),
        .S09_SC_B_payld(m09_nodes_M_SC_B_PAYLD),
        .S09_SC_B_recv(m09_nodes_M_SC_B_RECV),
        .S09_SC_B_req(m09_nodes_M_SC_B_REQ),
        .S09_SC_B_send(m09_nodes_M_SC_B_SEND),
        .S09_SC_R_info(m09_nodes_M_SC_R_INFO),
        .S09_SC_R_payld(m09_nodes_M_SC_R_PAYLD),
        .S09_SC_R_recv(m09_nodes_M_SC_R_RECV),
        .S09_SC_R_req(m09_nodes_M_SC_R_REQ),
        .S09_SC_R_send(m09_nodes_M_SC_R_SEND),
        .S10_SC_B_info(m10_nodes_M_SC_B_INFO),
        .S10_SC_B_payld(m10_nodes_M_SC_B_PAYLD),
        .S10_SC_B_recv(m10_nodes_M_SC_B_RECV),
        .S10_SC_B_req(m10_nodes_M_SC_B_REQ),
        .S10_SC_B_send(m10_nodes_M_SC_B_SEND),
        .S10_SC_R_info(m10_nodes_M_SC_R_INFO),
        .S10_SC_R_payld(m10_nodes_M_SC_R_PAYLD),
        .S10_SC_R_recv(m10_nodes_M_SC_R_RECV),
        .S10_SC_R_req(m10_nodes_M_SC_R_REQ),
        .S10_SC_R_send(m10_nodes_M_SC_R_SEND),
        .S11_SC_B_info(m11_nodes_M_SC_B_INFO),
        .S11_SC_B_payld(m11_nodes_M_SC_B_PAYLD),
        .S11_SC_B_recv(m11_nodes_M_SC_B_RECV),
        .S11_SC_B_req(m11_nodes_M_SC_B_REQ),
        .S11_SC_B_send(m11_nodes_M_SC_B_SEND),
        .S11_SC_R_info(m11_nodes_M_SC_R_INFO),
        .S11_SC_R_payld(m11_nodes_M_SC_R_PAYLD),
        .S11_SC_R_recv(m11_nodes_M_SC_R_RECV),
        .S11_SC_R_req(m11_nodes_M_SC_R_REQ),
        .S11_SC_R_send(m11_nodes_M_SC_R_SEND),
        .S12_SC_B_info(m12_nodes_M_SC_B_INFO),
        .S12_SC_B_payld(m12_nodes_M_SC_B_PAYLD),
        .S12_SC_B_recv(m12_nodes_M_SC_B_RECV),
        .S12_SC_B_req(m12_nodes_M_SC_B_REQ),
        .S12_SC_B_send(m12_nodes_M_SC_B_SEND),
        .S12_SC_R_info(m12_nodes_M_SC_R_INFO),
        .S12_SC_R_payld(m12_nodes_M_SC_R_PAYLD),
        .S12_SC_R_recv(m12_nodes_M_SC_R_RECV),
        .S12_SC_R_req(m12_nodes_M_SC_R_REQ),
        .S12_SC_R_send(m12_nodes_M_SC_R_SEND),
        .S13_SC_B_info(m13_nodes_M_SC_B_INFO),
        .S13_SC_B_payld(m13_nodes_M_SC_B_PAYLD),
        .S13_SC_B_recv(m13_nodes_M_SC_B_RECV),
        .S13_SC_B_req(m13_nodes_M_SC_B_REQ),
        .S13_SC_B_send(m13_nodes_M_SC_B_SEND),
        .S13_SC_R_info(m13_nodes_M_SC_R_INFO),
        .S13_SC_R_payld(m13_nodes_M_SC_R_PAYLD),
        .S13_SC_R_recv(m13_nodes_M_SC_R_RECV),
        .S13_SC_R_req(m13_nodes_M_SC_R_REQ),
        .S13_SC_R_send(m13_nodes_M_SC_R_SEND),
        .aclk(swbd_aclk_net),
        .aresetn(swbd_aresetn_net));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_GNVBO8
   (M00_ACLK,
    M00_ARESETN,
    M01_ACLK,
    M01_ARESETN,
    M02_ACLK,
    M02_ARESETN,
    M03_ACLK,
    M03_ARESETN,
    M04_ACLK,
    M04_ARESETN,
    M05_ACLK,
    M05_ARESETN,
    M06_ACLK,
    M06_ARESETN,
    M07_ACLK,
    M07_ARESETN,
    M08_ACLK,
    M08_ARESETN,
    M09_ACLK,
    M09_ARESETN,
    M10_ACLK,
    M10_ARESETN,
    M11_ACLK,
    M11_ARESETN,
    M12_ACLK,
    M12_ARESETN,
    M13_ACLK,
    M13_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output M01_ACLK;
  output [0:0]M01_ARESETN;
  output M02_ACLK;
  output [0:0]M02_ARESETN;
  output M03_ACLK;
  output [0:0]M03_ARESETN;
  output M04_ACLK;
  output [0:0]M04_ARESETN;
  output M05_ACLK;
  output [0:0]M05_ARESETN;
  output M06_ACLK;
  output [0:0]M06_ARESETN;
  output M07_ACLK;
  output [0:0]M07_ARESETN;
  output M08_ACLK;
  output [0:0]M08_ARESETN;
  output M09_ACLK;
  output [0:0]M09_ARESETN;
  output M10_ACLK;
  output [0:0]M10_ARESETN;
  output M11_ACLK;
  output [0:0]M11_ARESETN;
  output M12_ACLK;
  output [0:0]M12_ARESETN;
  output M13_ACLK;
  output [0:0]M13_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M01_ACLK = clk_map_aclk_net;
  assign M01_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M02_ACLK = clk_map_aclk_net;
  assign M02_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M03_ACLK = clk_map_aclk_net;
  assign M03_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M04_ACLK = clk_map_aclk_net;
  assign M04_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M05_ACLK = clk_map_aclk_net;
  assign M05_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M06_ACLK = clk_map_aclk_net;
  assign M06_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M07_ACLK = clk_map_aclk_net;
  assign M07_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M08_ACLK = clk_map_aclk_net;
  assign M08_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M09_ACLK = clk_map_aclk_net;
  assign M09_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M10_ACLK = clk_map_aclk_net;
  assign M10_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M11_ACLK = clk_map_aclk_net;
  assign M11_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M12_ACLK = clk_map_aclk_net;
  assign M12_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign M13_ACLK = clk_map_aclk_net;
  assign M13_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1IK2SCJ
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [31:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [31:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [31:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [31:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [3:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [31:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [3:0]m00_exit_M_AXI_WSTRB;
  wire [3:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_nodes_imp_15847XR
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m00_ar_node_M_SC_INFO;
  wire [213:0]m00_ar_node_M_SC_PAYLD;
  wire [0:0]m00_ar_node_M_SC_RECV;
  wire [0:0]m00_ar_node_M_SC_REQ;
  wire [0:0]m00_ar_node_M_SC_SEND;
  wire [0:0]m00_aw_node_M_SC_INFO;
  wire [213:0]m00_aw_node_M_SC_PAYLD;
  wire [0:0]m00_aw_node_M_SC_RECV;
  wire [0:0]m00_aw_node_M_SC_REQ;
  wire [0:0]m00_aw_node_M_SC_SEND;
  wire [0:0]m00_b_node_M_SC_INFO;
  wire [19:0]m00_b_node_M_SC_PAYLD;
  wire [0:0]m00_b_node_M_SC_RECV;
  wire [0:0]m00_b_node_M_SC_REQ;
  wire [0:0]m00_b_node_M_SC_SEND;
  wire [0:0]m00_r_node_M_SC_INFO;
  wire [54:0]m00_r_node_M_SC_PAYLD;
  wire [0:0]m00_r_node_M_SC_RECV;
  wire [0:0]m00_r_node_M_SC_REQ;
  wire [0:0]m00_r_node_M_SC_SEND;
  wire [0:0]m00_w_node_M_SC_INFO;
  wire [68:0]m00_w_node_M_SC_PAYLD;
  wire [0:0]m00_w_node_M_SC_RECV;
  wire [0:0]m00_w_node_M_SC_REQ;
  wire [0:0]m00_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m00_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m00_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m00_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m00_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m00_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m00_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m00_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m00_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m00_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00arn_0 m00_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m00_ar_node_M_SC_INFO),
        .m_sc_payld(m00_ar_node_M_SC_PAYLD),
        .m_sc_recv(m00_ar_node_M_SC_RECV),
        .m_sc_req(m00_ar_node_M_SC_REQ),
        .m_sc_send(m00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00awn_0 m00_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m00_aw_node_M_SC_INFO),
        .m_sc_payld(m00_aw_node_M_SC_PAYLD),
        .m_sc_recv(m00_aw_node_M_SC_RECV),
        .m_sc_req(m00_aw_node_M_SC_REQ),
        .m_sc_send(m00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00bn_0 m00_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m00_b_node_M_SC_INFO),
        .m_sc_payld(m00_b_node_M_SC_PAYLD),
        .m_sc_recv(m00_b_node_M_SC_RECV),
        .m_sc_req(m00_b_node_M_SC_REQ),
        .m_sc_send(m00_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00rn_0 m00_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m00_r_node_M_SC_INFO),
        .m_sc_payld(m00_r_node_M_SC_PAYLD),
        .m_sc_recv(m00_r_node_M_SC_RECV),
        .m_sc_req(m00_r_node_M_SC_REQ),
        .m_sc_send(m00_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m00wn_0 m00_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m00_w_node_M_SC_INFO),
        .m_sc_payld(m00_w_node_M_SC_PAYLD),
        .m_sc_recv(m00_w_node_M_SC_RECV),
        .m_sc_req(m00_w_node_M_SC_REQ),
        .m_sc_send(m00_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m01_exit_pipeline_imp_1MOZ6PV
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m01_exit_M_AXI_ARADDR;
  wire [1:0]m01_exit_M_AXI_ARBURST;
  wire [3:0]m01_exit_M_AXI_ARCACHE;
  wire [7:0]m01_exit_M_AXI_ARLEN;
  wire [0:0]m01_exit_M_AXI_ARLOCK;
  wire [2:0]m01_exit_M_AXI_ARPROT;
  wire [3:0]m01_exit_M_AXI_ARQOS;
  wire m01_exit_M_AXI_ARREADY;
  wire [2:0]m01_exit_M_AXI_ARSIZE;
  wire [31:0]m01_exit_M_AXI_ARUSER;
  wire m01_exit_M_AXI_ARVALID;
  wire [63:0]m01_exit_M_AXI_AWADDR;
  wire [1:0]m01_exit_M_AXI_AWBURST;
  wire [3:0]m01_exit_M_AXI_AWCACHE;
  wire [7:0]m01_exit_M_AXI_AWLEN;
  wire [0:0]m01_exit_M_AXI_AWLOCK;
  wire [2:0]m01_exit_M_AXI_AWPROT;
  wire [3:0]m01_exit_M_AXI_AWQOS;
  wire m01_exit_M_AXI_AWREADY;
  wire [2:0]m01_exit_M_AXI_AWSIZE;
  wire [31:0]m01_exit_M_AXI_AWUSER;
  wire m01_exit_M_AXI_AWVALID;
  wire m01_exit_M_AXI_BREADY;
  wire [1:0]m01_exit_M_AXI_BRESP;
  wire [15:0]m01_exit_M_AXI_BUSER;
  wire m01_exit_M_AXI_BVALID;
  wire [31:0]m01_exit_M_AXI_RDATA;
  wire m01_exit_M_AXI_RLAST;
  wire m01_exit_M_AXI_RREADY;
  wire [1:0]m01_exit_M_AXI_RRESP;
  wire [3:0]m01_exit_M_AXI_RUSER;
  wire m01_exit_M_AXI_RVALID;
  wire [31:0]m01_exit_M_AXI_WDATA;
  wire m01_exit_M_AXI_WLAST;
  wire m01_exit_M_AXI_WREADY;
  wire [3:0]m01_exit_M_AXI_WSTRB;
  wire [3:0]m01_exit_M_AXI_WUSER;
  wire m01_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m01_exit_M_AXI_ARREADY = m_axi_arready;
  assign m01_exit_M_AXI_AWREADY = m_axi_awready;
  assign m01_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m01_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m01_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m01_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m01_exit_M_AXI_RLAST = m_axi_rlast;
  assign m01_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m01_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m01_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m01_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m01_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m01_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m01_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m01_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m01_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m01_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m01_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m01_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m01_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m01_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m01_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m01_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m01_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m01_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m01_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m01_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m01_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m01_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m01_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m01_exit_M_AXI_AWVALID;
  assign m_axi_bready = m01_exit_M_AXI_BREADY;
  assign m_axi_rready = m01_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m01_exit_M_AXI_WDATA;
  assign m_axi_wlast = m01_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m01_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m01_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m01_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01e_0 m01_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m01_exit_M_AXI_ARADDR),
        .m_axi_arburst(m01_exit_M_AXI_ARBURST),
        .m_axi_arcache(m01_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m01_exit_M_AXI_ARLEN),
        .m_axi_arlock(m01_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m01_exit_M_AXI_ARPROT),
        .m_axi_arqos(m01_exit_M_AXI_ARQOS),
        .m_axi_arready(m01_exit_M_AXI_ARREADY),
        .m_axi_arsize(m01_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m01_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m01_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m01_exit_M_AXI_AWADDR),
        .m_axi_awburst(m01_exit_M_AXI_AWBURST),
        .m_axi_awcache(m01_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m01_exit_M_AXI_AWLEN),
        .m_axi_awlock(m01_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m01_exit_M_AXI_AWPROT),
        .m_axi_awqos(m01_exit_M_AXI_AWQOS),
        .m_axi_awready(m01_exit_M_AXI_AWREADY),
        .m_axi_awsize(m01_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m01_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m01_exit_M_AXI_AWVALID),
        .m_axi_bready(m01_exit_M_AXI_BREADY),
        .m_axi_bresp(m01_exit_M_AXI_BRESP),
        .m_axi_buser(m01_exit_M_AXI_BUSER),
        .m_axi_bvalid(m01_exit_M_AXI_BVALID),
        .m_axi_rdata(m01_exit_M_AXI_RDATA),
        .m_axi_rlast(m01_exit_M_AXI_RLAST),
        .m_axi_rready(m01_exit_M_AXI_RREADY),
        .m_axi_rresp(m01_exit_M_AXI_RRESP),
        .m_axi_ruser(m01_exit_M_AXI_RUSER),
        .m_axi_rvalid(m01_exit_M_AXI_RVALID),
        .m_axi_wdata(m01_exit_M_AXI_WDATA),
        .m_axi_wlast(m01_exit_M_AXI_WLAST),
        .m_axi_wready(m01_exit_M_AXI_WREADY),
        .m_axi_wstrb(m01_exit_M_AXI_WSTRB),
        .m_axi_wuser(m01_exit_M_AXI_WUSER),
        .m_axi_wvalid(m01_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m01_nodes_imp_2NZ0IH
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m01_ar_node_M_SC_INFO;
  wire [213:0]m01_ar_node_M_SC_PAYLD;
  wire [0:0]m01_ar_node_M_SC_RECV;
  wire [0:0]m01_ar_node_M_SC_REQ;
  wire [0:0]m01_ar_node_M_SC_SEND;
  wire [0:0]m01_aw_node_M_SC_INFO;
  wire [213:0]m01_aw_node_M_SC_PAYLD;
  wire [0:0]m01_aw_node_M_SC_RECV;
  wire [0:0]m01_aw_node_M_SC_REQ;
  wire [0:0]m01_aw_node_M_SC_SEND;
  wire [0:0]m01_b_node_M_SC_INFO;
  wire [19:0]m01_b_node_M_SC_PAYLD;
  wire [0:0]m01_b_node_M_SC_RECV;
  wire [0:0]m01_b_node_M_SC_REQ;
  wire [0:0]m01_b_node_M_SC_SEND;
  wire [0:0]m01_r_node_M_SC_INFO;
  wire [54:0]m01_r_node_M_SC_PAYLD;
  wire [0:0]m01_r_node_M_SC_RECV;
  wire [0:0]m01_r_node_M_SC_REQ;
  wire [0:0]m01_r_node_M_SC_SEND;
  wire [0:0]m01_w_node_M_SC_INFO;
  wire [68:0]m01_w_node_M_SC_PAYLD;
  wire [0:0]m01_w_node_M_SC_RECV;
  wire [0:0]m01_w_node_M_SC_REQ;
  wire [0:0]m01_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m01_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m01_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m01_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m01_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m01_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m01_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m01_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m01_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m01_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m01_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m01_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m01_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m01_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m01_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m01_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m01_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m01_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m01_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m01_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m01_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m01_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m01_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m01_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m01_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m01_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01arn_0 m01_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m01_ar_node_M_SC_INFO),
        .m_sc_payld(m01_ar_node_M_SC_PAYLD),
        .m_sc_recv(m01_ar_node_M_SC_RECV),
        .m_sc_req(m01_ar_node_M_SC_REQ),
        .m_sc_send(m01_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01awn_0 m01_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m01_aw_node_M_SC_INFO),
        .m_sc_payld(m01_aw_node_M_SC_PAYLD),
        .m_sc_recv(m01_aw_node_M_SC_RECV),
        .m_sc_req(m01_aw_node_M_SC_REQ),
        .m_sc_send(m01_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01bn_0 m01_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m01_b_node_M_SC_INFO),
        .m_sc_payld(m01_b_node_M_SC_PAYLD),
        .m_sc_recv(m01_b_node_M_SC_RECV),
        .m_sc_req(m01_b_node_M_SC_REQ),
        .m_sc_send(m01_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01rn_0 m01_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m01_r_node_M_SC_INFO),
        .m_sc_payld(m01_r_node_M_SC_PAYLD),
        .m_sc_recv(m01_r_node_M_SC_RECV),
        .m_sc_req(m01_r_node_M_SC_REQ),
        .m_sc_send(m01_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m01wn_0 m01_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m01_w_node_M_SC_INFO),
        .m_sc_payld(m01_w_node_M_SC_PAYLD),
        .m_sc_recv(m01_w_node_M_SC_RECV),
        .m_sc_req(m01_w_node_M_SC_REQ),
        .m_sc_send(m01_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m02_exit_pipeline_imp_1T6SQYR
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m02_exit_M_AXI_ARADDR;
  wire [1:0]m02_exit_M_AXI_ARBURST;
  wire [3:0]m02_exit_M_AXI_ARCACHE;
  wire [7:0]m02_exit_M_AXI_ARLEN;
  wire [0:0]m02_exit_M_AXI_ARLOCK;
  wire [2:0]m02_exit_M_AXI_ARPROT;
  wire [3:0]m02_exit_M_AXI_ARQOS;
  wire m02_exit_M_AXI_ARREADY;
  wire [2:0]m02_exit_M_AXI_ARSIZE;
  wire [31:0]m02_exit_M_AXI_ARUSER;
  wire m02_exit_M_AXI_ARVALID;
  wire [31:0]m02_exit_M_AXI_AWADDR;
  wire [1:0]m02_exit_M_AXI_AWBURST;
  wire [3:0]m02_exit_M_AXI_AWCACHE;
  wire [7:0]m02_exit_M_AXI_AWLEN;
  wire [0:0]m02_exit_M_AXI_AWLOCK;
  wire [2:0]m02_exit_M_AXI_AWPROT;
  wire [3:0]m02_exit_M_AXI_AWQOS;
  wire m02_exit_M_AXI_AWREADY;
  wire [2:0]m02_exit_M_AXI_AWSIZE;
  wire [31:0]m02_exit_M_AXI_AWUSER;
  wire m02_exit_M_AXI_AWVALID;
  wire m02_exit_M_AXI_BREADY;
  wire [1:0]m02_exit_M_AXI_BRESP;
  wire [15:0]m02_exit_M_AXI_BUSER;
  wire m02_exit_M_AXI_BVALID;
  wire [31:0]m02_exit_M_AXI_RDATA;
  wire m02_exit_M_AXI_RLAST;
  wire m02_exit_M_AXI_RREADY;
  wire [1:0]m02_exit_M_AXI_RRESP;
  wire [3:0]m02_exit_M_AXI_RUSER;
  wire m02_exit_M_AXI_RVALID;
  wire [31:0]m02_exit_M_AXI_WDATA;
  wire m02_exit_M_AXI_WLAST;
  wire m02_exit_M_AXI_WREADY;
  wire [3:0]m02_exit_M_AXI_WSTRB;
  wire [3:0]m02_exit_M_AXI_WUSER;
  wire m02_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m02_exit_M_AXI_ARREADY = m_axi_arready;
  assign m02_exit_M_AXI_AWREADY = m_axi_awready;
  assign m02_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m02_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m02_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m02_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m02_exit_M_AXI_RLAST = m_axi_rlast;
  assign m02_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m02_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m02_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m02_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m02_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m02_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m02_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m02_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m02_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m02_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m02_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m02_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m02_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m02_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m02_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m02_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m02_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m02_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m02_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m02_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m02_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m02_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m02_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m02_exit_M_AXI_AWVALID;
  assign m_axi_bready = m02_exit_M_AXI_BREADY;
  assign m_axi_rready = m02_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m02_exit_M_AXI_WDATA;
  assign m_axi_wlast = m02_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m02_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m02_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m02_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02e_0 m02_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m02_exit_M_AXI_ARADDR),
        .m_axi_arburst(m02_exit_M_AXI_ARBURST),
        .m_axi_arcache(m02_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m02_exit_M_AXI_ARLEN),
        .m_axi_arlock(m02_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m02_exit_M_AXI_ARPROT),
        .m_axi_arqos(m02_exit_M_AXI_ARQOS),
        .m_axi_arready(m02_exit_M_AXI_ARREADY),
        .m_axi_arsize(m02_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m02_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m02_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m02_exit_M_AXI_AWADDR),
        .m_axi_awburst(m02_exit_M_AXI_AWBURST),
        .m_axi_awcache(m02_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m02_exit_M_AXI_AWLEN),
        .m_axi_awlock(m02_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m02_exit_M_AXI_AWPROT),
        .m_axi_awqos(m02_exit_M_AXI_AWQOS),
        .m_axi_awready(m02_exit_M_AXI_AWREADY),
        .m_axi_awsize(m02_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m02_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m02_exit_M_AXI_AWVALID),
        .m_axi_bready(m02_exit_M_AXI_BREADY),
        .m_axi_bresp(m02_exit_M_AXI_BRESP),
        .m_axi_buser(m02_exit_M_AXI_BUSER),
        .m_axi_bvalid(m02_exit_M_AXI_BVALID),
        .m_axi_rdata(m02_exit_M_AXI_RDATA),
        .m_axi_rlast(m02_exit_M_AXI_RLAST),
        .m_axi_rready(m02_exit_M_AXI_RREADY),
        .m_axi_rresp(m02_exit_M_AXI_RRESP),
        .m_axi_ruser(m02_exit_M_AXI_RUSER),
        .m_axi_rvalid(m02_exit_M_AXI_RVALID),
        .m_axi_wdata(m02_exit_M_AXI_WDATA),
        .m_axi_wlast(m02_exit_M_AXI_WLAST),
        .m_axi_wready(m02_exit_M_AXI_WREADY),
        .m_axi_wstrb(m02_exit_M_AXI_WSTRB),
        .m_axi_wuser(m02_exit_M_AXI_WUSER),
        .m_axi_wvalid(m02_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m02_nodes_imp_WQGEWY
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m02_ar_node_M_SC_INFO;
  wire [213:0]m02_ar_node_M_SC_PAYLD;
  wire [0:0]m02_ar_node_M_SC_RECV;
  wire [0:0]m02_ar_node_M_SC_REQ;
  wire [0:0]m02_ar_node_M_SC_SEND;
  wire [0:0]m02_aw_node_M_SC_INFO;
  wire [213:0]m02_aw_node_M_SC_PAYLD;
  wire [0:0]m02_aw_node_M_SC_RECV;
  wire [0:0]m02_aw_node_M_SC_REQ;
  wire [0:0]m02_aw_node_M_SC_SEND;
  wire [0:0]m02_b_node_M_SC_INFO;
  wire [19:0]m02_b_node_M_SC_PAYLD;
  wire [0:0]m02_b_node_M_SC_RECV;
  wire [0:0]m02_b_node_M_SC_REQ;
  wire [0:0]m02_b_node_M_SC_SEND;
  wire [0:0]m02_r_node_M_SC_INFO;
  wire [54:0]m02_r_node_M_SC_PAYLD;
  wire [0:0]m02_r_node_M_SC_RECV;
  wire [0:0]m02_r_node_M_SC_REQ;
  wire [0:0]m02_r_node_M_SC_SEND;
  wire [0:0]m02_w_node_M_SC_INFO;
  wire [68:0]m02_w_node_M_SC_PAYLD;
  wire [0:0]m02_w_node_M_SC_RECV;
  wire [0:0]m02_w_node_M_SC_REQ;
  wire [0:0]m02_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m02_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m02_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m02_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m02_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m02_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m02_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m02_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m02_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m02_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m02_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m02_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m02_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m02_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m02_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m02_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m02_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m02_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m02_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m02_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m02_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m02_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m02_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m02_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m02_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m02_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02arn_0 m02_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m02_ar_node_M_SC_INFO),
        .m_sc_payld(m02_ar_node_M_SC_PAYLD),
        .m_sc_recv(m02_ar_node_M_SC_RECV),
        .m_sc_req(m02_ar_node_M_SC_REQ),
        .m_sc_send(m02_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02awn_0 m02_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m02_aw_node_M_SC_INFO),
        .m_sc_payld(m02_aw_node_M_SC_PAYLD),
        .m_sc_recv(m02_aw_node_M_SC_RECV),
        .m_sc_req(m02_aw_node_M_SC_REQ),
        .m_sc_send(m02_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02bn_0 m02_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m02_b_node_M_SC_INFO),
        .m_sc_payld(m02_b_node_M_SC_PAYLD),
        .m_sc_recv(m02_b_node_M_SC_RECV),
        .m_sc_req(m02_b_node_M_SC_REQ),
        .m_sc_send(m02_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02rn_0 m02_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m02_r_node_M_SC_INFO),
        .m_sc_payld(m02_r_node_M_SC_PAYLD),
        .m_sc_recv(m02_r_node_M_SC_RECV),
        .m_sc_req(m02_r_node_M_SC_REQ),
        .m_sc_send(m02_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m02wn_0 m02_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m02_w_node_M_SC_INFO),
        .m_sc_payld(m02_w_node_M_SC_PAYLD),
        .m_sc_recv(m02_w_node_M_SC_RECV),
        .m_sc_req(m02_w_node_M_SC_REQ),
        .m_sc_send(m02_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m03_exit_pipeline_imp_1YFMTDV
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m03_exit_M_AXI_ARADDR;
  wire [1:0]m03_exit_M_AXI_ARBURST;
  wire [3:0]m03_exit_M_AXI_ARCACHE;
  wire [7:0]m03_exit_M_AXI_ARLEN;
  wire [0:0]m03_exit_M_AXI_ARLOCK;
  wire [2:0]m03_exit_M_AXI_ARPROT;
  wire [3:0]m03_exit_M_AXI_ARQOS;
  wire m03_exit_M_AXI_ARREADY;
  wire [2:0]m03_exit_M_AXI_ARSIZE;
  wire [31:0]m03_exit_M_AXI_ARUSER;
  wire m03_exit_M_AXI_ARVALID;
  wire [31:0]m03_exit_M_AXI_AWADDR;
  wire [1:0]m03_exit_M_AXI_AWBURST;
  wire [3:0]m03_exit_M_AXI_AWCACHE;
  wire [7:0]m03_exit_M_AXI_AWLEN;
  wire [0:0]m03_exit_M_AXI_AWLOCK;
  wire [2:0]m03_exit_M_AXI_AWPROT;
  wire [3:0]m03_exit_M_AXI_AWQOS;
  wire m03_exit_M_AXI_AWREADY;
  wire [2:0]m03_exit_M_AXI_AWSIZE;
  wire [31:0]m03_exit_M_AXI_AWUSER;
  wire m03_exit_M_AXI_AWVALID;
  wire m03_exit_M_AXI_BREADY;
  wire [1:0]m03_exit_M_AXI_BRESP;
  wire [15:0]m03_exit_M_AXI_BUSER;
  wire m03_exit_M_AXI_BVALID;
  wire [31:0]m03_exit_M_AXI_RDATA;
  wire m03_exit_M_AXI_RLAST;
  wire m03_exit_M_AXI_RREADY;
  wire [1:0]m03_exit_M_AXI_RRESP;
  wire [3:0]m03_exit_M_AXI_RUSER;
  wire m03_exit_M_AXI_RVALID;
  wire [31:0]m03_exit_M_AXI_WDATA;
  wire m03_exit_M_AXI_WLAST;
  wire m03_exit_M_AXI_WREADY;
  wire [3:0]m03_exit_M_AXI_WSTRB;
  wire [3:0]m03_exit_M_AXI_WUSER;
  wire m03_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m03_exit_M_AXI_ARREADY = m_axi_arready;
  assign m03_exit_M_AXI_AWREADY = m_axi_awready;
  assign m03_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m03_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m03_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m03_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m03_exit_M_AXI_RLAST = m_axi_rlast;
  assign m03_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m03_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m03_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m03_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m03_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m03_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m03_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m03_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m03_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m03_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m03_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m03_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m03_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m03_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m03_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m03_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m03_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m03_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m03_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m03_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m03_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m03_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m03_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m03_exit_M_AXI_AWVALID;
  assign m_axi_bready = m03_exit_M_AXI_BREADY;
  assign m_axi_rready = m03_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m03_exit_M_AXI_WDATA;
  assign m_axi_wlast = m03_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m03_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m03_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m03_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03e_0 m03_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m03_exit_M_AXI_ARADDR),
        .m_axi_arburst(m03_exit_M_AXI_ARBURST),
        .m_axi_arcache(m03_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m03_exit_M_AXI_ARLEN),
        .m_axi_arlock(m03_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m03_exit_M_AXI_ARPROT),
        .m_axi_arqos(m03_exit_M_AXI_ARQOS),
        .m_axi_arready(m03_exit_M_AXI_ARREADY),
        .m_axi_arsize(m03_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m03_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m03_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m03_exit_M_AXI_AWADDR),
        .m_axi_awburst(m03_exit_M_AXI_AWBURST),
        .m_axi_awcache(m03_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m03_exit_M_AXI_AWLEN),
        .m_axi_awlock(m03_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m03_exit_M_AXI_AWPROT),
        .m_axi_awqos(m03_exit_M_AXI_AWQOS),
        .m_axi_awready(m03_exit_M_AXI_AWREADY),
        .m_axi_awsize(m03_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m03_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m03_exit_M_AXI_AWVALID),
        .m_axi_bready(m03_exit_M_AXI_BREADY),
        .m_axi_bresp(m03_exit_M_AXI_BRESP),
        .m_axi_buser(m03_exit_M_AXI_BUSER),
        .m_axi_bvalid(m03_exit_M_AXI_BVALID),
        .m_axi_rdata(m03_exit_M_AXI_RDATA),
        .m_axi_rlast(m03_exit_M_AXI_RLAST),
        .m_axi_rready(m03_exit_M_AXI_RREADY),
        .m_axi_rresp(m03_exit_M_AXI_RRESP),
        .m_axi_ruser(m03_exit_M_AXI_RUSER),
        .m_axi_rvalid(m03_exit_M_AXI_RVALID),
        .m_axi_wdata(m03_exit_M_AXI_WDATA),
        .m_axi_wlast(m03_exit_M_AXI_WLAST),
        .m_axi_wready(m03_exit_M_AXI_WREADY),
        .m_axi_wstrb(m03_exit_M_AXI_WSTRB),
        .m_axi_wuser(m03_exit_M_AXI_WUSER),
        .m_axi_wvalid(m03_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m03_nodes_imp_1SMYINO
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m03_ar_node_M_SC_INFO;
  wire [213:0]m03_ar_node_M_SC_PAYLD;
  wire [0:0]m03_ar_node_M_SC_RECV;
  wire [0:0]m03_ar_node_M_SC_REQ;
  wire [0:0]m03_ar_node_M_SC_SEND;
  wire [0:0]m03_aw_node_M_SC_INFO;
  wire [213:0]m03_aw_node_M_SC_PAYLD;
  wire [0:0]m03_aw_node_M_SC_RECV;
  wire [0:0]m03_aw_node_M_SC_REQ;
  wire [0:0]m03_aw_node_M_SC_SEND;
  wire [0:0]m03_b_node_M_SC_INFO;
  wire [19:0]m03_b_node_M_SC_PAYLD;
  wire [0:0]m03_b_node_M_SC_RECV;
  wire [0:0]m03_b_node_M_SC_REQ;
  wire [0:0]m03_b_node_M_SC_SEND;
  wire [0:0]m03_r_node_M_SC_INFO;
  wire [54:0]m03_r_node_M_SC_PAYLD;
  wire [0:0]m03_r_node_M_SC_RECV;
  wire [0:0]m03_r_node_M_SC_REQ;
  wire [0:0]m03_r_node_M_SC_SEND;
  wire [0:0]m03_w_node_M_SC_INFO;
  wire [68:0]m03_w_node_M_SC_PAYLD;
  wire [0:0]m03_w_node_M_SC_RECV;
  wire [0:0]m03_w_node_M_SC_REQ;
  wire [0:0]m03_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m03_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m03_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m03_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m03_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m03_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m03_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m03_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m03_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m03_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m03_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m03_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m03_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m03_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m03_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m03_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m03_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m03_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m03_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m03_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m03_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m03_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m03_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m03_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m03_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m03_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03arn_0 m03_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m03_ar_node_M_SC_INFO),
        .m_sc_payld(m03_ar_node_M_SC_PAYLD),
        .m_sc_recv(m03_ar_node_M_SC_RECV),
        .m_sc_req(m03_ar_node_M_SC_REQ),
        .m_sc_send(m03_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03awn_0 m03_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m03_aw_node_M_SC_INFO),
        .m_sc_payld(m03_aw_node_M_SC_PAYLD),
        .m_sc_recv(m03_aw_node_M_SC_RECV),
        .m_sc_req(m03_aw_node_M_SC_REQ),
        .m_sc_send(m03_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03bn_0 m03_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m03_b_node_M_SC_INFO),
        .m_sc_payld(m03_b_node_M_SC_PAYLD),
        .m_sc_recv(m03_b_node_M_SC_RECV),
        .m_sc_req(m03_b_node_M_SC_REQ),
        .m_sc_send(m03_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03rn_0 m03_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m03_r_node_M_SC_INFO),
        .m_sc_payld(m03_r_node_M_SC_PAYLD),
        .m_sc_recv(m03_r_node_M_SC_RECV),
        .m_sc_req(m03_r_node_M_SC_REQ),
        .m_sc_send(m03_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m03wn_0 m03_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m03_w_node_M_SC_INFO),
        .m_sc_payld(m03_w_node_M_SC_PAYLD),
        .m_sc_recv(m03_w_node_M_SC_RECV),
        .m_sc_req(m03_w_node_M_SC_REQ),
        .m_sc_send(m03_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m04_exit_pipeline_imp_166BB43
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m04_exit_M_AXI_ARADDR;
  wire [1:0]m04_exit_M_AXI_ARBURST;
  wire [3:0]m04_exit_M_AXI_ARCACHE;
  wire [7:0]m04_exit_M_AXI_ARLEN;
  wire [0:0]m04_exit_M_AXI_ARLOCK;
  wire [2:0]m04_exit_M_AXI_ARPROT;
  wire [3:0]m04_exit_M_AXI_ARQOS;
  wire m04_exit_M_AXI_ARREADY;
  wire [2:0]m04_exit_M_AXI_ARSIZE;
  wire [31:0]m04_exit_M_AXI_ARUSER;
  wire m04_exit_M_AXI_ARVALID;
  wire [31:0]m04_exit_M_AXI_AWADDR;
  wire [1:0]m04_exit_M_AXI_AWBURST;
  wire [3:0]m04_exit_M_AXI_AWCACHE;
  wire [7:0]m04_exit_M_AXI_AWLEN;
  wire [0:0]m04_exit_M_AXI_AWLOCK;
  wire [2:0]m04_exit_M_AXI_AWPROT;
  wire [3:0]m04_exit_M_AXI_AWQOS;
  wire m04_exit_M_AXI_AWREADY;
  wire [2:0]m04_exit_M_AXI_AWSIZE;
  wire [31:0]m04_exit_M_AXI_AWUSER;
  wire m04_exit_M_AXI_AWVALID;
  wire m04_exit_M_AXI_BREADY;
  wire [1:0]m04_exit_M_AXI_BRESP;
  wire [15:0]m04_exit_M_AXI_BUSER;
  wire m04_exit_M_AXI_BVALID;
  wire [31:0]m04_exit_M_AXI_RDATA;
  wire m04_exit_M_AXI_RLAST;
  wire m04_exit_M_AXI_RREADY;
  wire [1:0]m04_exit_M_AXI_RRESP;
  wire [3:0]m04_exit_M_AXI_RUSER;
  wire m04_exit_M_AXI_RVALID;
  wire [31:0]m04_exit_M_AXI_WDATA;
  wire m04_exit_M_AXI_WLAST;
  wire m04_exit_M_AXI_WREADY;
  wire [3:0]m04_exit_M_AXI_WSTRB;
  wire [3:0]m04_exit_M_AXI_WUSER;
  wire m04_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m04_exit_M_AXI_ARREADY = m_axi_arready;
  assign m04_exit_M_AXI_AWREADY = m_axi_awready;
  assign m04_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m04_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m04_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m04_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m04_exit_M_AXI_RLAST = m_axi_rlast;
  assign m04_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m04_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m04_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m04_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m04_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m04_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m04_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m04_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m04_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m04_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m04_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m04_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m04_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m04_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m04_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m04_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m04_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m04_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m04_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m04_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m04_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m04_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m04_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m04_exit_M_AXI_AWVALID;
  assign m_axi_bready = m04_exit_M_AXI_BREADY;
  assign m_axi_rready = m04_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m04_exit_M_AXI_WDATA;
  assign m_axi_wlast = m04_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m04_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m04_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m04_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04e_0 m04_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m04_exit_M_AXI_ARADDR),
        .m_axi_arburst(m04_exit_M_AXI_ARBURST),
        .m_axi_arcache(m04_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m04_exit_M_AXI_ARLEN),
        .m_axi_arlock(m04_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m04_exit_M_AXI_ARPROT),
        .m_axi_arqos(m04_exit_M_AXI_ARQOS),
        .m_axi_arready(m04_exit_M_AXI_ARREADY),
        .m_axi_arsize(m04_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m04_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m04_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m04_exit_M_AXI_AWADDR),
        .m_axi_awburst(m04_exit_M_AXI_AWBURST),
        .m_axi_awcache(m04_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m04_exit_M_AXI_AWLEN),
        .m_axi_awlock(m04_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m04_exit_M_AXI_AWPROT),
        .m_axi_awqos(m04_exit_M_AXI_AWQOS),
        .m_axi_awready(m04_exit_M_AXI_AWREADY),
        .m_axi_awsize(m04_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m04_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m04_exit_M_AXI_AWVALID),
        .m_axi_bready(m04_exit_M_AXI_BREADY),
        .m_axi_bresp(m04_exit_M_AXI_BRESP),
        .m_axi_buser(m04_exit_M_AXI_BUSER),
        .m_axi_bvalid(m04_exit_M_AXI_BVALID),
        .m_axi_rdata(m04_exit_M_AXI_RDATA),
        .m_axi_rlast(m04_exit_M_AXI_RLAST),
        .m_axi_rready(m04_exit_M_AXI_RREADY),
        .m_axi_rresp(m04_exit_M_AXI_RRESP),
        .m_axi_ruser(m04_exit_M_AXI_RUSER),
        .m_axi_rvalid(m04_exit_M_AXI_RVALID),
        .m_axi_wdata(m04_exit_M_AXI_WDATA),
        .m_axi_wlast(m04_exit_M_AXI_WLAST),
        .m_axi_wready(m04_exit_M_AXI_WREADY),
        .m_axi_wstrb(m04_exit_M_AXI_WSTRB),
        .m_axi_wuser(m04_exit_M_AXI_WUSER),
        .m_axi_wvalid(m04_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m04_nodes_imp_136MH4K
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m04_ar_node_M_SC_INFO;
  wire [213:0]m04_ar_node_M_SC_PAYLD;
  wire [0:0]m04_ar_node_M_SC_RECV;
  wire [0:0]m04_ar_node_M_SC_REQ;
  wire [0:0]m04_ar_node_M_SC_SEND;
  wire [0:0]m04_aw_node_M_SC_INFO;
  wire [213:0]m04_aw_node_M_SC_PAYLD;
  wire [0:0]m04_aw_node_M_SC_RECV;
  wire [0:0]m04_aw_node_M_SC_REQ;
  wire [0:0]m04_aw_node_M_SC_SEND;
  wire [0:0]m04_b_node_M_SC_INFO;
  wire [19:0]m04_b_node_M_SC_PAYLD;
  wire [0:0]m04_b_node_M_SC_RECV;
  wire [0:0]m04_b_node_M_SC_REQ;
  wire [0:0]m04_b_node_M_SC_SEND;
  wire [0:0]m04_r_node_M_SC_INFO;
  wire [54:0]m04_r_node_M_SC_PAYLD;
  wire [0:0]m04_r_node_M_SC_RECV;
  wire [0:0]m04_r_node_M_SC_REQ;
  wire [0:0]m04_r_node_M_SC_SEND;
  wire [0:0]m04_w_node_M_SC_INFO;
  wire [68:0]m04_w_node_M_SC_PAYLD;
  wire [0:0]m04_w_node_M_SC_RECV;
  wire [0:0]m04_w_node_M_SC_REQ;
  wire [0:0]m04_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m04_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m04_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m04_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m04_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m04_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m04_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m04_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m04_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m04_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m04_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m04_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m04_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m04_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m04_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m04_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m04_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m04_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m04_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m04_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m04_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m04_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m04_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m04_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m04_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m04_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04arn_0 m04_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m04_ar_node_M_SC_INFO),
        .m_sc_payld(m04_ar_node_M_SC_PAYLD),
        .m_sc_recv(m04_ar_node_M_SC_RECV),
        .m_sc_req(m04_ar_node_M_SC_REQ),
        .m_sc_send(m04_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04awn_0 m04_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m04_aw_node_M_SC_INFO),
        .m_sc_payld(m04_aw_node_M_SC_PAYLD),
        .m_sc_recv(m04_aw_node_M_SC_RECV),
        .m_sc_req(m04_aw_node_M_SC_REQ),
        .m_sc_send(m04_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04bn_0 m04_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m04_b_node_M_SC_INFO),
        .m_sc_payld(m04_b_node_M_SC_PAYLD),
        .m_sc_recv(m04_b_node_M_SC_RECV),
        .m_sc_req(m04_b_node_M_SC_REQ),
        .m_sc_send(m04_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04rn_0 m04_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m04_r_node_M_SC_INFO),
        .m_sc_payld(m04_r_node_M_SC_PAYLD),
        .m_sc_recv(m04_r_node_M_SC_RECV),
        .m_sc_req(m04_r_node_M_SC_REQ),
        .m_sc_send(m04_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m04wn_0 m04_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m04_w_node_M_SC_INFO),
        .m_sc_payld(m04_w_node_M_SC_PAYLD),
        .m_sc_recv(m04_w_node_M_SC_RECV),
        .m_sc_req(m04_w_node_M_SC_REQ),
        .m_sc_send(m04_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m05_exit_pipeline_imp_13PZCN7
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m05_exit_M_AXI_ARADDR;
  wire [1:0]m05_exit_M_AXI_ARBURST;
  wire [3:0]m05_exit_M_AXI_ARCACHE;
  wire [7:0]m05_exit_M_AXI_ARLEN;
  wire [0:0]m05_exit_M_AXI_ARLOCK;
  wire [2:0]m05_exit_M_AXI_ARPROT;
  wire [3:0]m05_exit_M_AXI_ARQOS;
  wire m05_exit_M_AXI_ARREADY;
  wire [2:0]m05_exit_M_AXI_ARSIZE;
  wire [31:0]m05_exit_M_AXI_ARUSER;
  wire m05_exit_M_AXI_ARVALID;
  wire [31:0]m05_exit_M_AXI_AWADDR;
  wire [1:0]m05_exit_M_AXI_AWBURST;
  wire [3:0]m05_exit_M_AXI_AWCACHE;
  wire [7:0]m05_exit_M_AXI_AWLEN;
  wire [0:0]m05_exit_M_AXI_AWLOCK;
  wire [2:0]m05_exit_M_AXI_AWPROT;
  wire [3:0]m05_exit_M_AXI_AWQOS;
  wire m05_exit_M_AXI_AWREADY;
  wire [2:0]m05_exit_M_AXI_AWSIZE;
  wire [31:0]m05_exit_M_AXI_AWUSER;
  wire m05_exit_M_AXI_AWVALID;
  wire m05_exit_M_AXI_BREADY;
  wire [1:0]m05_exit_M_AXI_BRESP;
  wire [15:0]m05_exit_M_AXI_BUSER;
  wire m05_exit_M_AXI_BVALID;
  wire [31:0]m05_exit_M_AXI_RDATA;
  wire m05_exit_M_AXI_RLAST;
  wire m05_exit_M_AXI_RREADY;
  wire [1:0]m05_exit_M_AXI_RRESP;
  wire [3:0]m05_exit_M_AXI_RUSER;
  wire m05_exit_M_AXI_RVALID;
  wire [31:0]m05_exit_M_AXI_WDATA;
  wire m05_exit_M_AXI_WLAST;
  wire m05_exit_M_AXI_WREADY;
  wire [3:0]m05_exit_M_AXI_WSTRB;
  wire [3:0]m05_exit_M_AXI_WUSER;
  wire m05_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m05_exit_M_AXI_ARREADY = m_axi_arready;
  assign m05_exit_M_AXI_AWREADY = m_axi_awready;
  assign m05_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m05_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m05_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m05_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m05_exit_M_AXI_RLAST = m_axi_rlast;
  assign m05_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m05_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m05_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m05_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m05_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m05_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m05_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m05_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m05_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m05_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m05_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m05_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m05_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m05_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m05_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m05_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m05_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m05_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m05_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m05_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m05_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m05_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m05_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m05_exit_M_AXI_AWVALID;
  assign m_axi_bready = m05_exit_M_AXI_BREADY;
  assign m_axi_rready = m05_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m05_exit_M_AXI_WDATA;
  assign m_axi_wlast = m05_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m05_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m05_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m05_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05e_0 m05_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m05_exit_M_AXI_ARADDR),
        .m_axi_arburst(m05_exit_M_AXI_ARBURST),
        .m_axi_arcache(m05_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m05_exit_M_AXI_ARLEN),
        .m_axi_arlock(m05_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m05_exit_M_AXI_ARPROT),
        .m_axi_arqos(m05_exit_M_AXI_ARQOS),
        .m_axi_arready(m05_exit_M_AXI_ARREADY),
        .m_axi_arsize(m05_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m05_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m05_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m05_exit_M_AXI_AWADDR),
        .m_axi_awburst(m05_exit_M_AXI_AWBURST),
        .m_axi_awcache(m05_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m05_exit_M_AXI_AWLEN),
        .m_axi_awlock(m05_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m05_exit_M_AXI_AWPROT),
        .m_axi_awqos(m05_exit_M_AXI_AWQOS),
        .m_axi_awready(m05_exit_M_AXI_AWREADY),
        .m_axi_awsize(m05_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m05_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m05_exit_M_AXI_AWVALID),
        .m_axi_bready(m05_exit_M_AXI_BREADY),
        .m_axi_bresp(m05_exit_M_AXI_BRESP),
        .m_axi_buser(m05_exit_M_AXI_BUSER),
        .m_axi_bvalid(m05_exit_M_AXI_BVALID),
        .m_axi_rdata(m05_exit_M_AXI_RDATA),
        .m_axi_rlast(m05_exit_M_AXI_RLAST),
        .m_axi_rready(m05_exit_M_AXI_RREADY),
        .m_axi_rresp(m05_exit_M_AXI_RRESP),
        .m_axi_ruser(m05_exit_M_AXI_RUSER),
        .m_axi_rvalid(m05_exit_M_AXI_RVALID),
        .m_axi_wdata(m05_exit_M_AXI_WDATA),
        .m_axi_wlast(m05_exit_M_AXI_WLAST),
        .m_axi_wready(m05_exit_M_AXI_WREADY),
        .m_axi_wstrb(m05_exit_M_AXI_WSTRB),
        .m_axi_wuser(m05_exit_M_AXI_WUSER),
        .m_axi_wvalid(m05_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m05_nodes_imp_4HYYBM
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m05_ar_node_M_SC_INFO;
  wire [213:0]m05_ar_node_M_SC_PAYLD;
  wire [0:0]m05_ar_node_M_SC_RECV;
  wire [0:0]m05_ar_node_M_SC_REQ;
  wire [0:0]m05_ar_node_M_SC_SEND;
  wire [0:0]m05_aw_node_M_SC_INFO;
  wire [213:0]m05_aw_node_M_SC_PAYLD;
  wire [0:0]m05_aw_node_M_SC_RECV;
  wire [0:0]m05_aw_node_M_SC_REQ;
  wire [0:0]m05_aw_node_M_SC_SEND;
  wire [0:0]m05_b_node_M_SC_INFO;
  wire [19:0]m05_b_node_M_SC_PAYLD;
  wire [0:0]m05_b_node_M_SC_RECV;
  wire [0:0]m05_b_node_M_SC_REQ;
  wire [0:0]m05_b_node_M_SC_SEND;
  wire [0:0]m05_r_node_M_SC_INFO;
  wire [54:0]m05_r_node_M_SC_PAYLD;
  wire [0:0]m05_r_node_M_SC_RECV;
  wire [0:0]m05_r_node_M_SC_REQ;
  wire [0:0]m05_r_node_M_SC_SEND;
  wire [0:0]m05_w_node_M_SC_INFO;
  wire [68:0]m05_w_node_M_SC_PAYLD;
  wire [0:0]m05_w_node_M_SC_RECV;
  wire [0:0]m05_w_node_M_SC_REQ;
  wire [0:0]m05_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m05_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m05_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m05_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m05_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m05_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m05_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m05_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m05_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m05_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m05_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m05_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m05_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m05_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m05_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m05_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m05_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m05_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m05_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m05_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m05_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m05_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m05_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m05_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m05_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m05_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05arn_0 m05_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m05_ar_node_M_SC_INFO),
        .m_sc_payld(m05_ar_node_M_SC_PAYLD),
        .m_sc_recv(m05_ar_node_M_SC_RECV),
        .m_sc_req(m05_ar_node_M_SC_REQ),
        .m_sc_send(m05_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05awn_0 m05_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m05_aw_node_M_SC_INFO),
        .m_sc_payld(m05_aw_node_M_SC_PAYLD),
        .m_sc_recv(m05_aw_node_M_SC_RECV),
        .m_sc_req(m05_aw_node_M_SC_REQ),
        .m_sc_send(m05_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05bn_0 m05_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m05_b_node_M_SC_INFO),
        .m_sc_payld(m05_b_node_M_SC_PAYLD),
        .m_sc_recv(m05_b_node_M_SC_RECV),
        .m_sc_req(m05_b_node_M_SC_REQ),
        .m_sc_send(m05_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05rn_0 m05_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m05_r_node_M_SC_INFO),
        .m_sc_payld(m05_r_node_M_SC_PAYLD),
        .m_sc_recv(m05_r_node_M_SC_RECV),
        .m_sc_req(m05_r_node_M_SC_REQ),
        .m_sc_send(m05_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m05wn_0 m05_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m05_w_node_M_SC_INFO),
        .m_sc_payld(m05_w_node_M_SC_PAYLD),
        .m_sc_recv(m05_w_node_M_SC_RECV),
        .m_sc_req(m05_w_node_M_SC_REQ),
        .m_sc_send(m05_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m06_exit_pipeline_imp_1EL33PF
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m06_exit_M_AXI_ARADDR;
  wire [1:0]m06_exit_M_AXI_ARBURST;
  wire [3:0]m06_exit_M_AXI_ARCACHE;
  wire [7:0]m06_exit_M_AXI_ARLEN;
  wire [0:0]m06_exit_M_AXI_ARLOCK;
  wire [2:0]m06_exit_M_AXI_ARPROT;
  wire [3:0]m06_exit_M_AXI_ARQOS;
  wire m06_exit_M_AXI_ARREADY;
  wire [2:0]m06_exit_M_AXI_ARSIZE;
  wire [31:0]m06_exit_M_AXI_ARUSER;
  wire m06_exit_M_AXI_ARVALID;
  wire [31:0]m06_exit_M_AXI_AWADDR;
  wire [1:0]m06_exit_M_AXI_AWBURST;
  wire [3:0]m06_exit_M_AXI_AWCACHE;
  wire [7:0]m06_exit_M_AXI_AWLEN;
  wire [0:0]m06_exit_M_AXI_AWLOCK;
  wire [2:0]m06_exit_M_AXI_AWPROT;
  wire [3:0]m06_exit_M_AXI_AWQOS;
  wire m06_exit_M_AXI_AWREADY;
  wire [2:0]m06_exit_M_AXI_AWSIZE;
  wire [31:0]m06_exit_M_AXI_AWUSER;
  wire m06_exit_M_AXI_AWVALID;
  wire m06_exit_M_AXI_BREADY;
  wire [1:0]m06_exit_M_AXI_BRESP;
  wire [15:0]m06_exit_M_AXI_BUSER;
  wire m06_exit_M_AXI_BVALID;
  wire [31:0]m06_exit_M_AXI_RDATA;
  wire m06_exit_M_AXI_RLAST;
  wire m06_exit_M_AXI_RREADY;
  wire [1:0]m06_exit_M_AXI_RRESP;
  wire [3:0]m06_exit_M_AXI_RUSER;
  wire m06_exit_M_AXI_RVALID;
  wire [31:0]m06_exit_M_AXI_WDATA;
  wire m06_exit_M_AXI_WLAST;
  wire m06_exit_M_AXI_WREADY;
  wire [3:0]m06_exit_M_AXI_WSTRB;
  wire [3:0]m06_exit_M_AXI_WUSER;
  wire m06_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m06_exit_M_AXI_ARREADY = m_axi_arready;
  assign m06_exit_M_AXI_AWREADY = m_axi_awready;
  assign m06_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m06_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m06_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m06_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m06_exit_M_AXI_RLAST = m_axi_rlast;
  assign m06_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m06_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m06_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m06_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m06_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m06_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m06_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m06_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m06_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m06_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m06_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m06_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m06_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m06_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m06_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m06_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m06_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m06_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m06_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m06_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m06_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m06_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m06_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m06_exit_M_AXI_AWVALID;
  assign m_axi_bready = m06_exit_M_AXI_BREADY;
  assign m_axi_rready = m06_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m06_exit_M_AXI_WDATA;
  assign m_axi_wlast = m06_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m06_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m06_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m06_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06e_0 m06_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m06_exit_M_AXI_ARADDR),
        .m_axi_arburst(m06_exit_M_AXI_ARBURST),
        .m_axi_arcache(m06_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m06_exit_M_AXI_ARLEN),
        .m_axi_arlock(m06_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m06_exit_M_AXI_ARPROT),
        .m_axi_arqos(m06_exit_M_AXI_ARQOS),
        .m_axi_arready(m06_exit_M_AXI_ARREADY),
        .m_axi_arsize(m06_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m06_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m06_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m06_exit_M_AXI_AWADDR),
        .m_axi_awburst(m06_exit_M_AXI_AWBURST),
        .m_axi_awcache(m06_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m06_exit_M_AXI_AWLEN),
        .m_axi_awlock(m06_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m06_exit_M_AXI_AWPROT),
        .m_axi_awqos(m06_exit_M_AXI_AWQOS),
        .m_axi_awready(m06_exit_M_AXI_AWREADY),
        .m_axi_awsize(m06_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m06_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m06_exit_M_AXI_AWVALID),
        .m_axi_bready(m06_exit_M_AXI_BREADY),
        .m_axi_bresp(m06_exit_M_AXI_BRESP),
        .m_axi_buser(m06_exit_M_AXI_BUSER),
        .m_axi_bvalid(m06_exit_M_AXI_BVALID),
        .m_axi_rdata(m06_exit_M_AXI_RDATA),
        .m_axi_rlast(m06_exit_M_AXI_RLAST),
        .m_axi_rready(m06_exit_M_AXI_RREADY),
        .m_axi_rresp(m06_exit_M_AXI_RRESP),
        .m_axi_ruser(m06_exit_M_AXI_RUSER),
        .m_axi_rvalid(m06_exit_M_AXI_RVALID),
        .m_axi_wdata(m06_exit_M_AXI_WDATA),
        .m_axi_wlast(m06_exit_M_AXI_WLAST),
        .m_axi_wready(m06_exit_M_AXI_WREADY),
        .m_axi_wstrb(m06_exit_M_AXI_WSTRB),
        .m_axi_wuser(m06_exit_M_AXI_WUSER),
        .m_axi_wvalid(m06_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m06_nodes_imp_U24ZH5
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m06_ar_node_M_SC_INFO;
  wire [213:0]m06_ar_node_M_SC_PAYLD;
  wire [0:0]m06_ar_node_M_SC_RECV;
  wire [0:0]m06_ar_node_M_SC_REQ;
  wire [0:0]m06_ar_node_M_SC_SEND;
  wire [0:0]m06_aw_node_M_SC_INFO;
  wire [213:0]m06_aw_node_M_SC_PAYLD;
  wire [0:0]m06_aw_node_M_SC_RECV;
  wire [0:0]m06_aw_node_M_SC_REQ;
  wire [0:0]m06_aw_node_M_SC_SEND;
  wire [0:0]m06_b_node_M_SC_INFO;
  wire [19:0]m06_b_node_M_SC_PAYLD;
  wire [0:0]m06_b_node_M_SC_RECV;
  wire [0:0]m06_b_node_M_SC_REQ;
  wire [0:0]m06_b_node_M_SC_SEND;
  wire [0:0]m06_r_node_M_SC_INFO;
  wire [54:0]m06_r_node_M_SC_PAYLD;
  wire [0:0]m06_r_node_M_SC_RECV;
  wire [0:0]m06_r_node_M_SC_REQ;
  wire [0:0]m06_r_node_M_SC_SEND;
  wire [0:0]m06_w_node_M_SC_INFO;
  wire [68:0]m06_w_node_M_SC_PAYLD;
  wire [0:0]m06_w_node_M_SC_RECV;
  wire [0:0]m06_w_node_M_SC_REQ;
  wire [0:0]m06_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m06_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m06_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m06_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m06_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m06_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m06_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m06_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m06_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m06_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m06_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m06_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m06_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m06_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m06_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m06_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m06_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m06_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m06_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m06_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m06_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m06_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m06_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m06_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m06_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m06_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06arn_0 m06_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m06_ar_node_M_SC_INFO),
        .m_sc_payld(m06_ar_node_M_SC_PAYLD),
        .m_sc_recv(m06_ar_node_M_SC_RECV),
        .m_sc_req(m06_ar_node_M_SC_REQ),
        .m_sc_send(m06_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06awn_0 m06_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m06_aw_node_M_SC_INFO),
        .m_sc_payld(m06_aw_node_M_SC_PAYLD),
        .m_sc_recv(m06_aw_node_M_SC_RECV),
        .m_sc_req(m06_aw_node_M_SC_REQ),
        .m_sc_send(m06_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06bn_0 m06_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m06_b_node_M_SC_INFO),
        .m_sc_payld(m06_b_node_M_SC_PAYLD),
        .m_sc_recv(m06_b_node_M_SC_RECV),
        .m_sc_req(m06_b_node_M_SC_REQ),
        .m_sc_send(m06_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06rn_0 m06_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m06_r_node_M_SC_INFO),
        .m_sc_payld(m06_r_node_M_SC_PAYLD),
        .m_sc_recv(m06_r_node_M_SC_RECV),
        .m_sc_req(m06_r_node_M_SC_REQ),
        .m_sc_send(m06_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m06wn_0 m06_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m06_w_node_M_SC_INFO),
        .m_sc_payld(m06_w_node_M_SC_PAYLD),
        .m_sc_recv(m06_w_node_M_SC_RECV),
        .m_sc_req(m06_w_node_M_SC_REQ),
        .m_sc_send(m06_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m07_exit_pipeline_imp_18SVB5V
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m07_exit_M_AXI_ARADDR;
  wire [1:0]m07_exit_M_AXI_ARBURST;
  wire [3:0]m07_exit_M_AXI_ARCACHE;
  wire [7:0]m07_exit_M_AXI_ARLEN;
  wire [0:0]m07_exit_M_AXI_ARLOCK;
  wire [2:0]m07_exit_M_AXI_ARPROT;
  wire [3:0]m07_exit_M_AXI_ARQOS;
  wire m07_exit_M_AXI_ARREADY;
  wire [2:0]m07_exit_M_AXI_ARSIZE;
  wire [31:0]m07_exit_M_AXI_ARUSER;
  wire m07_exit_M_AXI_ARVALID;
  wire [31:0]m07_exit_M_AXI_AWADDR;
  wire [1:0]m07_exit_M_AXI_AWBURST;
  wire [3:0]m07_exit_M_AXI_AWCACHE;
  wire [7:0]m07_exit_M_AXI_AWLEN;
  wire [0:0]m07_exit_M_AXI_AWLOCK;
  wire [2:0]m07_exit_M_AXI_AWPROT;
  wire [3:0]m07_exit_M_AXI_AWQOS;
  wire m07_exit_M_AXI_AWREADY;
  wire [2:0]m07_exit_M_AXI_AWSIZE;
  wire [31:0]m07_exit_M_AXI_AWUSER;
  wire m07_exit_M_AXI_AWVALID;
  wire m07_exit_M_AXI_BREADY;
  wire [1:0]m07_exit_M_AXI_BRESP;
  wire [15:0]m07_exit_M_AXI_BUSER;
  wire m07_exit_M_AXI_BVALID;
  wire [31:0]m07_exit_M_AXI_RDATA;
  wire m07_exit_M_AXI_RLAST;
  wire m07_exit_M_AXI_RREADY;
  wire [1:0]m07_exit_M_AXI_RRESP;
  wire [3:0]m07_exit_M_AXI_RUSER;
  wire m07_exit_M_AXI_RVALID;
  wire [31:0]m07_exit_M_AXI_WDATA;
  wire m07_exit_M_AXI_WLAST;
  wire m07_exit_M_AXI_WREADY;
  wire [3:0]m07_exit_M_AXI_WSTRB;
  wire [3:0]m07_exit_M_AXI_WUSER;
  wire m07_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m07_exit_M_AXI_ARREADY = m_axi_arready;
  assign m07_exit_M_AXI_AWREADY = m_axi_awready;
  assign m07_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m07_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m07_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m07_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m07_exit_M_AXI_RLAST = m_axi_rlast;
  assign m07_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m07_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m07_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m07_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m07_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m07_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m07_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m07_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m07_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m07_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m07_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m07_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m07_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m07_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m07_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m07_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m07_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m07_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m07_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m07_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m07_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m07_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m07_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m07_exit_M_AXI_AWVALID;
  assign m_axi_bready = m07_exit_M_AXI_BREADY;
  assign m_axi_rready = m07_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m07_exit_M_AXI_WDATA;
  assign m_axi_wlast = m07_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m07_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m07_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m07_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07e_0 m07_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m07_exit_M_AXI_ARADDR),
        .m_axi_arburst(m07_exit_M_AXI_ARBURST),
        .m_axi_arcache(m07_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m07_exit_M_AXI_ARLEN),
        .m_axi_arlock(m07_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m07_exit_M_AXI_ARPROT),
        .m_axi_arqos(m07_exit_M_AXI_ARQOS),
        .m_axi_arready(m07_exit_M_AXI_ARREADY),
        .m_axi_arsize(m07_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m07_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m07_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m07_exit_M_AXI_AWADDR),
        .m_axi_awburst(m07_exit_M_AXI_AWBURST),
        .m_axi_awcache(m07_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m07_exit_M_AXI_AWLEN),
        .m_axi_awlock(m07_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m07_exit_M_AXI_AWPROT),
        .m_axi_awqos(m07_exit_M_AXI_AWQOS),
        .m_axi_awready(m07_exit_M_AXI_AWREADY),
        .m_axi_awsize(m07_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m07_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m07_exit_M_AXI_AWVALID),
        .m_axi_bready(m07_exit_M_AXI_BREADY),
        .m_axi_bresp(m07_exit_M_AXI_BRESP),
        .m_axi_buser(m07_exit_M_AXI_BUSER),
        .m_axi_bvalid(m07_exit_M_AXI_BVALID),
        .m_axi_rdata(m07_exit_M_AXI_RDATA),
        .m_axi_rlast(m07_exit_M_AXI_RLAST),
        .m_axi_rready(m07_exit_M_AXI_RREADY),
        .m_axi_rresp(m07_exit_M_AXI_RRESP),
        .m_axi_ruser(m07_exit_M_AXI_RUSER),
        .m_axi_rvalid(m07_exit_M_AXI_RVALID),
        .m_axi_wdata(m07_exit_M_AXI_WDATA),
        .m_axi_wlast(m07_exit_M_AXI_WLAST),
        .m_axi_wready(m07_exit_M_AXI_WREADY),
        .m_axi_wstrb(m07_exit_M_AXI_WSTRB),
        .m_axi_wuser(m07_exit_M_AXI_WUSER),
        .m_axi_wvalid(m07_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m07_nodes_imp_1UYSFLB
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m07_ar_node_M_SC_INFO;
  wire [213:0]m07_ar_node_M_SC_PAYLD;
  wire [0:0]m07_ar_node_M_SC_RECV;
  wire [0:0]m07_ar_node_M_SC_REQ;
  wire [0:0]m07_ar_node_M_SC_SEND;
  wire [0:0]m07_aw_node_M_SC_INFO;
  wire [213:0]m07_aw_node_M_SC_PAYLD;
  wire [0:0]m07_aw_node_M_SC_RECV;
  wire [0:0]m07_aw_node_M_SC_REQ;
  wire [0:0]m07_aw_node_M_SC_SEND;
  wire [0:0]m07_b_node_M_SC_INFO;
  wire [19:0]m07_b_node_M_SC_PAYLD;
  wire [0:0]m07_b_node_M_SC_RECV;
  wire [0:0]m07_b_node_M_SC_REQ;
  wire [0:0]m07_b_node_M_SC_SEND;
  wire [0:0]m07_r_node_M_SC_INFO;
  wire [54:0]m07_r_node_M_SC_PAYLD;
  wire [0:0]m07_r_node_M_SC_RECV;
  wire [0:0]m07_r_node_M_SC_REQ;
  wire [0:0]m07_r_node_M_SC_SEND;
  wire [0:0]m07_w_node_M_SC_INFO;
  wire [68:0]m07_w_node_M_SC_PAYLD;
  wire [0:0]m07_w_node_M_SC_RECV;
  wire [0:0]m07_w_node_M_SC_REQ;
  wire [0:0]m07_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m07_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m07_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m07_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m07_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m07_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m07_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m07_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m07_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m07_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m07_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m07_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m07_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m07_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m07_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m07_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m07_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m07_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m07_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m07_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m07_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m07_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m07_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m07_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m07_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m07_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07arn_0 m07_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m07_ar_node_M_SC_INFO),
        .m_sc_payld(m07_ar_node_M_SC_PAYLD),
        .m_sc_recv(m07_ar_node_M_SC_RECV),
        .m_sc_req(m07_ar_node_M_SC_REQ),
        .m_sc_send(m07_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07awn_0 m07_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m07_aw_node_M_SC_INFO),
        .m_sc_payld(m07_aw_node_M_SC_PAYLD),
        .m_sc_recv(m07_aw_node_M_SC_RECV),
        .m_sc_req(m07_aw_node_M_SC_REQ),
        .m_sc_send(m07_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07bn_0 m07_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m07_b_node_M_SC_INFO),
        .m_sc_payld(m07_b_node_M_SC_PAYLD),
        .m_sc_recv(m07_b_node_M_SC_RECV),
        .m_sc_req(m07_b_node_M_SC_REQ),
        .m_sc_send(m07_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07rn_0 m07_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m07_r_node_M_SC_INFO),
        .m_sc_payld(m07_r_node_M_SC_PAYLD),
        .m_sc_recv(m07_r_node_M_SC_RECV),
        .m_sc_req(m07_r_node_M_SC_REQ),
        .m_sc_send(m07_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m07wn_0 m07_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m07_w_node_M_SC_INFO),
        .m_sc_payld(m07_w_node_M_SC_PAYLD),
        .m_sc_recv(m07_w_node_M_SC_RECV),
        .m_sc_req(m07_w_node_M_SC_REQ),
        .m_sc_send(m07_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m08_exit_pipeline_imp_YXERYB
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m08_exit_M_AXI_ARADDR;
  wire [1:0]m08_exit_M_AXI_ARBURST;
  wire [3:0]m08_exit_M_AXI_ARCACHE;
  wire [7:0]m08_exit_M_AXI_ARLEN;
  wire [0:0]m08_exit_M_AXI_ARLOCK;
  wire [2:0]m08_exit_M_AXI_ARPROT;
  wire [3:0]m08_exit_M_AXI_ARQOS;
  wire m08_exit_M_AXI_ARREADY;
  wire [2:0]m08_exit_M_AXI_ARSIZE;
  wire [31:0]m08_exit_M_AXI_ARUSER;
  wire m08_exit_M_AXI_ARVALID;
  wire [31:0]m08_exit_M_AXI_AWADDR;
  wire [1:0]m08_exit_M_AXI_AWBURST;
  wire [3:0]m08_exit_M_AXI_AWCACHE;
  wire [7:0]m08_exit_M_AXI_AWLEN;
  wire [0:0]m08_exit_M_AXI_AWLOCK;
  wire [2:0]m08_exit_M_AXI_AWPROT;
  wire [3:0]m08_exit_M_AXI_AWQOS;
  wire m08_exit_M_AXI_AWREADY;
  wire [2:0]m08_exit_M_AXI_AWSIZE;
  wire [31:0]m08_exit_M_AXI_AWUSER;
  wire m08_exit_M_AXI_AWVALID;
  wire m08_exit_M_AXI_BREADY;
  wire [1:0]m08_exit_M_AXI_BRESP;
  wire [15:0]m08_exit_M_AXI_BUSER;
  wire m08_exit_M_AXI_BVALID;
  wire [31:0]m08_exit_M_AXI_RDATA;
  wire m08_exit_M_AXI_RLAST;
  wire m08_exit_M_AXI_RREADY;
  wire [1:0]m08_exit_M_AXI_RRESP;
  wire [3:0]m08_exit_M_AXI_RUSER;
  wire m08_exit_M_AXI_RVALID;
  wire [31:0]m08_exit_M_AXI_WDATA;
  wire m08_exit_M_AXI_WLAST;
  wire m08_exit_M_AXI_WREADY;
  wire [3:0]m08_exit_M_AXI_WSTRB;
  wire [3:0]m08_exit_M_AXI_WUSER;
  wire m08_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m08_exit_M_AXI_ARREADY = m_axi_arready;
  assign m08_exit_M_AXI_AWREADY = m_axi_awready;
  assign m08_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m08_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m08_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m08_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m08_exit_M_AXI_RLAST = m_axi_rlast;
  assign m08_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m08_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m08_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m08_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m08_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m08_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m08_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m08_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m08_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m08_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m08_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m08_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m08_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m08_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m08_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m08_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m08_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m08_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m08_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m08_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m08_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m08_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m08_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m08_exit_M_AXI_AWVALID;
  assign m_axi_bready = m08_exit_M_AXI_BREADY;
  assign m_axi_rready = m08_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m08_exit_M_AXI_WDATA;
  assign m_axi_wlast = m08_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m08_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m08_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m08_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08e_0 m08_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m08_exit_M_AXI_ARADDR),
        .m_axi_arburst(m08_exit_M_AXI_ARBURST),
        .m_axi_arcache(m08_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m08_exit_M_AXI_ARLEN),
        .m_axi_arlock(m08_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m08_exit_M_AXI_ARPROT),
        .m_axi_arqos(m08_exit_M_AXI_ARQOS),
        .m_axi_arready(m08_exit_M_AXI_ARREADY),
        .m_axi_arsize(m08_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m08_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m08_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m08_exit_M_AXI_AWADDR),
        .m_axi_awburst(m08_exit_M_AXI_AWBURST),
        .m_axi_awcache(m08_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m08_exit_M_AXI_AWLEN),
        .m_axi_awlock(m08_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m08_exit_M_AXI_AWPROT),
        .m_axi_awqos(m08_exit_M_AXI_AWQOS),
        .m_axi_awready(m08_exit_M_AXI_AWREADY),
        .m_axi_awsize(m08_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m08_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m08_exit_M_AXI_AWVALID),
        .m_axi_bready(m08_exit_M_AXI_BREADY),
        .m_axi_bresp(m08_exit_M_AXI_BRESP),
        .m_axi_buser(m08_exit_M_AXI_BUSER),
        .m_axi_bvalid(m08_exit_M_AXI_BVALID),
        .m_axi_rdata(m08_exit_M_AXI_RDATA),
        .m_axi_rlast(m08_exit_M_AXI_RLAST),
        .m_axi_rready(m08_exit_M_AXI_RREADY),
        .m_axi_rresp(m08_exit_M_AXI_RRESP),
        .m_axi_ruser(m08_exit_M_AXI_RUSER),
        .m_axi_rvalid(m08_exit_M_AXI_RVALID),
        .m_axi_wdata(m08_exit_M_AXI_WDATA),
        .m_axi_wlast(m08_exit_M_AXI_WLAST),
        .m_axi_wready(m08_exit_M_AXI_WREADY),
        .m_axi_wstrb(m08_exit_M_AXI_WSTRB),
        .m_axi_wuser(m08_exit_M_AXI_WUSER),
        .m_axi_wvalid(m08_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m08_nodes_imp_1AK4LQX
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m08_ar_node_M_SC_INFO;
  wire [213:0]m08_ar_node_M_SC_PAYLD;
  wire [0:0]m08_ar_node_M_SC_RECV;
  wire [0:0]m08_ar_node_M_SC_REQ;
  wire [0:0]m08_ar_node_M_SC_SEND;
  wire [0:0]m08_aw_node_M_SC_INFO;
  wire [213:0]m08_aw_node_M_SC_PAYLD;
  wire [0:0]m08_aw_node_M_SC_RECV;
  wire [0:0]m08_aw_node_M_SC_REQ;
  wire [0:0]m08_aw_node_M_SC_SEND;
  wire [0:0]m08_b_node_M_SC_INFO;
  wire [19:0]m08_b_node_M_SC_PAYLD;
  wire [0:0]m08_b_node_M_SC_RECV;
  wire [0:0]m08_b_node_M_SC_REQ;
  wire [0:0]m08_b_node_M_SC_SEND;
  wire [0:0]m08_r_node_M_SC_INFO;
  wire [54:0]m08_r_node_M_SC_PAYLD;
  wire [0:0]m08_r_node_M_SC_RECV;
  wire [0:0]m08_r_node_M_SC_REQ;
  wire [0:0]m08_r_node_M_SC_SEND;
  wire [0:0]m08_w_node_M_SC_INFO;
  wire [68:0]m08_w_node_M_SC_PAYLD;
  wire [0:0]m08_w_node_M_SC_RECV;
  wire [0:0]m08_w_node_M_SC_REQ;
  wire [0:0]m08_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m08_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m08_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m08_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m08_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m08_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m08_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m08_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m08_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m08_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m08_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m08_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m08_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m08_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m08_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m08_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m08_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m08_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m08_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m08_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m08_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m08_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m08_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m08_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m08_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m08_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08arn_0 m08_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m08_ar_node_M_SC_INFO),
        .m_sc_payld(m08_ar_node_M_SC_PAYLD),
        .m_sc_recv(m08_ar_node_M_SC_RECV),
        .m_sc_req(m08_ar_node_M_SC_REQ),
        .m_sc_send(m08_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08awn_0 m08_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m08_aw_node_M_SC_INFO),
        .m_sc_payld(m08_aw_node_M_SC_PAYLD),
        .m_sc_recv(m08_aw_node_M_SC_RECV),
        .m_sc_req(m08_aw_node_M_SC_REQ),
        .m_sc_send(m08_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08bn_0 m08_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m08_b_node_M_SC_INFO),
        .m_sc_payld(m08_b_node_M_SC_PAYLD),
        .m_sc_recv(m08_b_node_M_SC_RECV),
        .m_sc_req(m08_b_node_M_SC_REQ),
        .m_sc_send(m08_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08rn_0 m08_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m08_r_node_M_SC_INFO),
        .m_sc_payld(m08_r_node_M_SC_PAYLD),
        .m_sc_recv(m08_r_node_M_SC_RECV),
        .m_sc_req(m08_r_node_M_SC_REQ),
        .m_sc_send(m08_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m08wn_0 m08_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m08_w_node_M_SC_INFO),
        .m_sc_payld(m08_w_node_M_SC_PAYLD),
        .m_sc_recv(m08_w_node_M_SC_RECV),
        .m_sc_req(m08_w_node_M_SC_REQ),
        .m_sc_send(m08_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m09_exit_pipeline_imp_TMPADF
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m09_exit_M_AXI_ARADDR;
  wire [1:0]m09_exit_M_AXI_ARBURST;
  wire [3:0]m09_exit_M_AXI_ARCACHE;
  wire [7:0]m09_exit_M_AXI_ARLEN;
  wire [0:0]m09_exit_M_AXI_ARLOCK;
  wire [2:0]m09_exit_M_AXI_ARPROT;
  wire [3:0]m09_exit_M_AXI_ARQOS;
  wire m09_exit_M_AXI_ARREADY;
  wire [2:0]m09_exit_M_AXI_ARSIZE;
  wire [31:0]m09_exit_M_AXI_ARUSER;
  wire m09_exit_M_AXI_ARVALID;
  wire [31:0]m09_exit_M_AXI_AWADDR;
  wire [1:0]m09_exit_M_AXI_AWBURST;
  wire [3:0]m09_exit_M_AXI_AWCACHE;
  wire [7:0]m09_exit_M_AXI_AWLEN;
  wire [0:0]m09_exit_M_AXI_AWLOCK;
  wire [2:0]m09_exit_M_AXI_AWPROT;
  wire [3:0]m09_exit_M_AXI_AWQOS;
  wire m09_exit_M_AXI_AWREADY;
  wire [2:0]m09_exit_M_AXI_AWSIZE;
  wire [31:0]m09_exit_M_AXI_AWUSER;
  wire m09_exit_M_AXI_AWVALID;
  wire m09_exit_M_AXI_BREADY;
  wire [1:0]m09_exit_M_AXI_BRESP;
  wire [15:0]m09_exit_M_AXI_BUSER;
  wire m09_exit_M_AXI_BVALID;
  wire [31:0]m09_exit_M_AXI_RDATA;
  wire m09_exit_M_AXI_RLAST;
  wire m09_exit_M_AXI_RREADY;
  wire [1:0]m09_exit_M_AXI_RRESP;
  wire [3:0]m09_exit_M_AXI_RUSER;
  wire m09_exit_M_AXI_RVALID;
  wire [31:0]m09_exit_M_AXI_WDATA;
  wire m09_exit_M_AXI_WLAST;
  wire m09_exit_M_AXI_WREADY;
  wire [3:0]m09_exit_M_AXI_WSTRB;
  wire [3:0]m09_exit_M_AXI_WUSER;
  wire m09_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m09_exit_M_AXI_ARREADY = m_axi_arready;
  assign m09_exit_M_AXI_AWREADY = m_axi_awready;
  assign m09_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m09_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m09_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m09_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m09_exit_M_AXI_RLAST = m_axi_rlast;
  assign m09_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m09_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m09_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m09_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m09_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m09_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m09_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m09_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m09_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m09_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m09_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m09_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m09_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m09_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m09_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m09_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m09_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m09_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m09_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m09_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m09_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m09_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m09_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m09_exit_M_AXI_AWVALID;
  assign m_axi_bready = m09_exit_M_AXI_BREADY;
  assign m_axi_rready = m09_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m09_exit_M_AXI_WDATA;
  assign m_axi_wlast = m09_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m09_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m09_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m09_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09e_0 m09_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m09_exit_M_AXI_ARADDR),
        .m_axi_arburst(m09_exit_M_AXI_ARBURST),
        .m_axi_arcache(m09_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m09_exit_M_AXI_ARLEN),
        .m_axi_arlock(m09_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m09_exit_M_AXI_ARPROT),
        .m_axi_arqos(m09_exit_M_AXI_ARQOS),
        .m_axi_arready(m09_exit_M_AXI_ARREADY),
        .m_axi_arsize(m09_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m09_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m09_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m09_exit_M_AXI_AWADDR),
        .m_axi_awburst(m09_exit_M_AXI_AWBURST),
        .m_axi_awcache(m09_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m09_exit_M_AXI_AWLEN),
        .m_axi_awlock(m09_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m09_exit_M_AXI_AWPROT),
        .m_axi_awqos(m09_exit_M_AXI_AWQOS),
        .m_axi_awready(m09_exit_M_AXI_AWREADY),
        .m_axi_awsize(m09_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m09_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m09_exit_M_AXI_AWVALID),
        .m_axi_bready(m09_exit_M_AXI_BREADY),
        .m_axi_bresp(m09_exit_M_AXI_BRESP),
        .m_axi_buser(m09_exit_M_AXI_BUSER),
        .m_axi_bvalid(m09_exit_M_AXI_BVALID),
        .m_axi_rdata(m09_exit_M_AXI_RDATA),
        .m_axi_rlast(m09_exit_M_AXI_RLAST),
        .m_axi_rready(m09_exit_M_AXI_RREADY),
        .m_axi_rresp(m09_exit_M_AXI_RRESP),
        .m_axi_ruser(m09_exit_M_AXI_RUSER),
        .m_axi_rvalid(m09_exit_M_AXI_RVALID),
        .m_axi_wdata(m09_exit_M_AXI_WDATA),
        .m_axi_wlast(m09_exit_M_AXI_WLAST),
        .m_axi_wready(m09_exit_M_AXI_WREADY),
        .m_axi_wstrb(m09_exit_M_AXI_WSTRB),
        .m_axi_wuser(m09_exit_M_AXI_WUSER),
        .m_axi_wvalid(m09_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m09_nodes_imp_GAXXM7
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m09_ar_node_M_SC_INFO;
  wire [213:0]m09_ar_node_M_SC_PAYLD;
  wire [0:0]m09_ar_node_M_SC_RECV;
  wire [0:0]m09_ar_node_M_SC_REQ;
  wire [0:0]m09_ar_node_M_SC_SEND;
  wire [0:0]m09_aw_node_M_SC_INFO;
  wire [213:0]m09_aw_node_M_SC_PAYLD;
  wire [0:0]m09_aw_node_M_SC_RECV;
  wire [0:0]m09_aw_node_M_SC_REQ;
  wire [0:0]m09_aw_node_M_SC_SEND;
  wire [0:0]m09_b_node_M_SC_INFO;
  wire [19:0]m09_b_node_M_SC_PAYLD;
  wire [0:0]m09_b_node_M_SC_RECV;
  wire [0:0]m09_b_node_M_SC_REQ;
  wire [0:0]m09_b_node_M_SC_SEND;
  wire [0:0]m09_r_node_M_SC_INFO;
  wire [54:0]m09_r_node_M_SC_PAYLD;
  wire [0:0]m09_r_node_M_SC_RECV;
  wire [0:0]m09_r_node_M_SC_REQ;
  wire [0:0]m09_r_node_M_SC_SEND;
  wire [0:0]m09_w_node_M_SC_INFO;
  wire [68:0]m09_w_node_M_SC_PAYLD;
  wire [0:0]m09_w_node_M_SC_RECV;
  wire [0:0]m09_w_node_M_SC_REQ;
  wire [0:0]m09_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m09_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m09_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m09_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m09_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m09_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m09_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m09_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m09_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m09_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m09_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m09_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m09_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m09_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m09_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m09_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m09_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m09_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m09_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m09_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m09_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m09_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m09_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m09_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m09_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m09_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09arn_0 m09_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m09_ar_node_M_SC_INFO),
        .m_sc_payld(m09_ar_node_M_SC_PAYLD),
        .m_sc_recv(m09_ar_node_M_SC_RECV),
        .m_sc_req(m09_ar_node_M_SC_REQ),
        .m_sc_send(m09_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09awn_0 m09_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m09_aw_node_M_SC_INFO),
        .m_sc_payld(m09_aw_node_M_SC_PAYLD),
        .m_sc_recv(m09_aw_node_M_SC_RECV),
        .m_sc_req(m09_aw_node_M_SC_REQ),
        .m_sc_send(m09_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09bn_0 m09_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m09_b_node_M_SC_INFO),
        .m_sc_payld(m09_b_node_M_SC_PAYLD),
        .m_sc_recv(m09_b_node_M_SC_RECV),
        .m_sc_req(m09_b_node_M_SC_REQ),
        .m_sc_send(m09_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09rn_0 m09_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m09_r_node_M_SC_INFO),
        .m_sc_payld(m09_r_node_M_SC_PAYLD),
        .m_sc_recv(m09_r_node_M_SC_RECV),
        .m_sc_req(m09_r_node_M_SC_REQ),
        .m_sc_send(m09_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m09wn_0 m09_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m09_w_node_M_SC_INFO),
        .m_sc_payld(m09_w_node_M_SC_PAYLD),
        .m_sc_recv(m09_w_node_M_SC_RECV),
        .m_sc_req(m09_w_node_M_SC_REQ),
        .m_sc_send(m09_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m10_exit_pipeline_imp_QL5H3R
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m10_exit_M_AXI_ARADDR;
  wire [1:0]m10_exit_M_AXI_ARBURST;
  wire [3:0]m10_exit_M_AXI_ARCACHE;
  wire [7:0]m10_exit_M_AXI_ARLEN;
  wire [0:0]m10_exit_M_AXI_ARLOCK;
  wire [2:0]m10_exit_M_AXI_ARPROT;
  wire [3:0]m10_exit_M_AXI_ARQOS;
  wire m10_exit_M_AXI_ARREADY;
  wire [2:0]m10_exit_M_AXI_ARSIZE;
  wire [31:0]m10_exit_M_AXI_ARUSER;
  wire m10_exit_M_AXI_ARVALID;
  wire [31:0]m10_exit_M_AXI_AWADDR;
  wire [1:0]m10_exit_M_AXI_AWBURST;
  wire [3:0]m10_exit_M_AXI_AWCACHE;
  wire [7:0]m10_exit_M_AXI_AWLEN;
  wire [0:0]m10_exit_M_AXI_AWLOCK;
  wire [2:0]m10_exit_M_AXI_AWPROT;
  wire [3:0]m10_exit_M_AXI_AWQOS;
  wire m10_exit_M_AXI_AWREADY;
  wire [2:0]m10_exit_M_AXI_AWSIZE;
  wire [31:0]m10_exit_M_AXI_AWUSER;
  wire m10_exit_M_AXI_AWVALID;
  wire m10_exit_M_AXI_BREADY;
  wire [1:0]m10_exit_M_AXI_BRESP;
  wire [15:0]m10_exit_M_AXI_BUSER;
  wire m10_exit_M_AXI_BVALID;
  wire [31:0]m10_exit_M_AXI_RDATA;
  wire m10_exit_M_AXI_RLAST;
  wire m10_exit_M_AXI_RREADY;
  wire [1:0]m10_exit_M_AXI_RRESP;
  wire [3:0]m10_exit_M_AXI_RUSER;
  wire m10_exit_M_AXI_RVALID;
  wire [31:0]m10_exit_M_AXI_WDATA;
  wire m10_exit_M_AXI_WLAST;
  wire m10_exit_M_AXI_WREADY;
  wire [3:0]m10_exit_M_AXI_WSTRB;
  wire [3:0]m10_exit_M_AXI_WUSER;
  wire m10_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m10_exit_M_AXI_ARREADY = m_axi_arready;
  assign m10_exit_M_AXI_AWREADY = m_axi_awready;
  assign m10_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m10_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m10_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m10_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m10_exit_M_AXI_RLAST = m_axi_rlast;
  assign m10_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m10_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m10_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m10_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m10_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m10_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m10_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m10_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m10_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m10_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m10_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m10_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m10_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m10_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m10_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m10_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m10_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m10_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m10_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m10_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m10_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m10_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m10_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m10_exit_M_AXI_AWVALID;
  assign m_axi_bready = m10_exit_M_AXI_BREADY;
  assign m_axi_rready = m10_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m10_exit_M_AXI_WDATA;
  assign m_axi_wlast = m10_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m10_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m10_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m10_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10e_0 m10_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m10_exit_M_AXI_ARADDR),
        .m_axi_arburst(m10_exit_M_AXI_ARBURST),
        .m_axi_arcache(m10_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m10_exit_M_AXI_ARLEN),
        .m_axi_arlock(m10_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m10_exit_M_AXI_ARPROT),
        .m_axi_arqos(m10_exit_M_AXI_ARQOS),
        .m_axi_arready(m10_exit_M_AXI_ARREADY),
        .m_axi_arsize(m10_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m10_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m10_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m10_exit_M_AXI_AWADDR),
        .m_axi_awburst(m10_exit_M_AXI_AWBURST),
        .m_axi_awcache(m10_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m10_exit_M_AXI_AWLEN),
        .m_axi_awlock(m10_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m10_exit_M_AXI_AWPROT),
        .m_axi_awqos(m10_exit_M_AXI_AWQOS),
        .m_axi_awready(m10_exit_M_AXI_AWREADY),
        .m_axi_awsize(m10_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m10_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m10_exit_M_AXI_AWVALID),
        .m_axi_bready(m10_exit_M_AXI_BREADY),
        .m_axi_bresp(m10_exit_M_AXI_BRESP),
        .m_axi_buser(m10_exit_M_AXI_BUSER),
        .m_axi_bvalid(m10_exit_M_AXI_BVALID),
        .m_axi_rdata(m10_exit_M_AXI_RDATA),
        .m_axi_rlast(m10_exit_M_AXI_RLAST),
        .m_axi_rready(m10_exit_M_AXI_RREADY),
        .m_axi_rresp(m10_exit_M_AXI_RRESP),
        .m_axi_ruser(m10_exit_M_AXI_RUSER),
        .m_axi_rvalid(m10_exit_M_AXI_RVALID),
        .m_axi_wdata(m10_exit_M_AXI_WDATA),
        .m_axi_wlast(m10_exit_M_AXI_WLAST),
        .m_axi_wready(m10_exit_M_AXI_WREADY),
        .m_axi_wstrb(m10_exit_M_AXI_WSTRB),
        .m_axi_wuser(m10_exit_M_AXI_WUSER),
        .m_axi_wvalid(m10_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m10_nodes_imp_CLUH1J
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m10_ar_node_M_SC_INFO;
  wire [213:0]m10_ar_node_M_SC_PAYLD;
  wire [0:0]m10_ar_node_M_SC_RECV;
  wire [0:0]m10_ar_node_M_SC_REQ;
  wire [0:0]m10_ar_node_M_SC_SEND;
  wire [0:0]m10_aw_node_M_SC_INFO;
  wire [213:0]m10_aw_node_M_SC_PAYLD;
  wire [0:0]m10_aw_node_M_SC_RECV;
  wire [0:0]m10_aw_node_M_SC_REQ;
  wire [0:0]m10_aw_node_M_SC_SEND;
  wire [0:0]m10_b_node_M_SC_INFO;
  wire [19:0]m10_b_node_M_SC_PAYLD;
  wire [0:0]m10_b_node_M_SC_RECV;
  wire [0:0]m10_b_node_M_SC_REQ;
  wire [0:0]m10_b_node_M_SC_SEND;
  wire [0:0]m10_r_node_M_SC_INFO;
  wire [54:0]m10_r_node_M_SC_PAYLD;
  wire [0:0]m10_r_node_M_SC_RECV;
  wire [0:0]m10_r_node_M_SC_REQ;
  wire [0:0]m10_r_node_M_SC_SEND;
  wire [0:0]m10_w_node_M_SC_INFO;
  wire [68:0]m10_w_node_M_SC_PAYLD;
  wire [0:0]m10_w_node_M_SC_RECV;
  wire [0:0]m10_w_node_M_SC_REQ;
  wire [0:0]m10_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m10_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m10_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m10_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m10_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m10_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m10_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m10_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m10_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m10_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m10_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m10_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m10_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m10_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m10_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m10_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m10_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m10_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m10_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m10_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m10_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m10_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m10_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m10_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m10_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m10_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10arn_0 m10_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m10_ar_node_M_SC_INFO),
        .m_sc_payld(m10_ar_node_M_SC_PAYLD),
        .m_sc_recv(m10_ar_node_M_SC_RECV),
        .m_sc_req(m10_ar_node_M_SC_REQ),
        .m_sc_send(m10_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10awn_0 m10_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m10_aw_node_M_SC_INFO),
        .m_sc_payld(m10_aw_node_M_SC_PAYLD),
        .m_sc_recv(m10_aw_node_M_SC_RECV),
        .m_sc_req(m10_aw_node_M_SC_REQ),
        .m_sc_send(m10_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10bn_0 m10_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m10_b_node_M_SC_INFO),
        .m_sc_payld(m10_b_node_M_SC_PAYLD),
        .m_sc_recv(m10_b_node_M_SC_RECV),
        .m_sc_req(m10_b_node_M_SC_REQ),
        .m_sc_send(m10_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10rn_0 m10_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m10_r_node_M_SC_INFO),
        .m_sc_payld(m10_r_node_M_SC_PAYLD),
        .m_sc_recv(m10_r_node_M_SC_RECV),
        .m_sc_req(m10_r_node_M_SC_REQ),
        .m_sc_send(m10_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m10wn_0 m10_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m10_w_node_M_SC_INFO),
        .m_sc_payld(m10_w_node_M_SC_PAYLD),
        .m_sc_recv(m10_w_node_M_SC_RECV),
        .m_sc_req(m10_w_node_M_SC_REQ),
        .m_sc_send(m10_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m11_exit_pipeline_imp_K8YUC7
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m11_exit_M_AXI_ARADDR;
  wire [1:0]m11_exit_M_AXI_ARBURST;
  wire [3:0]m11_exit_M_AXI_ARCACHE;
  wire [7:0]m11_exit_M_AXI_ARLEN;
  wire [0:0]m11_exit_M_AXI_ARLOCK;
  wire [2:0]m11_exit_M_AXI_ARPROT;
  wire [3:0]m11_exit_M_AXI_ARQOS;
  wire m11_exit_M_AXI_ARREADY;
  wire [2:0]m11_exit_M_AXI_ARSIZE;
  wire [31:0]m11_exit_M_AXI_ARUSER;
  wire m11_exit_M_AXI_ARVALID;
  wire [31:0]m11_exit_M_AXI_AWADDR;
  wire [1:0]m11_exit_M_AXI_AWBURST;
  wire [3:0]m11_exit_M_AXI_AWCACHE;
  wire [7:0]m11_exit_M_AXI_AWLEN;
  wire [0:0]m11_exit_M_AXI_AWLOCK;
  wire [2:0]m11_exit_M_AXI_AWPROT;
  wire [3:0]m11_exit_M_AXI_AWQOS;
  wire m11_exit_M_AXI_AWREADY;
  wire [2:0]m11_exit_M_AXI_AWSIZE;
  wire [31:0]m11_exit_M_AXI_AWUSER;
  wire m11_exit_M_AXI_AWVALID;
  wire m11_exit_M_AXI_BREADY;
  wire [1:0]m11_exit_M_AXI_BRESP;
  wire [15:0]m11_exit_M_AXI_BUSER;
  wire m11_exit_M_AXI_BVALID;
  wire [31:0]m11_exit_M_AXI_RDATA;
  wire m11_exit_M_AXI_RLAST;
  wire m11_exit_M_AXI_RREADY;
  wire [1:0]m11_exit_M_AXI_RRESP;
  wire [3:0]m11_exit_M_AXI_RUSER;
  wire m11_exit_M_AXI_RVALID;
  wire [31:0]m11_exit_M_AXI_WDATA;
  wire m11_exit_M_AXI_WLAST;
  wire m11_exit_M_AXI_WREADY;
  wire [3:0]m11_exit_M_AXI_WSTRB;
  wire [3:0]m11_exit_M_AXI_WUSER;
  wire m11_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m11_exit_M_AXI_ARREADY = m_axi_arready;
  assign m11_exit_M_AXI_AWREADY = m_axi_awready;
  assign m11_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m11_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m11_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m11_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m11_exit_M_AXI_RLAST = m_axi_rlast;
  assign m11_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m11_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m11_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m11_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m11_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m11_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m11_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m11_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m11_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m11_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m11_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m11_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m11_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m11_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m11_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m11_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m11_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m11_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m11_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m11_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m11_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m11_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m11_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m11_exit_M_AXI_AWVALID;
  assign m_axi_bready = m11_exit_M_AXI_BREADY;
  assign m_axi_rready = m11_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m11_exit_M_AXI_WDATA;
  assign m_axi_wlast = m11_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m11_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m11_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m11_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11e_0 m11_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m11_exit_M_AXI_ARADDR),
        .m_axi_arburst(m11_exit_M_AXI_ARBURST),
        .m_axi_arcache(m11_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m11_exit_M_AXI_ARLEN),
        .m_axi_arlock(m11_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m11_exit_M_AXI_ARPROT),
        .m_axi_arqos(m11_exit_M_AXI_ARQOS),
        .m_axi_arready(m11_exit_M_AXI_ARREADY),
        .m_axi_arsize(m11_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m11_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m11_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m11_exit_M_AXI_AWADDR),
        .m_axi_awburst(m11_exit_M_AXI_AWBURST),
        .m_axi_awcache(m11_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m11_exit_M_AXI_AWLEN),
        .m_axi_awlock(m11_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m11_exit_M_AXI_AWPROT),
        .m_axi_awqos(m11_exit_M_AXI_AWQOS),
        .m_axi_awready(m11_exit_M_AXI_AWREADY),
        .m_axi_awsize(m11_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m11_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m11_exit_M_AXI_AWVALID),
        .m_axi_bready(m11_exit_M_AXI_BREADY),
        .m_axi_bresp(m11_exit_M_AXI_BRESP),
        .m_axi_buser(m11_exit_M_AXI_BUSER),
        .m_axi_bvalid(m11_exit_M_AXI_BVALID),
        .m_axi_rdata(m11_exit_M_AXI_RDATA),
        .m_axi_rlast(m11_exit_M_AXI_RLAST),
        .m_axi_rready(m11_exit_M_AXI_RREADY),
        .m_axi_rresp(m11_exit_M_AXI_RRESP),
        .m_axi_ruser(m11_exit_M_AXI_RUSER),
        .m_axi_rvalid(m11_exit_M_AXI_RVALID),
        .m_axi_wdata(m11_exit_M_AXI_WDATA),
        .m_axi_wlast(m11_exit_M_AXI_WLAST),
        .m_axi_wready(m11_exit_M_AXI_WREADY),
        .m_axi_wstrb(m11_exit_M_AXI_WSTRB),
        .m_axi_wuser(m11_exit_M_AXI_WUSER),
        .m_axi_wvalid(m11_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m11_nodes_imp_1CXS1IP
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m11_ar_node_M_SC_INFO;
  wire [213:0]m11_ar_node_M_SC_PAYLD;
  wire [0:0]m11_ar_node_M_SC_RECV;
  wire [0:0]m11_ar_node_M_SC_REQ;
  wire [0:0]m11_ar_node_M_SC_SEND;
  wire [0:0]m11_aw_node_M_SC_INFO;
  wire [213:0]m11_aw_node_M_SC_PAYLD;
  wire [0:0]m11_aw_node_M_SC_RECV;
  wire [0:0]m11_aw_node_M_SC_REQ;
  wire [0:0]m11_aw_node_M_SC_SEND;
  wire [0:0]m11_b_node_M_SC_INFO;
  wire [19:0]m11_b_node_M_SC_PAYLD;
  wire [0:0]m11_b_node_M_SC_RECV;
  wire [0:0]m11_b_node_M_SC_REQ;
  wire [0:0]m11_b_node_M_SC_SEND;
  wire [0:0]m11_r_node_M_SC_INFO;
  wire [54:0]m11_r_node_M_SC_PAYLD;
  wire [0:0]m11_r_node_M_SC_RECV;
  wire [0:0]m11_r_node_M_SC_REQ;
  wire [0:0]m11_r_node_M_SC_SEND;
  wire [0:0]m11_w_node_M_SC_INFO;
  wire [68:0]m11_w_node_M_SC_PAYLD;
  wire [0:0]m11_w_node_M_SC_RECV;
  wire [0:0]m11_w_node_M_SC_REQ;
  wire [0:0]m11_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m11_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m11_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m11_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m11_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m11_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m11_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m11_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m11_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m11_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m11_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m11_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m11_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m11_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m11_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m11_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m11_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m11_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m11_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m11_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m11_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m11_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m11_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m11_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m11_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m11_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11arn_0 m11_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m11_ar_node_M_SC_INFO),
        .m_sc_payld(m11_ar_node_M_SC_PAYLD),
        .m_sc_recv(m11_ar_node_M_SC_RECV),
        .m_sc_req(m11_ar_node_M_SC_REQ),
        .m_sc_send(m11_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11awn_0 m11_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m11_aw_node_M_SC_INFO),
        .m_sc_payld(m11_aw_node_M_SC_PAYLD),
        .m_sc_recv(m11_aw_node_M_SC_RECV),
        .m_sc_req(m11_aw_node_M_SC_REQ),
        .m_sc_send(m11_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11bn_0 m11_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m11_b_node_M_SC_INFO),
        .m_sc_payld(m11_b_node_M_SC_PAYLD),
        .m_sc_recv(m11_b_node_M_SC_RECV),
        .m_sc_req(m11_b_node_M_SC_REQ),
        .m_sc_send(m11_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11rn_0 m11_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m11_r_node_M_SC_INFO),
        .m_sc_payld(m11_r_node_M_SC_PAYLD),
        .m_sc_recv(m11_r_node_M_SC_RECV),
        .m_sc_req(m11_r_node_M_SC_REQ),
        .m_sc_send(m11_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m11wn_0 m11_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m11_w_node_M_SC_INFO),
        .m_sc_payld(m11_w_node_M_SC_PAYLD),
        .m_sc_recv(m11_w_node_M_SC_RECV),
        .m_sc_req(m11_w_node_M_SC_REQ),
        .m_sc_send(m11_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m12_exit_pipeline_imp_VHSSBB
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m12_exit_M_AXI_ARADDR;
  wire [1:0]m12_exit_M_AXI_ARBURST;
  wire [3:0]m12_exit_M_AXI_ARCACHE;
  wire [7:0]m12_exit_M_AXI_ARLEN;
  wire [0:0]m12_exit_M_AXI_ARLOCK;
  wire [2:0]m12_exit_M_AXI_ARPROT;
  wire [3:0]m12_exit_M_AXI_ARQOS;
  wire m12_exit_M_AXI_ARREADY;
  wire [2:0]m12_exit_M_AXI_ARSIZE;
  wire [31:0]m12_exit_M_AXI_ARUSER;
  wire m12_exit_M_AXI_ARVALID;
  wire [31:0]m12_exit_M_AXI_AWADDR;
  wire [1:0]m12_exit_M_AXI_AWBURST;
  wire [3:0]m12_exit_M_AXI_AWCACHE;
  wire [7:0]m12_exit_M_AXI_AWLEN;
  wire [0:0]m12_exit_M_AXI_AWLOCK;
  wire [2:0]m12_exit_M_AXI_AWPROT;
  wire [3:0]m12_exit_M_AXI_AWQOS;
  wire m12_exit_M_AXI_AWREADY;
  wire [2:0]m12_exit_M_AXI_AWSIZE;
  wire [31:0]m12_exit_M_AXI_AWUSER;
  wire m12_exit_M_AXI_AWVALID;
  wire m12_exit_M_AXI_BREADY;
  wire [1:0]m12_exit_M_AXI_BRESP;
  wire [15:0]m12_exit_M_AXI_BUSER;
  wire m12_exit_M_AXI_BVALID;
  wire [31:0]m12_exit_M_AXI_RDATA;
  wire m12_exit_M_AXI_RLAST;
  wire m12_exit_M_AXI_RREADY;
  wire [1:0]m12_exit_M_AXI_RRESP;
  wire [3:0]m12_exit_M_AXI_RUSER;
  wire m12_exit_M_AXI_RVALID;
  wire [31:0]m12_exit_M_AXI_WDATA;
  wire m12_exit_M_AXI_WLAST;
  wire m12_exit_M_AXI_WREADY;
  wire [3:0]m12_exit_M_AXI_WSTRB;
  wire [3:0]m12_exit_M_AXI_WUSER;
  wire m12_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m12_exit_M_AXI_ARREADY = m_axi_arready;
  assign m12_exit_M_AXI_AWREADY = m_axi_awready;
  assign m12_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m12_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m12_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m12_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m12_exit_M_AXI_RLAST = m_axi_rlast;
  assign m12_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m12_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m12_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m12_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m12_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m12_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m12_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m12_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m12_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m12_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m12_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m12_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m12_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m12_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m12_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m12_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m12_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m12_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m12_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m12_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m12_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m12_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m12_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m12_exit_M_AXI_AWVALID;
  assign m_axi_bready = m12_exit_M_AXI_BREADY;
  assign m_axi_rready = m12_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m12_exit_M_AXI_WDATA;
  assign m_axi_wlast = m12_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m12_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m12_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m12_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12e_0 m12_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m12_exit_M_AXI_ARADDR),
        .m_axi_arburst(m12_exit_M_AXI_ARBURST),
        .m_axi_arcache(m12_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m12_exit_M_AXI_ARLEN),
        .m_axi_arlock(m12_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m12_exit_M_AXI_ARPROT),
        .m_axi_arqos(m12_exit_M_AXI_ARQOS),
        .m_axi_arready(m12_exit_M_AXI_ARREADY),
        .m_axi_arsize(m12_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m12_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m12_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m12_exit_M_AXI_AWADDR),
        .m_axi_awburst(m12_exit_M_AXI_AWBURST),
        .m_axi_awcache(m12_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m12_exit_M_AXI_AWLEN),
        .m_axi_awlock(m12_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m12_exit_M_AXI_AWPROT),
        .m_axi_awqos(m12_exit_M_AXI_AWQOS),
        .m_axi_awready(m12_exit_M_AXI_AWREADY),
        .m_axi_awsize(m12_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m12_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m12_exit_M_AXI_AWVALID),
        .m_axi_bready(m12_exit_M_AXI_BREADY),
        .m_axi_bresp(m12_exit_M_AXI_BRESP),
        .m_axi_buser(m12_exit_M_AXI_BUSER),
        .m_axi_bvalid(m12_exit_M_AXI_BVALID),
        .m_axi_rdata(m12_exit_M_AXI_RDATA),
        .m_axi_rlast(m12_exit_M_AXI_RLAST),
        .m_axi_rready(m12_exit_M_AXI_RREADY),
        .m_axi_rresp(m12_exit_M_AXI_RRESP),
        .m_axi_ruser(m12_exit_M_AXI_RUSER),
        .m_axi_rvalid(m12_exit_M_AXI_RVALID),
        .m_axi_wdata(m12_exit_M_AXI_WDATA),
        .m_axi_wlast(m12_exit_M_AXI_WLAST),
        .m_axi_wready(m12_exit_M_AXI_WREADY),
        .m_axi_wstrb(m12_exit_M_AXI_WSTRB),
        .m_axi_wuser(m12_exit_M_AXI_WUSER),
        .m_axi_wvalid(m12_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m12_nodes_imp_1KLR0X6
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m12_ar_node_M_SC_INFO;
  wire [213:0]m12_ar_node_M_SC_PAYLD;
  wire [0:0]m12_ar_node_M_SC_RECV;
  wire [0:0]m12_ar_node_M_SC_REQ;
  wire [0:0]m12_ar_node_M_SC_SEND;
  wire [0:0]m12_aw_node_M_SC_INFO;
  wire [213:0]m12_aw_node_M_SC_PAYLD;
  wire [0:0]m12_aw_node_M_SC_RECV;
  wire [0:0]m12_aw_node_M_SC_REQ;
  wire [0:0]m12_aw_node_M_SC_SEND;
  wire [0:0]m12_b_node_M_SC_INFO;
  wire [19:0]m12_b_node_M_SC_PAYLD;
  wire [0:0]m12_b_node_M_SC_RECV;
  wire [0:0]m12_b_node_M_SC_REQ;
  wire [0:0]m12_b_node_M_SC_SEND;
  wire [0:0]m12_r_node_M_SC_INFO;
  wire [54:0]m12_r_node_M_SC_PAYLD;
  wire [0:0]m12_r_node_M_SC_RECV;
  wire [0:0]m12_r_node_M_SC_REQ;
  wire [0:0]m12_r_node_M_SC_SEND;
  wire [0:0]m12_w_node_M_SC_INFO;
  wire [68:0]m12_w_node_M_SC_PAYLD;
  wire [0:0]m12_w_node_M_SC_RECV;
  wire [0:0]m12_w_node_M_SC_REQ;
  wire [0:0]m12_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m12_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m12_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m12_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m12_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m12_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m12_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m12_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m12_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m12_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m12_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m12_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m12_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m12_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m12_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m12_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m12_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m12_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m12_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m12_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m12_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m12_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m12_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m12_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m12_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m12_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12arn_0 m12_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m12_ar_node_M_SC_INFO),
        .m_sc_payld(m12_ar_node_M_SC_PAYLD),
        .m_sc_recv(m12_ar_node_M_SC_RECV),
        .m_sc_req(m12_ar_node_M_SC_REQ),
        .m_sc_send(m12_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12awn_0 m12_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m12_aw_node_M_SC_INFO),
        .m_sc_payld(m12_aw_node_M_SC_PAYLD),
        .m_sc_recv(m12_aw_node_M_SC_RECV),
        .m_sc_req(m12_aw_node_M_SC_REQ),
        .m_sc_send(m12_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12bn_0 m12_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m12_b_node_M_SC_INFO),
        .m_sc_payld(m12_b_node_M_SC_PAYLD),
        .m_sc_recv(m12_b_node_M_SC_RECV),
        .m_sc_req(m12_b_node_M_SC_REQ),
        .m_sc_send(m12_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12rn_0 m12_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m12_r_node_M_SC_INFO),
        .m_sc_payld(m12_r_node_M_SC_PAYLD),
        .m_sc_recv(m12_r_node_M_SC_RECV),
        .m_sc_req(m12_r_node_M_SC_REQ),
        .m_sc_send(m12_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m12wn_0 m12_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m12_w_node_M_SC_INFO),
        .m_sc_payld(m12_w_node_M_SC_PAYLD),
        .m_sc_recv(m12_w_node_M_SC_RECV),
        .m_sc_req(m12_w_node_M_SC_REQ),
        .m_sc_send(m12_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_m13_exit_pipeline_imp_SHHZMF
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [31:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [31:0]m_axi_aruser;
  output m_axi_arvalid;
  output [31:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [31:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [31:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [31:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [31:0]m13_exit_M_AXI_ARADDR;
  wire [1:0]m13_exit_M_AXI_ARBURST;
  wire [3:0]m13_exit_M_AXI_ARCACHE;
  wire [7:0]m13_exit_M_AXI_ARLEN;
  wire [0:0]m13_exit_M_AXI_ARLOCK;
  wire [2:0]m13_exit_M_AXI_ARPROT;
  wire [3:0]m13_exit_M_AXI_ARQOS;
  wire m13_exit_M_AXI_ARREADY;
  wire [2:0]m13_exit_M_AXI_ARSIZE;
  wire [31:0]m13_exit_M_AXI_ARUSER;
  wire m13_exit_M_AXI_ARVALID;
  wire [31:0]m13_exit_M_AXI_AWADDR;
  wire [1:0]m13_exit_M_AXI_AWBURST;
  wire [3:0]m13_exit_M_AXI_AWCACHE;
  wire [7:0]m13_exit_M_AXI_AWLEN;
  wire [0:0]m13_exit_M_AXI_AWLOCK;
  wire [2:0]m13_exit_M_AXI_AWPROT;
  wire [3:0]m13_exit_M_AXI_AWQOS;
  wire m13_exit_M_AXI_AWREADY;
  wire [2:0]m13_exit_M_AXI_AWSIZE;
  wire [31:0]m13_exit_M_AXI_AWUSER;
  wire m13_exit_M_AXI_AWVALID;
  wire m13_exit_M_AXI_BREADY;
  wire [1:0]m13_exit_M_AXI_BRESP;
  wire [15:0]m13_exit_M_AXI_BUSER;
  wire m13_exit_M_AXI_BVALID;
  wire [31:0]m13_exit_M_AXI_RDATA;
  wire m13_exit_M_AXI_RLAST;
  wire m13_exit_M_AXI_RREADY;
  wire [1:0]m13_exit_M_AXI_RRESP;
  wire [3:0]m13_exit_M_AXI_RUSER;
  wire m13_exit_M_AXI_RVALID;
  wire [31:0]m13_exit_M_AXI_WDATA;
  wire m13_exit_M_AXI_WLAST;
  wire m13_exit_M_AXI_WREADY;
  wire [3:0]m13_exit_M_AXI_WSTRB;
  wire [3:0]m13_exit_M_AXI_WUSER;
  wire m13_exit_M_AXI_WVALID;
  wire [31:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [31:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m13_exit_M_AXI_ARREADY = m_axi_arready;
  assign m13_exit_M_AXI_AWREADY = m_axi_awready;
  assign m13_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m13_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m13_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m13_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m13_exit_M_AXI_RLAST = m_axi_rlast;
  assign m13_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m13_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m13_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m13_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[31:0] = m13_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m13_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m13_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m13_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m13_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m13_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m13_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m13_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[31:0] = m13_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m13_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[31:0] = m13_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m13_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m13_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m13_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m13_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m13_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m13_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m13_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[31:0] = m13_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m13_exit_M_AXI_AWVALID;
  assign m_axi_bready = m13_exit_M_AXI_BREADY;
  assign m_axi_rready = m13_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m13_exit_M_AXI_WDATA;
  assign m_axi_wlast = m13_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m13_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m13_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m13_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[31:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[31:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13e_0 m13_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m13_exit_M_AXI_ARADDR),
        .m_axi_arburst(m13_exit_M_AXI_ARBURST),
        .m_axi_arcache(m13_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m13_exit_M_AXI_ARLEN),
        .m_axi_arlock(m13_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m13_exit_M_AXI_ARPROT),
        .m_axi_arqos(m13_exit_M_AXI_ARQOS),
        .m_axi_arready(m13_exit_M_AXI_ARREADY),
        .m_axi_arsize(m13_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m13_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m13_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m13_exit_M_AXI_AWADDR),
        .m_axi_awburst(m13_exit_M_AXI_AWBURST),
        .m_axi_awcache(m13_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m13_exit_M_AXI_AWLEN),
        .m_axi_awlock(m13_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m13_exit_M_AXI_AWPROT),
        .m_axi_awqos(m13_exit_M_AXI_AWQOS),
        .m_axi_awready(m13_exit_M_AXI_AWREADY),
        .m_axi_awsize(m13_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m13_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m13_exit_M_AXI_AWVALID),
        .m_axi_bready(m13_exit_M_AXI_BREADY),
        .m_axi_bresp(m13_exit_M_AXI_BRESP),
        .m_axi_buser(m13_exit_M_AXI_BUSER),
        .m_axi_bvalid(m13_exit_M_AXI_BVALID),
        .m_axi_rdata(m13_exit_M_AXI_RDATA),
        .m_axi_rlast(m13_exit_M_AXI_RLAST),
        .m_axi_rready(m13_exit_M_AXI_RREADY),
        .m_axi_rresp(m13_exit_M_AXI_RRESP),
        .m_axi_ruser(m13_exit_M_AXI_RUSER),
        .m_axi_rvalid(m13_exit_M_AXI_RVALID),
        .m_axi_wdata(m13_exit_M_AXI_WDATA),
        .m_axi_wlast(m13_exit_M_AXI_WLAST),
        .m_axi_wready(m13_exit_M_AXI_WREADY),
        .m_axi_wstrb(m13_exit_M_AXI_WSTRB),
        .m_axi_wuser(m13_exit_M_AXI_WUSER),
        .m_axi_wvalid(m13_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_m13_nodes_imp_MHNRBW
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_axi_aclk,
    m_axi_aresetn,
    s_axi_aclk,
    s_axi_aresetn);
  output [0:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [0:0]M_SC_AR_recv;
  output [0:0]M_SC_AR_req;
  output [0:0]M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [0:0]M_SC_AW_recv;
  output [0:0]M_SC_AW_req;
  output [0:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [0:0]M_SC_W_recv;
  output [0:0]M_SC_W_req;
  output [0:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [0:0]S_SC_B_recv;
  input [0:0]S_SC_B_req;
  input [0:0]S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [0:0]S_SC_R_recv;
  input [0:0]S_SC_R_req;
  input [0:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_axi_aclk;
  input m_axi_aresetn;
  input s_axi_aclk;
  input s_axi_aresetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire [0:0]S_SC_B_1_REQ;
  wire [0:0]S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire [0:0]S_SC_R_1_REQ;
  wire [0:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire [0:0]m13_ar_node_M_SC_INFO;
  wire [213:0]m13_ar_node_M_SC_PAYLD;
  wire [0:0]m13_ar_node_M_SC_RECV;
  wire [0:0]m13_ar_node_M_SC_REQ;
  wire [0:0]m13_ar_node_M_SC_SEND;
  wire [0:0]m13_aw_node_M_SC_INFO;
  wire [213:0]m13_aw_node_M_SC_PAYLD;
  wire [0:0]m13_aw_node_M_SC_RECV;
  wire [0:0]m13_aw_node_M_SC_REQ;
  wire [0:0]m13_aw_node_M_SC_SEND;
  wire [0:0]m13_b_node_M_SC_INFO;
  wire [19:0]m13_b_node_M_SC_PAYLD;
  wire [0:0]m13_b_node_M_SC_RECV;
  wire [0:0]m13_b_node_M_SC_REQ;
  wire [0:0]m13_b_node_M_SC_SEND;
  wire [0:0]m13_r_node_M_SC_INFO;
  wire [54:0]m13_r_node_M_SC_PAYLD;
  wire [0:0]m13_r_node_M_SC_RECV;
  wire [0:0]m13_r_node_M_SC_REQ;
  wire [0:0]m13_r_node_M_SC_SEND;
  wire [0:0]m13_w_node_M_SC_INFO;
  wire [68:0]m13_w_node_M_SC_PAYLD;
  wire [0:0]m13_w_node_M_SC_RECV;
  wire [0:0]m13_w_node_M_SC_REQ;
  wire [0:0]m13_w_node_M_SC_SEND;
  wire m_axi_aclk_1;
  wire m_axi_aresetn_1;
  wire s_axi_aclk_1;
  wire s_axi_aresetn_1;

  assign M_SC_AR_info[0] = m13_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = m13_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[0] = m13_ar_node_M_SC_REQ;
  assign M_SC_AR_send[0] = m13_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = m13_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = m13_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[0] = m13_aw_node_M_SC_REQ;
  assign M_SC_AW_send[0] = m13_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = m13_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = m13_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = m13_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = m13_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = m13_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = m13_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = m13_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = m13_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = m13_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = m13_w_node_M_SC_PAYLD;
  assign M_SC_W_req[0] = m13_w_node_M_SC_REQ;
  assign M_SC_W_send[0] = m13_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[0];
  assign S_SC_B_1_SEND = S_SC_B_send[0];
  assign S_SC_B_recv[0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[0];
  assign S_SC_R_1_SEND = S_SC_R_send[0];
  assign S_SC_R_recv[0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m13_ar_node_M_SC_RECV = M_SC_AR_recv[0];
  assign m13_aw_node_M_SC_RECV = M_SC_AW_recv[0];
  assign m13_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign m13_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign m13_w_node_M_SC_RECV = M_SC_W_recv[0];
  assign m_axi_aclk_1 = m_axi_aclk;
  assign m_axi_aresetn_1 = m_axi_aresetn;
  assign s_axi_aclk_1 = s_axi_aclk;
  assign s_axi_aresetn_1 = s_axi_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13arn_0 m13_ar_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m13_ar_node_M_SC_INFO),
        .m_sc_payld(m13_ar_node_M_SC_PAYLD),
        .m_sc_recv(m13_ar_node_M_SC_RECV),
        .m_sc_req(m13_ar_node_M_SC_REQ),
        .m_sc_send(m13_ar_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13awn_0 m13_aw_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m13_aw_node_M_SC_INFO),
        .m_sc_payld(m13_aw_node_M_SC_PAYLD),
        .m_sc_recv(m13_aw_node_M_SC_RECV),
        .m_sc_req(m13_aw_node_M_SC_REQ),
        .m_sc_send(m13_aw_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13bn_0 m13_b_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m13_b_node_M_SC_INFO),
        .m_sc_payld(m13_b_node_M_SC_PAYLD),
        .m_sc_recv(m13_b_node_M_SC_RECV),
        .m_sc_req(m13_b_node_M_SC_REQ),
        .m_sc_send(m13_b_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13rn_0 m13_r_node
       (.m_sc_aclk(s_axi_aclk_1),
        .m_sc_aresetn(s_axi_aresetn_1),
        .m_sc_info(m13_r_node_M_SC_INFO),
        .m_sc_payld(m13_r_node_M_SC_PAYLD),
        .m_sc_recv(m13_r_node_M_SC_RECV),
        .m_sc_req(m13_r_node_M_SC_REQ),
        .m_sc_send(m13_r_node_M_SC_SEND),
        .s_sc_aclk(m_axi_aclk_1),
        .s_sc_aresetn(m_axi_aresetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_m13wn_0 m13_w_node
       (.m_sc_aclk(m_axi_aclk_1),
        .m_sc_aresetn(m_axi_aresetn_1),
        .m_sc_info(m13_w_node_M_SC_INFO),
        .m_sc_payld(m13_w_node_M_SC_PAYLD),
        .m_sc_recv(m13_w_node_M_SC_RECV),
        .m_sc_req(m13_w_node_M_SC_REQ),
        .m_sc_send(m13_w_node_M_SC_SEND),
        .s_sc_aclk(s_axi_aclk_1),
        .s_sc_aresetn(s_axi_aresetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_JUJAWW
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [31:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [31:0]s_axi_awuser;
  input s_axi_awvalid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [3:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [3:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [31:0]s00_mmu_M_AXI_RDATA;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [31:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [3:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [31:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [31:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [3:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [31:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [31:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [3:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [31:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [31:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [3:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [3:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[31:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[31:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[31:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[3:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[3:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_83cd_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_83cd_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_83cd_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_MT09I2
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [13:0]M_SC_AR_info;
  output [213:0]M_SC_AR_payld;
  input [13:0]M_SC_AR_recv;
  output [13:0]M_SC_AR_req;
  output [13:0]M_SC_AR_send;
  output [13:0]M_SC_AW_info;
  output [213:0]M_SC_AW_payld;
  input [13:0]M_SC_AW_recv;
  output [13:0]M_SC_AW_req;
  output [13:0]M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [54:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [13:0]M_SC_W_info;
  output [68:0]M_SC_W_payld;
  input [13:0]M_SC_W_recv;
  output [13:0]M_SC_W_req;
  output [13:0]M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [213:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [213:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [13:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output [13:0]S_SC_B_recv;
  input [13:0]S_SC_B_req;
  input [13:0]S_SC_B_send;
  input [13:0]S_SC_R_info;
  input [54:0]S_SC_R_payld;
  output [13:0]S_SC_R_recv;
  input [13:0]S_SC_R_req;
  input [13:0]S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [68:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [213:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [213:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [13:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [13:0]S_SC_B_1_RECV;
  wire [13:0]S_SC_B_1_REQ;
  wire [13:0]S_SC_B_1_SEND;
  wire [13:0]S_SC_R_1_INFO;
  wire [54:0]S_SC_R_1_PAYLD;
  wire [13:0]S_SC_R_1_RECV;
  wire [13:0]S_SC_R_1_REQ;
  wire [13:0]S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [68:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [13:0]s00_ar_node_M_SC_INFO;
  wire [213:0]s00_ar_node_M_SC_PAYLD;
  wire [13:0]s00_ar_node_M_SC_RECV;
  wire [13:0]s00_ar_node_M_SC_REQ;
  wire [13:0]s00_ar_node_M_SC_SEND;
  wire [13:0]s00_aw_node_M_SC_INFO;
  wire [213:0]s00_aw_node_M_SC_PAYLD;
  wire [13:0]s00_aw_node_M_SC_RECV;
  wire [13:0]s00_aw_node_M_SC_REQ;
  wire [13:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [54:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [13:0]s00_w_node_M_SC_INFO;
  wire [68:0]s00_w_node_M_SC_PAYLD;
  wire [13:0]s00_w_node_M_SC_RECV;
  wire [13:0]s00_w_node_M_SC_REQ;
  wire [13:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[13:0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[213:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req[13:0] = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send[13:0] = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[13:0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[213:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req[13:0] = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send[13:0] = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[54:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[13:0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[68:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req[13:0] = s00_w_node_M_SC_REQ;
  assign M_SC_W_send[13:0] = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[213:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[213:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[13:0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req[13:0];
  assign S_SC_B_1_SEND = S_SC_B_send[13:0];
  assign S_SC_B_recv[13:0] = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[13:0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[54:0];
  assign S_SC_R_1_REQ = S_SC_R_req[13:0];
  assign S_SC_R_1_SEND = S_SC_R_send[13:0];
  assign S_SC_R_recv[13:0] = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[68:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv[13:0];
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv[13:0];
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv[13:0];
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_83cd_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule

module versal_cips_ps_vip_v1_0_11_switchboards_imp_G130UM
   (M00_SC_AR_info,
    M00_SC_AR_payld,
    M00_SC_AR_recv,
    M00_SC_AR_req,
    M00_SC_AR_send,
    M00_SC_AW_info,
    M00_SC_AW_payld,
    M00_SC_AW_recv,
    M00_SC_AW_req,
    M00_SC_AW_send,
    M00_SC_B_info,
    M00_SC_B_payld,
    M00_SC_B_recv,
    M00_SC_B_req,
    M00_SC_B_send,
    M00_SC_R_info,
    M00_SC_R_payld,
    M00_SC_R_recv,
    M00_SC_R_req,
    M00_SC_R_send,
    M00_SC_W_info,
    M00_SC_W_payld,
    M00_SC_W_recv,
    M00_SC_W_req,
    M00_SC_W_send,
    M01_SC_AR_info,
    M01_SC_AR_payld,
    M01_SC_AR_recv,
    M01_SC_AR_req,
    M01_SC_AR_send,
    M01_SC_AW_info,
    M01_SC_AW_payld,
    M01_SC_AW_recv,
    M01_SC_AW_req,
    M01_SC_AW_send,
    M01_SC_W_info,
    M01_SC_W_payld,
    M01_SC_W_recv,
    M01_SC_W_req,
    M01_SC_W_send,
    M02_SC_AR_info,
    M02_SC_AR_payld,
    M02_SC_AR_recv,
    M02_SC_AR_req,
    M02_SC_AR_send,
    M02_SC_AW_info,
    M02_SC_AW_payld,
    M02_SC_AW_recv,
    M02_SC_AW_req,
    M02_SC_AW_send,
    M02_SC_W_info,
    M02_SC_W_payld,
    M02_SC_W_recv,
    M02_SC_W_req,
    M02_SC_W_send,
    M03_SC_AR_info,
    M03_SC_AR_payld,
    M03_SC_AR_recv,
    M03_SC_AR_req,
    M03_SC_AR_send,
    M03_SC_AW_info,
    M03_SC_AW_payld,
    M03_SC_AW_recv,
    M03_SC_AW_req,
    M03_SC_AW_send,
    M03_SC_W_info,
    M03_SC_W_payld,
    M03_SC_W_recv,
    M03_SC_W_req,
    M03_SC_W_send,
    M04_SC_AR_info,
    M04_SC_AR_payld,
    M04_SC_AR_recv,
    M04_SC_AR_req,
    M04_SC_AR_send,
    M04_SC_AW_info,
    M04_SC_AW_payld,
    M04_SC_AW_recv,
    M04_SC_AW_req,
    M04_SC_AW_send,
    M04_SC_W_info,
    M04_SC_W_payld,
    M04_SC_W_recv,
    M04_SC_W_req,
    M04_SC_W_send,
    M05_SC_AR_info,
    M05_SC_AR_payld,
    M05_SC_AR_recv,
    M05_SC_AR_req,
    M05_SC_AR_send,
    M05_SC_AW_info,
    M05_SC_AW_payld,
    M05_SC_AW_recv,
    M05_SC_AW_req,
    M05_SC_AW_send,
    M05_SC_W_info,
    M05_SC_W_payld,
    M05_SC_W_recv,
    M05_SC_W_req,
    M05_SC_W_send,
    M06_SC_AR_info,
    M06_SC_AR_payld,
    M06_SC_AR_recv,
    M06_SC_AR_req,
    M06_SC_AR_send,
    M06_SC_AW_info,
    M06_SC_AW_payld,
    M06_SC_AW_recv,
    M06_SC_AW_req,
    M06_SC_AW_send,
    M06_SC_W_info,
    M06_SC_W_payld,
    M06_SC_W_recv,
    M06_SC_W_req,
    M06_SC_W_send,
    M07_SC_AR_info,
    M07_SC_AR_payld,
    M07_SC_AR_recv,
    M07_SC_AR_req,
    M07_SC_AR_send,
    M07_SC_AW_info,
    M07_SC_AW_payld,
    M07_SC_AW_recv,
    M07_SC_AW_req,
    M07_SC_AW_send,
    M07_SC_W_info,
    M07_SC_W_payld,
    M07_SC_W_recv,
    M07_SC_W_req,
    M07_SC_W_send,
    M08_SC_AR_info,
    M08_SC_AR_payld,
    M08_SC_AR_recv,
    M08_SC_AR_req,
    M08_SC_AR_send,
    M08_SC_AW_info,
    M08_SC_AW_payld,
    M08_SC_AW_recv,
    M08_SC_AW_req,
    M08_SC_AW_send,
    M08_SC_W_info,
    M08_SC_W_payld,
    M08_SC_W_recv,
    M08_SC_W_req,
    M08_SC_W_send,
    M09_SC_AR_info,
    M09_SC_AR_payld,
    M09_SC_AR_recv,
    M09_SC_AR_req,
    M09_SC_AR_send,
    M09_SC_AW_info,
    M09_SC_AW_payld,
    M09_SC_AW_recv,
    M09_SC_AW_req,
    M09_SC_AW_send,
    M09_SC_W_info,
    M09_SC_W_payld,
    M09_SC_W_recv,
    M09_SC_W_req,
    M09_SC_W_send,
    M10_SC_AR_info,
    M10_SC_AR_payld,
    M10_SC_AR_recv,
    M10_SC_AR_req,
    M10_SC_AR_send,
    M10_SC_AW_info,
    M10_SC_AW_payld,
    M10_SC_AW_recv,
    M10_SC_AW_req,
    M10_SC_AW_send,
    M10_SC_W_info,
    M10_SC_W_payld,
    M10_SC_W_recv,
    M10_SC_W_req,
    M10_SC_W_send,
    M11_SC_AR_info,
    M11_SC_AR_payld,
    M11_SC_AR_recv,
    M11_SC_AR_req,
    M11_SC_AR_send,
    M11_SC_AW_info,
    M11_SC_AW_payld,
    M11_SC_AW_recv,
    M11_SC_AW_req,
    M11_SC_AW_send,
    M11_SC_W_info,
    M11_SC_W_payld,
    M11_SC_W_recv,
    M11_SC_W_req,
    M11_SC_W_send,
    M12_SC_AR_info,
    M12_SC_AR_payld,
    M12_SC_AR_recv,
    M12_SC_AR_req,
    M12_SC_AR_send,
    M12_SC_AW_info,
    M12_SC_AW_payld,
    M12_SC_AW_recv,
    M12_SC_AW_req,
    M12_SC_AW_send,
    M12_SC_W_info,
    M12_SC_W_payld,
    M12_SC_W_recv,
    M12_SC_W_req,
    M12_SC_W_send,
    M13_SC_AR_info,
    M13_SC_AR_payld,
    M13_SC_AR_recv,
    M13_SC_AR_req,
    M13_SC_AR_send,
    M13_SC_AW_info,
    M13_SC_AW_payld,
    M13_SC_AW_recv,
    M13_SC_AW_req,
    M13_SC_AW_send,
    M13_SC_W_info,
    M13_SC_W_payld,
    M13_SC_W_recv,
    M13_SC_W_req,
    M13_SC_W_send,
    S00_SC_AR_info,
    S00_SC_AR_payld,
    S00_SC_AR_recv,
    S00_SC_AR_req,
    S00_SC_AR_send,
    S00_SC_AW_info,
    S00_SC_AW_payld,
    S00_SC_AW_recv,
    S00_SC_AW_req,
    S00_SC_AW_send,
    S00_SC_B_info,
    S00_SC_B_payld,
    S00_SC_B_recv,
    S00_SC_B_req,
    S00_SC_B_send,
    S00_SC_R_info,
    S00_SC_R_payld,
    S00_SC_R_recv,
    S00_SC_R_req,
    S00_SC_R_send,
    S00_SC_W_info,
    S00_SC_W_payld,
    S00_SC_W_recv,
    S00_SC_W_req,
    S00_SC_W_send,
    S01_SC_B_info,
    S01_SC_B_payld,
    S01_SC_B_recv,
    S01_SC_B_req,
    S01_SC_B_send,
    S01_SC_R_info,
    S01_SC_R_payld,
    S01_SC_R_recv,
    S01_SC_R_req,
    S01_SC_R_send,
    S02_SC_B_info,
    S02_SC_B_payld,
    S02_SC_B_recv,
    S02_SC_B_req,
    S02_SC_B_send,
    S02_SC_R_info,
    S02_SC_R_payld,
    S02_SC_R_recv,
    S02_SC_R_req,
    S02_SC_R_send,
    S03_SC_B_info,
    S03_SC_B_payld,
    S03_SC_B_recv,
    S03_SC_B_req,
    S03_SC_B_send,
    S03_SC_R_info,
    S03_SC_R_payld,
    S03_SC_R_recv,
    S03_SC_R_req,
    S03_SC_R_send,
    S04_SC_B_info,
    S04_SC_B_payld,
    S04_SC_B_recv,
    S04_SC_B_req,
    S04_SC_B_send,
    S04_SC_R_info,
    S04_SC_R_payld,
    S04_SC_R_recv,
    S04_SC_R_req,
    S04_SC_R_send,
    S05_SC_B_info,
    S05_SC_B_payld,
    S05_SC_B_recv,
    S05_SC_B_req,
    S05_SC_B_send,
    S05_SC_R_info,
    S05_SC_R_payld,
    S05_SC_R_recv,
    S05_SC_R_req,
    S05_SC_R_send,
    S06_SC_B_info,
    S06_SC_B_payld,
    S06_SC_B_recv,
    S06_SC_B_req,
    S06_SC_B_send,
    S06_SC_R_info,
    S06_SC_R_payld,
    S06_SC_R_recv,
    S06_SC_R_req,
    S06_SC_R_send,
    S07_SC_B_info,
    S07_SC_B_payld,
    S07_SC_B_recv,
    S07_SC_B_req,
    S07_SC_B_send,
    S07_SC_R_info,
    S07_SC_R_payld,
    S07_SC_R_recv,
    S07_SC_R_req,
    S07_SC_R_send,
    S08_SC_B_info,
    S08_SC_B_payld,
    S08_SC_B_recv,
    S08_SC_B_req,
    S08_SC_B_send,
    S08_SC_R_info,
    S08_SC_R_payld,
    S08_SC_R_recv,
    S08_SC_R_req,
    S08_SC_R_send,
    S09_SC_B_info,
    S09_SC_B_payld,
    S09_SC_B_recv,
    S09_SC_B_req,
    S09_SC_B_send,
    S09_SC_R_info,
    S09_SC_R_payld,
    S09_SC_R_recv,
    S09_SC_R_req,
    S09_SC_R_send,
    S10_SC_B_info,
    S10_SC_B_payld,
    S10_SC_B_recv,
    S10_SC_B_req,
    S10_SC_B_send,
    S10_SC_R_info,
    S10_SC_R_payld,
    S10_SC_R_recv,
    S10_SC_R_req,
    S10_SC_R_send,
    S11_SC_B_info,
    S11_SC_B_payld,
    S11_SC_B_recv,
    S11_SC_B_req,
    S11_SC_B_send,
    S11_SC_R_info,
    S11_SC_R_payld,
    S11_SC_R_recv,
    S11_SC_R_req,
    S11_SC_R_send,
    S12_SC_B_info,
    S12_SC_B_payld,
    S12_SC_B_recv,
    S12_SC_B_req,
    S12_SC_B_send,
    S12_SC_R_info,
    S12_SC_R_payld,
    S12_SC_R_recv,
    S12_SC_R_req,
    S12_SC_R_send,
    S13_SC_B_info,
    S13_SC_B_payld,
    S13_SC_B_recv,
    S13_SC_B_req,
    S13_SC_B_send,
    S13_SC_R_info,
    S13_SC_R_payld,
    S13_SC_R_recv,
    S13_SC_R_req,
    S13_SC_R_send,
    aclk,
    aresetn);
  output [0:0]M00_SC_AR_info;
  output [213:0]M00_SC_AR_payld;
  input [0:0]M00_SC_AR_recv;
  output [0:0]M00_SC_AR_req;
  output [0:0]M00_SC_AR_send;
  output [0:0]M00_SC_AW_info;
  output [213:0]M00_SC_AW_payld;
  input [0:0]M00_SC_AW_recv;
  output [0:0]M00_SC_AW_req;
  output [0:0]M00_SC_AW_send;
  output [13:0]M00_SC_B_info;
  output [19:0]M00_SC_B_payld;
  input [13:0]M00_SC_B_recv;
  output [13:0]M00_SC_B_req;
  output [13:0]M00_SC_B_send;
  output [13:0]M00_SC_R_info;
  output [54:0]M00_SC_R_payld;
  input [13:0]M00_SC_R_recv;
  output [13:0]M00_SC_R_req;
  output [13:0]M00_SC_R_send;
  output [0:0]M00_SC_W_info;
  output [68:0]M00_SC_W_payld;
  input [0:0]M00_SC_W_recv;
  output [0:0]M00_SC_W_req;
  output [0:0]M00_SC_W_send;
  output [0:0]M01_SC_AR_info;
  output [213:0]M01_SC_AR_payld;
  input [0:0]M01_SC_AR_recv;
  output [0:0]M01_SC_AR_req;
  output [0:0]M01_SC_AR_send;
  output [0:0]M01_SC_AW_info;
  output [213:0]M01_SC_AW_payld;
  input [0:0]M01_SC_AW_recv;
  output [0:0]M01_SC_AW_req;
  output [0:0]M01_SC_AW_send;
  output [0:0]M01_SC_W_info;
  output [68:0]M01_SC_W_payld;
  input [0:0]M01_SC_W_recv;
  output [0:0]M01_SC_W_req;
  output [0:0]M01_SC_W_send;
  output [0:0]M02_SC_AR_info;
  output [213:0]M02_SC_AR_payld;
  input [0:0]M02_SC_AR_recv;
  output [0:0]M02_SC_AR_req;
  output [0:0]M02_SC_AR_send;
  output [0:0]M02_SC_AW_info;
  output [213:0]M02_SC_AW_payld;
  input [0:0]M02_SC_AW_recv;
  output [0:0]M02_SC_AW_req;
  output [0:0]M02_SC_AW_send;
  output [0:0]M02_SC_W_info;
  output [68:0]M02_SC_W_payld;
  input [0:0]M02_SC_W_recv;
  output [0:0]M02_SC_W_req;
  output [0:0]M02_SC_W_send;
  output [0:0]M03_SC_AR_info;
  output [213:0]M03_SC_AR_payld;
  input [0:0]M03_SC_AR_recv;
  output [0:0]M03_SC_AR_req;
  output [0:0]M03_SC_AR_send;
  output [0:0]M03_SC_AW_info;
  output [213:0]M03_SC_AW_payld;
  input [0:0]M03_SC_AW_recv;
  output [0:0]M03_SC_AW_req;
  output [0:0]M03_SC_AW_send;
  output [0:0]M03_SC_W_info;
  output [68:0]M03_SC_W_payld;
  input [0:0]M03_SC_W_recv;
  output [0:0]M03_SC_W_req;
  output [0:0]M03_SC_W_send;
  output [0:0]M04_SC_AR_info;
  output [213:0]M04_SC_AR_payld;
  input [0:0]M04_SC_AR_recv;
  output [0:0]M04_SC_AR_req;
  output [0:0]M04_SC_AR_send;
  output [0:0]M04_SC_AW_info;
  output [213:0]M04_SC_AW_payld;
  input [0:0]M04_SC_AW_recv;
  output [0:0]M04_SC_AW_req;
  output [0:0]M04_SC_AW_send;
  output [0:0]M04_SC_W_info;
  output [68:0]M04_SC_W_payld;
  input [0:0]M04_SC_W_recv;
  output [0:0]M04_SC_W_req;
  output [0:0]M04_SC_W_send;
  output [0:0]M05_SC_AR_info;
  output [213:0]M05_SC_AR_payld;
  input [0:0]M05_SC_AR_recv;
  output [0:0]M05_SC_AR_req;
  output [0:0]M05_SC_AR_send;
  output [0:0]M05_SC_AW_info;
  output [213:0]M05_SC_AW_payld;
  input [0:0]M05_SC_AW_recv;
  output [0:0]M05_SC_AW_req;
  output [0:0]M05_SC_AW_send;
  output [0:0]M05_SC_W_info;
  output [68:0]M05_SC_W_payld;
  input [0:0]M05_SC_W_recv;
  output [0:0]M05_SC_W_req;
  output [0:0]M05_SC_W_send;
  output [0:0]M06_SC_AR_info;
  output [213:0]M06_SC_AR_payld;
  input [0:0]M06_SC_AR_recv;
  output [0:0]M06_SC_AR_req;
  output [0:0]M06_SC_AR_send;
  output [0:0]M06_SC_AW_info;
  output [213:0]M06_SC_AW_payld;
  input [0:0]M06_SC_AW_recv;
  output [0:0]M06_SC_AW_req;
  output [0:0]M06_SC_AW_send;
  output [0:0]M06_SC_W_info;
  output [68:0]M06_SC_W_payld;
  input [0:0]M06_SC_W_recv;
  output [0:0]M06_SC_W_req;
  output [0:0]M06_SC_W_send;
  output [0:0]M07_SC_AR_info;
  output [213:0]M07_SC_AR_payld;
  input [0:0]M07_SC_AR_recv;
  output [0:0]M07_SC_AR_req;
  output [0:0]M07_SC_AR_send;
  output [0:0]M07_SC_AW_info;
  output [213:0]M07_SC_AW_payld;
  input [0:0]M07_SC_AW_recv;
  output [0:0]M07_SC_AW_req;
  output [0:0]M07_SC_AW_send;
  output [0:0]M07_SC_W_info;
  output [68:0]M07_SC_W_payld;
  input [0:0]M07_SC_W_recv;
  output [0:0]M07_SC_W_req;
  output [0:0]M07_SC_W_send;
  output [0:0]M08_SC_AR_info;
  output [213:0]M08_SC_AR_payld;
  input [0:0]M08_SC_AR_recv;
  output [0:0]M08_SC_AR_req;
  output [0:0]M08_SC_AR_send;
  output [0:0]M08_SC_AW_info;
  output [213:0]M08_SC_AW_payld;
  input [0:0]M08_SC_AW_recv;
  output [0:0]M08_SC_AW_req;
  output [0:0]M08_SC_AW_send;
  output [0:0]M08_SC_W_info;
  output [68:0]M08_SC_W_payld;
  input [0:0]M08_SC_W_recv;
  output [0:0]M08_SC_W_req;
  output [0:0]M08_SC_W_send;
  output [0:0]M09_SC_AR_info;
  output [213:0]M09_SC_AR_payld;
  input [0:0]M09_SC_AR_recv;
  output [0:0]M09_SC_AR_req;
  output [0:0]M09_SC_AR_send;
  output [0:0]M09_SC_AW_info;
  output [213:0]M09_SC_AW_payld;
  input [0:0]M09_SC_AW_recv;
  output [0:0]M09_SC_AW_req;
  output [0:0]M09_SC_AW_send;
  output [0:0]M09_SC_W_info;
  output [68:0]M09_SC_W_payld;
  input [0:0]M09_SC_W_recv;
  output [0:0]M09_SC_W_req;
  output [0:0]M09_SC_W_send;
  output [0:0]M10_SC_AR_info;
  output [213:0]M10_SC_AR_payld;
  input [0:0]M10_SC_AR_recv;
  output [0:0]M10_SC_AR_req;
  output [0:0]M10_SC_AR_send;
  output [0:0]M10_SC_AW_info;
  output [213:0]M10_SC_AW_payld;
  input [0:0]M10_SC_AW_recv;
  output [0:0]M10_SC_AW_req;
  output [0:0]M10_SC_AW_send;
  output [0:0]M10_SC_W_info;
  output [68:0]M10_SC_W_payld;
  input [0:0]M10_SC_W_recv;
  output [0:0]M10_SC_W_req;
  output [0:0]M10_SC_W_send;
  output [0:0]M11_SC_AR_info;
  output [213:0]M11_SC_AR_payld;
  input [0:0]M11_SC_AR_recv;
  output [0:0]M11_SC_AR_req;
  output [0:0]M11_SC_AR_send;
  output [0:0]M11_SC_AW_info;
  output [213:0]M11_SC_AW_payld;
  input [0:0]M11_SC_AW_recv;
  output [0:0]M11_SC_AW_req;
  output [0:0]M11_SC_AW_send;
  output [0:0]M11_SC_W_info;
  output [68:0]M11_SC_W_payld;
  input [0:0]M11_SC_W_recv;
  output [0:0]M11_SC_W_req;
  output [0:0]M11_SC_W_send;
  output [0:0]M12_SC_AR_info;
  output [213:0]M12_SC_AR_payld;
  input [0:0]M12_SC_AR_recv;
  output [0:0]M12_SC_AR_req;
  output [0:0]M12_SC_AR_send;
  output [0:0]M12_SC_AW_info;
  output [213:0]M12_SC_AW_payld;
  input [0:0]M12_SC_AW_recv;
  output [0:0]M12_SC_AW_req;
  output [0:0]M12_SC_AW_send;
  output [0:0]M12_SC_W_info;
  output [68:0]M12_SC_W_payld;
  input [0:0]M12_SC_W_recv;
  output [0:0]M12_SC_W_req;
  output [0:0]M12_SC_W_send;
  output [0:0]M13_SC_AR_info;
  output [213:0]M13_SC_AR_payld;
  input [0:0]M13_SC_AR_recv;
  output [0:0]M13_SC_AR_req;
  output [0:0]M13_SC_AR_send;
  output [0:0]M13_SC_AW_info;
  output [213:0]M13_SC_AW_payld;
  input [0:0]M13_SC_AW_recv;
  output [0:0]M13_SC_AW_req;
  output [0:0]M13_SC_AW_send;
  output [0:0]M13_SC_W_info;
  output [68:0]M13_SC_W_payld;
  input [0:0]M13_SC_W_recv;
  output [0:0]M13_SC_W_req;
  output [0:0]M13_SC_W_send;
  input [13:0]S00_SC_AR_info;
  input [213:0]S00_SC_AR_payld;
  output [13:0]S00_SC_AR_recv;
  input [13:0]S00_SC_AR_req;
  input [13:0]S00_SC_AR_send;
  input [13:0]S00_SC_AW_info;
  input [213:0]S00_SC_AW_payld;
  output [13:0]S00_SC_AW_recv;
  input [13:0]S00_SC_AW_req;
  input [13:0]S00_SC_AW_send;
  input [0:0]S00_SC_B_info;
  input [19:0]S00_SC_B_payld;
  output [0:0]S00_SC_B_recv;
  input [0:0]S00_SC_B_req;
  input [0:0]S00_SC_B_send;
  input [0:0]S00_SC_R_info;
  input [54:0]S00_SC_R_payld;
  output [0:0]S00_SC_R_recv;
  input [0:0]S00_SC_R_req;
  input [0:0]S00_SC_R_send;
  input [13:0]S00_SC_W_info;
  input [68:0]S00_SC_W_payld;
  output [13:0]S00_SC_W_recv;
  input [13:0]S00_SC_W_req;
  input [13:0]S00_SC_W_send;
  input [0:0]S01_SC_B_info;
  input [19:0]S01_SC_B_payld;
  output [0:0]S01_SC_B_recv;
  input [0:0]S01_SC_B_req;
  input [0:0]S01_SC_B_send;
  input [0:0]S01_SC_R_info;
  input [54:0]S01_SC_R_payld;
  output [0:0]S01_SC_R_recv;
  input [0:0]S01_SC_R_req;
  input [0:0]S01_SC_R_send;
  input [0:0]S02_SC_B_info;
  input [19:0]S02_SC_B_payld;
  output [0:0]S02_SC_B_recv;
  input [0:0]S02_SC_B_req;
  input [0:0]S02_SC_B_send;
  input [0:0]S02_SC_R_info;
  input [54:0]S02_SC_R_payld;
  output [0:0]S02_SC_R_recv;
  input [0:0]S02_SC_R_req;
  input [0:0]S02_SC_R_send;
  input [0:0]S03_SC_B_info;
  input [19:0]S03_SC_B_payld;
  output [0:0]S03_SC_B_recv;
  input [0:0]S03_SC_B_req;
  input [0:0]S03_SC_B_send;
  input [0:0]S03_SC_R_info;
  input [54:0]S03_SC_R_payld;
  output [0:0]S03_SC_R_recv;
  input [0:0]S03_SC_R_req;
  input [0:0]S03_SC_R_send;
  input [0:0]S04_SC_B_info;
  input [19:0]S04_SC_B_payld;
  output [0:0]S04_SC_B_recv;
  input [0:0]S04_SC_B_req;
  input [0:0]S04_SC_B_send;
  input [0:0]S04_SC_R_info;
  input [54:0]S04_SC_R_payld;
  output [0:0]S04_SC_R_recv;
  input [0:0]S04_SC_R_req;
  input [0:0]S04_SC_R_send;
  input [0:0]S05_SC_B_info;
  input [19:0]S05_SC_B_payld;
  output [0:0]S05_SC_B_recv;
  input [0:0]S05_SC_B_req;
  input [0:0]S05_SC_B_send;
  input [0:0]S05_SC_R_info;
  input [54:0]S05_SC_R_payld;
  output [0:0]S05_SC_R_recv;
  input [0:0]S05_SC_R_req;
  input [0:0]S05_SC_R_send;
  input [0:0]S06_SC_B_info;
  input [19:0]S06_SC_B_payld;
  output [0:0]S06_SC_B_recv;
  input [0:0]S06_SC_B_req;
  input [0:0]S06_SC_B_send;
  input [0:0]S06_SC_R_info;
  input [54:0]S06_SC_R_payld;
  output [0:0]S06_SC_R_recv;
  input [0:0]S06_SC_R_req;
  input [0:0]S06_SC_R_send;
  input [0:0]S07_SC_B_info;
  input [19:0]S07_SC_B_payld;
  output [0:0]S07_SC_B_recv;
  input [0:0]S07_SC_B_req;
  input [0:0]S07_SC_B_send;
  input [0:0]S07_SC_R_info;
  input [54:0]S07_SC_R_payld;
  output [0:0]S07_SC_R_recv;
  input [0:0]S07_SC_R_req;
  input [0:0]S07_SC_R_send;
  input [0:0]S08_SC_B_info;
  input [19:0]S08_SC_B_payld;
  output [0:0]S08_SC_B_recv;
  input [0:0]S08_SC_B_req;
  input [0:0]S08_SC_B_send;
  input [0:0]S08_SC_R_info;
  input [54:0]S08_SC_R_payld;
  output [0:0]S08_SC_R_recv;
  input [0:0]S08_SC_R_req;
  input [0:0]S08_SC_R_send;
  input [0:0]S09_SC_B_info;
  input [19:0]S09_SC_B_payld;
  output [0:0]S09_SC_B_recv;
  input [0:0]S09_SC_B_req;
  input [0:0]S09_SC_B_send;
  input [0:0]S09_SC_R_info;
  input [54:0]S09_SC_R_payld;
  output [0:0]S09_SC_R_recv;
  input [0:0]S09_SC_R_req;
  input [0:0]S09_SC_R_send;
  input [0:0]S10_SC_B_info;
  input [19:0]S10_SC_B_payld;
  output [0:0]S10_SC_B_recv;
  input [0:0]S10_SC_B_req;
  input [0:0]S10_SC_B_send;
  input [0:0]S10_SC_R_info;
  input [54:0]S10_SC_R_payld;
  output [0:0]S10_SC_R_recv;
  input [0:0]S10_SC_R_req;
  input [0:0]S10_SC_R_send;
  input [0:0]S11_SC_B_info;
  input [19:0]S11_SC_B_payld;
  output [0:0]S11_SC_B_recv;
  input [0:0]S11_SC_B_req;
  input [0:0]S11_SC_B_send;
  input [0:0]S11_SC_R_info;
  input [54:0]S11_SC_R_payld;
  output [0:0]S11_SC_R_recv;
  input [0:0]S11_SC_R_req;
  input [0:0]S11_SC_R_send;
  input [0:0]S12_SC_B_info;
  input [19:0]S12_SC_B_payld;
  output [0:0]S12_SC_B_recv;
  input [0:0]S12_SC_B_req;
  input [0:0]S12_SC_B_send;
  input [0:0]S12_SC_R_info;
  input [54:0]S12_SC_R_payld;
  output [0:0]S12_SC_R_recv;
  input [0:0]S12_SC_R_req;
  input [0:0]S12_SC_R_send;
  input [0:0]S13_SC_B_info;
  input [19:0]S13_SC_B_payld;
  output [0:0]S13_SC_B_recv;
  input [0:0]S13_SC_B_req;
  input [0:0]S13_SC_B_send;
  input [0:0]S13_SC_R_info;
  input [54:0]S13_SC_R_payld;
  output [0:0]S13_SC_R_recv;
  input [0:0]S13_SC_R_req;
  input [0:0]S13_SC_R_send;
  input aclk;
  input aresetn;

  wire [13:0]S00_SC_AR_1_INFO;
  wire [213:0]S00_SC_AR_1_PAYLD;
  wire [13:0]S00_SC_AR_1_RECV;
  wire [13:0]S00_SC_AR_1_REQ;
  wire [13:0]S00_SC_AR_1_SEND;
  wire [13:0]S00_SC_AW_1_INFO;
  wire [213:0]S00_SC_AW_1_PAYLD;
  wire [13:0]S00_SC_AW_1_RECV;
  wire [13:0]S00_SC_AW_1_REQ;
  wire [13:0]S00_SC_AW_1_SEND;
  wire [0:0]S00_SC_B_1_INFO;
  wire [19:0]S00_SC_B_1_PAYLD;
  wire [0:0]S00_SC_B_1_RECV;
  wire [0:0]S00_SC_B_1_REQ;
  wire [0:0]S00_SC_B_1_SEND;
  wire [0:0]S00_SC_R_1_INFO;
  wire [54:0]S00_SC_R_1_PAYLD;
  wire [0:0]S00_SC_R_1_RECV;
  wire [0:0]S00_SC_R_1_REQ;
  wire [0:0]S00_SC_R_1_SEND;
  wire [13:0]S00_SC_W_1_INFO;
  wire [68:0]S00_SC_W_1_PAYLD;
  wire [13:0]S00_SC_W_1_RECV;
  wire [13:0]S00_SC_W_1_REQ;
  wire [13:0]S00_SC_W_1_SEND;
  wire [0:0]S01_SC_B_1_INFO;
  wire [19:0]S01_SC_B_1_PAYLD;
  wire [1:1]S01_SC_B_1_RECV;
  wire [0:0]S01_SC_B_1_REQ;
  wire [0:0]S01_SC_B_1_SEND;
  wire [0:0]S01_SC_R_1_INFO;
  wire [54:0]S01_SC_R_1_PAYLD;
  wire [1:1]S01_SC_R_1_RECV;
  wire [0:0]S01_SC_R_1_REQ;
  wire [0:0]S01_SC_R_1_SEND;
  wire [0:0]S02_SC_B_1_INFO;
  wire [19:0]S02_SC_B_1_PAYLD;
  wire [2:2]S02_SC_B_1_RECV;
  wire [0:0]S02_SC_B_1_REQ;
  wire [0:0]S02_SC_B_1_SEND;
  wire [0:0]S02_SC_R_1_INFO;
  wire [54:0]S02_SC_R_1_PAYLD;
  wire [2:2]S02_SC_R_1_RECV;
  wire [0:0]S02_SC_R_1_REQ;
  wire [0:0]S02_SC_R_1_SEND;
  wire [0:0]S03_SC_B_1_INFO;
  wire [19:0]S03_SC_B_1_PAYLD;
  wire [3:3]S03_SC_B_1_RECV;
  wire [0:0]S03_SC_B_1_REQ;
  wire [0:0]S03_SC_B_1_SEND;
  wire [0:0]S03_SC_R_1_INFO;
  wire [54:0]S03_SC_R_1_PAYLD;
  wire [3:3]S03_SC_R_1_RECV;
  wire [0:0]S03_SC_R_1_REQ;
  wire [0:0]S03_SC_R_1_SEND;
  wire [0:0]S04_SC_B_1_INFO;
  wire [19:0]S04_SC_B_1_PAYLD;
  wire [4:4]S04_SC_B_1_RECV;
  wire [0:0]S04_SC_B_1_REQ;
  wire [0:0]S04_SC_B_1_SEND;
  wire [0:0]S04_SC_R_1_INFO;
  wire [54:0]S04_SC_R_1_PAYLD;
  wire [4:4]S04_SC_R_1_RECV;
  wire [0:0]S04_SC_R_1_REQ;
  wire [0:0]S04_SC_R_1_SEND;
  wire [0:0]S05_SC_B_1_INFO;
  wire [19:0]S05_SC_B_1_PAYLD;
  wire [5:5]S05_SC_B_1_RECV;
  wire [0:0]S05_SC_B_1_REQ;
  wire [0:0]S05_SC_B_1_SEND;
  wire [0:0]S05_SC_R_1_INFO;
  wire [54:0]S05_SC_R_1_PAYLD;
  wire [5:5]S05_SC_R_1_RECV;
  wire [0:0]S05_SC_R_1_REQ;
  wire [0:0]S05_SC_R_1_SEND;
  wire [0:0]S06_SC_B_1_INFO;
  wire [19:0]S06_SC_B_1_PAYLD;
  wire [6:6]S06_SC_B_1_RECV;
  wire [0:0]S06_SC_B_1_REQ;
  wire [0:0]S06_SC_B_1_SEND;
  wire [0:0]S06_SC_R_1_INFO;
  wire [54:0]S06_SC_R_1_PAYLD;
  wire [6:6]S06_SC_R_1_RECV;
  wire [0:0]S06_SC_R_1_REQ;
  wire [0:0]S06_SC_R_1_SEND;
  wire [0:0]S07_SC_B_1_INFO;
  wire [19:0]S07_SC_B_1_PAYLD;
  wire [7:7]S07_SC_B_1_RECV;
  wire [0:0]S07_SC_B_1_REQ;
  wire [0:0]S07_SC_B_1_SEND;
  wire [0:0]S07_SC_R_1_INFO;
  wire [54:0]S07_SC_R_1_PAYLD;
  wire [7:7]S07_SC_R_1_RECV;
  wire [0:0]S07_SC_R_1_REQ;
  wire [0:0]S07_SC_R_1_SEND;
  wire [0:0]S08_SC_B_1_INFO;
  wire [19:0]S08_SC_B_1_PAYLD;
  wire [8:8]S08_SC_B_1_RECV;
  wire [0:0]S08_SC_B_1_REQ;
  wire [0:0]S08_SC_B_1_SEND;
  wire [0:0]S08_SC_R_1_INFO;
  wire [54:0]S08_SC_R_1_PAYLD;
  wire [8:8]S08_SC_R_1_RECV;
  wire [0:0]S08_SC_R_1_REQ;
  wire [0:0]S08_SC_R_1_SEND;
  wire [0:0]S09_SC_B_1_INFO;
  wire [19:0]S09_SC_B_1_PAYLD;
  wire [9:9]S09_SC_B_1_RECV;
  wire [0:0]S09_SC_B_1_REQ;
  wire [0:0]S09_SC_B_1_SEND;
  wire [0:0]S09_SC_R_1_INFO;
  wire [54:0]S09_SC_R_1_PAYLD;
  wire [9:9]S09_SC_R_1_RECV;
  wire [0:0]S09_SC_R_1_REQ;
  wire [0:0]S09_SC_R_1_SEND;
  wire [0:0]S10_SC_B_1_INFO;
  wire [19:0]S10_SC_B_1_PAYLD;
  wire [10:10]S10_SC_B_1_RECV;
  wire [0:0]S10_SC_B_1_REQ;
  wire [0:0]S10_SC_B_1_SEND;
  wire [0:0]S10_SC_R_1_INFO;
  wire [54:0]S10_SC_R_1_PAYLD;
  wire [10:10]S10_SC_R_1_RECV;
  wire [0:0]S10_SC_R_1_REQ;
  wire [0:0]S10_SC_R_1_SEND;
  wire [0:0]S11_SC_B_1_INFO;
  wire [19:0]S11_SC_B_1_PAYLD;
  wire [11:11]S11_SC_B_1_RECV;
  wire [0:0]S11_SC_B_1_REQ;
  wire [0:0]S11_SC_B_1_SEND;
  wire [0:0]S11_SC_R_1_INFO;
  wire [54:0]S11_SC_R_1_PAYLD;
  wire [11:11]S11_SC_R_1_RECV;
  wire [0:0]S11_SC_R_1_REQ;
  wire [0:0]S11_SC_R_1_SEND;
  wire [0:0]S12_SC_B_1_INFO;
  wire [19:0]S12_SC_B_1_PAYLD;
  wire [12:12]S12_SC_B_1_RECV;
  wire [0:0]S12_SC_B_1_REQ;
  wire [0:0]S12_SC_B_1_SEND;
  wire [0:0]S12_SC_R_1_INFO;
  wire [54:0]S12_SC_R_1_PAYLD;
  wire [12:12]S12_SC_R_1_RECV;
  wire [0:0]S12_SC_R_1_REQ;
  wire [0:0]S12_SC_R_1_SEND;
  wire [0:0]S13_SC_B_1_INFO;
  wire [19:0]S13_SC_B_1_PAYLD;
  wire [13:13]S13_SC_B_1_RECV;
  wire [0:0]S13_SC_B_1_REQ;
  wire [0:0]S13_SC_B_1_SEND;
  wire [0:0]S13_SC_R_1_INFO;
  wire [54:0]S13_SC_R_1_PAYLD;
  wire [13:13]S13_SC_R_1_RECV;
  wire [0:0]S13_SC_R_1_REQ;
  wire [0:0]S13_SC_R_1_SEND;
  wire aclk_1;
  wire [0:0]ar_switchboard_M00_SC_INFO;
  wire [213:0]ar_switchboard_M00_SC_PAYLD;
  wire [0:0]ar_switchboard_M00_SC_RECV;
  wire [0:0]ar_switchboard_M00_SC_REQ;
  wire [0:0]ar_switchboard_M00_SC_SEND;
  wire [1:1]ar_switchboard_M01_SC_INFO;
  wire [427:214]ar_switchboard_M01_SC_PAYLD;
  wire [0:0]ar_switchboard_M01_SC_RECV;
  wire [1:1]ar_switchboard_M01_SC_REQ;
  wire [1:1]ar_switchboard_M01_SC_SEND;
  wire [2:2]ar_switchboard_M02_SC_INFO;
  wire [641:428]ar_switchboard_M02_SC_PAYLD;
  wire [0:0]ar_switchboard_M02_SC_RECV;
  wire [2:2]ar_switchboard_M02_SC_REQ;
  wire [2:2]ar_switchboard_M02_SC_SEND;
  wire [3:3]ar_switchboard_M03_SC_INFO;
  wire [855:642]ar_switchboard_M03_SC_PAYLD;
  wire [0:0]ar_switchboard_M03_SC_RECV;
  wire [3:3]ar_switchboard_M03_SC_REQ;
  wire [3:3]ar_switchboard_M03_SC_SEND;
  wire [4:4]ar_switchboard_M04_SC_INFO;
  wire [1069:856]ar_switchboard_M04_SC_PAYLD;
  wire [0:0]ar_switchboard_M04_SC_RECV;
  wire [4:4]ar_switchboard_M04_SC_REQ;
  wire [4:4]ar_switchboard_M04_SC_SEND;
  wire [5:5]ar_switchboard_M05_SC_INFO;
  wire [1283:1070]ar_switchboard_M05_SC_PAYLD;
  wire [0:0]ar_switchboard_M05_SC_RECV;
  wire [5:5]ar_switchboard_M05_SC_REQ;
  wire [5:5]ar_switchboard_M05_SC_SEND;
  wire [6:6]ar_switchboard_M06_SC_INFO;
  wire [1497:1284]ar_switchboard_M06_SC_PAYLD;
  wire [0:0]ar_switchboard_M06_SC_RECV;
  wire [6:6]ar_switchboard_M06_SC_REQ;
  wire [6:6]ar_switchboard_M06_SC_SEND;
  wire [7:7]ar_switchboard_M07_SC_INFO;
  wire [1711:1498]ar_switchboard_M07_SC_PAYLD;
  wire [0:0]ar_switchboard_M07_SC_RECV;
  wire [7:7]ar_switchboard_M07_SC_REQ;
  wire [7:7]ar_switchboard_M07_SC_SEND;
  wire [8:8]ar_switchboard_M08_SC_INFO;
  wire [1925:1712]ar_switchboard_M08_SC_PAYLD;
  wire [0:0]ar_switchboard_M08_SC_RECV;
  wire [8:8]ar_switchboard_M08_SC_REQ;
  wire [8:8]ar_switchboard_M08_SC_SEND;
  wire [9:9]ar_switchboard_M09_SC_INFO;
  wire [2139:1926]ar_switchboard_M09_SC_PAYLD;
  wire [0:0]ar_switchboard_M09_SC_RECV;
  wire [9:9]ar_switchboard_M09_SC_REQ;
  wire [9:9]ar_switchboard_M09_SC_SEND;
  wire [10:10]ar_switchboard_M10_SC_INFO;
  wire [2353:2140]ar_switchboard_M10_SC_PAYLD;
  wire [0:0]ar_switchboard_M10_SC_RECV;
  wire [10:10]ar_switchboard_M10_SC_REQ;
  wire [10:10]ar_switchboard_M10_SC_SEND;
  wire [11:11]ar_switchboard_M11_SC_INFO;
  wire [2567:2354]ar_switchboard_M11_SC_PAYLD;
  wire [0:0]ar_switchboard_M11_SC_RECV;
  wire [11:11]ar_switchboard_M11_SC_REQ;
  wire [11:11]ar_switchboard_M11_SC_SEND;
  wire [12:12]ar_switchboard_M12_SC_INFO;
  wire [2781:2568]ar_switchboard_M12_SC_PAYLD;
  wire [0:0]ar_switchboard_M12_SC_RECV;
  wire [12:12]ar_switchboard_M12_SC_REQ;
  wire [12:12]ar_switchboard_M12_SC_SEND;
  wire [13:13]ar_switchboard_M13_SC_INFO;
  wire [2995:2782]ar_switchboard_M13_SC_PAYLD;
  wire [0:0]ar_switchboard_M13_SC_RECV;
  wire [13:13]ar_switchboard_M13_SC_REQ;
  wire [13:13]ar_switchboard_M13_SC_SEND;
  wire [0:0]aw_switchboard_M00_SC_INFO;
  wire [213:0]aw_switchboard_M00_SC_PAYLD;
  wire [0:0]aw_switchboard_M00_SC_RECV;
  wire [0:0]aw_switchboard_M00_SC_REQ;
  wire [0:0]aw_switchboard_M00_SC_SEND;
  wire [1:1]aw_switchboard_M01_SC_INFO;
  wire [427:214]aw_switchboard_M01_SC_PAYLD;
  wire [0:0]aw_switchboard_M01_SC_RECV;
  wire [1:1]aw_switchboard_M01_SC_REQ;
  wire [1:1]aw_switchboard_M01_SC_SEND;
  wire [2:2]aw_switchboard_M02_SC_INFO;
  wire [641:428]aw_switchboard_M02_SC_PAYLD;
  wire [0:0]aw_switchboard_M02_SC_RECV;
  wire [2:2]aw_switchboard_M02_SC_REQ;
  wire [2:2]aw_switchboard_M02_SC_SEND;
  wire [3:3]aw_switchboard_M03_SC_INFO;
  wire [855:642]aw_switchboard_M03_SC_PAYLD;
  wire [0:0]aw_switchboard_M03_SC_RECV;
  wire [3:3]aw_switchboard_M03_SC_REQ;
  wire [3:3]aw_switchboard_M03_SC_SEND;
  wire [4:4]aw_switchboard_M04_SC_INFO;
  wire [1069:856]aw_switchboard_M04_SC_PAYLD;
  wire [0:0]aw_switchboard_M04_SC_RECV;
  wire [4:4]aw_switchboard_M04_SC_REQ;
  wire [4:4]aw_switchboard_M04_SC_SEND;
  wire [5:5]aw_switchboard_M05_SC_INFO;
  wire [1283:1070]aw_switchboard_M05_SC_PAYLD;
  wire [0:0]aw_switchboard_M05_SC_RECV;
  wire [5:5]aw_switchboard_M05_SC_REQ;
  wire [5:5]aw_switchboard_M05_SC_SEND;
  wire [6:6]aw_switchboard_M06_SC_INFO;
  wire [1497:1284]aw_switchboard_M06_SC_PAYLD;
  wire [0:0]aw_switchboard_M06_SC_RECV;
  wire [6:6]aw_switchboard_M06_SC_REQ;
  wire [6:6]aw_switchboard_M06_SC_SEND;
  wire [7:7]aw_switchboard_M07_SC_INFO;
  wire [1711:1498]aw_switchboard_M07_SC_PAYLD;
  wire [0:0]aw_switchboard_M07_SC_RECV;
  wire [7:7]aw_switchboard_M07_SC_REQ;
  wire [7:7]aw_switchboard_M07_SC_SEND;
  wire [8:8]aw_switchboard_M08_SC_INFO;
  wire [1925:1712]aw_switchboard_M08_SC_PAYLD;
  wire [0:0]aw_switchboard_M08_SC_RECV;
  wire [8:8]aw_switchboard_M08_SC_REQ;
  wire [8:8]aw_switchboard_M08_SC_SEND;
  wire [9:9]aw_switchboard_M09_SC_INFO;
  wire [2139:1926]aw_switchboard_M09_SC_PAYLD;
  wire [0:0]aw_switchboard_M09_SC_RECV;
  wire [9:9]aw_switchboard_M09_SC_REQ;
  wire [9:9]aw_switchboard_M09_SC_SEND;
  wire [10:10]aw_switchboard_M10_SC_INFO;
  wire [2353:2140]aw_switchboard_M10_SC_PAYLD;
  wire [0:0]aw_switchboard_M10_SC_RECV;
  wire [10:10]aw_switchboard_M10_SC_REQ;
  wire [10:10]aw_switchboard_M10_SC_SEND;
  wire [11:11]aw_switchboard_M11_SC_INFO;
  wire [2567:2354]aw_switchboard_M11_SC_PAYLD;
  wire [0:0]aw_switchboard_M11_SC_RECV;
  wire [11:11]aw_switchboard_M11_SC_REQ;
  wire [11:11]aw_switchboard_M11_SC_SEND;
  wire [12:12]aw_switchboard_M12_SC_INFO;
  wire [2781:2568]aw_switchboard_M12_SC_PAYLD;
  wire [0:0]aw_switchboard_M12_SC_RECV;
  wire [12:12]aw_switchboard_M12_SC_REQ;
  wire [12:12]aw_switchboard_M12_SC_SEND;
  wire [13:13]aw_switchboard_M13_SC_INFO;
  wire [2995:2782]aw_switchboard_M13_SC_PAYLD;
  wire [0:0]aw_switchboard_M13_SC_RECV;
  wire [13:13]aw_switchboard_M13_SC_REQ;
  wire [13:13]aw_switchboard_M13_SC_SEND;
  wire [13:0]b_switchboard_M00_SC_INFO;
  wire [19:0]b_switchboard_M00_SC_PAYLD;
  wire [13:0]b_switchboard_M00_SC_RECV;
  wire [13:0]b_switchboard_M00_SC_REQ;
  wire [13:0]b_switchboard_M00_SC_SEND;
  wire [13:0]r_switchboard_M00_SC_INFO;
  wire [54:0]r_switchboard_M00_SC_PAYLD;
  wire [13:0]r_switchboard_M00_SC_RECV;
  wire [13:0]r_switchboard_M00_SC_REQ;
  wire [13:0]r_switchboard_M00_SC_SEND;
  wire [0:0]w_switchboard_M00_SC_INFO;
  wire [68:0]w_switchboard_M00_SC_PAYLD;
  wire [0:0]w_switchboard_M00_SC_RECV;
  wire [0:0]w_switchboard_M00_SC_REQ;
  wire [0:0]w_switchboard_M00_SC_SEND;
  wire [1:1]w_switchboard_M01_SC_INFO;
  wire [137:69]w_switchboard_M01_SC_PAYLD;
  wire [0:0]w_switchboard_M01_SC_RECV;
  wire [1:1]w_switchboard_M01_SC_REQ;
  wire [1:1]w_switchboard_M01_SC_SEND;
  wire [2:2]w_switchboard_M02_SC_INFO;
  wire [206:138]w_switchboard_M02_SC_PAYLD;
  wire [0:0]w_switchboard_M02_SC_RECV;
  wire [2:2]w_switchboard_M02_SC_REQ;
  wire [2:2]w_switchboard_M02_SC_SEND;
  wire [3:3]w_switchboard_M03_SC_INFO;
  wire [275:207]w_switchboard_M03_SC_PAYLD;
  wire [0:0]w_switchboard_M03_SC_RECV;
  wire [3:3]w_switchboard_M03_SC_REQ;
  wire [3:3]w_switchboard_M03_SC_SEND;
  wire [4:4]w_switchboard_M04_SC_INFO;
  wire [344:276]w_switchboard_M04_SC_PAYLD;
  wire [0:0]w_switchboard_M04_SC_RECV;
  wire [4:4]w_switchboard_M04_SC_REQ;
  wire [4:4]w_switchboard_M04_SC_SEND;
  wire [5:5]w_switchboard_M05_SC_INFO;
  wire [413:345]w_switchboard_M05_SC_PAYLD;
  wire [0:0]w_switchboard_M05_SC_RECV;
  wire [5:5]w_switchboard_M05_SC_REQ;
  wire [5:5]w_switchboard_M05_SC_SEND;
  wire [6:6]w_switchboard_M06_SC_INFO;
  wire [482:414]w_switchboard_M06_SC_PAYLD;
  wire [0:0]w_switchboard_M06_SC_RECV;
  wire [6:6]w_switchboard_M06_SC_REQ;
  wire [6:6]w_switchboard_M06_SC_SEND;
  wire [7:7]w_switchboard_M07_SC_INFO;
  wire [551:483]w_switchboard_M07_SC_PAYLD;
  wire [0:0]w_switchboard_M07_SC_RECV;
  wire [7:7]w_switchboard_M07_SC_REQ;
  wire [7:7]w_switchboard_M07_SC_SEND;
  wire [8:8]w_switchboard_M08_SC_INFO;
  wire [620:552]w_switchboard_M08_SC_PAYLD;
  wire [0:0]w_switchboard_M08_SC_RECV;
  wire [8:8]w_switchboard_M08_SC_REQ;
  wire [8:8]w_switchboard_M08_SC_SEND;
  wire [9:9]w_switchboard_M09_SC_INFO;
  wire [689:621]w_switchboard_M09_SC_PAYLD;
  wire [0:0]w_switchboard_M09_SC_RECV;
  wire [9:9]w_switchboard_M09_SC_REQ;
  wire [9:9]w_switchboard_M09_SC_SEND;
  wire [10:10]w_switchboard_M10_SC_INFO;
  wire [758:690]w_switchboard_M10_SC_PAYLD;
  wire [0:0]w_switchboard_M10_SC_RECV;
  wire [10:10]w_switchboard_M10_SC_REQ;
  wire [10:10]w_switchboard_M10_SC_SEND;
  wire [11:11]w_switchboard_M11_SC_INFO;
  wire [827:759]w_switchboard_M11_SC_PAYLD;
  wire [0:0]w_switchboard_M11_SC_RECV;
  wire [11:11]w_switchboard_M11_SC_REQ;
  wire [11:11]w_switchboard_M11_SC_SEND;
  wire [12:12]w_switchboard_M12_SC_INFO;
  wire [896:828]w_switchboard_M12_SC_PAYLD;
  wire [0:0]w_switchboard_M12_SC_RECV;
  wire [12:12]w_switchboard_M12_SC_REQ;
  wire [12:12]w_switchboard_M12_SC_SEND;
  wire [13:13]w_switchboard_M13_SC_INFO;
  wire [965:897]w_switchboard_M13_SC_PAYLD;
  wire [0:0]w_switchboard_M13_SC_RECV;
  wire [13:13]w_switchboard_M13_SC_REQ;
  wire [13:13]w_switchboard_M13_SC_SEND;

  assign M00_SC_AR_info[0] = ar_switchboard_M00_SC_INFO;
  assign M00_SC_AR_payld[213:0] = ar_switchboard_M00_SC_PAYLD;
  assign M00_SC_AR_req[0] = ar_switchboard_M00_SC_REQ;
  assign M00_SC_AR_send[0] = ar_switchboard_M00_SC_SEND;
  assign M00_SC_AW_info[0] = aw_switchboard_M00_SC_INFO;
  assign M00_SC_AW_payld[213:0] = aw_switchboard_M00_SC_PAYLD;
  assign M00_SC_AW_req[0] = aw_switchboard_M00_SC_REQ;
  assign M00_SC_AW_send[0] = aw_switchboard_M00_SC_SEND;
  assign M00_SC_B_info[13:0] = b_switchboard_M00_SC_INFO;
  assign M00_SC_B_payld[19:0] = b_switchboard_M00_SC_PAYLD;
  assign M00_SC_B_req[13:0] = b_switchboard_M00_SC_REQ;
  assign M00_SC_B_send[13:0] = b_switchboard_M00_SC_SEND;
  assign M00_SC_R_info[13:0] = r_switchboard_M00_SC_INFO;
  assign M00_SC_R_payld[54:0] = r_switchboard_M00_SC_PAYLD;
  assign M00_SC_R_req[13:0] = r_switchboard_M00_SC_REQ;
  assign M00_SC_R_send[13:0] = r_switchboard_M00_SC_SEND;
  assign M00_SC_W_info[0] = w_switchboard_M00_SC_INFO;
  assign M00_SC_W_payld[68:0] = w_switchboard_M00_SC_PAYLD;
  assign M00_SC_W_req[0] = w_switchboard_M00_SC_REQ;
  assign M00_SC_W_send[0] = w_switchboard_M00_SC_SEND;
  assign M01_SC_AR_info[0] = ar_switchboard_M01_SC_INFO;
  assign M01_SC_AR_payld[213:0] = ar_switchboard_M01_SC_PAYLD;
  assign M01_SC_AR_req[0] = ar_switchboard_M01_SC_REQ;
  assign M01_SC_AR_send[0] = ar_switchboard_M01_SC_SEND;
  assign M01_SC_AW_info[0] = aw_switchboard_M01_SC_INFO;
  assign M01_SC_AW_payld[213:0] = aw_switchboard_M01_SC_PAYLD;
  assign M01_SC_AW_req[0] = aw_switchboard_M01_SC_REQ;
  assign M01_SC_AW_send[0] = aw_switchboard_M01_SC_SEND;
  assign M01_SC_W_info[0] = w_switchboard_M01_SC_INFO;
  assign M01_SC_W_payld[68:0] = w_switchboard_M01_SC_PAYLD;
  assign M01_SC_W_req[0] = w_switchboard_M01_SC_REQ;
  assign M01_SC_W_send[0] = w_switchboard_M01_SC_SEND;
  assign M02_SC_AR_info[0] = ar_switchboard_M02_SC_INFO;
  assign M02_SC_AR_payld[213:0] = ar_switchboard_M02_SC_PAYLD;
  assign M02_SC_AR_req[0] = ar_switchboard_M02_SC_REQ;
  assign M02_SC_AR_send[0] = ar_switchboard_M02_SC_SEND;
  assign M02_SC_AW_info[0] = aw_switchboard_M02_SC_INFO;
  assign M02_SC_AW_payld[213:0] = aw_switchboard_M02_SC_PAYLD;
  assign M02_SC_AW_req[0] = aw_switchboard_M02_SC_REQ;
  assign M02_SC_AW_send[0] = aw_switchboard_M02_SC_SEND;
  assign M02_SC_W_info[0] = w_switchboard_M02_SC_INFO;
  assign M02_SC_W_payld[68:0] = w_switchboard_M02_SC_PAYLD;
  assign M02_SC_W_req[0] = w_switchboard_M02_SC_REQ;
  assign M02_SC_W_send[0] = w_switchboard_M02_SC_SEND;
  assign M03_SC_AR_info[0] = ar_switchboard_M03_SC_INFO;
  assign M03_SC_AR_payld[213:0] = ar_switchboard_M03_SC_PAYLD;
  assign M03_SC_AR_req[0] = ar_switchboard_M03_SC_REQ;
  assign M03_SC_AR_send[0] = ar_switchboard_M03_SC_SEND;
  assign M03_SC_AW_info[0] = aw_switchboard_M03_SC_INFO;
  assign M03_SC_AW_payld[213:0] = aw_switchboard_M03_SC_PAYLD;
  assign M03_SC_AW_req[0] = aw_switchboard_M03_SC_REQ;
  assign M03_SC_AW_send[0] = aw_switchboard_M03_SC_SEND;
  assign M03_SC_W_info[0] = w_switchboard_M03_SC_INFO;
  assign M03_SC_W_payld[68:0] = w_switchboard_M03_SC_PAYLD;
  assign M03_SC_W_req[0] = w_switchboard_M03_SC_REQ;
  assign M03_SC_W_send[0] = w_switchboard_M03_SC_SEND;
  assign M04_SC_AR_info[0] = ar_switchboard_M04_SC_INFO;
  assign M04_SC_AR_payld[213:0] = ar_switchboard_M04_SC_PAYLD;
  assign M04_SC_AR_req[0] = ar_switchboard_M04_SC_REQ;
  assign M04_SC_AR_send[0] = ar_switchboard_M04_SC_SEND;
  assign M04_SC_AW_info[0] = aw_switchboard_M04_SC_INFO;
  assign M04_SC_AW_payld[213:0] = aw_switchboard_M04_SC_PAYLD;
  assign M04_SC_AW_req[0] = aw_switchboard_M04_SC_REQ;
  assign M04_SC_AW_send[0] = aw_switchboard_M04_SC_SEND;
  assign M04_SC_W_info[0] = w_switchboard_M04_SC_INFO;
  assign M04_SC_W_payld[68:0] = w_switchboard_M04_SC_PAYLD;
  assign M04_SC_W_req[0] = w_switchboard_M04_SC_REQ;
  assign M04_SC_W_send[0] = w_switchboard_M04_SC_SEND;
  assign M05_SC_AR_info[0] = ar_switchboard_M05_SC_INFO;
  assign M05_SC_AR_payld[213:0] = ar_switchboard_M05_SC_PAYLD;
  assign M05_SC_AR_req[0] = ar_switchboard_M05_SC_REQ;
  assign M05_SC_AR_send[0] = ar_switchboard_M05_SC_SEND;
  assign M05_SC_AW_info[0] = aw_switchboard_M05_SC_INFO;
  assign M05_SC_AW_payld[213:0] = aw_switchboard_M05_SC_PAYLD;
  assign M05_SC_AW_req[0] = aw_switchboard_M05_SC_REQ;
  assign M05_SC_AW_send[0] = aw_switchboard_M05_SC_SEND;
  assign M05_SC_W_info[0] = w_switchboard_M05_SC_INFO;
  assign M05_SC_W_payld[68:0] = w_switchboard_M05_SC_PAYLD;
  assign M05_SC_W_req[0] = w_switchboard_M05_SC_REQ;
  assign M05_SC_W_send[0] = w_switchboard_M05_SC_SEND;
  assign M06_SC_AR_info[0] = ar_switchboard_M06_SC_INFO;
  assign M06_SC_AR_payld[213:0] = ar_switchboard_M06_SC_PAYLD;
  assign M06_SC_AR_req[0] = ar_switchboard_M06_SC_REQ;
  assign M06_SC_AR_send[0] = ar_switchboard_M06_SC_SEND;
  assign M06_SC_AW_info[0] = aw_switchboard_M06_SC_INFO;
  assign M06_SC_AW_payld[213:0] = aw_switchboard_M06_SC_PAYLD;
  assign M06_SC_AW_req[0] = aw_switchboard_M06_SC_REQ;
  assign M06_SC_AW_send[0] = aw_switchboard_M06_SC_SEND;
  assign M06_SC_W_info[0] = w_switchboard_M06_SC_INFO;
  assign M06_SC_W_payld[68:0] = w_switchboard_M06_SC_PAYLD;
  assign M06_SC_W_req[0] = w_switchboard_M06_SC_REQ;
  assign M06_SC_W_send[0] = w_switchboard_M06_SC_SEND;
  assign M07_SC_AR_info[0] = ar_switchboard_M07_SC_INFO;
  assign M07_SC_AR_payld[213:0] = ar_switchboard_M07_SC_PAYLD;
  assign M07_SC_AR_req[0] = ar_switchboard_M07_SC_REQ;
  assign M07_SC_AR_send[0] = ar_switchboard_M07_SC_SEND;
  assign M07_SC_AW_info[0] = aw_switchboard_M07_SC_INFO;
  assign M07_SC_AW_payld[213:0] = aw_switchboard_M07_SC_PAYLD;
  assign M07_SC_AW_req[0] = aw_switchboard_M07_SC_REQ;
  assign M07_SC_AW_send[0] = aw_switchboard_M07_SC_SEND;
  assign M07_SC_W_info[0] = w_switchboard_M07_SC_INFO;
  assign M07_SC_W_payld[68:0] = w_switchboard_M07_SC_PAYLD;
  assign M07_SC_W_req[0] = w_switchboard_M07_SC_REQ;
  assign M07_SC_W_send[0] = w_switchboard_M07_SC_SEND;
  assign M08_SC_AR_info[0] = ar_switchboard_M08_SC_INFO;
  assign M08_SC_AR_payld[213:0] = ar_switchboard_M08_SC_PAYLD;
  assign M08_SC_AR_req[0] = ar_switchboard_M08_SC_REQ;
  assign M08_SC_AR_send[0] = ar_switchboard_M08_SC_SEND;
  assign M08_SC_AW_info[0] = aw_switchboard_M08_SC_INFO;
  assign M08_SC_AW_payld[213:0] = aw_switchboard_M08_SC_PAYLD;
  assign M08_SC_AW_req[0] = aw_switchboard_M08_SC_REQ;
  assign M08_SC_AW_send[0] = aw_switchboard_M08_SC_SEND;
  assign M08_SC_W_info[0] = w_switchboard_M08_SC_INFO;
  assign M08_SC_W_payld[68:0] = w_switchboard_M08_SC_PAYLD;
  assign M08_SC_W_req[0] = w_switchboard_M08_SC_REQ;
  assign M08_SC_W_send[0] = w_switchboard_M08_SC_SEND;
  assign M09_SC_AR_info[0] = ar_switchboard_M09_SC_INFO;
  assign M09_SC_AR_payld[213:0] = ar_switchboard_M09_SC_PAYLD;
  assign M09_SC_AR_req[0] = ar_switchboard_M09_SC_REQ;
  assign M09_SC_AR_send[0] = ar_switchboard_M09_SC_SEND;
  assign M09_SC_AW_info[0] = aw_switchboard_M09_SC_INFO;
  assign M09_SC_AW_payld[213:0] = aw_switchboard_M09_SC_PAYLD;
  assign M09_SC_AW_req[0] = aw_switchboard_M09_SC_REQ;
  assign M09_SC_AW_send[0] = aw_switchboard_M09_SC_SEND;
  assign M09_SC_W_info[0] = w_switchboard_M09_SC_INFO;
  assign M09_SC_W_payld[68:0] = w_switchboard_M09_SC_PAYLD;
  assign M09_SC_W_req[0] = w_switchboard_M09_SC_REQ;
  assign M09_SC_W_send[0] = w_switchboard_M09_SC_SEND;
  assign M10_SC_AR_info[0] = ar_switchboard_M10_SC_INFO;
  assign M10_SC_AR_payld[213:0] = ar_switchboard_M10_SC_PAYLD;
  assign M10_SC_AR_req[0] = ar_switchboard_M10_SC_REQ;
  assign M10_SC_AR_send[0] = ar_switchboard_M10_SC_SEND;
  assign M10_SC_AW_info[0] = aw_switchboard_M10_SC_INFO;
  assign M10_SC_AW_payld[213:0] = aw_switchboard_M10_SC_PAYLD;
  assign M10_SC_AW_req[0] = aw_switchboard_M10_SC_REQ;
  assign M10_SC_AW_send[0] = aw_switchboard_M10_SC_SEND;
  assign M10_SC_W_info[0] = w_switchboard_M10_SC_INFO;
  assign M10_SC_W_payld[68:0] = w_switchboard_M10_SC_PAYLD;
  assign M10_SC_W_req[0] = w_switchboard_M10_SC_REQ;
  assign M10_SC_W_send[0] = w_switchboard_M10_SC_SEND;
  assign M11_SC_AR_info[0] = ar_switchboard_M11_SC_INFO;
  assign M11_SC_AR_payld[213:0] = ar_switchboard_M11_SC_PAYLD;
  assign M11_SC_AR_req[0] = ar_switchboard_M11_SC_REQ;
  assign M11_SC_AR_send[0] = ar_switchboard_M11_SC_SEND;
  assign M11_SC_AW_info[0] = aw_switchboard_M11_SC_INFO;
  assign M11_SC_AW_payld[213:0] = aw_switchboard_M11_SC_PAYLD;
  assign M11_SC_AW_req[0] = aw_switchboard_M11_SC_REQ;
  assign M11_SC_AW_send[0] = aw_switchboard_M11_SC_SEND;
  assign M11_SC_W_info[0] = w_switchboard_M11_SC_INFO;
  assign M11_SC_W_payld[68:0] = w_switchboard_M11_SC_PAYLD;
  assign M11_SC_W_req[0] = w_switchboard_M11_SC_REQ;
  assign M11_SC_W_send[0] = w_switchboard_M11_SC_SEND;
  assign M12_SC_AR_info[0] = ar_switchboard_M12_SC_INFO;
  assign M12_SC_AR_payld[213:0] = ar_switchboard_M12_SC_PAYLD;
  assign M12_SC_AR_req[0] = ar_switchboard_M12_SC_REQ;
  assign M12_SC_AR_send[0] = ar_switchboard_M12_SC_SEND;
  assign M12_SC_AW_info[0] = aw_switchboard_M12_SC_INFO;
  assign M12_SC_AW_payld[213:0] = aw_switchboard_M12_SC_PAYLD;
  assign M12_SC_AW_req[0] = aw_switchboard_M12_SC_REQ;
  assign M12_SC_AW_send[0] = aw_switchboard_M12_SC_SEND;
  assign M12_SC_W_info[0] = w_switchboard_M12_SC_INFO;
  assign M12_SC_W_payld[68:0] = w_switchboard_M12_SC_PAYLD;
  assign M12_SC_W_req[0] = w_switchboard_M12_SC_REQ;
  assign M12_SC_W_send[0] = w_switchboard_M12_SC_SEND;
  assign M13_SC_AR_info[0] = ar_switchboard_M13_SC_INFO;
  assign M13_SC_AR_payld[213:0] = ar_switchboard_M13_SC_PAYLD;
  assign M13_SC_AR_req[0] = ar_switchboard_M13_SC_REQ;
  assign M13_SC_AR_send[0] = ar_switchboard_M13_SC_SEND;
  assign M13_SC_AW_info[0] = aw_switchboard_M13_SC_INFO;
  assign M13_SC_AW_payld[213:0] = aw_switchboard_M13_SC_PAYLD;
  assign M13_SC_AW_req[0] = aw_switchboard_M13_SC_REQ;
  assign M13_SC_AW_send[0] = aw_switchboard_M13_SC_SEND;
  assign M13_SC_W_info[0] = w_switchboard_M13_SC_INFO;
  assign M13_SC_W_payld[68:0] = w_switchboard_M13_SC_PAYLD;
  assign M13_SC_W_req[0] = w_switchboard_M13_SC_REQ;
  assign M13_SC_W_send[0] = w_switchboard_M13_SC_SEND;
  assign S00_SC_AR_1_INFO = S00_SC_AR_info[13:0];
  assign S00_SC_AR_1_PAYLD = S00_SC_AR_payld[213:0];
  assign S00_SC_AR_1_REQ = S00_SC_AR_req[13:0];
  assign S00_SC_AR_1_SEND = S00_SC_AR_send[13:0];
  assign S00_SC_AR_recv[13:0] = S00_SC_AR_1_RECV;
  assign S00_SC_AW_1_INFO = S00_SC_AW_info[13:0];
  assign S00_SC_AW_1_PAYLD = S00_SC_AW_payld[213:0];
  assign S00_SC_AW_1_REQ = S00_SC_AW_req[13:0];
  assign S00_SC_AW_1_SEND = S00_SC_AW_send[13:0];
  assign S00_SC_AW_recv[13:0] = S00_SC_AW_1_RECV;
  assign S00_SC_B_1_INFO = S00_SC_B_info[0];
  assign S00_SC_B_1_PAYLD = S00_SC_B_payld[19:0];
  assign S00_SC_B_1_REQ = S00_SC_B_req[0];
  assign S00_SC_B_1_SEND = S00_SC_B_send[0];
  assign S00_SC_B_recv[0] = S00_SC_B_1_RECV;
  assign S00_SC_R_1_INFO = S00_SC_R_info[0];
  assign S00_SC_R_1_PAYLD = S00_SC_R_payld[54:0];
  assign S00_SC_R_1_REQ = S00_SC_R_req[0];
  assign S00_SC_R_1_SEND = S00_SC_R_send[0];
  assign S00_SC_R_recv[0] = S00_SC_R_1_RECV;
  assign S00_SC_W_1_INFO = S00_SC_W_info[13:0];
  assign S00_SC_W_1_PAYLD = S00_SC_W_payld[68:0];
  assign S00_SC_W_1_REQ = S00_SC_W_req[13:0];
  assign S00_SC_W_1_SEND = S00_SC_W_send[13:0];
  assign S00_SC_W_recv[13:0] = S00_SC_W_1_RECV;
  assign S01_SC_B_1_INFO = S01_SC_B_info[0];
  assign S01_SC_B_1_PAYLD = S01_SC_B_payld[19:0];
  assign S01_SC_B_1_REQ = S01_SC_B_req[0];
  assign S01_SC_B_1_SEND = S01_SC_B_send[0];
  assign S01_SC_B_recv[0] = S01_SC_B_1_RECV;
  assign S01_SC_R_1_INFO = S01_SC_R_info[0];
  assign S01_SC_R_1_PAYLD = S01_SC_R_payld[54:0];
  assign S01_SC_R_1_REQ = S01_SC_R_req[0];
  assign S01_SC_R_1_SEND = S01_SC_R_send[0];
  assign S01_SC_R_recv[0] = S01_SC_R_1_RECV;
  assign S02_SC_B_1_INFO = S02_SC_B_info[0];
  assign S02_SC_B_1_PAYLD = S02_SC_B_payld[19:0];
  assign S02_SC_B_1_REQ = S02_SC_B_req[0];
  assign S02_SC_B_1_SEND = S02_SC_B_send[0];
  assign S02_SC_B_recv[0] = S02_SC_B_1_RECV;
  assign S02_SC_R_1_INFO = S02_SC_R_info[0];
  assign S02_SC_R_1_PAYLD = S02_SC_R_payld[54:0];
  assign S02_SC_R_1_REQ = S02_SC_R_req[0];
  assign S02_SC_R_1_SEND = S02_SC_R_send[0];
  assign S02_SC_R_recv[0] = S02_SC_R_1_RECV;
  assign S03_SC_B_1_INFO = S03_SC_B_info[0];
  assign S03_SC_B_1_PAYLD = S03_SC_B_payld[19:0];
  assign S03_SC_B_1_REQ = S03_SC_B_req[0];
  assign S03_SC_B_1_SEND = S03_SC_B_send[0];
  assign S03_SC_B_recv[0] = S03_SC_B_1_RECV;
  assign S03_SC_R_1_INFO = S03_SC_R_info[0];
  assign S03_SC_R_1_PAYLD = S03_SC_R_payld[54:0];
  assign S03_SC_R_1_REQ = S03_SC_R_req[0];
  assign S03_SC_R_1_SEND = S03_SC_R_send[0];
  assign S03_SC_R_recv[0] = S03_SC_R_1_RECV;
  assign S04_SC_B_1_INFO = S04_SC_B_info[0];
  assign S04_SC_B_1_PAYLD = S04_SC_B_payld[19:0];
  assign S04_SC_B_1_REQ = S04_SC_B_req[0];
  assign S04_SC_B_1_SEND = S04_SC_B_send[0];
  assign S04_SC_B_recv[0] = S04_SC_B_1_RECV;
  assign S04_SC_R_1_INFO = S04_SC_R_info[0];
  assign S04_SC_R_1_PAYLD = S04_SC_R_payld[54:0];
  assign S04_SC_R_1_REQ = S04_SC_R_req[0];
  assign S04_SC_R_1_SEND = S04_SC_R_send[0];
  assign S04_SC_R_recv[0] = S04_SC_R_1_RECV;
  assign S05_SC_B_1_INFO = S05_SC_B_info[0];
  assign S05_SC_B_1_PAYLD = S05_SC_B_payld[19:0];
  assign S05_SC_B_1_REQ = S05_SC_B_req[0];
  assign S05_SC_B_1_SEND = S05_SC_B_send[0];
  assign S05_SC_B_recv[0] = S05_SC_B_1_RECV;
  assign S05_SC_R_1_INFO = S05_SC_R_info[0];
  assign S05_SC_R_1_PAYLD = S05_SC_R_payld[54:0];
  assign S05_SC_R_1_REQ = S05_SC_R_req[0];
  assign S05_SC_R_1_SEND = S05_SC_R_send[0];
  assign S05_SC_R_recv[0] = S05_SC_R_1_RECV;
  assign S06_SC_B_1_INFO = S06_SC_B_info[0];
  assign S06_SC_B_1_PAYLD = S06_SC_B_payld[19:0];
  assign S06_SC_B_1_REQ = S06_SC_B_req[0];
  assign S06_SC_B_1_SEND = S06_SC_B_send[0];
  assign S06_SC_B_recv[0] = S06_SC_B_1_RECV;
  assign S06_SC_R_1_INFO = S06_SC_R_info[0];
  assign S06_SC_R_1_PAYLD = S06_SC_R_payld[54:0];
  assign S06_SC_R_1_REQ = S06_SC_R_req[0];
  assign S06_SC_R_1_SEND = S06_SC_R_send[0];
  assign S06_SC_R_recv[0] = S06_SC_R_1_RECV;
  assign S07_SC_B_1_INFO = S07_SC_B_info[0];
  assign S07_SC_B_1_PAYLD = S07_SC_B_payld[19:0];
  assign S07_SC_B_1_REQ = S07_SC_B_req[0];
  assign S07_SC_B_1_SEND = S07_SC_B_send[0];
  assign S07_SC_B_recv[0] = S07_SC_B_1_RECV;
  assign S07_SC_R_1_INFO = S07_SC_R_info[0];
  assign S07_SC_R_1_PAYLD = S07_SC_R_payld[54:0];
  assign S07_SC_R_1_REQ = S07_SC_R_req[0];
  assign S07_SC_R_1_SEND = S07_SC_R_send[0];
  assign S07_SC_R_recv[0] = S07_SC_R_1_RECV;
  assign S08_SC_B_1_INFO = S08_SC_B_info[0];
  assign S08_SC_B_1_PAYLD = S08_SC_B_payld[19:0];
  assign S08_SC_B_1_REQ = S08_SC_B_req[0];
  assign S08_SC_B_1_SEND = S08_SC_B_send[0];
  assign S08_SC_B_recv[0] = S08_SC_B_1_RECV;
  assign S08_SC_R_1_INFO = S08_SC_R_info[0];
  assign S08_SC_R_1_PAYLD = S08_SC_R_payld[54:0];
  assign S08_SC_R_1_REQ = S08_SC_R_req[0];
  assign S08_SC_R_1_SEND = S08_SC_R_send[0];
  assign S08_SC_R_recv[0] = S08_SC_R_1_RECV;
  assign S09_SC_B_1_INFO = S09_SC_B_info[0];
  assign S09_SC_B_1_PAYLD = S09_SC_B_payld[19:0];
  assign S09_SC_B_1_REQ = S09_SC_B_req[0];
  assign S09_SC_B_1_SEND = S09_SC_B_send[0];
  assign S09_SC_B_recv[0] = S09_SC_B_1_RECV;
  assign S09_SC_R_1_INFO = S09_SC_R_info[0];
  assign S09_SC_R_1_PAYLD = S09_SC_R_payld[54:0];
  assign S09_SC_R_1_REQ = S09_SC_R_req[0];
  assign S09_SC_R_1_SEND = S09_SC_R_send[0];
  assign S09_SC_R_recv[0] = S09_SC_R_1_RECV;
  assign S10_SC_B_1_INFO = S10_SC_B_info[0];
  assign S10_SC_B_1_PAYLD = S10_SC_B_payld[19:0];
  assign S10_SC_B_1_REQ = S10_SC_B_req[0];
  assign S10_SC_B_1_SEND = S10_SC_B_send[0];
  assign S10_SC_B_recv[0] = S10_SC_B_1_RECV;
  assign S10_SC_R_1_INFO = S10_SC_R_info[0];
  assign S10_SC_R_1_PAYLD = S10_SC_R_payld[54:0];
  assign S10_SC_R_1_REQ = S10_SC_R_req[0];
  assign S10_SC_R_1_SEND = S10_SC_R_send[0];
  assign S10_SC_R_recv[0] = S10_SC_R_1_RECV;
  assign S11_SC_B_1_INFO = S11_SC_B_info[0];
  assign S11_SC_B_1_PAYLD = S11_SC_B_payld[19:0];
  assign S11_SC_B_1_REQ = S11_SC_B_req[0];
  assign S11_SC_B_1_SEND = S11_SC_B_send[0];
  assign S11_SC_B_recv[0] = S11_SC_B_1_RECV;
  assign S11_SC_R_1_INFO = S11_SC_R_info[0];
  assign S11_SC_R_1_PAYLD = S11_SC_R_payld[54:0];
  assign S11_SC_R_1_REQ = S11_SC_R_req[0];
  assign S11_SC_R_1_SEND = S11_SC_R_send[0];
  assign S11_SC_R_recv[0] = S11_SC_R_1_RECV;
  assign S12_SC_B_1_INFO = S12_SC_B_info[0];
  assign S12_SC_B_1_PAYLD = S12_SC_B_payld[19:0];
  assign S12_SC_B_1_REQ = S12_SC_B_req[0];
  assign S12_SC_B_1_SEND = S12_SC_B_send[0];
  assign S12_SC_B_recv[0] = S12_SC_B_1_RECV;
  assign S12_SC_R_1_INFO = S12_SC_R_info[0];
  assign S12_SC_R_1_PAYLD = S12_SC_R_payld[54:0];
  assign S12_SC_R_1_REQ = S12_SC_R_req[0];
  assign S12_SC_R_1_SEND = S12_SC_R_send[0];
  assign S12_SC_R_recv[0] = S12_SC_R_1_RECV;
  assign S13_SC_B_1_INFO = S13_SC_B_info[0];
  assign S13_SC_B_1_PAYLD = S13_SC_B_payld[19:0];
  assign S13_SC_B_1_REQ = S13_SC_B_req[0];
  assign S13_SC_B_1_SEND = S13_SC_B_send[0];
  assign S13_SC_B_recv[0] = S13_SC_B_1_RECV;
  assign S13_SC_R_1_INFO = S13_SC_R_info[0];
  assign S13_SC_R_1_PAYLD = S13_SC_R_payld[54:0];
  assign S13_SC_R_1_REQ = S13_SC_R_req[0];
  assign S13_SC_R_1_SEND = S13_SC_R_send[0];
  assign S13_SC_R_recv[0] = S13_SC_R_1_RECV;
  assign aclk_1 = aclk;
  assign ar_switchboard_M00_SC_RECV = M00_SC_AR_recv[0];
  assign ar_switchboard_M01_SC_RECV = M01_SC_AR_recv[0];
  assign ar_switchboard_M02_SC_RECV = M02_SC_AR_recv[0];
  assign ar_switchboard_M03_SC_RECV = M03_SC_AR_recv[0];
  assign ar_switchboard_M04_SC_RECV = M04_SC_AR_recv[0];
  assign ar_switchboard_M05_SC_RECV = M05_SC_AR_recv[0];
  assign ar_switchboard_M06_SC_RECV = M06_SC_AR_recv[0];
  assign ar_switchboard_M07_SC_RECV = M07_SC_AR_recv[0];
  assign ar_switchboard_M08_SC_RECV = M08_SC_AR_recv[0];
  assign ar_switchboard_M09_SC_RECV = M09_SC_AR_recv[0];
  assign ar_switchboard_M10_SC_RECV = M10_SC_AR_recv[0];
  assign ar_switchboard_M11_SC_RECV = M11_SC_AR_recv[0];
  assign ar_switchboard_M12_SC_RECV = M12_SC_AR_recv[0];
  assign ar_switchboard_M13_SC_RECV = M13_SC_AR_recv[0];
  assign aw_switchboard_M00_SC_RECV = M00_SC_AW_recv[0];
  assign aw_switchboard_M01_SC_RECV = M01_SC_AW_recv[0];
  assign aw_switchboard_M02_SC_RECV = M02_SC_AW_recv[0];
  assign aw_switchboard_M03_SC_RECV = M03_SC_AW_recv[0];
  assign aw_switchboard_M04_SC_RECV = M04_SC_AW_recv[0];
  assign aw_switchboard_M05_SC_RECV = M05_SC_AW_recv[0];
  assign aw_switchboard_M06_SC_RECV = M06_SC_AW_recv[0];
  assign aw_switchboard_M07_SC_RECV = M07_SC_AW_recv[0];
  assign aw_switchboard_M08_SC_RECV = M08_SC_AW_recv[0];
  assign aw_switchboard_M09_SC_RECV = M09_SC_AW_recv[0];
  assign aw_switchboard_M10_SC_RECV = M10_SC_AW_recv[0];
  assign aw_switchboard_M11_SC_RECV = M11_SC_AW_recv[0];
  assign aw_switchboard_M12_SC_RECV = M12_SC_AW_recv[0];
  assign aw_switchboard_M13_SC_RECV = M13_SC_AW_recv[0];
  assign b_switchboard_M00_SC_RECV = M00_SC_B_recv[13:0];
  assign r_switchboard_M00_SC_RECV = M00_SC_R_recv[13:0];
  assign w_switchboard_M00_SC_RECV = M00_SC_W_recv[0];
  assign w_switchboard_M01_SC_RECV = M01_SC_W_recv[0];
  assign w_switchboard_M02_SC_RECV = M02_SC_W_recv[0];
  assign w_switchboard_M03_SC_RECV = M03_SC_W_recv[0];
  assign w_switchboard_M04_SC_RECV = M04_SC_W_recv[0];
  assign w_switchboard_M05_SC_RECV = M05_SC_W_recv[0];
  assign w_switchboard_M06_SC_RECV = M06_SC_W_recv[0];
  assign w_switchboard_M07_SC_RECV = M07_SC_W_recv[0];
  assign w_switchboard_M08_SC_RECV = M08_SC_W_recv[0];
  assign w_switchboard_M09_SC_RECV = M09_SC_W_recv[0];
  assign w_switchboard_M10_SC_RECV = M10_SC_W_recv[0];
  assign w_switchboard_M11_SC_RECV = M11_SC_W_recv[0];
  assign w_switchboard_M12_SC_RECV = M12_SC_W_recv[0];
  assign w_switchboard_M13_SC_RECV = M13_SC_W_recv[0];
  versal_cips_ps_vip_v1_0_11_bd_83cd_arsw_0 ar_switchboard
       (.aclk(aclk_1),
        .aclken(1'b1),
        .m_sc_info({ar_switchboard_M13_SC_INFO,ar_switchboard_M12_SC_INFO,ar_switchboard_M11_SC_INFO,ar_switchboard_M10_SC_INFO,ar_switchboard_M09_SC_INFO,ar_switchboard_M08_SC_INFO,ar_switchboard_M07_SC_INFO,ar_switchboard_M06_SC_INFO,ar_switchboard_M05_SC_INFO,ar_switchboard_M04_SC_INFO,ar_switchboard_M03_SC_INFO,ar_switchboard_M02_SC_INFO,ar_switchboard_M01_SC_INFO,ar_switchboard_M00_SC_INFO}),
        .m_sc_payld({ar_switchboard_M13_SC_PAYLD,ar_switchboard_M12_SC_PAYLD,ar_switchboard_M11_SC_PAYLD,ar_switchboard_M10_SC_PAYLD,ar_switchboard_M09_SC_PAYLD,ar_switchboard_M08_SC_PAYLD,ar_switchboard_M07_SC_PAYLD,ar_switchboard_M06_SC_PAYLD,ar_switchboard_M05_SC_PAYLD,ar_switchboard_M04_SC_PAYLD,ar_switchboard_M03_SC_PAYLD,ar_switchboard_M02_SC_PAYLD,ar_switchboard_M01_SC_PAYLD,ar_switchboard_M00_SC_PAYLD}),
        .m_sc_recv({ar_switchboard_M13_SC_RECV,ar_switchboard_M12_SC_RECV,ar_switchboard_M11_SC_RECV,ar_switchboard_M10_SC_RECV,ar_switchboard_M09_SC_RECV,ar_switchboard_M08_SC_RECV,ar_switchboard_M07_SC_RECV,ar_switchboard_M06_SC_RECV,ar_switchboard_M05_SC_RECV,ar_switchboard_M04_SC_RECV,ar_switchboard_M03_SC_RECV,ar_switchboard_M02_SC_RECV,ar_switchboard_M01_SC_RECV,ar_switchboard_M00_SC_RECV}),
        .m_sc_req({ar_switchboard_M13_SC_REQ,ar_switchboard_M12_SC_REQ,ar_switchboard_M11_SC_REQ,ar_switchboard_M10_SC_REQ,ar_switchboard_M09_SC_REQ,ar_switchboard_M08_SC_REQ,ar_switchboard_M07_SC_REQ,ar_switchboard_M06_SC_REQ,ar_switchboard_M05_SC_REQ,ar_switchboard_M04_SC_REQ,ar_switchboard_M03_SC_REQ,ar_switchboard_M02_SC_REQ,ar_switchboard_M01_SC_REQ,ar_switchboard_M00_SC_REQ}),
        .m_sc_send({ar_switchboard_M13_SC_SEND,ar_switchboard_M12_SC_SEND,ar_switchboard_M11_SC_SEND,ar_switchboard_M10_SC_SEND,ar_switchboard_M09_SC_SEND,ar_switchboard_M08_SC_SEND,ar_switchboard_M07_SC_SEND,ar_switchboard_M06_SC_SEND,ar_switchboard_M05_SC_SEND,ar_switchboard_M04_SC_SEND,ar_switchboard_M03_SC_SEND,ar_switchboard_M02_SC_SEND,ar_switchboard_M01_SC_SEND,ar_switchboard_M00_SC_SEND}),
        .s_sc_info(S00_SC_AR_1_INFO),
        .s_sc_payld(S00_SC_AR_1_PAYLD),
        .s_sc_recv(S00_SC_AR_1_RECV),
        .s_sc_req(S00_SC_AR_1_REQ),
        .s_sc_send(S00_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_awsw_0 aw_switchboard
       (.aclk(aclk_1),
        .aclken(1'b1),
        .m_sc_info({aw_switchboard_M13_SC_INFO,aw_switchboard_M12_SC_INFO,aw_switchboard_M11_SC_INFO,aw_switchboard_M10_SC_INFO,aw_switchboard_M09_SC_INFO,aw_switchboard_M08_SC_INFO,aw_switchboard_M07_SC_INFO,aw_switchboard_M06_SC_INFO,aw_switchboard_M05_SC_INFO,aw_switchboard_M04_SC_INFO,aw_switchboard_M03_SC_INFO,aw_switchboard_M02_SC_INFO,aw_switchboard_M01_SC_INFO,aw_switchboard_M00_SC_INFO}),
        .m_sc_payld({aw_switchboard_M13_SC_PAYLD,aw_switchboard_M12_SC_PAYLD,aw_switchboard_M11_SC_PAYLD,aw_switchboard_M10_SC_PAYLD,aw_switchboard_M09_SC_PAYLD,aw_switchboard_M08_SC_PAYLD,aw_switchboard_M07_SC_PAYLD,aw_switchboard_M06_SC_PAYLD,aw_switchboard_M05_SC_PAYLD,aw_switchboard_M04_SC_PAYLD,aw_switchboard_M03_SC_PAYLD,aw_switchboard_M02_SC_PAYLD,aw_switchboard_M01_SC_PAYLD,aw_switchboard_M00_SC_PAYLD}),
        .m_sc_recv({aw_switchboard_M13_SC_RECV,aw_switchboard_M12_SC_RECV,aw_switchboard_M11_SC_RECV,aw_switchboard_M10_SC_RECV,aw_switchboard_M09_SC_RECV,aw_switchboard_M08_SC_RECV,aw_switchboard_M07_SC_RECV,aw_switchboard_M06_SC_RECV,aw_switchboard_M05_SC_RECV,aw_switchboard_M04_SC_RECV,aw_switchboard_M03_SC_RECV,aw_switchboard_M02_SC_RECV,aw_switchboard_M01_SC_RECV,aw_switchboard_M00_SC_RECV}),
        .m_sc_req({aw_switchboard_M13_SC_REQ,aw_switchboard_M12_SC_REQ,aw_switchboard_M11_SC_REQ,aw_switchboard_M10_SC_REQ,aw_switchboard_M09_SC_REQ,aw_switchboard_M08_SC_REQ,aw_switchboard_M07_SC_REQ,aw_switchboard_M06_SC_REQ,aw_switchboard_M05_SC_REQ,aw_switchboard_M04_SC_REQ,aw_switchboard_M03_SC_REQ,aw_switchboard_M02_SC_REQ,aw_switchboard_M01_SC_REQ,aw_switchboard_M00_SC_REQ}),
        .m_sc_send({aw_switchboard_M13_SC_SEND,aw_switchboard_M12_SC_SEND,aw_switchboard_M11_SC_SEND,aw_switchboard_M10_SC_SEND,aw_switchboard_M09_SC_SEND,aw_switchboard_M08_SC_SEND,aw_switchboard_M07_SC_SEND,aw_switchboard_M06_SC_SEND,aw_switchboard_M05_SC_SEND,aw_switchboard_M04_SC_SEND,aw_switchboard_M03_SC_SEND,aw_switchboard_M02_SC_SEND,aw_switchboard_M01_SC_SEND,aw_switchboard_M00_SC_SEND}),
        .s_sc_info(S00_SC_AW_1_INFO),
        .s_sc_payld(S00_SC_AW_1_PAYLD),
        .s_sc_recv(S00_SC_AW_1_RECV),
        .s_sc_req(S00_SC_AW_1_REQ),
        .s_sc_send(S00_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_83cd_bsw_0 b_switchboard
       (.aclk(aclk_1),
        .aclken(1'b1),
        .m_sc_info(b_switchboard_M00_SC_INFO),
        .m_sc_payld(b_switchboard_M00_SC_PAYLD),
        .m_sc_recv(b_switchboard_M00_SC_RECV),
        .m_sc_req(b_switchboard_M00_SC_REQ),
        .m_sc_send(b_switchboard_M00_SC_SEND),
        .s_sc_info({S13_SC_B_1_INFO,S12_SC_B_1_INFO,S11_SC_B_1_INFO,S10_SC_B_1_INFO,S09_SC_B_1_INFO,S08_SC_B_1_INFO,S07_SC_B_1_INFO,S06_SC_B_1_INFO,S05_SC_B_1_INFO,S04_SC_B_1_INFO,S03_SC_B_1_INFO,S02_SC_B_1_INFO,S01_SC_B_1_INFO,S00_SC_B_1_INFO}),
        .s_sc_payld({S13_SC_B_1_PAYLD,S12_SC_B_1_PAYLD,S11_SC_B_1_PAYLD,S10_SC_B_1_PAYLD,S09_SC_B_1_PAYLD,S08_SC_B_1_PAYLD,S07_SC_B_1_PAYLD,S06_SC_B_1_PAYLD,S05_SC_B_1_PAYLD,S04_SC_B_1_PAYLD,S03_SC_B_1_PAYLD,S02_SC_B_1_PAYLD,S01_SC_B_1_PAYLD,S00_SC_B_1_PAYLD}),
        .s_sc_recv({S13_SC_B_1_RECV,S12_SC_B_1_RECV,S11_SC_B_1_RECV,S10_SC_B_1_RECV,S09_SC_B_1_RECV,S08_SC_B_1_RECV,S07_SC_B_1_RECV,S06_SC_B_1_RECV,S05_SC_B_1_RECV,S04_SC_B_1_RECV,S03_SC_B_1_RECV,S02_SC_B_1_RECV,S01_SC_B_1_RECV,S00_SC_B_1_RECV}),
        .s_sc_req({S13_SC_B_1_REQ,S12_SC_B_1_REQ,S11_SC_B_1_REQ,S10_SC_B_1_REQ,S09_SC_B_1_REQ,S08_SC_B_1_REQ,S07_SC_B_1_REQ,S06_SC_B_1_REQ,S05_SC_B_1_REQ,S04_SC_B_1_REQ,S03_SC_B_1_REQ,S02_SC_B_1_REQ,S01_SC_B_1_REQ,S00_SC_B_1_REQ}),
        .s_sc_send({S13_SC_B_1_SEND,S12_SC_B_1_SEND,S11_SC_B_1_SEND,S10_SC_B_1_SEND,S09_SC_B_1_SEND,S08_SC_B_1_SEND,S07_SC_B_1_SEND,S06_SC_B_1_SEND,S05_SC_B_1_SEND,S04_SC_B_1_SEND,S03_SC_B_1_SEND,S02_SC_B_1_SEND,S01_SC_B_1_SEND,S00_SC_B_1_SEND}));
  versal_cips_ps_vip_v1_0_11_bd_83cd_rsw_0 r_switchboard
       (.aclk(aclk_1),
        .aclken(1'b1),
        .m_sc_info(r_switchboard_M00_SC_INFO),
        .m_sc_payld(r_switchboard_M00_SC_PAYLD),
        .m_sc_recv(r_switchboard_M00_SC_RECV),
        .m_sc_req(r_switchboard_M00_SC_REQ),
        .m_sc_send(r_switchboard_M00_SC_SEND),
        .s_sc_info({S13_SC_R_1_INFO,S12_SC_R_1_INFO,S11_SC_R_1_INFO,S10_SC_R_1_INFO,S09_SC_R_1_INFO,S08_SC_R_1_INFO,S07_SC_R_1_INFO,S06_SC_R_1_INFO,S05_SC_R_1_INFO,S04_SC_R_1_INFO,S03_SC_R_1_INFO,S02_SC_R_1_INFO,S01_SC_R_1_INFO,S00_SC_R_1_INFO}),
        .s_sc_payld({S13_SC_R_1_PAYLD,S12_SC_R_1_PAYLD,S11_SC_R_1_PAYLD,S10_SC_R_1_PAYLD,S09_SC_R_1_PAYLD,S08_SC_R_1_PAYLD,S07_SC_R_1_PAYLD,S06_SC_R_1_PAYLD,S05_SC_R_1_PAYLD,S04_SC_R_1_PAYLD,S03_SC_R_1_PAYLD,S02_SC_R_1_PAYLD,S01_SC_R_1_PAYLD,S00_SC_R_1_PAYLD}),
        .s_sc_recv({S13_SC_R_1_RECV,S12_SC_R_1_RECV,S11_SC_R_1_RECV,S10_SC_R_1_RECV,S09_SC_R_1_RECV,S08_SC_R_1_RECV,S07_SC_R_1_RECV,S06_SC_R_1_RECV,S05_SC_R_1_RECV,S04_SC_R_1_RECV,S03_SC_R_1_RECV,S02_SC_R_1_RECV,S01_SC_R_1_RECV,S00_SC_R_1_RECV}),
        .s_sc_req({S13_SC_R_1_REQ,S12_SC_R_1_REQ,S11_SC_R_1_REQ,S10_SC_R_1_REQ,S09_SC_R_1_REQ,S08_SC_R_1_REQ,S07_SC_R_1_REQ,S06_SC_R_1_REQ,S05_SC_R_1_REQ,S04_SC_R_1_REQ,S03_SC_R_1_REQ,S02_SC_R_1_REQ,S01_SC_R_1_REQ,S00_SC_R_1_REQ}),
        .s_sc_send({S13_SC_R_1_SEND,S12_SC_R_1_SEND,S11_SC_R_1_SEND,S10_SC_R_1_SEND,S09_SC_R_1_SEND,S08_SC_R_1_SEND,S07_SC_R_1_SEND,S06_SC_R_1_SEND,S05_SC_R_1_SEND,S04_SC_R_1_SEND,S03_SC_R_1_SEND,S02_SC_R_1_SEND,S01_SC_R_1_SEND,S00_SC_R_1_SEND}));
  versal_cips_ps_vip_v1_0_11_bd_83cd_wsw_0 w_switchboard
       (.aclk(aclk_1),
        .aclken(1'b1),
        .m_sc_info({w_switchboard_M13_SC_INFO,w_switchboard_M12_SC_INFO,w_switchboard_M11_SC_INFO,w_switchboard_M10_SC_INFO,w_switchboard_M09_SC_INFO,w_switchboard_M08_SC_INFO,w_switchboard_M07_SC_INFO,w_switchboard_M06_SC_INFO,w_switchboard_M05_SC_INFO,w_switchboard_M04_SC_INFO,w_switchboard_M03_SC_INFO,w_switchboard_M02_SC_INFO,w_switchboard_M01_SC_INFO,w_switchboard_M00_SC_INFO}),
        .m_sc_payld({w_switchboard_M13_SC_PAYLD,w_switchboard_M12_SC_PAYLD,w_switchboard_M11_SC_PAYLD,w_switchboard_M10_SC_PAYLD,w_switchboard_M09_SC_PAYLD,w_switchboard_M08_SC_PAYLD,w_switchboard_M07_SC_PAYLD,w_switchboard_M06_SC_PAYLD,w_switchboard_M05_SC_PAYLD,w_switchboard_M04_SC_PAYLD,w_switchboard_M03_SC_PAYLD,w_switchboard_M02_SC_PAYLD,w_switchboard_M01_SC_PAYLD,w_switchboard_M00_SC_PAYLD}),
        .m_sc_recv({w_switchboard_M13_SC_RECV,w_switchboard_M12_SC_RECV,w_switchboard_M11_SC_RECV,w_switchboard_M10_SC_RECV,w_switchboard_M09_SC_RECV,w_switchboard_M08_SC_RECV,w_switchboard_M07_SC_RECV,w_switchboard_M06_SC_RECV,w_switchboard_M05_SC_RECV,w_switchboard_M04_SC_RECV,w_switchboard_M03_SC_RECV,w_switchboard_M02_SC_RECV,w_switchboard_M01_SC_RECV,w_switchboard_M00_SC_RECV}),
        .m_sc_req({w_switchboard_M13_SC_REQ,w_switchboard_M12_SC_REQ,w_switchboard_M11_SC_REQ,w_switchboard_M10_SC_REQ,w_switchboard_M09_SC_REQ,w_switchboard_M08_SC_REQ,w_switchboard_M07_SC_REQ,w_switchboard_M06_SC_REQ,w_switchboard_M05_SC_REQ,w_switchboard_M04_SC_REQ,w_switchboard_M03_SC_REQ,w_switchboard_M02_SC_REQ,w_switchboard_M01_SC_REQ,w_switchboard_M00_SC_REQ}),
        .m_sc_send({w_switchboard_M13_SC_SEND,w_switchboard_M12_SC_SEND,w_switchboard_M11_SC_SEND,w_switchboard_M10_SC_SEND,w_switchboard_M09_SC_SEND,w_switchboard_M08_SC_SEND,w_switchboard_M07_SC_SEND,w_switchboard_M06_SC_SEND,w_switchboard_M05_SC_SEND,w_switchboard_M04_SC_SEND,w_switchboard_M03_SC_SEND,w_switchboard_M02_SC_SEND,w_switchboard_M01_SC_SEND,w_switchboard_M00_SC_SEND}),
        .s_sc_info(S00_SC_W_1_INFO),
        .s_sc_payld(S00_SC_W_1_PAYLD),
        .s_sc_recv(S00_SC_W_1_RECV),
        .s_sc_req(S00_SC_W_1_REQ),
        .s_sc_send(S00_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_a2bb.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_a2bb
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_a2bb,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_a2bb,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x64_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_a2bb
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 64, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 8, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 8" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [63:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [7:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [63:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [7:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [7:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [15:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [15:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [15:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [15:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [63:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [7:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [63:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [7:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [7:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [63:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [63:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [7:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[63:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[7:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[7:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[15:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[15:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[63:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[7:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_YBJQ2B clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_10DPRVS m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_25WMJ s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_5ZB9F5 s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_YBJQ2B
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_a2bb_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_10DPRVS
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [63:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [7:0]m_axi_ruser;
  input m_axi_rvalid;
  output [63:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [7:0]m_axi_wstrb;
  output [7:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [63:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [63:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [7:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [63:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [7:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [63:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [7:0]m00_exit_M_AXI_WSTRB;
  wire [7:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [63:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [63:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [7:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[63:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[7:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[63:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[7:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[7:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[63:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[7:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[63:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_a2bb_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_25WMJ
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [15:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [15:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [15:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [15:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[15:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[15:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_a2bb_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_5ZB9F5
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_a2bb_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_a2bb_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Command: generate_target versal_cips_ps_vip_v1_0_11_bd_b77a.bd
//Design : versal_cips_ps_vip_v1_0_11_bd_b77a
//Purpose: IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_bd_b77a,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=bd_b77a,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=17,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=4,maxHierDepth=1,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=SBD,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x32_0.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_bd_b77a
   (M00_AXI_araddr,
    M00_AXI_arburst,
    M00_AXI_arcache,
    M00_AXI_arlen,
    M00_AXI_arlock,
    M00_AXI_arprot,
    M00_AXI_arqos,
    M00_AXI_arready,
    M00_AXI_arsize,
    M00_AXI_aruser,
    M00_AXI_arvalid,
    M00_AXI_awaddr,
    M00_AXI_awburst,
    M00_AXI_awcache,
    M00_AXI_awlen,
    M00_AXI_awlock,
    M00_AXI_awprot,
    M00_AXI_awqos,
    M00_AXI_awready,
    M00_AXI_awsize,
    M00_AXI_awuser,
    M00_AXI_awvalid,
    M00_AXI_bready,
    M00_AXI_bresp,
    M00_AXI_buser,
    M00_AXI_bvalid,
    M00_AXI_rdata,
    M00_AXI_rlast,
    M00_AXI_rready,
    M00_AXI_rresp,
    M00_AXI_ruser,
    M00_AXI_rvalid,
    M00_AXI_wdata,
    M00_AXI_wlast,
    M00_AXI_wready,
    M00_AXI_wstrb,
    M00_AXI_wuser,
    M00_AXI_wvalid,
    S00_AXI_araddr,
    S00_AXI_arburst,
    S00_AXI_arcache,
    S00_AXI_arid,
    S00_AXI_arlen,
    S00_AXI_arlock,
    S00_AXI_arprot,
    S00_AXI_arqos,
    S00_AXI_arready,
    S00_AXI_arsize,
    S00_AXI_aruser,
    S00_AXI_arvalid,
    S00_AXI_awaddr,
    S00_AXI_awburst,
    S00_AXI_awcache,
    S00_AXI_awid,
    S00_AXI_awlen,
    S00_AXI_awlock,
    S00_AXI_awprot,
    S00_AXI_awqos,
    S00_AXI_awready,
    S00_AXI_awsize,
    S00_AXI_awuser,
    S00_AXI_awvalid,
    S00_AXI_bid,
    S00_AXI_bready,
    S00_AXI_bresp,
    S00_AXI_buser,
    S00_AXI_bvalid,
    S00_AXI_rdata,
    S00_AXI_rid,
    S00_AXI_rlast,
    S00_AXI_rready,
    S00_AXI_rresp,
    S00_AXI_ruser,
    S00_AXI_rvalid,
    S00_AXI_wdata,
    S00_AXI_wlast,
    S00_AXI_wready,
    S00_AXI_wstrb,
    S00_AXI_wuser,
    S00_AXI_wvalid,
    aclk,
    aresetn);
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]M00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *) output [1:0]M00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *) output [3:0]M00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *) output [7:0]M00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *) output [0:0]M00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *) output [2:0]M00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *) output [3:0]M00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *) input M00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *) output [2:0]M00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *) output [17:0]M00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *) output M00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *) output [63:0]M00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *) output [1:0]M00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *) output [3:0]M00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *) output [7:0]M00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *) output [0:0]M00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *) output [2:0]M00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *) output [3:0]M00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *) input M00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *) output [2:0]M00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *) output [17:0]M00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *) output M00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *) output M00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *) input [1:0]M00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *) input [15:0]M00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *) input M00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *) input [31:0]M00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *) input M00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *) output M00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *) input [1:0]M00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *) input [3:0]M00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *) input M00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *) output [31:0]M00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *) output M00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *) input M00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *) output [3:0]M00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *) output [3:0]M00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *) output M00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]S00_AXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *) input [1:0]S00_AXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *) input [3:0]S00_AXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *) input [15:0]S00_AXI_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *) input [7:0]S00_AXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *) input [0:0]S00_AXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *) input [2:0]S00_AXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *) input [3:0]S00_AXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *) output S00_AXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *) input [2:0]S00_AXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *) input [17:0]S00_AXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *) input S00_AXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *) input [63:0]S00_AXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *) input [1:0]S00_AXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *) input [3:0]S00_AXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *) input [15:0]S00_AXI_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *) input [7:0]S00_AXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *) input [0:0]S00_AXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *) input [2:0]S00_AXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *) input [3:0]S00_AXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *) output S00_AXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *) input [2:0]S00_AXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *) input [17:0]S00_AXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *) input S00_AXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *) output [15:0]S00_AXI_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *) input S00_AXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *) output [1:0]S00_AXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *) output [15:0]S00_AXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *) output S00_AXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *) output [127:0]S00_AXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *) output [15:0]S00_AXI_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *) output S00_AXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *) input S00_AXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *) output [1:0]S00_AXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *) output [15:0]S00_AXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *) output S00_AXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *) input [127:0]S00_AXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *) input S00_AXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *) output S00_AXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *) input [15:0]S00_AXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *) input [15:0]S00_AXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *) input S00_AXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK, ASSOCIATED_BUSIF M00_AXI:S00_AXI, ASSOCIATED_CLKEN s_sc_aclken, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn;

  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [15:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [15:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire S_SC_AR_1_REQ;
  wire S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire S_SC_AW_1_REQ;
  wire S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire S_SC_W_1_REQ;
  wire S_SC_W_1_SEND;
  wire aclk_1;
  wire aclk_net;
  wire aresetn_1;
  wire [0:0]aresetn_2;
  wire aresetn_net;
  wire [63:0]m00_exit_pipeline_m_axi_ARADDR;
  wire [1:0]m00_exit_pipeline_m_axi_ARBURST;
  wire [3:0]m00_exit_pipeline_m_axi_ARCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_ARLEN;
  wire [0:0]m00_exit_pipeline_m_axi_ARLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_ARPROT;
  wire [3:0]m00_exit_pipeline_m_axi_ARQOS;
  wire m00_exit_pipeline_m_axi_ARREADY;
  wire [2:0]m00_exit_pipeline_m_axi_ARSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_ARUSER;
  wire m00_exit_pipeline_m_axi_ARVALID;
  wire [63:0]m00_exit_pipeline_m_axi_AWADDR;
  wire [1:0]m00_exit_pipeline_m_axi_AWBURST;
  wire [3:0]m00_exit_pipeline_m_axi_AWCACHE;
  wire [7:0]m00_exit_pipeline_m_axi_AWLEN;
  wire [0:0]m00_exit_pipeline_m_axi_AWLOCK;
  wire [2:0]m00_exit_pipeline_m_axi_AWPROT;
  wire [3:0]m00_exit_pipeline_m_axi_AWQOS;
  wire m00_exit_pipeline_m_axi_AWREADY;
  wire [2:0]m00_exit_pipeline_m_axi_AWSIZE;
  wire [17:0]m00_exit_pipeline_m_axi_AWUSER;
  wire m00_exit_pipeline_m_axi_AWVALID;
  wire m00_exit_pipeline_m_axi_BREADY;
  wire [1:0]m00_exit_pipeline_m_axi_BRESP;
  wire [15:0]m00_exit_pipeline_m_axi_BUSER;
  wire m00_exit_pipeline_m_axi_BVALID;
  wire [31:0]m00_exit_pipeline_m_axi_RDATA;
  wire m00_exit_pipeline_m_axi_RLAST;
  wire m00_exit_pipeline_m_axi_RREADY;
  wire [1:0]m00_exit_pipeline_m_axi_RRESP;
  wire [3:0]m00_exit_pipeline_m_axi_RUSER;
  wire m00_exit_pipeline_m_axi_RVALID;
  wire [31:0]m00_exit_pipeline_m_axi_WDATA;
  wire m00_exit_pipeline_m_axi_WLAST;
  wire m00_exit_pipeline_m_axi_WREADY;
  wire [3:0]m00_exit_pipeline_m_axi_WSTRB;
  wire [3:0]m00_exit_pipeline_m_axi_WUSER;
  wire m00_exit_pipeline_m_axi_WVALID;
  wire [63:0]m00_sc2axi_M_AXI_ARADDR;
  wire [3:0]m00_sc2axi_M_AXI_ARCACHE;
  wire [0:0]m00_sc2axi_M_AXI_ARID;
  wire [7:0]m00_sc2axi_M_AXI_ARLEN;
  wire [0:0]m00_sc2axi_M_AXI_ARLOCK;
  wire [2:0]m00_sc2axi_M_AXI_ARPROT;
  wire [3:0]m00_sc2axi_M_AXI_ARQOS;
  wire m00_sc2axi_M_AXI_ARREADY;
  wire [1023:0]m00_sc2axi_M_AXI_ARUSER;
  wire m00_sc2axi_M_AXI_ARVALID;
  wire [63:0]m00_sc2axi_M_AXI_AWADDR;
  wire [3:0]m00_sc2axi_M_AXI_AWCACHE;
  wire [0:0]m00_sc2axi_M_AXI_AWID;
  wire [7:0]m00_sc2axi_M_AXI_AWLEN;
  wire [0:0]m00_sc2axi_M_AXI_AWLOCK;
  wire [2:0]m00_sc2axi_M_AXI_AWPROT;
  wire [3:0]m00_sc2axi_M_AXI_AWQOS;
  wire m00_sc2axi_M_AXI_AWREADY;
  wire [1023:0]m00_sc2axi_M_AXI_AWUSER;
  wire m00_sc2axi_M_AXI_AWVALID;
  wire [0:0]m00_sc2axi_M_AXI_BID;
  wire m00_sc2axi_M_AXI_BREADY;
  wire [1:0]m00_sc2axi_M_AXI_BRESP;
  wire [1023:0]m00_sc2axi_M_AXI_BUSER;
  wire m00_sc2axi_M_AXI_BVALID;
  wire [31:0]m00_sc2axi_M_AXI_RDATA;
  wire [0:0]m00_sc2axi_M_AXI_RID;
  wire m00_sc2axi_M_AXI_RLAST;
  wire m00_sc2axi_M_AXI_RREADY;
  wire [1:0]m00_sc2axi_M_AXI_RRESP;
  wire [1023:0]m00_sc2axi_M_AXI_RUSER;
  wire m00_sc2axi_M_AXI_RVALID;
  wire [31:0]m00_sc2axi_M_AXI_WDATA;
  wire m00_sc2axi_M_AXI_WLAST;
  wire m00_sc2axi_M_AXI_WREADY;
  wire [3:0]m00_sc2axi_M_AXI_WSTRB;
  wire [1023:0]m00_sc2axi_M_AXI_WUSER;
  wire m00_sc2axi_M_AXI_WVALID;
  wire m_sc_clk_1;
  wire [0:0]m_sc_resetn_1;
  wire [63:0]s00_entry_pipeline_m_axi_ARADDR;
  wire [3:0]s00_entry_pipeline_m_axi_ARCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_ARID;
  wire [7:0]s00_entry_pipeline_m_axi_ARLEN;
  wire [0:0]s00_entry_pipeline_m_axi_ARLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_ARPROT;
  wire [3:0]s00_entry_pipeline_m_axi_ARQOS;
  wire s00_entry_pipeline_m_axi_ARREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_ARUSER;
  wire s00_entry_pipeline_m_axi_ARVALID;
  wire [63:0]s00_entry_pipeline_m_axi_AWADDR;
  wire [3:0]s00_entry_pipeline_m_axi_AWCACHE;
  wire [0:0]s00_entry_pipeline_m_axi_AWID;
  wire [7:0]s00_entry_pipeline_m_axi_AWLEN;
  wire [0:0]s00_entry_pipeline_m_axi_AWLOCK;
  wire [2:0]s00_entry_pipeline_m_axi_AWPROT;
  wire [3:0]s00_entry_pipeline_m_axi_AWQOS;
  wire s00_entry_pipeline_m_axi_AWREADY;
  wire [1023:0]s00_entry_pipeline_m_axi_AWUSER;
  wire s00_entry_pipeline_m_axi_AWVALID;
  wire [0:0]s00_entry_pipeline_m_axi_BID;
  wire s00_entry_pipeline_m_axi_BREADY;
  wire [1:0]s00_entry_pipeline_m_axi_BRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_BUSER;
  wire s00_entry_pipeline_m_axi_BVALID;
  wire [127:0]s00_entry_pipeline_m_axi_RDATA;
  wire [0:0]s00_entry_pipeline_m_axi_RID;
  wire s00_entry_pipeline_m_axi_RLAST;
  wire s00_entry_pipeline_m_axi_RREADY;
  wire [1:0]s00_entry_pipeline_m_axi_RRESP;
  wire [1023:0]s00_entry_pipeline_m_axi_RUSER;
  wire s00_entry_pipeline_m_axi_RVALID;
  wire [127:0]s00_entry_pipeline_m_axi_WDATA;
  wire s00_entry_pipeline_m_axi_WLAST;
  wire s00_entry_pipeline_m_axi_WREADY;
  wire [15:0]s00_entry_pipeline_m_axi_WSTRB;
  wire [1023:0]s00_entry_pipeline_m_axi_WUSER;
  wire s00_entry_pipeline_m_axi_WVALID;
  wire [0:0]s00_nodes_M_SC_AR_INFO;
  wire [186:0]s00_nodes_M_SC_AR_PAYLD;
  wire s00_nodes_M_SC_AR_RECV;
  wire s00_nodes_M_SC_AR_REQ;
  wire s00_nodes_M_SC_AR_SEND;
  wire [0:0]s00_nodes_M_SC_AW_INFO;
  wire [186:0]s00_nodes_M_SC_AW_PAYLD;
  wire s00_nodes_M_SC_AW_RECV;
  wire s00_nodes_M_SC_AW_REQ;
  wire s00_nodes_M_SC_AW_SEND;
  wire [0:0]s00_nodes_M_SC_B_INFO;
  wire [19:0]s00_nodes_M_SC_B_PAYLD;
  wire s00_nodes_M_SC_B_RECV;
  wire [0:0]s00_nodes_M_SC_B_REQ;
  wire [0:0]s00_nodes_M_SC_B_SEND;
  wire [0:0]s00_nodes_M_SC_R_INFO;
  wire [162:0]s00_nodes_M_SC_R_PAYLD;
  wire s00_nodes_M_SC_R_RECV;
  wire [0:0]s00_nodes_M_SC_R_REQ;
  wire [0:0]s00_nodes_M_SC_R_SEND;
  wire [0:0]s00_nodes_M_SC_W_INFO;
  wire [175:0]s00_nodes_M_SC_W_PAYLD;
  wire s00_nodes_M_SC_W_RECV;
  wire s00_nodes_M_SC_W_REQ;
  wire s00_nodes_M_SC_W_SEND;
  wire swbd_aclk_net;
  wire [0:0]swbd_aresetn_net;

  assign M00_AXI_araddr[63:0] = m00_exit_pipeline_m_axi_ARADDR;
  assign M00_AXI_arburst[1:0] = m00_exit_pipeline_m_axi_ARBURST;
  assign M00_AXI_arcache[3:0] = m00_exit_pipeline_m_axi_ARCACHE;
  assign M00_AXI_arlen[7:0] = m00_exit_pipeline_m_axi_ARLEN;
  assign M00_AXI_arlock[0] = m00_exit_pipeline_m_axi_ARLOCK;
  assign M00_AXI_arprot[2:0] = m00_exit_pipeline_m_axi_ARPROT;
  assign M00_AXI_arqos[3:0] = m00_exit_pipeline_m_axi_ARQOS;
  assign M00_AXI_arsize[2:0] = m00_exit_pipeline_m_axi_ARSIZE;
  assign M00_AXI_aruser[17:0] = m00_exit_pipeline_m_axi_ARUSER;
  assign M00_AXI_arvalid = m00_exit_pipeline_m_axi_ARVALID;
  assign M00_AXI_awaddr[63:0] = m00_exit_pipeline_m_axi_AWADDR;
  assign M00_AXI_awburst[1:0] = m00_exit_pipeline_m_axi_AWBURST;
  assign M00_AXI_awcache[3:0] = m00_exit_pipeline_m_axi_AWCACHE;
  assign M00_AXI_awlen[7:0] = m00_exit_pipeline_m_axi_AWLEN;
  assign M00_AXI_awlock[0] = m00_exit_pipeline_m_axi_AWLOCK;
  assign M00_AXI_awprot[2:0] = m00_exit_pipeline_m_axi_AWPROT;
  assign M00_AXI_awqos[3:0] = m00_exit_pipeline_m_axi_AWQOS;
  assign M00_AXI_awsize[2:0] = m00_exit_pipeline_m_axi_AWSIZE;
  assign M00_AXI_awuser[17:0] = m00_exit_pipeline_m_axi_AWUSER;
  assign M00_AXI_awvalid = m00_exit_pipeline_m_axi_AWVALID;
  assign M00_AXI_bready = m00_exit_pipeline_m_axi_BREADY;
  assign M00_AXI_rready = m00_exit_pipeline_m_axi_RREADY;
  assign M00_AXI_wdata[31:0] = m00_exit_pipeline_m_axi_WDATA;
  assign M00_AXI_wlast = m00_exit_pipeline_m_axi_WLAST;
  assign M00_AXI_wstrb[3:0] = m00_exit_pipeline_m_axi_WSTRB;
  assign M00_AXI_wuser[3:0] = m00_exit_pipeline_m_axi_WUSER;
  assign M00_AXI_wvalid = m00_exit_pipeline_m_axi_WVALID;
  assign S00_AXI_1_ARADDR = S00_AXI_araddr[63:0];
  assign S00_AXI_1_ARBURST = S00_AXI_arburst[1:0];
  assign S00_AXI_1_ARCACHE = S00_AXI_arcache[3:0];
  assign S00_AXI_1_ARID = S00_AXI_arid[15:0];
  assign S00_AXI_1_ARLEN = S00_AXI_arlen[7:0];
  assign S00_AXI_1_ARLOCK = S00_AXI_arlock[0];
  assign S00_AXI_1_ARPROT = S00_AXI_arprot[2:0];
  assign S00_AXI_1_ARQOS = S00_AXI_arqos[3:0];
  assign S00_AXI_1_ARSIZE = S00_AXI_arsize[2:0];
  assign S00_AXI_1_ARUSER = S00_AXI_aruser[17:0];
  assign S00_AXI_1_ARVALID = S00_AXI_arvalid;
  assign S00_AXI_1_AWADDR = S00_AXI_awaddr[63:0];
  assign S00_AXI_1_AWBURST = S00_AXI_awburst[1:0];
  assign S00_AXI_1_AWCACHE = S00_AXI_awcache[3:0];
  assign S00_AXI_1_AWID = S00_AXI_awid[15:0];
  assign S00_AXI_1_AWLEN = S00_AXI_awlen[7:0];
  assign S00_AXI_1_AWLOCK = S00_AXI_awlock[0];
  assign S00_AXI_1_AWPROT = S00_AXI_awprot[2:0];
  assign S00_AXI_1_AWQOS = S00_AXI_awqos[3:0];
  assign S00_AXI_1_AWSIZE = S00_AXI_awsize[2:0];
  assign S00_AXI_1_AWUSER = S00_AXI_awuser[17:0];
  assign S00_AXI_1_AWVALID = S00_AXI_awvalid;
  assign S00_AXI_1_BREADY = S00_AXI_bready;
  assign S00_AXI_1_RREADY = S00_AXI_rready;
  assign S00_AXI_1_WDATA = S00_AXI_wdata[127:0];
  assign S00_AXI_1_WLAST = S00_AXI_wlast;
  assign S00_AXI_1_WSTRB = S00_AXI_wstrb[15:0];
  assign S00_AXI_1_WUSER = S00_AXI_wuser[15:0];
  assign S00_AXI_1_WVALID = S00_AXI_wvalid;
  assign S00_AXI_arready = S00_AXI_1_ARREADY;
  assign S00_AXI_awready = S00_AXI_1_AWREADY;
  assign S00_AXI_bid[15:0] = S00_AXI_1_BID;
  assign S00_AXI_bresp[1:0] = S00_AXI_1_BRESP;
  assign S00_AXI_buser[15:0] = S00_AXI_1_BUSER;
  assign S00_AXI_bvalid = S00_AXI_1_BVALID;
  assign S00_AXI_rdata[127:0] = S00_AXI_1_RDATA;
  assign S00_AXI_rid[15:0] = S00_AXI_1_RID;
  assign S00_AXI_rlast = S00_AXI_1_RLAST;
  assign S00_AXI_rresp[1:0] = S00_AXI_1_RRESP;
  assign S00_AXI_ruser[15:0] = S00_AXI_1_RUSER;
  assign S00_AXI_rvalid = S00_AXI_1_RVALID;
  assign S00_AXI_wready = S00_AXI_1_WREADY;
  assign aclk_net = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_pipeline_m_axi_ARREADY = M00_AXI_arready;
  assign m00_exit_pipeline_m_axi_AWREADY = M00_AXI_awready;
  assign m00_exit_pipeline_m_axi_BRESP = M00_AXI_bresp[1:0];
  assign m00_exit_pipeline_m_axi_BUSER = M00_AXI_buser[15:0];
  assign m00_exit_pipeline_m_axi_BVALID = M00_AXI_bvalid;
  assign m00_exit_pipeline_m_axi_RDATA = M00_AXI_rdata[31:0];
  assign m00_exit_pipeline_m_axi_RLAST = M00_AXI_rlast;
  assign m00_exit_pipeline_m_axi_RRESP = M00_AXI_rresp[1:0];
  assign m00_exit_pipeline_m_axi_RUSER = M00_AXI_ruser[3:0];
  assign m00_exit_pipeline_m_axi_RVALID = M00_AXI_rvalid;
  assign m00_exit_pipeline_m_axi_WREADY = M00_AXI_wready;
  versal_cips_ps_vip_v1_0_11_clk_map_imp_DLUDCT clk_map
       (.M00_ACLK(m_sc_clk_1),
        .M00_ARESETN(m_sc_resetn_1),
        .S00_ACLK(aclk_1),
        .S00_ARESETN(aresetn_2),
        .aclk(aclk_net),
        .aresetn(aresetn_1),
        .aresetn_out(aresetn_net),
        .swbd_aclk(swbd_aclk_net),
        .swbd_aresetn(swbd_aresetn_net));
  versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1JY66DI m00_exit_pipeline
       (.aclk(m_sc_clk_1),
        .aresetn(m_sc_resetn_1),
        .m_axi_araddr(m00_exit_pipeline_m_axi_ARADDR),
        .m_axi_arburst(m00_exit_pipeline_m_axi_ARBURST),
        .m_axi_arcache(m00_exit_pipeline_m_axi_ARCACHE),
        .m_axi_arlen(m00_exit_pipeline_m_axi_ARLEN),
        .m_axi_arlock(m00_exit_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(m00_exit_pipeline_m_axi_ARPROT),
        .m_axi_arqos(m00_exit_pipeline_m_axi_ARQOS),
        .m_axi_arready(m00_exit_pipeline_m_axi_ARREADY),
        .m_axi_arsize(m00_exit_pipeline_m_axi_ARSIZE),
        .m_axi_aruser(m00_exit_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(m00_exit_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(m00_exit_pipeline_m_axi_AWADDR),
        .m_axi_awburst(m00_exit_pipeline_m_axi_AWBURST),
        .m_axi_awcache(m00_exit_pipeline_m_axi_AWCACHE),
        .m_axi_awlen(m00_exit_pipeline_m_axi_AWLEN),
        .m_axi_awlock(m00_exit_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(m00_exit_pipeline_m_axi_AWPROT),
        .m_axi_awqos(m00_exit_pipeline_m_axi_AWQOS),
        .m_axi_awready(m00_exit_pipeline_m_axi_AWREADY),
        .m_axi_awsize(m00_exit_pipeline_m_axi_AWSIZE),
        .m_axi_awuser(m00_exit_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(m00_exit_pipeline_m_axi_AWVALID),
        .m_axi_bready(m00_exit_pipeline_m_axi_BREADY),
        .m_axi_bresp(m00_exit_pipeline_m_axi_BRESP),
        .m_axi_buser(m00_exit_pipeline_m_axi_BUSER),
        .m_axi_bvalid(m00_exit_pipeline_m_axi_BVALID),
        .m_axi_rdata(m00_exit_pipeline_m_axi_RDATA),
        .m_axi_rlast(m00_exit_pipeline_m_axi_RLAST),
        .m_axi_rready(m00_exit_pipeline_m_axi_RREADY),
        .m_axi_rresp(m00_exit_pipeline_m_axi_RRESP),
        .m_axi_ruser(m00_exit_pipeline_m_axi_RUSER),
        .m_axi_rvalid(m00_exit_pipeline_m_axi_RVALID),
        .m_axi_wdata(m00_exit_pipeline_m_axi_WDATA),
        .m_axi_wlast(m00_exit_pipeline_m_axi_WLAST),
        .m_axi_wready(m00_exit_pipeline_m_axi_WREADY),
        .m_axi_wstrb(m00_exit_pipeline_m_axi_WSTRB),
        .m_axi_wuser(m00_exit_pipeline_m_axi_WUSER),
        .m_axi_wvalid(m00_exit_pipeline_m_axi_WVALID),
        .s_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .s_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .s_axi_arid(m00_sc2axi_M_AXI_ARID),
        .s_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .s_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .s_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .s_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .s_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .s_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .s_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .s_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .s_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .s_axi_awid(m00_sc2axi_M_AXI_AWID),
        .s_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .s_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .s_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .s_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .s_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .s_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .s_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .s_axi_bid(m00_sc2axi_M_AXI_BID),
        .s_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .s_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .s_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .s_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .s_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .s_axi_rid(m00_sc2axi_M_AXI_RID),
        .s_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .s_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .s_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .s_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .s_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .s_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .s_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .s_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .s_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .s_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .s_axi_wvalid(m00_sc2axi_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_b77a_m00s2a_0 m00_sc2axi
       (.aclk(m_sc_clk_1),
        .m_axi_araddr(m00_sc2axi_M_AXI_ARADDR),
        .m_axi_arcache(m00_sc2axi_M_AXI_ARCACHE),
        .m_axi_arid(m00_sc2axi_M_AXI_ARID),
        .m_axi_arlen(m00_sc2axi_M_AXI_ARLEN),
        .m_axi_arlock(m00_sc2axi_M_AXI_ARLOCK),
        .m_axi_arprot(m00_sc2axi_M_AXI_ARPROT),
        .m_axi_arqos(m00_sc2axi_M_AXI_ARQOS),
        .m_axi_arready(m00_sc2axi_M_AXI_ARREADY),
        .m_axi_aruser(m00_sc2axi_M_AXI_ARUSER),
        .m_axi_arvalid(m00_sc2axi_M_AXI_ARVALID),
        .m_axi_awaddr(m00_sc2axi_M_AXI_AWADDR),
        .m_axi_awcache(m00_sc2axi_M_AXI_AWCACHE),
        .m_axi_awid(m00_sc2axi_M_AXI_AWID),
        .m_axi_awlen(m00_sc2axi_M_AXI_AWLEN),
        .m_axi_awlock(m00_sc2axi_M_AXI_AWLOCK),
        .m_axi_awprot(m00_sc2axi_M_AXI_AWPROT),
        .m_axi_awqos(m00_sc2axi_M_AXI_AWQOS),
        .m_axi_awready(m00_sc2axi_M_AXI_AWREADY),
        .m_axi_awuser(m00_sc2axi_M_AXI_AWUSER),
        .m_axi_awvalid(m00_sc2axi_M_AXI_AWVALID),
        .m_axi_bid(m00_sc2axi_M_AXI_BID),
        .m_axi_bready(m00_sc2axi_M_AXI_BREADY),
        .m_axi_bresp(m00_sc2axi_M_AXI_BRESP),
        .m_axi_buser(m00_sc2axi_M_AXI_BUSER),
        .m_axi_bvalid(m00_sc2axi_M_AXI_BVALID),
        .m_axi_rdata(m00_sc2axi_M_AXI_RDATA),
        .m_axi_rid(m00_sc2axi_M_AXI_RID),
        .m_axi_rlast(m00_sc2axi_M_AXI_RLAST),
        .m_axi_rready(m00_sc2axi_M_AXI_RREADY),
        .m_axi_rresp(m00_sc2axi_M_AXI_RRESP),
        .m_axi_ruser(m00_sc2axi_M_AXI_RUSER),
        .m_axi_rvalid(m00_sc2axi_M_AXI_RVALID),
        .m_axi_wdata(m00_sc2axi_M_AXI_WDATA),
        .m_axi_wlast(m00_sc2axi_M_AXI_WLAST),
        .m_axi_wready(m00_sc2axi_M_AXI_WREADY),
        .m_axi_wstrb(m00_sc2axi_M_AXI_WSTRB),
        .m_axi_wuser(m00_sc2axi_M_AXI_WUSER),
        .m_axi_wvalid(m00_sc2axi_M_AXI_WVALID),
        .m_sc_b_info(S_SC_B_1_INFO),
        .m_sc_b_payld(S_SC_B_1_PAYLD),
        .m_sc_b_recv(S_SC_B_1_RECV),
        .m_sc_b_req(S_SC_B_1_REQ),
        .m_sc_b_send(S_SC_B_1_SEND),
        .m_sc_r_info(S_SC_R_1_INFO),
        .m_sc_r_payld(S_SC_R_1_PAYLD),
        .m_sc_r_recv(S_SC_R_1_RECV),
        .m_sc_r_req(S_SC_R_1_REQ),
        .m_sc_r_send(S_SC_R_1_SEND),
        .s_sc_ar_info(s00_nodes_M_SC_AR_INFO),
        .s_sc_ar_payld(s00_nodes_M_SC_AR_PAYLD),
        .s_sc_ar_recv(s00_nodes_M_SC_AR_RECV),
        .s_sc_ar_req(s00_nodes_M_SC_AR_REQ),
        .s_sc_ar_send(s00_nodes_M_SC_AR_SEND),
        .s_sc_aw_info(s00_nodes_M_SC_AW_INFO),
        .s_sc_aw_payld(s00_nodes_M_SC_AW_PAYLD),
        .s_sc_aw_recv(s00_nodes_M_SC_AW_RECV),
        .s_sc_aw_req(s00_nodes_M_SC_AW_REQ),
        .s_sc_aw_send(s00_nodes_M_SC_AW_SEND),
        .s_sc_w_info(s00_nodes_M_SC_W_INFO),
        .s_sc_w_payld(s00_nodes_M_SC_W_PAYLD),
        .s_sc_w_recv(s00_nodes_M_SC_W_RECV),
        .s_sc_w_req(s00_nodes_M_SC_W_REQ),
        .s_sc_w_send(s00_nodes_M_SC_W_SEND));
  versal_cips_ps_vip_v1_0_11_bd_b77a_s00a2s_0 s00_axi2sc
       (.aclk(aclk_1),
        .m_sc_ar_info(S_SC_AR_1_INFO),
        .m_sc_ar_payld(S_SC_AR_1_PAYLD),
        .m_sc_ar_recv(S_SC_AR_1_RECV),
        .m_sc_ar_req(S_SC_AR_1_REQ),
        .m_sc_ar_send(S_SC_AR_1_SEND),
        .m_sc_aw_info(S_SC_AW_1_INFO),
        .m_sc_aw_payld(S_SC_AW_1_PAYLD),
        .m_sc_aw_recv(S_SC_AW_1_RECV),
        .m_sc_aw_req(S_SC_AW_1_REQ),
        .m_sc_aw_send(S_SC_AW_1_SEND),
        .m_sc_w_info(S_SC_W_1_INFO),
        .m_sc_w_payld(S_SC_W_1_PAYLD),
        .m_sc_w_recv(S_SC_W_1_RECV),
        .m_sc_w_req(S_SC_W_1_REQ),
        .m_sc_w_send(S_SC_W_1_SEND),
        .s_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .s_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .s_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .s_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .s_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .s_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .s_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .s_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .s_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .s_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .s_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .s_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .s_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .s_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .s_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .s_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .s_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .s_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .s_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .s_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .s_axi_bid(s00_entry_pipeline_m_axi_BID),
        .s_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .s_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .s_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .s_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .s_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .s_axi_rid(s00_entry_pipeline_m_axi_RID),
        .s_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .s_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .s_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .s_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .s_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .s_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .s_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .s_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .s_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .s_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .s_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_sc_b_info(s00_nodes_M_SC_B_INFO),
        .s_sc_b_payld(s00_nodes_M_SC_B_PAYLD),
        .s_sc_b_recv(s00_nodes_M_SC_B_RECV),
        .s_sc_b_req(s00_nodes_M_SC_B_REQ),
        .s_sc_b_send(s00_nodes_M_SC_B_SEND),
        .s_sc_r_info(s00_nodes_M_SC_R_INFO),
        .s_sc_r_payld(s00_nodes_M_SC_R_PAYLD),
        .s_sc_r_recv(s00_nodes_M_SC_R_RECV),
        .s_sc_r_req(s00_nodes_M_SC_R_REQ),
        .s_sc_r_send(s00_nodes_M_SC_R_SEND));
  versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_KONUTH s00_entry_pipeline
       (.aclk(aclk_1),
        .aresetn(aresetn_2),
        .m_axi_araddr(s00_entry_pipeline_m_axi_ARADDR),
        .m_axi_arcache(s00_entry_pipeline_m_axi_ARCACHE),
        .m_axi_arid(s00_entry_pipeline_m_axi_ARID),
        .m_axi_arlen(s00_entry_pipeline_m_axi_ARLEN),
        .m_axi_arlock(s00_entry_pipeline_m_axi_ARLOCK),
        .m_axi_arprot(s00_entry_pipeline_m_axi_ARPROT),
        .m_axi_arqos(s00_entry_pipeline_m_axi_ARQOS),
        .m_axi_arready(s00_entry_pipeline_m_axi_ARREADY),
        .m_axi_aruser(s00_entry_pipeline_m_axi_ARUSER),
        .m_axi_arvalid(s00_entry_pipeline_m_axi_ARVALID),
        .m_axi_awaddr(s00_entry_pipeline_m_axi_AWADDR),
        .m_axi_awcache(s00_entry_pipeline_m_axi_AWCACHE),
        .m_axi_awid(s00_entry_pipeline_m_axi_AWID),
        .m_axi_awlen(s00_entry_pipeline_m_axi_AWLEN),
        .m_axi_awlock(s00_entry_pipeline_m_axi_AWLOCK),
        .m_axi_awprot(s00_entry_pipeline_m_axi_AWPROT),
        .m_axi_awqos(s00_entry_pipeline_m_axi_AWQOS),
        .m_axi_awready(s00_entry_pipeline_m_axi_AWREADY),
        .m_axi_awuser(s00_entry_pipeline_m_axi_AWUSER),
        .m_axi_awvalid(s00_entry_pipeline_m_axi_AWVALID),
        .m_axi_bid(s00_entry_pipeline_m_axi_BID),
        .m_axi_bready(s00_entry_pipeline_m_axi_BREADY),
        .m_axi_bresp(s00_entry_pipeline_m_axi_BRESP),
        .m_axi_buser(s00_entry_pipeline_m_axi_BUSER),
        .m_axi_bvalid(s00_entry_pipeline_m_axi_BVALID),
        .m_axi_rdata(s00_entry_pipeline_m_axi_RDATA),
        .m_axi_rid(s00_entry_pipeline_m_axi_RID),
        .m_axi_rlast(s00_entry_pipeline_m_axi_RLAST),
        .m_axi_rready(s00_entry_pipeline_m_axi_RREADY),
        .m_axi_rresp(s00_entry_pipeline_m_axi_RRESP),
        .m_axi_ruser(s00_entry_pipeline_m_axi_RUSER),
        .m_axi_rvalid(s00_entry_pipeline_m_axi_RVALID),
        .m_axi_wdata(s00_entry_pipeline_m_axi_WDATA),
        .m_axi_wlast(s00_entry_pipeline_m_axi_WLAST),
        .m_axi_wready(s00_entry_pipeline_m_axi_WREADY),
        .m_axi_wstrb(s00_entry_pipeline_m_axi_WSTRB),
        .m_axi_wuser(s00_entry_pipeline_m_axi_WUSER),
        .m_axi_wvalid(s00_entry_pipeline_m_axi_WVALID),
        .s_axi_araddr(S00_AXI_1_ARADDR),
        .s_axi_arburst(S00_AXI_1_ARBURST),
        .s_axi_arcache(S00_AXI_1_ARCACHE),
        .s_axi_arid(S00_AXI_1_ARID),
        .s_axi_arlen(S00_AXI_1_ARLEN),
        .s_axi_arlock(S00_AXI_1_ARLOCK),
        .s_axi_arprot(S00_AXI_1_ARPROT),
        .s_axi_arqos(S00_AXI_1_ARQOS),
        .s_axi_arready(S00_AXI_1_ARREADY),
        .s_axi_arsize(S00_AXI_1_ARSIZE),
        .s_axi_aruser(S00_AXI_1_ARUSER),
        .s_axi_arvalid(S00_AXI_1_ARVALID),
        .s_axi_awaddr(S00_AXI_1_AWADDR),
        .s_axi_awburst(S00_AXI_1_AWBURST),
        .s_axi_awcache(S00_AXI_1_AWCACHE),
        .s_axi_awid(S00_AXI_1_AWID),
        .s_axi_awlen(S00_AXI_1_AWLEN),
        .s_axi_awlock(S00_AXI_1_AWLOCK),
        .s_axi_awprot(S00_AXI_1_AWPROT),
        .s_axi_awqos(S00_AXI_1_AWQOS),
        .s_axi_awready(S00_AXI_1_AWREADY),
        .s_axi_awsize(S00_AXI_1_AWSIZE),
        .s_axi_awuser(S00_AXI_1_AWUSER),
        .s_axi_awvalid(S00_AXI_1_AWVALID),
        .s_axi_bid(S00_AXI_1_BID),
        .s_axi_bready(S00_AXI_1_BREADY),
        .s_axi_bresp(S00_AXI_1_BRESP),
        .s_axi_buser(S00_AXI_1_BUSER),
        .s_axi_bvalid(S00_AXI_1_BVALID),
        .s_axi_rdata(S00_AXI_1_RDATA),
        .s_axi_rid(S00_AXI_1_RID),
        .s_axi_rlast(S00_AXI_1_RLAST),
        .s_axi_rready(S00_AXI_1_RREADY),
        .s_axi_rresp(S00_AXI_1_RRESP),
        .s_axi_ruser(S00_AXI_1_RUSER),
        .s_axi_rvalid(S00_AXI_1_RVALID),
        .s_axi_wdata(S00_AXI_1_WDATA),
        .s_axi_wlast(S00_AXI_1_WLAST),
        .s_axi_wready(S00_AXI_1_WREADY),
        .s_axi_wstrb(S00_AXI_1_WSTRB),
        .s_axi_wuser(S00_AXI_1_WUSER),
        .s_axi_wvalid(S00_AXI_1_WVALID));
  versal_cips_ps_vip_v1_0_11_s00_nodes_imp_QF0TZZ s00_nodes
       (.M_SC_AR_info(s00_nodes_M_SC_AR_INFO),
        .M_SC_AR_payld(s00_nodes_M_SC_AR_PAYLD),
        .M_SC_AR_recv(s00_nodes_M_SC_AR_RECV),
        .M_SC_AR_req(s00_nodes_M_SC_AR_REQ),
        .M_SC_AR_send(s00_nodes_M_SC_AR_SEND),
        .M_SC_AW_info(s00_nodes_M_SC_AW_INFO),
        .M_SC_AW_payld(s00_nodes_M_SC_AW_PAYLD),
        .M_SC_AW_recv(s00_nodes_M_SC_AW_RECV),
        .M_SC_AW_req(s00_nodes_M_SC_AW_REQ),
        .M_SC_AW_send(s00_nodes_M_SC_AW_SEND),
        .M_SC_B_info(s00_nodes_M_SC_B_INFO),
        .M_SC_B_payld(s00_nodes_M_SC_B_PAYLD),
        .M_SC_B_recv(s00_nodes_M_SC_B_RECV),
        .M_SC_B_req(s00_nodes_M_SC_B_REQ),
        .M_SC_B_send(s00_nodes_M_SC_B_SEND),
        .M_SC_R_info(s00_nodes_M_SC_R_INFO),
        .M_SC_R_payld(s00_nodes_M_SC_R_PAYLD),
        .M_SC_R_recv(s00_nodes_M_SC_R_RECV),
        .M_SC_R_req(s00_nodes_M_SC_R_REQ),
        .M_SC_R_send(s00_nodes_M_SC_R_SEND),
        .M_SC_W_info(s00_nodes_M_SC_W_INFO),
        .M_SC_W_payld(s00_nodes_M_SC_W_PAYLD),
        .M_SC_W_recv(s00_nodes_M_SC_W_RECV),
        .M_SC_W_req(s00_nodes_M_SC_W_REQ),
        .M_SC_W_send(s00_nodes_M_SC_W_SEND),
        .S_SC_AR_info(S_SC_AR_1_INFO),
        .S_SC_AR_payld(S_SC_AR_1_PAYLD),
        .S_SC_AR_recv(S_SC_AR_1_RECV),
        .S_SC_AR_req(S_SC_AR_1_REQ),
        .S_SC_AR_send(S_SC_AR_1_SEND),
        .S_SC_AW_info(S_SC_AW_1_INFO),
        .S_SC_AW_payld(S_SC_AW_1_PAYLD),
        .S_SC_AW_recv(S_SC_AW_1_RECV),
        .S_SC_AW_req(S_SC_AW_1_REQ),
        .S_SC_AW_send(S_SC_AW_1_SEND),
        .S_SC_B_info(S_SC_B_1_INFO),
        .S_SC_B_payld(S_SC_B_1_PAYLD),
        .S_SC_B_recv(S_SC_B_1_RECV),
        .S_SC_B_req(S_SC_B_1_REQ),
        .S_SC_B_send(S_SC_B_1_SEND),
        .S_SC_R_info(S_SC_R_1_INFO),
        .S_SC_R_payld(S_SC_R_1_PAYLD),
        .S_SC_R_recv(S_SC_R_1_RECV),
        .S_SC_R_req(S_SC_R_1_REQ),
        .S_SC_R_send(S_SC_R_1_SEND),
        .S_SC_W_info(S_SC_W_1_INFO),
        .S_SC_W_payld(S_SC_W_1_PAYLD),
        .S_SC_W_recv(S_SC_W_1_RECV),
        .S_SC_W_req(S_SC_W_1_REQ),
        .S_SC_W_send(S_SC_W_1_SEND),
        .m_sc_clk(m_sc_clk_1),
        .m_sc_resetn(m_sc_resetn_1),
        .s_sc_clk(aclk_1),
        .s_sc_resetn(aresetn_2));
endmodule

module versal_cips_ps_vip_v1_0_11_clk_map_imp_DLUDCT
   (M00_ACLK,
    M00_ARESETN,
    S00_ACLK,
    S00_ARESETN,
    aclk,
    aresetn,
    aresetn_out,
    swbd_aclk,
    swbd_aresetn);
  output M00_ACLK;
  output [0:0]M00_ARESETN;
  output S00_ACLK;
  output [0:0]S00_ARESETN;
  input aclk;
  input aresetn;
  output aresetn_out;
  output swbd_aclk;
  output [0:0]swbd_aresetn;

  wire clk_map_aclk_net;
  wire clk_map_aresetn_net;
  wire [0:0]one_dout;
  wire [0:0]psr_aclk_interconnect_aresetn;

  assign M00_ACLK = clk_map_aclk_net;
  assign M00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign S00_ACLK = clk_map_aclk_net;
  assign S00_ARESETN[0] = psr_aclk_interconnect_aresetn;
  assign clk_map_aclk_net = aclk;
  assign clk_map_aresetn_net = aresetn;
  assign swbd_aclk = clk_map_aclk_net;
  assign swbd_aresetn[0] = psr_aclk_interconnect_aresetn;
  versal_cips_ps_vip_v1_0_11_bd_b77a_one_0 one
       (.dout(one_dout));
proc_sys_reset #(
	.C_FAMILY("virtex7"),
	.C_EXT_RST_WIDTH('h4),
	.C_AUX_RST_WIDTH('h1),
	`ifdef XILINX_SIMULATOR
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`elsif MODEL_TECH
		.C_EXT_RESET_HIGH(2),
		.C_AUX_RESET_HIGH(2),
	`else
		.C_EXT_RESET_HIGH('h0 ),
		.C_AUX_RESET_HIGH('h0),
	`endif
	.C_NUM_BUS_RST('h1),
	.C_NUM_PERP_RST('h1),
	.C_NUM_INTERCONNECT_ARESETN('h1),
	.C_NUM_PERP_ARESETN('h1)
	) psr_clk
       (.aux_reset_in(clk_map_aresetn_net),
        .dcm_locked(1'b1),
        .ext_reset_in(one_dout),
        .interconnect_aresetn(psr_aclk_interconnect_aresetn),
        .mb_debug_sys_rst(1'b0),
        .slowest_sync_clk(clk_map_aclk_net));
endmodule

module versal_cips_ps_vip_v1_0_11_m00_exit_pipeline_imp_1JY66DI
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arburst,
    m_axi_arcache,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_arsize,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awburst,
    m_axi_awcache,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awsize,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [1:0]m_axi_arburst;
  output [3:0]m_axi_arcache;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [2:0]m_axi_arsize;
  output [17:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [1:0]m_axi_awburst;
  output [3:0]m_axi_awcache;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [2:0]m_axi_awsize;
  output [17:0]m_axi_awuser;
  output m_axi_awvalid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [15:0]m_axi_buser;
  input m_axi_bvalid;
  input [31:0]m_axi_rdata;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [3:0]m_axi_ruser;
  input m_axi_rvalid;
  output [31:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [3:0]m_axi_wstrb;
  output [3:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [3:0]s_axi_arcache;
  input [0:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [1023:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [3:0]s_axi_awcache;
  input [0:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [1023:0]s_axi_awuser;
  input s_axi_awvalid;
  output [0:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [1023:0]s_axi_buser;
  output s_axi_bvalid;
  output [31:0]s_axi_rdata;
  output [0:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [1023:0]s_axi_ruser;
  output s_axi_rvalid;
  input [31:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [3:0]s_axi_wstrb;
  input [1023:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]m00_exit_M_AXI_ARADDR;
  wire [1:0]m00_exit_M_AXI_ARBURST;
  wire [3:0]m00_exit_M_AXI_ARCACHE;
  wire [7:0]m00_exit_M_AXI_ARLEN;
  wire [0:0]m00_exit_M_AXI_ARLOCK;
  wire [2:0]m00_exit_M_AXI_ARPROT;
  wire [3:0]m00_exit_M_AXI_ARQOS;
  wire m00_exit_M_AXI_ARREADY;
  wire [2:0]m00_exit_M_AXI_ARSIZE;
  wire [17:0]m00_exit_M_AXI_ARUSER;
  wire m00_exit_M_AXI_ARVALID;
  wire [63:0]m00_exit_M_AXI_AWADDR;
  wire [1:0]m00_exit_M_AXI_AWBURST;
  wire [3:0]m00_exit_M_AXI_AWCACHE;
  wire [7:0]m00_exit_M_AXI_AWLEN;
  wire [0:0]m00_exit_M_AXI_AWLOCK;
  wire [2:0]m00_exit_M_AXI_AWPROT;
  wire [3:0]m00_exit_M_AXI_AWQOS;
  wire m00_exit_M_AXI_AWREADY;
  wire [2:0]m00_exit_M_AXI_AWSIZE;
  wire [17:0]m00_exit_M_AXI_AWUSER;
  wire m00_exit_M_AXI_AWVALID;
  wire m00_exit_M_AXI_BREADY;
  wire [1:0]m00_exit_M_AXI_BRESP;
  wire [15:0]m00_exit_M_AXI_BUSER;
  wire m00_exit_M_AXI_BVALID;
  wire [31:0]m00_exit_M_AXI_RDATA;
  wire m00_exit_M_AXI_RLAST;
  wire m00_exit_M_AXI_RREADY;
  wire [1:0]m00_exit_M_AXI_RRESP;
  wire [3:0]m00_exit_M_AXI_RUSER;
  wire m00_exit_M_AXI_RVALID;
  wire [31:0]m00_exit_M_AXI_WDATA;
  wire m00_exit_M_AXI_WLAST;
  wire m00_exit_M_AXI_WREADY;
  wire [3:0]m00_exit_M_AXI_WSTRB;
  wire [3:0]m00_exit_M_AXI_WUSER;
  wire m00_exit_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [3:0]s_axi_1_ARCACHE;
  wire [0:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [1023:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [3:0]s_axi_1_AWCACHE;
  wire [0:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [1023:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [0:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [1023:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [31:0]s_axi_1_RDATA;
  wire [0:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [1023:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [31:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [3:0]s_axi_1_WSTRB;
  wire [1023:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m00_exit_M_AXI_ARREADY = m_axi_arready;
  assign m00_exit_M_AXI_AWREADY = m_axi_awready;
  assign m00_exit_M_AXI_BRESP = m_axi_bresp[1:0];
  assign m00_exit_M_AXI_BUSER = m_axi_buser[15:0];
  assign m00_exit_M_AXI_BVALID = m_axi_bvalid;
  assign m00_exit_M_AXI_RDATA = m_axi_rdata[31:0];
  assign m00_exit_M_AXI_RLAST = m_axi_rlast;
  assign m00_exit_M_AXI_RRESP = m_axi_rresp[1:0];
  assign m00_exit_M_AXI_RUSER = m_axi_ruser[3:0];
  assign m00_exit_M_AXI_RVALID = m_axi_rvalid;
  assign m00_exit_M_AXI_WREADY = m_axi_wready;
  assign m_axi_araddr[63:0] = m00_exit_M_AXI_ARADDR;
  assign m_axi_arburst[1:0] = m00_exit_M_AXI_ARBURST;
  assign m_axi_arcache[3:0] = m00_exit_M_AXI_ARCACHE;
  assign m_axi_arlen[7:0] = m00_exit_M_AXI_ARLEN;
  assign m_axi_arlock[0] = m00_exit_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = m00_exit_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = m00_exit_M_AXI_ARQOS;
  assign m_axi_arsize[2:0] = m00_exit_M_AXI_ARSIZE;
  assign m_axi_aruser[17:0] = m00_exit_M_AXI_ARUSER;
  assign m_axi_arvalid = m00_exit_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = m00_exit_M_AXI_AWADDR;
  assign m_axi_awburst[1:0] = m00_exit_M_AXI_AWBURST;
  assign m_axi_awcache[3:0] = m00_exit_M_AXI_AWCACHE;
  assign m_axi_awlen[7:0] = m00_exit_M_AXI_AWLEN;
  assign m_axi_awlock[0] = m00_exit_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = m00_exit_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = m00_exit_M_AXI_AWQOS;
  assign m_axi_awsize[2:0] = m00_exit_M_AXI_AWSIZE;
  assign m_axi_awuser[17:0] = m00_exit_M_AXI_AWUSER;
  assign m_axi_awvalid = m00_exit_M_AXI_AWVALID;
  assign m_axi_bready = m00_exit_M_AXI_BREADY;
  assign m_axi_rready = m00_exit_M_AXI_RREADY;
  assign m_axi_wdata[31:0] = m00_exit_M_AXI_WDATA;
  assign m_axi_wlast = m00_exit_M_AXI_WLAST;
  assign m_axi_wstrb[3:0] = m00_exit_M_AXI_WSTRB;
  assign m_axi_wuser[3:0] = m00_exit_M_AXI_WUSER;
  assign m_axi_wvalid = m00_exit_M_AXI_WVALID;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARUSER = s_axi_aruser[1023:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWUSER = s_axi_awuser[1023:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[31:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[3:0];
  assign s_axi_1_WUSER = s_axi_wuser[1023:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[1023:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[31:0] = s_axi_1_RDATA;
  assign s_axi_rid[0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[1023:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_b77a_m00e_0 m00_exit
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(m00_exit_M_AXI_ARADDR),
        .m_axi_arburst(m00_exit_M_AXI_ARBURST),
        .m_axi_arcache(m00_exit_M_AXI_ARCACHE),
        .m_axi_arlen(m00_exit_M_AXI_ARLEN),
        .m_axi_arlock(m00_exit_M_AXI_ARLOCK),
        .m_axi_arprot(m00_exit_M_AXI_ARPROT),
        .m_axi_arqos(m00_exit_M_AXI_ARQOS),
        .m_axi_arready(m00_exit_M_AXI_ARREADY),
        .m_axi_arsize(m00_exit_M_AXI_ARSIZE),
        .m_axi_aruser(m00_exit_M_AXI_ARUSER),
        .m_axi_arvalid(m00_exit_M_AXI_ARVALID),
        .m_axi_awaddr(m00_exit_M_AXI_AWADDR),
        .m_axi_awburst(m00_exit_M_AXI_AWBURST),
        .m_axi_awcache(m00_exit_M_AXI_AWCACHE),
        .m_axi_awlen(m00_exit_M_AXI_AWLEN),
        .m_axi_awlock(m00_exit_M_AXI_AWLOCK),
        .m_axi_awprot(m00_exit_M_AXI_AWPROT),
        .m_axi_awqos(m00_exit_M_AXI_AWQOS),
        .m_axi_awready(m00_exit_M_AXI_AWREADY),
        .m_axi_awsize(m00_exit_M_AXI_AWSIZE),
        .m_axi_awuser(m00_exit_M_AXI_AWUSER),
        .m_axi_awvalid(m00_exit_M_AXI_AWVALID),
        .m_axi_bready(m00_exit_M_AXI_BREADY),
        .m_axi_bresp(m00_exit_M_AXI_BRESP),
        .m_axi_buser(m00_exit_M_AXI_BUSER),
        .m_axi_bvalid(m00_exit_M_AXI_BVALID),
        .m_axi_rdata(m00_exit_M_AXI_RDATA),
        .m_axi_rlast(m00_exit_M_AXI_RLAST),
        .m_axi_rready(m00_exit_M_AXI_RREADY),
        .m_axi_rresp(m00_exit_M_AXI_RRESP),
        .m_axi_ruser(m00_exit_M_AXI_RUSER),
        .m_axi_rvalid(m00_exit_M_AXI_RVALID),
        .m_axi_wdata(m00_exit_M_AXI_WDATA),
        .m_axi_wlast(m00_exit_M_AXI_WLAST),
        .m_axi_wready(m00_exit_M_AXI_WREADY),
        .m_axi_wstrb(m00_exit_M_AXI_WSTRB),
        .m_axi_wuser(m00_exit_M_AXI_WUSER),
        .m_axi_wvalid(m00_exit_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_entry_pipeline_imp_KONUTH
   (aclk,
    aresetn,
    m_axi_araddr,
    m_axi_arcache,
    m_axi_arid,
    m_axi_arlen,
    m_axi_arlock,
    m_axi_arprot,
    m_axi_arqos,
    m_axi_arready,
    m_axi_aruser,
    m_axi_arvalid,
    m_axi_awaddr,
    m_axi_awcache,
    m_axi_awid,
    m_axi_awlen,
    m_axi_awlock,
    m_axi_awprot,
    m_axi_awqos,
    m_axi_awready,
    m_axi_awuser,
    m_axi_awvalid,
    m_axi_bid,
    m_axi_bready,
    m_axi_bresp,
    m_axi_buser,
    m_axi_bvalid,
    m_axi_rdata,
    m_axi_rid,
    m_axi_rlast,
    m_axi_rready,
    m_axi_rresp,
    m_axi_ruser,
    m_axi_rvalid,
    m_axi_wdata,
    m_axi_wlast,
    m_axi_wready,
    m_axi_wstrb,
    m_axi_wuser,
    m_axi_wvalid,
    s_axi_araddr,
    s_axi_arburst,
    s_axi_arcache,
    s_axi_arid,
    s_axi_arlen,
    s_axi_arlock,
    s_axi_arprot,
    s_axi_arqos,
    s_axi_arready,
    s_axi_arsize,
    s_axi_aruser,
    s_axi_arvalid,
    s_axi_awaddr,
    s_axi_awburst,
    s_axi_awcache,
    s_axi_awid,
    s_axi_awlen,
    s_axi_awlock,
    s_axi_awprot,
    s_axi_awqos,
    s_axi_awready,
    s_axi_awsize,
    s_axi_awuser,
    s_axi_awvalid,
    s_axi_bid,
    s_axi_bready,
    s_axi_bresp,
    s_axi_buser,
    s_axi_bvalid,
    s_axi_rdata,
    s_axi_rid,
    s_axi_rlast,
    s_axi_rready,
    s_axi_rresp,
    s_axi_ruser,
    s_axi_rvalid,
    s_axi_wdata,
    s_axi_wlast,
    s_axi_wready,
    s_axi_wstrb,
    s_axi_wuser,
    s_axi_wvalid);
  input aclk;
  input aresetn;
  output [63:0]m_axi_araddr;
  output [3:0]m_axi_arcache;
  output [0:0]m_axi_arid;
  output [7:0]m_axi_arlen;
  output [0:0]m_axi_arlock;
  output [2:0]m_axi_arprot;
  output [3:0]m_axi_arqos;
  input m_axi_arready;
  output [1023:0]m_axi_aruser;
  output m_axi_arvalid;
  output [63:0]m_axi_awaddr;
  output [3:0]m_axi_awcache;
  output [0:0]m_axi_awid;
  output [7:0]m_axi_awlen;
  output [0:0]m_axi_awlock;
  output [2:0]m_axi_awprot;
  output [3:0]m_axi_awqos;
  input m_axi_awready;
  output [1023:0]m_axi_awuser;
  output m_axi_awvalid;
  input [0:0]m_axi_bid;
  output m_axi_bready;
  input [1:0]m_axi_bresp;
  input [1023:0]m_axi_buser;
  input m_axi_bvalid;
  input [127:0]m_axi_rdata;
  input [0:0]m_axi_rid;
  input m_axi_rlast;
  output m_axi_rready;
  input [1:0]m_axi_rresp;
  input [1023:0]m_axi_ruser;
  input m_axi_rvalid;
  output [127:0]m_axi_wdata;
  output m_axi_wlast;
  input m_axi_wready;
  output [15:0]m_axi_wstrb;
  output [1023:0]m_axi_wuser;
  output m_axi_wvalid;
  input [63:0]s_axi_araddr;
  input [1:0]s_axi_arburst;
  input [3:0]s_axi_arcache;
  input [15:0]s_axi_arid;
  input [7:0]s_axi_arlen;
  input [0:0]s_axi_arlock;
  input [2:0]s_axi_arprot;
  input [3:0]s_axi_arqos;
  output s_axi_arready;
  input [2:0]s_axi_arsize;
  input [17:0]s_axi_aruser;
  input s_axi_arvalid;
  input [63:0]s_axi_awaddr;
  input [1:0]s_axi_awburst;
  input [3:0]s_axi_awcache;
  input [15:0]s_axi_awid;
  input [7:0]s_axi_awlen;
  input [0:0]s_axi_awlock;
  input [2:0]s_axi_awprot;
  input [3:0]s_axi_awqos;
  output s_axi_awready;
  input [2:0]s_axi_awsize;
  input [17:0]s_axi_awuser;
  input s_axi_awvalid;
  output [15:0]s_axi_bid;
  input s_axi_bready;
  output [1:0]s_axi_bresp;
  output [15:0]s_axi_buser;
  output s_axi_bvalid;
  output [127:0]s_axi_rdata;
  output [15:0]s_axi_rid;
  output s_axi_rlast;
  input s_axi_rready;
  output [1:0]s_axi_rresp;
  output [15:0]s_axi_ruser;
  output s_axi_rvalid;
  input [127:0]s_axi_wdata;
  input s_axi_wlast;
  output s_axi_wready;
  input [15:0]s_axi_wstrb;
  input [15:0]s_axi_wuser;
  input s_axi_wvalid;

  wire aclk_1;
  wire aresetn_1;
  wire [63:0]s00_mmu_M_AXI_ARADDR;
  wire [1:0]s00_mmu_M_AXI_ARBURST;
  wire [3:0]s00_mmu_M_AXI_ARCACHE;
  wire [15:0]s00_mmu_M_AXI_ARID;
  wire [7:0]s00_mmu_M_AXI_ARLEN;
  wire [0:0]s00_mmu_M_AXI_ARLOCK;
  wire [2:0]s00_mmu_M_AXI_ARPROT;
  wire [3:0]s00_mmu_M_AXI_ARQOS;
  wire s00_mmu_M_AXI_ARREADY;
  wire [2:0]s00_mmu_M_AXI_ARSIZE;
  wire [1023:0]s00_mmu_M_AXI_ARUSER;
  wire s00_mmu_M_AXI_ARVALID;
  wire [63:0]s00_mmu_M_AXI_AWADDR;
  wire [1:0]s00_mmu_M_AXI_AWBURST;
  wire [3:0]s00_mmu_M_AXI_AWCACHE;
  wire [15:0]s00_mmu_M_AXI_AWID;
  wire [7:0]s00_mmu_M_AXI_AWLEN;
  wire [0:0]s00_mmu_M_AXI_AWLOCK;
  wire [2:0]s00_mmu_M_AXI_AWPROT;
  wire [3:0]s00_mmu_M_AXI_AWQOS;
  wire s00_mmu_M_AXI_AWREADY;
  wire [2:0]s00_mmu_M_AXI_AWSIZE;
  wire [1023:0]s00_mmu_M_AXI_AWUSER;
  wire s00_mmu_M_AXI_AWVALID;
  wire [15:0]s00_mmu_M_AXI_BID;
  wire s00_mmu_M_AXI_BREADY;
  wire [1:0]s00_mmu_M_AXI_BRESP;
  wire [1023:0]s00_mmu_M_AXI_BUSER;
  wire s00_mmu_M_AXI_BVALID;
  wire [127:0]s00_mmu_M_AXI_RDATA;
  wire [15:0]s00_mmu_M_AXI_RID;
  wire s00_mmu_M_AXI_RLAST;
  wire s00_mmu_M_AXI_RREADY;
  wire [1:0]s00_mmu_M_AXI_RRESP;
  wire [1023:0]s00_mmu_M_AXI_RUSER;
  wire s00_mmu_M_AXI_RVALID;
  wire [127:0]s00_mmu_M_AXI_WDATA;
  wire s00_mmu_M_AXI_WLAST;
  wire s00_mmu_M_AXI_WREADY;
  wire [15:0]s00_mmu_M_AXI_WSTRB;
  wire [1023:0]s00_mmu_M_AXI_WUSER;
  wire s00_mmu_M_AXI_WVALID;
  wire [63:0]s00_si_converter_M_AXI_ARADDR;
  wire [3:0]s00_si_converter_M_AXI_ARCACHE;
  wire [0:0]s00_si_converter_M_AXI_ARID;
  wire [7:0]s00_si_converter_M_AXI_ARLEN;
  wire [0:0]s00_si_converter_M_AXI_ARLOCK;
  wire [2:0]s00_si_converter_M_AXI_ARPROT;
  wire [3:0]s00_si_converter_M_AXI_ARQOS;
  wire s00_si_converter_M_AXI_ARREADY;
  wire [1023:0]s00_si_converter_M_AXI_ARUSER;
  wire s00_si_converter_M_AXI_ARVALID;
  wire [63:0]s00_si_converter_M_AXI_AWADDR;
  wire [3:0]s00_si_converter_M_AXI_AWCACHE;
  wire [0:0]s00_si_converter_M_AXI_AWID;
  wire [7:0]s00_si_converter_M_AXI_AWLEN;
  wire [0:0]s00_si_converter_M_AXI_AWLOCK;
  wire [2:0]s00_si_converter_M_AXI_AWPROT;
  wire [3:0]s00_si_converter_M_AXI_AWQOS;
  wire s00_si_converter_M_AXI_AWREADY;
  wire [1023:0]s00_si_converter_M_AXI_AWUSER;
  wire s00_si_converter_M_AXI_AWVALID;
  wire [0:0]s00_si_converter_M_AXI_BID;
  wire s00_si_converter_M_AXI_BREADY;
  wire [1:0]s00_si_converter_M_AXI_BRESP;
  wire [1023:0]s00_si_converter_M_AXI_BUSER;
  wire s00_si_converter_M_AXI_BVALID;
  wire [127:0]s00_si_converter_M_AXI_RDATA;
  wire [0:0]s00_si_converter_M_AXI_RID;
  wire s00_si_converter_M_AXI_RLAST;
  wire s00_si_converter_M_AXI_RREADY;
  wire [1:0]s00_si_converter_M_AXI_RRESP;
  wire [1023:0]s00_si_converter_M_AXI_RUSER;
  wire s00_si_converter_M_AXI_RVALID;
  wire [127:0]s00_si_converter_M_AXI_WDATA;
  wire s00_si_converter_M_AXI_WLAST;
  wire s00_si_converter_M_AXI_WREADY;
  wire [15:0]s00_si_converter_M_AXI_WSTRB;
  wire [1023:0]s00_si_converter_M_AXI_WUSER;
  wire s00_si_converter_M_AXI_WVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_ARADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_ARBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_ARCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_ARID;
  wire [7:0]s00_transaction_regulator_M_AXI_ARLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_ARLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_ARPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_ARQOS;
  wire s00_transaction_regulator_M_AXI_ARREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_ARSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_ARUSER;
  wire s00_transaction_regulator_M_AXI_ARVALID;
  wire [63:0]s00_transaction_regulator_M_AXI_AWADDR;
  wire [1:0]s00_transaction_regulator_M_AXI_AWBURST;
  wire [3:0]s00_transaction_regulator_M_AXI_AWCACHE;
  wire [0:0]s00_transaction_regulator_M_AXI_AWID;
  wire [7:0]s00_transaction_regulator_M_AXI_AWLEN;
  wire [0:0]s00_transaction_regulator_M_AXI_AWLOCK;
  wire [2:0]s00_transaction_regulator_M_AXI_AWPROT;
  wire [3:0]s00_transaction_regulator_M_AXI_AWQOS;
  wire s00_transaction_regulator_M_AXI_AWREADY;
  wire [2:0]s00_transaction_regulator_M_AXI_AWSIZE;
  wire [1023:0]s00_transaction_regulator_M_AXI_AWUSER;
  wire s00_transaction_regulator_M_AXI_AWVALID;
  wire [0:0]s00_transaction_regulator_M_AXI_BID;
  wire s00_transaction_regulator_M_AXI_BREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_BRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_BUSER;
  wire s00_transaction_regulator_M_AXI_BVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_RDATA;
  wire [0:0]s00_transaction_regulator_M_AXI_RID;
  wire s00_transaction_regulator_M_AXI_RLAST;
  wire s00_transaction_regulator_M_AXI_RREADY;
  wire [1:0]s00_transaction_regulator_M_AXI_RRESP;
  wire [1023:0]s00_transaction_regulator_M_AXI_RUSER;
  wire s00_transaction_regulator_M_AXI_RVALID;
  wire [127:0]s00_transaction_regulator_M_AXI_WDATA;
  wire s00_transaction_regulator_M_AXI_WLAST;
  wire s00_transaction_regulator_M_AXI_WREADY;
  wire [15:0]s00_transaction_regulator_M_AXI_WSTRB;
  wire [1023:0]s00_transaction_regulator_M_AXI_WUSER;
  wire s00_transaction_regulator_M_AXI_WVALID;
  wire [63:0]s_axi_1_ARADDR;
  wire [1:0]s_axi_1_ARBURST;
  wire [3:0]s_axi_1_ARCACHE;
  wire [15:0]s_axi_1_ARID;
  wire [7:0]s_axi_1_ARLEN;
  wire [0:0]s_axi_1_ARLOCK;
  wire [2:0]s_axi_1_ARPROT;
  wire [3:0]s_axi_1_ARQOS;
  wire s_axi_1_ARREADY;
  wire [2:0]s_axi_1_ARSIZE;
  wire [17:0]s_axi_1_ARUSER;
  wire s_axi_1_ARVALID;
  wire [63:0]s_axi_1_AWADDR;
  wire [1:0]s_axi_1_AWBURST;
  wire [3:0]s_axi_1_AWCACHE;
  wire [15:0]s_axi_1_AWID;
  wire [7:0]s_axi_1_AWLEN;
  wire [0:0]s_axi_1_AWLOCK;
  wire [2:0]s_axi_1_AWPROT;
  wire [3:0]s_axi_1_AWQOS;
  wire s_axi_1_AWREADY;
  wire [2:0]s_axi_1_AWSIZE;
  wire [17:0]s_axi_1_AWUSER;
  wire s_axi_1_AWVALID;
  wire [15:0]s_axi_1_BID;
  wire s_axi_1_BREADY;
  wire [1:0]s_axi_1_BRESP;
  wire [15:0]s_axi_1_BUSER;
  wire s_axi_1_BVALID;
  wire [127:0]s_axi_1_RDATA;
  wire [15:0]s_axi_1_RID;
  wire s_axi_1_RLAST;
  wire s_axi_1_RREADY;
  wire [1:0]s_axi_1_RRESP;
  wire [15:0]s_axi_1_RUSER;
  wire s_axi_1_RVALID;
  wire [127:0]s_axi_1_WDATA;
  wire s_axi_1_WLAST;
  wire s_axi_1_WREADY;
  wire [15:0]s_axi_1_WSTRB;
  wire [15:0]s_axi_1_WUSER;
  wire s_axi_1_WVALID;

  assign aclk_1 = aclk;
  assign aresetn_1 = aresetn;
  assign m_axi_araddr[63:0] = s00_si_converter_M_AXI_ARADDR;
  assign m_axi_arcache[3:0] = s00_si_converter_M_AXI_ARCACHE;
  assign m_axi_arid[0] = s00_si_converter_M_AXI_ARID;
  assign m_axi_arlen[7:0] = s00_si_converter_M_AXI_ARLEN;
  assign m_axi_arlock[0] = s00_si_converter_M_AXI_ARLOCK;
  assign m_axi_arprot[2:0] = s00_si_converter_M_AXI_ARPROT;
  assign m_axi_arqos[3:0] = s00_si_converter_M_AXI_ARQOS;
  assign m_axi_aruser[1023:0] = s00_si_converter_M_AXI_ARUSER;
  assign m_axi_arvalid = s00_si_converter_M_AXI_ARVALID;
  assign m_axi_awaddr[63:0] = s00_si_converter_M_AXI_AWADDR;
  assign m_axi_awcache[3:0] = s00_si_converter_M_AXI_AWCACHE;
  assign m_axi_awid[0] = s00_si_converter_M_AXI_AWID;
  assign m_axi_awlen[7:0] = s00_si_converter_M_AXI_AWLEN;
  assign m_axi_awlock[0] = s00_si_converter_M_AXI_AWLOCK;
  assign m_axi_awprot[2:0] = s00_si_converter_M_AXI_AWPROT;
  assign m_axi_awqos[3:0] = s00_si_converter_M_AXI_AWQOS;
  assign m_axi_awuser[1023:0] = s00_si_converter_M_AXI_AWUSER;
  assign m_axi_awvalid = s00_si_converter_M_AXI_AWVALID;
  assign m_axi_bready = s00_si_converter_M_AXI_BREADY;
  assign m_axi_rready = s00_si_converter_M_AXI_RREADY;
  assign m_axi_wdata[127:0] = s00_si_converter_M_AXI_WDATA;
  assign m_axi_wlast = s00_si_converter_M_AXI_WLAST;
  assign m_axi_wstrb[15:0] = s00_si_converter_M_AXI_WSTRB;
  assign m_axi_wuser[1023:0] = s00_si_converter_M_AXI_WUSER;
  assign m_axi_wvalid = s00_si_converter_M_AXI_WVALID;
  assign s00_si_converter_M_AXI_ARREADY = m_axi_arready;
  assign s00_si_converter_M_AXI_AWREADY = m_axi_awready;
  assign s00_si_converter_M_AXI_BID = m_axi_bid[0];
  assign s00_si_converter_M_AXI_BRESP = m_axi_bresp[1:0];
  assign s00_si_converter_M_AXI_BUSER = m_axi_buser[1023:0];
  assign s00_si_converter_M_AXI_BVALID = m_axi_bvalid;
  assign s00_si_converter_M_AXI_RDATA = m_axi_rdata[127:0];
  assign s00_si_converter_M_AXI_RID = m_axi_rid[0];
  assign s00_si_converter_M_AXI_RLAST = m_axi_rlast;
  assign s00_si_converter_M_AXI_RRESP = m_axi_rresp[1:0];
  assign s00_si_converter_M_AXI_RUSER = m_axi_ruser[1023:0];
  assign s00_si_converter_M_AXI_RVALID = m_axi_rvalid;
  assign s00_si_converter_M_AXI_WREADY = m_axi_wready;
  assign s_axi_1_ARADDR = s_axi_araddr[63:0];
  assign s_axi_1_ARBURST = s_axi_arburst[1:0];
  assign s_axi_1_ARCACHE = s_axi_arcache[3:0];
  assign s_axi_1_ARID = s_axi_arid[15:0];
  assign s_axi_1_ARLEN = s_axi_arlen[7:0];
  assign s_axi_1_ARLOCK = s_axi_arlock[0];
  assign s_axi_1_ARPROT = s_axi_arprot[2:0];
  assign s_axi_1_ARQOS = s_axi_arqos[3:0];
  assign s_axi_1_ARSIZE = s_axi_arsize[2:0];
  assign s_axi_1_ARUSER = s_axi_aruser[17:0];
  assign s_axi_1_ARVALID = s_axi_arvalid;
  assign s_axi_1_AWADDR = s_axi_awaddr[63:0];
  assign s_axi_1_AWBURST = s_axi_awburst[1:0];
  assign s_axi_1_AWCACHE = s_axi_awcache[3:0];
  assign s_axi_1_AWID = s_axi_awid[15:0];
  assign s_axi_1_AWLEN = s_axi_awlen[7:0];
  assign s_axi_1_AWLOCK = s_axi_awlock[0];
  assign s_axi_1_AWPROT = s_axi_awprot[2:0];
  assign s_axi_1_AWQOS = s_axi_awqos[3:0];
  assign s_axi_1_AWSIZE = s_axi_awsize[2:0];
  assign s_axi_1_AWUSER = s_axi_awuser[17:0];
  assign s_axi_1_AWVALID = s_axi_awvalid;
  assign s_axi_1_BREADY = s_axi_bready;
  assign s_axi_1_RREADY = s_axi_rready;
  assign s_axi_1_WDATA = s_axi_wdata[127:0];
  assign s_axi_1_WLAST = s_axi_wlast;
  assign s_axi_1_WSTRB = s_axi_wstrb[15:0];
  assign s_axi_1_WUSER = s_axi_wuser[15:0];
  assign s_axi_1_WVALID = s_axi_wvalid;
  assign s_axi_arready = s_axi_1_ARREADY;
  assign s_axi_awready = s_axi_1_AWREADY;
  assign s_axi_bid[15:0] = s_axi_1_BID;
  assign s_axi_bresp[1:0] = s_axi_1_BRESP;
  assign s_axi_buser[15:0] = s_axi_1_BUSER;
  assign s_axi_bvalid = s_axi_1_BVALID;
  assign s_axi_rdata[127:0] = s_axi_1_RDATA;
  assign s_axi_rid[15:0] = s_axi_1_RID;
  assign s_axi_rlast = s_axi_1_RLAST;
  assign s_axi_rresp[1:0] = s_axi_1_RRESP;
  assign s_axi_ruser[15:0] = s_axi_1_RUSER;
  assign s_axi_rvalid = s_axi_1_RVALID;
  assign s_axi_wready = s_axi_1_WREADY;
  versal_cips_ps_vip_v1_0_11_bd_b77a_s00mmu_0 s00_mmu
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .m_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .m_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .m_axi_arid(s00_mmu_M_AXI_ARID),
        .m_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .m_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .m_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .m_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .m_axi_arready(s00_mmu_M_AXI_ARREADY),
        .m_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .m_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .m_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .m_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .m_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .m_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .m_axi_awid(s00_mmu_M_AXI_AWID),
        .m_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .m_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .m_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .m_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .m_axi_awready(s00_mmu_M_AXI_AWREADY),
        .m_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .m_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .m_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .m_axi_bid(s00_mmu_M_AXI_BID),
        .m_axi_bready(s00_mmu_M_AXI_BREADY),
        .m_axi_bresp(s00_mmu_M_AXI_BRESP),
        .m_axi_buser(s00_mmu_M_AXI_BUSER),
        .m_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .m_axi_rdata(s00_mmu_M_AXI_RDATA),
        .m_axi_rid(s00_mmu_M_AXI_RID),
        .m_axi_rlast(s00_mmu_M_AXI_RLAST),
        .m_axi_rready(s00_mmu_M_AXI_RREADY),
        .m_axi_rresp(s00_mmu_M_AXI_RRESP),
        .m_axi_ruser(s00_mmu_M_AXI_RUSER),
        .m_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .m_axi_wdata(s00_mmu_M_AXI_WDATA),
        .m_axi_wlast(s00_mmu_M_AXI_WLAST),
        .m_axi_wready(s00_mmu_M_AXI_WREADY),
        .m_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .m_axi_wuser(s00_mmu_M_AXI_WUSER),
        .m_axi_wvalid(s00_mmu_M_AXI_WVALID),
        .s_axi_araddr(s_axi_1_ARADDR),
        .s_axi_arburst(s_axi_1_ARBURST),
        .s_axi_arcache(s_axi_1_ARCACHE),
        .s_axi_arid(s_axi_1_ARID),
        .s_axi_arlen(s_axi_1_ARLEN),
        .s_axi_arlock(s_axi_1_ARLOCK),
        .s_axi_arprot(s_axi_1_ARPROT),
        .s_axi_arqos(s_axi_1_ARQOS),
        .s_axi_arready(s_axi_1_ARREADY),
        .s_axi_arsize(s_axi_1_ARSIZE),
        .s_axi_aruser(s_axi_1_ARUSER),
        .s_axi_arvalid(s_axi_1_ARVALID),
        .s_axi_awaddr(s_axi_1_AWADDR),
        .s_axi_awburst(s_axi_1_AWBURST),
        .s_axi_awcache(s_axi_1_AWCACHE),
        .s_axi_awid(s_axi_1_AWID),
        .s_axi_awlen(s_axi_1_AWLEN),
        .s_axi_awlock(s_axi_1_AWLOCK),
        .s_axi_awprot(s_axi_1_AWPROT),
        .s_axi_awqos(s_axi_1_AWQOS),
        .s_axi_awready(s_axi_1_AWREADY),
        .s_axi_awsize(s_axi_1_AWSIZE),
        .s_axi_awuser(s_axi_1_AWUSER),
        .s_axi_awvalid(s_axi_1_AWVALID),
        .s_axi_bid(s_axi_1_BID),
        .s_axi_bready(s_axi_1_BREADY),
        .s_axi_bresp(s_axi_1_BRESP),
        .s_axi_buser(s_axi_1_BUSER),
        .s_axi_bvalid(s_axi_1_BVALID),
        .s_axi_rdata(s_axi_1_RDATA),
        .s_axi_rid(s_axi_1_RID),
        .s_axi_rlast(s_axi_1_RLAST),
        .s_axi_rready(s_axi_1_RREADY),
        .s_axi_rresp(s_axi_1_RRESP),
        .s_axi_ruser(s_axi_1_RUSER),
        .s_axi_rvalid(s_axi_1_RVALID),
        .s_axi_wdata(s_axi_1_WDATA),
        .s_axi_wlast(s_axi_1_WLAST),
        .s_axi_wready(s_axi_1_WREADY),
        .s_axi_wstrb(s_axi_1_WSTRB),
        .s_axi_wuser(s_axi_1_WUSER),
        .s_axi_wvalid(s_axi_1_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_b77a_s00sic_0 s00_si_converter
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_si_converter_M_AXI_ARADDR),
        .m_axi_arcache(s00_si_converter_M_AXI_ARCACHE),
        .m_axi_arid(s00_si_converter_M_AXI_ARID),
        .m_axi_arlen(s00_si_converter_M_AXI_ARLEN),
        .m_axi_arlock(s00_si_converter_M_AXI_ARLOCK),
        .m_axi_arprot(s00_si_converter_M_AXI_ARPROT),
        .m_axi_arqos(s00_si_converter_M_AXI_ARQOS),
        .m_axi_arready(s00_si_converter_M_AXI_ARREADY),
        .m_axi_aruser(s00_si_converter_M_AXI_ARUSER),
        .m_axi_arvalid(s00_si_converter_M_AXI_ARVALID),
        .m_axi_awaddr(s00_si_converter_M_AXI_AWADDR),
        .m_axi_awcache(s00_si_converter_M_AXI_AWCACHE),
        .m_axi_awid(s00_si_converter_M_AXI_AWID),
        .m_axi_awlen(s00_si_converter_M_AXI_AWLEN),
        .m_axi_awlock(s00_si_converter_M_AXI_AWLOCK),
        .m_axi_awprot(s00_si_converter_M_AXI_AWPROT),
        .m_axi_awqos(s00_si_converter_M_AXI_AWQOS),
        .m_axi_awready(s00_si_converter_M_AXI_AWREADY),
        .m_axi_awuser(s00_si_converter_M_AXI_AWUSER),
        .m_axi_awvalid(s00_si_converter_M_AXI_AWVALID),
        .m_axi_bid(s00_si_converter_M_AXI_BID),
        .m_axi_bready(s00_si_converter_M_AXI_BREADY),
        .m_axi_bresp(s00_si_converter_M_AXI_BRESP),
        .m_axi_buser(s00_si_converter_M_AXI_BUSER),
        .m_axi_bvalid(s00_si_converter_M_AXI_BVALID),
        .m_axi_rdata(s00_si_converter_M_AXI_RDATA),
        .m_axi_rid(s00_si_converter_M_AXI_RID),
        .m_axi_rlast(s00_si_converter_M_AXI_RLAST),
        .m_axi_rready(s00_si_converter_M_AXI_RREADY),
        .m_axi_rresp(s00_si_converter_M_AXI_RRESP),
        .m_axi_ruser(s00_si_converter_M_AXI_RUSER),
        .m_axi_rvalid(s00_si_converter_M_AXI_RVALID),
        .m_axi_wdata(s00_si_converter_M_AXI_WDATA),
        .m_axi_wlast(s00_si_converter_M_AXI_WLAST),
        .m_axi_wready(s00_si_converter_M_AXI_WREADY),
        .m_axi_wstrb(s00_si_converter_M_AXI_WSTRB),
        .m_axi_wuser(s00_si_converter_M_AXI_WUSER),
        .m_axi_wvalid(s00_si_converter_M_AXI_WVALID),
        .s_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .s_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .s_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .s_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .s_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .s_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .s_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .s_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .s_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .s_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .s_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .s_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .s_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .s_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .s_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .s_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .s_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .s_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .s_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .s_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .s_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .s_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .s_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .s_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .s_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .s_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .s_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .s_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .s_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .s_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .s_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .s_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .s_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .s_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .s_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .s_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .s_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .s_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .s_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .s_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .s_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .s_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_bd_b77a_s00tr_0 s00_transaction_regulator
       (.aclk(aclk_1),
        .aresetn(aresetn_1),
        .m_axi_araddr(s00_transaction_regulator_M_AXI_ARADDR),
        .m_axi_arburst(s00_transaction_regulator_M_AXI_ARBURST),
        .m_axi_arcache(s00_transaction_regulator_M_AXI_ARCACHE),
        .m_axi_arid(s00_transaction_regulator_M_AXI_ARID),
        .m_axi_arlen(s00_transaction_regulator_M_AXI_ARLEN),
        .m_axi_arlock(s00_transaction_regulator_M_AXI_ARLOCK),
        .m_axi_arprot(s00_transaction_regulator_M_AXI_ARPROT),
        .m_axi_arqos(s00_transaction_regulator_M_AXI_ARQOS),
        .m_axi_arready(s00_transaction_regulator_M_AXI_ARREADY),
        .m_axi_arsize(s00_transaction_regulator_M_AXI_ARSIZE),
        .m_axi_aruser(s00_transaction_regulator_M_AXI_ARUSER),
        .m_axi_arvalid(s00_transaction_regulator_M_AXI_ARVALID),
        .m_axi_awaddr(s00_transaction_regulator_M_AXI_AWADDR),
        .m_axi_awburst(s00_transaction_regulator_M_AXI_AWBURST),
        .m_axi_awcache(s00_transaction_regulator_M_AXI_AWCACHE),
        .m_axi_awid(s00_transaction_regulator_M_AXI_AWID),
        .m_axi_awlen(s00_transaction_regulator_M_AXI_AWLEN),
        .m_axi_awlock(s00_transaction_regulator_M_AXI_AWLOCK),
        .m_axi_awprot(s00_transaction_regulator_M_AXI_AWPROT),
        .m_axi_awqos(s00_transaction_regulator_M_AXI_AWQOS),
        .m_axi_awready(s00_transaction_regulator_M_AXI_AWREADY),
        .m_axi_awsize(s00_transaction_regulator_M_AXI_AWSIZE),
        .m_axi_awuser(s00_transaction_regulator_M_AXI_AWUSER),
        .m_axi_awvalid(s00_transaction_regulator_M_AXI_AWVALID),
        .m_axi_bid(s00_transaction_regulator_M_AXI_BID),
        .m_axi_bready(s00_transaction_regulator_M_AXI_BREADY),
        .m_axi_bresp(s00_transaction_regulator_M_AXI_BRESP),
        .m_axi_buser(s00_transaction_regulator_M_AXI_BUSER),
        .m_axi_bvalid(s00_transaction_regulator_M_AXI_BVALID),
        .m_axi_rdata(s00_transaction_regulator_M_AXI_RDATA),
        .m_axi_rid(s00_transaction_regulator_M_AXI_RID),
        .m_axi_rlast(s00_transaction_regulator_M_AXI_RLAST),
        .m_axi_rready(s00_transaction_regulator_M_AXI_RREADY),
        .m_axi_rresp(s00_transaction_regulator_M_AXI_RRESP),
        .m_axi_ruser(s00_transaction_regulator_M_AXI_RUSER),
        .m_axi_rvalid(s00_transaction_regulator_M_AXI_RVALID),
        .m_axi_wdata(s00_transaction_regulator_M_AXI_WDATA),
        .m_axi_wlast(s00_transaction_regulator_M_AXI_WLAST),
        .m_axi_wready(s00_transaction_regulator_M_AXI_WREADY),
        .m_axi_wstrb(s00_transaction_regulator_M_AXI_WSTRB),
        .m_axi_wuser(s00_transaction_regulator_M_AXI_WUSER),
        .m_axi_wvalid(s00_transaction_regulator_M_AXI_WVALID),
        .s_axi_araddr(s00_mmu_M_AXI_ARADDR),
        .s_axi_arburst(s00_mmu_M_AXI_ARBURST),
        .s_axi_arcache(s00_mmu_M_AXI_ARCACHE),
        .s_axi_arid(s00_mmu_M_AXI_ARID),
        .s_axi_arlen(s00_mmu_M_AXI_ARLEN),
        .s_axi_arlock(s00_mmu_M_AXI_ARLOCK),
        .s_axi_arprot(s00_mmu_M_AXI_ARPROT),
        .s_axi_arqos(s00_mmu_M_AXI_ARQOS),
        .s_axi_arready(s00_mmu_M_AXI_ARREADY),
        .s_axi_arsize(s00_mmu_M_AXI_ARSIZE),
        .s_axi_aruser(s00_mmu_M_AXI_ARUSER),
        .s_axi_arvalid(s00_mmu_M_AXI_ARVALID),
        .s_axi_awaddr(s00_mmu_M_AXI_AWADDR),
        .s_axi_awburst(s00_mmu_M_AXI_AWBURST),
        .s_axi_awcache(s00_mmu_M_AXI_AWCACHE),
        .s_axi_awid(s00_mmu_M_AXI_AWID),
        .s_axi_awlen(s00_mmu_M_AXI_AWLEN),
        .s_axi_awlock(s00_mmu_M_AXI_AWLOCK),
        .s_axi_awprot(s00_mmu_M_AXI_AWPROT),
        .s_axi_awqos(s00_mmu_M_AXI_AWQOS),
        .s_axi_awready(s00_mmu_M_AXI_AWREADY),
        .s_axi_awsize(s00_mmu_M_AXI_AWSIZE),
        .s_axi_awuser(s00_mmu_M_AXI_AWUSER),
        .s_axi_awvalid(s00_mmu_M_AXI_AWVALID),
        .s_axi_bid(s00_mmu_M_AXI_BID),
        .s_axi_bready(s00_mmu_M_AXI_BREADY),
        .s_axi_bresp(s00_mmu_M_AXI_BRESP),
        .s_axi_buser(s00_mmu_M_AXI_BUSER),
        .s_axi_bvalid(s00_mmu_M_AXI_BVALID),
        .s_axi_rdata(s00_mmu_M_AXI_RDATA),
        .s_axi_rid(s00_mmu_M_AXI_RID),
        .s_axi_rlast(s00_mmu_M_AXI_RLAST),
        .s_axi_rready(s00_mmu_M_AXI_RREADY),
        .s_axi_rresp(s00_mmu_M_AXI_RRESP),
        .s_axi_ruser(s00_mmu_M_AXI_RUSER),
        .s_axi_rvalid(s00_mmu_M_AXI_RVALID),
        .s_axi_wdata(s00_mmu_M_AXI_WDATA),
        .s_axi_wlast(s00_mmu_M_AXI_WLAST),
        .s_axi_wready(s00_mmu_M_AXI_WREADY),
        .s_axi_wstrb(s00_mmu_M_AXI_WSTRB),
        .s_axi_wuser(s00_mmu_M_AXI_WUSER),
        .s_axi_wvalid(s00_mmu_M_AXI_WVALID));
endmodule

module versal_cips_ps_vip_v1_0_11_s00_nodes_imp_QF0TZZ
   (M_SC_AR_info,
    M_SC_AR_payld,
    M_SC_AR_recv,
    M_SC_AR_req,
    M_SC_AR_send,
    M_SC_AW_info,
    M_SC_AW_payld,
    M_SC_AW_recv,
    M_SC_AW_req,
    M_SC_AW_send,
    M_SC_B_info,
    M_SC_B_payld,
    M_SC_B_recv,
    M_SC_B_req,
    M_SC_B_send,
    M_SC_R_info,
    M_SC_R_payld,
    M_SC_R_recv,
    M_SC_R_req,
    M_SC_R_send,
    M_SC_W_info,
    M_SC_W_payld,
    M_SC_W_recv,
    M_SC_W_req,
    M_SC_W_send,
    S_SC_AR_info,
    S_SC_AR_payld,
    S_SC_AR_recv,
    S_SC_AR_req,
    S_SC_AR_send,
    S_SC_AW_info,
    S_SC_AW_payld,
    S_SC_AW_recv,
    S_SC_AW_req,
    S_SC_AW_send,
    S_SC_B_info,
    S_SC_B_payld,
    S_SC_B_recv,
    S_SC_B_req,
    S_SC_B_send,
    S_SC_R_info,
    S_SC_R_payld,
    S_SC_R_recv,
    S_SC_R_req,
    S_SC_R_send,
    S_SC_W_info,
    S_SC_W_payld,
    S_SC_W_recv,
    S_SC_W_req,
    S_SC_W_send,
    m_sc_clk,
    m_sc_resetn,
    s_sc_clk,
    s_sc_resetn);
  output [0:0]M_SC_AR_info;
  output [186:0]M_SC_AR_payld;
  input M_SC_AR_recv;
  output M_SC_AR_req;
  output M_SC_AR_send;
  output [0:0]M_SC_AW_info;
  output [186:0]M_SC_AW_payld;
  input M_SC_AW_recv;
  output M_SC_AW_req;
  output M_SC_AW_send;
  output [0:0]M_SC_B_info;
  output [19:0]M_SC_B_payld;
  input [0:0]M_SC_B_recv;
  output [0:0]M_SC_B_req;
  output [0:0]M_SC_B_send;
  output [0:0]M_SC_R_info;
  output [162:0]M_SC_R_payld;
  input [0:0]M_SC_R_recv;
  output [0:0]M_SC_R_req;
  output [0:0]M_SC_R_send;
  output [0:0]M_SC_W_info;
  output [175:0]M_SC_W_payld;
  input M_SC_W_recv;
  output M_SC_W_req;
  output M_SC_W_send;
  input [0:0]S_SC_AR_info;
  input [186:0]S_SC_AR_payld;
  output [0:0]S_SC_AR_recv;
  input [0:0]S_SC_AR_req;
  input [0:0]S_SC_AR_send;
  input [0:0]S_SC_AW_info;
  input [186:0]S_SC_AW_payld;
  output [0:0]S_SC_AW_recv;
  input [0:0]S_SC_AW_req;
  input [0:0]S_SC_AW_send;
  input [0:0]S_SC_B_info;
  input [19:0]S_SC_B_payld;
  output S_SC_B_recv;
  input S_SC_B_req;
  input S_SC_B_send;
  input [0:0]S_SC_R_info;
  input [162:0]S_SC_R_payld;
  output S_SC_R_recv;
  input S_SC_R_req;
  input S_SC_R_send;
  input [0:0]S_SC_W_info;
  input [175:0]S_SC_W_payld;
  output [0:0]S_SC_W_recv;
  input [0:0]S_SC_W_req;
  input [0:0]S_SC_W_send;
  input m_sc_clk;
  input m_sc_resetn;
  input s_sc_clk;
  input s_sc_resetn;

  wire [0:0]S_SC_AR_1_INFO;
  wire [186:0]S_SC_AR_1_PAYLD;
  wire [0:0]S_SC_AR_1_RECV;
  wire [0:0]S_SC_AR_1_REQ;
  wire [0:0]S_SC_AR_1_SEND;
  wire [0:0]S_SC_AW_1_INFO;
  wire [186:0]S_SC_AW_1_PAYLD;
  wire [0:0]S_SC_AW_1_RECV;
  wire [0:0]S_SC_AW_1_REQ;
  wire [0:0]S_SC_AW_1_SEND;
  wire [0:0]S_SC_B_1_INFO;
  wire [19:0]S_SC_B_1_PAYLD;
  wire [0:0]S_SC_B_1_RECV;
  wire S_SC_B_1_REQ;
  wire S_SC_B_1_SEND;
  wire [0:0]S_SC_R_1_INFO;
  wire [162:0]S_SC_R_1_PAYLD;
  wire [0:0]S_SC_R_1_RECV;
  wire S_SC_R_1_REQ;
  wire S_SC_R_1_SEND;
  wire [0:0]S_SC_W_1_INFO;
  wire [175:0]S_SC_W_1_PAYLD;
  wire [0:0]S_SC_W_1_RECV;
  wire [0:0]S_SC_W_1_REQ;
  wire [0:0]S_SC_W_1_SEND;
  wire m_sc_clk_1;
  wire m_sc_resetn_1;
  wire [0:0]s00_ar_node_M_SC_INFO;
  wire [186:0]s00_ar_node_M_SC_PAYLD;
  wire s00_ar_node_M_SC_RECV;
  wire [0:0]s00_ar_node_M_SC_REQ;
  wire [0:0]s00_ar_node_M_SC_SEND;
  wire [0:0]s00_aw_node_M_SC_INFO;
  wire [186:0]s00_aw_node_M_SC_PAYLD;
  wire s00_aw_node_M_SC_RECV;
  wire [0:0]s00_aw_node_M_SC_REQ;
  wire [0:0]s00_aw_node_M_SC_SEND;
  wire [0:0]s00_b_node_M_SC_INFO;
  wire [19:0]s00_b_node_M_SC_PAYLD;
  wire [0:0]s00_b_node_M_SC_RECV;
  wire [0:0]s00_b_node_M_SC_REQ;
  wire [0:0]s00_b_node_M_SC_SEND;
  wire [0:0]s00_r_node_M_SC_INFO;
  wire [162:0]s00_r_node_M_SC_PAYLD;
  wire [0:0]s00_r_node_M_SC_RECV;
  wire [0:0]s00_r_node_M_SC_REQ;
  wire [0:0]s00_r_node_M_SC_SEND;
  wire [0:0]s00_w_node_M_SC_INFO;
  wire [175:0]s00_w_node_M_SC_PAYLD;
  wire s00_w_node_M_SC_RECV;
  wire [0:0]s00_w_node_M_SC_REQ;
  wire [0:0]s00_w_node_M_SC_SEND;
  wire s_sc_clk_1;
  wire s_sc_resetn_1;

  assign M_SC_AR_info[0] = s00_ar_node_M_SC_INFO;
  assign M_SC_AR_payld[186:0] = s00_ar_node_M_SC_PAYLD;
  assign M_SC_AR_req = s00_ar_node_M_SC_REQ;
  assign M_SC_AR_send = s00_ar_node_M_SC_SEND;
  assign M_SC_AW_info[0] = s00_aw_node_M_SC_INFO;
  assign M_SC_AW_payld[186:0] = s00_aw_node_M_SC_PAYLD;
  assign M_SC_AW_req = s00_aw_node_M_SC_REQ;
  assign M_SC_AW_send = s00_aw_node_M_SC_SEND;
  assign M_SC_B_info[0] = s00_b_node_M_SC_INFO;
  assign M_SC_B_payld[19:0] = s00_b_node_M_SC_PAYLD;
  assign M_SC_B_req[0] = s00_b_node_M_SC_REQ;
  assign M_SC_B_send[0] = s00_b_node_M_SC_SEND;
  assign M_SC_R_info[0] = s00_r_node_M_SC_INFO;
  assign M_SC_R_payld[162:0] = s00_r_node_M_SC_PAYLD;
  assign M_SC_R_req[0] = s00_r_node_M_SC_REQ;
  assign M_SC_R_send[0] = s00_r_node_M_SC_SEND;
  assign M_SC_W_info[0] = s00_w_node_M_SC_INFO;
  assign M_SC_W_payld[175:0] = s00_w_node_M_SC_PAYLD;
  assign M_SC_W_req = s00_w_node_M_SC_REQ;
  assign M_SC_W_send = s00_w_node_M_SC_SEND;
  assign S_SC_AR_1_INFO = S_SC_AR_info[0];
  assign S_SC_AR_1_PAYLD = S_SC_AR_payld[186:0];
  assign S_SC_AR_1_REQ = S_SC_AR_req[0];
  assign S_SC_AR_1_SEND = S_SC_AR_send[0];
  assign S_SC_AR_recv[0] = S_SC_AR_1_RECV;
  assign S_SC_AW_1_INFO = S_SC_AW_info[0];
  assign S_SC_AW_1_PAYLD = S_SC_AW_payld[186:0];
  assign S_SC_AW_1_REQ = S_SC_AW_req[0];
  assign S_SC_AW_1_SEND = S_SC_AW_send[0];
  assign S_SC_AW_recv[0] = S_SC_AW_1_RECV;
  assign S_SC_B_1_INFO = S_SC_B_info[0];
  assign S_SC_B_1_PAYLD = S_SC_B_payld[19:0];
  assign S_SC_B_1_REQ = S_SC_B_req;
  assign S_SC_B_1_SEND = S_SC_B_send;
  assign S_SC_B_recv = S_SC_B_1_RECV;
  assign S_SC_R_1_INFO = S_SC_R_info[0];
  assign S_SC_R_1_PAYLD = S_SC_R_payld[162:0];
  assign S_SC_R_1_REQ = S_SC_R_req;
  assign S_SC_R_1_SEND = S_SC_R_send;
  assign S_SC_R_recv = S_SC_R_1_RECV;
  assign S_SC_W_1_INFO = S_SC_W_info[0];
  assign S_SC_W_1_PAYLD = S_SC_W_payld[175:0];
  assign S_SC_W_1_REQ = S_SC_W_req[0];
  assign S_SC_W_1_SEND = S_SC_W_send[0];
  assign S_SC_W_recv[0] = S_SC_W_1_RECV;
  assign m_sc_clk_1 = m_sc_clk;
  assign m_sc_resetn_1 = m_sc_resetn;
  assign s00_ar_node_M_SC_RECV = M_SC_AR_recv;
  assign s00_aw_node_M_SC_RECV = M_SC_AW_recv;
  assign s00_b_node_M_SC_RECV = M_SC_B_recv[0];
  assign s00_r_node_M_SC_RECV = M_SC_R_recv[0];
  assign s00_w_node_M_SC_RECV = M_SC_W_recv;
  assign s_sc_clk_1 = s_sc_clk;
  assign s_sc_resetn_1 = s_sc_resetn;
  versal_cips_ps_vip_v1_0_11_bd_b77a_sarn_0 s00_ar_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_ar_node_M_SC_INFO),
        .m_sc_payld(s00_ar_node_M_SC_PAYLD),
        .m_sc_recv(s00_ar_node_M_SC_RECV),
        .m_sc_req(s00_ar_node_M_SC_REQ),
        .m_sc_send(s00_ar_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AR_1_INFO),
        .s_sc_payld(S_SC_AR_1_PAYLD),
        .s_sc_recv(S_SC_AR_1_RECV),
        .s_sc_req(S_SC_AR_1_REQ),
        .s_sc_send(S_SC_AR_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_b77a_sawn_0 s00_aw_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_aw_node_M_SC_INFO),
        .m_sc_payld(s00_aw_node_M_SC_PAYLD),
        .m_sc_recv(s00_aw_node_M_SC_RECV),
        .m_sc_req(s00_aw_node_M_SC_REQ),
        .m_sc_send(s00_aw_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_AW_1_INFO),
        .s_sc_payld(S_SC_AW_1_PAYLD),
        .s_sc_recv(S_SC_AW_1_RECV),
        .s_sc_req(S_SC_AW_1_REQ),
        .s_sc_send(S_SC_AW_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_b77a_sbn_0 s00_b_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_b_node_M_SC_INFO),
        .m_sc_payld(s00_b_node_M_SC_PAYLD),
        .m_sc_recv(s00_b_node_M_SC_RECV),
        .m_sc_req(s00_b_node_M_SC_REQ),
        .m_sc_send(s00_b_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_B_1_INFO),
        .s_sc_payld(S_SC_B_1_PAYLD),
        .s_sc_recv(S_SC_B_1_RECV),
        .s_sc_req(S_SC_B_1_REQ),
        .s_sc_send(S_SC_B_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_b77a_srn_0 s00_r_node
       (.m_sc_aclk(s_sc_clk_1),
        .m_sc_aresetn(s_sc_resetn_1),
        .m_sc_info(s00_r_node_M_SC_INFO),
        .m_sc_payld(s00_r_node_M_SC_PAYLD),
        .m_sc_recv(s00_r_node_M_SC_RECV),
        .m_sc_req(s00_r_node_M_SC_REQ),
        .m_sc_send(s00_r_node_M_SC_SEND),
        .s_sc_aclk(m_sc_clk_1),
        .s_sc_aresetn(m_sc_resetn_1),
        .s_sc_info(S_SC_R_1_INFO),
        .s_sc_payld(S_SC_R_1_PAYLD),
        .s_sc_recv(S_SC_R_1_RECV),
        .s_sc_req(S_SC_R_1_REQ),
        .s_sc_send(S_SC_R_1_SEND));
  versal_cips_ps_vip_v1_0_11_bd_b77a_swn_0 s00_w_node
       (.m_sc_aclk(m_sc_clk_1),
        .m_sc_aresetn(m_sc_resetn_1),
        .m_sc_info(s00_w_node_M_SC_INFO),
        .m_sc_payld(s00_w_node_M_SC_PAYLD),
        .m_sc_recv(s00_w_node_M_SC_RECV),
        .m_sc_req(s00_w_node_M_SC_REQ),
        .m_sc_send(s00_w_node_M_SC_SEND),
        .s_sc_aclk(s_sc_clk_1),
        .s_sc_aresetn(s_sc_resetn_1),
        .s_sc_info(S_SC_W_1_INFO),
        .s_sc_payld(S_SC_W_1_PAYLD),
        .s_sc_recv(S_SC_W_1_RECV),
        .s_sc_req(S_SC_W_1_REQ),
        .s_sc_send(S_SC_W_1_SEND));
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_427c_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_428c_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_436c_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_439c_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_6f5b_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_7a9a_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_826a_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_82dd_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_833d_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_83cd_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_a2bb_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:xlconstant:1.1
// IP Revision: 7

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_bd_b77a_one_0 (
  dout
);

output wire [0 : 0] dout;

  xlconstant_v1_1_9_xlconstant #(
    .CONST_WIDTH(1),
    .CONST_VAL(1'H1)
  ) inst (
    .dout(dout)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_1_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [127 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [15 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [15 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [127 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [15 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_427c inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_2_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [127 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [15 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [15 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [127 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [15 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_428c inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_3_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [127 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [15 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [15 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [127 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [15 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_82dd inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_4_0 (
  aclk,
  aresetn,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [127 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [15 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [15 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [127 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [15 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_436c inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_5_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [127 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [15 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [15 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [127 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [15 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREAD\
S 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_833d inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_6_0 (
  aclk,
  aresetn,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready,
  M01_AXI_awaddr,
  M01_AXI_awlen,
  M01_AXI_awsize,
  M01_AXI_awburst,
  M01_AXI_awlock,
  M01_AXI_awcache,
  M01_AXI_awprot,
  M01_AXI_awqos,
  M01_AXI_awuser,
  M01_AXI_awvalid,
  M01_AXI_awready,
  M01_AXI_wdata,
  M01_AXI_wstrb,
  M01_AXI_wlast,
  M01_AXI_wuser,
  M01_AXI_wvalid,
  M01_AXI_wready,
  M01_AXI_bresp,
  M01_AXI_buser,
  M01_AXI_bvalid,
  M01_AXI_bready,
  M01_AXI_araddr,
  M01_AXI_arlen,
  M01_AXI_arsize,
  M01_AXI_arburst,
  M01_AXI_arlock,
  M01_AXI_arcache,
  M01_AXI_arprot,
  M01_AXI_arqos,
  M01_AXI_aruser,
  M01_AXI_arvalid,
  M01_AXI_arready,
  M01_AXI_rdata,
  M01_AXI_rresp,
  M01_AXI_rlast,
  M01_AXI_ruser,
  M01_AXI_rvalid,
  M01_AXI_rready,
  M02_AXI_awaddr,
  M02_AXI_awlen,
  M02_AXI_awsize,
  M02_AXI_awburst,
  M02_AXI_awlock,
  M02_AXI_awcache,
  M02_AXI_awprot,
  M02_AXI_awqos,
  M02_AXI_awuser,
  M02_AXI_awvalid,
  M02_AXI_awready,
  M02_AXI_wdata,
  M02_AXI_wstrb,
  M02_AXI_wlast,
  M02_AXI_wuser,
  M02_AXI_wvalid,
  M02_AXI_wready,
  M02_AXI_bresp,
  M02_AXI_buser,
  M02_AXI_bvalid,
  M02_AXI_bready,
  M02_AXI_araddr,
  M02_AXI_arlen,
  M02_AXI_arsize,
  M02_AXI_arburst,
  M02_AXI_arlock,
  M02_AXI_arcache,
  M02_AXI_arprot,
  M02_AXI_arqos,
  M02_AXI_aruser,
  M02_AXI_arvalid,
  M02_AXI_arready,
  M02_AXI_rdata,
  M02_AXI_rresp,
  M02_AXI_rlast,
  M02_AXI_ruser,
  M02_AXI_rvalid,
  M02_AXI_rready,
  M03_AXI_awaddr,
  M03_AXI_awlen,
  M03_AXI_awsize,
  M03_AXI_awburst,
  M03_AXI_awlock,
  M03_AXI_awcache,
  M03_AXI_awprot,
  M03_AXI_awqos,
  M03_AXI_awuser,
  M03_AXI_awvalid,
  M03_AXI_awready,
  M03_AXI_wdata,
  M03_AXI_wstrb,
  M03_AXI_wlast,
  M03_AXI_wuser,
  M03_AXI_wvalid,
  M03_AXI_wready,
  M03_AXI_bresp,
  M03_AXI_buser,
  M03_AXI_bvalid,
  M03_AXI_bready,
  M03_AXI_araddr,
  M03_AXI_arlen,
  M03_AXI_arsize,
  M03_AXI_arburst,
  M03_AXI_arlock,
  M03_AXI_arcache,
  M03_AXI_arprot,
  M03_AXI_arqos,
  M03_AXI_aruser,
  M03_AXI_arvalid,
  M03_AXI_arready,
  M03_AXI_rdata,
  M03_AXI_rresp,
  M03_AXI_rlast,
  M03_AXI_ruser,
  M03_AXI_rvalid,
  M03_AXI_rready,
  M04_AXI_awaddr,
  M04_AXI_awlen,
  M04_AXI_awsize,
  M04_AXI_awburst,
  M04_AXI_awlock,
  M04_AXI_awcache,
  M04_AXI_awprot,
  M04_AXI_awqos,
  M04_AXI_awuser,
  M04_AXI_awvalid,
  M04_AXI_awready,
  M04_AXI_wdata,
  M04_AXI_wstrb,
  M04_AXI_wlast,
  M04_AXI_wuser,
  M04_AXI_wvalid,
  M04_AXI_wready,
  M04_AXI_bresp,
  M04_AXI_buser,
  M04_AXI_bvalid,
  M04_AXI_bready,
  M04_AXI_araddr,
  M04_AXI_arlen,
  M04_AXI_arsize,
  M04_AXI_arburst,
  M04_AXI_arlock,
  M04_AXI_arcache,
  M04_AXI_arprot,
  M04_AXI_arqos,
  M04_AXI_aruser,
  M04_AXI_arvalid,
  M04_AXI_arready,
  M04_AXI_rdata,
  M04_AXI_rresp,
  M04_AXI_rlast,
  M04_AXI_ruser,
  M04_AXI_rvalid,
  M04_AXI_rready,
  M05_AXI_awaddr,
  M05_AXI_awlen,
  M05_AXI_awsize,
  M05_AXI_awburst,
  M05_AXI_awlock,
  M05_AXI_awcache,
  M05_AXI_awprot,
  M05_AXI_awqos,
  M05_AXI_awuser,
  M05_AXI_awvalid,
  M05_AXI_awready,
  M05_AXI_wdata,
  M05_AXI_wstrb,
  M05_AXI_wlast,
  M05_AXI_wuser,
  M05_AXI_wvalid,
  M05_AXI_wready,
  M05_AXI_bresp,
  M05_AXI_buser,
  M05_AXI_bvalid,
  M05_AXI_bready,
  M05_AXI_araddr,
  M05_AXI_arlen,
  M05_AXI_arsize,
  M05_AXI_arburst,
  M05_AXI_arlock,
  M05_AXI_arcache,
  M05_AXI_arprot,
  M05_AXI_arqos,
  M05_AXI_aruser,
  M05_AXI_arvalid,
  M05_AXI_arready,
  M05_AXI_rdata,
  M05_AXI_rresp,
  M05_AXI_rlast,
  M05_AXI_ruser,
  M05_AXI_rvalid,
  M05_AXI_rready,
  M06_AXI_awaddr,
  M06_AXI_awlen,
  M06_AXI_awsize,
  M06_AXI_awburst,
  M06_AXI_awlock,
  M06_AXI_awcache,
  M06_AXI_awprot,
  M06_AXI_awqos,
  M06_AXI_awuser,
  M06_AXI_awvalid,
  M06_AXI_awready,
  M06_AXI_wdata,
  M06_AXI_wstrb,
  M06_AXI_wlast,
  M06_AXI_wuser,
  M06_AXI_wvalid,
  M06_AXI_wready,
  M06_AXI_bresp,
  M06_AXI_buser,
  M06_AXI_bvalid,
  M06_AXI_bready,
  M06_AXI_araddr,
  M06_AXI_arlen,
  M06_AXI_arsize,
  M06_AXI_arburst,
  M06_AXI_arlock,
  M06_AXI_arcache,
  M06_AXI_arprot,
  M06_AXI_arqos,
  M06_AXI_aruser,
  M06_AXI_arvalid,
  M06_AXI_arready,
  M06_AXI_rdata,
  M06_AXI_rresp,
  M06_AXI_rlast,
  M06_AXI_ruser,
  M06_AXI_rvalid,
  M06_AXI_rready,
  M07_AXI_awaddr,
  M07_AXI_awlen,
  M07_AXI_awsize,
  M07_AXI_awburst,
  M07_AXI_awlock,
  M07_AXI_awcache,
  M07_AXI_awprot,
  M07_AXI_awqos,
  M07_AXI_awuser,
  M07_AXI_awvalid,
  M07_AXI_awready,
  M07_AXI_wdata,
  M07_AXI_wstrb,
  M07_AXI_wlast,
  M07_AXI_wuser,
  M07_AXI_wvalid,
  M07_AXI_wready,
  M07_AXI_bresp,
  M07_AXI_buser,
  M07_AXI_bvalid,
  M07_AXI_bready,
  M07_AXI_araddr,
  M07_AXI_arlen,
  M07_AXI_arsize,
  M07_AXI_arburst,
  M07_AXI_arlock,
  M07_AXI_arcache,
  M07_AXI_arprot,
  M07_AXI_arqos,
  M07_AXI_aruser,
  M07_AXI_arvalid,
  M07_AXI_arready,
  M07_AXI_rdata,
  M07_AXI_rresp,
  M07_AXI_rlast,
  M07_AXI_ruser,
  M07_AXI_rvalid,
  M07_AXI_rready,
  M08_AXI_awaddr,
  M08_AXI_awlen,
  M08_AXI_awsize,
  M08_AXI_awburst,
  M08_AXI_awlock,
  M08_AXI_awcache,
  M08_AXI_awprot,
  M08_AXI_awqos,
  M08_AXI_awuser,
  M08_AXI_awvalid,
  M08_AXI_awready,
  M08_AXI_wdata,
  M08_AXI_wstrb,
  M08_AXI_wlast,
  M08_AXI_wuser,
  M08_AXI_wvalid,
  M08_AXI_wready,
  M08_AXI_bresp,
  M08_AXI_buser,
  M08_AXI_bvalid,
  M08_AXI_bready,
  M08_AXI_araddr,
  M08_AXI_arlen,
  M08_AXI_arsize,
  M08_AXI_arburst,
  M08_AXI_arlock,
  M08_AXI_arcache,
  M08_AXI_arprot,
  M08_AXI_arqos,
  M08_AXI_aruser,
  M08_AXI_arvalid,
  M08_AXI_arready,
  M08_AXI_rdata,
  M08_AXI_rresp,
  M08_AXI_rlast,
  M08_AXI_ruser,
  M08_AXI_rvalid,
  M08_AXI_rready,
  M09_AXI_awaddr,
  M09_AXI_awlen,
  M09_AXI_awsize,
  M09_AXI_awburst,
  M09_AXI_awlock,
  M09_AXI_awcache,
  M09_AXI_awprot,
  M09_AXI_awqos,
  M09_AXI_awuser,
  M09_AXI_awvalid,
  M09_AXI_awready,
  M09_AXI_wdata,
  M09_AXI_wstrb,
  M09_AXI_wlast,
  M09_AXI_wuser,
  M09_AXI_wvalid,
  M09_AXI_wready,
  M09_AXI_bresp,
  M09_AXI_buser,
  M09_AXI_bvalid,
  M09_AXI_bready,
  M09_AXI_araddr,
  M09_AXI_arlen,
  M09_AXI_arsize,
  M09_AXI_arburst,
  M09_AXI_arlock,
  M09_AXI_arcache,
  M09_AXI_arprot,
  M09_AXI_arqos,
  M09_AXI_aruser,
  M09_AXI_arvalid,
  M09_AXI_arready,
  M09_AXI_rdata,
  M09_AXI_rresp,
  M09_AXI_rlast,
  M09_AXI_ruser,
  M09_AXI_rvalid,
  M09_AXI_rready,
  M10_AXI_awaddr,
  M10_AXI_awlen,
  M10_AXI_awsize,
  M10_AXI_awburst,
  M10_AXI_awlock,
  M10_AXI_awcache,
  M10_AXI_awprot,
  M10_AXI_awqos,
  M10_AXI_awuser,
  M10_AXI_awvalid,
  M10_AXI_awready,
  M10_AXI_wdata,
  M10_AXI_wstrb,
  M10_AXI_wlast,
  M10_AXI_wuser,
  M10_AXI_wvalid,
  M10_AXI_wready,
  M10_AXI_bresp,
  M10_AXI_buser,
  M10_AXI_bvalid,
  M10_AXI_bready,
  M10_AXI_araddr,
  M10_AXI_arlen,
  M10_AXI_arsize,
  M10_AXI_arburst,
  M10_AXI_arlock,
  M10_AXI_arcache,
  M10_AXI_arprot,
  M10_AXI_arqos,
  M10_AXI_aruser,
  M10_AXI_arvalid,
  M10_AXI_arready,
  M10_AXI_rdata,
  M10_AXI_rresp,
  M10_AXI_rlast,
  M10_AXI_ruser,
  M10_AXI_rvalid,
  M10_AXI_rready,
  M11_AXI_awaddr,
  M11_AXI_awlen,
  M11_AXI_awsize,
  M11_AXI_awburst,
  M11_AXI_awlock,
  M11_AXI_awcache,
  M11_AXI_awprot,
  M11_AXI_awqos,
  M11_AXI_awuser,
  M11_AXI_awvalid,
  M11_AXI_awready,
  M11_AXI_wdata,
  M11_AXI_wstrb,
  M11_AXI_wlast,
  M11_AXI_wuser,
  M11_AXI_wvalid,
  M11_AXI_wready,
  M11_AXI_bresp,
  M11_AXI_buser,
  M11_AXI_bvalid,
  M11_AXI_bready,
  M11_AXI_araddr,
  M11_AXI_arlen,
  M11_AXI_arsize,
  M11_AXI_arburst,
  M11_AXI_arlock,
  M11_AXI_arcache,
  M11_AXI_arprot,
  M11_AXI_arqos,
  M11_AXI_aruser,
  M11_AXI_arvalid,
  M11_AXI_arready,
  M11_AXI_rdata,
  M11_AXI_rresp,
  M11_AXI_rlast,
  M11_AXI_ruser,
  M11_AXI_rvalid,
  M11_AXI_rready,
  M12_AXI_awaddr,
  M12_AXI_awlen,
  M12_AXI_awsize,
  M12_AXI_awburst,
  M12_AXI_awlock,
  M12_AXI_awcache,
  M12_AXI_awprot,
  M12_AXI_awqos,
  M12_AXI_awuser,
  M12_AXI_awvalid,
  M12_AXI_awready,
  M12_AXI_wdata,
  M12_AXI_wstrb,
  M12_AXI_wlast,
  M12_AXI_wuser,
  M12_AXI_wvalid,
  M12_AXI_wready,
  M12_AXI_bresp,
  M12_AXI_buser,
  M12_AXI_bvalid,
  M12_AXI_bready,
  M12_AXI_araddr,
  M12_AXI_arlen,
  M12_AXI_arsize,
  M12_AXI_arburst,
  M12_AXI_arlock,
  M12_AXI_arcache,
  M12_AXI_arprot,
  M12_AXI_arqos,
  M12_AXI_aruser,
  M12_AXI_arvalid,
  M12_AXI_arready,
  M12_AXI_rdata,
  M12_AXI_rresp,
  M12_AXI_rlast,
  M12_AXI_ruser,
  M12_AXI_rvalid,
  M12_AXI_rready,
  M13_AXI_awaddr,
  M13_AXI_awlen,
  M13_AXI_awsize,
  M13_AXI_awburst,
  M13_AXI_awlock,
  M13_AXI_awcache,
  M13_AXI_awprot,
  M13_AXI_awqos,
  M13_AXI_awuser,
  M13_AXI_awvalid,
  M13_AXI_awready,
  M13_AXI_wdata,
  M13_AXI_wstrb,
  M13_AXI_wlast,
  M13_AXI_wuser,
  M13_AXI_wvalid,
  M13_AXI_wready,
  M13_AXI_bresp,
  M13_AXI_buser,
  M13_AXI_bvalid,
  M13_AXI_bready,
  M13_AXI_araddr,
  M13_AXI_arlen,
  M13_AXI_arsize,
  M13_AXI_arburst,
  M13_AXI_arlock,
  M13_AXI_arcache,
  M13_AXI_arprot,
  M13_AXI_arqos,
  M13_AXI_aruser,
  M13_AXI_arvalid,
  M13_AXI_arready,
  M13_AXI_rdata,
  M13_AXI_rresp,
  M13_AXI_rlast,
  M13_AXI_ruser,
  M13_AXI_rvalid,
  M13_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:M01_AXI:M02_AXI:M03_AXI:M04_AXI:M05_AXI:M06_AXI:M07_AXI:M08_AXI:M09_AXI:M10_AXI:M11_AXI:M12_AXI:M13_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN m_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [31 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [31 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [3 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [3 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [31 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [31 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [3 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 8\
, NUM_WRITE_THREADS 8, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [31 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [31 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [31 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [3 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [3 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [31 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [31 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [31 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [3 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWADDR" *)
output wire [63 : 0] M01_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWLEN" *)
output wire [7 : 0] M01_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWSIZE" *)
output wire [2 : 0] M01_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWBURST" *)
output wire [1 : 0] M01_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWLOCK" *)
output wire [0 : 0] M01_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWCACHE" *)
output wire [3 : 0] M01_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWPROT" *)
output wire [2 : 0] M01_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWQOS" *)
output wire [3 : 0] M01_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWUSER" *)
output wire [31 : 0] M01_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWVALID" *)
output wire M01_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI AWREADY" *)
input wire M01_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WDATA" *)
output wire [31 : 0] M01_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WSTRB" *)
output wire [3 : 0] M01_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WLAST" *)
output wire M01_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WUSER" *)
output wire [3 : 0] M01_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WVALID" *)
output wire M01_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI WREADY" *)
input wire M01_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BRESP" *)
input wire [1 : 0] M01_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BUSER" *)
input wire [15 : 0] M01_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BVALID" *)
input wire M01_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI BREADY" *)
output wire M01_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARADDR" *)
output wire [63 : 0] M01_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARLEN" *)
output wire [7 : 0] M01_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARSIZE" *)
output wire [2 : 0] M01_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARBURST" *)
output wire [1 : 0] M01_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARLOCK" *)
output wire [0 : 0] M01_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARCACHE" *)
output wire [3 : 0] M01_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARPROT" *)
output wire [2 : 0] M01_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARQOS" *)
output wire [3 : 0] M01_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARUSER" *)
output wire [31 : 0] M01_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARVALID" *)
output wire M01_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI ARREADY" *)
input wire M01_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RDATA" *)
input wire [31 : 0] M01_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RRESP" *)
input wire [1 : 0] M01_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RLAST" *)
input wire M01_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RUSER" *)
input wire [3 : 0] M01_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RVALID" *)
input wire M01_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M01_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M01_AXI RREADY" *)
output wire M01_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWADDR" *)
output wire [31 : 0] M02_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWLEN" *)
output wire [7 : 0] M02_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWSIZE" *)
output wire [2 : 0] M02_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWBURST" *)
output wire [1 : 0] M02_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWLOCK" *)
output wire [0 : 0] M02_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWCACHE" *)
output wire [3 : 0] M02_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWPROT" *)
output wire [2 : 0] M02_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWQOS" *)
output wire [3 : 0] M02_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWUSER" *)
output wire [31 : 0] M02_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWVALID" *)
output wire M02_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI AWREADY" *)
input wire M02_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WDATA" *)
output wire [31 : 0] M02_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WSTRB" *)
output wire [3 : 0] M02_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WLAST" *)
output wire M02_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WUSER" *)
output wire [3 : 0] M02_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WVALID" *)
output wire M02_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI WREADY" *)
input wire M02_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BRESP" *)
input wire [1 : 0] M02_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BUSER" *)
input wire [15 : 0] M02_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BVALID" *)
input wire M02_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI BREADY" *)
output wire M02_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARADDR" *)
output wire [31 : 0] M02_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARLEN" *)
output wire [7 : 0] M02_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARSIZE" *)
output wire [2 : 0] M02_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARBURST" *)
output wire [1 : 0] M02_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARLOCK" *)
output wire [0 : 0] M02_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARCACHE" *)
output wire [3 : 0] M02_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARPROT" *)
output wire [2 : 0] M02_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARQOS" *)
output wire [3 : 0] M02_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARUSER" *)
output wire [31 : 0] M02_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARVALID" *)
output wire M02_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI ARREADY" *)
input wire M02_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RDATA" *)
input wire [31 : 0] M02_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RRESP" *)
input wire [1 : 0] M02_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RLAST" *)
input wire M02_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RUSER" *)
input wire [3 : 0] M02_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RVALID" *)
input wire M02_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M02_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M02_AXI RREADY" *)
output wire M02_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWADDR" *)
output wire [31 : 0] M03_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWLEN" *)
output wire [7 : 0] M03_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWSIZE" *)
output wire [2 : 0] M03_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWBURST" *)
output wire [1 : 0] M03_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWLOCK" *)
output wire [0 : 0] M03_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWCACHE" *)
output wire [3 : 0] M03_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWPROT" *)
output wire [2 : 0] M03_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWQOS" *)
output wire [3 : 0] M03_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWUSER" *)
output wire [31 : 0] M03_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWVALID" *)
output wire M03_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI AWREADY" *)
input wire M03_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WDATA" *)
output wire [31 : 0] M03_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WSTRB" *)
output wire [3 : 0] M03_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WLAST" *)
output wire M03_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WUSER" *)
output wire [3 : 0] M03_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WVALID" *)
output wire M03_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI WREADY" *)
input wire M03_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BRESP" *)
input wire [1 : 0] M03_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BUSER" *)
input wire [15 : 0] M03_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BVALID" *)
input wire M03_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI BREADY" *)
output wire M03_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARADDR" *)
output wire [31 : 0] M03_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARLEN" *)
output wire [7 : 0] M03_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARSIZE" *)
output wire [2 : 0] M03_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARBURST" *)
output wire [1 : 0] M03_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARLOCK" *)
output wire [0 : 0] M03_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARCACHE" *)
output wire [3 : 0] M03_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARPROT" *)
output wire [2 : 0] M03_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARQOS" *)
output wire [3 : 0] M03_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARUSER" *)
output wire [31 : 0] M03_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARVALID" *)
output wire M03_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI ARREADY" *)
input wire M03_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RDATA" *)
input wire [31 : 0] M03_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RRESP" *)
input wire [1 : 0] M03_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RLAST" *)
input wire M03_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RUSER" *)
input wire [3 : 0] M03_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RVALID" *)
input wire M03_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M03_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M03_AXI RREADY" *)
output wire M03_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWADDR" *)
output wire [31 : 0] M04_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWLEN" *)
output wire [7 : 0] M04_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWSIZE" *)
output wire [2 : 0] M04_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWBURST" *)
output wire [1 : 0] M04_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWLOCK" *)
output wire [0 : 0] M04_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWCACHE" *)
output wire [3 : 0] M04_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWPROT" *)
output wire [2 : 0] M04_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWQOS" *)
output wire [3 : 0] M04_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWUSER" *)
output wire [31 : 0] M04_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWVALID" *)
output wire M04_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI AWREADY" *)
input wire M04_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WDATA" *)
output wire [31 : 0] M04_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WSTRB" *)
output wire [3 : 0] M04_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WLAST" *)
output wire M04_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WUSER" *)
output wire [3 : 0] M04_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WVALID" *)
output wire M04_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI WREADY" *)
input wire M04_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BRESP" *)
input wire [1 : 0] M04_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BUSER" *)
input wire [15 : 0] M04_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BVALID" *)
input wire M04_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI BREADY" *)
output wire M04_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARADDR" *)
output wire [31 : 0] M04_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARLEN" *)
output wire [7 : 0] M04_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARSIZE" *)
output wire [2 : 0] M04_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARBURST" *)
output wire [1 : 0] M04_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARLOCK" *)
output wire [0 : 0] M04_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARCACHE" *)
output wire [3 : 0] M04_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARPROT" *)
output wire [2 : 0] M04_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARQOS" *)
output wire [3 : 0] M04_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARUSER" *)
output wire [31 : 0] M04_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARVALID" *)
output wire M04_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI ARREADY" *)
input wire M04_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RDATA" *)
input wire [31 : 0] M04_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RRESP" *)
input wire [1 : 0] M04_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RLAST" *)
input wire M04_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RUSER" *)
input wire [3 : 0] M04_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RVALID" *)
input wire M04_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M04_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M04_AXI RREADY" *)
output wire M04_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWADDR" *)
output wire [31 : 0] M05_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWLEN" *)
output wire [7 : 0] M05_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWSIZE" *)
output wire [2 : 0] M05_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWBURST" *)
output wire [1 : 0] M05_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWLOCK" *)
output wire [0 : 0] M05_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWCACHE" *)
output wire [3 : 0] M05_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWPROT" *)
output wire [2 : 0] M05_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWQOS" *)
output wire [3 : 0] M05_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWUSER" *)
output wire [31 : 0] M05_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWVALID" *)
output wire M05_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI AWREADY" *)
input wire M05_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WDATA" *)
output wire [31 : 0] M05_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WSTRB" *)
output wire [3 : 0] M05_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WLAST" *)
output wire M05_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WUSER" *)
output wire [3 : 0] M05_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WVALID" *)
output wire M05_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI WREADY" *)
input wire M05_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BRESP" *)
input wire [1 : 0] M05_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BUSER" *)
input wire [15 : 0] M05_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BVALID" *)
input wire M05_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI BREADY" *)
output wire M05_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARADDR" *)
output wire [31 : 0] M05_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARLEN" *)
output wire [7 : 0] M05_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARSIZE" *)
output wire [2 : 0] M05_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARBURST" *)
output wire [1 : 0] M05_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARLOCK" *)
output wire [0 : 0] M05_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARCACHE" *)
output wire [3 : 0] M05_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARPROT" *)
output wire [2 : 0] M05_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARQOS" *)
output wire [3 : 0] M05_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARUSER" *)
output wire [31 : 0] M05_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARVALID" *)
output wire M05_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI ARREADY" *)
input wire M05_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RDATA" *)
input wire [31 : 0] M05_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RRESP" *)
input wire [1 : 0] M05_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RLAST" *)
input wire M05_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RUSER" *)
input wire [3 : 0] M05_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RVALID" *)
input wire M05_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M05_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M05_AXI RREADY" *)
output wire M05_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWADDR" *)
output wire [31 : 0] M06_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWLEN" *)
output wire [7 : 0] M06_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWSIZE" *)
output wire [2 : 0] M06_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWBURST" *)
output wire [1 : 0] M06_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWLOCK" *)
output wire [0 : 0] M06_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWCACHE" *)
output wire [3 : 0] M06_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWPROT" *)
output wire [2 : 0] M06_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWQOS" *)
output wire [3 : 0] M06_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWUSER" *)
output wire [31 : 0] M06_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWVALID" *)
output wire M06_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI AWREADY" *)
input wire M06_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WDATA" *)
output wire [31 : 0] M06_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WSTRB" *)
output wire [3 : 0] M06_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WLAST" *)
output wire M06_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WUSER" *)
output wire [3 : 0] M06_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WVALID" *)
output wire M06_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI WREADY" *)
input wire M06_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BRESP" *)
input wire [1 : 0] M06_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BUSER" *)
input wire [15 : 0] M06_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BVALID" *)
input wire M06_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI BREADY" *)
output wire M06_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARADDR" *)
output wire [31 : 0] M06_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARLEN" *)
output wire [7 : 0] M06_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARSIZE" *)
output wire [2 : 0] M06_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARBURST" *)
output wire [1 : 0] M06_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARLOCK" *)
output wire [0 : 0] M06_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARCACHE" *)
output wire [3 : 0] M06_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARPROT" *)
output wire [2 : 0] M06_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARQOS" *)
output wire [3 : 0] M06_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARUSER" *)
output wire [31 : 0] M06_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARVALID" *)
output wire M06_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI ARREADY" *)
input wire M06_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RDATA" *)
input wire [31 : 0] M06_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RRESP" *)
input wire [1 : 0] M06_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RLAST" *)
input wire M06_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RUSER" *)
input wire [3 : 0] M06_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RVALID" *)
input wire M06_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M06_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M06_AXI RREADY" *)
output wire M06_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWADDR" *)
output wire [31 : 0] M07_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWLEN" *)
output wire [7 : 0] M07_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWSIZE" *)
output wire [2 : 0] M07_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWBURST" *)
output wire [1 : 0] M07_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWLOCK" *)
output wire [0 : 0] M07_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWCACHE" *)
output wire [3 : 0] M07_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWPROT" *)
output wire [2 : 0] M07_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWQOS" *)
output wire [3 : 0] M07_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWUSER" *)
output wire [31 : 0] M07_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWVALID" *)
output wire M07_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI AWREADY" *)
input wire M07_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WDATA" *)
output wire [31 : 0] M07_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WSTRB" *)
output wire [3 : 0] M07_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WLAST" *)
output wire M07_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WUSER" *)
output wire [3 : 0] M07_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WVALID" *)
output wire M07_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI WREADY" *)
input wire M07_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BRESP" *)
input wire [1 : 0] M07_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BUSER" *)
input wire [15 : 0] M07_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BVALID" *)
input wire M07_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI BREADY" *)
output wire M07_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARADDR" *)
output wire [31 : 0] M07_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARLEN" *)
output wire [7 : 0] M07_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARSIZE" *)
output wire [2 : 0] M07_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARBURST" *)
output wire [1 : 0] M07_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARLOCK" *)
output wire [0 : 0] M07_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARCACHE" *)
output wire [3 : 0] M07_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARPROT" *)
output wire [2 : 0] M07_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARQOS" *)
output wire [3 : 0] M07_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARUSER" *)
output wire [31 : 0] M07_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARVALID" *)
output wire M07_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI ARREADY" *)
input wire M07_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RDATA" *)
input wire [31 : 0] M07_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RRESP" *)
input wire [1 : 0] M07_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RLAST" *)
input wire M07_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RUSER" *)
input wire [3 : 0] M07_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RVALID" *)
input wire M07_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M07_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M07_AXI RREADY" *)
output wire M07_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWADDR" *)
output wire [31 : 0] M08_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWLEN" *)
output wire [7 : 0] M08_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWSIZE" *)
output wire [2 : 0] M08_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWBURST" *)
output wire [1 : 0] M08_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWLOCK" *)
output wire [0 : 0] M08_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWCACHE" *)
output wire [3 : 0] M08_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWPROT" *)
output wire [2 : 0] M08_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWQOS" *)
output wire [3 : 0] M08_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWUSER" *)
output wire [31 : 0] M08_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWVALID" *)
output wire M08_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI AWREADY" *)
input wire M08_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WDATA" *)
output wire [31 : 0] M08_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WSTRB" *)
output wire [3 : 0] M08_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WLAST" *)
output wire M08_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WUSER" *)
output wire [3 : 0] M08_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WVALID" *)
output wire M08_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI WREADY" *)
input wire M08_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BRESP" *)
input wire [1 : 0] M08_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BUSER" *)
input wire [15 : 0] M08_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BVALID" *)
input wire M08_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI BREADY" *)
output wire M08_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARADDR" *)
output wire [31 : 0] M08_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARLEN" *)
output wire [7 : 0] M08_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARSIZE" *)
output wire [2 : 0] M08_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARBURST" *)
output wire [1 : 0] M08_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARLOCK" *)
output wire [0 : 0] M08_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARCACHE" *)
output wire [3 : 0] M08_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARPROT" *)
output wire [2 : 0] M08_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARQOS" *)
output wire [3 : 0] M08_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARUSER" *)
output wire [31 : 0] M08_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARVALID" *)
output wire M08_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI ARREADY" *)
input wire M08_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RDATA" *)
input wire [31 : 0] M08_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RRESP" *)
input wire [1 : 0] M08_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RLAST" *)
input wire M08_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RUSER" *)
input wire [3 : 0] M08_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RVALID" *)
input wire M08_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M08_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M08_AXI RREADY" *)
output wire M08_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWADDR" *)
output wire [31 : 0] M09_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWLEN" *)
output wire [7 : 0] M09_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWSIZE" *)
output wire [2 : 0] M09_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWBURST" *)
output wire [1 : 0] M09_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWLOCK" *)
output wire [0 : 0] M09_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWCACHE" *)
output wire [3 : 0] M09_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWPROT" *)
output wire [2 : 0] M09_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWQOS" *)
output wire [3 : 0] M09_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWUSER" *)
output wire [31 : 0] M09_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWVALID" *)
output wire M09_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI AWREADY" *)
input wire M09_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WDATA" *)
output wire [31 : 0] M09_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WSTRB" *)
output wire [3 : 0] M09_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WLAST" *)
output wire M09_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WUSER" *)
output wire [3 : 0] M09_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WVALID" *)
output wire M09_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI WREADY" *)
input wire M09_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BRESP" *)
input wire [1 : 0] M09_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BUSER" *)
input wire [15 : 0] M09_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BVALID" *)
input wire M09_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI BREADY" *)
output wire M09_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARADDR" *)
output wire [31 : 0] M09_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARLEN" *)
output wire [7 : 0] M09_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARSIZE" *)
output wire [2 : 0] M09_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARBURST" *)
output wire [1 : 0] M09_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARLOCK" *)
output wire [0 : 0] M09_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARCACHE" *)
output wire [3 : 0] M09_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARPROT" *)
output wire [2 : 0] M09_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARQOS" *)
output wire [3 : 0] M09_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARUSER" *)
output wire [31 : 0] M09_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARVALID" *)
output wire M09_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI ARREADY" *)
input wire M09_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RDATA" *)
input wire [31 : 0] M09_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RRESP" *)
input wire [1 : 0] M09_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RLAST" *)
input wire M09_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RUSER" *)
input wire [3 : 0] M09_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RVALID" *)
input wire M09_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M09_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M09_AXI RREADY" *)
output wire M09_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWADDR" *)
output wire [31 : 0] M10_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWLEN" *)
output wire [7 : 0] M10_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWSIZE" *)
output wire [2 : 0] M10_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWBURST" *)
output wire [1 : 0] M10_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWLOCK" *)
output wire [0 : 0] M10_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWCACHE" *)
output wire [3 : 0] M10_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWPROT" *)
output wire [2 : 0] M10_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWQOS" *)
output wire [3 : 0] M10_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWUSER" *)
output wire [31 : 0] M10_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWVALID" *)
output wire M10_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI AWREADY" *)
input wire M10_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WDATA" *)
output wire [31 : 0] M10_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WSTRB" *)
output wire [3 : 0] M10_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WLAST" *)
output wire M10_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WUSER" *)
output wire [3 : 0] M10_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WVALID" *)
output wire M10_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI WREADY" *)
input wire M10_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BRESP" *)
input wire [1 : 0] M10_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BUSER" *)
input wire [15 : 0] M10_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BVALID" *)
input wire M10_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI BREADY" *)
output wire M10_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARADDR" *)
output wire [31 : 0] M10_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARLEN" *)
output wire [7 : 0] M10_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARSIZE" *)
output wire [2 : 0] M10_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARBURST" *)
output wire [1 : 0] M10_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARLOCK" *)
output wire [0 : 0] M10_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARCACHE" *)
output wire [3 : 0] M10_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARPROT" *)
output wire [2 : 0] M10_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARQOS" *)
output wire [3 : 0] M10_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARUSER" *)
output wire [31 : 0] M10_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARVALID" *)
output wire M10_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI ARREADY" *)
input wire M10_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RDATA" *)
input wire [31 : 0] M10_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RRESP" *)
input wire [1 : 0] M10_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RLAST" *)
input wire M10_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RUSER" *)
input wire [3 : 0] M10_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RVALID" *)
input wire M10_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M10_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M10_AXI RREADY" *)
output wire M10_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWADDR" *)
output wire [31 : 0] M11_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWLEN" *)
output wire [7 : 0] M11_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWSIZE" *)
output wire [2 : 0] M11_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWBURST" *)
output wire [1 : 0] M11_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWLOCK" *)
output wire [0 : 0] M11_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWCACHE" *)
output wire [3 : 0] M11_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWPROT" *)
output wire [2 : 0] M11_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWQOS" *)
output wire [3 : 0] M11_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWUSER" *)
output wire [31 : 0] M11_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWVALID" *)
output wire M11_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI AWREADY" *)
input wire M11_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WDATA" *)
output wire [31 : 0] M11_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WSTRB" *)
output wire [3 : 0] M11_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WLAST" *)
output wire M11_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WUSER" *)
output wire [3 : 0] M11_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WVALID" *)
output wire M11_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI WREADY" *)
input wire M11_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BRESP" *)
input wire [1 : 0] M11_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BUSER" *)
input wire [15 : 0] M11_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BVALID" *)
input wire M11_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI BREADY" *)
output wire M11_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARADDR" *)
output wire [31 : 0] M11_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARLEN" *)
output wire [7 : 0] M11_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARSIZE" *)
output wire [2 : 0] M11_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARBURST" *)
output wire [1 : 0] M11_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARLOCK" *)
output wire [0 : 0] M11_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARCACHE" *)
output wire [3 : 0] M11_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARPROT" *)
output wire [2 : 0] M11_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARQOS" *)
output wire [3 : 0] M11_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARUSER" *)
output wire [31 : 0] M11_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARVALID" *)
output wire M11_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI ARREADY" *)
input wire M11_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RDATA" *)
input wire [31 : 0] M11_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RRESP" *)
input wire [1 : 0] M11_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RLAST" *)
input wire M11_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RUSER" *)
input wire [3 : 0] M11_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RVALID" *)
input wire M11_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M11_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M11_AXI RREADY" *)
output wire M11_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWADDR" *)
output wire [31 : 0] M12_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWLEN" *)
output wire [7 : 0] M12_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWSIZE" *)
output wire [2 : 0] M12_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWBURST" *)
output wire [1 : 0] M12_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWLOCK" *)
output wire [0 : 0] M12_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWCACHE" *)
output wire [3 : 0] M12_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWPROT" *)
output wire [2 : 0] M12_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWQOS" *)
output wire [3 : 0] M12_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWUSER" *)
output wire [31 : 0] M12_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWVALID" *)
output wire M12_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI AWREADY" *)
input wire M12_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WDATA" *)
output wire [31 : 0] M12_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WSTRB" *)
output wire [3 : 0] M12_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WLAST" *)
output wire M12_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WUSER" *)
output wire [3 : 0] M12_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WVALID" *)
output wire M12_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI WREADY" *)
input wire M12_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BRESP" *)
input wire [1 : 0] M12_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BUSER" *)
input wire [15 : 0] M12_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BVALID" *)
input wire M12_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI BREADY" *)
output wire M12_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARADDR" *)
output wire [31 : 0] M12_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARLEN" *)
output wire [7 : 0] M12_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARSIZE" *)
output wire [2 : 0] M12_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARBURST" *)
output wire [1 : 0] M12_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARLOCK" *)
output wire [0 : 0] M12_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARCACHE" *)
output wire [3 : 0] M12_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARPROT" *)
output wire [2 : 0] M12_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARQOS" *)
output wire [3 : 0] M12_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARUSER" *)
output wire [31 : 0] M12_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARVALID" *)
output wire M12_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI ARREADY" *)
input wire M12_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RDATA" *)
input wire [31 : 0] M12_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RRESP" *)
input wire [1 : 0] M12_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RLAST" *)
input wire M12_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RUSER" *)
input wire [3 : 0] M12_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RVALID" *)
input wire M12_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M12_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M12_AXI RREADY" *)
output wire M12_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWADDR" *)
output wire [31 : 0] M13_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWLEN" *)
output wire [7 : 0] M13_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWSIZE" *)
output wire [2 : 0] M13_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWBURST" *)
output wire [1 : 0] M13_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWLOCK" *)
output wire [0 : 0] M13_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWCACHE" *)
output wire [3 : 0] M13_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWPROT" *)
output wire [2 : 0] M13_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWQOS" *)
output wire [3 : 0] M13_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWUSER" *)
output wire [31 : 0] M13_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWVALID" *)
output wire M13_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI AWREADY" *)
input wire M13_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WDATA" *)
output wire [31 : 0] M13_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WSTRB" *)
output wire [3 : 0] M13_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WLAST" *)
output wire M13_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WUSER" *)
output wire [3 : 0] M13_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WVALID" *)
output wire M13_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI WREADY" *)
input wire M13_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BRESP" *)
input wire [1 : 0] M13_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BUSER" *)
input wire [15 : 0] M13_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BVALID" *)
input wire M13_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI BREADY" *)
output wire M13_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARADDR" *)
output wire [31 : 0] M13_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARLEN" *)
output wire [7 : 0] M13_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARSIZE" *)
output wire [2 : 0] M13_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARBURST" *)
output wire [1 : 0] M13_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARLOCK" *)
output wire [0 : 0] M13_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARCACHE" *)
output wire [3 : 0] M13_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARPROT" *)
output wire [2 : 0] M13_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARQOS" *)
output wire [3 : 0] M13_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARUSER" *)
output wire [31 : 0] M13_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARVALID" *)
output wire M13_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI ARREADY" *)
input wire M13_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RDATA" *)
input wire [31 : 0] M13_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RRESP" *)
input wire [1 : 0] M13_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RLAST" *)
input wire M13_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RUSER" *)
input wire [3 : 0] M13_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RVALID" *)
input wire M13_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M13_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 32, ARUSER_WIDTH 32, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M13_AXI RREADY" *)
output wire M13_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_83cd inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready),
    .M01_AXI_awaddr(M01_AXI_awaddr),
    .M01_AXI_awlen(M01_AXI_awlen),
    .M01_AXI_awsize(M01_AXI_awsize),
    .M01_AXI_awburst(M01_AXI_awburst),
    .M01_AXI_awlock(M01_AXI_awlock),
    .M01_AXI_awcache(M01_AXI_awcache),
    .M01_AXI_awprot(M01_AXI_awprot),
    .M01_AXI_awqos(M01_AXI_awqos),
    .M01_AXI_awuser(M01_AXI_awuser),
    .M01_AXI_awvalid(M01_AXI_awvalid),
    .M01_AXI_awready(M01_AXI_awready),
    .M01_AXI_wdata(M01_AXI_wdata),
    .M01_AXI_wstrb(M01_AXI_wstrb),
    .M01_AXI_wlast(M01_AXI_wlast),
    .M01_AXI_wuser(M01_AXI_wuser),
    .M01_AXI_wvalid(M01_AXI_wvalid),
    .M01_AXI_wready(M01_AXI_wready),
    .M01_AXI_bresp(M01_AXI_bresp),
    .M01_AXI_buser(M01_AXI_buser),
    .M01_AXI_bvalid(M01_AXI_bvalid),
    .M01_AXI_bready(M01_AXI_bready),
    .M01_AXI_araddr(M01_AXI_araddr),
    .M01_AXI_arlen(M01_AXI_arlen),
    .M01_AXI_arsize(M01_AXI_arsize),
    .M01_AXI_arburst(M01_AXI_arburst),
    .M01_AXI_arlock(M01_AXI_arlock),
    .M01_AXI_arcache(M01_AXI_arcache),
    .M01_AXI_arprot(M01_AXI_arprot),
    .M01_AXI_arqos(M01_AXI_arqos),
    .M01_AXI_aruser(M01_AXI_aruser),
    .M01_AXI_arvalid(M01_AXI_arvalid),
    .M01_AXI_arready(M01_AXI_arready),
    .M01_AXI_rdata(M01_AXI_rdata),
    .M01_AXI_rresp(M01_AXI_rresp),
    .M01_AXI_rlast(M01_AXI_rlast),
    .M01_AXI_ruser(M01_AXI_ruser),
    .M01_AXI_rvalid(M01_AXI_rvalid),
    .M01_AXI_rready(M01_AXI_rready),
    .M02_AXI_awaddr(M02_AXI_awaddr),
    .M02_AXI_awlen(M02_AXI_awlen),
    .M02_AXI_awsize(M02_AXI_awsize),
    .M02_AXI_awburst(M02_AXI_awburst),
    .M02_AXI_awlock(M02_AXI_awlock),
    .M02_AXI_awcache(M02_AXI_awcache),
    .M02_AXI_awprot(M02_AXI_awprot),
    .M02_AXI_awqos(M02_AXI_awqos),
    .M02_AXI_awuser(M02_AXI_awuser),
    .M02_AXI_awvalid(M02_AXI_awvalid),
    .M02_AXI_awready(M02_AXI_awready),
    .M02_AXI_wdata(M02_AXI_wdata),
    .M02_AXI_wstrb(M02_AXI_wstrb),
    .M02_AXI_wlast(M02_AXI_wlast),
    .M02_AXI_wuser(M02_AXI_wuser),
    .M02_AXI_wvalid(M02_AXI_wvalid),
    .M02_AXI_wready(M02_AXI_wready),
    .M02_AXI_bresp(M02_AXI_bresp),
    .M02_AXI_buser(M02_AXI_buser),
    .M02_AXI_bvalid(M02_AXI_bvalid),
    .M02_AXI_bready(M02_AXI_bready),
    .M02_AXI_araddr(M02_AXI_araddr),
    .M02_AXI_arlen(M02_AXI_arlen),
    .M02_AXI_arsize(M02_AXI_arsize),
    .M02_AXI_arburst(M02_AXI_arburst),
    .M02_AXI_arlock(M02_AXI_arlock),
    .M02_AXI_arcache(M02_AXI_arcache),
    .M02_AXI_arprot(M02_AXI_arprot),
    .M02_AXI_arqos(M02_AXI_arqos),
    .M02_AXI_aruser(M02_AXI_aruser),
    .M02_AXI_arvalid(M02_AXI_arvalid),
    .M02_AXI_arready(M02_AXI_arready),
    .M02_AXI_rdata(M02_AXI_rdata),
    .M02_AXI_rresp(M02_AXI_rresp),
    .M02_AXI_rlast(M02_AXI_rlast),
    .M02_AXI_ruser(M02_AXI_ruser),
    .M02_AXI_rvalid(M02_AXI_rvalid),
    .M02_AXI_rready(M02_AXI_rready),
    .M03_AXI_awaddr(M03_AXI_awaddr),
    .M03_AXI_awlen(M03_AXI_awlen),
    .M03_AXI_awsize(M03_AXI_awsize),
    .M03_AXI_awburst(M03_AXI_awburst),
    .M03_AXI_awlock(M03_AXI_awlock),
    .M03_AXI_awcache(M03_AXI_awcache),
    .M03_AXI_awprot(M03_AXI_awprot),
    .M03_AXI_awqos(M03_AXI_awqos),
    .M03_AXI_awuser(M03_AXI_awuser),
    .M03_AXI_awvalid(M03_AXI_awvalid),
    .M03_AXI_awready(M03_AXI_awready),
    .M03_AXI_wdata(M03_AXI_wdata),
    .M03_AXI_wstrb(M03_AXI_wstrb),
    .M03_AXI_wlast(M03_AXI_wlast),
    .M03_AXI_wuser(M03_AXI_wuser),
    .M03_AXI_wvalid(M03_AXI_wvalid),
    .M03_AXI_wready(M03_AXI_wready),
    .M03_AXI_bresp(M03_AXI_bresp),
    .M03_AXI_buser(M03_AXI_buser),
    .M03_AXI_bvalid(M03_AXI_bvalid),
    .M03_AXI_bready(M03_AXI_bready),
    .M03_AXI_araddr(M03_AXI_araddr),
    .M03_AXI_arlen(M03_AXI_arlen),
    .M03_AXI_arsize(M03_AXI_arsize),
    .M03_AXI_arburst(M03_AXI_arburst),
    .M03_AXI_arlock(M03_AXI_arlock),
    .M03_AXI_arcache(M03_AXI_arcache),
    .M03_AXI_arprot(M03_AXI_arprot),
    .M03_AXI_arqos(M03_AXI_arqos),
    .M03_AXI_aruser(M03_AXI_aruser),
    .M03_AXI_arvalid(M03_AXI_arvalid),
    .M03_AXI_arready(M03_AXI_arready),
    .M03_AXI_rdata(M03_AXI_rdata),
    .M03_AXI_rresp(M03_AXI_rresp),
    .M03_AXI_rlast(M03_AXI_rlast),
    .M03_AXI_ruser(M03_AXI_ruser),
    .M03_AXI_rvalid(M03_AXI_rvalid),
    .M03_AXI_rready(M03_AXI_rready),
    .M04_AXI_awaddr(M04_AXI_awaddr),
    .M04_AXI_awlen(M04_AXI_awlen),
    .M04_AXI_awsize(M04_AXI_awsize),
    .M04_AXI_awburst(M04_AXI_awburst),
    .M04_AXI_awlock(M04_AXI_awlock),
    .M04_AXI_awcache(M04_AXI_awcache),
    .M04_AXI_awprot(M04_AXI_awprot),
    .M04_AXI_awqos(M04_AXI_awqos),
    .M04_AXI_awuser(M04_AXI_awuser),
    .M04_AXI_awvalid(M04_AXI_awvalid),
    .M04_AXI_awready(M04_AXI_awready),
    .M04_AXI_wdata(M04_AXI_wdata),
    .M04_AXI_wstrb(M04_AXI_wstrb),
    .M04_AXI_wlast(M04_AXI_wlast),
    .M04_AXI_wuser(M04_AXI_wuser),
    .M04_AXI_wvalid(M04_AXI_wvalid),
    .M04_AXI_wready(M04_AXI_wready),
    .M04_AXI_bresp(M04_AXI_bresp),
    .M04_AXI_buser(M04_AXI_buser),
    .M04_AXI_bvalid(M04_AXI_bvalid),
    .M04_AXI_bready(M04_AXI_bready),
    .M04_AXI_araddr(M04_AXI_araddr),
    .M04_AXI_arlen(M04_AXI_arlen),
    .M04_AXI_arsize(M04_AXI_arsize),
    .M04_AXI_arburst(M04_AXI_arburst),
    .M04_AXI_arlock(M04_AXI_arlock),
    .M04_AXI_arcache(M04_AXI_arcache),
    .M04_AXI_arprot(M04_AXI_arprot),
    .M04_AXI_arqos(M04_AXI_arqos),
    .M04_AXI_aruser(M04_AXI_aruser),
    .M04_AXI_arvalid(M04_AXI_arvalid),
    .M04_AXI_arready(M04_AXI_arready),
    .M04_AXI_rdata(M04_AXI_rdata),
    .M04_AXI_rresp(M04_AXI_rresp),
    .M04_AXI_rlast(M04_AXI_rlast),
    .M04_AXI_ruser(M04_AXI_ruser),
    .M04_AXI_rvalid(M04_AXI_rvalid),
    .M04_AXI_rready(M04_AXI_rready),
    .M05_AXI_awaddr(M05_AXI_awaddr),
    .M05_AXI_awlen(M05_AXI_awlen),
    .M05_AXI_awsize(M05_AXI_awsize),
    .M05_AXI_awburst(M05_AXI_awburst),
    .M05_AXI_awlock(M05_AXI_awlock),
    .M05_AXI_awcache(M05_AXI_awcache),
    .M05_AXI_awprot(M05_AXI_awprot),
    .M05_AXI_awqos(M05_AXI_awqos),
    .M05_AXI_awuser(M05_AXI_awuser),
    .M05_AXI_awvalid(M05_AXI_awvalid),
    .M05_AXI_awready(M05_AXI_awready),
    .M05_AXI_wdata(M05_AXI_wdata),
    .M05_AXI_wstrb(M05_AXI_wstrb),
    .M05_AXI_wlast(M05_AXI_wlast),
    .M05_AXI_wuser(M05_AXI_wuser),
    .M05_AXI_wvalid(M05_AXI_wvalid),
    .M05_AXI_wready(M05_AXI_wready),
    .M05_AXI_bresp(M05_AXI_bresp),
    .M05_AXI_buser(M05_AXI_buser),
    .M05_AXI_bvalid(M05_AXI_bvalid),
    .M05_AXI_bready(M05_AXI_bready),
    .M05_AXI_araddr(M05_AXI_araddr),
    .M05_AXI_arlen(M05_AXI_arlen),
    .M05_AXI_arsize(M05_AXI_arsize),
    .M05_AXI_arburst(M05_AXI_arburst),
    .M05_AXI_arlock(M05_AXI_arlock),
    .M05_AXI_arcache(M05_AXI_arcache),
    .M05_AXI_arprot(M05_AXI_arprot),
    .M05_AXI_arqos(M05_AXI_arqos),
    .M05_AXI_aruser(M05_AXI_aruser),
    .M05_AXI_arvalid(M05_AXI_arvalid),
    .M05_AXI_arready(M05_AXI_arready),
    .M05_AXI_rdata(M05_AXI_rdata),
    .M05_AXI_rresp(M05_AXI_rresp),
    .M05_AXI_rlast(M05_AXI_rlast),
    .M05_AXI_ruser(M05_AXI_ruser),
    .M05_AXI_rvalid(M05_AXI_rvalid),
    .M05_AXI_rready(M05_AXI_rready),
    .M06_AXI_awaddr(M06_AXI_awaddr),
    .M06_AXI_awlen(M06_AXI_awlen),
    .M06_AXI_awsize(M06_AXI_awsize),
    .M06_AXI_awburst(M06_AXI_awburst),
    .M06_AXI_awlock(M06_AXI_awlock),
    .M06_AXI_awcache(M06_AXI_awcache),
    .M06_AXI_awprot(M06_AXI_awprot),
    .M06_AXI_awqos(M06_AXI_awqos),
    .M06_AXI_awuser(M06_AXI_awuser),
    .M06_AXI_awvalid(M06_AXI_awvalid),
    .M06_AXI_awready(M06_AXI_awready),
    .M06_AXI_wdata(M06_AXI_wdata),
    .M06_AXI_wstrb(M06_AXI_wstrb),
    .M06_AXI_wlast(M06_AXI_wlast),
    .M06_AXI_wuser(M06_AXI_wuser),
    .M06_AXI_wvalid(M06_AXI_wvalid),
    .M06_AXI_wready(M06_AXI_wready),
    .M06_AXI_bresp(M06_AXI_bresp),
    .M06_AXI_buser(M06_AXI_buser),
    .M06_AXI_bvalid(M06_AXI_bvalid),
    .M06_AXI_bready(M06_AXI_bready),
    .M06_AXI_araddr(M06_AXI_araddr),
    .M06_AXI_arlen(M06_AXI_arlen),
    .M06_AXI_arsize(M06_AXI_arsize),
    .M06_AXI_arburst(M06_AXI_arburst),
    .M06_AXI_arlock(M06_AXI_arlock),
    .M06_AXI_arcache(M06_AXI_arcache),
    .M06_AXI_arprot(M06_AXI_arprot),
    .M06_AXI_arqos(M06_AXI_arqos),
    .M06_AXI_aruser(M06_AXI_aruser),
    .M06_AXI_arvalid(M06_AXI_arvalid),
    .M06_AXI_arready(M06_AXI_arready),
    .M06_AXI_rdata(M06_AXI_rdata),
    .M06_AXI_rresp(M06_AXI_rresp),
    .M06_AXI_rlast(M06_AXI_rlast),
    .M06_AXI_ruser(M06_AXI_ruser),
    .M06_AXI_rvalid(M06_AXI_rvalid),
    .M06_AXI_rready(M06_AXI_rready),
    .M07_AXI_awaddr(M07_AXI_awaddr),
    .M07_AXI_awlen(M07_AXI_awlen),
    .M07_AXI_awsize(M07_AXI_awsize),
    .M07_AXI_awburst(M07_AXI_awburst),
    .M07_AXI_awlock(M07_AXI_awlock),
    .M07_AXI_awcache(M07_AXI_awcache),
    .M07_AXI_awprot(M07_AXI_awprot),
    .M07_AXI_awqos(M07_AXI_awqos),
    .M07_AXI_awuser(M07_AXI_awuser),
    .M07_AXI_awvalid(M07_AXI_awvalid),
    .M07_AXI_awready(M07_AXI_awready),
    .M07_AXI_wdata(M07_AXI_wdata),
    .M07_AXI_wstrb(M07_AXI_wstrb),
    .M07_AXI_wlast(M07_AXI_wlast),
    .M07_AXI_wuser(M07_AXI_wuser),
    .M07_AXI_wvalid(M07_AXI_wvalid),
    .M07_AXI_wready(M07_AXI_wready),
    .M07_AXI_bresp(M07_AXI_bresp),
    .M07_AXI_buser(M07_AXI_buser),
    .M07_AXI_bvalid(M07_AXI_bvalid),
    .M07_AXI_bready(M07_AXI_bready),
    .M07_AXI_araddr(M07_AXI_araddr),
    .M07_AXI_arlen(M07_AXI_arlen),
    .M07_AXI_arsize(M07_AXI_arsize),
    .M07_AXI_arburst(M07_AXI_arburst),
    .M07_AXI_arlock(M07_AXI_arlock),
    .M07_AXI_arcache(M07_AXI_arcache),
    .M07_AXI_arprot(M07_AXI_arprot),
    .M07_AXI_arqos(M07_AXI_arqos),
    .M07_AXI_aruser(M07_AXI_aruser),
    .M07_AXI_arvalid(M07_AXI_arvalid),
    .M07_AXI_arready(M07_AXI_arready),
    .M07_AXI_rdata(M07_AXI_rdata),
    .M07_AXI_rresp(M07_AXI_rresp),
    .M07_AXI_rlast(M07_AXI_rlast),
    .M07_AXI_ruser(M07_AXI_ruser),
    .M07_AXI_rvalid(M07_AXI_rvalid),
    .M07_AXI_rready(M07_AXI_rready),
    .M08_AXI_awaddr(M08_AXI_awaddr),
    .M08_AXI_awlen(M08_AXI_awlen),
    .M08_AXI_awsize(M08_AXI_awsize),
    .M08_AXI_awburst(M08_AXI_awburst),
    .M08_AXI_awlock(M08_AXI_awlock),
    .M08_AXI_awcache(M08_AXI_awcache),
    .M08_AXI_awprot(M08_AXI_awprot),
    .M08_AXI_awqos(M08_AXI_awqos),
    .M08_AXI_awuser(M08_AXI_awuser),
    .M08_AXI_awvalid(M08_AXI_awvalid),
    .M08_AXI_awready(M08_AXI_awready),
    .M08_AXI_wdata(M08_AXI_wdata),
    .M08_AXI_wstrb(M08_AXI_wstrb),
    .M08_AXI_wlast(M08_AXI_wlast),
    .M08_AXI_wuser(M08_AXI_wuser),
    .M08_AXI_wvalid(M08_AXI_wvalid),
    .M08_AXI_wready(M08_AXI_wready),
    .M08_AXI_bresp(M08_AXI_bresp),
    .M08_AXI_buser(M08_AXI_buser),
    .M08_AXI_bvalid(M08_AXI_bvalid),
    .M08_AXI_bready(M08_AXI_bready),
    .M08_AXI_araddr(M08_AXI_araddr),
    .M08_AXI_arlen(M08_AXI_arlen),
    .M08_AXI_arsize(M08_AXI_arsize),
    .M08_AXI_arburst(M08_AXI_arburst),
    .M08_AXI_arlock(M08_AXI_arlock),
    .M08_AXI_arcache(M08_AXI_arcache),
    .M08_AXI_arprot(M08_AXI_arprot),
    .M08_AXI_arqos(M08_AXI_arqos),
    .M08_AXI_aruser(M08_AXI_aruser),
    .M08_AXI_arvalid(M08_AXI_arvalid),
    .M08_AXI_arready(M08_AXI_arready),
    .M08_AXI_rdata(M08_AXI_rdata),
    .M08_AXI_rresp(M08_AXI_rresp),
    .M08_AXI_rlast(M08_AXI_rlast),
    .M08_AXI_ruser(M08_AXI_ruser),
    .M08_AXI_rvalid(M08_AXI_rvalid),
    .M08_AXI_rready(M08_AXI_rready),
    .M09_AXI_awaddr(M09_AXI_awaddr),
    .M09_AXI_awlen(M09_AXI_awlen),
    .M09_AXI_awsize(M09_AXI_awsize),
    .M09_AXI_awburst(M09_AXI_awburst),
    .M09_AXI_awlock(M09_AXI_awlock),
    .M09_AXI_awcache(M09_AXI_awcache),
    .M09_AXI_awprot(M09_AXI_awprot),
    .M09_AXI_awqos(M09_AXI_awqos),
    .M09_AXI_awuser(M09_AXI_awuser),
    .M09_AXI_awvalid(M09_AXI_awvalid),
    .M09_AXI_awready(M09_AXI_awready),
    .M09_AXI_wdata(M09_AXI_wdata),
    .M09_AXI_wstrb(M09_AXI_wstrb),
    .M09_AXI_wlast(M09_AXI_wlast),
    .M09_AXI_wuser(M09_AXI_wuser),
    .M09_AXI_wvalid(M09_AXI_wvalid),
    .M09_AXI_wready(M09_AXI_wready),
    .M09_AXI_bresp(M09_AXI_bresp),
    .M09_AXI_buser(M09_AXI_buser),
    .M09_AXI_bvalid(M09_AXI_bvalid),
    .M09_AXI_bready(M09_AXI_bready),
    .M09_AXI_araddr(M09_AXI_araddr),
    .M09_AXI_arlen(M09_AXI_arlen),
    .M09_AXI_arsize(M09_AXI_arsize),
    .M09_AXI_arburst(M09_AXI_arburst),
    .M09_AXI_arlock(M09_AXI_arlock),
    .M09_AXI_arcache(M09_AXI_arcache),
    .M09_AXI_arprot(M09_AXI_arprot),
    .M09_AXI_arqos(M09_AXI_arqos),
    .M09_AXI_aruser(M09_AXI_aruser),
    .M09_AXI_arvalid(M09_AXI_arvalid),
    .M09_AXI_arready(M09_AXI_arready),
    .M09_AXI_rdata(M09_AXI_rdata),
    .M09_AXI_rresp(M09_AXI_rresp),
    .M09_AXI_rlast(M09_AXI_rlast),
    .M09_AXI_ruser(M09_AXI_ruser),
    .M09_AXI_rvalid(M09_AXI_rvalid),
    .M09_AXI_rready(M09_AXI_rready),
    .M10_AXI_awaddr(M10_AXI_awaddr),
    .M10_AXI_awlen(M10_AXI_awlen),
    .M10_AXI_awsize(M10_AXI_awsize),
    .M10_AXI_awburst(M10_AXI_awburst),
    .M10_AXI_awlock(M10_AXI_awlock),
    .M10_AXI_awcache(M10_AXI_awcache),
    .M10_AXI_awprot(M10_AXI_awprot),
    .M10_AXI_awqos(M10_AXI_awqos),
    .M10_AXI_awuser(M10_AXI_awuser),
    .M10_AXI_awvalid(M10_AXI_awvalid),
    .M10_AXI_awready(M10_AXI_awready),
    .M10_AXI_wdata(M10_AXI_wdata),
    .M10_AXI_wstrb(M10_AXI_wstrb),
    .M10_AXI_wlast(M10_AXI_wlast),
    .M10_AXI_wuser(M10_AXI_wuser),
    .M10_AXI_wvalid(M10_AXI_wvalid),
    .M10_AXI_wready(M10_AXI_wready),
    .M10_AXI_bresp(M10_AXI_bresp),
    .M10_AXI_buser(M10_AXI_buser),
    .M10_AXI_bvalid(M10_AXI_bvalid),
    .M10_AXI_bready(M10_AXI_bready),
    .M10_AXI_araddr(M10_AXI_araddr),
    .M10_AXI_arlen(M10_AXI_arlen),
    .M10_AXI_arsize(M10_AXI_arsize),
    .M10_AXI_arburst(M10_AXI_arburst),
    .M10_AXI_arlock(M10_AXI_arlock),
    .M10_AXI_arcache(M10_AXI_arcache),
    .M10_AXI_arprot(M10_AXI_arprot),
    .M10_AXI_arqos(M10_AXI_arqos),
    .M10_AXI_aruser(M10_AXI_aruser),
    .M10_AXI_arvalid(M10_AXI_arvalid),
    .M10_AXI_arready(M10_AXI_arready),
    .M10_AXI_rdata(M10_AXI_rdata),
    .M10_AXI_rresp(M10_AXI_rresp),
    .M10_AXI_rlast(M10_AXI_rlast),
    .M10_AXI_ruser(M10_AXI_ruser),
    .M10_AXI_rvalid(M10_AXI_rvalid),
    .M10_AXI_rready(M10_AXI_rready),
    .M11_AXI_awaddr(M11_AXI_awaddr),
    .M11_AXI_awlen(M11_AXI_awlen),
    .M11_AXI_awsize(M11_AXI_awsize),
    .M11_AXI_awburst(M11_AXI_awburst),
    .M11_AXI_awlock(M11_AXI_awlock),
    .M11_AXI_awcache(M11_AXI_awcache),
    .M11_AXI_awprot(M11_AXI_awprot),
    .M11_AXI_awqos(M11_AXI_awqos),
    .M11_AXI_awuser(M11_AXI_awuser),
    .M11_AXI_awvalid(M11_AXI_awvalid),
    .M11_AXI_awready(M11_AXI_awready),
    .M11_AXI_wdata(M11_AXI_wdata),
    .M11_AXI_wstrb(M11_AXI_wstrb),
    .M11_AXI_wlast(M11_AXI_wlast),
    .M11_AXI_wuser(M11_AXI_wuser),
    .M11_AXI_wvalid(M11_AXI_wvalid),
    .M11_AXI_wready(M11_AXI_wready),
    .M11_AXI_bresp(M11_AXI_bresp),
    .M11_AXI_buser(M11_AXI_buser),
    .M11_AXI_bvalid(M11_AXI_bvalid),
    .M11_AXI_bready(M11_AXI_bready),
    .M11_AXI_araddr(M11_AXI_araddr),
    .M11_AXI_arlen(M11_AXI_arlen),
    .M11_AXI_arsize(M11_AXI_arsize),
    .M11_AXI_arburst(M11_AXI_arburst),
    .M11_AXI_arlock(M11_AXI_arlock),
    .M11_AXI_arcache(M11_AXI_arcache),
    .M11_AXI_arprot(M11_AXI_arprot),
    .M11_AXI_arqos(M11_AXI_arqos),
    .M11_AXI_aruser(M11_AXI_aruser),
    .M11_AXI_arvalid(M11_AXI_arvalid),
    .M11_AXI_arready(M11_AXI_arready),
    .M11_AXI_rdata(M11_AXI_rdata),
    .M11_AXI_rresp(M11_AXI_rresp),
    .M11_AXI_rlast(M11_AXI_rlast),
    .M11_AXI_ruser(M11_AXI_ruser),
    .M11_AXI_rvalid(M11_AXI_rvalid),
    .M11_AXI_rready(M11_AXI_rready),
    .M12_AXI_awaddr(M12_AXI_awaddr),
    .M12_AXI_awlen(M12_AXI_awlen),
    .M12_AXI_awsize(M12_AXI_awsize),
    .M12_AXI_awburst(M12_AXI_awburst),
    .M12_AXI_awlock(M12_AXI_awlock),
    .M12_AXI_awcache(M12_AXI_awcache),
    .M12_AXI_awprot(M12_AXI_awprot),
    .M12_AXI_awqos(M12_AXI_awqos),
    .M12_AXI_awuser(M12_AXI_awuser),
    .M12_AXI_awvalid(M12_AXI_awvalid),
    .M12_AXI_awready(M12_AXI_awready),
    .M12_AXI_wdata(M12_AXI_wdata),
    .M12_AXI_wstrb(M12_AXI_wstrb),
    .M12_AXI_wlast(M12_AXI_wlast),
    .M12_AXI_wuser(M12_AXI_wuser),
    .M12_AXI_wvalid(M12_AXI_wvalid),
    .M12_AXI_wready(M12_AXI_wready),
    .M12_AXI_bresp(M12_AXI_bresp),
    .M12_AXI_buser(M12_AXI_buser),
    .M12_AXI_bvalid(M12_AXI_bvalid),
    .M12_AXI_bready(M12_AXI_bready),
    .M12_AXI_araddr(M12_AXI_araddr),
    .M12_AXI_arlen(M12_AXI_arlen),
    .M12_AXI_arsize(M12_AXI_arsize),
    .M12_AXI_arburst(M12_AXI_arburst),
    .M12_AXI_arlock(M12_AXI_arlock),
    .M12_AXI_arcache(M12_AXI_arcache),
    .M12_AXI_arprot(M12_AXI_arprot),
    .M12_AXI_arqos(M12_AXI_arqos),
    .M12_AXI_aruser(M12_AXI_aruser),
    .M12_AXI_arvalid(M12_AXI_arvalid),
    .M12_AXI_arready(M12_AXI_arready),
    .M12_AXI_rdata(M12_AXI_rdata),
    .M12_AXI_rresp(M12_AXI_rresp),
    .M12_AXI_rlast(M12_AXI_rlast),
    .M12_AXI_ruser(M12_AXI_ruser),
    .M12_AXI_rvalid(M12_AXI_rvalid),
    .M12_AXI_rready(M12_AXI_rready),
    .M13_AXI_awaddr(M13_AXI_awaddr),
    .M13_AXI_awlen(M13_AXI_awlen),
    .M13_AXI_awsize(M13_AXI_awsize),
    .M13_AXI_awburst(M13_AXI_awburst),
    .M13_AXI_awlock(M13_AXI_awlock),
    .M13_AXI_awcache(M13_AXI_awcache),
    .M13_AXI_awprot(M13_AXI_awprot),
    .M13_AXI_awqos(M13_AXI_awqos),
    .M13_AXI_awuser(M13_AXI_awuser),
    .M13_AXI_awvalid(M13_AXI_awvalid),
    .M13_AXI_awready(M13_AXI_awready),
    .M13_AXI_wdata(M13_AXI_wdata),
    .M13_AXI_wstrb(M13_AXI_wstrb),
    .M13_AXI_wlast(M13_AXI_wlast),
    .M13_AXI_wuser(M13_AXI_wuser),
    .M13_AXI_wvalid(M13_AXI_wvalid),
    .M13_AXI_wready(M13_AXI_wready),
    .M13_AXI_bresp(M13_AXI_bresp),
    .M13_AXI_buser(M13_AXI_buser),
    .M13_AXI_bvalid(M13_AXI_bvalid),
    .M13_AXI_bready(M13_AXI_bready),
    .M13_AXI_araddr(M13_AXI_araddr),
    .M13_AXI_arlen(M13_AXI_arlen),
    .M13_AXI_arsize(M13_AXI_arsize),
    .M13_AXI_arburst(M13_AXI_arburst),
    .M13_AXI_arlock(M13_AXI_arlock),
    .M13_AXI_arcache(M13_AXI_arcache),
    .M13_AXI_arprot(M13_AXI_arprot),
    .M13_AXI_arqos(M13_AXI_arqos),
    .M13_AXI_aruser(M13_AXI_aruser),
    .M13_AXI_arvalid(M13_AXI_arvalid),
    .M13_AXI_arready(M13_AXI_arready),
    .M13_AXI_rdata(M13_AXI_rdata),
    .M13_AXI_rresp(M13_AXI_rresp),
    .M13_AXI_rlast(M13_AXI_rlast),
    .M13_AXI_ruser(M13_AXI_ruser),
    .M13_AXI_rvalid(M13_AXI_rvalid),
    .M13_AXI_rready(M13_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_smartconnect_7_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [31 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [31 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 32, RUSER_WIDTH 32, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [31 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [3 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [3 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [31 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [3 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 8, NUM_WRITE_OUTSTANDING 8, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_439c inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x32_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [15 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [15 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [31 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [3 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [3 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [31 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [3 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_6f5b inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x64_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [15 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [15 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [63 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [7 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [7 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [63 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [7 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 8, RUSER_WIDTH 8, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_a2bb inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x32_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [15 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [15 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [31 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [3 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [3 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [31 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [3 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 32, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 4, RUSER_WIDTH 4, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_b77a inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x64_0 (
  aclk,
  aresetn,
  S00_AXI_awid,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awuser,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wuser,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bid,
  S00_AXI_bresp,
  S00_AXI_buser,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_arid,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_aruser,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rid,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_ruser,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awlen,
  M00_AXI_awsize,
  M00_AXI_awburst,
  M00_AXI_awlock,
  M00_AXI_awcache,
  M00_AXI_awprot,
  M00_AXI_awqos,
  M00_AXI_awuser,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wlast,
  M00_AXI_wuser,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_buser,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arlen,
  M00_AXI_arsize,
  M00_AXI_arburst,
  M00_AXI_arlock,
  M00_AXI_arcache,
  M00_AXI_arprot,
  M00_AXI_arqos,
  M00_AXI_aruser,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rlast,
  M00_AXI_ruser,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWID" *)
input wire [15 : 0] S00_AXI_awid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWUSER" *)
input wire [17 : 0] S00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WUSER" *)
input wire [15 : 0] S00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BID" *)
output wire [15 : 0] S00_AXI_bid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BUSER" *)
output wire [15 : 0] S00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARID" *)
input wire [15 : 0] S00_AXI_arid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARUSER" *)
input wire [17 : 0] S00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RID" *)
output wire [15 : 0] S00_AXI_rid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RUSER" *)
output wire [15 : 0] S00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 16, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 16, RUSER_WIDTH 16, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 0, HAS_PROT 0, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREA\
DS 1, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [63 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLEN" *)
output wire [7 : 0] M00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWSIZE" *)
output wire [2 : 0] M00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWBURST" *)
output wire [1 : 0] M00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWLOCK" *)
output wire [0 : 0] M00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWCACHE" *)
output wire [3 : 0] M00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWQOS" *)
output wire [3 : 0] M00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWUSER" *)
output wire [17 : 0] M00_AXI_awuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [63 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [7 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WLAST" *)
output wire M00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WUSER" *)
output wire [7 : 0] M00_AXI_wuser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BUSER" *)
input wire [15 : 0] M00_AXI_buser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [63 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLEN" *)
output wire [7 : 0] M00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARSIZE" *)
output wire [2 : 0] M00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARBURST" *)
output wire [1 : 0] M00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARLOCK" *)
output wire [0 : 0] M00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARCACHE" *)
output wire [3 : 0] M00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARQOS" *)
output wire [3 : 0] M00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARUSER" *)
output wire [17 : 0] M00_AXI_aruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [63 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RLAST" *)
input wire M00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RUSER" *)
input wire [7 : 0] M00_AXI_ruser;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 64, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 18, ARUSER_WIDTH 18, WUSER_WIDTH 8, RUSER_WIDTH 8, BUSER_WIDTH 16, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 256, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1\
, NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 1, WUSER_BITS_PER_BYTE 1, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_7a9a inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awid(S00_AXI_awid),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awuser(S00_AXI_awuser),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wuser(S00_AXI_wuser),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bid(S00_AXI_bid),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_buser(S00_AXI_buser),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_arid(S00_AXI_arid),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_aruser(S00_AXI_aruser),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rid(S00_AXI_rid),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_ruser(S00_AXI_ruser),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awlen(M00_AXI_awlen),
    .M00_AXI_awsize(M00_AXI_awsize),
    .M00_AXI_awburst(M00_AXI_awburst),
    .M00_AXI_awlock(M00_AXI_awlock),
    .M00_AXI_awcache(M00_AXI_awcache),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awqos(M00_AXI_awqos),
    .M00_AXI_awuser(M00_AXI_awuser),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wlast(M00_AXI_wlast),
    .M00_AXI_wuser(M00_AXI_wuser),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_buser(M00_AXI_buser),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arlen(M00_AXI_arlen),
    .M00_AXI_arsize(M00_AXI_arsize),
    .M00_AXI_arburst(M00_AXI_arburst),
    .M00_AXI_arlock(M00_AXI_arlock),
    .M00_AXI_arcache(M00_AXI_arcache),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arqos(M00_AXI_arqos),
    .M00_AXI_aruser(M00_AXI_aruser),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rlast(M00_AXI_rlast),
    .M00_AXI_ruser(M00_AXI_ruser),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


// (c) Copyright 2022-2023 Advanced Micro Devices, Inc. All rights reserved.
// 
// This file contains confidential and proprietary information
// of Advanced Micro Devices, Inc. and is protected under U.S. and
// international copyright and other intellectual property
// laws.
// 
// DISCLAIMER
// This disclaimer is not a license and does not grant any
// rights to the materials distributed herewith. Except as
// otherwise provided in a valid license issued to you by
// Advanced Micro Devices, and to the maximum extent permitted by applicable
// law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
// WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
// AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
// BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
// INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
// (2) Advanced Micro Devices shall not be liable (whether in contract or tort,
// including negligence, or under any other theory of
// liability) for any loss or damage of any kind or nature
// related to, arising under or in connection with these
// materials, including for any direct, or any indirect,
// special, incidental, or consequential loss or damage
// (including loss of data, profits, goodwill, or any type of
// loss or damage suffered as a result of any action brought
// by a third party) even if such damage or loss was
// reasonably foreseeable or Advanced Micro Devices had been advised of the
// possibility of the same.
// 
// CRITICAL APPLICATIONS
// Advanced Micro Devices products are not designed or intended to be fail-
// safe, or for use in any application requiring fail-safe
// performance, such as life-support or safety devices or
// systems, Class III medical devices, nuclear facilities,
// applications related to the deployment of airbags, or any
// other applications that could lead to death, personal
// injury, or severe property or environmental damage
// (individually and collectively, "Critical
// Applications"). Customer assumes the sole risk and
// liability of any use of Advanced Micro Devices products in Critical
// Applications, subject only to applicable laws and
// regulations governing limitations on product liability.
// 
// THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
// PART OF THIS FILE AT ALL TIMES.
// 
// DO NOT MODIFY THIS FILE.


// IP VLNV: xilinx.com:ip:smartconnect:1.0
// IP Revision: 20

`timescale 1ns/1ps

(* DowngradeIPIdentifiedWarnings = "yes" *)
module versal_cips_ps_vip_v1_0_11_design_sc_axi2apb_slave_side_0 (
  aclk,
  aresetn,
  S00_AXI_awaddr,
  S00_AXI_awlen,
  S00_AXI_awsize,
  S00_AXI_awburst,
  S00_AXI_awlock,
  S00_AXI_awcache,
  S00_AXI_awprot,
  S00_AXI_awqos,
  S00_AXI_awvalid,
  S00_AXI_awready,
  S00_AXI_wdata,
  S00_AXI_wstrb,
  S00_AXI_wlast,
  S00_AXI_wvalid,
  S00_AXI_wready,
  S00_AXI_bresp,
  S00_AXI_bvalid,
  S00_AXI_bready,
  S00_AXI_araddr,
  S00_AXI_arlen,
  S00_AXI_arsize,
  S00_AXI_arburst,
  S00_AXI_arlock,
  S00_AXI_arcache,
  S00_AXI_arprot,
  S00_AXI_arqos,
  S00_AXI_arvalid,
  S00_AXI_arready,
  S00_AXI_rdata,
  S00_AXI_rresp,
  S00_AXI_rlast,
  S00_AXI_rvalid,
  S00_AXI_rready,
  M00_AXI_awaddr,
  M00_AXI_awprot,
  M00_AXI_awvalid,
  M00_AXI_awready,
  M00_AXI_wdata,
  M00_AXI_wstrb,
  M00_AXI_wvalid,
  M00_AXI_wready,
  M00_AXI_bresp,
  M00_AXI_bvalid,
  M00_AXI_bready,
  M00_AXI_araddr,
  M00_AXI_arprot,
  M00_AXI_arvalid,
  M00_AXI_arready,
  M00_AXI_rdata,
  M00_AXI_rresp,
  M00_AXI_rvalid,
  M00_AXI_rready
);

(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.aclk, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, ASSOCIATED_BUSIF M00_AXI:S00_AXI, INSERT_VIP 0, ASSOCIATED_CLKEN s_sc_aclken" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.aclk CLK" *)
input wire aclk;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.aresetn, POLARITY ACTIVE_LOW, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.aresetn RST" *)
input wire aresetn;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWADDR" *)
input wire [63 : 0] S00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLEN" *)
input wire [7 : 0] S00_AXI_awlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWSIZE" *)
input wire [2 : 0] S00_AXI_awsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWBURST" *)
input wire [1 : 0] S00_AXI_awburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWLOCK" *)
input wire [0 : 0] S00_AXI_awlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWCACHE" *)
input wire [3 : 0] S00_AXI_awcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWPROT" *)
input wire [2 : 0] S00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWQOS" *)
input wire [3 : 0] S00_AXI_awqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWVALID" *)
input wire S00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI AWREADY" *)
output wire S00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WDATA" *)
input wire [127 : 0] S00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WSTRB" *)
input wire [15 : 0] S00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WLAST" *)
input wire S00_AXI_wlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WVALID" *)
input wire S00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI WREADY" *)
output wire S00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BRESP" *)
output wire [1 : 0] S00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BVALID" *)
output wire S00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI BREADY" *)
input wire S00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARADDR" *)
input wire [63 : 0] S00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLEN" *)
input wire [7 : 0] S00_AXI_arlen;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARSIZE" *)
input wire [2 : 0] S00_AXI_arsize;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARBURST" *)
input wire [1 : 0] S00_AXI_arburst;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARLOCK" *)
input wire [0 : 0] S00_AXI_arlock;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARCACHE" *)
input wire [3 : 0] S00_AXI_arcache;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARPROT" *)
input wire [2 : 0] S00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARQOS" *)
input wire [3 : 0] S00_AXI_arqos;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARVALID" *)
input wire S00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI ARREADY" *)
output wire S00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RDATA" *)
output wire [127 : 0] S00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RRESP" *)
output wire [1 : 0] S00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RLAST" *)
output wire S00_AXI_rlast;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RVALID" *)
output wire S00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI, DATA_WIDTH 128, PROTOCOL AXI4, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 64, AWUSER_WIDTH 0, ARUSER_WIDTH 0, WUSER_WIDTH 0, RUSER_WIDTH 0, BUSER_WIDTH 0, READ_WRITE_MODE READ_WRITE, HAS_BURST 1, HAS_LOCK 1, HAS_PROT 1, HAS_CACHE 1, HAS_QOS 1, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 1, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 1, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1, NU\
M_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI RREADY" *)
input wire S00_AXI_rready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWADDR" *)
output wire [31 : 0] M00_AXI_awaddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWPROT" *)
output wire [2 : 0] M00_AXI_awprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWVALID" *)
output wire M00_AXI_awvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI AWREADY" *)
input wire M00_AXI_awready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WDATA" *)
output wire [31 : 0] M00_AXI_wdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WSTRB" *)
output wire [3 : 0] M00_AXI_wstrb;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WVALID" *)
output wire M00_AXI_wvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI WREADY" *)
input wire M00_AXI_wready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BRESP" *)
input wire [1 : 0] M00_AXI_bresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BVALID" *)
input wire M00_AXI_bvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI BREADY" *)
output wire M00_AXI_bready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARADDR" *)
output wire [31 : 0] M00_AXI_araddr;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARPROT" *)
output wire [2 : 0] M00_AXI_arprot;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARVALID" *)
output wire M00_AXI_arvalid;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI ARREADY" *)
input wire M00_AXI_arready;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RDATA" *)
input wire [31 : 0] M00_AXI_rdata;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RRESP" *)
input wire [1 : 0] M00_AXI_rresp;
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RVALID" *)
input wire M00_AXI_rvalid;
(* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME M00_AXI, DATA_WIDTH 32, PROTOCOL AXI4LITE, FREQ_HZ 200000000, ID_WIDTH 0, ADDR_WIDTH 32, AWUSER_WIDTH 0, ARUSER_WIDTH 0, WUSER_WIDTH 0, RUSER_WIDTH 0, BUSER_WIDTH 0, READ_WRITE_MODE READ_WRITE, HAS_BURST 0, HAS_LOCK 0, HAS_PROT 1, HAS_CACHE 0, HAS_QOS 0, HAS_REGION 0, HAS_WSTRB 1, HAS_BRESP 1, HAS_RRESP 1, SUPPORTS_NARROW_BURST 0, NUM_READ_OUTSTANDING 1, NUM_WRITE_OUTSTANDING 1, MAX_BURST_LENGTH 1, PHASE 0.0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, NUM_READ_THREADS 1,\
 NUM_WRITE_THREADS 1, RUSER_BITS_PER_BYTE 0, WUSER_BITS_PER_BYTE 0, INSERT_VIP 0" *)
(* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 M00_AXI RREADY" *)
output wire M00_AXI_rready;

  versal_cips_ps_vip_v1_0_11_bd_826a inst (
    .aclk(aclk),
    .aresetn(aresetn),
    .S00_AXI_awaddr(S00_AXI_awaddr),
    .S00_AXI_awlen(S00_AXI_awlen),
    .S00_AXI_awsize(S00_AXI_awsize),
    .S00_AXI_awburst(S00_AXI_awburst),
    .S00_AXI_awlock(S00_AXI_awlock),
    .S00_AXI_awcache(S00_AXI_awcache),
    .S00_AXI_awprot(S00_AXI_awprot),
    .S00_AXI_awqos(S00_AXI_awqos),
    .S00_AXI_awvalid(S00_AXI_awvalid),
    .S00_AXI_awready(S00_AXI_awready),
    .S00_AXI_wdata(S00_AXI_wdata),
    .S00_AXI_wstrb(S00_AXI_wstrb),
    .S00_AXI_wlast(S00_AXI_wlast),
    .S00_AXI_wvalid(S00_AXI_wvalid),
    .S00_AXI_wready(S00_AXI_wready),
    .S00_AXI_bresp(S00_AXI_bresp),
    .S00_AXI_bvalid(S00_AXI_bvalid),
    .S00_AXI_bready(S00_AXI_bready),
    .S00_AXI_araddr(S00_AXI_araddr),
    .S00_AXI_arlen(S00_AXI_arlen),
    .S00_AXI_arsize(S00_AXI_arsize),
    .S00_AXI_arburst(S00_AXI_arburst),
    .S00_AXI_arlock(S00_AXI_arlock),
    .S00_AXI_arcache(S00_AXI_arcache),
    .S00_AXI_arprot(S00_AXI_arprot),
    .S00_AXI_arqos(S00_AXI_arqos),
    .S00_AXI_arvalid(S00_AXI_arvalid),
    .S00_AXI_arready(S00_AXI_arready),
    .S00_AXI_rdata(S00_AXI_rdata),
    .S00_AXI_rresp(S00_AXI_rresp),
    .S00_AXI_rlast(S00_AXI_rlast),
    .S00_AXI_rvalid(S00_AXI_rvalid),
    .S00_AXI_rready(S00_AXI_rready),
    .M00_AXI_awaddr(M00_AXI_awaddr),
    .M00_AXI_awprot(M00_AXI_awprot),
    .M00_AXI_awvalid(M00_AXI_awvalid),
    .M00_AXI_awready(M00_AXI_awready),
    .M00_AXI_wdata(M00_AXI_wdata),
    .M00_AXI_wstrb(M00_AXI_wstrb),
    .M00_AXI_wvalid(M00_AXI_wvalid),
    .M00_AXI_wready(M00_AXI_wready),
    .M00_AXI_bresp(M00_AXI_bresp),
    .M00_AXI_bvalid(M00_AXI_bvalid),
    .M00_AXI_bready(M00_AXI_bready),
    .M00_AXI_araddr(M00_AXI_araddr),
    .M00_AXI_arprot(M00_AXI_arprot),
    .M00_AXI_arvalid(M00_AXI_arvalid),
    .M00_AXI_arready(M00_AXI_arready),
    .M00_AXI_rdata(M00_AXI_rdata),
    .M00_AXI_rresp(M00_AXI_rresp),
    .M00_AXI_rvalid(M00_AXI_rvalid),
    .M00_AXI_rready(M00_AXI_rready)
  );
endmodule


//Copyright 2022-2023 Advanced Micro Devices, Inc. All Rights Reserved.
//--------------------------------------------------------------------------------
//Tool Version: Vivado v.2023.1.0 (lin64) Build 3714389 Sun Dec  4 18:33:15 MST 2022
//Date        : Mon Dec  5 19:49:51 2022
//Host        : xhdrdevl219 running 64-bit CentOS Linux release 7.4.1708 (Core)
//Command     : generate_target versal_cips_ps_vip_v1_0_11_design.bd
//Design      : versal_cips_ps_vip_v1_0_11_design
//Purpose     : IP block netlist
//--------------------------------------------------------------------------------
`timescale 1 ps / 1 ps

(* CORE_GENERATION_INFO = "versal_cips_ps_vip_v1_0_11_design,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=versal_cips_ps_vip_v1_0_11_design,x_ipVersion=1.00.a,x_ipLanguage=VERILOG,numBlks=13,numReposBlks=13,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=0,numPkgbdBlks=0,bdsource=USER,synth_mode=Global}" *) (* HW_HANDOFF = "versal_cips_ps_vip_v1_0_11_design.hwdef" *) 
module versal_cips_ps_vip_v1_0_11_design
   (APB_M_0_paddr,
    APB_M_0_penable,
    APB_M_0_pprot,
    APB_M_0_prdata,
    APB_M_0_pready,
    APB_M_0_psel,
    APB_M_0_pslverr,
    APB_M_0_pstrb,
    APB_M_0_pwdata,
    APB_M_0_pwrite,
    IFPSCPMCFGAXI_araddr,
    IFPSCPMCFGAXI_arburst,
    IFPSCPMCFGAXI_arcache,
    IFPSCPMCFGAXI_arlen,
    IFPSCPMCFGAXI_arlock,
    IFPSCPMCFGAXI_arprot,
    IFPSCPMCFGAXI_arqos,
    IFPSCPMCFGAXI_arready,
    IFPSCPMCFGAXI_arsize,
    IFPSCPMCFGAXI_aruser,
    IFPSCPMCFGAXI_arvalid,
    IFPSCPMCFGAXI_awaddr,
    IFPSCPMCFGAXI_awburst,
    IFPSCPMCFGAXI_awcache,
    IFPSCPMCFGAXI_awlen,
    IFPSCPMCFGAXI_awlock,
    IFPSCPMCFGAXI_awprot,
    IFPSCPMCFGAXI_awqos,
    IFPSCPMCFGAXI_awready,
    IFPSCPMCFGAXI_awsize,
    IFPSCPMCFGAXI_awuser,
    IFPSCPMCFGAXI_awvalid,
    IFPSCPMCFGAXI_bready,
    IFPSCPMCFGAXI_bresp,
    IFPSCPMCFGAXI_buser,
    IFPSCPMCFGAXI_bvalid,
    IFPSCPMCFGAXI_rdata,
    IFPSCPMCFGAXI_rlast,
    IFPSCPMCFGAXI_rready,
    IFPSCPMCFGAXI_rresp,
    IFPSCPMCFGAXI_ruser,
    IFPSCPMCFGAXI_rvalid,
    IFPSCPMCFGAXI_wdata,
    IFPSCPMCFGAXI_wlast,
    IFPSCPMCFGAXI_wready,
    IFPSCPMCFGAXI_wstrb,
    IFPSCPMCFGAXI_wuser,
    IFPSCPMCFGAXI_wvalid,
    IFPSNOCCCIAXI0_araddr,
    IFPSNOCCCIAXI0_arburst,
    IFPSNOCCCIAXI0_arcache,
    IFPSNOCCCIAXI0_arlen,
    IFPSNOCCCIAXI0_arlock,
    IFPSNOCCCIAXI0_arprot,
    IFPSNOCCCIAXI0_arqos,
    IFPSNOCCCIAXI0_arready,
    IFPSNOCCCIAXI0_arsize,
    IFPSNOCCCIAXI0_aruser,
    IFPSNOCCCIAXI0_arvalid,
    IFPSNOCCCIAXI0_awaddr,
    IFPSNOCCCIAXI0_awburst,
    IFPSNOCCCIAXI0_awcache,
    IFPSNOCCCIAXI0_awlen,
    IFPSNOCCCIAXI0_awlock,
    IFPSNOCCCIAXI0_awprot,
    IFPSNOCCCIAXI0_awqos,
    IFPSNOCCCIAXI0_awready,
    IFPSNOCCCIAXI0_awsize,
    IFPSNOCCCIAXI0_awuser,
    IFPSNOCCCIAXI0_awvalid,
    IFPSNOCCCIAXI0_bready,
    IFPSNOCCCIAXI0_bresp,
    IFPSNOCCCIAXI0_buser,
    IFPSNOCCCIAXI0_bvalid,
    IFPSNOCCCIAXI0_rdata,
    IFPSNOCCCIAXI0_rlast,
    IFPSNOCCCIAXI0_rready,
    IFPSNOCCCIAXI0_rresp,
    IFPSNOCCCIAXI0_ruser,
    IFPSNOCCCIAXI0_rvalid,
    IFPSNOCCCIAXI0_wdata,
    IFPSNOCCCIAXI0_wlast,
    IFPSNOCCCIAXI0_wready,
    IFPSNOCCCIAXI0_wstrb,
    IFPSNOCCCIAXI0_wuser,
    IFPSNOCCCIAXI0_wvalid,
    IFPSNOCCCIAXI1_araddr,
    IFPSNOCCCIAXI1_arburst,
    IFPSNOCCCIAXI1_arcache,
    IFPSNOCCCIAXI1_arlen,
    IFPSNOCCCIAXI1_arlock,
    IFPSNOCCCIAXI1_arprot,
    IFPSNOCCCIAXI1_arqos,
    IFPSNOCCCIAXI1_arready,
    IFPSNOCCCIAXI1_arsize,
    IFPSNOCCCIAXI1_aruser,
    IFPSNOCCCIAXI1_arvalid,
    IFPSNOCCCIAXI1_awaddr,
    IFPSNOCCCIAXI1_awburst,
    IFPSNOCCCIAXI1_awcache,
    IFPSNOCCCIAXI1_awlen,
    IFPSNOCCCIAXI1_awlock,
    IFPSNOCCCIAXI1_awprot,
    IFPSNOCCCIAXI1_awqos,
    IFPSNOCCCIAXI1_awready,
    IFPSNOCCCIAXI1_awsize,
    IFPSNOCCCIAXI1_awuser,
    IFPSNOCCCIAXI1_awvalid,
    IFPSNOCCCIAXI1_bready,
    IFPSNOCCCIAXI1_bresp,
    IFPSNOCCCIAXI1_buser,
    IFPSNOCCCIAXI1_bvalid,
    IFPSNOCCCIAXI1_rdata,
    IFPSNOCCCIAXI1_rlast,
    IFPSNOCCCIAXI1_rready,
    IFPSNOCCCIAXI1_rresp,
    IFPSNOCCCIAXI1_ruser,
    IFPSNOCCCIAXI1_rvalid,
    IFPSNOCCCIAXI1_wdata,
    IFPSNOCCCIAXI1_wlast,
    IFPSNOCCCIAXI1_wready,
    IFPSNOCCCIAXI1_wstrb,
    IFPSNOCCCIAXI1_wuser,
    IFPSNOCCCIAXI1_wvalid,
    IFPSNOCCCIAXI2_araddr,
    IFPSNOCCCIAXI2_arburst,
    IFPSNOCCCIAXI2_arcache,
    IFPSNOCCCIAXI2_arlen,
    IFPSNOCCCIAXI2_arlock,
    IFPSNOCCCIAXI2_arprot,
    IFPSNOCCCIAXI2_arqos,
    IFPSNOCCCIAXI2_arready,
    IFPSNOCCCIAXI2_arsize,
    IFPSNOCCCIAXI2_aruser,
    IFPSNOCCCIAXI2_arvalid,
    IFPSNOCCCIAXI2_awaddr,
    IFPSNOCCCIAXI2_awburst,
    IFPSNOCCCIAXI2_awcache,
    IFPSNOCCCIAXI2_awlen,
    IFPSNOCCCIAXI2_awlock,
    IFPSNOCCCIAXI2_awprot,
    IFPSNOCCCIAXI2_awqos,
    IFPSNOCCCIAXI2_awready,
    IFPSNOCCCIAXI2_awsize,
    IFPSNOCCCIAXI2_awuser,
    IFPSNOCCCIAXI2_awvalid,
    IFPSNOCCCIAXI2_bready,
    IFPSNOCCCIAXI2_bresp,
    IFPSNOCCCIAXI2_buser,
    IFPSNOCCCIAXI2_bvalid,
    IFPSNOCCCIAXI2_rdata,
    IFPSNOCCCIAXI2_rlast,
    IFPSNOCCCIAXI2_rready,
    IFPSNOCCCIAXI2_rresp,
    IFPSNOCCCIAXI2_ruser,
    IFPSNOCCCIAXI2_rvalid,
    IFPSNOCCCIAXI2_wdata,
    IFPSNOCCCIAXI2_wlast,
    IFPSNOCCCIAXI2_wready,
    IFPSNOCCCIAXI2_wstrb,
    IFPSNOCCCIAXI2_wuser,
    IFPSNOCCCIAXI2_wvalid,
    IFPSNOCCCIAXI3_araddr,
    IFPSNOCCCIAXI3_arburst,
    IFPSNOCCCIAXI3_arcache,
    IFPSNOCCCIAXI3_arlen,
    IFPSNOCCCIAXI3_arlock,
    IFPSNOCCCIAXI3_arprot,
    IFPSNOCCCIAXI3_arqos,
    IFPSNOCCCIAXI3_arready,
    IFPSNOCCCIAXI3_arsize,
    IFPSNOCCCIAXI3_aruser,
    IFPSNOCCCIAXI3_arvalid,
    IFPSNOCCCIAXI3_awaddr,
    IFPSNOCCCIAXI3_awburst,
    IFPSNOCCCIAXI3_awcache,
    IFPSNOCCCIAXI3_awlen,
    IFPSNOCCCIAXI3_awlock,
    IFPSNOCCCIAXI3_awprot,
    IFPSNOCCCIAXI3_awqos,
    IFPSNOCCCIAXI3_awready,
    IFPSNOCCCIAXI3_awsize,
    IFPSNOCCCIAXI3_awuser,
    IFPSNOCCCIAXI3_awvalid,
    IFPSNOCCCIAXI3_bready,
    IFPSNOCCCIAXI3_bresp,
    IFPSNOCCCIAXI3_buser,
    IFPSNOCCCIAXI3_bvalid,
    IFPSNOCCCIAXI3_rdata,
    IFPSNOCCCIAXI3_rlast,
    IFPSNOCCCIAXI3_rready,
    IFPSNOCCCIAXI3_rresp,
    IFPSNOCCCIAXI3_ruser,
    IFPSNOCCCIAXI3_rvalid,
    IFPSNOCCCIAXI3_wdata,
    IFPSNOCCCIAXI3_wlast,
    IFPSNOCCCIAXI3_wready,
    IFPSNOCCCIAXI3_wstrb,
    IFPSNOCCCIAXI3_wuser,
    IFPSNOCCCIAXI3_wvalid,
    I_PSNOCCCI0AXIS_araddr,
    I_PSNOCCCI0AXIS_arburst,
    I_PSNOCCCI0AXIS_arcache,
    I_PSNOCCCI0AXIS_arid,
    I_PSNOCCCI0AXIS_arlen,
    I_PSNOCCCI0AXIS_arlock,
    I_PSNOCCCI0AXIS_arprot,
    I_PSNOCCCI0AXIS_arqos,
    I_PSNOCCCI0AXIS_arready,
    I_PSNOCCCI0AXIS_arsize,
    I_PSNOCCCI0AXIS_aruser,
    I_PSNOCCCI0AXIS_arvalid,
    I_PSNOCCCI0AXIS_awaddr,
    I_PSNOCCCI0AXIS_awburst,
    I_PSNOCCCI0AXIS_awcache,
    I_PSNOCCCI0AXIS_awid,
    I_PSNOCCCI0AXIS_awlen,
    I_PSNOCCCI0AXIS_awlock,
    I_PSNOCCCI0AXIS_awprot,
    I_PSNOCCCI0AXIS_awqos,
    I_PSNOCCCI0AXIS_awready,
    I_PSNOCCCI0AXIS_awsize,
    I_PSNOCCCI0AXIS_awuser,
    I_PSNOCCCI0AXIS_awvalid,
    I_PSNOCCCI0AXIS_bid,
    I_PSNOCCCI0AXIS_bready,
    I_PSNOCCCI0AXIS_bresp,
    I_PSNOCCCI0AXIS_buser,
    I_PSNOCCCI0AXIS_bvalid,
    I_PSNOCCCI0AXIS_rdata,
    I_PSNOCCCI0AXIS_rid,
    I_PSNOCCCI0AXIS_rlast,
    I_PSNOCCCI0AXIS_rready,
    I_PSNOCCCI0AXIS_rresp,
    I_PSNOCCCI0AXIS_ruser,
    I_PSNOCCCI0AXIS_rvalid,
    I_PSNOCCCI0AXIS_wdata,
    I_PSNOCCCI0AXIS_wlast,
    I_PSNOCCCI0AXIS_wready,
    I_PSNOCCCI0AXIS_wstrb,
    I_PSNOCCCI0AXIS_wuser,
    I_PSNOCCCI0AXIS_wvalid,
    I_PSNOCCCI1AXIS_araddr,
    I_PSNOCCCI1AXIS_arburst,
    I_PSNOCCCI1AXIS_arcache,
    I_PSNOCCCI1AXIS_arlen,
    I_PSNOCCCI1AXIS_arlock,
    I_PSNOCCCI1AXIS_arprot,
    I_PSNOCCCI1AXIS_arqos,
    I_PSNOCCCI1AXIS_arready,
    I_PSNOCCCI1AXIS_arsize,
    I_PSNOCCCI1AXIS_aruser,
    I_PSNOCCCI1AXIS_arvalid,
    I_PSNOCCCI1AXIS_awaddr,
    I_PSNOCCCI1AXIS_awburst,
    I_PSNOCCCI1AXIS_awcache,
    I_PSNOCCCI1AXIS_awlen,
    I_PSNOCCCI1AXIS_awlock,
    I_PSNOCCCI1AXIS_awprot,
    I_PSNOCCCI1AXIS_awqos,
    I_PSNOCCCI1AXIS_awready,
    I_PSNOCCCI1AXIS_awsize,
    I_PSNOCCCI1AXIS_awuser,
    I_PSNOCCCI1AXIS_awvalid,
    I_PSNOCCCI1AXIS_bready,
    I_PSNOCCCI1AXIS_bresp,
    I_PSNOCCCI1AXIS_buser,
    I_PSNOCCCI1AXIS_bvalid,
    I_PSNOCCCI1AXIS_rdata,
    I_PSNOCCCI1AXIS_rlast,
    I_PSNOCCCI1AXIS_rready,
    I_PSNOCCCI1AXIS_rresp,
    I_PSNOCCCI1AXIS_ruser,
    I_PSNOCCCI1AXIS_rvalid,
    I_PSNOCCCI1AXIS_wdata,
    I_PSNOCCCI1AXIS_wlast,
    I_PSNOCCCI1AXIS_wready,
    I_PSNOCCCI1AXIS_wstrb,
    I_PSNOCCCI1AXIS_wuser,
    I_PSNOCCCI1AXIS_wvalid,
    I_PSNOCCCI2AXIS_araddr,
    I_PSNOCCCI2AXIS_arburst,
    I_PSNOCCCI2AXIS_arcache,
    I_PSNOCCCI2AXIS_arid,
    I_PSNOCCCI2AXIS_arlen,
    I_PSNOCCCI2AXIS_arlock,
    I_PSNOCCCI2AXIS_arprot,
    I_PSNOCCCI2AXIS_arqos,
    I_PSNOCCCI2AXIS_arready,
    I_PSNOCCCI2AXIS_arsize,
    I_PSNOCCCI2AXIS_aruser,
    I_PSNOCCCI2AXIS_arvalid,
    I_PSNOCCCI2AXIS_awaddr,
    I_PSNOCCCI2AXIS_awburst,
    I_PSNOCCCI2AXIS_awcache,
    I_PSNOCCCI2AXIS_awid,
    I_PSNOCCCI2AXIS_awlen,
    I_PSNOCCCI2AXIS_awlock,
    I_PSNOCCCI2AXIS_awprot,
    I_PSNOCCCI2AXIS_awqos,
    I_PSNOCCCI2AXIS_awready,
    I_PSNOCCCI2AXIS_awsize,
    I_PSNOCCCI2AXIS_awuser,
    I_PSNOCCCI2AXIS_awvalid,
    I_PSNOCCCI2AXIS_bid,
    I_PSNOCCCI2AXIS_bready,
    I_PSNOCCCI2AXIS_bresp,
    I_PSNOCCCI2AXIS_buser,
    I_PSNOCCCI2AXIS_bvalid,
    I_PSNOCCCI2AXIS_rdata,
    I_PSNOCCCI2AXIS_rid,
    I_PSNOCCCI2AXIS_rlast,
    I_PSNOCCCI2AXIS_rready,
    I_PSNOCCCI2AXIS_rresp,
    I_PSNOCCCI2AXIS_ruser,
    I_PSNOCCCI2AXIS_rvalid,
    I_PSNOCCCI2AXIS_wdata,
    I_PSNOCCCI2AXIS_wlast,
    I_PSNOCCCI2AXIS_wready,
    I_PSNOCCCI2AXIS_wstrb,
    I_PSNOCCCI2AXIS_wuser,
    I_PSNOCCCI2AXIS_wvalid,
    I_PSNOCCCI3AXIS_araddr,
    I_PSNOCCCI3AXIS_arburst,
    I_PSNOCCCI3AXIS_arcache,
    I_PSNOCCCI3AXIS_arid,
    I_PSNOCCCI3AXIS_arlen,
    I_PSNOCCCI3AXIS_arlock,
    I_PSNOCCCI3AXIS_arprot,
    I_PSNOCCCI3AXIS_arqos,
    I_PSNOCCCI3AXIS_arready,
    I_PSNOCCCI3AXIS_arsize,
    I_PSNOCCCI3AXIS_aruser,
    I_PSNOCCCI3AXIS_arvalid,
    I_PSNOCCCI3AXIS_awaddr,
    I_PSNOCCCI3AXIS_awburst,
    I_PSNOCCCI3AXIS_awcache,
    I_PSNOCCCI3AXIS_awid,
    I_PSNOCCCI3AXIS_awlen,
    I_PSNOCCCI3AXIS_awlock,
    I_PSNOCCCI3AXIS_awprot,
    I_PSNOCCCI3AXIS_awqos,
    I_PSNOCCCI3AXIS_awready,
    I_PSNOCCCI3AXIS_awsize,
    I_PSNOCCCI3AXIS_awuser,
    I_PSNOCCCI3AXIS_awvalid,
    I_PSNOCCCI3AXIS_bid,
    I_PSNOCCCI3AXIS_bready,
    I_PSNOCCCI3AXIS_bresp,
    I_PSNOCCCI3AXIS_buser,
    I_PSNOCCCI3AXIS_bvalid,
    I_PSNOCCCI3AXIS_rdata,
    I_PSNOCCCI3AXIS_rid,
    I_PSNOCCCI3AXIS_rlast,
    I_PSNOCCCI3AXIS_rready,
    I_PSNOCCCI3AXIS_rresp,
    I_PSNOCCCI3AXIS_ruser,
    I_PSNOCCCI3AXIS_rvalid,
    I_PSNOCCCI3AXIS_wdata,
    I_PSNOCCCI3AXIS_wlast,
    I_PSNOCCCI3AXIS_wready,
    I_PSNOCCCI3AXIS_wstrb,
    I_PSNOCCCI3AXIS_wuser,
    I_PSNOCCCI3AXIS_wvalid,
    I_PSNOCCCIAXIM_araddr,
    I_PSNOCCCIAXIM_arburst,
    I_PSNOCCCIAXIM_arcache,
    I_PSNOCCCIAXIM_arlen,
    I_PSNOCCCIAXIM_arlock,
    I_PSNOCCCIAXIM_arprot,
    I_PSNOCCCIAXIM_arqos,
    I_PSNOCCCIAXIM_arready,
    I_PSNOCCCIAXIM_arsize,
    I_PSNOCCCIAXIM_aruser,
    I_PSNOCCCIAXIM_arvalid,
    I_PSNOCCCIAXIM_awaddr,
    I_PSNOCCCIAXIM_awburst,
    I_PSNOCCCIAXIM_awcache,
    I_PSNOCCCIAXIM_awlen,
    I_PSNOCCCIAXIM_awlock,
    I_PSNOCCCIAXIM_awprot,
    I_PSNOCCCIAXIM_awqos,
    I_PSNOCCCIAXIM_awready,
    I_PSNOCCCIAXIM_awsize,
    I_PSNOCCCIAXIM_awuser,
    I_PSNOCCCIAXIM_awvalid,
    I_PSNOCCCIAXIM_bready,
    I_PSNOCCCIAXIM_bresp,
    I_PSNOCCCIAXIM_buser,
    I_PSNOCCCIAXIM_bvalid,
    I_PSNOCCCIAXIM_rdata,
    I_PSNOCCCIAXIM_rlast,
    I_PSNOCCCIAXIM_rready,
    I_PSNOCCCIAXIM_rresp,
    I_PSNOCCCIAXIM_ruser,
    I_PSNOCCCIAXIM_rvalid,
    I_PSNOCCCIAXIM_wdata,
    I_PSNOCCCIAXIM_wlast,
    I_PSNOCCCIAXIM_wready,
    I_PSNOCCCIAXIM_wstrb,
    I_PSNOCCCIAXIM_wuser,
    I_PSNOCCCIAXIM_wvalid,
    I_PSNOCCCIAXIS_araddr,
    I_PSNOCCCIAXIS_arburst,
    I_PSNOCCCIAXIS_arcache,
    I_PSNOCCCIAXIS_arid,
    I_PSNOCCCIAXIS_arlen,
    I_PSNOCCCIAXIS_arlock,
    I_PSNOCCCIAXIS_arprot,
    I_PSNOCCCIAXIS_arqos,
    I_PSNOCCCIAXIS_arready,
    I_PSNOCCCIAXIS_arsize,
    I_PSNOCCCIAXIS_aruser,
    I_PSNOCCCIAXIS_arvalid,
    I_PSNOCCCIAXIS_awaddr,
    I_PSNOCCCIAXIS_awburst,
    I_PSNOCCCIAXIS_awcache,
    I_PSNOCCCIAXIS_awid,
    I_PSNOCCCIAXIS_awlen,
    I_PSNOCCCIAXIS_awlock,
    I_PSNOCCCIAXIS_awprot,
    I_PSNOCCCIAXIS_awqos,
    I_PSNOCCCIAXIS_awready,
    I_PSNOCCCIAXIS_awsize,
    I_PSNOCCCIAXIS_awuser,
    I_PSNOCCCIAXIS_awvalid,
    I_PSNOCCCIAXIS_bid,
    I_PSNOCCCIAXIS_bready,
    I_PSNOCCCIAXIS_bresp,
    I_PSNOCCCIAXIS_buser,
    I_PSNOCCCIAXIS_bvalid,
    I_PSNOCCCIAXIS_rdata,
    I_PSNOCCCIAXIS_rid,
    I_PSNOCCCIAXIS_rlast,
    I_PSNOCCCIAXIS_rready,
    I_PSNOCCCIAXIS_rresp,
    I_PSNOCCCIAXIS_ruser,
    I_PSNOCCCIAXIS_rvalid,
    I_PSNOCCCIAXIS_wdata,
    I_PSNOCCCIAXIS_wlast,
    I_PSNOCCCIAXIS_wready,
    I_PSNOCCCIAXIS_wstrb,
    I_PSNOCCCIAXIS_wuser,
    I_PSNOCCCIAXIS_wvalid,
    I_PSPLFPD128X32_araddr,
    I_PSPLFPD128X32_arburst,
    I_PSPLFPD128X32_arcache,
    I_PSPLFPD128X32_arid,
    I_PSPLFPD128X32_arlen,
    I_PSPLFPD128X32_arlock,
    I_PSPLFPD128X32_arprot,
    I_PSPLFPD128X32_arqos,
    I_PSPLFPD128X32_arready,
    I_PSPLFPD128X32_arsize,
    I_PSPLFPD128X32_aruser,
    I_PSPLFPD128X32_arvalid,
    I_PSPLFPD128X32_awaddr,
    I_PSPLFPD128X32_awburst,
    I_PSPLFPD128X32_awcache,
    I_PSPLFPD128X32_awid,
    I_PSPLFPD128X32_awlen,
    I_PSPLFPD128X32_awlock,
    I_PSPLFPD128X32_awprot,
    I_PSPLFPD128X32_awqos,
    I_PSPLFPD128X32_awready,
    I_PSPLFPD128X32_awsize,
    I_PSPLFPD128X32_awuser,
    I_PSPLFPD128X32_awvalid,
    I_PSPLFPD128X32_bid,
    I_PSPLFPD128X32_bready,
    I_PSPLFPD128X32_bresp,
    I_PSPLFPD128X32_buser,
    I_PSPLFPD128X32_bvalid,
    I_PSPLFPD128X32_rdata,
    I_PSPLFPD128X32_rid,
    I_PSPLFPD128X32_rlast,
    I_PSPLFPD128X32_rready,
    I_PSPLFPD128X32_rresp,
    I_PSPLFPD128X32_ruser,
    I_PSPLFPD128X32_rvalid,
    I_PSPLFPD128X32_wdata,
    I_PSPLFPD128X32_wlast,
    I_PSPLFPD128X32_wready,
    I_PSPLFPD128X32_wstrb,
    I_PSPLFPD128X32_wuser,
    I_PSPLFPD128X32_wvalid,
    I_PSPLFPD128X64_araddr,
    I_PSPLFPD128X64_arburst,
    I_PSPLFPD128X64_arcache,
    I_PSPLFPD128X64_arid,
    I_PSPLFPD128X64_arlen,
    I_PSPLFPD128X64_arlock,
    I_PSPLFPD128X64_arprot,
    I_PSPLFPD128X64_arqos,
    I_PSPLFPD128X64_arready,
    I_PSPLFPD128X64_arsize,
    I_PSPLFPD128X64_aruser,
    I_PSPLFPD128X64_arvalid,
    I_PSPLFPD128X64_awaddr,
    I_PSPLFPD128X64_awburst,
    I_PSPLFPD128X64_awcache,
    I_PSPLFPD128X64_awid,
    I_PSPLFPD128X64_awlen,
    I_PSPLFPD128X64_awlock,
    I_PSPLFPD128X64_awprot,
    I_PSPLFPD128X64_awqos,
    I_PSPLFPD128X64_awready,
    I_PSPLFPD128X64_awsize,
    I_PSPLFPD128X64_awuser,
    I_PSPLFPD128X64_awvalid,
    I_PSPLFPD128X64_bid,
    I_PSPLFPD128X64_bready,
    I_PSPLFPD128X64_bresp,
    I_PSPLFPD128X64_buser,
    I_PSPLFPD128X64_bvalid,
    I_PSPLFPD128X64_rdata,
    I_PSPLFPD128X64_rid,
    I_PSPLFPD128X64_rlast,
    I_PSPLFPD128X64_rready,
    I_PSPLFPD128X64_rresp,
    I_PSPLFPD128X64_ruser,
    I_PSPLFPD128X64_rvalid,
    I_PSPLFPD128X64_wdata,
    I_PSPLFPD128X64_wlast,
    I_PSPLFPD128X64_wready,
    I_PSPLFPD128X64_wstrb,
    I_PSPLFPD128X64_wuser,
    I_PSPLFPD128X64_wvalid,
    I_PSPLLPD128X32_araddr,
    I_PSPLLPD128X32_arburst,
    I_PSPLLPD128X32_arcache,
    I_PSPLLPD128X32_arid,
    I_PSPLLPD128X32_arlen,
    I_PSPLLPD128X32_arlock,
    I_PSPLLPD128X32_arprot,
    I_PSPLLPD128X32_arqos,
    I_PSPLLPD128X32_arready,
    I_PSPLLPD128X32_arsize,
    I_PSPLLPD128X32_aruser,
    I_PSPLLPD128X32_arvalid,
    I_PSPLLPD128X32_awaddr,
    I_PSPLLPD128X32_awburst,
    I_PSPLLPD128X32_awcache,
    I_PSPLLPD128X32_awid,
    I_PSPLLPD128X32_awlen,
    I_PSPLLPD128X32_awlock,
    I_PSPLLPD128X32_awprot,
    I_PSPLLPD128X32_awqos,
    I_PSPLLPD128X32_awready,
    I_PSPLLPD128X32_awsize,
    I_PSPLLPD128X32_awuser,
    I_PSPLLPD128X32_awvalid,
    I_PSPLLPD128X32_bid,
    I_PSPLLPD128X32_bready,
    I_PSPLLPD128X32_bresp,
    I_PSPLLPD128X32_buser,
    I_PSPLLPD128X32_bvalid,
    I_PSPLLPD128X32_rdata,
    I_PSPLLPD128X32_rid,
    I_PSPLLPD128X32_rlast,
    I_PSPLLPD128X32_rready,
    I_PSPLLPD128X32_rresp,
    I_PSPLLPD128X32_ruser,
    I_PSPLLPD128X32_rvalid,
    I_PSPLLPD128X32_wdata,
    I_PSPLLPD128X32_wlast,
    I_PSPLLPD128X32_wready,
    I_PSPLLPD128X32_wstrb,
    I_PSPLLPD128X32_wuser,
    I_PSPLLPD128X32_wvalid,
    I_PSPLLPD128X64_araddr,
    I_PSPLLPD128X64_arburst,
    I_PSPLLPD128X64_arcache,
    I_PSPLLPD128X64_arid,
    I_PSPLLPD128X64_arlen,
    I_PSPLLPD128X64_arlock,
    I_PSPLLPD128X64_arprot,
    I_PSPLLPD128X64_arqos,
    I_PSPLLPD128X64_arready,
    I_PSPLLPD128X64_arsize,
    I_PSPLLPD128X64_aruser,
    I_PSPLLPD128X64_arvalid,
    I_PSPLLPD128X64_awaddr,
    I_PSPLLPD128X64_awburst,
    I_PSPLLPD128X64_awcache,
    I_PSPLLPD128X64_awid,
    I_PSPLLPD128X64_awlen,
    I_PSPLLPD128X64_awlock,
    I_PSPLLPD128X64_awprot,
    I_PSPLLPD128X64_awqos,
    I_PSPLLPD128X64_awready,
    I_PSPLLPD128X64_awsize,
    I_PSPLLPD128X64_awuser,
    I_PSPLLPD128X64_awvalid,
    I_PSPLLPD128X64_bid,
    I_PSPLLPD128X64_bready,
    I_PSPLLPD128X64_bresp,
    I_PSPLLPD128X64_buser,
    I_PSPLLPD128X64_bvalid,
    I_PSPLLPD128X64_rdata,
    I_PSPLLPD128X64_rid,
    I_PSPLLPD128X64_rlast,
    I_PSPLLPD128X64_rready,
    I_PSPLLPD128X64_rresp,
    I_PSPLLPD128X64_ruser,
    I_PSPLLPD128X64_rvalid,
    I_PSPLLPD128X64_wdata,
    I_PSPLLPD128X64_wlast,
    I_PSPLLPD128X64_wready,
    I_PSPLLPD128X64_wstrb,
    I_PSPLLPD128X64_wuser,
    I_PSPLLPD128X64_wvalid,
    OCM_araddr,
    OCM_arburst,
    OCM_arcache,
    OCM_arlen,
    OCM_arlock,
    OCM_arprot,
    OCM_arqos,
    OCM_arready,
    OCM_arsize,
    OCM_aruser,
    OCM_arvalid,
    OCM_awaddr,
    OCM_awburst,
    OCM_awcache,
    OCM_awlen,
    OCM_awlock,
    OCM_awprot,
    OCM_awqos,
    OCM_awready,
    OCM_awsize,
    OCM_awuser,
    OCM_awvalid,
    OCM_bready,
    OCM_bresp,
    OCM_buser,
    OCM_bvalid,
    OCM_rdata,
    OCM_rlast,
    OCM_rready,
    OCM_rresp,
    OCM_ruser,
    OCM_rvalid,
    OCM_wdata,
    OCM_wlast,
    OCM_wready,
    OCM_wstrb,
    OCM_wuser,
    OCM_wvalid,
    O_PSPLFPD128X32_araddr,
    O_PSPLFPD128X32_arburst,
    O_PSPLFPD128X32_arcache,
    O_PSPLFPD128X32_arlen,
    O_PSPLFPD128X32_arlock,
    O_PSPLFPD128X32_arprot,
    O_PSPLFPD128X32_arqos,
    O_PSPLFPD128X32_arready,
    O_PSPLFPD128X32_arsize,
    O_PSPLFPD128X32_aruser,
    O_PSPLFPD128X32_arvalid,
    O_PSPLFPD128X32_awaddr,
    O_PSPLFPD128X32_awburst,
    O_PSPLFPD128X32_awcache,
    O_PSPLFPD128X32_awlen,
    O_PSPLFPD128X32_awlock,
    O_PSPLFPD128X32_awprot,
    O_PSPLFPD128X32_awqos,
    O_PSPLFPD128X32_awready,
    O_PSPLFPD128X32_awsize,
    O_PSPLFPD128X32_awuser,
    O_PSPLFPD128X32_awvalid,
    O_PSPLFPD128X32_bready,
    O_PSPLFPD128X32_bresp,
    O_PSPLFPD128X32_buser,
    O_PSPLFPD128X32_bvalid,
    O_PSPLFPD128X32_rdata,
    O_PSPLFPD128X32_rlast,
    O_PSPLFPD128X32_rready,
    O_PSPLFPD128X32_rresp,
    O_PSPLFPD128X32_ruser,
    O_PSPLFPD128X32_rvalid,
    O_PSPLFPD128X32_wdata,
    O_PSPLFPD128X32_wlast,
    O_PSPLFPD128X32_wready,
    O_PSPLFPD128X32_wstrb,
    O_PSPLFPD128X32_wuser,
    O_PSPLFPD128X32_wvalid,
    O_PSPLFPD128X64_araddr,
    O_PSPLFPD128X64_arburst,
    O_PSPLFPD128X64_arcache,
    O_PSPLFPD128X64_arlen,
    O_PSPLFPD128X64_arlock,
    O_PSPLFPD128X64_arprot,
    O_PSPLFPD128X64_arqos,
    O_PSPLFPD128X64_arready,
    O_PSPLFPD128X64_arsize,
    O_PSPLFPD128X64_aruser,
    O_PSPLFPD128X64_arvalid,
    O_PSPLFPD128X64_awaddr,
    O_PSPLFPD128X64_awburst,
    O_PSPLFPD128X64_awcache,
    O_PSPLFPD128X64_awlen,
    O_PSPLFPD128X64_awlock,
    O_PSPLFPD128X64_awprot,
    O_PSPLFPD128X64_awqos,
    O_PSPLFPD128X64_awready,
    O_PSPLFPD128X64_awsize,
    O_PSPLFPD128X64_awuser,
    O_PSPLFPD128X64_awvalid,
    O_PSPLFPD128X64_bready,
    O_PSPLFPD128X64_bresp,
    O_PSPLFPD128X64_buser,
    O_PSPLFPD128X64_bvalid,
    O_PSPLFPD128X64_rdata,
    O_PSPLFPD128X64_rlast,
    O_PSPLFPD128X64_rready,
    O_PSPLFPD128X64_rresp,
    O_PSPLFPD128X64_ruser,
    O_PSPLFPD128X64_rvalid,
    O_PSPLFPD128X64_wdata,
    O_PSPLFPD128X64_wlast,
    O_PSPLFPD128X64_wready,
    O_PSPLFPD128X64_wstrb,
    O_PSPLFPD128X64_wuser,
    O_PSPLFPD128X64_wvalid,
    O_PSPLLPD128X32_araddr,
    O_PSPLLPD128X32_arburst,
    O_PSPLLPD128X32_arcache,
    O_PSPLLPD128X32_arlen,
    O_PSPLLPD128X32_arlock,
    O_PSPLLPD128X32_arprot,
    O_PSPLLPD128X32_arqos,
    O_PSPLLPD128X32_arready,
    O_PSPLLPD128X32_arsize,
    O_PSPLLPD128X32_aruser,
    O_PSPLLPD128X32_arvalid,
    O_PSPLLPD128X32_awaddr,
    O_PSPLLPD128X32_awburst,
    O_PSPLLPD128X32_awcache,
    O_PSPLLPD128X32_awlen,
    O_PSPLLPD128X32_awlock,
    O_PSPLLPD128X32_awprot,
    O_PSPLLPD128X32_awqos,
    O_PSPLLPD128X32_awready,
    O_PSPLLPD128X32_awsize,
    O_PSPLLPD128X32_awuser,
    O_PSPLLPD128X32_awvalid,
    O_PSPLLPD128X32_bready,
    O_PSPLLPD128X32_bresp,
    O_PSPLLPD128X32_buser,
    O_PSPLLPD128X32_bvalid,
    O_PSPLLPD128X32_rdata,
    O_PSPLLPD128X32_rlast,
    O_PSPLLPD128X32_rready,
    O_PSPLLPD128X32_rresp,
    O_PSPLLPD128X32_ruser,
    O_PSPLLPD128X32_rvalid,
    O_PSPLLPD128X32_wdata,
    O_PSPLLPD128X32_wlast,
    O_PSPLLPD128X32_wready,
    O_PSPLLPD128X32_wstrb,
    O_PSPLLPD128X32_wuser,
    O_PSPLLPD128X32_wvalid,
    O_PSPLLPD128X64_araddr,
    O_PSPLLPD128X64_arburst,
    O_PSPLLPD128X64_arcache,
    O_PSPLLPD128X64_arlen,
    O_PSPLLPD128X64_arlock,
    O_PSPLLPD128X64_arprot,
    O_PSPLLPD128X64_arqos,
    O_PSPLLPD128X64_arready,
    O_PSPLLPD128X64_arsize,
    O_PSPLLPD128X64_aruser,
    O_PSPLLPD128X64_arvalid,
    O_PSPLLPD128X64_awaddr,
    O_PSPLLPD128X64_awburst,
    O_PSPLLPD128X64_awcache,
    O_PSPLLPD128X64_awlen,
    O_PSPLLPD128X64_awlock,
    O_PSPLLPD128X64_awprot,
    O_PSPLLPD128X64_awqos,
    O_PSPLLPD128X64_awready,
    O_PSPLLPD128X64_awsize,
    O_PSPLLPD128X64_awuser,
    O_PSPLLPD128X64_awvalid,
    O_PSPLLPD128X64_bready,
    O_PSPLLPD128X64_bresp,
    O_PSPLLPD128X64_buser,
    O_PSPLLPD128X64_bvalid,
    O_PSPLLPD128X64_rdata,
    O_PSPLLPD128X64_rlast,
    O_PSPLLPD128X64_rready,
    O_PSPLLPD128X64_rresp,
    O_PSPLLPD128X64_ruser,
    O_PSPLLPD128X64_rvalid,
    O_PSPLLPD128X64_wdata,
    O_PSPLLPD128X64_wlast,
    O_PSPLLPD128X64_wready,
    O_PSPLLPD128X64_wstrb,
    O_PSPLLPD128X64_wuser,
    O_PSPLLPD128X64_wvalid,
    REG_MEM10_araddr,
    REG_MEM10_arburst,
    REG_MEM10_arcache,
    REG_MEM10_arlen,
    REG_MEM10_arlock,
    REG_MEM10_arprot,
    REG_MEM10_arqos,
    REG_MEM10_arready,
    REG_MEM10_arsize,
    REG_MEM10_aruser,
    REG_MEM10_arvalid,
    REG_MEM10_awaddr,
    REG_MEM10_awburst,
    REG_MEM10_awcache,
    REG_MEM10_awlen,
    REG_MEM10_awlock,
    REG_MEM10_awprot,
    REG_MEM10_awqos,
    REG_MEM10_awready,
    REG_MEM10_awsize,
    REG_MEM10_awuser,
    REG_MEM10_awvalid,
    REG_MEM10_bready,
    REG_MEM10_bresp,
    REG_MEM10_buser,
    REG_MEM10_bvalid,
    REG_MEM10_rdata,
    REG_MEM10_rlast,
    REG_MEM10_rready,
    REG_MEM10_rresp,
    REG_MEM10_ruser,
    REG_MEM10_rvalid,
    REG_MEM10_wdata,
    REG_MEM10_wlast,
    REG_MEM10_wready,
    REG_MEM10_wstrb,
    REG_MEM10_wuser,
    REG_MEM10_wvalid,
    REG_MEM11_araddr,
    REG_MEM11_arburst,
    REG_MEM11_arcache,
    REG_MEM11_arlen,
    REG_MEM11_arlock,
    REG_MEM11_arprot,
    REG_MEM11_arqos,
    REG_MEM11_arready,
    REG_MEM11_arsize,
    REG_MEM11_aruser,
    REG_MEM11_arvalid,
    REG_MEM11_awaddr,
    REG_MEM11_awburst,
    REG_MEM11_awcache,
    REG_MEM11_awlen,
    REG_MEM11_awlock,
    REG_MEM11_awprot,
    REG_MEM11_awqos,
    REG_MEM11_awready,
    REG_MEM11_awsize,
    REG_MEM11_awuser,
    REG_MEM11_awvalid,
    REG_MEM11_bready,
    REG_MEM11_bresp,
    REG_MEM11_buser,
    REG_MEM11_bvalid,
    REG_MEM11_rdata,
    REG_MEM11_rlast,
    REG_MEM11_rready,
    REG_MEM11_rresp,
    REG_MEM11_ruser,
    REG_MEM11_rvalid,
    REG_MEM11_wdata,
    REG_MEM11_wlast,
    REG_MEM11_wready,
    REG_MEM11_wstrb,
    REG_MEM11_wuser,
    REG_MEM11_wvalid,
    REG_MEM12_araddr,
    REG_MEM12_arburst,
    REG_MEM12_arcache,
    REG_MEM12_arlen,
    REG_MEM12_arlock,
    REG_MEM12_arprot,
    REG_MEM12_arqos,
    REG_MEM12_arready,
    REG_MEM12_arsize,
    REG_MEM12_aruser,
    REG_MEM12_arvalid,
    REG_MEM12_awaddr,
    REG_MEM12_awburst,
    REG_MEM12_awcache,
    REG_MEM12_awlen,
    REG_MEM12_awlock,
    REG_MEM12_awprot,
    REG_MEM12_awqos,
    REG_MEM12_awready,
    REG_MEM12_awsize,
    REG_MEM12_awuser,
    REG_MEM12_awvalid,
    REG_MEM12_bready,
    REG_MEM12_bresp,
    REG_MEM12_buser,
    REG_MEM12_bvalid,
    REG_MEM12_rdata,
    REG_MEM12_rlast,
    REG_MEM12_rready,
    REG_MEM12_rresp,
    REG_MEM12_ruser,
    REG_MEM12_rvalid,
    REG_MEM12_wdata,
    REG_MEM12_wlast,
    REG_MEM12_wready,
    REG_MEM12_wstrb,
    REG_MEM12_wuser,
    REG_MEM12_wvalid,
    REG_MEM1_araddr,
    REG_MEM1_arburst,
    REG_MEM1_arcache,
    REG_MEM1_arlen,
    REG_MEM1_arlock,
    REG_MEM1_arprot,
    REG_MEM1_arqos,
    REG_MEM1_arready,
    REG_MEM1_arsize,
    REG_MEM1_aruser,
    REG_MEM1_arvalid,
    REG_MEM1_awaddr,
    REG_MEM1_awburst,
    REG_MEM1_awcache,
    REG_MEM1_awlen,
    REG_MEM1_awlock,
    REG_MEM1_awprot,
    REG_MEM1_awqos,
    REG_MEM1_awready,
    REG_MEM1_awsize,
    REG_MEM1_awuser,
    REG_MEM1_awvalid,
    REG_MEM1_bready,
    REG_MEM1_bresp,
    REG_MEM1_buser,
    REG_MEM1_bvalid,
    REG_MEM1_rdata,
    REG_MEM1_rlast,
    REG_MEM1_rready,
    REG_MEM1_rresp,
    REG_MEM1_ruser,
    REG_MEM1_rvalid,
    REG_MEM1_wdata,
    REG_MEM1_wlast,
    REG_MEM1_wready,
    REG_MEM1_wstrb,
    REG_MEM1_wuser,
    REG_MEM1_wvalid,
    REG_MEM2_araddr,
    REG_MEM2_arburst,
    REG_MEM2_arcache,
    REG_MEM2_arlen,
    REG_MEM2_arlock,
    REG_MEM2_arprot,
    REG_MEM2_arqos,
    REG_MEM2_arready,
    REG_MEM2_arsize,
    REG_MEM2_aruser,
    REG_MEM2_arvalid,
    REG_MEM2_awaddr,
    REG_MEM2_awburst,
    REG_MEM2_awcache,
    REG_MEM2_awlen,
    REG_MEM2_awlock,
    REG_MEM2_awprot,
    REG_MEM2_awqos,
    REG_MEM2_awready,
    REG_MEM2_awsize,
    REG_MEM2_awuser,
    REG_MEM2_awvalid,
    REG_MEM2_bready,
    REG_MEM2_bresp,
    REG_MEM2_buser,
    REG_MEM2_bvalid,
    REG_MEM2_rdata,
    REG_MEM2_rlast,
    REG_MEM2_rready,
    REG_MEM2_rresp,
    REG_MEM2_ruser,
    REG_MEM2_rvalid,
    REG_MEM2_wdata,
    REG_MEM2_wlast,
    REG_MEM2_wready,
    REG_MEM2_wstrb,
    REG_MEM2_wuser,
    REG_MEM2_wvalid,
    REG_MEM3_araddr,
    REG_MEM3_arburst,
    REG_MEM3_arcache,
    REG_MEM3_arlen,
    REG_MEM3_arlock,
    REG_MEM3_arprot,
    REG_MEM3_arqos,
    REG_MEM3_arready,
    REG_MEM3_arsize,
    REG_MEM3_aruser,
    REG_MEM3_arvalid,
    REG_MEM3_awaddr,
    REG_MEM3_awburst,
    REG_MEM3_awcache,
    REG_MEM3_awlen,
    REG_MEM3_awlock,
    REG_MEM3_awprot,
    REG_MEM3_awqos,
    REG_MEM3_awready,
    REG_MEM3_awsize,
    REG_MEM3_awuser,
    REG_MEM3_awvalid,
    REG_MEM3_bready,
    REG_MEM3_bresp,
    REG_MEM3_buser,
    REG_MEM3_bvalid,
    REG_MEM3_rdata,
    REG_MEM3_rlast,
    REG_MEM3_rready,
    REG_MEM3_rresp,
    REG_MEM3_ruser,
    REG_MEM3_rvalid,
    REG_MEM3_wdata,
    REG_MEM3_wlast,
    REG_MEM3_wready,
    REG_MEM3_wstrb,
    REG_MEM3_wuser,
    REG_MEM3_wvalid,
    REG_MEM4_araddr,
    REG_MEM4_arburst,
    REG_MEM4_arcache,
    REG_MEM4_arlen,
    REG_MEM4_arlock,
    REG_MEM4_arprot,
    REG_MEM4_arqos,
    REG_MEM4_arready,
    REG_MEM4_arsize,
    REG_MEM4_aruser,
    REG_MEM4_arvalid,
    REG_MEM4_awaddr,
    REG_MEM4_awburst,
    REG_MEM4_awcache,
    REG_MEM4_awlen,
    REG_MEM4_awlock,
    REG_MEM4_awprot,
    REG_MEM4_awqos,
    REG_MEM4_awready,
    REG_MEM4_awsize,
    REG_MEM4_awuser,
    REG_MEM4_awvalid,
    REG_MEM4_bready,
    REG_MEM4_bresp,
    REG_MEM4_buser,
    REG_MEM4_bvalid,
    REG_MEM4_rdata,
    REG_MEM4_rlast,
    REG_MEM4_rready,
    REG_MEM4_rresp,
    REG_MEM4_ruser,
    REG_MEM4_rvalid,
    REG_MEM4_wdata,
    REG_MEM4_wlast,
    REG_MEM4_wready,
    REG_MEM4_wstrb,
    REG_MEM4_wuser,
    REG_MEM4_wvalid,
    REG_MEM5_araddr,
    REG_MEM5_arburst,
    REG_MEM5_arcache,
    REG_MEM5_arlen,
    REG_MEM5_arlock,
    REG_MEM5_arprot,
    REG_MEM5_arqos,
    REG_MEM5_arready,
    REG_MEM5_arsize,
    REG_MEM5_aruser,
    REG_MEM5_arvalid,
    REG_MEM5_awaddr,
    REG_MEM5_awburst,
    REG_MEM5_awcache,
    REG_MEM5_awlen,
    REG_MEM5_awlock,
    REG_MEM5_awprot,
    REG_MEM5_awqos,
    REG_MEM5_awready,
    REG_MEM5_awsize,
    REG_MEM5_awuser,
    REG_MEM5_awvalid,
    REG_MEM5_bready,
    REG_MEM5_bresp,
    REG_MEM5_buser,
    REG_MEM5_bvalid,
    REG_MEM5_rdata,
    REG_MEM5_rlast,
    REG_MEM5_rready,
    REG_MEM5_rresp,
    REG_MEM5_ruser,
    REG_MEM5_rvalid,
    REG_MEM5_wdata,
    REG_MEM5_wlast,
    REG_MEM5_wready,
    REG_MEM5_wstrb,
    REG_MEM5_wuser,
    REG_MEM5_wvalid,
    REG_MEM6_araddr,
    REG_MEM6_arburst,
    REG_MEM6_arcache,
    REG_MEM6_arlen,
    REG_MEM6_arlock,
    REG_MEM6_arprot,
    REG_MEM6_arqos,
    REG_MEM6_arready,
    REG_MEM6_arsize,
    REG_MEM6_aruser,
    REG_MEM6_arvalid,
    REG_MEM6_awaddr,
    REG_MEM6_awburst,
    REG_MEM6_awcache,
    REG_MEM6_awlen,
    REG_MEM6_awlock,
    REG_MEM6_awprot,
    REG_MEM6_awqos,
    REG_MEM6_awready,
    REG_MEM6_awsize,
    REG_MEM6_awuser,
    REG_MEM6_awvalid,
    REG_MEM6_bready,
    REG_MEM6_bresp,
    REG_MEM6_buser,
    REG_MEM6_bvalid,
    REG_MEM6_rdata,
    REG_MEM6_rlast,
    REG_MEM6_rready,
    REG_MEM6_rresp,
    REG_MEM6_ruser,
    REG_MEM6_rvalid,
    REG_MEM6_wdata,
    REG_MEM6_wlast,
    REG_MEM6_wready,
    REG_MEM6_wstrb,
    REG_MEM6_wuser,
    REG_MEM6_wvalid,
    REG_MEM7_araddr,
    REG_MEM7_arburst,
    REG_MEM7_arcache,
    REG_MEM7_arlen,
    REG_MEM7_arlock,
    REG_MEM7_arprot,
    REG_MEM7_arqos,
    REG_MEM7_arready,
    REG_MEM7_arsize,
    REG_MEM7_aruser,
    REG_MEM7_arvalid,
    REG_MEM7_awaddr,
    REG_MEM7_awburst,
    REG_MEM7_awcache,
    REG_MEM7_awlen,
    REG_MEM7_awlock,
    REG_MEM7_awprot,
    REG_MEM7_awqos,
    REG_MEM7_awready,
    REG_MEM7_awsize,
    REG_MEM7_awuser,
    REG_MEM7_awvalid,
    REG_MEM7_bready,
    REG_MEM7_bresp,
    REG_MEM7_buser,
    REG_MEM7_bvalid,
    REG_MEM7_rdata,
    REG_MEM7_rlast,
    REG_MEM7_rready,
    REG_MEM7_rresp,
    REG_MEM7_ruser,
    REG_MEM7_rvalid,
    REG_MEM7_wdata,
    REG_MEM7_wlast,
    REG_MEM7_wready,
    REG_MEM7_wstrb,
    REG_MEM7_wuser,
    REG_MEM7_wvalid,
    REG_MEM8_araddr,
    REG_MEM8_arburst,
    REG_MEM8_arcache,
    REG_MEM8_arlen,
    REG_MEM8_arlock,
    REG_MEM8_arprot,
    REG_MEM8_arqos,
    REG_MEM8_arready,
    REG_MEM8_arsize,
    REG_MEM8_aruser,
    REG_MEM8_arvalid,
    REG_MEM8_awaddr,
    REG_MEM8_awburst,
    REG_MEM8_awcache,
    REG_MEM8_awlen,
    REG_MEM8_awlock,
    REG_MEM8_awprot,
    REG_MEM8_awqos,
    REG_MEM8_awready,
    REG_MEM8_awsize,
    REG_MEM8_awuser,
    REG_MEM8_awvalid,
    REG_MEM8_bready,
    REG_MEM8_bresp,
    REG_MEM8_buser,
    REG_MEM8_bvalid,
    REG_MEM8_rdata,
    REG_MEM8_rlast,
    REG_MEM8_rready,
    REG_MEM8_rresp,
    REG_MEM8_ruser,
    REG_MEM8_rvalid,
    REG_MEM8_wdata,
    REG_MEM8_wlast,
    REG_MEM8_wready,
    REG_MEM8_wstrb,
    REG_MEM8_wuser,
    REG_MEM8_wvalid,
    REG_MEM9_araddr,
    REG_MEM9_arburst,
    REG_MEM9_arcache,
    REG_MEM9_arlen,
    REG_MEM9_arlock,
    REG_MEM9_arprot,
    REG_MEM9_arqos,
    REG_MEM9_arready,
    REG_MEM9_arsize,
    REG_MEM9_aruser,
    REG_MEM9_arvalid,
    REG_MEM9_awaddr,
    REG_MEM9_awburst,
    REG_MEM9_awcache,
    REG_MEM9_awlen,
    REG_MEM9_awlock,
    REG_MEM9_awprot,
    REG_MEM9_awqos,
    REG_MEM9_awready,
    REG_MEM9_awsize,
    REG_MEM9_awuser,
    REG_MEM9_awvalid,
    REG_MEM9_bready,
    REG_MEM9_bresp,
    REG_MEM9_buser,
    REG_MEM9_bvalid,
    REG_MEM9_rdata,
    REG_MEM9_rlast,
    REG_MEM9_rready,
    REG_MEM9_rresp,
    REG_MEM9_ruser,
    REG_MEM9_rvalid,
    REG_MEM9_wdata,
    REG_MEM9_wlast,
    REG_MEM9_wready,
    REG_MEM9_wstrb,
    REG_MEM9_wuser,
    REG_MEM9_wvalid,
    S00_AXI_0_araddr,
    S00_AXI_0_arburst,
    S00_AXI_0_arcache,
    S00_AXI_0_arlen,
    S00_AXI_0_arlock,
    S00_AXI_0_arprot,
    S00_AXI_0_arqos,
    S00_AXI_0_arready,
    S00_AXI_0_arsize,
    S00_AXI_0_arvalid,
    S00_AXI_0_awaddr,
    S00_AXI_0_awburst,
    S00_AXI_0_awcache,
    S00_AXI_0_awlen,
    S00_AXI_0_awlock,
    S00_AXI_0_awprot,
    S00_AXI_0_awqos,
    S00_AXI_0_awready,
    S00_AXI_0_awsize,
    S00_AXI_0_awvalid,
    S00_AXI_0_bready,
    S00_AXI_0_bresp,
    S00_AXI_0_bvalid,
    S00_AXI_0_rdata,
    S00_AXI_0_rlast,
    S00_AXI_0_rready,
    S00_AXI_0_rresp,
    S00_AXI_0_rvalid,
    S00_AXI_0_wdata,
    S00_AXI_0_wlast,
    S00_AXI_0_wready,
    S00_AXI_0_wstrb,
    S00_AXI_0_wvalid,
    SMARTCONNEC6INMUX_araddr,
    SMARTCONNEC6INMUX_arburst,
    SMARTCONNEC6INMUX_arcache,
    SMARTCONNEC6INMUX_arid,
    SMARTCONNEC6INMUX_arlen,
    SMARTCONNEC6INMUX_arlock,
    SMARTCONNEC6INMUX_arprot,
    SMARTCONNEC6INMUX_arqos,
    SMARTCONNEC6INMUX_arready,
    SMARTCONNEC6INMUX_arsize,
    SMARTCONNEC6INMUX_aruser,
    SMARTCONNEC6INMUX_arvalid,
    SMARTCONNEC6INMUX_awaddr,
    SMARTCONNEC6INMUX_awburst,
    SMARTCONNEC6INMUX_awcache,
    SMARTCONNEC6INMUX_awid,
    SMARTCONNEC6INMUX_awlen,
    SMARTCONNEC6INMUX_awlock,
    SMARTCONNEC6INMUX_awprot,
    SMARTCONNEC6INMUX_awqos,
    SMARTCONNEC6INMUX_awready,
    SMARTCONNEC6INMUX_awsize,
    SMARTCONNEC6INMUX_awuser,
    SMARTCONNEC6INMUX_awvalid,
    SMARTCONNEC6INMUX_bid,
    SMARTCONNEC6INMUX_bready,
    SMARTCONNEC6INMUX_bresp,
    SMARTCONNEC6INMUX_buser,
    SMARTCONNEC6INMUX_bvalid,
    SMARTCONNEC6INMUX_rdata,
    SMARTCONNEC6INMUX_rid,
    SMARTCONNEC6INMUX_rlast,
    SMARTCONNEC6INMUX_rready,
    SMARTCONNEC6INMUX_rresp,
    SMARTCONNEC6INMUX_ruser,
    SMARTCONNEC6INMUX_rvalid,
    SMARTCONNEC6INMUX_wdata,
    SMARTCONNEC6INMUX_wlast,
    SMARTCONNEC6INMUX_wready,
    SMARTCONNEC6INMUX_wstrb,
    SMARTCONNEC6INMUX_wuser,
    SMARTCONNEC6INMUX_wvalid,
    SMARTCONNECT6IN_araddr,
    SMARTCONNECT6IN_arburst,
    SMARTCONNECT6IN_arcache,
    SMARTCONNECT6IN_arlen,
    SMARTCONNECT6IN_arlock,
    SMARTCONNECT6IN_arprot,
    SMARTCONNECT6IN_arqos,
    SMARTCONNECT6IN_arready,
    SMARTCONNECT6IN_arsize,
    SMARTCONNECT6IN_aruser,
    SMARTCONNECT6IN_arvalid,
    SMARTCONNECT6IN_awaddr,
    SMARTCONNECT6IN_awburst,
    SMARTCONNECT6IN_awcache,
    SMARTCONNECT6IN_awlen,
    SMARTCONNECT6IN_awlock,
    SMARTCONNECT6IN_awprot,
    SMARTCONNECT6IN_awqos,
    SMARTCONNECT6IN_awready,
    SMARTCONNECT6IN_awsize,
    SMARTCONNECT6IN_awuser,
    SMARTCONNECT6IN_awvalid,
    SMARTCONNECT6IN_bready,
    SMARTCONNECT6IN_bresp,
    SMARTCONNECT6IN_buser,
    SMARTCONNECT6IN_bvalid,
    SMARTCONNECT6IN_rdata,
    SMARTCONNECT6IN_rlast,
    SMARTCONNECT6IN_rready,
    SMARTCONNECT6IN_rresp,
    SMARTCONNECT6IN_ruser,
    SMARTCONNECT6IN_rvalid,
    SMARTCONNECT6IN_wdata,
    SMARTCONNECT6IN_wlast,
    SMARTCONNECT6IN_wready,
    SMARTCONNECT6IN_wstrb,
    SMARTCONNECT6IN_wuser,
    SMARTCONNECT6IN_wvalid,
    SMARTCONNECT6OUT_araddr,
    SMARTCONNECT6OUT_arburst,
    SMARTCONNECT6OUT_arcache,
    SMARTCONNECT6OUT_arlen,
    SMARTCONNECT6OUT_arlock,
    SMARTCONNECT6OUT_arprot,
    SMARTCONNECT6OUT_arqos,
    SMARTCONNECT6OUT_arready,
    SMARTCONNECT6OUT_arsize,
    SMARTCONNECT6OUT_aruser,
    SMARTCONNECT6OUT_arvalid,
    SMARTCONNECT6OUT_awaddr,
    SMARTCONNECT6OUT_awburst,
    SMARTCONNECT6OUT_awcache,
    SMARTCONNECT6OUT_awlen,
    SMARTCONNECT6OUT_awlock,
    SMARTCONNECT6OUT_awprot,
    SMARTCONNECT6OUT_awqos,
    SMARTCONNECT6OUT_awready,
    SMARTCONNECT6OUT_awsize,
    SMARTCONNECT6OUT_awuser,
    SMARTCONNECT6OUT_awvalid,
    SMARTCONNECT6OUT_bready,
    SMARTCONNECT6OUT_bresp,
    SMARTCONNECT6OUT_buser,
    SMARTCONNECT6OUT_bvalid,
    SMARTCONNECT6OUT_rdata,
    SMARTCONNECT6OUT_rlast,
    SMARTCONNECT6OUT_rready,
    SMARTCONNECT6OUT_rresp,
    SMARTCONNECT6OUT_ruser,
    SMARTCONNECT6OUT_rvalid,
    SMARTCONNECT6OUT_wdata,
    SMARTCONNECT6OUT_wlast,
    SMARTCONNECT6OUT_wready,
    SMARTCONNECT6OUT_wstrb,
    SMARTCONNECT6OUT_wuser,
    SMARTCONNECT6OUT_wvalid,
    aclk_0,
    aresetn_0);
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PADDR" *) output [31:0]APB_M_0_paddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PENABLE" *) output APB_M_0_penable;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PPROT" *) output [2:0]APB_M_0_pprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PRDATA" *) input [31:0]APB_M_0_prdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PREADY" *) input [0:0]APB_M_0_pready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PSEL" *) output [0:0]APB_M_0_psel;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PSLVERR" *) input [0:0]APB_M_0_pslverr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PSTRB" *) output [3:0]APB_M_0_pstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PWDATA" *) output [31:0]APB_M_0_pwdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:apb:1.0 APB_M_0 PWRITE" *) output APB_M_0_pwrite;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME IFPSCPMCFGAXI, ADDR_WIDTH 64, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]IFPSCPMCFGAXI_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARBURST" *) output [1:0]IFPSCPMCFGAXI_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARCACHE" *) output [3:0]IFPSCPMCFGAXI_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARLEN" *) output [7:0]IFPSCPMCFGAXI_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARLOCK" *) output [0:0]IFPSCPMCFGAXI_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARPROT" *) output [2:0]IFPSCPMCFGAXI_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARQOS" *) output [3:0]IFPSCPMCFGAXI_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARREADY" *) input IFPSCPMCFGAXI_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARSIZE" *) output [2:0]IFPSCPMCFGAXI_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARUSER" *) output [31:0]IFPSCPMCFGAXI_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI ARVALID" *) output IFPSCPMCFGAXI_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWADDR" *) output [63:0]IFPSCPMCFGAXI_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWBURST" *) output [1:0]IFPSCPMCFGAXI_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWCACHE" *) output [3:0]IFPSCPMCFGAXI_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWLEN" *) output [7:0]IFPSCPMCFGAXI_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWLOCK" *) output [0:0]IFPSCPMCFGAXI_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWPROT" *) output [2:0]IFPSCPMCFGAXI_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWQOS" *) output [3:0]IFPSCPMCFGAXI_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWREADY" *) input IFPSCPMCFGAXI_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWSIZE" *) output [2:0]IFPSCPMCFGAXI_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWUSER" *) output [31:0]IFPSCPMCFGAXI_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI AWVALID" *) output IFPSCPMCFGAXI_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI BREADY" *) output IFPSCPMCFGAXI_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI BRESP" *) input [1:0]IFPSCPMCFGAXI_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI BUSER" *) input [15:0]IFPSCPMCFGAXI_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI BVALID" *) input IFPSCPMCFGAXI_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RDATA" *) input [31:0]IFPSCPMCFGAXI_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RLAST" *) input IFPSCPMCFGAXI_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RREADY" *) output IFPSCPMCFGAXI_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RRESP" *) input [1:0]IFPSCPMCFGAXI_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RUSER" *) input [3:0]IFPSCPMCFGAXI_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI RVALID" *) input IFPSCPMCFGAXI_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WDATA" *) output [31:0]IFPSCPMCFGAXI_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WLAST" *) output IFPSCPMCFGAXI_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WREADY" *) input IFPSCPMCFGAXI_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WSTRB" *) output [3:0]IFPSCPMCFGAXI_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WUSER" *) output [3:0]IFPSCPMCFGAXI_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSCPMCFGAXI WVALID" *) output IFPSCPMCFGAXI_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME IFPSNOCCCIAXI0, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]IFPSNOCCCIAXI0_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARBURST" *) output [1:0]IFPSNOCCCIAXI0_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARCACHE" *) output [3:0]IFPSNOCCCIAXI0_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARLEN" *) output [7:0]IFPSNOCCCIAXI0_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARLOCK" *) output [0:0]IFPSNOCCCIAXI0_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARPROT" *) output [2:0]IFPSNOCCCIAXI0_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARQOS" *) output [3:0]IFPSNOCCCIAXI0_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARREADY" *) input IFPSNOCCCIAXI0_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARSIZE" *) output [2:0]IFPSNOCCCIAXI0_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARUSER" *) output [17:0]IFPSNOCCCIAXI0_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 ARVALID" *) output IFPSNOCCCIAXI0_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWADDR" *) output [63:0]IFPSNOCCCIAXI0_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWBURST" *) output [1:0]IFPSNOCCCIAXI0_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWCACHE" *) output [3:0]IFPSNOCCCIAXI0_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWLEN" *) output [7:0]IFPSNOCCCIAXI0_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWLOCK" *) output [0:0]IFPSNOCCCIAXI0_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWPROT" *) output [2:0]IFPSNOCCCIAXI0_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWQOS" *) output [3:0]IFPSNOCCCIAXI0_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWREADY" *) input IFPSNOCCCIAXI0_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWSIZE" *) output [2:0]IFPSNOCCCIAXI0_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWUSER" *) output [17:0]IFPSNOCCCIAXI0_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 AWVALID" *) output IFPSNOCCCIAXI0_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 BREADY" *) output IFPSNOCCCIAXI0_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 BRESP" *) input [1:0]IFPSNOCCCIAXI0_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 BUSER" *) input [15:0]IFPSNOCCCIAXI0_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 BVALID" *) input IFPSNOCCCIAXI0_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RDATA" *) input [127:0]IFPSNOCCCIAXI0_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RLAST" *) input IFPSNOCCCIAXI0_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RREADY" *) output IFPSNOCCCIAXI0_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RRESP" *) input [1:0]IFPSNOCCCIAXI0_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RUSER" *) input [15:0]IFPSNOCCCIAXI0_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 RVALID" *) input IFPSNOCCCIAXI0_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WDATA" *) output [127:0]IFPSNOCCCIAXI0_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WLAST" *) output IFPSNOCCCIAXI0_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WREADY" *) input IFPSNOCCCIAXI0_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WSTRB" *) output [15:0]IFPSNOCCCIAXI0_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WUSER" *) output [15:0]IFPSNOCCCIAXI0_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI0 WVALID" *) output IFPSNOCCCIAXI0_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME IFPSNOCCCIAXI1, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]IFPSNOCCCIAXI1_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARBURST" *) output [1:0]IFPSNOCCCIAXI1_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARCACHE" *) output [3:0]IFPSNOCCCIAXI1_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARLEN" *) output [7:0]IFPSNOCCCIAXI1_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARLOCK" *) output [0:0]IFPSNOCCCIAXI1_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARPROT" *) output [2:0]IFPSNOCCCIAXI1_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARQOS" *) output [3:0]IFPSNOCCCIAXI1_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARREADY" *) input IFPSNOCCCIAXI1_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARSIZE" *) output [2:0]IFPSNOCCCIAXI1_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARUSER" *) output [17:0]IFPSNOCCCIAXI1_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 ARVALID" *) output IFPSNOCCCIAXI1_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWADDR" *) output [63:0]IFPSNOCCCIAXI1_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWBURST" *) output [1:0]IFPSNOCCCIAXI1_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWCACHE" *) output [3:0]IFPSNOCCCIAXI1_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWLEN" *) output [7:0]IFPSNOCCCIAXI1_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWLOCK" *) output [0:0]IFPSNOCCCIAXI1_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWPROT" *) output [2:0]IFPSNOCCCIAXI1_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWQOS" *) output [3:0]IFPSNOCCCIAXI1_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWREADY" *) input IFPSNOCCCIAXI1_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWSIZE" *) output [2:0]IFPSNOCCCIAXI1_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWUSER" *) output [17:0]IFPSNOCCCIAXI1_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 AWVALID" *) output IFPSNOCCCIAXI1_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 BREADY" *) output IFPSNOCCCIAXI1_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 BRESP" *) input [1:0]IFPSNOCCCIAXI1_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 BUSER" *) input [15:0]IFPSNOCCCIAXI1_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 BVALID" *) input IFPSNOCCCIAXI1_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RDATA" *) input [127:0]IFPSNOCCCIAXI1_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RLAST" *) input IFPSNOCCCIAXI1_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RREADY" *) output IFPSNOCCCIAXI1_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RRESP" *) input [1:0]IFPSNOCCCIAXI1_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RUSER" *) input [15:0]IFPSNOCCCIAXI1_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 RVALID" *) input IFPSNOCCCIAXI1_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WDATA" *) output [127:0]IFPSNOCCCIAXI1_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WLAST" *) output IFPSNOCCCIAXI1_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WREADY" *) input IFPSNOCCCIAXI1_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WSTRB" *) output [15:0]IFPSNOCCCIAXI1_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WUSER" *) output [15:0]IFPSNOCCCIAXI1_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI1 WVALID" *) output IFPSNOCCCIAXI1_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME IFPSNOCCCIAXI2, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]IFPSNOCCCIAXI2_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARBURST" *) output [1:0]IFPSNOCCCIAXI2_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARCACHE" *) output [3:0]IFPSNOCCCIAXI2_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARLEN" *) output [7:0]IFPSNOCCCIAXI2_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARLOCK" *) output [0:0]IFPSNOCCCIAXI2_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARPROT" *) output [2:0]IFPSNOCCCIAXI2_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARQOS" *) output [3:0]IFPSNOCCCIAXI2_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARREADY" *) input IFPSNOCCCIAXI2_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARSIZE" *) output [2:0]IFPSNOCCCIAXI2_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARUSER" *) output [17:0]IFPSNOCCCIAXI2_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 ARVALID" *) output IFPSNOCCCIAXI2_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWADDR" *) output [63:0]IFPSNOCCCIAXI2_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWBURST" *) output [1:0]IFPSNOCCCIAXI2_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWCACHE" *) output [3:0]IFPSNOCCCIAXI2_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWLEN" *) output [7:0]IFPSNOCCCIAXI2_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWLOCK" *) output [0:0]IFPSNOCCCIAXI2_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWPROT" *) output [2:0]IFPSNOCCCIAXI2_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWQOS" *) output [3:0]IFPSNOCCCIAXI2_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWREADY" *) input IFPSNOCCCIAXI2_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWSIZE" *) output [2:0]IFPSNOCCCIAXI2_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWUSER" *) output [17:0]IFPSNOCCCIAXI2_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 AWVALID" *) output IFPSNOCCCIAXI2_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 BREADY" *) output IFPSNOCCCIAXI2_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 BRESP" *) input [1:0]IFPSNOCCCIAXI2_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 BUSER" *) input [15:0]IFPSNOCCCIAXI2_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 BVALID" *) input IFPSNOCCCIAXI2_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RDATA" *) input [127:0]IFPSNOCCCIAXI2_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RLAST" *) input IFPSNOCCCIAXI2_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RREADY" *) output IFPSNOCCCIAXI2_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RRESP" *) input [1:0]IFPSNOCCCIAXI2_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RUSER" *) input [15:0]IFPSNOCCCIAXI2_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 RVALID" *) input IFPSNOCCCIAXI2_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WDATA" *) output [127:0]IFPSNOCCCIAXI2_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WLAST" *) output IFPSNOCCCIAXI2_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WREADY" *) input IFPSNOCCCIAXI2_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WSTRB" *) output [15:0]IFPSNOCCCIAXI2_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WUSER" *) output [15:0]IFPSNOCCCIAXI2_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI2 WVALID" *) output IFPSNOCCCIAXI2_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME IFPSNOCCCIAXI3, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]IFPSNOCCCIAXI3_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARBURST" *) output [1:0]IFPSNOCCCIAXI3_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARCACHE" *) output [3:0]IFPSNOCCCIAXI3_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARLEN" *) output [7:0]IFPSNOCCCIAXI3_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARLOCK" *) output [0:0]IFPSNOCCCIAXI3_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARPROT" *) output [2:0]IFPSNOCCCIAXI3_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARQOS" *) output [3:0]IFPSNOCCCIAXI3_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARREADY" *) input IFPSNOCCCIAXI3_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARSIZE" *) output [2:0]IFPSNOCCCIAXI3_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARUSER" *) output [17:0]IFPSNOCCCIAXI3_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 ARVALID" *) output IFPSNOCCCIAXI3_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWADDR" *) output [63:0]IFPSNOCCCIAXI3_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWBURST" *) output [1:0]IFPSNOCCCIAXI3_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWCACHE" *) output [3:0]IFPSNOCCCIAXI3_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWLEN" *) output [7:0]IFPSNOCCCIAXI3_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWLOCK" *) output [0:0]IFPSNOCCCIAXI3_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWPROT" *) output [2:0]IFPSNOCCCIAXI3_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWQOS" *) output [3:0]IFPSNOCCCIAXI3_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWREADY" *) input IFPSNOCCCIAXI3_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWSIZE" *) output [2:0]IFPSNOCCCIAXI3_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWUSER" *) output [17:0]IFPSNOCCCIAXI3_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 AWVALID" *) output IFPSNOCCCIAXI3_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 BREADY" *) output IFPSNOCCCIAXI3_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 BRESP" *) input [1:0]IFPSNOCCCIAXI3_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 BUSER" *) input [15:0]IFPSNOCCCIAXI3_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 BVALID" *) input IFPSNOCCCIAXI3_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RDATA" *) input [127:0]IFPSNOCCCIAXI3_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RLAST" *) input IFPSNOCCCIAXI3_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RREADY" *) output IFPSNOCCCIAXI3_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RRESP" *) input [1:0]IFPSNOCCCIAXI3_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RUSER" *) input [15:0]IFPSNOCCCIAXI3_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 RVALID" *) input IFPSNOCCCIAXI3_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WDATA" *) output [127:0]IFPSNOCCCIAXI3_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WLAST" *) output IFPSNOCCCIAXI3_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WREADY" *) input IFPSNOCCCIAXI3_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WSTRB" *) output [15:0]IFPSNOCCCIAXI3_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WUSER" *) output [15:0]IFPSNOCCCIAXI3_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 IFPSNOCCCIAXI3 WVALID" *) output IFPSNOCCCIAXI3_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCI0AXIS, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]I_PSNOCCCI0AXIS_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARBURST" *) input [1:0]I_PSNOCCCI0AXIS_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARCACHE" *) input [3:0]I_PSNOCCCI0AXIS_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARID" *) input [15:0]I_PSNOCCCI0AXIS_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARLEN" *) input [7:0]I_PSNOCCCI0AXIS_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARLOCK" *) input [0:0]I_PSNOCCCI0AXIS_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARPROT" *) input [2:0]I_PSNOCCCI0AXIS_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARQOS" *) input [3:0]I_PSNOCCCI0AXIS_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARREADY" *) output I_PSNOCCCI0AXIS_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARSIZE" *) input [2:0]I_PSNOCCCI0AXIS_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARUSER" *) input [17:0]I_PSNOCCCI0AXIS_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS ARVALID" *) input I_PSNOCCCI0AXIS_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWADDR" *) input [63:0]I_PSNOCCCI0AXIS_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWBURST" *) input [1:0]I_PSNOCCCI0AXIS_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWCACHE" *) input [3:0]I_PSNOCCCI0AXIS_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWID" *) input [15:0]I_PSNOCCCI0AXIS_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWLEN" *) input [7:0]I_PSNOCCCI0AXIS_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWLOCK" *) input [0:0]I_PSNOCCCI0AXIS_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWPROT" *) input [2:0]I_PSNOCCCI0AXIS_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWQOS" *) input [3:0]I_PSNOCCCI0AXIS_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWREADY" *) output I_PSNOCCCI0AXIS_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWSIZE" *) input [2:0]I_PSNOCCCI0AXIS_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWUSER" *) input [17:0]I_PSNOCCCI0AXIS_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS AWVALID" *) input I_PSNOCCCI0AXIS_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS BID" *) output [15:0]I_PSNOCCCI0AXIS_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS BREADY" *) input I_PSNOCCCI0AXIS_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS BRESP" *) output [1:0]I_PSNOCCCI0AXIS_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS BUSER" *) output [15:0]I_PSNOCCCI0AXIS_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS BVALID" *) output I_PSNOCCCI0AXIS_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RDATA" *) output [127:0]I_PSNOCCCI0AXIS_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RID" *) output [15:0]I_PSNOCCCI0AXIS_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RLAST" *) output I_PSNOCCCI0AXIS_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RREADY" *) input I_PSNOCCCI0AXIS_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RRESP" *) output [1:0]I_PSNOCCCI0AXIS_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RUSER" *) output [31:0]I_PSNOCCCI0AXIS_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS RVALID" *) output I_PSNOCCCI0AXIS_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WDATA" *) input [127:0]I_PSNOCCCI0AXIS_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WLAST" *) input I_PSNOCCCI0AXIS_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WREADY" *) output I_PSNOCCCI0AXIS_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WSTRB" *) input [15:0]I_PSNOCCCI0AXIS_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WUSER" *) input [31:0]I_PSNOCCCI0AXIS_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI0AXIS WVALID" *) input I_PSNOCCCI0AXIS_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCI1AXIS, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]I_PSNOCCCI1AXIS_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARBURST" *) input [1:0]I_PSNOCCCI1AXIS_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARCACHE" *) input [3:0]I_PSNOCCCI1AXIS_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARLEN" *) input [7:0]I_PSNOCCCI1AXIS_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARLOCK" *) input [0:0]I_PSNOCCCI1AXIS_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARPROT" *) input [2:0]I_PSNOCCCI1AXIS_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARQOS" *) input [3:0]I_PSNOCCCI1AXIS_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARREADY" *) output I_PSNOCCCI1AXIS_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARSIZE" *) input [2:0]I_PSNOCCCI1AXIS_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARUSER" *) input [17:0]I_PSNOCCCI1AXIS_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS ARVALID" *) input I_PSNOCCCI1AXIS_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWADDR" *) input [63:0]I_PSNOCCCI1AXIS_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWBURST" *) input [1:0]I_PSNOCCCI1AXIS_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWCACHE" *) input [3:0]I_PSNOCCCI1AXIS_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWLEN" *) input [7:0]I_PSNOCCCI1AXIS_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWLOCK" *) input [0:0]I_PSNOCCCI1AXIS_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWPROT" *) input [2:0]I_PSNOCCCI1AXIS_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWQOS" *) input [3:0]I_PSNOCCCI1AXIS_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWREADY" *) output I_PSNOCCCI1AXIS_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWSIZE" *) input [2:0]I_PSNOCCCI1AXIS_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWUSER" *) input [17:0]I_PSNOCCCI1AXIS_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS AWVALID" *) input I_PSNOCCCI1AXIS_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS BREADY" *) input I_PSNOCCCI1AXIS_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS BRESP" *) output [1:0]I_PSNOCCCI1AXIS_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS BUSER" *) output [15:0]I_PSNOCCCI1AXIS_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS BVALID" *) output I_PSNOCCCI1AXIS_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RDATA" *) output [127:0]I_PSNOCCCI1AXIS_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RLAST" *) output I_PSNOCCCI1AXIS_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RREADY" *) input I_PSNOCCCI1AXIS_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RRESP" *) output [1:0]I_PSNOCCCI1AXIS_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RUSER" *) output [31:0]I_PSNOCCCI1AXIS_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS RVALID" *) output I_PSNOCCCI1AXIS_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WDATA" *) input [127:0]I_PSNOCCCI1AXIS_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WLAST" *) input I_PSNOCCCI1AXIS_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WREADY" *) output I_PSNOCCCI1AXIS_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WSTRB" *) input [15:0]I_PSNOCCCI1AXIS_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WUSER" *) input [31:0]I_PSNOCCCI1AXIS_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI1AXIS WVALID" *) input I_PSNOCCCI1AXIS_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCI2AXIS, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]I_PSNOCCCI2AXIS_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARBURST" *) input [1:0]I_PSNOCCCI2AXIS_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARCACHE" *) input [3:0]I_PSNOCCCI2AXIS_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARID" *) input [15:0]I_PSNOCCCI2AXIS_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARLEN" *) input [7:0]I_PSNOCCCI2AXIS_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARLOCK" *) input [0:0]I_PSNOCCCI2AXIS_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARPROT" *) input [2:0]I_PSNOCCCI2AXIS_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARQOS" *) input [3:0]I_PSNOCCCI2AXIS_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARREADY" *) output I_PSNOCCCI2AXIS_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARSIZE" *) input [2:0]I_PSNOCCCI2AXIS_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARUSER" *) input [17:0]I_PSNOCCCI2AXIS_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS ARVALID" *) input I_PSNOCCCI2AXIS_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWADDR" *) input [63:0]I_PSNOCCCI2AXIS_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWBURST" *) input [1:0]I_PSNOCCCI2AXIS_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWCACHE" *) input [3:0]I_PSNOCCCI2AXIS_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWID" *) input [15:0]I_PSNOCCCI2AXIS_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWLEN" *) input [7:0]I_PSNOCCCI2AXIS_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWLOCK" *) input [0:0]I_PSNOCCCI2AXIS_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWPROT" *) input [2:0]I_PSNOCCCI2AXIS_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWQOS" *) input [3:0]I_PSNOCCCI2AXIS_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWREADY" *) output I_PSNOCCCI2AXIS_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWSIZE" *) input [2:0]I_PSNOCCCI2AXIS_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWUSER" *) input [17:0]I_PSNOCCCI2AXIS_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS AWVALID" *) input I_PSNOCCCI2AXIS_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS BID" *) output [15:0]I_PSNOCCCI2AXIS_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS BREADY" *) input I_PSNOCCCI2AXIS_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS BRESP" *) output [1:0]I_PSNOCCCI2AXIS_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS BUSER" *) output [15:0]I_PSNOCCCI2AXIS_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS BVALID" *) output I_PSNOCCCI2AXIS_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RDATA" *) output [127:0]I_PSNOCCCI2AXIS_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RID" *) output [15:0]I_PSNOCCCI2AXIS_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RLAST" *) output I_PSNOCCCI2AXIS_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RREADY" *) input I_PSNOCCCI2AXIS_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RRESP" *) output [1:0]I_PSNOCCCI2AXIS_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RUSER" *) output [31:0]I_PSNOCCCI2AXIS_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS RVALID" *) output I_PSNOCCCI2AXIS_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WDATA" *) input [127:0]I_PSNOCCCI2AXIS_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WLAST" *) input I_PSNOCCCI2AXIS_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WREADY" *) output I_PSNOCCCI2AXIS_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WSTRB" *) input [15:0]I_PSNOCCCI2AXIS_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WUSER" *) input [31:0]I_PSNOCCCI2AXIS_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI2AXIS WVALID" *) input I_PSNOCCCI2AXIS_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCI3AXIS, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]I_PSNOCCCI3AXIS_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARBURST" *) input [1:0]I_PSNOCCCI3AXIS_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARCACHE" *) input [3:0]I_PSNOCCCI3AXIS_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARID" *) input [15:0]I_PSNOCCCI3AXIS_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARLEN" *) input [7:0]I_PSNOCCCI3AXIS_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARLOCK" *) input [0:0]I_PSNOCCCI3AXIS_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARPROT" *) input [2:0]I_PSNOCCCI3AXIS_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARQOS" *) input [3:0]I_PSNOCCCI3AXIS_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARREADY" *) output I_PSNOCCCI3AXIS_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARSIZE" *) input [2:0]I_PSNOCCCI3AXIS_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARUSER" *) input [17:0]I_PSNOCCCI3AXIS_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS ARVALID" *) input I_PSNOCCCI3AXIS_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWADDR" *) input [63:0]I_PSNOCCCI3AXIS_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWBURST" *) input [1:0]I_PSNOCCCI3AXIS_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWCACHE" *) input [3:0]I_PSNOCCCI3AXIS_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWID" *) input [15:0]I_PSNOCCCI3AXIS_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWLEN" *) input [7:0]I_PSNOCCCI3AXIS_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWLOCK" *) input [0:0]I_PSNOCCCI3AXIS_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWPROT" *) input [2:0]I_PSNOCCCI3AXIS_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWQOS" *) input [3:0]I_PSNOCCCI3AXIS_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWREADY" *) output I_PSNOCCCI3AXIS_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWSIZE" *) input [2:0]I_PSNOCCCI3AXIS_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWUSER" *) input [17:0]I_PSNOCCCI3AXIS_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS AWVALID" *) input I_PSNOCCCI3AXIS_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS BID" *) output [15:0]I_PSNOCCCI3AXIS_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS BREADY" *) input I_PSNOCCCI3AXIS_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS BRESP" *) output [1:0]I_PSNOCCCI3AXIS_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS BUSER" *) output [15:0]I_PSNOCCCI3AXIS_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS BVALID" *) output I_PSNOCCCI3AXIS_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RDATA" *) output [127:0]I_PSNOCCCI3AXIS_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RID" *) output [15:0]I_PSNOCCCI3AXIS_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RLAST" *) output I_PSNOCCCI3AXIS_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RREADY" *) input I_PSNOCCCI3AXIS_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RRESP" *) output [1:0]I_PSNOCCCI3AXIS_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RUSER" *) output [31:0]I_PSNOCCCI3AXIS_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS RVALID" *) output I_PSNOCCCI3AXIS_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WDATA" *) input [127:0]I_PSNOCCCI3AXIS_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WLAST" *) input I_PSNOCCCI3AXIS_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WREADY" *) output I_PSNOCCCI3AXIS_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WSTRB" *) input [15:0]I_PSNOCCCI3AXIS_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WUSER" *) input [31:0]I_PSNOCCCI3AXIS_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCI3AXIS WVALID" *) input I_PSNOCCCI3AXIS_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCIAXIM, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) output [63:0]I_PSNOCCCIAXIM_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARBURST" *) output [1:0]I_PSNOCCCIAXIM_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARCACHE" *) output [3:0]I_PSNOCCCIAXIM_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARLEN" *) output [7:0]I_PSNOCCCIAXIM_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARLOCK" *) output [0:0]I_PSNOCCCIAXIM_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARPROT" *) output [2:0]I_PSNOCCCIAXIM_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARQOS" *) output [3:0]I_PSNOCCCIAXIM_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARREADY" *) input I_PSNOCCCIAXIM_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARSIZE" *) output [2:0]I_PSNOCCCIAXIM_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARUSER" *) output [17:0]I_PSNOCCCIAXIM_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM ARVALID" *) output I_PSNOCCCIAXIM_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWADDR" *) output [63:0]I_PSNOCCCIAXIM_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWBURST" *) output [1:0]I_PSNOCCCIAXIM_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWCACHE" *) output [3:0]I_PSNOCCCIAXIM_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWLEN" *) output [7:0]I_PSNOCCCIAXIM_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWLOCK" *) output [0:0]I_PSNOCCCIAXIM_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWPROT" *) output [2:0]I_PSNOCCCIAXIM_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWQOS" *) output [3:0]I_PSNOCCCIAXIM_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWREADY" *) input I_PSNOCCCIAXIM_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWSIZE" *) output [2:0]I_PSNOCCCIAXIM_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWUSER" *) output [17:0]I_PSNOCCCIAXIM_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM AWVALID" *) output I_PSNOCCCIAXIM_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM BREADY" *) output I_PSNOCCCIAXIM_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM BRESP" *) input [1:0]I_PSNOCCCIAXIM_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM BUSER" *) input [15:0]I_PSNOCCCIAXIM_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM BVALID" *) input I_PSNOCCCIAXIM_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RDATA" *) input [127:0]I_PSNOCCCIAXIM_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RLAST" *) input I_PSNOCCCIAXIM_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RREADY" *) output I_PSNOCCCIAXIM_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RRESP" *) input [1:0]I_PSNOCCCIAXIM_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RUSER" *) input [15:0]I_PSNOCCCIAXIM_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM RVALID" *) input I_PSNOCCCIAXIM_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WDATA" *) output [127:0]I_PSNOCCCIAXIM_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WLAST" *) output I_PSNOCCCIAXIM_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WREADY" *) input I_PSNOCCCIAXIM_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WSTRB" *) output [15:0]I_PSNOCCCIAXIM_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WUSER" *) output [15:0]I_PSNOCCCIAXIM_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIM WVALID" *) output I_PSNOCCCIAXIM_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSNOCCCIAXIS, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]I_PSNOCCCIAXIS_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARBURST" *) input [1:0]I_PSNOCCCIAXIS_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARCACHE" *) input [3:0]I_PSNOCCCIAXIS_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARID" *) input [15:0]I_PSNOCCCIAXIS_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARLEN" *) input [7:0]I_PSNOCCCIAXIS_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARLOCK" *) input [0:0]I_PSNOCCCIAXIS_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARPROT" *) input [2:0]I_PSNOCCCIAXIS_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARQOS" *) input [3:0]I_PSNOCCCIAXIS_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARREADY" *) output I_PSNOCCCIAXIS_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARSIZE" *) input [2:0]I_PSNOCCCIAXIS_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARUSER" *) input [17:0]I_PSNOCCCIAXIS_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS ARVALID" *) input I_PSNOCCCIAXIS_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWADDR" *) input [63:0]I_PSNOCCCIAXIS_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWBURST" *) input [1:0]I_PSNOCCCIAXIS_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWCACHE" *) input [3:0]I_PSNOCCCIAXIS_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWID" *) input [15:0]I_PSNOCCCIAXIS_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWLEN" *) input [7:0]I_PSNOCCCIAXIS_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWLOCK" *) input [0:0]I_PSNOCCCIAXIS_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWPROT" *) input [2:0]I_PSNOCCCIAXIS_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWQOS" *) input [3:0]I_PSNOCCCIAXIS_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWREADY" *) output I_PSNOCCCIAXIS_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWSIZE" *) input [2:0]I_PSNOCCCIAXIS_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWUSER" *) input [17:0]I_PSNOCCCIAXIS_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS AWVALID" *) input I_PSNOCCCIAXIS_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS BID" *) output [15:0]I_PSNOCCCIAXIS_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS BREADY" *) input I_PSNOCCCIAXIS_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS BRESP" *) output [1:0]I_PSNOCCCIAXIS_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS BUSER" *) output [15:0]I_PSNOCCCIAXIS_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS BVALID" *) output I_PSNOCCCIAXIS_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RDATA" *) output [127:0]I_PSNOCCCIAXIS_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RID" *) output [15:0]I_PSNOCCCIAXIS_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RLAST" *) output I_PSNOCCCIAXIS_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RREADY" *) input I_PSNOCCCIAXIS_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RRESP" *) output [1:0]I_PSNOCCCIAXIS_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RUSER" *) output [31:0]I_PSNOCCCIAXIS_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS RVALID" *) output I_PSNOCCCIAXIS_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WDATA" *) input [127:0]I_PSNOCCCIAXIS_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WLAST" *) input I_PSNOCCCIAXIS_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WREADY" *) output I_PSNOCCCIAXIS_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WSTRB" *) input [15:0]I_PSNOCCCIAXIS_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WUSER" *) input [31:0]I_PSNOCCCIAXIS_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSNOCCCIAXIS WVALID" *) input I_PSNOCCCIAXIS_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSPLFPD128X32, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]I_PSPLFPD128X32_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARBURST" *) input [1:0]I_PSPLFPD128X32_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARCACHE" *) input [3:0]I_PSPLFPD128X32_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARID" *) input [15:0]I_PSPLFPD128X32_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARLEN" *) input [7:0]I_PSPLFPD128X32_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARLOCK" *) input [0:0]I_PSPLFPD128X32_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARPROT" *) input [2:0]I_PSPLFPD128X32_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARQOS" *) input [3:0]I_PSPLFPD128X32_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARREADY" *) output I_PSPLFPD128X32_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARSIZE" *) input [2:0]I_PSPLFPD128X32_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARUSER" *) input [17:0]I_PSPLFPD128X32_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 ARVALID" *) input I_PSPLFPD128X32_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWADDR" *) input [63:0]I_PSPLFPD128X32_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWBURST" *) input [1:0]I_PSPLFPD128X32_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWCACHE" *) input [3:0]I_PSPLFPD128X32_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWID" *) input [15:0]I_PSPLFPD128X32_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWLEN" *) input [7:0]I_PSPLFPD128X32_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWLOCK" *) input [0:0]I_PSPLFPD128X32_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWPROT" *) input [2:0]I_PSPLFPD128X32_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWQOS" *) input [3:0]I_PSPLFPD128X32_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWREADY" *) output I_PSPLFPD128X32_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWSIZE" *) input [2:0]I_PSPLFPD128X32_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWUSER" *) input [17:0]I_PSPLFPD128X32_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 AWVALID" *) input I_PSPLFPD128X32_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 BID" *) output [15:0]I_PSPLFPD128X32_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 BREADY" *) input I_PSPLFPD128X32_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 BRESP" *) output [1:0]I_PSPLFPD128X32_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 BUSER" *) output [15:0]I_PSPLFPD128X32_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 BVALID" *) output I_PSPLFPD128X32_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RDATA" *) output [127:0]I_PSPLFPD128X32_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RID" *) output [15:0]I_PSPLFPD128X32_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RLAST" *) output I_PSPLFPD128X32_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RREADY" *) input I_PSPLFPD128X32_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RRESP" *) output [1:0]I_PSPLFPD128X32_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RUSER" *) output [15:0]I_PSPLFPD128X32_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 RVALID" *) output I_PSPLFPD128X32_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WDATA" *) input [127:0]I_PSPLFPD128X32_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WLAST" *) input I_PSPLFPD128X32_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WREADY" *) output I_PSPLFPD128X32_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WSTRB" *) input [15:0]I_PSPLFPD128X32_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WUSER" *) input [15:0]I_PSPLFPD128X32_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X32 WVALID" *) input I_PSPLFPD128X32_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSPLFPD128X64, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]I_PSPLFPD128X64_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARBURST" *) input [1:0]I_PSPLFPD128X64_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARCACHE" *) input [3:0]I_PSPLFPD128X64_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARID" *) input [15:0]I_PSPLFPD128X64_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARLEN" *) input [7:0]I_PSPLFPD128X64_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARLOCK" *) input [0:0]I_PSPLFPD128X64_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARPROT" *) input [2:0]I_PSPLFPD128X64_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARQOS" *) input [3:0]I_PSPLFPD128X64_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARREADY" *) output I_PSPLFPD128X64_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARSIZE" *) input [2:0]I_PSPLFPD128X64_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARUSER" *) input [17:0]I_PSPLFPD128X64_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 ARVALID" *) input I_PSPLFPD128X64_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWADDR" *) input [63:0]I_PSPLFPD128X64_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWBURST" *) input [1:0]I_PSPLFPD128X64_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWCACHE" *) input [3:0]I_PSPLFPD128X64_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWID" *) input [15:0]I_PSPLFPD128X64_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWLEN" *) input [7:0]I_PSPLFPD128X64_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWLOCK" *) input [0:0]I_PSPLFPD128X64_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWPROT" *) input [2:0]I_PSPLFPD128X64_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWQOS" *) input [3:0]I_PSPLFPD128X64_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWREADY" *) output I_PSPLFPD128X64_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWSIZE" *) input [2:0]I_PSPLFPD128X64_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWUSER" *) input [17:0]I_PSPLFPD128X64_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 AWVALID" *) input I_PSPLFPD128X64_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 BID" *) output [15:0]I_PSPLFPD128X64_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 BREADY" *) input I_PSPLFPD128X64_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 BRESP" *) output [1:0]I_PSPLFPD128X64_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 BUSER" *) output [15:0]I_PSPLFPD128X64_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 BVALID" *) output I_PSPLFPD128X64_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RDATA" *) output [127:0]I_PSPLFPD128X64_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RID" *) output [15:0]I_PSPLFPD128X64_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RLAST" *) output I_PSPLFPD128X64_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RREADY" *) input I_PSPLFPD128X64_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RRESP" *) output [1:0]I_PSPLFPD128X64_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RUSER" *) output [15:0]I_PSPLFPD128X64_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 RVALID" *) output I_PSPLFPD128X64_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WDATA" *) input [127:0]I_PSPLFPD128X64_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WLAST" *) input I_PSPLFPD128X64_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WREADY" *) output I_PSPLFPD128X64_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WSTRB" *) input [15:0]I_PSPLFPD128X64_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WUSER" *) input [15:0]I_PSPLFPD128X64_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLFPD128X64 WVALID" *) input I_PSPLFPD128X64_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSPLLPD128X32, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]I_PSPLLPD128X32_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARBURST" *) input [1:0]I_PSPLLPD128X32_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARCACHE" *) input [3:0]I_PSPLLPD128X32_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARID" *) input [15:0]I_PSPLLPD128X32_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARLEN" *) input [7:0]I_PSPLLPD128X32_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARLOCK" *) input [0:0]I_PSPLLPD128X32_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARPROT" *) input [2:0]I_PSPLLPD128X32_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARQOS" *) input [3:0]I_PSPLLPD128X32_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARREADY" *) output I_PSPLLPD128X32_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARSIZE" *) input [2:0]I_PSPLLPD128X32_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARUSER" *) input [17:0]I_PSPLLPD128X32_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 ARVALID" *) input I_PSPLLPD128X32_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWADDR" *) input [63:0]I_PSPLLPD128X32_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWBURST" *) input [1:0]I_PSPLLPD128X32_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWCACHE" *) input [3:0]I_PSPLLPD128X32_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWID" *) input [15:0]I_PSPLLPD128X32_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWLEN" *) input [7:0]I_PSPLLPD128X32_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWLOCK" *) input [0:0]I_PSPLLPD128X32_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWPROT" *) input [2:0]I_PSPLLPD128X32_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWQOS" *) input [3:0]I_PSPLLPD128X32_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWREADY" *) output I_PSPLLPD128X32_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWSIZE" *) input [2:0]I_PSPLLPD128X32_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWUSER" *) input [17:0]I_PSPLLPD128X32_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 AWVALID" *) input I_PSPLLPD128X32_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 BID" *) output [15:0]I_PSPLLPD128X32_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 BREADY" *) input I_PSPLLPD128X32_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 BRESP" *) output [1:0]I_PSPLLPD128X32_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 BUSER" *) output [15:0]I_PSPLLPD128X32_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 BVALID" *) output I_PSPLLPD128X32_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RDATA" *) output [127:0]I_PSPLLPD128X32_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RID" *) output [15:0]I_PSPLLPD128X32_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RLAST" *) output I_PSPLLPD128X32_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RREADY" *) input I_PSPLLPD128X32_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RRESP" *) output [1:0]I_PSPLLPD128X32_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RUSER" *) output [15:0]I_PSPLLPD128X32_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 RVALID" *) output I_PSPLLPD128X32_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WDATA" *) input [127:0]I_PSPLLPD128X32_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WLAST" *) input I_PSPLLPD128X32_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WREADY" *) output I_PSPLLPD128X32_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WSTRB" *) input [15:0]I_PSPLLPD128X32_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WUSER" *) input [15:0]I_PSPLLPD128X32_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X32 WVALID" *) input I_PSPLLPD128X32_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME I_PSPLLPD128X64, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 16, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 16" *) input [63:0]I_PSPLLPD128X64_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARBURST" *) input [1:0]I_PSPLLPD128X64_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARCACHE" *) input [3:0]I_PSPLLPD128X64_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARID" *) input [15:0]I_PSPLLPD128X64_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARLEN" *) input [7:0]I_PSPLLPD128X64_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARLOCK" *) input [0:0]I_PSPLLPD128X64_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARPROT" *) input [2:0]I_PSPLLPD128X64_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARQOS" *) input [3:0]I_PSPLLPD128X64_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARREADY" *) output I_PSPLLPD128X64_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARSIZE" *) input [2:0]I_PSPLLPD128X64_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARUSER" *) input [17:0]I_PSPLLPD128X64_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 ARVALID" *) input I_PSPLLPD128X64_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWADDR" *) input [63:0]I_PSPLLPD128X64_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWBURST" *) input [1:0]I_PSPLLPD128X64_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWCACHE" *) input [3:0]I_PSPLLPD128X64_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWID" *) input [15:0]I_PSPLLPD128X64_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWLEN" *) input [7:0]I_PSPLLPD128X64_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWLOCK" *) input [0:0]I_PSPLLPD128X64_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWPROT" *) input [2:0]I_PSPLLPD128X64_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWQOS" *) input [3:0]I_PSPLLPD128X64_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWREADY" *) output I_PSPLLPD128X64_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWSIZE" *) input [2:0]I_PSPLLPD128X64_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWUSER" *) input [17:0]I_PSPLLPD128X64_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 AWVALID" *) input I_PSPLLPD128X64_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 BID" *) output [15:0]I_PSPLLPD128X64_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 BREADY" *) input I_PSPLLPD128X64_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 BRESP" *) output [1:0]I_PSPLLPD128X64_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 BUSER" *) output [15:0]I_PSPLLPD128X64_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 BVALID" *) output I_PSPLLPD128X64_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RDATA" *) output [127:0]I_PSPLLPD128X64_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RID" *) output [15:0]I_PSPLLPD128X64_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RLAST" *) output I_PSPLLPD128X64_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RREADY" *) input I_PSPLLPD128X64_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RRESP" *) output [1:0]I_PSPLLPD128X64_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RUSER" *) output [15:0]I_PSPLLPD128X64_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 RVALID" *) output I_PSPLLPD128X64_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WDATA" *) input [127:0]I_PSPLLPD128X64_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WLAST" *) input I_PSPLLPD128X64_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WREADY" *) output I_PSPLLPD128X64_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WSTRB" *) input [15:0]I_PSPLLPD128X64_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WUSER" *) input [15:0]I_PSPLLPD128X64_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 I_PSPLLPD128X64 WVALID" *) input I_PSPLLPD128X64_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME OCM, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]OCM_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARBURST" *) output [1:0]OCM_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARCACHE" *) output [3:0]OCM_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARLEN" *) output [7:0]OCM_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARLOCK" *) output [0:0]OCM_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARPROT" *) output [2:0]OCM_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARQOS" *) output [3:0]OCM_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARREADY" *) input OCM_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARSIZE" *) output [2:0]OCM_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARUSER" *) output [31:0]OCM_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM ARVALID" *) output OCM_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWADDR" *) output [31:0]OCM_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWBURST" *) output [1:0]OCM_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWCACHE" *) output [3:0]OCM_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWLEN" *) output [7:0]OCM_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWLOCK" *) output [0:0]OCM_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWPROT" *) output [2:0]OCM_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWQOS" *) output [3:0]OCM_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWREADY" *) input OCM_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWSIZE" *) output [2:0]OCM_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWUSER" *) output [31:0]OCM_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM AWVALID" *) output OCM_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM BREADY" *) output OCM_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM BRESP" *) input [1:0]OCM_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM BUSER" *) input [15:0]OCM_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM BVALID" *) input OCM_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RDATA" *) input [31:0]OCM_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RLAST" *) input OCM_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RREADY" *) output OCM_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RRESP" *) input [1:0]OCM_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RUSER" *) input [3:0]OCM_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM RVALID" *) input OCM_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WDATA" *) output [31:0]OCM_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WLAST" *) output OCM_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WREADY" *) input OCM_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WSTRB" *) output [3:0]OCM_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WUSER" *) output [3:0]OCM_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 OCM WVALID" *) output OCM_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME O_PSPLFPD128X32, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]O_PSPLFPD128X32_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARBURST" *) output [1:0]O_PSPLFPD128X32_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARCACHE" *) output [3:0]O_PSPLFPD128X32_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARLEN" *) output [7:0]O_PSPLFPD128X32_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARLOCK" *) output [0:0]O_PSPLFPD128X32_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARPROT" *) output [2:0]O_PSPLFPD128X32_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARQOS" *) output [3:0]O_PSPLFPD128X32_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARREADY" *) input O_PSPLFPD128X32_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARSIZE" *) output [2:0]O_PSPLFPD128X32_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARUSER" *) output [17:0]O_PSPLFPD128X32_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 ARVALID" *) output O_PSPLFPD128X32_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWADDR" *) output [63:0]O_PSPLFPD128X32_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWBURST" *) output [1:0]O_PSPLFPD128X32_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWCACHE" *) output [3:0]O_PSPLFPD128X32_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWLEN" *) output [7:0]O_PSPLFPD128X32_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWLOCK" *) output [0:0]O_PSPLFPD128X32_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWPROT" *) output [2:0]O_PSPLFPD128X32_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWQOS" *) output [3:0]O_PSPLFPD128X32_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWREADY" *) input O_PSPLFPD128X32_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWSIZE" *) output [2:0]O_PSPLFPD128X32_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWUSER" *) output [17:0]O_PSPLFPD128X32_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 AWVALID" *) output O_PSPLFPD128X32_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 BREADY" *) output O_PSPLFPD128X32_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 BRESP" *) input [1:0]O_PSPLFPD128X32_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 BUSER" *) input [15:0]O_PSPLFPD128X32_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 BVALID" *) input O_PSPLFPD128X32_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RDATA" *) input [31:0]O_PSPLFPD128X32_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RLAST" *) input O_PSPLFPD128X32_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RREADY" *) output O_PSPLFPD128X32_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RRESP" *) input [1:0]O_PSPLFPD128X32_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RUSER" *) input [3:0]O_PSPLFPD128X32_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 RVALID" *) input O_PSPLFPD128X32_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WDATA" *) output [31:0]O_PSPLFPD128X32_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WLAST" *) output O_PSPLFPD128X32_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WREADY" *) input O_PSPLFPD128X32_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WSTRB" *) output [3:0]O_PSPLFPD128X32_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WUSER" *) output [3:0]O_PSPLFPD128X32_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X32 WVALID" *) output O_PSPLFPD128X32_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME O_PSPLFPD128X64, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 64, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 8, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 8" *) output [63:0]O_PSPLFPD128X64_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARBURST" *) output [1:0]O_PSPLFPD128X64_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARCACHE" *) output [3:0]O_PSPLFPD128X64_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARLEN" *) output [7:0]O_PSPLFPD128X64_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARLOCK" *) output [0:0]O_PSPLFPD128X64_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARPROT" *) output [2:0]O_PSPLFPD128X64_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARQOS" *) output [3:0]O_PSPLFPD128X64_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARREADY" *) input O_PSPLFPD128X64_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARSIZE" *) output [2:0]O_PSPLFPD128X64_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARUSER" *) output [17:0]O_PSPLFPD128X64_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 ARVALID" *) output O_PSPLFPD128X64_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWADDR" *) output [63:0]O_PSPLFPD128X64_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWBURST" *) output [1:0]O_PSPLFPD128X64_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWCACHE" *) output [3:0]O_PSPLFPD128X64_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWLEN" *) output [7:0]O_PSPLFPD128X64_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWLOCK" *) output [0:0]O_PSPLFPD128X64_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWPROT" *) output [2:0]O_PSPLFPD128X64_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWQOS" *) output [3:0]O_PSPLFPD128X64_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWREADY" *) input O_PSPLFPD128X64_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWSIZE" *) output [2:0]O_PSPLFPD128X64_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWUSER" *) output [17:0]O_PSPLFPD128X64_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 AWVALID" *) output O_PSPLFPD128X64_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 BREADY" *) output O_PSPLFPD128X64_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 BRESP" *) input [1:0]O_PSPLFPD128X64_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 BUSER" *) input [15:0]O_PSPLFPD128X64_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 BVALID" *) input O_PSPLFPD128X64_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RDATA" *) input [63:0]O_PSPLFPD128X64_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RLAST" *) input O_PSPLFPD128X64_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RREADY" *) output O_PSPLFPD128X64_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RRESP" *) input [1:0]O_PSPLFPD128X64_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RUSER" *) input [7:0]O_PSPLFPD128X64_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 RVALID" *) input O_PSPLFPD128X64_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WDATA" *) output [63:0]O_PSPLFPD128X64_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WLAST" *) output O_PSPLFPD128X64_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WREADY" *) input O_PSPLFPD128X64_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WSTRB" *) output [7:0]O_PSPLFPD128X64_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WUSER" *) output [7:0]O_PSPLFPD128X64_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLFPD128X64 WVALID" *) output O_PSPLFPD128X64_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME O_PSPLLPD128X32, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]O_PSPLLPD128X32_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARBURST" *) output [1:0]O_PSPLLPD128X32_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARCACHE" *) output [3:0]O_PSPLLPD128X32_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARLEN" *) output [7:0]O_PSPLLPD128X32_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARLOCK" *) output [0:0]O_PSPLLPD128X32_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARPROT" *) output [2:0]O_PSPLLPD128X32_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARQOS" *) output [3:0]O_PSPLLPD128X32_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARREADY" *) input O_PSPLLPD128X32_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARSIZE" *) output [2:0]O_PSPLLPD128X32_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARUSER" *) output [17:0]O_PSPLLPD128X32_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 ARVALID" *) output O_PSPLLPD128X32_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWADDR" *) output [63:0]O_PSPLLPD128X32_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWBURST" *) output [1:0]O_PSPLLPD128X32_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWCACHE" *) output [3:0]O_PSPLLPD128X32_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWLEN" *) output [7:0]O_PSPLLPD128X32_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWLOCK" *) output [0:0]O_PSPLLPD128X32_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWPROT" *) output [2:0]O_PSPLLPD128X32_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWQOS" *) output [3:0]O_PSPLLPD128X32_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWREADY" *) input O_PSPLLPD128X32_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWSIZE" *) output [2:0]O_PSPLLPD128X32_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWUSER" *) output [17:0]O_PSPLLPD128X32_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 AWVALID" *) output O_PSPLLPD128X32_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 BREADY" *) output O_PSPLLPD128X32_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 BRESP" *) input [1:0]O_PSPLLPD128X32_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 BUSER" *) input [15:0]O_PSPLLPD128X32_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 BVALID" *) input O_PSPLLPD128X32_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RDATA" *) input [31:0]O_PSPLLPD128X32_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RLAST" *) input O_PSPLLPD128X32_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RREADY" *) output O_PSPLLPD128X32_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RRESP" *) input [1:0]O_PSPLLPD128X32_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RUSER" *) input [3:0]O_PSPLLPD128X32_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 RVALID" *) input O_PSPLLPD128X32_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WDATA" *) output [31:0]O_PSPLLPD128X32_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WLAST" *) output O_PSPLLPD128X32_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WREADY" *) input O_PSPLLPD128X32_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WSTRB" *) output [3:0]O_PSPLLPD128X32_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WUSER" *) output [3:0]O_PSPLLPD128X32_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X32 WVALID" *) output O_PSPLLPD128X32_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME O_PSPLLPD128X64, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 64, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 8, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 8" *) output [63:0]O_PSPLLPD128X64_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARBURST" *) output [1:0]O_PSPLLPD128X64_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARCACHE" *) output [3:0]O_PSPLLPD128X64_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARLEN" *) output [7:0]O_PSPLLPD128X64_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARLOCK" *) output [0:0]O_PSPLLPD128X64_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARPROT" *) output [2:0]O_PSPLLPD128X64_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARQOS" *) output [3:0]O_PSPLLPD128X64_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARREADY" *) input O_PSPLLPD128X64_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARSIZE" *) output [2:0]O_PSPLLPD128X64_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARUSER" *) output [17:0]O_PSPLLPD128X64_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 ARVALID" *) output O_PSPLLPD128X64_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWADDR" *) output [63:0]O_PSPLLPD128X64_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWBURST" *) output [1:0]O_PSPLLPD128X64_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWCACHE" *) output [3:0]O_PSPLLPD128X64_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWLEN" *) output [7:0]O_PSPLLPD128X64_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWLOCK" *) output [0:0]O_PSPLLPD128X64_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWPROT" *) output [2:0]O_PSPLLPD128X64_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWQOS" *) output [3:0]O_PSPLLPD128X64_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWREADY" *) input O_PSPLLPD128X64_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWSIZE" *) output [2:0]O_PSPLLPD128X64_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWUSER" *) output [17:0]O_PSPLLPD128X64_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 AWVALID" *) output O_PSPLLPD128X64_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 BREADY" *) output O_PSPLLPD128X64_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 BRESP" *) input [1:0]O_PSPLLPD128X64_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 BUSER" *) input [15:0]O_PSPLLPD128X64_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 BVALID" *) input O_PSPLLPD128X64_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RDATA" *) input [63:0]O_PSPLLPD128X64_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RLAST" *) input O_PSPLLPD128X64_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RREADY" *) output O_PSPLLPD128X64_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RRESP" *) input [1:0]O_PSPLLPD128X64_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RUSER" *) input [7:0]O_PSPLLPD128X64_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 RVALID" *) input O_PSPLLPD128X64_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WDATA" *) output [63:0]O_PSPLLPD128X64_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WLAST" *) output O_PSPLLPD128X64_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WREADY" *) input O_PSPLLPD128X64_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WSTRB" *) output [7:0]O_PSPLLPD128X64_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WUSER" *) output [7:0]O_PSPLLPD128X64_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 O_PSPLLPD128X64 WVALID" *) output O_PSPLLPD128X64_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM10, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM10_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARBURST" *) output [1:0]REG_MEM10_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARCACHE" *) output [3:0]REG_MEM10_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARLEN" *) output [7:0]REG_MEM10_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARLOCK" *) output [0:0]REG_MEM10_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARPROT" *) output [2:0]REG_MEM10_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARQOS" *) output [3:0]REG_MEM10_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARREADY" *) input REG_MEM10_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARSIZE" *) output [2:0]REG_MEM10_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARUSER" *) output [31:0]REG_MEM10_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 ARVALID" *) output REG_MEM10_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWADDR" *) output [31:0]REG_MEM10_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWBURST" *) output [1:0]REG_MEM10_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWCACHE" *) output [3:0]REG_MEM10_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWLEN" *) output [7:0]REG_MEM10_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWLOCK" *) output [0:0]REG_MEM10_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWPROT" *) output [2:0]REG_MEM10_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWQOS" *) output [3:0]REG_MEM10_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWREADY" *) input REG_MEM10_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWSIZE" *) output [2:0]REG_MEM10_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWUSER" *) output [31:0]REG_MEM10_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 AWVALID" *) output REG_MEM10_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 BREADY" *) output REG_MEM10_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 BRESP" *) input [1:0]REG_MEM10_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 BUSER" *) input [15:0]REG_MEM10_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 BVALID" *) input REG_MEM10_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RDATA" *) input [31:0]REG_MEM10_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RLAST" *) input REG_MEM10_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RREADY" *) output REG_MEM10_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RRESP" *) input [1:0]REG_MEM10_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RUSER" *) input [3:0]REG_MEM10_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 RVALID" *) input REG_MEM10_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WDATA" *) output [31:0]REG_MEM10_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WLAST" *) output REG_MEM10_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WREADY" *) input REG_MEM10_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WSTRB" *) output [3:0]REG_MEM10_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WUSER" *) output [3:0]REG_MEM10_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM10 WVALID" *) output REG_MEM10_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM11, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM11_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARBURST" *) output [1:0]REG_MEM11_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARCACHE" *) output [3:0]REG_MEM11_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARLEN" *) output [7:0]REG_MEM11_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARLOCK" *) output [0:0]REG_MEM11_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARPROT" *) output [2:0]REG_MEM11_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARQOS" *) output [3:0]REG_MEM11_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARREADY" *) input REG_MEM11_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARSIZE" *) output [2:0]REG_MEM11_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARUSER" *) output [31:0]REG_MEM11_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 ARVALID" *) output REG_MEM11_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWADDR" *) output [31:0]REG_MEM11_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWBURST" *) output [1:0]REG_MEM11_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWCACHE" *) output [3:0]REG_MEM11_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWLEN" *) output [7:0]REG_MEM11_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWLOCK" *) output [0:0]REG_MEM11_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWPROT" *) output [2:0]REG_MEM11_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWQOS" *) output [3:0]REG_MEM11_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWREADY" *) input REG_MEM11_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWSIZE" *) output [2:0]REG_MEM11_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWUSER" *) output [31:0]REG_MEM11_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 AWVALID" *) output REG_MEM11_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 BREADY" *) output REG_MEM11_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 BRESP" *) input [1:0]REG_MEM11_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 BUSER" *) input [15:0]REG_MEM11_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 BVALID" *) input REG_MEM11_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RDATA" *) input [31:0]REG_MEM11_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RLAST" *) input REG_MEM11_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RREADY" *) output REG_MEM11_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RRESP" *) input [1:0]REG_MEM11_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RUSER" *) input [3:0]REG_MEM11_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 RVALID" *) input REG_MEM11_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WDATA" *) output [31:0]REG_MEM11_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WLAST" *) output REG_MEM11_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WREADY" *) input REG_MEM11_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WSTRB" *) output [3:0]REG_MEM11_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WUSER" *) output [3:0]REG_MEM11_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM11 WVALID" *) output REG_MEM11_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM12, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM12_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARBURST" *) output [1:0]REG_MEM12_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARCACHE" *) output [3:0]REG_MEM12_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARLEN" *) output [7:0]REG_MEM12_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARLOCK" *) output [0:0]REG_MEM12_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARPROT" *) output [2:0]REG_MEM12_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARQOS" *) output [3:0]REG_MEM12_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARREADY" *) input REG_MEM12_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARSIZE" *) output [2:0]REG_MEM12_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARUSER" *) output [31:0]REG_MEM12_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 ARVALID" *) output REG_MEM12_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWADDR" *) output [31:0]REG_MEM12_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWBURST" *) output [1:0]REG_MEM12_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWCACHE" *) output [3:0]REG_MEM12_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWLEN" *) output [7:0]REG_MEM12_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWLOCK" *) output [0:0]REG_MEM12_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWPROT" *) output [2:0]REG_MEM12_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWQOS" *) output [3:0]REG_MEM12_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWREADY" *) input REG_MEM12_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWSIZE" *) output [2:0]REG_MEM12_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWUSER" *) output [31:0]REG_MEM12_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 AWVALID" *) output REG_MEM12_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 BREADY" *) output REG_MEM12_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 BRESP" *) input [1:0]REG_MEM12_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 BUSER" *) input [15:0]REG_MEM12_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 BVALID" *) input REG_MEM12_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RDATA" *) input [31:0]REG_MEM12_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RLAST" *) input REG_MEM12_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RREADY" *) output REG_MEM12_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RRESP" *) input [1:0]REG_MEM12_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RUSER" *) input [3:0]REG_MEM12_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 RVALID" *) input REG_MEM12_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WDATA" *) output [31:0]REG_MEM12_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WLAST" *) output REG_MEM12_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WREADY" *) input REG_MEM12_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WSTRB" *) output [3:0]REG_MEM12_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WUSER" *) output [3:0]REG_MEM12_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM12 WVALID" *) output REG_MEM12_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM1, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM1_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARBURST" *) output [1:0]REG_MEM1_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARCACHE" *) output [3:0]REG_MEM1_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARLEN" *) output [7:0]REG_MEM1_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARLOCK" *) output [0:0]REG_MEM1_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARPROT" *) output [2:0]REG_MEM1_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARQOS" *) output [3:0]REG_MEM1_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARREADY" *) input REG_MEM1_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARSIZE" *) output [2:0]REG_MEM1_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARUSER" *) output [31:0]REG_MEM1_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 ARVALID" *) output REG_MEM1_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWADDR" *) output [31:0]REG_MEM1_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWBURST" *) output [1:0]REG_MEM1_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWCACHE" *) output [3:0]REG_MEM1_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWLEN" *) output [7:0]REG_MEM1_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWLOCK" *) output [0:0]REG_MEM1_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWPROT" *) output [2:0]REG_MEM1_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWQOS" *) output [3:0]REG_MEM1_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWREADY" *) input REG_MEM1_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWSIZE" *) output [2:0]REG_MEM1_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWUSER" *) output [31:0]REG_MEM1_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 AWVALID" *) output REG_MEM1_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 BREADY" *) output REG_MEM1_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 BRESP" *) input [1:0]REG_MEM1_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 BUSER" *) input [15:0]REG_MEM1_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 BVALID" *) input REG_MEM1_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RDATA" *) input [31:0]REG_MEM1_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RLAST" *) input REG_MEM1_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RREADY" *) output REG_MEM1_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RRESP" *) input [1:0]REG_MEM1_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RUSER" *) input [3:0]REG_MEM1_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 RVALID" *) input REG_MEM1_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WDATA" *) output [31:0]REG_MEM1_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WLAST" *) output REG_MEM1_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WREADY" *) input REG_MEM1_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WSTRB" *) output [3:0]REG_MEM1_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WUSER" *) output [3:0]REG_MEM1_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM1 WVALID" *) output REG_MEM1_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM2, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM2_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARBURST" *) output [1:0]REG_MEM2_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARCACHE" *) output [3:0]REG_MEM2_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARLEN" *) output [7:0]REG_MEM2_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARLOCK" *) output [0:0]REG_MEM2_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARPROT" *) output [2:0]REG_MEM2_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARQOS" *) output [3:0]REG_MEM2_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARREADY" *) input REG_MEM2_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARSIZE" *) output [2:0]REG_MEM2_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARUSER" *) output [31:0]REG_MEM2_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 ARVALID" *) output REG_MEM2_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWADDR" *) output [31:0]REG_MEM2_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWBURST" *) output [1:0]REG_MEM2_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWCACHE" *) output [3:0]REG_MEM2_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWLEN" *) output [7:0]REG_MEM2_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWLOCK" *) output [0:0]REG_MEM2_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWPROT" *) output [2:0]REG_MEM2_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWQOS" *) output [3:0]REG_MEM2_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWREADY" *) input REG_MEM2_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWSIZE" *) output [2:0]REG_MEM2_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWUSER" *) output [31:0]REG_MEM2_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 AWVALID" *) output REG_MEM2_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 BREADY" *) output REG_MEM2_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 BRESP" *) input [1:0]REG_MEM2_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 BUSER" *) input [15:0]REG_MEM2_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 BVALID" *) input REG_MEM2_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RDATA" *) input [31:0]REG_MEM2_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RLAST" *) input REG_MEM2_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RREADY" *) output REG_MEM2_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RRESP" *) input [1:0]REG_MEM2_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RUSER" *) input [3:0]REG_MEM2_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 RVALID" *) input REG_MEM2_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WDATA" *) output [31:0]REG_MEM2_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WLAST" *) output REG_MEM2_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WREADY" *) input REG_MEM2_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WSTRB" *) output [3:0]REG_MEM2_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WUSER" *) output [3:0]REG_MEM2_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM2 WVALID" *) output REG_MEM2_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM3, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM3_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARBURST" *) output [1:0]REG_MEM3_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARCACHE" *) output [3:0]REG_MEM3_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARLEN" *) output [7:0]REG_MEM3_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARLOCK" *) output [0:0]REG_MEM3_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARPROT" *) output [2:0]REG_MEM3_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARQOS" *) output [3:0]REG_MEM3_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARREADY" *) input REG_MEM3_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARSIZE" *) output [2:0]REG_MEM3_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARUSER" *) output [31:0]REG_MEM3_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 ARVALID" *) output REG_MEM3_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWADDR" *) output [31:0]REG_MEM3_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWBURST" *) output [1:0]REG_MEM3_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWCACHE" *) output [3:0]REG_MEM3_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWLEN" *) output [7:0]REG_MEM3_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWLOCK" *) output [0:0]REG_MEM3_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWPROT" *) output [2:0]REG_MEM3_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWQOS" *) output [3:0]REG_MEM3_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWREADY" *) input REG_MEM3_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWSIZE" *) output [2:0]REG_MEM3_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWUSER" *) output [31:0]REG_MEM3_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 AWVALID" *) output REG_MEM3_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 BREADY" *) output REG_MEM3_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 BRESP" *) input [1:0]REG_MEM3_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 BUSER" *) input [15:0]REG_MEM3_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 BVALID" *) input REG_MEM3_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RDATA" *) input [31:0]REG_MEM3_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RLAST" *) input REG_MEM3_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RREADY" *) output REG_MEM3_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RRESP" *) input [1:0]REG_MEM3_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RUSER" *) input [3:0]REG_MEM3_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 RVALID" *) input REG_MEM3_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WDATA" *) output [31:0]REG_MEM3_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WLAST" *) output REG_MEM3_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WREADY" *) input REG_MEM3_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WSTRB" *) output [3:0]REG_MEM3_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WUSER" *) output [3:0]REG_MEM3_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM3 WVALID" *) output REG_MEM3_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM4, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM4_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARBURST" *) output [1:0]REG_MEM4_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARCACHE" *) output [3:0]REG_MEM4_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARLEN" *) output [7:0]REG_MEM4_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARLOCK" *) output [0:0]REG_MEM4_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARPROT" *) output [2:0]REG_MEM4_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARQOS" *) output [3:0]REG_MEM4_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARREADY" *) input REG_MEM4_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARSIZE" *) output [2:0]REG_MEM4_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARUSER" *) output [31:0]REG_MEM4_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 ARVALID" *) output REG_MEM4_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWADDR" *) output [31:0]REG_MEM4_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWBURST" *) output [1:0]REG_MEM4_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWCACHE" *) output [3:0]REG_MEM4_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWLEN" *) output [7:0]REG_MEM4_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWLOCK" *) output [0:0]REG_MEM4_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWPROT" *) output [2:0]REG_MEM4_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWQOS" *) output [3:0]REG_MEM4_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWREADY" *) input REG_MEM4_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWSIZE" *) output [2:0]REG_MEM4_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWUSER" *) output [31:0]REG_MEM4_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 AWVALID" *) output REG_MEM4_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 BREADY" *) output REG_MEM4_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 BRESP" *) input [1:0]REG_MEM4_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 BUSER" *) input [15:0]REG_MEM4_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 BVALID" *) input REG_MEM4_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RDATA" *) input [31:0]REG_MEM4_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RLAST" *) input REG_MEM4_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RREADY" *) output REG_MEM4_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RRESP" *) input [1:0]REG_MEM4_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RUSER" *) input [3:0]REG_MEM4_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 RVALID" *) input REG_MEM4_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WDATA" *) output [31:0]REG_MEM4_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WLAST" *) output REG_MEM4_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WREADY" *) input REG_MEM4_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WSTRB" *) output [3:0]REG_MEM4_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WUSER" *) output [3:0]REG_MEM4_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM4 WVALID" *) output REG_MEM4_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM5, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM5_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARBURST" *) output [1:0]REG_MEM5_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARCACHE" *) output [3:0]REG_MEM5_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARLEN" *) output [7:0]REG_MEM5_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARLOCK" *) output [0:0]REG_MEM5_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARPROT" *) output [2:0]REG_MEM5_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARQOS" *) output [3:0]REG_MEM5_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARREADY" *) input REG_MEM5_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARSIZE" *) output [2:0]REG_MEM5_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARUSER" *) output [31:0]REG_MEM5_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 ARVALID" *) output REG_MEM5_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWADDR" *) output [31:0]REG_MEM5_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWBURST" *) output [1:0]REG_MEM5_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWCACHE" *) output [3:0]REG_MEM5_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWLEN" *) output [7:0]REG_MEM5_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWLOCK" *) output [0:0]REG_MEM5_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWPROT" *) output [2:0]REG_MEM5_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWQOS" *) output [3:0]REG_MEM5_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWREADY" *) input REG_MEM5_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWSIZE" *) output [2:0]REG_MEM5_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWUSER" *) output [31:0]REG_MEM5_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 AWVALID" *) output REG_MEM5_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 BREADY" *) output REG_MEM5_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 BRESP" *) input [1:0]REG_MEM5_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 BUSER" *) input [15:0]REG_MEM5_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 BVALID" *) input REG_MEM5_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RDATA" *) input [31:0]REG_MEM5_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RLAST" *) input REG_MEM5_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RREADY" *) output REG_MEM5_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RRESP" *) input [1:0]REG_MEM5_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RUSER" *) input [3:0]REG_MEM5_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 RVALID" *) input REG_MEM5_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WDATA" *) output [31:0]REG_MEM5_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WLAST" *) output REG_MEM5_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WREADY" *) input REG_MEM5_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WSTRB" *) output [3:0]REG_MEM5_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WUSER" *) output [3:0]REG_MEM5_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM5 WVALID" *) output REG_MEM5_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM6, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM6_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARBURST" *) output [1:0]REG_MEM6_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARCACHE" *) output [3:0]REG_MEM6_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARLEN" *) output [7:0]REG_MEM6_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARLOCK" *) output [0:0]REG_MEM6_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARPROT" *) output [2:0]REG_MEM6_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARQOS" *) output [3:0]REG_MEM6_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARREADY" *) input REG_MEM6_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARSIZE" *) output [2:0]REG_MEM6_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARUSER" *) output [31:0]REG_MEM6_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 ARVALID" *) output REG_MEM6_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWADDR" *) output [31:0]REG_MEM6_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWBURST" *) output [1:0]REG_MEM6_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWCACHE" *) output [3:0]REG_MEM6_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWLEN" *) output [7:0]REG_MEM6_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWLOCK" *) output [0:0]REG_MEM6_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWPROT" *) output [2:0]REG_MEM6_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWQOS" *) output [3:0]REG_MEM6_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWREADY" *) input REG_MEM6_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWSIZE" *) output [2:0]REG_MEM6_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWUSER" *) output [31:0]REG_MEM6_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 AWVALID" *) output REG_MEM6_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 BREADY" *) output REG_MEM6_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 BRESP" *) input [1:0]REG_MEM6_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 BUSER" *) input [15:0]REG_MEM6_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 BVALID" *) input REG_MEM6_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RDATA" *) input [31:0]REG_MEM6_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RLAST" *) input REG_MEM6_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RREADY" *) output REG_MEM6_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RRESP" *) input [1:0]REG_MEM6_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RUSER" *) input [3:0]REG_MEM6_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 RVALID" *) input REG_MEM6_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WDATA" *) output [31:0]REG_MEM6_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WLAST" *) output REG_MEM6_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WREADY" *) input REG_MEM6_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WSTRB" *) output [3:0]REG_MEM6_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WUSER" *) output [3:0]REG_MEM6_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM6 WVALID" *) output REG_MEM6_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM7, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM7_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARBURST" *) output [1:0]REG_MEM7_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARCACHE" *) output [3:0]REG_MEM7_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARLEN" *) output [7:0]REG_MEM7_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARLOCK" *) output [0:0]REG_MEM7_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARPROT" *) output [2:0]REG_MEM7_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARQOS" *) output [3:0]REG_MEM7_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARREADY" *) input REG_MEM7_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARSIZE" *) output [2:0]REG_MEM7_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARUSER" *) output [31:0]REG_MEM7_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 ARVALID" *) output REG_MEM7_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWADDR" *) output [31:0]REG_MEM7_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWBURST" *) output [1:0]REG_MEM7_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWCACHE" *) output [3:0]REG_MEM7_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWLEN" *) output [7:0]REG_MEM7_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWLOCK" *) output [0:0]REG_MEM7_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWPROT" *) output [2:0]REG_MEM7_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWQOS" *) output [3:0]REG_MEM7_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWREADY" *) input REG_MEM7_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWSIZE" *) output [2:0]REG_MEM7_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWUSER" *) output [31:0]REG_MEM7_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 AWVALID" *) output REG_MEM7_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 BREADY" *) output REG_MEM7_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 BRESP" *) input [1:0]REG_MEM7_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 BUSER" *) input [15:0]REG_MEM7_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 BVALID" *) input REG_MEM7_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RDATA" *) input [31:0]REG_MEM7_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RLAST" *) input REG_MEM7_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RREADY" *) output REG_MEM7_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RRESP" *) input [1:0]REG_MEM7_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RUSER" *) input [3:0]REG_MEM7_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 RVALID" *) input REG_MEM7_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WDATA" *) output [31:0]REG_MEM7_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WLAST" *) output REG_MEM7_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WREADY" *) input REG_MEM7_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WSTRB" *) output [3:0]REG_MEM7_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WUSER" *) output [3:0]REG_MEM7_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM7 WVALID" *) output REG_MEM7_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM8, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM8_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARBURST" *) output [1:0]REG_MEM8_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARCACHE" *) output [3:0]REG_MEM8_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARLEN" *) output [7:0]REG_MEM8_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARLOCK" *) output [0:0]REG_MEM8_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARPROT" *) output [2:0]REG_MEM8_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARQOS" *) output [3:0]REG_MEM8_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARREADY" *) input REG_MEM8_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARSIZE" *) output [2:0]REG_MEM8_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARUSER" *) output [31:0]REG_MEM8_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 ARVALID" *) output REG_MEM8_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWADDR" *) output [31:0]REG_MEM8_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWBURST" *) output [1:0]REG_MEM8_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWCACHE" *) output [3:0]REG_MEM8_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWLEN" *) output [7:0]REG_MEM8_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWLOCK" *) output [0:0]REG_MEM8_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWPROT" *) output [2:0]REG_MEM8_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWQOS" *) output [3:0]REG_MEM8_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWREADY" *) input REG_MEM8_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWSIZE" *) output [2:0]REG_MEM8_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWUSER" *) output [31:0]REG_MEM8_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 AWVALID" *) output REG_MEM8_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 BREADY" *) output REG_MEM8_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 BRESP" *) input [1:0]REG_MEM8_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 BUSER" *) input [15:0]REG_MEM8_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 BVALID" *) input REG_MEM8_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RDATA" *) input [31:0]REG_MEM8_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RLAST" *) input REG_MEM8_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RREADY" *) output REG_MEM8_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RRESP" *) input [1:0]REG_MEM8_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RUSER" *) input [3:0]REG_MEM8_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 RVALID" *) input REG_MEM8_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WDATA" *) output [31:0]REG_MEM8_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WLAST" *) output REG_MEM8_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WREADY" *) input REG_MEM8_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WSTRB" *) output [3:0]REG_MEM8_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WUSER" *) output [3:0]REG_MEM8_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM8 WVALID" *) output REG_MEM8_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME REG_MEM9, ADDR_WIDTH 32, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [31:0]REG_MEM9_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARBURST" *) output [1:0]REG_MEM9_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARCACHE" *) output [3:0]REG_MEM9_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARLEN" *) output [7:0]REG_MEM9_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARLOCK" *) output [0:0]REG_MEM9_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARPROT" *) output [2:0]REG_MEM9_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARQOS" *) output [3:0]REG_MEM9_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARREADY" *) input REG_MEM9_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARSIZE" *) output [2:0]REG_MEM9_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARUSER" *) output [31:0]REG_MEM9_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 ARVALID" *) output REG_MEM9_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWADDR" *) output [31:0]REG_MEM9_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWBURST" *) output [1:0]REG_MEM9_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWCACHE" *) output [3:0]REG_MEM9_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWLEN" *) output [7:0]REG_MEM9_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWLOCK" *) output [0:0]REG_MEM9_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWPROT" *) output [2:0]REG_MEM9_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWQOS" *) output [3:0]REG_MEM9_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWREADY" *) input REG_MEM9_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWSIZE" *) output [2:0]REG_MEM9_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWUSER" *) output [31:0]REG_MEM9_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 AWVALID" *) output REG_MEM9_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 BREADY" *) output REG_MEM9_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 BRESP" *) input [1:0]REG_MEM9_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 BUSER" *) input [15:0]REG_MEM9_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 BVALID" *) input REG_MEM9_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RDATA" *) input [31:0]REG_MEM9_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RLAST" *) input REG_MEM9_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RREADY" *) output REG_MEM9_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RRESP" *) input [1:0]REG_MEM9_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RUSER" *) input [3:0]REG_MEM9_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 RVALID" *) input REG_MEM9_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WDATA" *) output [31:0]REG_MEM9_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WLAST" *) output REG_MEM9_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WREADY" *) input REG_MEM9_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WSTRB" *) output [3:0]REG_MEM9_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WUSER" *) output [3:0]REG_MEM9_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 REG_MEM9 WVALID" *) output REG_MEM9_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME S00_AXI_0, ADDR_WIDTH 64, ARUSER_WIDTH 0, AWUSER_WIDTH 0, BUSER_WIDTH 0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 1, HAS_LOCK 1, HAS_PROT 1, HAS_QOS 1, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 1, NUM_READ_OUTSTANDING 1, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 1, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 0, RUSER_WIDTH 0, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 0, WUSER_WIDTH 0" *) input [63:0]S00_AXI_0_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARBURST" *) input [1:0]S00_AXI_0_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARCACHE" *) input [3:0]S00_AXI_0_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARLEN" *) input [7:0]S00_AXI_0_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARLOCK" *) input [0:0]S00_AXI_0_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARPROT" *) input [2:0]S00_AXI_0_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARQOS" *) input [3:0]S00_AXI_0_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARREADY" *) output S00_AXI_0_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARSIZE" *) input [2:0]S00_AXI_0_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 ARVALID" *) input S00_AXI_0_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWADDR" *) input [63:0]S00_AXI_0_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWBURST" *) input [1:0]S00_AXI_0_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWCACHE" *) input [3:0]S00_AXI_0_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWLEN" *) input [7:0]S00_AXI_0_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWLOCK" *) input [0:0]S00_AXI_0_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWPROT" *) input [2:0]S00_AXI_0_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWQOS" *) input [3:0]S00_AXI_0_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWREADY" *) output S00_AXI_0_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWSIZE" *) input [2:0]S00_AXI_0_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 AWVALID" *) input S00_AXI_0_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 BREADY" *) input S00_AXI_0_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 BRESP" *) output [1:0]S00_AXI_0_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 BVALID" *) output S00_AXI_0_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 RDATA" *) output [127:0]S00_AXI_0_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 RLAST" *) output S00_AXI_0_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 RREADY" *) input S00_AXI_0_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 RRESP" *) output [1:0]S00_AXI_0_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 RVALID" *) output S00_AXI_0_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 WDATA" *) input [127:0]S00_AXI_0_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 WLAST" *) input S00_AXI_0_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 WREADY" *) output S00_AXI_0_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 WSTRB" *) input [15:0]S00_AXI_0_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 S00_AXI_0 WVALID" *) input S00_AXI_0_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME SMARTCONNEC6INMUX, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 128, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 16, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 32, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 32" *) input [63:0]SMARTCONNEC6INMUX_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARBURST" *) input [1:0]SMARTCONNEC6INMUX_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARCACHE" *) input [3:0]SMARTCONNEC6INMUX_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARID" *) input [15:0]SMARTCONNEC6INMUX_arid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARLEN" *) input [7:0]SMARTCONNEC6INMUX_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARLOCK" *) input [0:0]SMARTCONNEC6INMUX_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARPROT" *) input [2:0]SMARTCONNEC6INMUX_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARQOS" *) input [3:0]SMARTCONNEC6INMUX_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARREADY" *) output SMARTCONNEC6INMUX_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARSIZE" *) input [2:0]SMARTCONNEC6INMUX_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARUSER" *) input [17:0]SMARTCONNEC6INMUX_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX ARVALID" *) input SMARTCONNEC6INMUX_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWADDR" *) input [63:0]SMARTCONNEC6INMUX_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWBURST" *) input [1:0]SMARTCONNEC6INMUX_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWCACHE" *) input [3:0]SMARTCONNEC6INMUX_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWID" *) input [15:0]SMARTCONNEC6INMUX_awid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWLEN" *) input [7:0]SMARTCONNEC6INMUX_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWLOCK" *) input [0:0]SMARTCONNEC6INMUX_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWPROT" *) input [2:0]SMARTCONNEC6INMUX_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWQOS" *) input [3:0]SMARTCONNEC6INMUX_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWREADY" *) output SMARTCONNEC6INMUX_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWSIZE" *) input [2:0]SMARTCONNEC6INMUX_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWUSER" *) input [17:0]SMARTCONNEC6INMUX_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX AWVALID" *) input SMARTCONNEC6INMUX_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX BID" *) output [15:0]SMARTCONNEC6INMUX_bid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX BREADY" *) input SMARTCONNEC6INMUX_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX BRESP" *) output [1:0]SMARTCONNEC6INMUX_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX BUSER" *) output [15:0]SMARTCONNEC6INMUX_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX BVALID" *) output SMARTCONNEC6INMUX_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RDATA" *) output [127:0]SMARTCONNEC6INMUX_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RID" *) output [15:0]SMARTCONNEC6INMUX_rid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RLAST" *) output SMARTCONNEC6INMUX_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RREADY" *) input SMARTCONNEC6INMUX_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RRESP" *) output [1:0]SMARTCONNEC6INMUX_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RUSER" *) output [31:0]SMARTCONNEC6INMUX_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX RVALID" *) output SMARTCONNEC6INMUX_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WDATA" *) input [127:0]SMARTCONNEC6INMUX_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WLAST" *) input SMARTCONNEC6INMUX_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WREADY" *) output SMARTCONNEC6INMUX_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WSTRB" *) input [15:0]SMARTCONNEC6INMUX_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WUSER" *) input [31:0]SMARTCONNEC6INMUX_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNEC6INMUX WVALID" *) input SMARTCONNEC6INMUX_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME SMARTCONNECT6IN, ADDR_WIDTH 64, ARUSER_WIDTH 32, AWUSER_WIDTH 32, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 1, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 8, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 8, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 1, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) input [63:0]SMARTCONNECT6IN_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARBURST" *) input [1:0]SMARTCONNECT6IN_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARCACHE" *) input [3:0]SMARTCONNECT6IN_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARLEN" *) input [7:0]SMARTCONNECT6IN_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARLOCK" *) input [0:0]SMARTCONNECT6IN_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARPROT" *) input [2:0]SMARTCONNECT6IN_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARQOS" *) input [3:0]SMARTCONNECT6IN_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARREADY" *) output SMARTCONNECT6IN_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARSIZE" *) input [2:0]SMARTCONNECT6IN_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARUSER" *) input [31:0]SMARTCONNECT6IN_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN ARVALID" *) input SMARTCONNECT6IN_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWADDR" *) input [63:0]SMARTCONNECT6IN_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWBURST" *) input [1:0]SMARTCONNECT6IN_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWCACHE" *) input [3:0]SMARTCONNECT6IN_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWLEN" *) input [7:0]SMARTCONNECT6IN_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWLOCK" *) input [0:0]SMARTCONNECT6IN_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWPROT" *) input [2:0]SMARTCONNECT6IN_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWQOS" *) input [3:0]SMARTCONNECT6IN_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWREADY" *) output SMARTCONNECT6IN_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWSIZE" *) input [2:0]SMARTCONNECT6IN_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWUSER" *) input [31:0]SMARTCONNECT6IN_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN AWVALID" *) input SMARTCONNECT6IN_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN BREADY" *) input SMARTCONNECT6IN_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN BRESP" *) output [1:0]SMARTCONNECT6IN_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN BUSER" *) output [15:0]SMARTCONNECT6IN_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN BVALID" *) output SMARTCONNECT6IN_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RDATA" *) output [31:0]SMARTCONNECT6IN_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RLAST" *) output SMARTCONNECT6IN_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RREADY" *) input SMARTCONNECT6IN_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RRESP" *) output [1:0]SMARTCONNECT6IN_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RUSER" *) output [3:0]SMARTCONNECT6IN_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN RVALID" *) output SMARTCONNECT6IN_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WDATA" *) input [31:0]SMARTCONNECT6IN_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WLAST" *) input SMARTCONNECT6IN_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WREADY" *) output SMARTCONNECT6IN_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WSTRB" *) input [3:0]SMARTCONNECT6IN_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WUSER" *) input [3:0]SMARTCONNECT6IN_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6IN WVALID" *) input SMARTCONNECT6IN_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARADDR" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME SMARTCONNECT6OUT, ADDR_WIDTH 64, ARUSER_WIDTH 18, AWUSER_WIDTH 18, BUSER_WIDTH 16, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, DATA_WIDTH 32, FREQ_HZ 200000000, HAS_BRESP 1, HAS_BURST 1, HAS_CACHE 0, HAS_LOCK 0, HAS_PROT 0, HAS_QOS 0, HAS_REGION 0, HAS_RRESP 1, HAS_WSTRB 1, ID_WIDTH 0, INSERT_VIP 0, MAX_BURST_LENGTH 256, NUM_READ_OUTSTANDING 8, NUM_READ_THREADS 1, NUM_WRITE_OUTSTANDING 8, NUM_WRITE_THREADS 1, PHASE 0.0, PROTOCOL AXI4, READ_WRITE_MODE READ_WRITE, RUSER_BITS_PER_BYTE 1, RUSER_WIDTH 4, SUPPORTS_NARROW_BURST 0, WUSER_BITS_PER_BYTE 1, WUSER_WIDTH 4" *) output [63:0]SMARTCONNECT6OUT_araddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARBURST" *) output [1:0]SMARTCONNECT6OUT_arburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARCACHE" *) output [3:0]SMARTCONNECT6OUT_arcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARLEN" *) output [7:0]SMARTCONNECT6OUT_arlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARLOCK" *) output [0:0]SMARTCONNECT6OUT_arlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARPROT" *) output [2:0]SMARTCONNECT6OUT_arprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARQOS" *) output [3:0]SMARTCONNECT6OUT_arqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARREADY" *) input SMARTCONNECT6OUT_arready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARSIZE" *) output [2:0]SMARTCONNECT6OUT_arsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARUSER" *) output [17:0]SMARTCONNECT6OUT_aruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT ARVALID" *) output SMARTCONNECT6OUT_arvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWADDR" *) output [63:0]SMARTCONNECT6OUT_awaddr;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWBURST" *) output [1:0]SMARTCONNECT6OUT_awburst;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWCACHE" *) output [3:0]SMARTCONNECT6OUT_awcache;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWLEN" *) output [7:0]SMARTCONNECT6OUT_awlen;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWLOCK" *) output [0:0]SMARTCONNECT6OUT_awlock;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWPROT" *) output [2:0]SMARTCONNECT6OUT_awprot;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWQOS" *) output [3:0]SMARTCONNECT6OUT_awqos;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWREADY" *) input SMARTCONNECT6OUT_awready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWSIZE" *) output [2:0]SMARTCONNECT6OUT_awsize;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWUSER" *) output [17:0]SMARTCONNECT6OUT_awuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT AWVALID" *) output SMARTCONNECT6OUT_awvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT BREADY" *) output SMARTCONNECT6OUT_bready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT BRESP" *) input [1:0]SMARTCONNECT6OUT_bresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT BUSER" *) input [15:0]SMARTCONNECT6OUT_buser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT BVALID" *) input SMARTCONNECT6OUT_bvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RDATA" *) input [31:0]SMARTCONNECT6OUT_rdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RLAST" *) input SMARTCONNECT6OUT_rlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RREADY" *) output SMARTCONNECT6OUT_rready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RRESP" *) input [1:0]SMARTCONNECT6OUT_rresp;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RUSER" *) input [3:0]SMARTCONNECT6OUT_ruser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT RVALID" *) input SMARTCONNECT6OUT_rvalid;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WDATA" *) output [31:0]SMARTCONNECT6OUT_wdata;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WLAST" *) output SMARTCONNECT6OUT_wlast;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WREADY" *) input SMARTCONNECT6OUT_wready;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WSTRB" *) output [3:0]SMARTCONNECT6OUT_wstrb;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WUSER" *) output [3:0]SMARTCONNECT6OUT_wuser;
  (* X_INTERFACE_INFO = "xilinx.com:interface:aximm:1.0 SMARTCONNECT6OUT WVALID" *) output SMARTCONNECT6OUT_wvalid;
  (* X_INTERFACE_INFO = "xilinx.com:signal:clock:1.0 CLK.ACLK_0 CLK" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME CLK.ACLK_0, ASSOCIATED_BUSIF OCM:SMARTCONNECT6IN:REG_MEM1:REG_MEM2:REG_MEM3:REG_MEM4:REG_MEM5:REG_MEM6:REG_MEM7:REG_MEM8:REG_MEM9:REG_MEM10:REG_MEM11:REG_MEM12:IFPSCPMCFGAXI:I_PSNOCCCIAXIM:I_PSNOCCCIAXIS:I_PSNOCCCI0AXIS:I_PSNOCCCI1AXIS:I_PSNOCCCI2AXIS:I_PSNOCCCI3AXIS:IFPSNOCCCIAXI0:IFPSNOCCCIAXI1:IFPSNOCCCIAXI2:IFPSNOCCCIAXI3:SMARTCONNEC6INMUX:SMARTCONNECT6OUT:I_PSPLFPD128X32:I_PSPLFPD128X64:I_PSPLLPD128X64:I_PSPLLPD128X32:O_PSPLFPD128X32:O_PSPLFPD128X64:O_PSPLLPD128X64:O_PSPLLPD128X32:S00_AXI_0, ASSOCIATED_RESET aresetn_0, CLK_DOMAIN versal_cips_ps_vip_v1_0_11_design_aclk_0, FREQ_HZ 200000000, FREQ_TOLERANCE_HZ 0, INSERT_VIP 0, PHASE 0.0" *) input aclk_0;
  (* X_INTERFACE_INFO = "xilinx.com:signal:reset:1.0 RST.ARESETN_0 RST" *) (* X_INTERFACE_PARAMETER = "XIL_INTERFACENAME RST.ARESETN_0, INSERT_VIP 0, POLARITY ACTIVE_LOW" *) input aresetn_0;

  wire [63:0]S00_AXI_0_1_ARADDR;
  wire [1:0]S00_AXI_0_1_ARBURST;
  wire [3:0]S00_AXI_0_1_ARCACHE;
  wire [15:0]S00_AXI_0_1_ARID;
  wire [7:0]S00_AXI_0_1_ARLEN;
  wire [0:0]S00_AXI_0_1_ARLOCK;
  wire [2:0]S00_AXI_0_1_ARPROT;
  wire [3:0]S00_AXI_0_1_ARQOS;
  wire S00_AXI_0_1_ARREADY;
  wire [2:0]S00_AXI_0_1_ARSIZE;
  wire [17:0]S00_AXI_0_1_ARUSER;
  wire S00_AXI_0_1_ARVALID;
  wire [63:0]S00_AXI_0_1_AWADDR;
  wire [1:0]S00_AXI_0_1_AWBURST;
  wire [3:0]S00_AXI_0_1_AWCACHE;
  wire [15:0]S00_AXI_0_1_AWID;
  wire [7:0]S00_AXI_0_1_AWLEN;
  wire [0:0]S00_AXI_0_1_AWLOCK;
  wire [2:0]S00_AXI_0_1_AWPROT;
  wire [3:0]S00_AXI_0_1_AWQOS;
  wire S00_AXI_0_1_AWREADY;
  wire [2:0]S00_AXI_0_1_AWSIZE;
  wire [17:0]S00_AXI_0_1_AWUSER;
  wire S00_AXI_0_1_AWVALID;
  wire [15:0]S00_AXI_0_1_BID;
  wire S00_AXI_0_1_BREADY;
  wire [1:0]S00_AXI_0_1_BRESP;
  wire [15:0]S00_AXI_0_1_BUSER;
  wire S00_AXI_0_1_BVALID;
  wire [127:0]S00_AXI_0_1_RDATA;
  wire [15:0]S00_AXI_0_1_RID;
  wire S00_AXI_0_1_RLAST;
  wire S00_AXI_0_1_RREADY;
  wire [1:0]S00_AXI_0_1_RRESP;
  wire [31:0]S00_AXI_0_1_RUSER;
  wire S00_AXI_0_1_RVALID;
  wire [127:0]S00_AXI_0_1_WDATA;
  wire S00_AXI_0_1_WLAST;
  wire S00_AXI_0_1_WREADY;
  wire [15:0]S00_AXI_0_1_WSTRB;
  wire [31:0]S00_AXI_0_1_WUSER;
  wire S00_AXI_0_1_WVALID;
  wire [63:0]S00_AXI_0_2_ARADDR;
  wire [1:0]S00_AXI_0_2_ARBURST;
  wire [3:0]S00_AXI_0_2_ARCACHE;
  wire [7:0]S00_AXI_0_2_ARLEN;
  wire [0:0]S00_AXI_0_2_ARLOCK;
  wire [2:0]S00_AXI_0_2_ARPROT;
  wire [3:0]S00_AXI_0_2_ARQOS;
  wire S00_AXI_0_2_ARREADY;
  wire [2:0]S00_AXI_0_2_ARSIZE;
  wire S00_AXI_0_2_ARVALID;
  wire [63:0]S00_AXI_0_2_AWADDR;
  wire [1:0]S00_AXI_0_2_AWBURST;
  wire [3:0]S00_AXI_0_2_AWCACHE;
  wire [7:0]S00_AXI_0_2_AWLEN;
  wire [0:0]S00_AXI_0_2_AWLOCK;
  wire [2:0]S00_AXI_0_2_AWPROT;
  wire [3:0]S00_AXI_0_2_AWQOS;
  wire S00_AXI_0_2_AWREADY;
  wire [2:0]S00_AXI_0_2_AWSIZE;
  wire S00_AXI_0_2_AWVALID;
  wire S00_AXI_0_2_BREADY;
  wire [1:0]S00_AXI_0_2_BRESP;
  wire S00_AXI_0_2_BVALID;
  wire [127:0]S00_AXI_0_2_RDATA;
  wire S00_AXI_0_2_RLAST;
  wire S00_AXI_0_2_RREADY;
  wire [1:0]S00_AXI_0_2_RRESP;
  wire S00_AXI_0_2_RVALID;
  wire [127:0]S00_AXI_0_2_WDATA;
  wire S00_AXI_0_2_WLAST;
  wire S00_AXI_0_2_WREADY;
  wire [15:0]S00_AXI_0_2_WSTRB;
  wire S00_AXI_0_2_WVALID;
  wire [63:0]S00_AXI_0_ARADDR;
  wire [1:0]S00_AXI_0_ARBURST;
  wire [3:0]S00_AXI_0_ARCACHE;
  wire [15:0]S00_AXI_0_ARID;
  wire [7:0]S00_AXI_0_ARLEN;
  wire [0:0]S00_AXI_0_ARLOCK;
  wire [2:0]S00_AXI_0_ARPROT;
  wire [3:0]S00_AXI_0_ARQOS;
  wire S00_AXI_0_ARREADY;
  wire [2:0]S00_AXI_0_ARSIZE;
  wire [17:0]S00_AXI_0_ARUSER;
  wire S00_AXI_0_ARVALID;
  wire [63:0]S00_AXI_0_AWADDR;
  wire [1:0]S00_AXI_0_AWBURST;
  wire [3:0]S00_AXI_0_AWCACHE;
  wire [15:0]S00_AXI_0_AWID;
  wire [7:0]S00_AXI_0_AWLEN;
  wire [0:0]S00_AXI_0_AWLOCK;
  wire [2:0]S00_AXI_0_AWPROT;
  wire [3:0]S00_AXI_0_AWQOS;
  wire S00_AXI_0_AWREADY;
  wire [2:0]S00_AXI_0_AWSIZE;
  wire [17:0]S00_AXI_0_AWUSER;
  wire S00_AXI_0_AWVALID;
  wire [15:0]S00_AXI_0_BID;
  wire S00_AXI_0_BREADY;
  wire [1:0]S00_AXI_0_BRESP;
  wire [15:0]S00_AXI_0_BUSER;
  wire S00_AXI_0_BVALID;
  wire [127:0]S00_AXI_0_RDATA;
  wire [15:0]S00_AXI_0_RID;
  wire S00_AXI_0_RLAST;
  wire S00_AXI_0_RREADY;
  wire [1:0]S00_AXI_0_RRESP;
  wire [31:0]S00_AXI_0_RUSER;
  wire S00_AXI_0_RVALID;
  wire [127:0]S00_AXI_0_WDATA;
  wire S00_AXI_0_WLAST;
  wire S00_AXI_0_WREADY;
  wire [15:0]S00_AXI_0_WSTRB;
  wire [31:0]S00_AXI_0_WUSER;
  wire S00_AXI_0_WVALID;
  wire [63:0]S00_AXI_1_ARADDR;
  wire [1:0]S00_AXI_1_ARBURST;
  wire [3:0]S00_AXI_1_ARCACHE;
  wire [15:0]S00_AXI_1_ARID;
  wire [7:0]S00_AXI_1_ARLEN;
  wire [0:0]S00_AXI_1_ARLOCK;
  wire [2:0]S00_AXI_1_ARPROT;
  wire [3:0]S00_AXI_1_ARQOS;
  wire S00_AXI_1_ARREADY;
  wire [2:0]S00_AXI_1_ARSIZE;
  wire [17:0]S00_AXI_1_ARUSER;
  wire S00_AXI_1_ARVALID;
  wire [63:0]S00_AXI_1_AWADDR;
  wire [1:0]S00_AXI_1_AWBURST;
  wire [3:0]S00_AXI_1_AWCACHE;
  wire [15:0]S00_AXI_1_AWID;
  wire [7:0]S00_AXI_1_AWLEN;
  wire [0:0]S00_AXI_1_AWLOCK;
  wire [2:0]S00_AXI_1_AWPROT;
  wire [3:0]S00_AXI_1_AWQOS;
  wire S00_AXI_1_AWREADY;
  wire [2:0]S00_AXI_1_AWSIZE;
  wire [17:0]S00_AXI_1_AWUSER;
  wire S00_AXI_1_AWVALID;
  wire [15:0]S00_AXI_1_BID;
  wire S00_AXI_1_BREADY;
  wire [1:0]S00_AXI_1_BRESP;
  wire [15:0]S00_AXI_1_BUSER;
  wire S00_AXI_1_BVALID;
  wire [127:0]S00_AXI_1_RDATA;
  wire [15:0]S00_AXI_1_RID;
  wire S00_AXI_1_RLAST;
  wire S00_AXI_1_RREADY;
  wire [1:0]S00_AXI_1_RRESP;
  wire [31:0]S00_AXI_1_RUSER;
  wire S00_AXI_1_RVALID;
  wire [127:0]S00_AXI_1_WDATA;
  wire S00_AXI_1_WLAST;
  wire S00_AXI_1_WREADY;
  wire [15:0]S00_AXI_1_WSTRB;
  wire [31:0]S00_AXI_1_WUSER;
  wire S00_AXI_1_WVALID;
  wire [63:0]S00_AXI_2_ARADDR;
  wire [1:0]S00_AXI_2_ARBURST;
  wire [3:0]S00_AXI_2_ARCACHE;
  wire [7:0]S00_AXI_2_ARLEN;
  wire [0:0]S00_AXI_2_ARLOCK;
  wire [2:0]S00_AXI_2_ARPROT;
  wire [3:0]S00_AXI_2_ARQOS;
  wire S00_AXI_2_ARREADY;
  wire [2:0]S00_AXI_2_ARSIZE;
  wire [17:0]S00_AXI_2_ARUSER;
  wire S00_AXI_2_ARVALID;
  wire [63:0]S00_AXI_2_AWADDR;
  wire [1:0]S00_AXI_2_AWBURST;
  wire [3:0]S00_AXI_2_AWCACHE;
  wire [7:0]S00_AXI_2_AWLEN;
  wire [0:0]S00_AXI_2_AWLOCK;
  wire [2:0]S00_AXI_2_AWPROT;
  wire [3:0]S00_AXI_2_AWQOS;
  wire S00_AXI_2_AWREADY;
  wire [2:0]S00_AXI_2_AWSIZE;
  wire [17:0]S00_AXI_2_AWUSER;
  wire S00_AXI_2_AWVALID;
  wire S00_AXI_2_BREADY;
  wire [1:0]S00_AXI_2_BRESP;
  wire [15:0]S00_AXI_2_BUSER;
  wire S00_AXI_2_BVALID;
  wire [127:0]S00_AXI_2_RDATA;
  wire S00_AXI_2_RLAST;
  wire S00_AXI_2_RREADY;
  wire [1:0]S00_AXI_2_RRESP;
  wire [31:0]S00_AXI_2_RUSER;
  wire S00_AXI_2_RVALID;
  wire [127:0]S00_AXI_2_WDATA;
  wire S00_AXI_2_WLAST;
  wire S00_AXI_2_WREADY;
  wire [15:0]S00_AXI_2_WSTRB;
  wire [31:0]S00_AXI_2_WUSER;
  wire S00_AXI_2_WVALID;
  wire [63:0]S00_AXI_3_ARADDR;
  wire [1:0]S00_AXI_3_ARBURST;
  wire [3:0]S00_AXI_3_ARCACHE;
  wire [15:0]S00_AXI_3_ARID;
  wire [7:0]S00_AXI_3_ARLEN;
  wire [0:0]S00_AXI_3_ARLOCK;
  wire [2:0]S00_AXI_3_ARPROT;
  wire [3:0]S00_AXI_3_ARQOS;
  wire S00_AXI_3_ARREADY;
  wire [2:0]S00_AXI_3_ARSIZE;
  wire [17:0]S00_AXI_3_ARUSER;
  wire S00_AXI_3_ARVALID;
  wire [63:0]S00_AXI_3_AWADDR;
  wire [1:0]S00_AXI_3_AWBURST;
  wire [3:0]S00_AXI_3_AWCACHE;
  wire [15:0]S00_AXI_3_AWID;
  wire [7:0]S00_AXI_3_AWLEN;
  wire [0:0]S00_AXI_3_AWLOCK;
  wire [2:0]S00_AXI_3_AWPROT;
  wire [3:0]S00_AXI_3_AWQOS;
  wire S00_AXI_3_AWREADY;
  wire [2:0]S00_AXI_3_AWSIZE;
  wire [17:0]S00_AXI_3_AWUSER;
  wire S00_AXI_3_AWVALID;
  wire [15:0]S00_AXI_3_BID;
  wire S00_AXI_3_BREADY;
  wire [1:0]S00_AXI_3_BRESP;
  wire [15:0]S00_AXI_3_BUSER;
  wire S00_AXI_3_BVALID;
  wire [127:0]S00_AXI_3_RDATA;
  wire [15:0]S00_AXI_3_RID;
  wire S00_AXI_3_RLAST;
  wire S00_AXI_3_RREADY;
  wire [1:0]S00_AXI_3_RRESP;
  wire [31:0]S00_AXI_3_RUSER;
  wire S00_AXI_3_RVALID;
  wire [127:0]S00_AXI_3_WDATA;
  wire S00_AXI_3_WLAST;
  wire S00_AXI_3_WREADY;
  wire [15:0]S00_AXI_3_WSTRB;
  wire [31:0]S00_AXI_3_WUSER;
  wire S00_AXI_3_WVALID;
  wire [63:0]S00_AXI_4_ARADDR;
  wire [1:0]S00_AXI_4_ARBURST;
  wire [3:0]S00_AXI_4_ARCACHE;
  wire [15:0]S00_AXI_4_ARID;
  wire [7:0]S00_AXI_4_ARLEN;
  wire [0:0]S00_AXI_4_ARLOCK;
  wire [2:0]S00_AXI_4_ARPROT;
  wire [3:0]S00_AXI_4_ARQOS;
  wire S00_AXI_4_ARREADY;
  wire [2:0]S00_AXI_4_ARSIZE;
  wire [17:0]S00_AXI_4_ARUSER;
  wire S00_AXI_4_ARVALID;
  wire [63:0]S00_AXI_4_AWADDR;
  wire [1:0]S00_AXI_4_AWBURST;
  wire [3:0]S00_AXI_4_AWCACHE;
  wire [15:0]S00_AXI_4_AWID;
  wire [7:0]S00_AXI_4_AWLEN;
  wire [0:0]S00_AXI_4_AWLOCK;
  wire [2:0]S00_AXI_4_AWPROT;
  wire [3:0]S00_AXI_4_AWQOS;
  wire S00_AXI_4_AWREADY;
  wire [2:0]S00_AXI_4_AWSIZE;
  wire [17:0]S00_AXI_4_AWUSER;
  wire S00_AXI_4_AWVALID;
  wire [15:0]S00_AXI_4_BID;
  wire S00_AXI_4_BREADY;
  wire [1:0]S00_AXI_4_BRESP;
  wire [15:0]S00_AXI_4_BUSER;
  wire S00_AXI_4_BVALID;
  wire [127:0]S00_AXI_4_RDATA;
  wire [15:0]S00_AXI_4_RID;
  wire S00_AXI_4_RLAST;
  wire S00_AXI_4_RREADY;
  wire [1:0]S00_AXI_4_RRESP;
  wire [31:0]S00_AXI_4_RUSER;
  wire S00_AXI_4_RVALID;
  wire [127:0]S00_AXI_4_WDATA;
  wire S00_AXI_4_WLAST;
  wire S00_AXI_4_WREADY;
  wire [15:0]S00_AXI_4_WSTRB;
  wire [31:0]S00_AXI_4_WUSER;
  wire S00_AXI_4_WVALID;
  wire [63:0]S00_AXI_5_ARADDR;
  wire [1:0]S00_AXI_5_ARBURST;
  wire [3:0]S00_AXI_5_ARCACHE;
  wire [7:0]S00_AXI_5_ARLEN;
  wire [0:0]S00_AXI_5_ARLOCK;
  wire [2:0]S00_AXI_5_ARPROT;
  wire [3:0]S00_AXI_5_ARQOS;
  wire S00_AXI_5_ARREADY;
  wire [2:0]S00_AXI_5_ARSIZE;
  wire [31:0]S00_AXI_5_ARUSER;
  wire S00_AXI_5_ARVALID;
  wire [63:0]S00_AXI_5_AWADDR;
  wire [1:0]S00_AXI_5_AWBURST;
  wire [3:0]S00_AXI_5_AWCACHE;
  wire [7:0]S00_AXI_5_AWLEN;
  wire [0:0]S00_AXI_5_AWLOCK;
  wire [2:0]S00_AXI_5_AWPROT;
  wire [3:0]S00_AXI_5_AWQOS;
  wire S00_AXI_5_AWREADY;
  wire [2:0]S00_AXI_5_AWSIZE;
  wire [31:0]S00_AXI_5_AWUSER;
  wire S00_AXI_5_AWVALID;
  wire S00_AXI_5_BREADY;
  wire [1:0]S00_AXI_5_BRESP;
  wire [15:0]S00_AXI_5_BUSER;
  wire S00_AXI_5_BVALID;
  wire [31:0]S00_AXI_5_RDATA;
  wire S00_AXI_5_RLAST;
  wire S00_AXI_5_RREADY;
  wire [1:0]S00_AXI_5_RRESP;
  wire [3:0]S00_AXI_5_RUSER;
  wire S00_AXI_5_RVALID;
  wire [31:0]S00_AXI_5_WDATA;
  wire S00_AXI_5_WLAST;
  wire S00_AXI_5_WREADY;
  wire [3:0]S00_AXI_5_WSTRB;
  wire [3:0]S00_AXI_5_WUSER;
  wire S00_AXI_5_WVALID;
  wire [63:0]S00_AXI_PSPLFPD128X32_ARADDR;
  wire [1:0]S00_AXI_PSPLFPD128X32_ARBURST;
  wire [3:0]S00_AXI_PSPLFPD128X32_ARCACHE;
  wire [15:0]S00_AXI_PSPLFPD128X32_ARID;
  wire [7:0]S00_AXI_PSPLFPD128X32_ARLEN;
  wire [0:0]S00_AXI_PSPLFPD128X32_ARLOCK;
  wire [2:0]S00_AXI_PSPLFPD128X32_ARPROT;
  wire [3:0]S00_AXI_PSPLFPD128X32_ARQOS;
  wire S00_AXI_PSPLFPD128X32_ARREADY;
  wire [2:0]S00_AXI_PSPLFPD128X32_ARSIZE;
  wire [17:0]S00_AXI_PSPLFPD128X32_ARUSER;
  wire S00_AXI_PSPLFPD128X32_ARVALID;
  wire [63:0]S00_AXI_PSPLFPD128X32_AWADDR;
  wire [1:0]S00_AXI_PSPLFPD128X32_AWBURST;
  wire [3:0]S00_AXI_PSPLFPD128X32_AWCACHE;
  wire [15:0]S00_AXI_PSPLFPD128X32_AWID;
  wire [7:0]S00_AXI_PSPLFPD128X32_AWLEN;
  wire [0:0]S00_AXI_PSPLFPD128X32_AWLOCK;
  wire [2:0]S00_AXI_PSPLFPD128X32_AWPROT;
  wire [3:0]S00_AXI_PSPLFPD128X32_AWQOS;
  wire S00_AXI_PSPLFPD128X32_AWREADY;
  wire [2:0]S00_AXI_PSPLFPD128X32_AWSIZE;
  wire [17:0]S00_AXI_PSPLFPD128X32_AWUSER;
  wire S00_AXI_PSPLFPD128X32_AWVALID;
  wire [15:0]S00_AXI_PSPLFPD128X32_BID;
  wire S00_AXI_PSPLFPD128X32_BREADY;
  wire [1:0]S00_AXI_PSPLFPD128X32_BRESP;
  wire [15:0]S00_AXI_PSPLFPD128X32_BUSER;
  wire S00_AXI_PSPLFPD128X32_BVALID;
  wire [127:0]S00_AXI_PSPLFPD128X32_RDATA;
  wire [15:0]S00_AXI_PSPLFPD128X32_RID;
  wire S00_AXI_PSPLFPD128X32_RLAST;
  wire S00_AXI_PSPLFPD128X32_RREADY;
  wire [1:0]S00_AXI_PSPLFPD128X32_RRESP;
  wire [15:0]S00_AXI_PSPLFPD128X32_RUSER;
  wire S00_AXI_PSPLFPD128X32_RVALID;
  wire [127:0]S00_AXI_PSPLFPD128X32_WDATA;
  wire S00_AXI_PSPLFPD128X32_WLAST;
  wire S00_AXI_PSPLFPD128X32_WREADY;
  wire [15:0]S00_AXI_PSPLFPD128X32_WSTRB;
  wire [15:0]S00_AXI_PSPLFPD128X32_WUSER;
  wire S00_AXI_PSPLFPD128X32_WVALID;
  wire [63:0]S00_AXI_PSPLFPD128X64_ARADDR;
  wire [1:0]S00_AXI_PSPLFPD128X64_ARBURST;
  wire [3:0]S00_AXI_PSPLFPD128X64_ARCACHE;
  wire [15:0]S00_AXI_PSPLFPD128X64_ARID;
  wire [7:0]S00_AXI_PSPLFPD128X64_ARLEN;
  wire [0:0]S00_AXI_PSPLFPD128X64_ARLOCK;
  wire [2:0]S00_AXI_PSPLFPD128X64_ARPROT;
  wire [3:0]S00_AXI_PSPLFPD128X64_ARQOS;
  wire S00_AXI_PSPLFPD128X64_ARREADY;
  wire [2:0]S00_AXI_PSPLFPD128X64_ARSIZE;
  wire [17:0]S00_AXI_PSPLFPD128X64_ARUSER;
  wire S00_AXI_PSPLFPD128X64_ARVALID;
  wire [63:0]S00_AXI_PSPLFPD128X64_AWADDR;
  wire [1:0]S00_AXI_PSPLFPD128X64_AWBURST;
  wire [3:0]S00_AXI_PSPLFPD128X64_AWCACHE;
  wire [15:0]S00_AXI_PSPLFPD128X64_AWID;
  wire [7:0]S00_AXI_PSPLFPD128X64_AWLEN;
  wire [0:0]S00_AXI_PSPLFPD128X64_AWLOCK;
  wire [2:0]S00_AXI_PSPLFPD128X64_AWPROT;
  wire [3:0]S00_AXI_PSPLFPD128X64_AWQOS;
  wire S00_AXI_PSPLFPD128X64_AWREADY;
  wire [2:0]S00_AXI_PSPLFPD128X64_AWSIZE;
  wire [17:0]S00_AXI_PSPLFPD128X64_AWUSER;
  wire S00_AXI_PSPLFPD128X64_AWVALID;
  wire [15:0]S00_AXI_PSPLFPD128X64_BID;
  wire S00_AXI_PSPLFPD128X64_BREADY;
  wire [1:0]S00_AXI_PSPLFPD128X64_BRESP;
  wire [15:0]S00_AXI_PSPLFPD128X64_BUSER;
  wire S00_AXI_PSPLFPD128X64_BVALID;
  wire [127:0]S00_AXI_PSPLFPD128X64_RDATA;
  wire [15:0]S00_AXI_PSPLFPD128X64_RID;
  wire S00_AXI_PSPLFPD128X64_RLAST;
  wire S00_AXI_PSPLFPD128X64_RREADY;
  wire [1:0]S00_AXI_PSPLFPD128X64_RRESP;
  wire [15:0]S00_AXI_PSPLFPD128X64_RUSER;
  wire S00_AXI_PSPLFPD128X64_RVALID;
  wire [127:0]S00_AXI_PSPLFPD128X64_WDATA;
  wire S00_AXI_PSPLFPD128X64_WLAST;
  wire S00_AXI_PSPLFPD128X64_WREADY;
  wire [15:0]S00_AXI_PSPLFPD128X64_WSTRB;
  wire [15:0]S00_AXI_PSPLFPD128X64_WUSER;
  wire S00_AXI_PSPLFPD128X64_WVALID;
  wire [63:0]S00_AXI_PSPLLPD128X32_ARADDR;
  wire [1:0]S00_AXI_PSPLLPD128X32_ARBURST;
  wire [3:0]S00_AXI_PSPLLPD128X32_ARCACHE;
  wire [15:0]S00_AXI_PSPLLPD128X32_ARID;
  wire [7:0]S00_AXI_PSPLLPD128X32_ARLEN;
  wire [0:0]S00_AXI_PSPLLPD128X32_ARLOCK;
  wire [2:0]S00_AXI_PSPLLPD128X32_ARPROT;
  wire [3:0]S00_AXI_PSPLLPD128X32_ARQOS;
  wire S00_AXI_PSPLLPD128X32_ARREADY;
  wire [2:0]S00_AXI_PSPLLPD128X32_ARSIZE;
  wire [17:0]S00_AXI_PSPLLPD128X32_ARUSER;
  wire S00_AXI_PSPLLPD128X32_ARVALID;
  wire [63:0]S00_AXI_PSPLLPD128X32_AWADDR;
  wire [1:0]S00_AXI_PSPLLPD128X32_AWBURST;
  wire [3:0]S00_AXI_PSPLLPD128X32_AWCACHE;
  wire [15:0]S00_AXI_PSPLLPD128X32_AWID;
  wire [7:0]S00_AXI_PSPLLPD128X32_AWLEN;
  wire [0:0]S00_AXI_PSPLLPD128X32_AWLOCK;
  wire [2:0]S00_AXI_PSPLLPD128X32_AWPROT;
  wire [3:0]S00_AXI_PSPLLPD128X32_AWQOS;
  wire S00_AXI_PSPLLPD128X32_AWREADY;
  wire [2:0]S00_AXI_PSPLLPD128X32_AWSIZE;
  wire [17:0]S00_AXI_PSPLLPD128X32_AWUSER;
  wire S00_AXI_PSPLLPD128X32_AWVALID;
  wire [15:0]S00_AXI_PSPLLPD128X32_BID;
  wire S00_AXI_PSPLLPD128X32_BREADY;
  wire [1:0]S00_AXI_PSPLLPD128X32_BRESP;
  wire [15:0]S00_AXI_PSPLLPD128X32_BUSER;
  wire S00_AXI_PSPLLPD128X32_BVALID;
  wire [127:0]S00_AXI_PSPLLPD128X32_RDATA;
  wire [15:0]S00_AXI_PSPLLPD128X32_RID;
  wire S00_AXI_PSPLLPD128X32_RLAST;
  wire S00_AXI_PSPLLPD128X32_RREADY;
  wire [1:0]S00_AXI_PSPLLPD128X32_RRESP;
  wire [15:0]S00_AXI_PSPLLPD128X32_RUSER;
  wire S00_AXI_PSPLLPD128X32_RVALID;
  wire [127:0]S00_AXI_PSPLLPD128X32_WDATA;
  wire S00_AXI_PSPLLPD128X32_WLAST;
  wire S00_AXI_PSPLLPD128X32_WREADY;
  wire [15:0]S00_AXI_PSPLLPD128X32_WSTRB;
  wire [15:0]S00_AXI_PSPLLPD128X32_WUSER;
  wire S00_AXI_PSPLLPD128X32_WVALID;
  wire [63:0]S00_AXI_PSPLLPD128X64_ARADDR;
  wire [1:0]S00_AXI_PSPLLPD128X64_ARBURST;
  wire [3:0]S00_AXI_PSPLLPD128X64_ARCACHE;
  wire [15:0]S00_AXI_PSPLLPD128X64_ARID;
  wire [7:0]S00_AXI_PSPLLPD128X64_ARLEN;
  wire [0:0]S00_AXI_PSPLLPD128X64_ARLOCK;
  wire [2:0]S00_AXI_PSPLLPD128X64_ARPROT;
  wire [3:0]S00_AXI_PSPLLPD128X64_ARQOS;
  wire S00_AXI_PSPLLPD128X64_ARREADY;
  wire [2:0]S00_AXI_PSPLLPD128X64_ARSIZE;
  wire [17:0]S00_AXI_PSPLLPD128X64_ARUSER;
  wire S00_AXI_PSPLLPD128X64_ARVALID;
  wire [63:0]S00_AXI_PSPLLPD128X64_AWADDR;
  wire [1:0]S00_AXI_PSPLLPD128X64_AWBURST;
  wire [3:0]S00_AXI_PSPLLPD128X64_AWCACHE;
  wire [15:0]S00_AXI_PSPLLPD128X64_AWID;
  wire [7:0]S00_AXI_PSPLLPD128X64_AWLEN;
  wire [0:0]S00_AXI_PSPLLPD128X64_AWLOCK;
  wire [2:0]S00_AXI_PSPLLPD128X64_AWPROT;
  wire [3:0]S00_AXI_PSPLLPD128X64_AWQOS;
  wire S00_AXI_PSPLLPD128X64_AWREADY;
  wire [2:0]S00_AXI_PSPLLPD128X64_AWSIZE;
  wire [17:0]S00_AXI_PSPLLPD128X64_AWUSER;
  wire S00_AXI_PSPLLPD128X64_AWVALID;
  wire [15:0]S00_AXI_PSPLLPD128X64_BID;
  wire S00_AXI_PSPLLPD128X64_BREADY;
  wire [1:0]S00_AXI_PSPLLPD128X64_BRESP;
  wire [15:0]S00_AXI_PSPLLPD128X64_BUSER;
  wire S00_AXI_PSPLLPD128X64_BVALID;
  wire [127:0]S00_AXI_PSPLLPD128X64_RDATA;
  wire [15:0]S00_AXI_PSPLLPD128X64_RID;
  wire S00_AXI_PSPLLPD128X64_RLAST;
  wire S00_AXI_PSPLLPD128X64_RREADY;
  wire [1:0]S00_AXI_PSPLLPD128X64_RRESP;
  wire [15:0]S00_AXI_PSPLLPD128X64_RUSER;
  wire S00_AXI_PSPLLPD128X64_RVALID;
  wire [127:0]S00_AXI_PSPLLPD128X64_WDATA;
  wire S00_AXI_PSPLLPD128X64_WLAST;
  wire S00_AXI_PSPLLPD128X64_WREADY;
  wire [15:0]S00_AXI_PSPLLPD128X64_WSTRB;
  wire [15:0]S00_AXI_PSPLLPD128X64_WUSER;
  wire S00_AXI_PSPLLPD128X64_WVALID;
  wire aclk_0_1;
  wire aresetn_0_1;
  wire [31:0]axi_apb_bridge_0_APB_M_PADDR;
  wire axi_apb_bridge_0_APB_M_PENABLE;
  wire [2:0]axi_apb_bridge_0_APB_M_PPROT;
  wire [31:0]axi_apb_bridge_0_APB_M_PRDATA;
  wire [0:0]axi_apb_bridge_0_APB_M_PREADY;
  wire [0:0]axi_apb_bridge_0_APB_M_PSEL;
  wire [0:0]axi_apb_bridge_0_APB_M_PSLVERR;
  wire [3:0]axi_apb_bridge_0_APB_M_PSTRB;
  wire [31:0]axi_apb_bridge_0_APB_M_PWDATA;
  wire axi_apb_bridge_0_APB_M_PWRITE;
  wire [31:0]sc_axi2apb_slave_side_M00_AXI_ARADDR;
  wire [2:0]sc_axi2apb_slave_side_M00_AXI_ARPROT;
  wire sc_axi2apb_slave_side_M00_AXI_ARREADY;
  wire sc_axi2apb_slave_side_M00_AXI_ARVALID;
  wire [31:0]sc_axi2apb_slave_side_M00_AXI_AWADDR;
  wire [2:0]sc_axi2apb_slave_side_M00_AXI_AWPROT;
  wire sc_axi2apb_slave_side_M00_AXI_AWREADY;
  wire sc_axi2apb_slave_side_M00_AXI_AWVALID;
  wire sc_axi2apb_slave_side_M00_AXI_BREADY;
  wire [1:0]sc_axi2apb_slave_side_M00_AXI_BRESP;
  wire sc_axi2apb_slave_side_M00_AXI_BVALID;
  wire [31:0]sc_axi2apb_slave_side_M00_AXI_RDATA;
  wire sc_axi2apb_slave_side_M00_AXI_RREADY;
  wire [1:0]sc_axi2apb_slave_side_M00_AXI_RRESP;
  wire sc_axi2apb_slave_side_M00_AXI_RVALID;
  wire [31:0]sc_axi2apb_slave_side_M00_AXI_WDATA;
  wire sc_axi2apb_slave_side_M00_AXI_WREADY;
  wire [3:0]sc_axi2apb_slave_side_M00_AXI_WSTRB;
  wire sc_axi2apb_slave_side_M00_AXI_WVALID;
  wire [63:0]sc_psplfpd128x32_M00_AXI_ARADDR;
  wire [1:0]sc_psplfpd128x32_M00_AXI_ARBURST;
  wire [3:0]sc_psplfpd128x32_M00_AXI_ARCACHE;
  wire [7:0]sc_psplfpd128x32_M00_AXI_ARLEN;
  wire [0:0]sc_psplfpd128x32_M00_AXI_ARLOCK;
  wire [2:0]sc_psplfpd128x32_M00_AXI_ARPROT;
  wire [3:0]sc_psplfpd128x32_M00_AXI_ARQOS;
  wire sc_psplfpd128x32_M00_AXI_ARREADY;
  wire [2:0]sc_psplfpd128x32_M00_AXI_ARSIZE;
  wire [17:0]sc_psplfpd128x32_M00_AXI_ARUSER;
  wire sc_psplfpd128x32_M00_AXI_ARVALID;
  wire [63:0]sc_psplfpd128x32_M00_AXI_AWADDR;
  wire [1:0]sc_psplfpd128x32_M00_AXI_AWBURST;
  wire [3:0]sc_psplfpd128x32_M00_AXI_AWCACHE;
  wire [7:0]sc_psplfpd128x32_M00_AXI_AWLEN;
  wire [0:0]sc_psplfpd128x32_M00_AXI_AWLOCK;
  wire [2:0]sc_psplfpd128x32_M00_AXI_AWPROT;
  wire [3:0]sc_psplfpd128x32_M00_AXI_AWQOS;
  wire sc_psplfpd128x32_M00_AXI_AWREADY;
  wire [2:0]sc_psplfpd128x32_M00_AXI_AWSIZE;
  wire [17:0]sc_psplfpd128x32_M00_AXI_AWUSER;
  wire sc_psplfpd128x32_M00_AXI_AWVALID;
  wire sc_psplfpd128x32_M00_AXI_BREADY;
  wire [1:0]sc_psplfpd128x32_M00_AXI_BRESP;
  wire [15:0]sc_psplfpd128x32_M00_AXI_BUSER;
  wire sc_psplfpd128x32_M00_AXI_BVALID;
  wire [31:0]sc_psplfpd128x32_M00_AXI_RDATA;
  wire sc_psplfpd128x32_M00_AXI_RLAST;
  wire sc_psplfpd128x32_M00_AXI_RREADY;
  wire [1:0]sc_psplfpd128x32_M00_AXI_RRESP;
  wire [3:0]sc_psplfpd128x32_M00_AXI_RUSER;
  wire sc_psplfpd128x32_M00_AXI_RVALID;
  wire [31:0]sc_psplfpd128x32_M00_AXI_WDATA;
  wire sc_psplfpd128x32_M00_AXI_WLAST;
  wire sc_psplfpd128x32_M00_AXI_WREADY;
  wire [3:0]sc_psplfpd128x32_M00_AXI_WSTRB;
  wire [3:0]sc_psplfpd128x32_M00_AXI_WUSER;
  wire sc_psplfpd128x32_M00_AXI_WVALID;
  wire [63:0]sc_psplfpd128x64_M00_AXI_ARADDR;
  wire [1:0]sc_psplfpd128x64_M00_AXI_ARBURST;
  wire [3:0]sc_psplfpd128x64_M00_AXI_ARCACHE;
  wire [7:0]sc_psplfpd128x64_M00_AXI_ARLEN;
  wire [0:0]sc_psplfpd128x64_M00_AXI_ARLOCK;
  wire [2:0]sc_psplfpd128x64_M00_AXI_ARPROT;
  wire [3:0]sc_psplfpd128x64_M00_AXI_ARQOS;
  wire sc_psplfpd128x64_M00_AXI_ARREADY;
  wire [2:0]sc_psplfpd128x64_M00_AXI_ARSIZE;
  wire [17:0]sc_psplfpd128x64_M00_AXI_ARUSER;
  wire sc_psplfpd128x64_M00_AXI_ARVALID;
  wire [63:0]sc_psplfpd128x64_M00_AXI_AWADDR;
  wire [1:0]sc_psplfpd128x64_M00_AXI_AWBURST;
  wire [3:0]sc_psplfpd128x64_M00_AXI_AWCACHE;
  wire [7:0]sc_psplfpd128x64_M00_AXI_AWLEN;
  wire [0:0]sc_psplfpd128x64_M00_AXI_AWLOCK;
  wire [2:0]sc_psplfpd128x64_M00_AXI_AWPROT;
  wire [3:0]sc_psplfpd128x64_M00_AXI_AWQOS;
  wire sc_psplfpd128x64_M00_AXI_AWREADY;
  wire [2:0]sc_psplfpd128x64_M00_AXI_AWSIZE;
  wire [17:0]sc_psplfpd128x64_M00_AXI_AWUSER;
  wire sc_psplfpd128x64_M00_AXI_AWVALID;
  wire sc_psplfpd128x64_M00_AXI_BREADY;
  wire [1:0]sc_psplfpd128x64_M00_AXI_BRESP;
  wire [15:0]sc_psplfpd128x64_M00_AXI_BUSER;
  wire sc_psplfpd128x64_M00_AXI_BVALID;
  wire [63:0]sc_psplfpd128x64_M00_AXI_RDATA;
  wire sc_psplfpd128x64_M00_AXI_RLAST;
  wire sc_psplfpd128x64_M00_AXI_RREADY;
  wire [1:0]sc_psplfpd128x64_M00_AXI_RRESP;
  wire [7:0]sc_psplfpd128x64_M00_AXI_RUSER;
  wire sc_psplfpd128x64_M00_AXI_RVALID;
  wire [63:0]sc_psplfpd128x64_M00_AXI_WDATA;
  wire sc_psplfpd128x64_M00_AXI_WLAST;
  wire sc_psplfpd128x64_M00_AXI_WREADY;
  wire [7:0]sc_psplfpd128x64_M00_AXI_WSTRB;
  wire [7:0]sc_psplfpd128x64_M00_AXI_WUSER;
  wire sc_psplfpd128x64_M00_AXI_WVALID;
  wire [63:0]sc_pspllpd128x32_M00_AXI_ARADDR;
  wire [1:0]sc_pspllpd128x32_M00_AXI_ARBURST;
  wire [3:0]sc_pspllpd128x32_M00_AXI_ARCACHE;
  wire [7:0]sc_pspllpd128x32_M00_AXI_ARLEN;
  wire [0:0]sc_pspllpd128x32_M00_AXI_ARLOCK;
  wire [2:0]sc_pspllpd128x32_M00_AXI_ARPROT;
  wire [3:0]sc_pspllpd128x32_M00_AXI_ARQOS;
  wire sc_pspllpd128x32_M00_AXI_ARREADY;
  wire [2:0]sc_pspllpd128x32_M00_AXI_ARSIZE;
  wire [17:0]sc_pspllpd128x32_M00_AXI_ARUSER;
  wire sc_pspllpd128x32_M00_AXI_ARVALID;
  wire [63:0]sc_pspllpd128x32_M00_AXI_AWADDR;
  wire [1:0]sc_pspllpd128x32_M00_AXI_AWBURST;
  wire [3:0]sc_pspllpd128x32_M00_AXI_AWCACHE;
  wire [7:0]sc_pspllpd128x32_M00_AXI_AWLEN;
  wire [0:0]sc_pspllpd128x32_M00_AXI_AWLOCK;
  wire [2:0]sc_pspllpd128x32_M00_AXI_AWPROT;
  wire [3:0]sc_pspllpd128x32_M00_AXI_AWQOS;
  wire sc_pspllpd128x32_M00_AXI_AWREADY;
  wire [2:0]sc_pspllpd128x32_M00_AXI_AWSIZE;
  wire [17:0]sc_pspllpd128x32_M00_AXI_AWUSER;
  wire sc_pspllpd128x32_M00_AXI_AWVALID;
  wire sc_pspllpd128x32_M00_AXI_BREADY;
  wire [1:0]sc_pspllpd128x32_M00_AXI_BRESP;
  wire [15:0]sc_pspllpd128x32_M00_AXI_BUSER;
  wire sc_pspllpd128x32_M00_AXI_BVALID;
  wire [31:0]sc_pspllpd128x32_M00_AXI_RDATA;
  wire sc_pspllpd128x32_M00_AXI_RLAST;
  wire sc_pspllpd128x32_M00_AXI_RREADY;
  wire [1:0]sc_pspllpd128x32_M00_AXI_RRESP;
  wire [3:0]sc_pspllpd128x32_M00_AXI_RUSER;
  wire sc_pspllpd128x32_M00_AXI_RVALID;
  wire [31:0]sc_pspllpd128x32_M00_AXI_WDATA;
  wire sc_pspllpd128x32_M00_AXI_WLAST;
  wire sc_pspllpd128x32_M00_AXI_WREADY;
  wire [3:0]sc_pspllpd128x32_M00_AXI_WSTRB;
  wire [3:0]sc_pspllpd128x32_M00_AXI_WUSER;
  wire sc_pspllpd128x32_M00_AXI_WVALID;
  wire [63:0]sc_pspllpd128x64_M00_AXI_ARADDR;
  wire [1:0]sc_pspllpd128x64_M00_AXI_ARBURST;
  wire [3:0]sc_pspllpd128x64_M00_AXI_ARCACHE;
  wire [7:0]sc_pspllpd128x64_M00_AXI_ARLEN;
  wire [0:0]sc_pspllpd128x64_M00_AXI_ARLOCK;
  wire [2:0]sc_pspllpd128x64_M00_AXI_ARPROT;
  wire [3:0]sc_pspllpd128x64_M00_AXI_ARQOS;
  wire sc_pspllpd128x64_M00_AXI_ARREADY;
  wire [2:0]sc_pspllpd128x64_M00_AXI_ARSIZE;
  wire [17:0]sc_pspllpd128x64_M00_AXI_ARUSER;
  wire sc_pspllpd128x64_M00_AXI_ARVALID;
  wire [63:0]sc_pspllpd128x64_M00_AXI_AWADDR;
  wire [1:0]sc_pspllpd128x64_M00_AXI_AWBURST;
  wire [3:0]sc_pspllpd128x64_M00_AXI_AWCACHE;
  wire [7:0]sc_pspllpd128x64_M00_AXI_AWLEN;
  wire [0:0]sc_pspllpd128x64_M00_AXI_AWLOCK;
  wire [2:0]sc_pspllpd128x64_M00_AXI_AWPROT;
  wire [3:0]sc_pspllpd128x64_M00_AXI_AWQOS;
  wire sc_pspllpd128x64_M00_AXI_AWREADY;
  wire [2:0]sc_pspllpd128x64_M00_AXI_AWSIZE;
  wire [17:0]sc_pspllpd128x64_M00_AXI_AWUSER;
  wire sc_pspllpd128x64_M00_AXI_AWVALID;
  wire sc_pspllpd128x64_M00_AXI_BREADY;
  wire [1:0]sc_pspllpd128x64_M00_AXI_BRESP;
  wire [15:0]sc_pspllpd128x64_M00_AXI_BUSER;
  wire sc_pspllpd128x64_M00_AXI_BVALID;
  wire [63:0]sc_pspllpd128x64_M00_AXI_RDATA;
  wire sc_pspllpd128x64_M00_AXI_RLAST;
  wire sc_pspllpd128x64_M00_AXI_RREADY;
  wire [1:0]sc_pspllpd128x64_M00_AXI_RRESP;
  wire [7:0]sc_pspllpd128x64_M00_AXI_RUSER;
  wire sc_pspllpd128x64_M00_AXI_RVALID;
  wire [63:0]sc_pspllpd128x64_M00_AXI_WDATA;
  wire sc_pspllpd128x64_M00_AXI_WLAST;
  wire sc_pspllpd128x64_M00_AXI_WREADY;
  wire [7:0]sc_pspllpd128x64_M00_AXI_WSTRB;
  wire [7:0]sc_pspllpd128x64_M00_AXI_WUSER;
  wire sc_pspllpd128x64_M00_AXI_WVALID;
  wire [63:0]smartconnect_1_M00_AXI_ARADDR;
  wire [1:0]smartconnect_1_M00_AXI_ARBURST;
  wire [3:0]smartconnect_1_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_1_M00_AXI_ARLEN;
  wire [0:0]smartconnect_1_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_1_M00_AXI_ARPROT;
  wire [3:0]smartconnect_1_M00_AXI_ARQOS;
  wire smartconnect_1_M00_AXI_ARREADY;
  wire [2:0]smartconnect_1_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_1_M00_AXI_ARUSER;
  wire smartconnect_1_M00_AXI_ARVALID;
  wire [63:0]smartconnect_1_M00_AXI_AWADDR;
  wire [1:0]smartconnect_1_M00_AXI_AWBURST;
  wire [3:0]smartconnect_1_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_1_M00_AXI_AWLEN;
  wire [0:0]smartconnect_1_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_1_M00_AXI_AWPROT;
  wire [3:0]smartconnect_1_M00_AXI_AWQOS;
  wire smartconnect_1_M00_AXI_AWREADY;
  wire [2:0]smartconnect_1_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_1_M00_AXI_AWUSER;
  wire smartconnect_1_M00_AXI_AWVALID;
  wire smartconnect_1_M00_AXI_BREADY;
  wire [1:0]smartconnect_1_M00_AXI_BRESP;
  wire [15:0]smartconnect_1_M00_AXI_BUSER;
  wire smartconnect_1_M00_AXI_BVALID;
  wire [127:0]smartconnect_1_M00_AXI_RDATA;
  wire smartconnect_1_M00_AXI_RLAST;
  wire smartconnect_1_M00_AXI_RREADY;
  wire [1:0]smartconnect_1_M00_AXI_RRESP;
  wire [15:0]smartconnect_1_M00_AXI_RUSER;
  wire smartconnect_1_M00_AXI_RVALID;
  wire [127:0]smartconnect_1_M00_AXI_WDATA;
  wire smartconnect_1_M00_AXI_WLAST;
  wire smartconnect_1_M00_AXI_WREADY;
  wire [15:0]smartconnect_1_M00_AXI_WSTRB;
  wire [15:0]smartconnect_1_M00_AXI_WUSER;
  wire smartconnect_1_M00_AXI_WVALID;
  wire [63:0]smartconnect_2_M00_AXI_ARADDR;
  wire [1:0]smartconnect_2_M00_AXI_ARBURST;
  wire [3:0]smartconnect_2_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_2_M00_AXI_ARLEN;
  wire [0:0]smartconnect_2_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_2_M00_AXI_ARPROT;
  wire [3:0]smartconnect_2_M00_AXI_ARQOS;
  wire smartconnect_2_M00_AXI_ARREADY;
  wire [2:0]smartconnect_2_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_2_M00_AXI_ARUSER;
  wire smartconnect_2_M00_AXI_ARVALID;
  wire [63:0]smartconnect_2_M00_AXI_AWADDR;
  wire [1:0]smartconnect_2_M00_AXI_AWBURST;
  wire [3:0]smartconnect_2_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_2_M00_AXI_AWLEN;
  wire [0:0]smartconnect_2_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_2_M00_AXI_AWPROT;
  wire [3:0]smartconnect_2_M00_AXI_AWQOS;
  wire smartconnect_2_M00_AXI_AWREADY;
  wire [2:0]smartconnect_2_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_2_M00_AXI_AWUSER;
  wire smartconnect_2_M00_AXI_AWVALID;
  wire smartconnect_2_M00_AXI_BREADY;
  wire [1:0]smartconnect_2_M00_AXI_BRESP;
  wire [15:0]smartconnect_2_M00_AXI_BUSER;
  wire smartconnect_2_M00_AXI_BVALID;
  wire [127:0]smartconnect_2_M00_AXI_RDATA;
  wire smartconnect_2_M00_AXI_RLAST;
  wire smartconnect_2_M00_AXI_RREADY;
  wire [1:0]smartconnect_2_M00_AXI_RRESP;
  wire [15:0]smartconnect_2_M00_AXI_RUSER;
  wire smartconnect_2_M00_AXI_RVALID;
  wire [127:0]smartconnect_2_M00_AXI_WDATA;
  wire smartconnect_2_M00_AXI_WLAST;
  wire smartconnect_2_M00_AXI_WREADY;
  wire [15:0]smartconnect_2_M00_AXI_WSTRB;
  wire [15:0]smartconnect_2_M00_AXI_WUSER;
  wire smartconnect_2_M00_AXI_WVALID;
  wire [63:0]smartconnect_3_M00_AXI_ARADDR;
  wire [1:0]smartconnect_3_M00_AXI_ARBURST;
  wire [3:0]smartconnect_3_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_3_M00_AXI_ARLEN;
  wire [0:0]smartconnect_3_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_3_M00_AXI_ARPROT;
  wire [3:0]smartconnect_3_M00_AXI_ARQOS;
  wire smartconnect_3_M00_AXI_ARREADY;
  wire [2:0]smartconnect_3_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_3_M00_AXI_ARUSER;
  wire smartconnect_3_M00_AXI_ARVALID;
  wire [63:0]smartconnect_3_M00_AXI_AWADDR;
  wire [1:0]smartconnect_3_M00_AXI_AWBURST;
  wire [3:0]smartconnect_3_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_3_M00_AXI_AWLEN;
  wire [0:0]smartconnect_3_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_3_M00_AXI_AWPROT;
  wire [3:0]smartconnect_3_M00_AXI_AWQOS;
  wire smartconnect_3_M00_AXI_AWREADY;
  wire [2:0]smartconnect_3_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_3_M00_AXI_AWUSER;
  wire smartconnect_3_M00_AXI_AWVALID;
  wire smartconnect_3_M00_AXI_BREADY;
  wire [1:0]smartconnect_3_M00_AXI_BRESP;
  wire [15:0]smartconnect_3_M00_AXI_BUSER;
  wire smartconnect_3_M00_AXI_BVALID;
  wire [127:0]smartconnect_3_M00_AXI_RDATA;
  wire smartconnect_3_M00_AXI_RLAST;
  wire smartconnect_3_M00_AXI_RREADY;
  wire [1:0]smartconnect_3_M00_AXI_RRESP;
  wire [15:0]smartconnect_3_M00_AXI_RUSER;
  wire smartconnect_3_M00_AXI_RVALID;
  wire [127:0]smartconnect_3_M00_AXI_WDATA;
  wire smartconnect_3_M00_AXI_WLAST;
  wire smartconnect_3_M00_AXI_WREADY;
  wire [15:0]smartconnect_3_M00_AXI_WSTRB;
  wire [15:0]smartconnect_3_M00_AXI_WUSER;
  wire smartconnect_3_M00_AXI_WVALID;
  wire [63:0]smartconnect_4_M00_AXI_ARADDR;
  wire [1:0]smartconnect_4_M00_AXI_ARBURST;
  wire [3:0]smartconnect_4_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_4_M00_AXI_ARLEN;
  wire [0:0]smartconnect_4_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_4_M00_AXI_ARPROT;
  wire [3:0]smartconnect_4_M00_AXI_ARQOS;
  wire smartconnect_4_M00_AXI_ARREADY;
  wire [2:0]smartconnect_4_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_4_M00_AXI_ARUSER;
  wire smartconnect_4_M00_AXI_ARVALID;
  wire [63:0]smartconnect_4_M00_AXI_AWADDR;
  wire [1:0]smartconnect_4_M00_AXI_AWBURST;
  wire [3:0]smartconnect_4_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_4_M00_AXI_AWLEN;
  wire [0:0]smartconnect_4_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_4_M00_AXI_AWPROT;
  wire [3:0]smartconnect_4_M00_AXI_AWQOS;
  wire smartconnect_4_M00_AXI_AWREADY;
  wire [2:0]smartconnect_4_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_4_M00_AXI_AWUSER;
  wire smartconnect_4_M00_AXI_AWVALID;
  wire smartconnect_4_M00_AXI_BREADY;
  wire [1:0]smartconnect_4_M00_AXI_BRESP;
  wire [15:0]smartconnect_4_M00_AXI_BUSER;
  wire smartconnect_4_M00_AXI_BVALID;
  wire [127:0]smartconnect_4_M00_AXI_RDATA;
  wire smartconnect_4_M00_AXI_RLAST;
  wire smartconnect_4_M00_AXI_RREADY;
  wire [1:0]smartconnect_4_M00_AXI_RRESP;
  wire [15:0]smartconnect_4_M00_AXI_RUSER;
  wire smartconnect_4_M00_AXI_RVALID;
  wire [127:0]smartconnect_4_M00_AXI_WDATA;
  wire smartconnect_4_M00_AXI_WLAST;
  wire smartconnect_4_M00_AXI_WREADY;
  wire [15:0]smartconnect_4_M00_AXI_WSTRB;
  wire [15:0]smartconnect_4_M00_AXI_WUSER;
  wire smartconnect_4_M00_AXI_WVALID;
  wire [63:0]smartconnect_5_M00_AXI_ARADDR;
  wire [1:0]smartconnect_5_M00_AXI_ARBURST;
  wire [3:0]smartconnect_5_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_5_M00_AXI_ARLEN;
  wire [0:0]smartconnect_5_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_5_M00_AXI_ARPROT;
  wire [3:0]smartconnect_5_M00_AXI_ARQOS;
  wire smartconnect_5_M00_AXI_ARREADY;
  wire [2:0]smartconnect_5_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_5_M00_AXI_ARUSER;
  wire smartconnect_5_M00_AXI_ARVALID;
  wire [63:0]smartconnect_5_M00_AXI_AWADDR;
  wire [1:0]smartconnect_5_M00_AXI_AWBURST;
  wire [3:0]smartconnect_5_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_5_M00_AXI_AWLEN;
  wire [0:0]smartconnect_5_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_5_M00_AXI_AWPROT;
  wire [3:0]smartconnect_5_M00_AXI_AWQOS;
  wire smartconnect_5_M00_AXI_AWREADY;
  wire [2:0]smartconnect_5_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_5_M00_AXI_AWUSER;
  wire smartconnect_5_M00_AXI_AWVALID;
  wire smartconnect_5_M00_AXI_BREADY;
  wire [1:0]smartconnect_5_M00_AXI_BRESP;
  wire [15:0]smartconnect_5_M00_AXI_BUSER;
  wire smartconnect_5_M00_AXI_BVALID;
  wire [127:0]smartconnect_5_M00_AXI_RDATA;
  wire smartconnect_5_M00_AXI_RLAST;
  wire smartconnect_5_M00_AXI_RREADY;
  wire [1:0]smartconnect_5_M00_AXI_RRESP;
  wire [15:0]smartconnect_5_M00_AXI_RUSER;
  wire smartconnect_5_M00_AXI_RVALID;
  wire [127:0]smartconnect_5_M00_AXI_WDATA;
  wire smartconnect_5_M00_AXI_WLAST;
  wire smartconnect_5_M00_AXI_WREADY;
  wire [15:0]smartconnect_5_M00_AXI_WSTRB;
  wire [15:0]smartconnect_5_M00_AXI_WUSER;
  wire smartconnect_5_M00_AXI_WVALID;
  wire [31:0]smartconnect_6_M00_AXI_ARADDR;
  wire [1:0]smartconnect_6_M00_AXI_ARBURST;
  wire [3:0]smartconnect_6_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M00_AXI_ARLEN;
  wire [0:0]smartconnect_6_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M00_AXI_ARPROT;
  wire [3:0]smartconnect_6_M00_AXI_ARQOS;
  wire smartconnect_6_M00_AXI_ARREADY;
  wire [2:0]smartconnect_6_M00_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M00_AXI_ARUSER;
  wire smartconnect_6_M00_AXI_ARVALID;
  wire [31:0]smartconnect_6_M00_AXI_AWADDR;
  wire [1:0]smartconnect_6_M00_AXI_AWBURST;
  wire [3:0]smartconnect_6_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M00_AXI_AWLEN;
  wire [0:0]smartconnect_6_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M00_AXI_AWPROT;
  wire [3:0]smartconnect_6_M00_AXI_AWQOS;
  wire smartconnect_6_M00_AXI_AWREADY;
  wire [2:0]smartconnect_6_M00_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M00_AXI_AWUSER;
  wire smartconnect_6_M00_AXI_AWVALID;
  wire smartconnect_6_M00_AXI_BREADY;
  wire [1:0]smartconnect_6_M00_AXI_BRESP;
  wire [15:0]smartconnect_6_M00_AXI_BUSER;
  wire smartconnect_6_M00_AXI_BVALID;
  wire [31:0]smartconnect_6_M00_AXI_RDATA;
  wire smartconnect_6_M00_AXI_RLAST;
  wire smartconnect_6_M00_AXI_RREADY;
  wire [1:0]smartconnect_6_M00_AXI_RRESP;
  wire [3:0]smartconnect_6_M00_AXI_RUSER;
  wire smartconnect_6_M00_AXI_RVALID;
  wire [31:0]smartconnect_6_M00_AXI_WDATA;
  wire smartconnect_6_M00_AXI_WLAST;
  wire smartconnect_6_M00_AXI_WREADY;
  wire [3:0]smartconnect_6_M00_AXI_WSTRB;
  wire [3:0]smartconnect_6_M00_AXI_WUSER;
  wire smartconnect_6_M00_AXI_WVALID;
  wire [63:0]smartconnect_6_M01_AXI_ARADDR;
  wire [1:0]smartconnect_6_M01_AXI_ARBURST;
  wire [3:0]smartconnect_6_M01_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M01_AXI_ARLEN;
  wire [0:0]smartconnect_6_M01_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M01_AXI_ARPROT;
  wire [3:0]smartconnect_6_M01_AXI_ARQOS;
  wire smartconnect_6_M01_AXI_ARREADY;
  wire [2:0]smartconnect_6_M01_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M01_AXI_ARUSER;
  wire smartconnect_6_M01_AXI_ARVALID;
  wire [63:0]smartconnect_6_M01_AXI_AWADDR;
  wire [1:0]smartconnect_6_M01_AXI_AWBURST;
  wire [3:0]smartconnect_6_M01_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M01_AXI_AWLEN;
  wire [0:0]smartconnect_6_M01_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M01_AXI_AWPROT;
  wire [3:0]smartconnect_6_M01_AXI_AWQOS;
  wire smartconnect_6_M01_AXI_AWREADY;
  wire [2:0]smartconnect_6_M01_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M01_AXI_AWUSER;
  wire smartconnect_6_M01_AXI_AWVALID;
  wire smartconnect_6_M01_AXI_BREADY;
  wire [1:0]smartconnect_6_M01_AXI_BRESP;
  wire [15:0]smartconnect_6_M01_AXI_BUSER;
  wire smartconnect_6_M01_AXI_BVALID;
  wire [31:0]smartconnect_6_M01_AXI_RDATA;
  wire smartconnect_6_M01_AXI_RLAST;
  wire smartconnect_6_M01_AXI_RREADY;
  wire [1:0]smartconnect_6_M01_AXI_RRESP;
  wire [3:0]smartconnect_6_M01_AXI_RUSER;
  wire smartconnect_6_M01_AXI_RVALID;
  wire [31:0]smartconnect_6_M01_AXI_WDATA;
  wire smartconnect_6_M01_AXI_WLAST;
  wire smartconnect_6_M01_AXI_WREADY;
  wire [3:0]smartconnect_6_M01_AXI_WSTRB;
  wire [3:0]smartconnect_6_M01_AXI_WUSER;
  wire smartconnect_6_M01_AXI_WVALID;
  wire [31:0]smartconnect_6_M02_AXI_ARADDR;
  wire [1:0]smartconnect_6_M02_AXI_ARBURST;
  wire [3:0]smartconnect_6_M02_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M02_AXI_ARLEN;
  wire [0:0]smartconnect_6_M02_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M02_AXI_ARPROT;
  wire [3:0]smartconnect_6_M02_AXI_ARQOS;
  wire smartconnect_6_M02_AXI_ARREADY;
  wire [2:0]smartconnect_6_M02_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M02_AXI_ARUSER;
  wire smartconnect_6_M02_AXI_ARVALID;
  wire [31:0]smartconnect_6_M02_AXI_AWADDR;
  wire [1:0]smartconnect_6_M02_AXI_AWBURST;
  wire [3:0]smartconnect_6_M02_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M02_AXI_AWLEN;
  wire [0:0]smartconnect_6_M02_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M02_AXI_AWPROT;
  wire [3:0]smartconnect_6_M02_AXI_AWQOS;
  wire smartconnect_6_M02_AXI_AWREADY;
  wire [2:0]smartconnect_6_M02_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M02_AXI_AWUSER;
  wire smartconnect_6_M02_AXI_AWVALID;
  wire smartconnect_6_M02_AXI_BREADY;
  wire [1:0]smartconnect_6_M02_AXI_BRESP;
  wire [15:0]smartconnect_6_M02_AXI_BUSER;
  wire smartconnect_6_M02_AXI_BVALID;
  wire [31:0]smartconnect_6_M02_AXI_RDATA;
  wire smartconnect_6_M02_AXI_RLAST;
  wire smartconnect_6_M02_AXI_RREADY;
  wire [1:0]smartconnect_6_M02_AXI_RRESP;
  wire [3:0]smartconnect_6_M02_AXI_RUSER;
  wire smartconnect_6_M02_AXI_RVALID;
  wire [31:0]smartconnect_6_M02_AXI_WDATA;
  wire smartconnect_6_M02_AXI_WLAST;
  wire smartconnect_6_M02_AXI_WREADY;
  wire [3:0]smartconnect_6_M02_AXI_WSTRB;
  wire [3:0]smartconnect_6_M02_AXI_WUSER;
  wire smartconnect_6_M02_AXI_WVALID;
  wire [31:0]smartconnect_6_M03_AXI_ARADDR;
  wire [1:0]smartconnect_6_M03_AXI_ARBURST;
  wire [3:0]smartconnect_6_M03_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M03_AXI_ARLEN;
  wire [0:0]smartconnect_6_M03_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M03_AXI_ARPROT;
  wire [3:0]smartconnect_6_M03_AXI_ARQOS;
  wire smartconnect_6_M03_AXI_ARREADY;
  wire [2:0]smartconnect_6_M03_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M03_AXI_ARUSER;
  wire smartconnect_6_M03_AXI_ARVALID;
  wire [31:0]smartconnect_6_M03_AXI_AWADDR;
  wire [1:0]smartconnect_6_M03_AXI_AWBURST;
  wire [3:0]smartconnect_6_M03_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M03_AXI_AWLEN;
  wire [0:0]smartconnect_6_M03_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M03_AXI_AWPROT;
  wire [3:0]smartconnect_6_M03_AXI_AWQOS;
  wire smartconnect_6_M03_AXI_AWREADY;
  wire [2:0]smartconnect_6_M03_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M03_AXI_AWUSER;
  wire smartconnect_6_M03_AXI_AWVALID;
  wire smartconnect_6_M03_AXI_BREADY;
  wire [1:0]smartconnect_6_M03_AXI_BRESP;
  wire [15:0]smartconnect_6_M03_AXI_BUSER;
  wire smartconnect_6_M03_AXI_BVALID;
  wire [31:0]smartconnect_6_M03_AXI_RDATA;
  wire smartconnect_6_M03_AXI_RLAST;
  wire smartconnect_6_M03_AXI_RREADY;
  wire [1:0]smartconnect_6_M03_AXI_RRESP;
  wire [3:0]smartconnect_6_M03_AXI_RUSER;
  wire smartconnect_6_M03_AXI_RVALID;
  wire [31:0]smartconnect_6_M03_AXI_WDATA;
  wire smartconnect_6_M03_AXI_WLAST;
  wire smartconnect_6_M03_AXI_WREADY;
  wire [3:0]smartconnect_6_M03_AXI_WSTRB;
  wire [3:0]smartconnect_6_M03_AXI_WUSER;
  wire smartconnect_6_M03_AXI_WVALID;
  wire [31:0]smartconnect_6_M04_AXI_ARADDR;
  wire [1:0]smartconnect_6_M04_AXI_ARBURST;
  wire [3:0]smartconnect_6_M04_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M04_AXI_ARLEN;
  wire [0:0]smartconnect_6_M04_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M04_AXI_ARPROT;
  wire [3:0]smartconnect_6_M04_AXI_ARQOS;
  wire smartconnect_6_M04_AXI_ARREADY;
  wire [2:0]smartconnect_6_M04_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M04_AXI_ARUSER;
  wire smartconnect_6_M04_AXI_ARVALID;
  wire [31:0]smartconnect_6_M04_AXI_AWADDR;
  wire [1:0]smartconnect_6_M04_AXI_AWBURST;
  wire [3:0]smartconnect_6_M04_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M04_AXI_AWLEN;
  wire [0:0]smartconnect_6_M04_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M04_AXI_AWPROT;
  wire [3:0]smartconnect_6_M04_AXI_AWQOS;
  wire smartconnect_6_M04_AXI_AWREADY;
  wire [2:0]smartconnect_6_M04_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M04_AXI_AWUSER;
  wire smartconnect_6_M04_AXI_AWVALID;
  wire smartconnect_6_M04_AXI_BREADY;
  wire [1:0]smartconnect_6_M04_AXI_BRESP;
  wire [15:0]smartconnect_6_M04_AXI_BUSER;
  wire smartconnect_6_M04_AXI_BVALID;
  wire [31:0]smartconnect_6_M04_AXI_RDATA;
  wire smartconnect_6_M04_AXI_RLAST;
  wire smartconnect_6_M04_AXI_RREADY;
  wire [1:0]smartconnect_6_M04_AXI_RRESP;
  wire [3:0]smartconnect_6_M04_AXI_RUSER;
  wire smartconnect_6_M04_AXI_RVALID;
  wire [31:0]smartconnect_6_M04_AXI_WDATA;
  wire smartconnect_6_M04_AXI_WLAST;
  wire smartconnect_6_M04_AXI_WREADY;
  wire [3:0]smartconnect_6_M04_AXI_WSTRB;
  wire [3:0]smartconnect_6_M04_AXI_WUSER;
  wire smartconnect_6_M04_AXI_WVALID;
  wire [31:0]smartconnect_6_M05_AXI_ARADDR;
  wire [1:0]smartconnect_6_M05_AXI_ARBURST;
  wire [3:0]smartconnect_6_M05_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M05_AXI_ARLEN;
  wire [0:0]smartconnect_6_M05_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M05_AXI_ARPROT;
  wire [3:0]smartconnect_6_M05_AXI_ARQOS;
  wire smartconnect_6_M05_AXI_ARREADY;
  wire [2:0]smartconnect_6_M05_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M05_AXI_ARUSER;
  wire smartconnect_6_M05_AXI_ARVALID;
  wire [31:0]smartconnect_6_M05_AXI_AWADDR;
  wire [1:0]smartconnect_6_M05_AXI_AWBURST;
  wire [3:0]smartconnect_6_M05_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M05_AXI_AWLEN;
  wire [0:0]smartconnect_6_M05_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M05_AXI_AWPROT;
  wire [3:0]smartconnect_6_M05_AXI_AWQOS;
  wire smartconnect_6_M05_AXI_AWREADY;
  wire [2:0]smartconnect_6_M05_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M05_AXI_AWUSER;
  wire smartconnect_6_M05_AXI_AWVALID;
  wire smartconnect_6_M05_AXI_BREADY;
  wire [1:0]smartconnect_6_M05_AXI_BRESP;
  wire [15:0]smartconnect_6_M05_AXI_BUSER;
  wire smartconnect_6_M05_AXI_BVALID;
  wire [31:0]smartconnect_6_M05_AXI_RDATA;
  wire smartconnect_6_M05_AXI_RLAST;
  wire smartconnect_6_M05_AXI_RREADY;
  wire [1:0]smartconnect_6_M05_AXI_RRESP;
  wire [3:0]smartconnect_6_M05_AXI_RUSER;
  wire smartconnect_6_M05_AXI_RVALID;
  wire [31:0]smartconnect_6_M05_AXI_WDATA;
  wire smartconnect_6_M05_AXI_WLAST;
  wire smartconnect_6_M05_AXI_WREADY;
  wire [3:0]smartconnect_6_M05_AXI_WSTRB;
  wire [3:0]smartconnect_6_M05_AXI_WUSER;
  wire smartconnect_6_M05_AXI_WVALID;
  wire [31:0]smartconnect_6_M06_AXI_ARADDR;
  wire [1:0]smartconnect_6_M06_AXI_ARBURST;
  wire [3:0]smartconnect_6_M06_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M06_AXI_ARLEN;
  wire [0:0]smartconnect_6_M06_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M06_AXI_ARPROT;
  wire [3:0]smartconnect_6_M06_AXI_ARQOS;
  wire smartconnect_6_M06_AXI_ARREADY;
  wire [2:0]smartconnect_6_M06_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M06_AXI_ARUSER;
  wire smartconnect_6_M06_AXI_ARVALID;
  wire [31:0]smartconnect_6_M06_AXI_AWADDR;
  wire [1:0]smartconnect_6_M06_AXI_AWBURST;
  wire [3:0]smartconnect_6_M06_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M06_AXI_AWLEN;
  wire [0:0]smartconnect_6_M06_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M06_AXI_AWPROT;
  wire [3:0]smartconnect_6_M06_AXI_AWQOS;
  wire smartconnect_6_M06_AXI_AWREADY;
  wire [2:0]smartconnect_6_M06_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M06_AXI_AWUSER;
  wire smartconnect_6_M06_AXI_AWVALID;
  wire smartconnect_6_M06_AXI_BREADY;
  wire [1:0]smartconnect_6_M06_AXI_BRESP;
  wire [15:0]smartconnect_6_M06_AXI_BUSER;
  wire smartconnect_6_M06_AXI_BVALID;
  wire [31:0]smartconnect_6_M06_AXI_RDATA;
  wire smartconnect_6_M06_AXI_RLAST;
  wire smartconnect_6_M06_AXI_RREADY;
  wire [1:0]smartconnect_6_M06_AXI_RRESP;
  wire [3:0]smartconnect_6_M06_AXI_RUSER;
  wire smartconnect_6_M06_AXI_RVALID;
  wire [31:0]smartconnect_6_M06_AXI_WDATA;
  wire smartconnect_6_M06_AXI_WLAST;
  wire smartconnect_6_M06_AXI_WREADY;
  wire [3:0]smartconnect_6_M06_AXI_WSTRB;
  wire [3:0]smartconnect_6_M06_AXI_WUSER;
  wire smartconnect_6_M06_AXI_WVALID;
  wire [31:0]smartconnect_6_M07_AXI_ARADDR;
  wire [1:0]smartconnect_6_M07_AXI_ARBURST;
  wire [3:0]smartconnect_6_M07_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M07_AXI_ARLEN;
  wire [0:0]smartconnect_6_M07_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M07_AXI_ARPROT;
  wire [3:0]smartconnect_6_M07_AXI_ARQOS;
  wire smartconnect_6_M07_AXI_ARREADY;
  wire [2:0]smartconnect_6_M07_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M07_AXI_ARUSER;
  wire smartconnect_6_M07_AXI_ARVALID;
  wire [31:0]smartconnect_6_M07_AXI_AWADDR;
  wire [1:0]smartconnect_6_M07_AXI_AWBURST;
  wire [3:0]smartconnect_6_M07_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M07_AXI_AWLEN;
  wire [0:0]smartconnect_6_M07_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M07_AXI_AWPROT;
  wire [3:0]smartconnect_6_M07_AXI_AWQOS;
  wire smartconnect_6_M07_AXI_AWREADY;
  wire [2:0]smartconnect_6_M07_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M07_AXI_AWUSER;
  wire smartconnect_6_M07_AXI_AWVALID;
  wire smartconnect_6_M07_AXI_BREADY;
  wire [1:0]smartconnect_6_M07_AXI_BRESP;
  wire [15:0]smartconnect_6_M07_AXI_BUSER;
  wire smartconnect_6_M07_AXI_BVALID;
  wire [31:0]smartconnect_6_M07_AXI_RDATA;
  wire smartconnect_6_M07_AXI_RLAST;
  wire smartconnect_6_M07_AXI_RREADY;
  wire [1:0]smartconnect_6_M07_AXI_RRESP;
  wire [3:0]smartconnect_6_M07_AXI_RUSER;
  wire smartconnect_6_M07_AXI_RVALID;
  wire [31:0]smartconnect_6_M07_AXI_WDATA;
  wire smartconnect_6_M07_AXI_WLAST;
  wire smartconnect_6_M07_AXI_WREADY;
  wire [3:0]smartconnect_6_M07_AXI_WSTRB;
  wire [3:0]smartconnect_6_M07_AXI_WUSER;
  wire smartconnect_6_M07_AXI_WVALID;
  wire [31:0]smartconnect_6_M08_AXI_ARADDR;
  wire [1:0]smartconnect_6_M08_AXI_ARBURST;
  wire [3:0]smartconnect_6_M08_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M08_AXI_ARLEN;
  wire [0:0]smartconnect_6_M08_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M08_AXI_ARPROT;
  wire [3:0]smartconnect_6_M08_AXI_ARQOS;
  wire smartconnect_6_M08_AXI_ARREADY;
  wire [2:0]smartconnect_6_M08_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M08_AXI_ARUSER;
  wire smartconnect_6_M08_AXI_ARVALID;
  wire [31:0]smartconnect_6_M08_AXI_AWADDR;
  wire [1:0]smartconnect_6_M08_AXI_AWBURST;
  wire [3:0]smartconnect_6_M08_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M08_AXI_AWLEN;
  wire [0:0]smartconnect_6_M08_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M08_AXI_AWPROT;
  wire [3:0]smartconnect_6_M08_AXI_AWQOS;
  wire smartconnect_6_M08_AXI_AWREADY;
  wire [2:0]smartconnect_6_M08_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M08_AXI_AWUSER;
  wire smartconnect_6_M08_AXI_AWVALID;
  wire smartconnect_6_M08_AXI_BREADY;
  wire [1:0]smartconnect_6_M08_AXI_BRESP;
  wire [15:0]smartconnect_6_M08_AXI_BUSER;
  wire smartconnect_6_M08_AXI_BVALID;
  wire [31:0]smartconnect_6_M08_AXI_RDATA;
  wire smartconnect_6_M08_AXI_RLAST;
  wire smartconnect_6_M08_AXI_RREADY;
  wire [1:0]smartconnect_6_M08_AXI_RRESP;
  wire [3:0]smartconnect_6_M08_AXI_RUSER;
  wire smartconnect_6_M08_AXI_RVALID;
  wire [31:0]smartconnect_6_M08_AXI_WDATA;
  wire smartconnect_6_M08_AXI_WLAST;
  wire smartconnect_6_M08_AXI_WREADY;
  wire [3:0]smartconnect_6_M08_AXI_WSTRB;
  wire [3:0]smartconnect_6_M08_AXI_WUSER;
  wire smartconnect_6_M08_AXI_WVALID;
  wire [31:0]smartconnect_6_M09_AXI_ARADDR;
  wire [1:0]smartconnect_6_M09_AXI_ARBURST;
  wire [3:0]smartconnect_6_M09_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M09_AXI_ARLEN;
  wire [0:0]smartconnect_6_M09_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M09_AXI_ARPROT;
  wire [3:0]smartconnect_6_M09_AXI_ARQOS;
  wire smartconnect_6_M09_AXI_ARREADY;
  wire [2:0]smartconnect_6_M09_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M09_AXI_ARUSER;
  wire smartconnect_6_M09_AXI_ARVALID;
  wire [31:0]smartconnect_6_M09_AXI_AWADDR;
  wire [1:0]smartconnect_6_M09_AXI_AWBURST;
  wire [3:0]smartconnect_6_M09_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M09_AXI_AWLEN;
  wire [0:0]smartconnect_6_M09_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M09_AXI_AWPROT;
  wire [3:0]smartconnect_6_M09_AXI_AWQOS;
  wire smartconnect_6_M09_AXI_AWREADY;
  wire [2:0]smartconnect_6_M09_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M09_AXI_AWUSER;
  wire smartconnect_6_M09_AXI_AWVALID;
  wire smartconnect_6_M09_AXI_BREADY;
  wire [1:0]smartconnect_6_M09_AXI_BRESP;
  wire [15:0]smartconnect_6_M09_AXI_BUSER;
  wire smartconnect_6_M09_AXI_BVALID;
  wire [31:0]smartconnect_6_M09_AXI_RDATA;
  wire smartconnect_6_M09_AXI_RLAST;
  wire smartconnect_6_M09_AXI_RREADY;
  wire [1:0]smartconnect_6_M09_AXI_RRESP;
  wire [3:0]smartconnect_6_M09_AXI_RUSER;
  wire smartconnect_6_M09_AXI_RVALID;
  wire [31:0]smartconnect_6_M09_AXI_WDATA;
  wire smartconnect_6_M09_AXI_WLAST;
  wire smartconnect_6_M09_AXI_WREADY;
  wire [3:0]smartconnect_6_M09_AXI_WSTRB;
  wire [3:0]smartconnect_6_M09_AXI_WUSER;
  wire smartconnect_6_M09_AXI_WVALID;
  wire [31:0]smartconnect_6_M10_AXI_ARADDR;
  wire [1:0]smartconnect_6_M10_AXI_ARBURST;
  wire [3:0]smartconnect_6_M10_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M10_AXI_ARLEN;
  wire [0:0]smartconnect_6_M10_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M10_AXI_ARPROT;
  wire [3:0]smartconnect_6_M10_AXI_ARQOS;
  wire smartconnect_6_M10_AXI_ARREADY;
  wire [2:0]smartconnect_6_M10_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M10_AXI_ARUSER;
  wire smartconnect_6_M10_AXI_ARVALID;
  wire [31:0]smartconnect_6_M10_AXI_AWADDR;
  wire [1:0]smartconnect_6_M10_AXI_AWBURST;
  wire [3:0]smartconnect_6_M10_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M10_AXI_AWLEN;
  wire [0:0]smartconnect_6_M10_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M10_AXI_AWPROT;
  wire [3:0]smartconnect_6_M10_AXI_AWQOS;
  wire smartconnect_6_M10_AXI_AWREADY;
  wire [2:0]smartconnect_6_M10_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M10_AXI_AWUSER;
  wire smartconnect_6_M10_AXI_AWVALID;
  wire smartconnect_6_M10_AXI_BREADY;
  wire [1:0]smartconnect_6_M10_AXI_BRESP;
  wire [15:0]smartconnect_6_M10_AXI_BUSER;
  wire smartconnect_6_M10_AXI_BVALID;
  wire [31:0]smartconnect_6_M10_AXI_RDATA;
  wire smartconnect_6_M10_AXI_RLAST;
  wire smartconnect_6_M10_AXI_RREADY;
  wire [1:0]smartconnect_6_M10_AXI_RRESP;
  wire [3:0]smartconnect_6_M10_AXI_RUSER;
  wire smartconnect_6_M10_AXI_RVALID;
  wire [31:0]smartconnect_6_M10_AXI_WDATA;
  wire smartconnect_6_M10_AXI_WLAST;
  wire smartconnect_6_M10_AXI_WREADY;
  wire [3:0]smartconnect_6_M10_AXI_WSTRB;
  wire [3:0]smartconnect_6_M10_AXI_WUSER;
  wire smartconnect_6_M10_AXI_WVALID;
  wire [31:0]smartconnect_6_M11_AXI_ARADDR;
  wire [1:0]smartconnect_6_M11_AXI_ARBURST;
  wire [3:0]smartconnect_6_M11_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M11_AXI_ARLEN;
  wire [0:0]smartconnect_6_M11_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M11_AXI_ARPROT;
  wire [3:0]smartconnect_6_M11_AXI_ARQOS;
  wire smartconnect_6_M11_AXI_ARREADY;
  wire [2:0]smartconnect_6_M11_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M11_AXI_ARUSER;
  wire smartconnect_6_M11_AXI_ARVALID;
  wire [31:0]smartconnect_6_M11_AXI_AWADDR;
  wire [1:0]smartconnect_6_M11_AXI_AWBURST;
  wire [3:0]smartconnect_6_M11_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M11_AXI_AWLEN;
  wire [0:0]smartconnect_6_M11_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M11_AXI_AWPROT;
  wire [3:0]smartconnect_6_M11_AXI_AWQOS;
  wire smartconnect_6_M11_AXI_AWREADY;
  wire [2:0]smartconnect_6_M11_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M11_AXI_AWUSER;
  wire smartconnect_6_M11_AXI_AWVALID;
  wire smartconnect_6_M11_AXI_BREADY;
  wire [1:0]smartconnect_6_M11_AXI_BRESP;
  wire [15:0]smartconnect_6_M11_AXI_BUSER;
  wire smartconnect_6_M11_AXI_BVALID;
  wire [31:0]smartconnect_6_M11_AXI_RDATA;
  wire smartconnect_6_M11_AXI_RLAST;
  wire smartconnect_6_M11_AXI_RREADY;
  wire [1:0]smartconnect_6_M11_AXI_RRESP;
  wire [3:0]smartconnect_6_M11_AXI_RUSER;
  wire smartconnect_6_M11_AXI_RVALID;
  wire [31:0]smartconnect_6_M11_AXI_WDATA;
  wire smartconnect_6_M11_AXI_WLAST;
  wire smartconnect_6_M11_AXI_WREADY;
  wire [3:0]smartconnect_6_M11_AXI_WSTRB;
  wire [3:0]smartconnect_6_M11_AXI_WUSER;
  wire smartconnect_6_M11_AXI_WVALID;
  wire [31:0]smartconnect_6_M12_AXI_ARADDR;
  wire [1:0]smartconnect_6_M12_AXI_ARBURST;
  wire [3:0]smartconnect_6_M12_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M12_AXI_ARLEN;
  wire [0:0]smartconnect_6_M12_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M12_AXI_ARPROT;
  wire [3:0]smartconnect_6_M12_AXI_ARQOS;
  wire smartconnect_6_M12_AXI_ARREADY;
  wire [2:0]smartconnect_6_M12_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M12_AXI_ARUSER;
  wire smartconnect_6_M12_AXI_ARVALID;
  wire [31:0]smartconnect_6_M12_AXI_AWADDR;
  wire [1:0]smartconnect_6_M12_AXI_AWBURST;
  wire [3:0]smartconnect_6_M12_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M12_AXI_AWLEN;
  wire [0:0]smartconnect_6_M12_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M12_AXI_AWPROT;
  wire [3:0]smartconnect_6_M12_AXI_AWQOS;
  wire smartconnect_6_M12_AXI_AWREADY;
  wire [2:0]smartconnect_6_M12_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M12_AXI_AWUSER;
  wire smartconnect_6_M12_AXI_AWVALID;
  wire smartconnect_6_M12_AXI_BREADY;
  wire [1:0]smartconnect_6_M12_AXI_BRESP;
  wire [15:0]smartconnect_6_M12_AXI_BUSER;
  wire smartconnect_6_M12_AXI_BVALID;
  wire [31:0]smartconnect_6_M12_AXI_RDATA;
  wire smartconnect_6_M12_AXI_RLAST;
  wire smartconnect_6_M12_AXI_RREADY;
  wire [1:0]smartconnect_6_M12_AXI_RRESP;
  wire [3:0]smartconnect_6_M12_AXI_RUSER;
  wire smartconnect_6_M12_AXI_RVALID;
  wire [31:0]smartconnect_6_M12_AXI_WDATA;
  wire smartconnect_6_M12_AXI_WLAST;
  wire smartconnect_6_M12_AXI_WREADY;
  wire [3:0]smartconnect_6_M12_AXI_WSTRB;
  wire [3:0]smartconnect_6_M12_AXI_WUSER;
  wire smartconnect_6_M12_AXI_WVALID;
  wire [31:0]smartconnect_6_M13_AXI_ARADDR;
  wire [1:0]smartconnect_6_M13_AXI_ARBURST;
  wire [3:0]smartconnect_6_M13_AXI_ARCACHE;
  wire [7:0]smartconnect_6_M13_AXI_ARLEN;
  wire [0:0]smartconnect_6_M13_AXI_ARLOCK;
  wire [2:0]smartconnect_6_M13_AXI_ARPROT;
  wire [3:0]smartconnect_6_M13_AXI_ARQOS;
  wire smartconnect_6_M13_AXI_ARREADY;
  wire [2:0]smartconnect_6_M13_AXI_ARSIZE;
  wire [31:0]smartconnect_6_M13_AXI_ARUSER;
  wire smartconnect_6_M13_AXI_ARVALID;
  wire [31:0]smartconnect_6_M13_AXI_AWADDR;
  wire [1:0]smartconnect_6_M13_AXI_AWBURST;
  wire [3:0]smartconnect_6_M13_AXI_AWCACHE;
  wire [7:0]smartconnect_6_M13_AXI_AWLEN;
  wire [0:0]smartconnect_6_M13_AXI_AWLOCK;
  wire [2:0]smartconnect_6_M13_AXI_AWPROT;
  wire [3:0]smartconnect_6_M13_AXI_AWQOS;
  wire smartconnect_6_M13_AXI_AWREADY;
  wire [2:0]smartconnect_6_M13_AXI_AWSIZE;
  wire [31:0]smartconnect_6_M13_AXI_AWUSER;
  wire smartconnect_6_M13_AXI_AWVALID;
  wire smartconnect_6_M13_AXI_BREADY;
  wire [1:0]smartconnect_6_M13_AXI_BRESP;
  wire [15:0]smartconnect_6_M13_AXI_BUSER;
  wire smartconnect_6_M13_AXI_BVALID;
  wire [31:0]smartconnect_6_M13_AXI_RDATA;
  wire smartconnect_6_M13_AXI_RLAST;
  wire smartconnect_6_M13_AXI_RREADY;
  wire [1:0]smartconnect_6_M13_AXI_RRESP;
  wire [3:0]smartconnect_6_M13_AXI_RUSER;
  wire smartconnect_6_M13_AXI_RVALID;
  wire [31:0]smartconnect_6_M13_AXI_WDATA;
  wire smartconnect_6_M13_AXI_WLAST;
  wire smartconnect_6_M13_AXI_WREADY;
  wire [3:0]smartconnect_6_M13_AXI_WSTRB;
  wire [3:0]smartconnect_6_M13_AXI_WUSER;
  wire smartconnect_6_M13_AXI_WVALID;
  wire [63:0]smartconnect_7_M00_AXI_ARADDR;
  wire [1:0]smartconnect_7_M00_AXI_ARBURST;
  wire [3:0]smartconnect_7_M00_AXI_ARCACHE;
  wire [7:0]smartconnect_7_M00_AXI_ARLEN;
  wire [0:0]smartconnect_7_M00_AXI_ARLOCK;
  wire [2:0]smartconnect_7_M00_AXI_ARPROT;
  wire [3:0]smartconnect_7_M00_AXI_ARQOS;
  wire smartconnect_7_M00_AXI_ARREADY;
  wire [2:0]smartconnect_7_M00_AXI_ARSIZE;
  wire [17:0]smartconnect_7_M00_AXI_ARUSER;
  wire smartconnect_7_M00_AXI_ARVALID;
  wire [63:0]smartconnect_7_M00_AXI_AWADDR;
  wire [1:0]smartconnect_7_M00_AXI_AWBURST;
  wire [3:0]smartconnect_7_M00_AXI_AWCACHE;
  wire [7:0]smartconnect_7_M00_AXI_AWLEN;
  wire [0:0]smartconnect_7_M00_AXI_AWLOCK;
  wire [2:0]smartconnect_7_M00_AXI_AWPROT;
  wire [3:0]smartconnect_7_M00_AXI_AWQOS;
  wire smartconnect_7_M00_AXI_AWREADY;
  wire [2:0]smartconnect_7_M00_AXI_AWSIZE;
  wire [17:0]smartconnect_7_M00_AXI_AWUSER;
  wire smartconnect_7_M00_AXI_AWVALID;
  wire smartconnect_7_M00_AXI_BREADY;
  wire [1:0]smartconnect_7_M00_AXI_BRESP;
  wire [15:0]smartconnect_7_M00_AXI_BUSER;
  wire smartconnect_7_M00_AXI_BVALID;
  wire [31:0]smartconnect_7_M00_AXI_RDATA;
  wire smartconnect_7_M00_AXI_RLAST;
  wire smartconnect_7_M00_AXI_RREADY;
  wire [1:0]smartconnect_7_M00_AXI_RRESP;
  wire [3:0]smartconnect_7_M00_AXI_RUSER;
  wire smartconnect_7_M00_AXI_RVALID;
  wire [31:0]smartconnect_7_M00_AXI_WDATA;
  wire smartconnect_7_M00_AXI_WLAST;
  wire smartconnect_7_M00_AXI_WREADY;
  wire [3:0]smartconnect_7_M00_AXI_WSTRB;
  wire [3:0]smartconnect_7_M00_AXI_WUSER;
  wire smartconnect_7_M00_AXI_WVALID;

  assign APB_M_0_paddr[31:0] = axi_apb_bridge_0_APB_M_PADDR;
  assign APB_M_0_penable = axi_apb_bridge_0_APB_M_PENABLE;
  assign APB_M_0_pprot[2:0] = axi_apb_bridge_0_APB_M_PPROT;
  assign APB_M_0_psel[0] = axi_apb_bridge_0_APB_M_PSEL;
  assign APB_M_0_pstrb[3:0] = axi_apb_bridge_0_APB_M_PSTRB;
  assign APB_M_0_pwdata[31:0] = axi_apb_bridge_0_APB_M_PWDATA;
  assign APB_M_0_pwrite = axi_apb_bridge_0_APB_M_PWRITE;
  assign IFPSCPMCFGAXI_araddr[63:0] = smartconnect_6_M01_AXI_ARADDR;
  assign IFPSCPMCFGAXI_arburst[1:0] = smartconnect_6_M01_AXI_ARBURST;
  assign IFPSCPMCFGAXI_arcache[3:0] = smartconnect_6_M01_AXI_ARCACHE;
  assign IFPSCPMCFGAXI_arlen[7:0] = smartconnect_6_M01_AXI_ARLEN;
  assign IFPSCPMCFGAXI_arlock[0] = smartconnect_6_M01_AXI_ARLOCK;
  assign IFPSCPMCFGAXI_arprot[2:0] = smartconnect_6_M01_AXI_ARPROT;
  assign IFPSCPMCFGAXI_arqos[3:0] = smartconnect_6_M01_AXI_ARQOS;
  assign IFPSCPMCFGAXI_arsize[2:0] = smartconnect_6_M01_AXI_ARSIZE;
  assign IFPSCPMCFGAXI_aruser[31:0] = smartconnect_6_M01_AXI_ARUSER;
  assign IFPSCPMCFGAXI_arvalid = smartconnect_6_M01_AXI_ARVALID;
  assign IFPSCPMCFGAXI_awaddr[63:0] = smartconnect_6_M01_AXI_AWADDR;
  assign IFPSCPMCFGAXI_awburst[1:0] = smartconnect_6_M01_AXI_AWBURST;
  assign IFPSCPMCFGAXI_awcache[3:0] = smartconnect_6_M01_AXI_AWCACHE;
  assign IFPSCPMCFGAXI_awlen[7:0] = smartconnect_6_M01_AXI_AWLEN;
  assign IFPSCPMCFGAXI_awlock[0] = smartconnect_6_M01_AXI_AWLOCK;
  assign IFPSCPMCFGAXI_awprot[2:0] = smartconnect_6_M01_AXI_AWPROT;
  assign IFPSCPMCFGAXI_awqos[3:0] = smartconnect_6_M01_AXI_AWQOS;
  assign IFPSCPMCFGAXI_awsize[2:0] = smartconnect_6_M01_AXI_AWSIZE;
  assign IFPSCPMCFGAXI_awuser[31:0] = smartconnect_6_M01_AXI_AWUSER;
  assign IFPSCPMCFGAXI_awvalid = smartconnect_6_M01_AXI_AWVALID;
  assign IFPSCPMCFGAXI_bready = smartconnect_6_M01_AXI_BREADY;
  assign IFPSCPMCFGAXI_rready = smartconnect_6_M01_AXI_RREADY;
  assign IFPSCPMCFGAXI_wdata[31:0] = smartconnect_6_M01_AXI_WDATA;
  assign IFPSCPMCFGAXI_wlast = smartconnect_6_M01_AXI_WLAST;
  assign IFPSCPMCFGAXI_wstrb[3:0] = smartconnect_6_M01_AXI_WSTRB;
  assign IFPSCPMCFGAXI_wuser[3:0] = smartconnect_6_M01_AXI_WUSER;
  assign IFPSCPMCFGAXI_wvalid = smartconnect_6_M01_AXI_WVALID;
  assign IFPSNOCCCIAXI0_araddr[63:0] = smartconnect_2_M00_AXI_ARADDR;
  assign IFPSNOCCCIAXI0_arburst[1:0] = smartconnect_2_M00_AXI_ARBURST;
  assign IFPSNOCCCIAXI0_arcache[3:0] = smartconnect_2_M00_AXI_ARCACHE;
  assign IFPSNOCCCIAXI0_arlen[7:0] = smartconnect_2_M00_AXI_ARLEN;
  assign IFPSNOCCCIAXI0_arlock[0] = smartconnect_2_M00_AXI_ARLOCK;
  assign IFPSNOCCCIAXI0_arprot[2:0] = smartconnect_2_M00_AXI_ARPROT;
  assign IFPSNOCCCIAXI0_arqos[3:0] = smartconnect_2_M00_AXI_ARQOS;
  assign IFPSNOCCCIAXI0_arsize[2:0] = smartconnect_2_M00_AXI_ARSIZE;
  assign IFPSNOCCCIAXI0_aruser[17:0] = smartconnect_2_M00_AXI_ARUSER;
  assign IFPSNOCCCIAXI0_arvalid = smartconnect_2_M00_AXI_ARVALID;
  assign IFPSNOCCCIAXI0_awaddr[63:0] = smartconnect_2_M00_AXI_AWADDR;
  assign IFPSNOCCCIAXI0_awburst[1:0] = smartconnect_2_M00_AXI_AWBURST;
  assign IFPSNOCCCIAXI0_awcache[3:0] = smartconnect_2_M00_AXI_AWCACHE;
  assign IFPSNOCCCIAXI0_awlen[7:0] = smartconnect_2_M00_AXI_AWLEN;
  assign IFPSNOCCCIAXI0_awlock[0] = smartconnect_2_M00_AXI_AWLOCK;
  assign IFPSNOCCCIAXI0_awprot[2:0] = smartconnect_2_M00_AXI_AWPROT;
  assign IFPSNOCCCIAXI0_awqos[3:0] = smartconnect_2_M00_AXI_AWQOS;
  assign IFPSNOCCCIAXI0_awsize[2:0] = smartconnect_2_M00_AXI_AWSIZE;
  assign IFPSNOCCCIAXI0_awuser[17:0] = smartconnect_2_M00_AXI_AWUSER;
  assign IFPSNOCCCIAXI0_awvalid = smartconnect_2_M00_AXI_AWVALID;
  assign IFPSNOCCCIAXI0_bready = smartconnect_2_M00_AXI_BREADY;
  assign IFPSNOCCCIAXI0_rready = smartconnect_2_M00_AXI_RREADY;
  assign IFPSNOCCCIAXI0_wdata[127:0] = smartconnect_2_M00_AXI_WDATA;
  assign IFPSNOCCCIAXI0_wlast = smartconnect_2_M00_AXI_WLAST;
  assign IFPSNOCCCIAXI0_wstrb[15:0] = smartconnect_2_M00_AXI_WSTRB;
  assign IFPSNOCCCIAXI0_wuser[15:0] = smartconnect_2_M00_AXI_WUSER;
  assign IFPSNOCCCIAXI0_wvalid = smartconnect_2_M00_AXI_WVALID;
  assign IFPSNOCCCIAXI1_araddr[63:0] = smartconnect_4_M00_AXI_ARADDR;
  assign IFPSNOCCCIAXI1_arburst[1:0] = smartconnect_4_M00_AXI_ARBURST;
  assign IFPSNOCCCIAXI1_arcache[3:0] = smartconnect_4_M00_AXI_ARCACHE;
  assign IFPSNOCCCIAXI1_arlen[7:0] = smartconnect_4_M00_AXI_ARLEN;
  assign IFPSNOCCCIAXI1_arlock[0] = smartconnect_4_M00_AXI_ARLOCK;
  assign IFPSNOCCCIAXI1_arprot[2:0] = smartconnect_4_M00_AXI_ARPROT;
  assign IFPSNOCCCIAXI1_arqos[3:0] = smartconnect_4_M00_AXI_ARQOS;
  assign IFPSNOCCCIAXI1_arsize[2:0] = smartconnect_4_M00_AXI_ARSIZE;
  assign IFPSNOCCCIAXI1_aruser[17:0] = smartconnect_4_M00_AXI_ARUSER;
  assign IFPSNOCCCIAXI1_arvalid = smartconnect_4_M00_AXI_ARVALID;
  assign IFPSNOCCCIAXI1_awaddr[63:0] = smartconnect_4_M00_AXI_AWADDR;
  assign IFPSNOCCCIAXI1_awburst[1:0] = smartconnect_4_M00_AXI_AWBURST;
  assign IFPSNOCCCIAXI1_awcache[3:0] = smartconnect_4_M00_AXI_AWCACHE;
  assign IFPSNOCCCIAXI1_awlen[7:0] = smartconnect_4_M00_AXI_AWLEN;
  assign IFPSNOCCCIAXI1_awlock[0] = smartconnect_4_M00_AXI_AWLOCK;
  assign IFPSNOCCCIAXI1_awprot[2:0] = smartconnect_4_M00_AXI_AWPROT;
  assign IFPSNOCCCIAXI1_awqos[3:0] = smartconnect_4_M00_AXI_AWQOS;
  assign IFPSNOCCCIAXI1_awsize[2:0] = smartconnect_4_M00_AXI_AWSIZE;
  assign IFPSNOCCCIAXI1_awuser[17:0] = smartconnect_4_M00_AXI_AWUSER;
  assign IFPSNOCCCIAXI1_awvalid = smartconnect_4_M00_AXI_AWVALID;
  assign IFPSNOCCCIAXI1_bready = smartconnect_4_M00_AXI_BREADY;
  assign IFPSNOCCCIAXI1_rready = smartconnect_4_M00_AXI_RREADY;
  assign IFPSNOCCCIAXI1_wdata[127:0] = smartconnect_4_M00_AXI_WDATA;
  assign IFPSNOCCCIAXI1_wlast = smartconnect_4_M00_AXI_WLAST;
  assign IFPSNOCCCIAXI1_wstrb[15:0] = smartconnect_4_M00_AXI_WSTRB;
  assign IFPSNOCCCIAXI1_wuser[15:0] = smartconnect_4_M00_AXI_WUSER;
  assign IFPSNOCCCIAXI1_wvalid = smartconnect_4_M00_AXI_WVALID;
  assign IFPSNOCCCIAXI2_araddr[63:0] = smartconnect_5_M00_AXI_ARADDR;
  assign IFPSNOCCCIAXI2_arburst[1:0] = smartconnect_5_M00_AXI_ARBURST;
  assign IFPSNOCCCIAXI2_arcache[3:0] = smartconnect_5_M00_AXI_ARCACHE;
  assign IFPSNOCCCIAXI2_arlen[7:0] = smartconnect_5_M00_AXI_ARLEN;
  assign IFPSNOCCCIAXI2_arlock[0] = smartconnect_5_M00_AXI_ARLOCK;
  assign IFPSNOCCCIAXI2_arprot[2:0] = smartconnect_5_M00_AXI_ARPROT;
  assign IFPSNOCCCIAXI2_arqos[3:0] = smartconnect_5_M00_AXI_ARQOS;
  assign IFPSNOCCCIAXI2_arsize[2:0] = smartconnect_5_M00_AXI_ARSIZE;
  assign IFPSNOCCCIAXI2_aruser[17:0] = smartconnect_5_M00_AXI_ARUSER;
  assign IFPSNOCCCIAXI2_arvalid = smartconnect_5_M00_AXI_ARVALID;
  assign IFPSNOCCCIAXI2_awaddr[63:0] = smartconnect_5_M00_AXI_AWADDR;
  assign IFPSNOCCCIAXI2_awburst[1:0] = smartconnect_5_M00_AXI_AWBURST;
  assign IFPSNOCCCIAXI2_awcache[3:0] = smartconnect_5_M00_AXI_AWCACHE;
  assign IFPSNOCCCIAXI2_awlen[7:0] = smartconnect_5_M00_AXI_AWLEN;
  assign IFPSNOCCCIAXI2_awlock[0] = smartconnect_5_M00_AXI_AWLOCK;
  assign IFPSNOCCCIAXI2_awprot[2:0] = smartconnect_5_M00_AXI_AWPROT;
  assign IFPSNOCCCIAXI2_awqos[3:0] = smartconnect_5_M00_AXI_AWQOS;
  assign IFPSNOCCCIAXI2_awsize[2:0] = smartconnect_5_M00_AXI_AWSIZE;
  assign IFPSNOCCCIAXI2_awuser[17:0] = smartconnect_5_M00_AXI_AWUSER;
  assign IFPSNOCCCIAXI2_awvalid = smartconnect_5_M00_AXI_AWVALID;
  assign IFPSNOCCCIAXI2_bready = smartconnect_5_M00_AXI_BREADY;
  assign IFPSNOCCCIAXI2_rready = smartconnect_5_M00_AXI_RREADY;
  assign IFPSNOCCCIAXI2_wdata[127:0] = smartconnect_5_M00_AXI_WDATA;
  assign IFPSNOCCCIAXI2_wlast = smartconnect_5_M00_AXI_WLAST;
  assign IFPSNOCCCIAXI2_wstrb[15:0] = smartconnect_5_M00_AXI_WSTRB;
  assign IFPSNOCCCIAXI2_wuser[15:0] = smartconnect_5_M00_AXI_WUSER;
  assign IFPSNOCCCIAXI2_wvalid = smartconnect_5_M00_AXI_WVALID;
  assign IFPSNOCCCIAXI3_araddr[63:0] = smartconnect_3_M00_AXI_ARADDR;
  assign IFPSNOCCCIAXI3_arburst[1:0] = smartconnect_3_M00_AXI_ARBURST;
  assign IFPSNOCCCIAXI3_arcache[3:0] = smartconnect_3_M00_AXI_ARCACHE;
  assign IFPSNOCCCIAXI3_arlen[7:0] = smartconnect_3_M00_AXI_ARLEN;
  assign IFPSNOCCCIAXI3_arlock[0] = smartconnect_3_M00_AXI_ARLOCK;
  assign IFPSNOCCCIAXI3_arprot[2:0] = smartconnect_3_M00_AXI_ARPROT;
  assign IFPSNOCCCIAXI3_arqos[3:0] = smartconnect_3_M00_AXI_ARQOS;
  assign IFPSNOCCCIAXI3_arsize[2:0] = smartconnect_3_M00_AXI_ARSIZE;
  assign IFPSNOCCCIAXI3_aruser[17:0] = smartconnect_3_M00_AXI_ARUSER;
  assign IFPSNOCCCIAXI3_arvalid = smartconnect_3_M00_AXI_ARVALID;
  assign IFPSNOCCCIAXI3_awaddr[63:0] = smartconnect_3_M00_AXI_AWADDR;
  assign IFPSNOCCCIAXI3_awburst[1:0] = smartconnect_3_M00_AXI_AWBURST;
  assign IFPSNOCCCIAXI3_awcache[3:0] = smartconnect_3_M00_AXI_AWCACHE;
  assign IFPSNOCCCIAXI3_awlen[7:0] = smartconnect_3_M00_AXI_AWLEN;
  assign IFPSNOCCCIAXI3_awlock[0] = smartconnect_3_M00_AXI_AWLOCK;
  assign IFPSNOCCCIAXI3_awprot[2:0] = smartconnect_3_M00_AXI_AWPROT;
  assign IFPSNOCCCIAXI3_awqos[3:0] = smartconnect_3_M00_AXI_AWQOS;
  assign IFPSNOCCCIAXI3_awsize[2:0] = smartconnect_3_M00_AXI_AWSIZE;
  assign IFPSNOCCCIAXI3_awuser[17:0] = smartconnect_3_M00_AXI_AWUSER;
  assign IFPSNOCCCIAXI3_awvalid = smartconnect_3_M00_AXI_AWVALID;
  assign IFPSNOCCCIAXI3_bready = smartconnect_3_M00_AXI_BREADY;
  assign IFPSNOCCCIAXI3_rready = smartconnect_3_M00_AXI_RREADY;
  assign IFPSNOCCCIAXI3_wdata[127:0] = smartconnect_3_M00_AXI_WDATA;
  assign IFPSNOCCCIAXI3_wlast = smartconnect_3_M00_AXI_WLAST;
  assign IFPSNOCCCIAXI3_wstrb[15:0] = smartconnect_3_M00_AXI_WSTRB;
  assign IFPSNOCCCIAXI3_wuser[15:0] = smartconnect_3_M00_AXI_WUSER;
  assign IFPSNOCCCIAXI3_wvalid = smartconnect_3_M00_AXI_WVALID;
  assign I_PSNOCCCI0AXIS_arready = S00_AXI_1_ARREADY;
  assign I_PSNOCCCI0AXIS_awready = S00_AXI_1_AWREADY;
  assign I_PSNOCCCI0AXIS_bid[15:0] = S00_AXI_1_BID;
  assign I_PSNOCCCI0AXIS_bresp[1:0] = S00_AXI_1_BRESP;
  assign I_PSNOCCCI0AXIS_buser[15:0] = S00_AXI_1_BUSER;
  assign I_PSNOCCCI0AXIS_bvalid = S00_AXI_1_BVALID;
  assign I_PSNOCCCI0AXIS_rdata[127:0] = S00_AXI_1_RDATA;
  assign I_PSNOCCCI0AXIS_rid[15:0] = S00_AXI_1_RID;
  assign I_PSNOCCCI0AXIS_rlast = S00_AXI_1_RLAST;
  assign I_PSNOCCCI0AXIS_rresp[1:0] = S00_AXI_1_RRESP;
  assign I_PSNOCCCI0AXIS_ruser[31:0] = S00_AXI_1_RUSER;
  assign I_PSNOCCCI0AXIS_rvalid = S00_AXI_1_RVALID;
  assign I_PSNOCCCI0AXIS_wready = S00_AXI_1_WREADY;
  assign I_PSNOCCCI1AXIS_arready = S00_AXI_2_ARREADY;
  assign I_PSNOCCCI1AXIS_awready = S00_AXI_2_AWREADY;
  assign I_PSNOCCCI1AXIS_bresp[1:0] = S00_AXI_2_BRESP;
  assign I_PSNOCCCI1AXIS_buser[15:0] = S00_AXI_2_BUSER;
  assign I_PSNOCCCI1AXIS_bvalid = S00_AXI_2_BVALID;
  assign I_PSNOCCCI1AXIS_rdata[127:0] = S00_AXI_2_RDATA;
  assign I_PSNOCCCI1AXIS_rlast = S00_AXI_2_RLAST;
  assign I_PSNOCCCI1AXIS_rresp[1:0] = S00_AXI_2_RRESP;
  assign I_PSNOCCCI1AXIS_ruser[31:0] = S00_AXI_2_RUSER;
  assign I_PSNOCCCI1AXIS_rvalid = S00_AXI_2_RVALID;
  assign I_PSNOCCCI1AXIS_wready = S00_AXI_2_WREADY;
  assign I_PSNOCCCI2AXIS_arready = S00_AXI_3_ARREADY;
  assign I_PSNOCCCI2AXIS_awready = S00_AXI_3_AWREADY;
  assign I_PSNOCCCI2AXIS_bid[15:0] = S00_AXI_3_BID;
  assign I_PSNOCCCI2AXIS_bresp[1:0] = S00_AXI_3_BRESP;
  assign I_PSNOCCCI2AXIS_buser[15:0] = S00_AXI_3_BUSER;
  assign I_PSNOCCCI2AXIS_bvalid = S00_AXI_3_BVALID;
  assign I_PSNOCCCI2AXIS_rdata[127:0] = S00_AXI_3_RDATA;
  assign I_PSNOCCCI2AXIS_rid[15:0] = S00_AXI_3_RID;
  assign I_PSNOCCCI2AXIS_rlast = S00_AXI_3_RLAST;
  assign I_PSNOCCCI2AXIS_rresp[1:0] = S00_AXI_3_RRESP;
  assign I_PSNOCCCI2AXIS_ruser[31:0] = S00_AXI_3_RUSER;
  assign I_PSNOCCCI2AXIS_rvalid = S00_AXI_3_RVALID;
  assign I_PSNOCCCI2AXIS_wready = S00_AXI_3_WREADY;
  assign I_PSNOCCCI3AXIS_arready = S00_AXI_4_ARREADY;
  assign I_PSNOCCCI3AXIS_awready = S00_AXI_4_AWREADY;
  assign I_PSNOCCCI3AXIS_bid[15:0] = S00_AXI_4_BID;
  assign I_PSNOCCCI3AXIS_bresp[1:0] = S00_AXI_4_BRESP;
  assign I_PSNOCCCI3AXIS_buser[15:0] = S00_AXI_4_BUSER;
  assign I_PSNOCCCI3AXIS_bvalid = S00_AXI_4_BVALID;
  assign I_PSNOCCCI3AXIS_rdata[127:0] = S00_AXI_4_RDATA;
  assign I_PSNOCCCI3AXIS_rid[15:0] = S00_AXI_4_RID;
  assign I_PSNOCCCI3AXIS_rlast = S00_AXI_4_RLAST;
  assign I_PSNOCCCI3AXIS_rresp[1:0] = S00_AXI_4_RRESP;
  assign I_PSNOCCCI3AXIS_ruser[31:0] = S00_AXI_4_RUSER;
  assign I_PSNOCCCI3AXIS_rvalid = S00_AXI_4_RVALID;
  assign I_PSNOCCCI3AXIS_wready = S00_AXI_4_WREADY;
  assign I_PSNOCCCIAXIM_araddr[63:0] = smartconnect_1_M00_AXI_ARADDR;
  assign I_PSNOCCCIAXIM_arburst[1:0] = smartconnect_1_M00_AXI_ARBURST;
  assign I_PSNOCCCIAXIM_arcache[3:0] = smartconnect_1_M00_AXI_ARCACHE;
  assign I_PSNOCCCIAXIM_arlen[7:0] = smartconnect_1_M00_AXI_ARLEN;
  assign I_PSNOCCCIAXIM_arlock[0] = smartconnect_1_M00_AXI_ARLOCK;
  assign I_PSNOCCCIAXIM_arprot[2:0] = smartconnect_1_M00_AXI_ARPROT;
  assign I_PSNOCCCIAXIM_arqos[3:0] = smartconnect_1_M00_AXI_ARQOS;
  assign I_PSNOCCCIAXIM_arsize[2:0] = smartconnect_1_M00_AXI_ARSIZE;
  assign I_PSNOCCCIAXIM_aruser[17:0] = smartconnect_1_M00_AXI_ARUSER;
  assign I_PSNOCCCIAXIM_arvalid = smartconnect_1_M00_AXI_ARVALID;
  assign I_PSNOCCCIAXIM_awaddr[63:0] = smartconnect_1_M00_AXI_AWADDR;
  assign I_PSNOCCCIAXIM_awburst[1:0] = smartconnect_1_M00_AXI_AWBURST;
  assign I_PSNOCCCIAXIM_awcache[3:0] = smartconnect_1_M00_AXI_AWCACHE;
  assign I_PSNOCCCIAXIM_awlen[7:0] = smartconnect_1_M00_AXI_AWLEN;
  assign I_PSNOCCCIAXIM_awlock[0] = smartconnect_1_M00_AXI_AWLOCK;
  assign I_PSNOCCCIAXIM_awprot[2:0] = smartconnect_1_M00_AXI_AWPROT;
  assign I_PSNOCCCIAXIM_awqos[3:0] = smartconnect_1_M00_AXI_AWQOS;
  assign I_PSNOCCCIAXIM_awsize[2:0] = smartconnect_1_M00_AXI_AWSIZE;
  assign I_PSNOCCCIAXIM_awuser[17:0] = smartconnect_1_M00_AXI_AWUSER;
  assign I_PSNOCCCIAXIM_awvalid = smartconnect_1_M00_AXI_AWVALID;
  assign I_PSNOCCCIAXIM_bready = smartconnect_1_M00_AXI_BREADY;
  assign I_PSNOCCCIAXIM_rready = smartconnect_1_M00_AXI_RREADY;
  assign I_PSNOCCCIAXIM_wdata[127:0] = smartconnect_1_M00_AXI_WDATA;
  assign I_PSNOCCCIAXIM_wlast = smartconnect_1_M00_AXI_WLAST;
  assign I_PSNOCCCIAXIM_wstrb[15:0] = smartconnect_1_M00_AXI_WSTRB;
  assign I_PSNOCCCIAXIM_wuser[15:0] = smartconnect_1_M00_AXI_WUSER;
  assign I_PSNOCCCIAXIM_wvalid = smartconnect_1_M00_AXI_WVALID;
  assign I_PSNOCCCIAXIS_arready = S00_AXI_0_ARREADY;
  assign I_PSNOCCCIAXIS_awready = S00_AXI_0_AWREADY;
  assign I_PSNOCCCIAXIS_bid[15:0] = S00_AXI_0_BID;
  assign I_PSNOCCCIAXIS_bresp[1:0] = S00_AXI_0_BRESP;
  assign I_PSNOCCCIAXIS_buser[15:0] = S00_AXI_0_BUSER;
  assign I_PSNOCCCIAXIS_bvalid = S00_AXI_0_BVALID;
  assign I_PSNOCCCIAXIS_rdata[127:0] = S00_AXI_0_RDATA;
  assign I_PSNOCCCIAXIS_rid[15:0] = S00_AXI_0_RID;
  assign I_PSNOCCCIAXIS_rlast = S00_AXI_0_RLAST;
  assign I_PSNOCCCIAXIS_rresp[1:0] = S00_AXI_0_RRESP;
  assign I_PSNOCCCIAXIS_ruser[31:0] = S00_AXI_0_RUSER;
  assign I_PSNOCCCIAXIS_rvalid = S00_AXI_0_RVALID;
  assign I_PSNOCCCIAXIS_wready = S00_AXI_0_WREADY;
  assign I_PSPLFPD128X32_arready = S00_AXI_PSPLFPD128X32_ARREADY;
  assign I_PSPLFPD128X32_awready = S00_AXI_PSPLFPD128X32_AWREADY;
  assign I_PSPLFPD128X32_bid[15:0] = S00_AXI_PSPLFPD128X32_BID;
  assign I_PSPLFPD128X32_bresp[1:0] = S00_AXI_PSPLFPD128X32_BRESP;
  assign I_PSPLFPD128X32_buser[15:0] = S00_AXI_PSPLFPD128X32_BUSER;
  assign I_PSPLFPD128X32_bvalid = S00_AXI_PSPLFPD128X32_BVALID;
  assign I_PSPLFPD128X32_rdata[127:0] = S00_AXI_PSPLFPD128X32_RDATA;
  assign I_PSPLFPD128X32_rid[15:0] = S00_AXI_PSPLFPD128X32_RID;
  assign I_PSPLFPD128X32_rlast = S00_AXI_PSPLFPD128X32_RLAST;
  assign I_PSPLFPD128X32_rresp[1:0] = S00_AXI_PSPLFPD128X32_RRESP;
  assign I_PSPLFPD128X32_ruser[15:0] = S00_AXI_PSPLFPD128X32_RUSER;
  assign I_PSPLFPD128X32_rvalid = S00_AXI_PSPLFPD128X32_RVALID;
  assign I_PSPLFPD128X32_wready = S00_AXI_PSPLFPD128X32_WREADY;
  assign I_PSPLFPD128X64_arready = S00_AXI_PSPLFPD128X64_ARREADY;
  assign I_PSPLFPD128X64_awready = S00_AXI_PSPLFPD128X64_AWREADY;
  assign I_PSPLFPD128X64_bid[15:0] = S00_AXI_PSPLFPD128X64_BID;
  assign I_PSPLFPD128X64_bresp[1:0] = S00_AXI_PSPLFPD128X64_BRESP;
  assign I_PSPLFPD128X64_buser[15:0] = S00_AXI_PSPLFPD128X64_BUSER;
  assign I_PSPLFPD128X64_bvalid = S00_AXI_PSPLFPD128X64_BVALID;
  assign I_PSPLFPD128X64_rdata[127:0] = S00_AXI_PSPLFPD128X64_RDATA;
  assign I_PSPLFPD128X64_rid[15:0] = S00_AXI_PSPLFPD128X64_RID;
  assign I_PSPLFPD128X64_rlast = S00_AXI_PSPLFPD128X64_RLAST;
  assign I_PSPLFPD128X64_rresp[1:0] = S00_AXI_PSPLFPD128X64_RRESP;
  assign I_PSPLFPD128X64_ruser[15:0] = S00_AXI_PSPLFPD128X64_RUSER;
  assign I_PSPLFPD128X64_rvalid = S00_AXI_PSPLFPD128X64_RVALID;
  assign I_PSPLFPD128X64_wready = S00_AXI_PSPLFPD128X64_WREADY;
  assign I_PSPLLPD128X32_arready = S00_AXI_PSPLLPD128X32_ARREADY;
  assign I_PSPLLPD128X32_awready = S00_AXI_PSPLLPD128X32_AWREADY;
  assign I_PSPLLPD128X32_bid[15:0] = S00_AXI_PSPLLPD128X32_BID;
  assign I_PSPLLPD128X32_bresp[1:0] = S00_AXI_PSPLLPD128X32_BRESP;
  assign I_PSPLLPD128X32_buser[15:0] = S00_AXI_PSPLLPD128X32_BUSER;
  assign I_PSPLLPD128X32_bvalid = S00_AXI_PSPLLPD128X32_BVALID;
  assign I_PSPLLPD128X32_rdata[127:0] = S00_AXI_PSPLLPD128X32_RDATA;
  assign I_PSPLLPD128X32_rid[15:0] = S00_AXI_PSPLLPD128X32_RID;
  assign I_PSPLLPD128X32_rlast = S00_AXI_PSPLLPD128X32_RLAST;
  assign I_PSPLLPD128X32_rresp[1:0] = S00_AXI_PSPLLPD128X32_RRESP;
  assign I_PSPLLPD128X32_ruser[15:0] = S00_AXI_PSPLLPD128X32_RUSER;
  assign I_PSPLLPD128X32_rvalid = S00_AXI_PSPLLPD128X32_RVALID;
  assign I_PSPLLPD128X32_wready = S00_AXI_PSPLLPD128X32_WREADY;
  assign I_PSPLLPD128X64_arready = S00_AXI_PSPLLPD128X64_ARREADY;
  assign I_PSPLLPD128X64_awready = S00_AXI_PSPLLPD128X64_AWREADY;
  assign I_PSPLLPD128X64_bid[15:0] = S00_AXI_PSPLLPD128X64_BID;
  assign I_PSPLLPD128X64_bresp[1:0] = S00_AXI_PSPLLPD128X64_BRESP;
  assign I_PSPLLPD128X64_buser[15:0] = S00_AXI_PSPLLPD128X64_BUSER;
  assign I_PSPLLPD128X64_bvalid = S00_AXI_PSPLLPD128X64_BVALID;
  assign I_PSPLLPD128X64_rdata[127:0] = S00_AXI_PSPLLPD128X64_RDATA;
  assign I_PSPLLPD128X64_rid[15:0] = S00_AXI_PSPLLPD128X64_RID;
  assign I_PSPLLPD128X64_rlast = S00_AXI_PSPLLPD128X64_RLAST;
  assign I_PSPLLPD128X64_rresp[1:0] = S00_AXI_PSPLLPD128X64_RRESP;
  assign I_PSPLLPD128X64_ruser[15:0] = S00_AXI_PSPLLPD128X64_RUSER;
  assign I_PSPLLPD128X64_rvalid = S00_AXI_PSPLLPD128X64_RVALID;
  assign I_PSPLLPD128X64_wready = S00_AXI_PSPLLPD128X64_WREADY;
  assign OCM_araddr[31:0] = smartconnect_6_M00_AXI_ARADDR;
  assign OCM_arburst[1:0] = smartconnect_6_M00_AXI_ARBURST;
  assign OCM_arcache[3:0] = smartconnect_6_M00_AXI_ARCACHE;
  assign OCM_arlen[7:0] = smartconnect_6_M00_AXI_ARLEN;
  assign OCM_arlock[0] = smartconnect_6_M00_AXI_ARLOCK;
  assign OCM_arprot[2:0] = smartconnect_6_M00_AXI_ARPROT;
  assign OCM_arqos[3:0] = smartconnect_6_M00_AXI_ARQOS;
  assign OCM_arsize[2:0] = smartconnect_6_M00_AXI_ARSIZE;
  assign OCM_aruser[31:0] = smartconnect_6_M00_AXI_ARUSER;
  assign OCM_arvalid = smartconnect_6_M00_AXI_ARVALID;
  assign OCM_awaddr[31:0] = smartconnect_6_M00_AXI_AWADDR;
  assign OCM_awburst[1:0] = smartconnect_6_M00_AXI_AWBURST;
  assign OCM_awcache[3:0] = smartconnect_6_M00_AXI_AWCACHE;
  assign OCM_awlen[7:0] = smartconnect_6_M00_AXI_AWLEN;
  assign OCM_awlock[0] = smartconnect_6_M00_AXI_AWLOCK;
  assign OCM_awprot[2:0] = smartconnect_6_M00_AXI_AWPROT;
  assign OCM_awqos[3:0] = smartconnect_6_M00_AXI_AWQOS;
  assign OCM_awsize[2:0] = smartconnect_6_M00_AXI_AWSIZE;
  assign OCM_awuser[31:0] = smartconnect_6_M00_AXI_AWUSER;
  assign OCM_awvalid = smartconnect_6_M00_AXI_AWVALID;
  assign OCM_bready = smartconnect_6_M00_AXI_BREADY;
  assign OCM_rready = smartconnect_6_M00_AXI_RREADY;
  assign OCM_wdata[31:0] = smartconnect_6_M00_AXI_WDATA;
  assign OCM_wlast = smartconnect_6_M00_AXI_WLAST;
  assign OCM_wstrb[3:0] = smartconnect_6_M00_AXI_WSTRB;
  assign OCM_wuser[3:0] = smartconnect_6_M00_AXI_WUSER;
  assign OCM_wvalid = smartconnect_6_M00_AXI_WVALID;
  assign O_PSPLFPD128X32_araddr[63:0] = sc_psplfpd128x32_M00_AXI_ARADDR;
  assign O_PSPLFPD128X32_arburst[1:0] = sc_psplfpd128x32_M00_AXI_ARBURST;
  assign O_PSPLFPD128X32_arcache[3:0] = sc_psplfpd128x32_M00_AXI_ARCACHE;
  assign O_PSPLFPD128X32_arlen[7:0] = sc_psplfpd128x32_M00_AXI_ARLEN;
  assign O_PSPLFPD128X32_arlock[0] = sc_psplfpd128x32_M00_AXI_ARLOCK;
  assign O_PSPLFPD128X32_arprot[2:0] = sc_psplfpd128x32_M00_AXI_ARPROT;
  assign O_PSPLFPD128X32_arqos[3:0] = sc_psplfpd128x32_M00_AXI_ARQOS;
  assign O_PSPLFPD128X32_arsize[2:0] = sc_psplfpd128x32_M00_AXI_ARSIZE;
  assign O_PSPLFPD128X32_aruser[17:0] = sc_psplfpd128x32_M00_AXI_ARUSER;
  assign O_PSPLFPD128X32_arvalid = sc_psplfpd128x32_M00_AXI_ARVALID;
  assign O_PSPLFPD128X32_awaddr[63:0] = sc_psplfpd128x32_M00_AXI_AWADDR;
  assign O_PSPLFPD128X32_awburst[1:0] = sc_psplfpd128x32_M00_AXI_AWBURST;
  assign O_PSPLFPD128X32_awcache[3:0] = sc_psplfpd128x32_M00_AXI_AWCACHE;
  assign O_PSPLFPD128X32_awlen[7:0] = sc_psplfpd128x32_M00_AXI_AWLEN;
  assign O_PSPLFPD128X32_awlock[0] = sc_psplfpd128x32_M00_AXI_AWLOCK;
  assign O_PSPLFPD128X32_awprot[2:0] = sc_psplfpd128x32_M00_AXI_AWPROT;
  assign O_PSPLFPD128X32_awqos[3:0] = sc_psplfpd128x32_M00_AXI_AWQOS;
  assign O_PSPLFPD128X32_awsize[2:0] = sc_psplfpd128x32_M00_AXI_AWSIZE;
  assign O_PSPLFPD128X32_awuser[17:0] = sc_psplfpd128x32_M00_AXI_AWUSER;
  assign O_PSPLFPD128X32_awvalid = sc_psplfpd128x32_M00_AXI_AWVALID;
  assign O_PSPLFPD128X32_bready = sc_psplfpd128x32_M00_AXI_BREADY;
  assign O_PSPLFPD128X32_rready = sc_psplfpd128x32_M00_AXI_RREADY;
  assign O_PSPLFPD128X32_wdata[31:0] = sc_psplfpd128x32_M00_AXI_WDATA;
  assign O_PSPLFPD128X32_wlast = sc_psplfpd128x32_M00_AXI_WLAST;
  assign O_PSPLFPD128X32_wstrb[3:0] = sc_psplfpd128x32_M00_AXI_WSTRB;
  assign O_PSPLFPD128X32_wuser[3:0] = sc_psplfpd128x32_M00_AXI_WUSER;
  assign O_PSPLFPD128X32_wvalid = sc_psplfpd128x32_M00_AXI_WVALID;
  assign O_PSPLFPD128X64_araddr[63:0] = sc_psplfpd128x64_M00_AXI_ARADDR;
  assign O_PSPLFPD128X64_arburst[1:0] = sc_psplfpd128x64_M00_AXI_ARBURST;
  assign O_PSPLFPD128X64_arcache[3:0] = sc_psplfpd128x64_M00_AXI_ARCACHE;
  assign O_PSPLFPD128X64_arlen[7:0] = sc_psplfpd128x64_M00_AXI_ARLEN;
  assign O_PSPLFPD128X64_arlock[0] = sc_psplfpd128x64_M00_AXI_ARLOCK;
  assign O_PSPLFPD128X64_arprot[2:0] = sc_psplfpd128x64_M00_AXI_ARPROT;
  assign O_PSPLFPD128X64_arqos[3:0] = sc_psplfpd128x64_M00_AXI_ARQOS;
  assign O_PSPLFPD128X64_arsize[2:0] = sc_psplfpd128x64_M00_AXI_ARSIZE;
  assign O_PSPLFPD128X64_aruser[17:0] = sc_psplfpd128x64_M00_AXI_ARUSER;
  assign O_PSPLFPD128X64_arvalid = sc_psplfpd128x64_M00_AXI_ARVALID;
  assign O_PSPLFPD128X64_awaddr[63:0] = sc_psplfpd128x64_M00_AXI_AWADDR;
  assign O_PSPLFPD128X64_awburst[1:0] = sc_psplfpd128x64_M00_AXI_AWBURST;
  assign O_PSPLFPD128X64_awcache[3:0] = sc_psplfpd128x64_M00_AXI_AWCACHE;
  assign O_PSPLFPD128X64_awlen[7:0] = sc_psplfpd128x64_M00_AXI_AWLEN;
  assign O_PSPLFPD128X64_awlock[0] = sc_psplfpd128x64_M00_AXI_AWLOCK;
  assign O_PSPLFPD128X64_awprot[2:0] = sc_psplfpd128x64_M00_AXI_AWPROT;
  assign O_PSPLFPD128X64_awqos[3:0] = sc_psplfpd128x64_M00_AXI_AWQOS;
  assign O_PSPLFPD128X64_awsize[2:0] = sc_psplfpd128x64_M00_AXI_AWSIZE;
  assign O_PSPLFPD128X64_awuser[17:0] = sc_psplfpd128x64_M00_AXI_AWUSER;
  assign O_PSPLFPD128X64_awvalid = sc_psplfpd128x64_M00_AXI_AWVALID;
  assign O_PSPLFPD128X64_bready = sc_psplfpd128x64_M00_AXI_BREADY;
  assign O_PSPLFPD128X64_rready = sc_psplfpd128x64_M00_AXI_RREADY;
  assign O_PSPLFPD128X64_wdata[63:0] = sc_psplfpd128x64_M00_AXI_WDATA;
  assign O_PSPLFPD128X64_wlast = sc_psplfpd128x64_M00_AXI_WLAST;
  assign O_PSPLFPD128X64_wstrb[7:0] = sc_psplfpd128x64_M00_AXI_WSTRB;
  assign O_PSPLFPD128X64_wuser[7:0] = sc_psplfpd128x64_M00_AXI_WUSER;
  assign O_PSPLFPD128X64_wvalid = sc_psplfpd128x64_M00_AXI_WVALID;
  assign O_PSPLLPD128X32_araddr[63:0] = sc_pspllpd128x32_M00_AXI_ARADDR;
  assign O_PSPLLPD128X32_arburst[1:0] = sc_pspllpd128x32_M00_AXI_ARBURST;
  assign O_PSPLLPD128X32_arcache[3:0] = sc_pspllpd128x32_M00_AXI_ARCACHE;
  assign O_PSPLLPD128X32_arlen[7:0] = sc_pspllpd128x32_M00_AXI_ARLEN;
  assign O_PSPLLPD128X32_arlock[0] = sc_pspllpd128x32_M00_AXI_ARLOCK;
  assign O_PSPLLPD128X32_arprot[2:0] = sc_pspllpd128x32_M00_AXI_ARPROT;
  assign O_PSPLLPD128X32_arqos[3:0] = sc_pspllpd128x32_M00_AXI_ARQOS;
  assign O_PSPLLPD128X32_arsize[2:0] = sc_pspllpd128x32_M00_AXI_ARSIZE;
  assign O_PSPLLPD128X32_aruser[17:0] = sc_pspllpd128x32_M00_AXI_ARUSER;
  assign O_PSPLLPD128X32_arvalid = sc_pspllpd128x32_M00_AXI_ARVALID;
  assign O_PSPLLPD128X32_awaddr[63:0] = sc_pspllpd128x32_M00_AXI_AWADDR;
  assign O_PSPLLPD128X32_awburst[1:0] = sc_pspllpd128x32_M00_AXI_AWBURST;
  assign O_PSPLLPD128X32_awcache[3:0] = sc_pspllpd128x32_M00_AXI_AWCACHE;
  assign O_PSPLLPD128X32_awlen[7:0] = sc_pspllpd128x32_M00_AXI_AWLEN;
  assign O_PSPLLPD128X32_awlock[0] = sc_pspllpd128x32_M00_AXI_AWLOCK;
  assign O_PSPLLPD128X32_awprot[2:0] = sc_pspllpd128x32_M00_AXI_AWPROT;
  assign O_PSPLLPD128X32_awqos[3:0] = sc_pspllpd128x32_M00_AXI_AWQOS;
  assign O_PSPLLPD128X32_awsize[2:0] = sc_pspllpd128x32_M00_AXI_AWSIZE;
  assign O_PSPLLPD128X32_awuser[17:0] = sc_pspllpd128x32_M00_AXI_AWUSER;
  assign O_PSPLLPD128X32_awvalid = sc_pspllpd128x32_M00_AXI_AWVALID;
  assign O_PSPLLPD128X32_bready = sc_pspllpd128x32_M00_AXI_BREADY;
  assign O_PSPLLPD128X32_rready = sc_pspllpd128x32_M00_AXI_RREADY;
  assign O_PSPLLPD128X32_wdata[31:0] = sc_pspllpd128x32_M00_AXI_WDATA;
  assign O_PSPLLPD128X32_wlast = sc_pspllpd128x32_M00_AXI_WLAST;
  assign O_PSPLLPD128X32_wstrb[3:0] = sc_pspllpd128x32_M00_AXI_WSTRB;
  assign O_PSPLLPD128X32_wuser[3:0] = sc_pspllpd128x32_M00_AXI_WUSER;
  assign O_PSPLLPD128X32_wvalid = sc_pspllpd128x32_M00_AXI_WVALID;
  assign O_PSPLLPD128X64_araddr[63:0] = sc_pspllpd128x64_M00_AXI_ARADDR;
  assign O_PSPLLPD128X64_arburst[1:0] = sc_pspllpd128x64_M00_AXI_ARBURST;
  assign O_PSPLLPD128X64_arcache[3:0] = sc_pspllpd128x64_M00_AXI_ARCACHE;
  assign O_PSPLLPD128X64_arlen[7:0] = sc_pspllpd128x64_M00_AXI_ARLEN;
  assign O_PSPLLPD128X64_arlock[0] = sc_pspllpd128x64_M00_AXI_ARLOCK;
  assign O_PSPLLPD128X64_arprot[2:0] = sc_pspllpd128x64_M00_AXI_ARPROT;
  assign O_PSPLLPD128X64_arqos[3:0] = sc_pspllpd128x64_M00_AXI_ARQOS;
  assign O_PSPLLPD128X64_arsize[2:0] = sc_pspllpd128x64_M00_AXI_ARSIZE;
  assign O_PSPLLPD128X64_aruser[17:0] = sc_pspllpd128x64_M00_AXI_ARUSER;
  assign O_PSPLLPD128X64_arvalid = sc_pspllpd128x64_M00_AXI_ARVALID;
  assign O_PSPLLPD128X64_awaddr[63:0] = sc_pspllpd128x64_M00_AXI_AWADDR;
  assign O_PSPLLPD128X64_awburst[1:0] = sc_pspllpd128x64_M00_AXI_AWBURST;
  assign O_PSPLLPD128X64_awcache[3:0] = sc_pspllpd128x64_M00_AXI_AWCACHE;
  assign O_PSPLLPD128X64_awlen[7:0] = sc_pspllpd128x64_M00_AXI_AWLEN;
  assign O_PSPLLPD128X64_awlock[0] = sc_pspllpd128x64_M00_AXI_AWLOCK;
  assign O_PSPLLPD128X64_awprot[2:0] = sc_pspllpd128x64_M00_AXI_AWPROT;
  assign O_PSPLLPD128X64_awqos[3:0] = sc_pspllpd128x64_M00_AXI_AWQOS;
  assign O_PSPLLPD128X64_awsize[2:0] = sc_pspllpd128x64_M00_AXI_AWSIZE;
  assign O_PSPLLPD128X64_awuser[17:0] = sc_pspllpd128x64_M00_AXI_AWUSER;
  assign O_PSPLLPD128X64_awvalid = sc_pspllpd128x64_M00_AXI_AWVALID;
  assign O_PSPLLPD128X64_bready = sc_pspllpd128x64_M00_AXI_BREADY;
  assign O_PSPLLPD128X64_rready = sc_pspllpd128x64_M00_AXI_RREADY;
  assign O_PSPLLPD128X64_wdata[63:0] = sc_pspllpd128x64_M00_AXI_WDATA;
  assign O_PSPLLPD128X64_wlast = sc_pspllpd128x64_M00_AXI_WLAST;
  assign O_PSPLLPD128X64_wstrb[7:0] = sc_pspllpd128x64_M00_AXI_WSTRB;
  assign O_PSPLLPD128X64_wuser[7:0] = sc_pspllpd128x64_M00_AXI_WUSER;
  assign O_PSPLLPD128X64_wvalid = sc_pspllpd128x64_M00_AXI_WVALID;
  assign REG_MEM10_araddr[31:0] = smartconnect_6_M11_AXI_ARADDR;
  assign REG_MEM10_arburst[1:0] = smartconnect_6_M11_AXI_ARBURST;
  assign REG_MEM10_arcache[3:0] = smartconnect_6_M11_AXI_ARCACHE;
  assign REG_MEM10_arlen[7:0] = smartconnect_6_M11_AXI_ARLEN;
  assign REG_MEM10_arlock[0] = smartconnect_6_M11_AXI_ARLOCK;
  assign REG_MEM10_arprot[2:0] = smartconnect_6_M11_AXI_ARPROT;
  assign REG_MEM10_arqos[3:0] = smartconnect_6_M11_AXI_ARQOS;
  assign REG_MEM10_arsize[2:0] = smartconnect_6_M11_AXI_ARSIZE;
  assign REG_MEM10_aruser[31:0] = smartconnect_6_M11_AXI_ARUSER;
  assign REG_MEM10_arvalid = smartconnect_6_M11_AXI_ARVALID;
  assign REG_MEM10_awaddr[31:0] = smartconnect_6_M11_AXI_AWADDR;
  assign REG_MEM10_awburst[1:0] = smartconnect_6_M11_AXI_AWBURST;
  assign REG_MEM10_awcache[3:0] = smartconnect_6_M11_AXI_AWCACHE;
  assign REG_MEM10_awlen[7:0] = smartconnect_6_M11_AXI_AWLEN;
  assign REG_MEM10_awlock[0] = smartconnect_6_M11_AXI_AWLOCK;
  assign REG_MEM10_awprot[2:0] = smartconnect_6_M11_AXI_AWPROT;
  assign REG_MEM10_awqos[3:0] = smartconnect_6_M11_AXI_AWQOS;
  assign REG_MEM10_awsize[2:0] = smartconnect_6_M11_AXI_AWSIZE;
  assign REG_MEM10_awuser[31:0] = smartconnect_6_M11_AXI_AWUSER;
  assign REG_MEM10_awvalid = smartconnect_6_M11_AXI_AWVALID;
  assign REG_MEM10_bready = smartconnect_6_M11_AXI_BREADY;
  assign REG_MEM10_rready = smartconnect_6_M11_AXI_RREADY;
  assign REG_MEM10_wdata[31:0] = smartconnect_6_M11_AXI_WDATA;
  assign REG_MEM10_wlast = smartconnect_6_M11_AXI_WLAST;
  assign REG_MEM10_wstrb[3:0] = smartconnect_6_M11_AXI_WSTRB;
  assign REG_MEM10_wuser[3:0] = smartconnect_6_M11_AXI_WUSER;
  assign REG_MEM10_wvalid = smartconnect_6_M11_AXI_WVALID;
  assign REG_MEM11_araddr[31:0] = smartconnect_6_M12_AXI_ARADDR;
  assign REG_MEM11_arburst[1:0] = smartconnect_6_M12_AXI_ARBURST;
  assign REG_MEM11_arcache[3:0] = smartconnect_6_M12_AXI_ARCACHE;
  assign REG_MEM11_arlen[7:0] = smartconnect_6_M12_AXI_ARLEN;
  assign REG_MEM11_arlock[0] = smartconnect_6_M12_AXI_ARLOCK;
  assign REG_MEM11_arprot[2:0] = smartconnect_6_M12_AXI_ARPROT;
  assign REG_MEM11_arqos[3:0] = smartconnect_6_M12_AXI_ARQOS;
  assign REG_MEM11_arsize[2:0] = smartconnect_6_M12_AXI_ARSIZE;
  assign REG_MEM11_aruser[31:0] = smartconnect_6_M12_AXI_ARUSER;
  assign REG_MEM11_arvalid = smartconnect_6_M12_AXI_ARVALID;
  assign REG_MEM11_awaddr[31:0] = smartconnect_6_M12_AXI_AWADDR;
  assign REG_MEM11_awburst[1:0] = smartconnect_6_M12_AXI_AWBURST;
  assign REG_MEM11_awcache[3:0] = smartconnect_6_M12_AXI_AWCACHE;
  assign REG_MEM11_awlen[7:0] = smartconnect_6_M12_AXI_AWLEN;
  assign REG_MEM11_awlock[0] = smartconnect_6_M12_AXI_AWLOCK;
  assign REG_MEM11_awprot[2:0] = smartconnect_6_M12_AXI_AWPROT;
  assign REG_MEM11_awqos[3:0] = smartconnect_6_M12_AXI_AWQOS;
  assign REG_MEM11_awsize[2:0] = smartconnect_6_M12_AXI_AWSIZE;
  assign REG_MEM11_awuser[31:0] = smartconnect_6_M12_AXI_AWUSER;
  assign REG_MEM11_awvalid = smartconnect_6_M12_AXI_AWVALID;
  assign REG_MEM11_bready = smartconnect_6_M12_AXI_BREADY;
  assign REG_MEM11_rready = smartconnect_6_M12_AXI_RREADY;
  assign REG_MEM11_wdata[31:0] = smartconnect_6_M12_AXI_WDATA;
  assign REG_MEM11_wlast = smartconnect_6_M12_AXI_WLAST;
  assign REG_MEM11_wstrb[3:0] = smartconnect_6_M12_AXI_WSTRB;
  assign REG_MEM11_wuser[3:0] = smartconnect_6_M12_AXI_WUSER;
  assign REG_MEM11_wvalid = smartconnect_6_M12_AXI_WVALID;
  assign REG_MEM12_araddr[31:0] = smartconnect_6_M13_AXI_ARADDR;
  assign REG_MEM12_arburst[1:0] = smartconnect_6_M13_AXI_ARBURST;
  assign REG_MEM12_arcache[3:0] = smartconnect_6_M13_AXI_ARCACHE;
  assign REG_MEM12_arlen[7:0] = smartconnect_6_M13_AXI_ARLEN;
  assign REG_MEM12_arlock[0] = smartconnect_6_M13_AXI_ARLOCK;
  assign REG_MEM12_arprot[2:0] = smartconnect_6_M13_AXI_ARPROT;
  assign REG_MEM12_arqos[3:0] = smartconnect_6_M13_AXI_ARQOS;
  assign REG_MEM12_arsize[2:0] = smartconnect_6_M13_AXI_ARSIZE;
  assign REG_MEM12_aruser[31:0] = smartconnect_6_M13_AXI_ARUSER;
  assign REG_MEM12_arvalid = smartconnect_6_M13_AXI_ARVALID;
  assign REG_MEM12_awaddr[31:0] = smartconnect_6_M13_AXI_AWADDR;
  assign REG_MEM12_awburst[1:0] = smartconnect_6_M13_AXI_AWBURST;
  assign REG_MEM12_awcache[3:0] = smartconnect_6_M13_AXI_AWCACHE;
  assign REG_MEM12_awlen[7:0] = smartconnect_6_M13_AXI_AWLEN;
  assign REG_MEM12_awlock[0] = smartconnect_6_M13_AXI_AWLOCK;
  assign REG_MEM12_awprot[2:0] = smartconnect_6_M13_AXI_AWPROT;
  assign REG_MEM12_awqos[3:0] = smartconnect_6_M13_AXI_AWQOS;
  assign REG_MEM12_awsize[2:0] = smartconnect_6_M13_AXI_AWSIZE;
  assign REG_MEM12_awuser[31:0] = smartconnect_6_M13_AXI_AWUSER;
  assign REG_MEM12_awvalid = smartconnect_6_M13_AXI_AWVALID;
  assign REG_MEM12_bready = smartconnect_6_M13_AXI_BREADY;
  assign REG_MEM12_rready = smartconnect_6_M13_AXI_RREADY;
  assign REG_MEM12_wdata[31:0] = smartconnect_6_M13_AXI_WDATA;
  assign REG_MEM12_wlast = smartconnect_6_M13_AXI_WLAST;
  assign REG_MEM12_wstrb[3:0] = smartconnect_6_M13_AXI_WSTRB;
  assign REG_MEM12_wuser[3:0] = smartconnect_6_M13_AXI_WUSER;
  assign REG_MEM12_wvalid = smartconnect_6_M13_AXI_WVALID;
  assign REG_MEM1_araddr[31:0] = smartconnect_6_M02_AXI_ARADDR;
  assign REG_MEM1_arburst[1:0] = smartconnect_6_M02_AXI_ARBURST;
  assign REG_MEM1_arcache[3:0] = smartconnect_6_M02_AXI_ARCACHE;
  assign REG_MEM1_arlen[7:0] = smartconnect_6_M02_AXI_ARLEN;
  assign REG_MEM1_arlock[0] = smartconnect_6_M02_AXI_ARLOCK;
  assign REG_MEM1_arprot[2:0] = smartconnect_6_M02_AXI_ARPROT;
  assign REG_MEM1_arqos[3:0] = smartconnect_6_M02_AXI_ARQOS;
  assign REG_MEM1_arsize[2:0] = smartconnect_6_M02_AXI_ARSIZE;
  assign REG_MEM1_aruser[31:0] = smartconnect_6_M02_AXI_ARUSER;
  assign REG_MEM1_arvalid = smartconnect_6_M02_AXI_ARVALID;
  assign REG_MEM1_awaddr[31:0] = smartconnect_6_M02_AXI_AWADDR;
  assign REG_MEM1_awburst[1:0] = smartconnect_6_M02_AXI_AWBURST;
  assign REG_MEM1_awcache[3:0] = smartconnect_6_M02_AXI_AWCACHE;
  assign REG_MEM1_awlen[7:0] = smartconnect_6_M02_AXI_AWLEN;
  assign REG_MEM1_awlock[0] = smartconnect_6_M02_AXI_AWLOCK;
  assign REG_MEM1_awprot[2:0] = smartconnect_6_M02_AXI_AWPROT;
  assign REG_MEM1_awqos[3:0] = smartconnect_6_M02_AXI_AWQOS;
  assign REG_MEM1_awsize[2:0] = smartconnect_6_M02_AXI_AWSIZE;
  assign REG_MEM1_awuser[31:0] = smartconnect_6_M02_AXI_AWUSER;
  assign REG_MEM1_awvalid = smartconnect_6_M02_AXI_AWVALID;
  assign REG_MEM1_bready = smartconnect_6_M02_AXI_BREADY;
  assign REG_MEM1_rready = smartconnect_6_M02_AXI_RREADY;
  assign REG_MEM1_wdata[31:0] = smartconnect_6_M02_AXI_WDATA;
  assign REG_MEM1_wlast = smartconnect_6_M02_AXI_WLAST;
  assign REG_MEM1_wstrb[3:0] = smartconnect_6_M02_AXI_WSTRB;
  assign REG_MEM1_wuser[3:0] = smartconnect_6_M02_AXI_WUSER;
  assign REG_MEM1_wvalid = smartconnect_6_M02_AXI_WVALID;
  assign REG_MEM2_araddr[31:0] = smartconnect_6_M03_AXI_ARADDR;
  assign REG_MEM2_arburst[1:0] = smartconnect_6_M03_AXI_ARBURST;
  assign REG_MEM2_arcache[3:0] = smartconnect_6_M03_AXI_ARCACHE;
  assign REG_MEM2_arlen[7:0] = smartconnect_6_M03_AXI_ARLEN;
  assign REG_MEM2_arlock[0] = smartconnect_6_M03_AXI_ARLOCK;
  assign REG_MEM2_arprot[2:0] = smartconnect_6_M03_AXI_ARPROT;
  assign REG_MEM2_arqos[3:0] = smartconnect_6_M03_AXI_ARQOS;
  assign REG_MEM2_arsize[2:0] = smartconnect_6_M03_AXI_ARSIZE;
  assign REG_MEM2_aruser[31:0] = smartconnect_6_M03_AXI_ARUSER;
  assign REG_MEM2_arvalid = smartconnect_6_M03_AXI_ARVALID;
  assign REG_MEM2_awaddr[31:0] = smartconnect_6_M03_AXI_AWADDR;
  assign REG_MEM2_awburst[1:0] = smartconnect_6_M03_AXI_AWBURST;
  assign REG_MEM2_awcache[3:0] = smartconnect_6_M03_AXI_AWCACHE;
  assign REG_MEM2_awlen[7:0] = smartconnect_6_M03_AXI_AWLEN;
  assign REG_MEM2_awlock[0] = smartconnect_6_M03_AXI_AWLOCK;
  assign REG_MEM2_awprot[2:0] = smartconnect_6_M03_AXI_AWPROT;
  assign REG_MEM2_awqos[3:0] = smartconnect_6_M03_AXI_AWQOS;
  assign REG_MEM2_awsize[2:0] = smartconnect_6_M03_AXI_AWSIZE;
  assign REG_MEM2_awuser[31:0] = smartconnect_6_M03_AXI_AWUSER;
  assign REG_MEM2_awvalid = smartconnect_6_M03_AXI_AWVALID;
  assign REG_MEM2_bready = smartconnect_6_M03_AXI_BREADY;
  assign REG_MEM2_rready = smartconnect_6_M03_AXI_RREADY;
  assign REG_MEM2_wdata[31:0] = smartconnect_6_M03_AXI_WDATA;
  assign REG_MEM2_wlast = smartconnect_6_M03_AXI_WLAST;
  assign REG_MEM2_wstrb[3:0] = smartconnect_6_M03_AXI_WSTRB;
  assign REG_MEM2_wuser[3:0] = smartconnect_6_M03_AXI_WUSER;
  assign REG_MEM2_wvalid = smartconnect_6_M03_AXI_WVALID;
  assign REG_MEM3_araddr[31:0] = smartconnect_6_M04_AXI_ARADDR;
  assign REG_MEM3_arburst[1:0] = smartconnect_6_M04_AXI_ARBURST;
  assign REG_MEM3_arcache[3:0] = smartconnect_6_M04_AXI_ARCACHE;
  assign REG_MEM3_arlen[7:0] = smartconnect_6_M04_AXI_ARLEN;
  assign REG_MEM3_arlock[0] = smartconnect_6_M04_AXI_ARLOCK;
  assign REG_MEM3_arprot[2:0] = smartconnect_6_M04_AXI_ARPROT;
  assign REG_MEM3_arqos[3:0] = smartconnect_6_M04_AXI_ARQOS;
  assign REG_MEM3_arsize[2:0] = smartconnect_6_M04_AXI_ARSIZE;
  assign REG_MEM3_aruser[31:0] = smartconnect_6_M04_AXI_ARUSER;
  assign REG_MEM3_arvalid = smartconnect_6_M04_AXI_ARVALID;
  assign REG_MEM3_awaddr[31:0] = smartconnect_6_M04_AXI_AWADDR;
  assign REG_MEM3_awburst[1:0] = smartconnect_6_M04_AXI_AWBURST;
  assign REG_MEM3_awcache[3:0] = smartconnect_6_M04_AXI_AWCACHE;
  assign REG_MEM3_awlen[7:0] = smartconnect_6_M04_AXI_AWLEN;
  assign REG_MEM3_awlock[0] = smartconnect_6_M04_AXI_AWLOCK;
  assign REG_MEM3_awprot[2:0] = smartconnect_6_M04_AXI_AWPROT;
  assign REG_MEM3_awqos[3:0] = smartconnect_6_M04_AXI_AWQOS;
  assign REG_MEM3_awsize[2:0] = smartconnect_6_M04_AXI_AWSIZE;
  assign REG_MEM3_awuser[31:0] = smartconnect_6_M04_AXI_AWUSER;
  assign REG_MEM3_awvalid = smartconnect_6_M04_AXI_AWVALID;
  assign REG_MEM3_bready = smartconnect_6_M04_AXI_BREADY;
  assign REG_MEM3_rready = smartconnect_6_M04_AXI_RREADY;
  assign REG_MEM3_wdata[31:0] = smartconnect_6_M04_AXI_WDATA;
  assign REG_MEM3_wlast = smartconnect_6_M04_AXI_WLAST;
  assign REG_MEM3_wstrb[3:0] = smartconnect_6_M04_AXI_WSTRB;
  assign REG_MEM3_wuser[3:0] = smartconnect_6_M04_AXI_WUSER;
  assign REG_MEM3_wvalid = smartconnect_6_M04_AXI_WVALID;
  assign REG_MEM4_araddr[31:0] = smartconnect_6_M05_AXI_ARADDR;
  assign REG_MEM4_arburst[1:0] = smartconnect_6_M05_AXI_ARBURST;
  assign REG_MEM4_arcache[3:0] = smartconnect_6_M05_AXI_ARCACHE;
  assign REG_MEM4_arlen[7:0] = smartconnect_6_M05_AXI_ARLEN;
  assign REG_MEM4_arlock[0] = smartconnect_6_M05_AXI_ARLOCK;
  assign REG_MEM4_arprot[2:0] = smartconnect_6_M05_AXI_ARPROT;
  assign REG_MEM4_arqos[3:0] = smartconnect_6_M05_AXI_ARQOS;
  assign REG_MEM4_arsize[2:0] = smartconnect_6_M05_AXI_ARSIZE;
  assign REG_MEM4_aruser[31:0] = smartconnect_6_M05_AXI_ARUSER;
  assign REG_MEM4_arvalid = smartconnect_6_M05_AXI_ARVALID;
  assign REG_MEM4_awaddr[31:0] = smartconnect_6_M05_AXI_AWADDR;
  assign REG_MEM4_awburst[1:0] = smartconnect_6_M05_AXI_AWBURST;
  assign REG_MEM4_awcache[3:0] = smartconnect_6_M05_AXI_AWCACHE;
  assign REG_MEM4_awlen[7:0] = smartconnect_6_M05_AXI_AWLEN;
  assign REG_MEM4_awlock[0] = smartconnect_6_M05_AXI_AWLOCK;
  assign REG_MEM4_awprot[2:0] = smartconnect_6_M05_AXI_AWPROT;
  assign REG_MEM4_awqos[3:0] = smartconnect_6_M05_AXI_AWQOS;
  assign REG_MEM4_awsize[2:0] = smartconnect_6_M05_AXI_AWSIZE;
  assign REG_MEM4_awuser[31:0] = smartconnect_6_M05_AXI_AWUSER;
  assign REG_MEM4_awvalid = smartconnect_6_M05_AXI_AWVALID;
  assign REG_MEM4_bready = smartconnect_6_M05_AXI_BREADY;
  assign REG_MEM4_rready = smartconnect_6_M05_AXI_RREADY;
  assign REG_MEM4_wdata[31:0] = smartconnect_6_M05_AXI_WDATA;
  assign REG_MEM4_wlast = smartconnect_6_M05_AXI_WLAST;
  assign REG_MEM4_wstrb[3:0] = smartconnect_6_M05_AXI_WSTRB;
  assign REG_MEM4_wuser[3:0] = smartconnect_6_M05_AXI_WUSER;
  assign REG_MEM4_wvalid = smartconnect_6_M05_AXI_WVALID;
  assign REG_MEM5_araddr[31:0] = smartconnect_6_M06_AXI_ARADDR;
  assign REG_MEM5_arburst[1:0] = smartconnect_6_M06_AXI_ARBURST;
  assign REG_MEM5_arcache[3:0] = smartconnect_6_M06_AXI_ARCACHE;
  assign REG_MEM5_arlen[7:0] = smartconnect_6_M06_AXI_ARLEN;
  assign REG_MEM5_arlock[0] = smartconnect_6_M06_AXI_ARLOCK;
  assign REG_MEM5_arprot[2:0] = smartconnect_6_M06_AXI_ARPROT;
  assign REG_MEM5_arqos[3:0] = smartconnect_6_M06_AXI_ARQOS;
  assign REG_MEM5_arsize[2:0] = smartconnect_6_M06_AXI_ARSIZE;
  assign REG_MEM5_aruser[31:0] = smartconnect_6_M06_AXI_ARUSER;
  assign REG_MEM5_arvalid = smartconnect_6_M06_AXI_ARVALID;
  assign REG_MEM5_awaddr[31:0] = smartconnect_6_M06_AXI_AWADDR;
  assign REG_MEM5_awburst[1:0] = smartconnect_6_M06_AXI_AWBURST;
  assign REG_MEM5_awcache[3:0] = smartconnect_6_M06_AXI_AWCACHE;
  assign REG_MEM5_awlen[7:0] = smartconnect_6_M06_AXI_AWLEN;
  assign REG_MEM5_awlock[0] = smartconnect_6_M06_AXI_AWLOCK;
  assign REG_MEM5_awprot[2:0] = smartconnect_6_M06_AXI_AWPROT;
  assign REG_MEM5_awqos[3:0] = smartconnect_6_M06_AXI_AWQOS;
  assign REG_MEM5_awsize[2:0] = smartconnect_6_M06_AXI_AWSIZE;
  assign REG_MEM5_awuser[31:0] = smartconnect_6_M06_AXI_AWUSER;
  assign REG_MEM5_awvalid = smartconnect_6_M06_AXI_AWVALID;
  assign REG_MEM5_bready = smartconnect_6_M06_AXI_BREADY;
  assign REG_MEM5_rready = smartconnect_6_M06_AXI_RREADY;
  assign REG_MEM5_wdata[31:0] = smartconnect_6_M06_AXI_WDATA;
  assign REG_MEM5_wlast = smartconnect_6_M06_AXI_WLAST;
  assign REG_MEM5_wstrb[3:0] = smartconnect_6_M06_AXI_WSTRB;
  assign REG_MEM5_wuser[3:0] = smartconnect_6_M06_AXI_WUSER;
  assign REG_MEM5_wvalid = smartconnect_6_M06_AXI_WVALID;
  assign REG_MEM6_araddr[31:0] = smartconnect_6_M07_AXI_ARADDR;
  assign REG_MEM6_arburst[1:0] = smartconnect_6_M07_AXI_ARBURST;
  assign REG_MEM6_arcache[3:0] = smartconnect_6_M07_AXI_ARCACHE;
  assign REG_MEM6_arlen[7:0] = smartconnect_6_M07_AXI_ARLEN;
  assign REG_MEM6_arlock[0] = smartconnect_6_M07_AXI_ARLOCK;
  assign REG_MEM6_arprot[2:0] = smartconnect_6_M07_AXI_ARPROT;
  assign REG_MEM6_arqos[3:0] = smartconnect_6_M07_AXI_ARQOS;
  assign REG_MEM6_arsize[2:0] = smartconnect_6_M07_AXI_ARSIZE;
  assign REG_MEM6_aruser[31:0] = smartconnect_6_M07_AXI_ARUSER;
  assign REG_MEM6_arvalid = smartconnect_6_M07_AXI_ARVALID;
  assign REG_MEM6_awaddr[31:0] = smartconnect_6_M07_AXI_AWADDR;
  assign REG_MEM6_awburst[1:0] = smartconnect_6_M07_AXI_AWBURST;
  assign REG_MEM6_awcache[3:0] = smartconnect_6_M07_AXI_AWCACHE;
  assign REG_MEM6_awlen[7:0] = smartconnect_6_M07_AXI_AWLEN;
  assign REG_MEM6_awlock[0] = smartconnect_6_M07_AXI_AWLOCK;
  assign REG_MEM6_awprot[2:0] = smartconnect_6_M07_AXI_AWPROT;
  assign REG_MEM6_awqos[3:0] = smartconnect_6_M07_AXI_AWQOS;
  assign REG_MEM6_awsize[2:0] = smartconnect_6_M07_AXI_AWSIZE;
  assign REG_MEM6_awuser[31:0] = smartconnect_6_M07_AXI_AWUSER;
  assign REG_MEM6_awvalid = smartconnect_6_M07_AXI_AWVALID;
  assign REG_MEM6_bready = smartconnect_6_M07_AXI_BREADY;
  assign REG_MEM6_rready = smartconnect_6_M07_AXI_RREADY;
  assign REG_MEM6_wdata[31:0] = smartconnect_6_M07_AXI_WDATA;
  assign REG_MEM6_wlast = smartconnect_6_M07_AXI_WLAST;
  assign REG_MEM6_wstrb[3:0] = smartconnect_6_M07_AXI_WSTRB;
  assign REG_MEM6_wuser[3:0] = smartconnect_6_M07_AXI_WUSER;
  assign REG_MEM6_wvalid = smartconnect_6_M07_AXI_WVALID;
  assign REG_MEM7_araddr[31:0] = smartconnect_6_M08_AXI_ARADDR;
  assign REG_MEM7_arburst[1:0] = smartconnect_6_M08_AXI_ARBURST;
  assign REG_MEM7_arcache[3:0] = smartconnect_6_M08_AXI_ARCACHE;
  assign REG_MEM7_arlen[7:0] = smartconnect_6_M08_AXI_ARLEN;
  assign REG_MEM7_arlock[0] = smartconnect_6_M08_AXI_ARLOCK;
  assign REG_MEM7_arprot[2:0] = smartconnect_6_M08_AXI_ARPROT;
  assign REG_MEM7_arqos[3:0] = smartconnect_6_M08_AXI_ARQOS;
  assign REG_MEM7_arsize[2:0] = smartconnect_6_M08_AXI_ARSIZE;
  assign REG_MEM7_aruser[31:0] = smartconnect_6_M08_AXI_ARUSER;
  assign REG_MEM7_arvalid = smartconnect_6_M08_AXI_ARVALID;
  assign REG_MEM7_awaddr[31:0] = smartconnect_6_M08_AXI_AWADDR;
  assign REG_MEM7_awburst[1:0] = smartconnect_6_M08_AXI_AWBURST;
  assign REG_MEM7_awcache[3:0] = smartconnect_6_M08_AXI_AWCACHE;
  assign REG_MEM7_awlen[7:0] = smartconnect_6_M08_AXI_AWLEN;
  assign REG_MEM7_awlock[0] = smartconnect_6_M08_AXI_AWLOCK;
  assign REG_MEM7_awprot[2:0] = smartconnect_6_M08_AXI_AWPROT;
  assign REG_MEM7_awqos[3:0] = smartconnect_6_M08_AXI_AWQOS;
  assign REG_MEM7_awsize[2:0] = smartconnect_6_M08_AXI_AWSIZE;
  assign REG_MEM7_awuser[31:0] = smartconnect_6_M08_AXI_AWUSER;
  assign REG_MEM7_awvalid = smartconnect_6_M08_AXI_AWVALID;
  assign REG_MEM7_bready = smartconnect_6_M08_AXI_BREADY;
  assign REG_MEM7_rready = smartconnect_6_M08_AXI_RREADY;
  assign REG_MEM7_wdata[31:0] = smartconnect_6_M08_AXI_WDATA;
  assign REG_MEM7_wlast = smartconnect_6_M08_AXI_WLAST;
  assign REG_MEM7_wstrb[3:0] = smartconnect_6_M08_AXI_WSTRB;
  assign REG_MEM7_wuser[3:0] = smartconnect_6_M08_AXI_WUSER;
  assign REG_MEM7_wvalid = smartconnect_6_M08_AXI_WVALID;
  assign REG_MEM8_araddr[31:0] = smartconnect_6_M09_AXI_ARADDR;
  assign REG_MEM8_arburst[1:0] = smartconnect_6_M09_AXI_ARBURST;
  assign REG_MEM8_arcache[3:0] = smartconnect_6_M09_AXI_ARCACHE;
  assign REG_MEM8_arlen[7:0] = smartconnect_6_M09_AXI_ARLEN;
  assign REG_MEM8_arlock[0] = smartconnect_6_M09_AXI_ARLOCK;
  assign REG_MEM8_arprot[2:0] = smartconnect_6_M09_AXI_ARPROT;
  assign REG_MEM8_arqos[3:0] = smartconnect_6_M09_AXI_ARQOS;
  assign REG_MEM8_arsize[2:0] = smartconnect_6_M09_AXI_ARSIZE;
  assign REG_MEM8_aruser[31:0] = smartconnect_6_M09_AXI_ARUSER;
  assign REG_MEM8_arvalid = smartconnect_6_M09_AXI_ARVALID;
  assign REG_MEM8_awaddr[31:0] = smartconnect_6_M09_AXI_AWADDR;
  assign REG_MEM8_awburst[1:0] = smartconnect_6_M09_AXI_AWBURST;
  assign REG_MEM8_awcache[3:0] = smartconnect_6_M09_AXI_AWCACHE;
  assign REG_MEM8_awlen[7:0] = smartconnect_6_M09_AXI_AWLEN;
  assign REG_MEM8_awlock[0] = smartconnect_6_M09_AXI_AWLOCK;
  assign REG_MEM8_awprot[2:0] = smartconnect_6_M09_AXI_AWPROT;
  assign REG_MEM8_awqos[3:0] = smartconnect_6_M09_AXI_AWQOS;
  assign REG_MEM8_awsize[2:0] = smartconnect_6_M09_AXI_AWSIZE;
  assign REG_MEM8_awuser[31:0] = smartconnect_6_M09_AXI_AWUSER;
  assign REG_MEM8_awvalid = smartconnect_6_M09_AXI_AWVALID;
  assign REG_MEM8_bready = smartconnect_6_M09_AXI_BREADY;
  assign REG_MEM8_rready = smartconnect_6_M09_AXI_RREADY;
  assign REG_MEM8_wdata[31:0] = smartconnect_6_M09_AXI_WDATA;
  assign REG_MEM8_wlast = smartconnect_6_M09_AXI_WLAST;
  assign REG_MEM8_wstrb[3:0] = smartconnect_6_M09_AXI_WSTRB;
  assign REG_MEM8_wuser[3:0] = smartconnect_6_M09_AXI_WUSER;
  assign REG_MEM8_wvalid = smartconnect_6_M09_AXI_WVALID;
  assign REG_MEM9_araddr[31:0] = smartconnect_6_M10_AXI_ARADDR;
  assign REG_MEM9_arburst[1:0] = smartconnect_6_M10_AXI_ARBURST;
  assign REG_MEM9_arcache[3:0] = smartconnect_6_M10_AXI_ARCACHE;
  assign REG_MEM9_arlen[7:0] = smartconnect_6_M10_AXI_ARLEN;
  assign REG_MEM9_arlock[0] = smartconnect_6_M10_AXI_ARLOCK;
  assign REG_MEM9_arprot[2:0] = smartconnect_6_M10_AXI_ARPROT;
  assign REG_MEM9_arqos[3:0] = smartconnect_6_M10_AXI_ARQOS;
  assign REG_MEM9_arsize[2:0] = smartconnect_6_M10_AXI_ARSIZE;
  assign REG_MEM9_aruser[31:0] = smartconnect_6_M10_AXI_ARUSER;
  assign REG_MEM9_arvalid = smartconnect_6_M10_AXI_ARVALID;
  assign REG_MEM9_awaddr[31:0] = smartconnect_6_M10_AXI_AWADDR;
  assign REG_MEM9_awburst[1:0] = smartconnect_6_M10_AXI_AWBURST;
  assign REG_MEM9_awcache[3:0] = smartconnect_6_M10_AXI_AWCACHE;
  assign REG_MEM9_awlen[7:0] = smartconnect_6_M10_AXI_AWLEN;
  assign REG_MEM9_awlock[0] = smartconnect_6_M10_AXI_AWLOCK;
  assign REG_MEM9_awprot[2:0] = smartconnect_6_M10_AXI_AWPROT;
  assign REG_MEM9_awqos[3:0] = smartconnect_6_M10_AXI_AWQOS;
  assign REG_MEM9_awsize[2:0] = smartconnect_6_M10_AXI_AWSIZE;
  assign REG_MEM9_awuser[31:0] = smartconnect_6_M10_AXI_AWUSER;
  assign REG_MEM9_awvalid = smartconnect_6_M10_AXI_AWVALID;
  assign REG_MEM9_bready = smartconnect_6_M10_AXI_BREADY;
  assign REG_MEM9_rready = smartconnect_6_M10_AXI_RREADY;
  assign REG_MEM9_wdata[31:0] = smartconnect_6_M10_AXI_WDATA;
  assign REG_MEM9_wlast = smartconnect_6_M10_AXI_WLAST;
  assign REG_MEM9_wstrb[3:0] = smartconnect_6_M10_AXI_WSTRB;
  assign REG_MEM9_wuser[3:0] = smartconnect_6_M10_AXI_WUSER;
  assign REG_MEM9_wvalid = smartconnect_6_M10_AXI_WVALID;
  assign S00_AXI_0_1_ARADDR = SMARTCONNEC6INMUX_araddr[63:0];
  assign S00_AXI_0_1_ARBURST = SMARTCONNEC6INMUX_arburst[1:0];
  assign S00_AXI_0_1_ARCACHE = SMARTCONNEC6INMUX_arcache[3:0];
  assign S00_AXI_0_1_ARID = SMARTCONNEC6INMUX_arid[15:0];
  assign S00_AXI_0_1_ARLEN = SMARTCONNEC6INMUX_arlen[7:0];
  assign S00_AXI_0_1_ARLOCK = SMARTCONNEC6INMUX_arlock[0];
  assign S00_AXI_0_1_ARPROT = SMARTCONNEC6INMUX_arprot[2:0];
  assign S00_AXI_0_1_ARQOS = SMARTCONNEC6INMUX_arqos[3:0];
  assign S00_AXI_0_1_ARSIZE = SMARTCONNEC6INMUX_arsize[2:0];
  assign S00_AXI_0_1_ARUSER = SMARTCONNEC6INMUX_aruser[17:0];
  assign S00_AXI_0_1_ARVALID = SMARTCONNEC6INMUX_arvalid;
  assign S00_AXI_0_1_AWADDR = SMARTCONNEC6INMUX_awaddr[63:0];
  assign S00_AXI_0_1_AWBURST = SMARTCONNEC6INMUX_awburst[1:0];
  assign S00_AXI_0_1_AWCACHE = SMARTCONNEC6INMUX_awcache[3:0];
  assign S00_AXI_0_1_AWID = SMARTCONNEC6INMUX_awid[15:0];
  assign S00_AXI_0_1_AWLEN = SMARTCONNEC6INMUX_awlen[7:0];
  assign S00_AXI_0_1_AWLOCK = SMARTCONNEC6INMUX_awlock[0];
  assign S00_AXI_0_1_AWPROT = SMARTCONNEC6INMUX_awprot[2:0];
  assign S00_AXI_0_1_AWQOS = SMARTCONNEC6INMUX_awqos[3:0];
  assign S00_AXI_0_1_AWSIZE = SMARTCONNEC6INMUX_awsize[2:0];
  assign S00_AXI_0_1_AWUSER = SMARTCONNEC6INMUX_awuser[17:0];
  assign S00_AXI_0_1_AWVALID = SMARTCONNEC6INMUX_awvalid;
  assign S00_AXI_0_1_BREADY = SMARTCONNEC6INMUX_bready;
  assign S00_AXI_0_1_RREADY = SMARTCONNEC6INMUX_rready;
  assign S00_AXI_0_1_WDATA = SMARTCONNEC6INMUX_wdata[127:0];
  assign S00_AXI_0_1_WLAST = SMARTCONNEC6INMUX_wlast;
  assign S00_AXI_0_1_WSTRB = SMARTCONNEC6INMUX_wstrb[15:0];
  assign S00_AXI_0_1_WUSER = SMARTCONNEC6INMUX_wuser[31:0];
  assign S00_AXI_0_1_WVALID = SMARTCONNEC6INMUX_wvalid;
  assign S00_AXI_0_2_ARADDR = S00_AXI_0_araddr[63:0];
  assign S00_AXI_0_2_ARBURST = S00_AXI_0_arburst[1:0];
  assign S00_AXI_0_2_ARCACHE = S00_AXI_0_arcache[3:0];
  assign S00_AXI_0_2_ARLEN = S00_AXI_0_arlen[7:0];
  assign S00_AXI_0_2_ARLOCK = S00_AXI_0_arlock[0];
  assign S00_AXI_0_2_ARPROT = S00_AXI_0_arprot[2:0];
  assign S00_AXI_0_2_ARQOS = S00_AXI_0_arqos[3:0];
  assign S00_AXI_0_2_ARSIZE = S00_AXI_0_arsize[2:0];
  assign S00_AXI_0_2_ARVALID = S00_AXI_0_arvalid;
  assign S00_AXI_0_2_AWADDR = S00_AXI_0_awaddr[63:0];
  assign S00_AXI_0_2_AWBURST = S00_AXI_0_awburst[1:0];
  assign S00_AXI_0_2_AWCACHE = S00_AXI_0_awcache[3:0];
  assign S00_AXI_0_2_AWLEN = S00_AXI_0_awlen[7:0];
  assign S00_AXI_0_2_AWLOCK = S00_AXI_0_awlock[0];
  assign S00_AXI_0_2_AWPROT = S00_AXI_0_awprot[2:0];
  assign S00_AXI_0_2_AWQOS = S00_AXI_0_awqos[3:0];
  assign S00_AXI_0_2_AWSIZE = S00_AXI_0_awsize[2:0];
  assign S00_AXI_0_2_AWVALID = S00_AXI_0_awvalid;
  assign S00_AXI_0_2_BREADY = S00_AXI_0_bready;
  assign S00_AXI_0_2_RREADY = S00_AXI_0_rready;
  assign S00_AXI_0_2_WDATA = S00_AXI_0_wdata[127:0];
  assign S00_AXI_0_2_WLAST = S00_AXI_0_wlast;
  assign S00_AXI_0_2_WSTRB = S00_AXI_0_wstrb[15:0];
  assign S00_AXI_0_2_WVALID = S00_AXI_0_wvalid;
  assign S00_AXI_0_ARADDR = I_PSNOCCCIAXIS_araddr[63:0];
  assign S00_AXI_0_ARBURST = I_PSNOCCCIAXIS_arburst[1:0];
  assign S00_AXI_0_ARCACHE = I_PSNOCCCIAXIS_arcache[3:0];
  assign S00_AXI_0_ARID = I_PSNOCCCIAXIS_arid[15:0];
  assign S00_AXI_0_ARLEN = I_PSNOCCCIAXIS_arlen[7:0];
  assign S00_AXI_0_ARLOCK = I_PSNOCCCIAXIS_arlock[0];
  assign S00_AXI_0_ARPROT = I_PSNOCCCIAXIS_arprot[2:0];
  assign S00_AXI_0_ARQOS = I_PSNOCCCIAXIS_arqos[3:0];
  assign S00_AXI_0_ARSIZE = I_PSNOCCCIAXIS_arsize[2:0];
  assign S00_AXI_0_ARUSER = I_PSNOCCCIAXIS_aruser[17:0];
  assign S00_AXI_0_ARVALID = I_PSNOCCCIAXIS_arvalid;
  assign S00_AXI_0_AWADDR = I_PSNOCCCIAXIS_awaddr[63:0];
  assign S00_AXI_0_AWBURST = I_PSNOCCCIAXIS_awburst[1:0];
  assign S00_AXI_0_AWCACHE = I_PSNOCCCIAXIS_awcache[3:0];
  assign S00_AXI_0_AWID = I_PSNOCCCIAXIS_awid[15:0];
  assign S00_AXI_0_AWLEN = I_PSNOCCCIAXIS_awlen[7:0];
  assign S00_AXI_0_AWLOCK = I_PSNOCCCIAXIS_awlock[0];
  assign S00_AXI_0_AWPROT = I_PSNOCCCIAXIS_awprot[2:0];
  assign S00_AXI_0_AWQOS = I_PSNOCCCIAXIS_awqos[3:0];
  assign S00_AXI_0_AWSIZE = I_PSNOCCCIAXIS_awsize[2:0];
  assign S00_AXI_0_AWUSER = I_PSNOCCCIAXIS_awuser[17:0];
  assign S00_AXI_0_AWVALID = I_PSNOCCCIAXIS_awvalid;
  assign S00_AXI_0_BREADY = I_PSNOCCCIAXIS_bready;
  assign S00_AXI_0_RREADY = I_PSNOCCCIAXIS_rready;
  assign S00_AXI_0_WDATA = I_PSNOCCCIAXIS_wdata[127:0];
  assign S00_AXI_0_WLAST = I_PSNOCCCIAXIS_wlast;
  assign S00_AXI_0_WSTRB = I_PSNOCCCIAXIS_wstrb[15:0];
  assign S00_AXI_0_WUSER = I_PSNOCCCIAXIS_wuser[31:0];
  assign S00_AXI_0_WVALID = I_PSNOCCCIAXIS_wvalid;
  assign S00_AXI_0_arready = S00_AXI_0_2_ARREADY;
  assign S00_AXI_0_awready = S00_AXI_0_2_AWREADY;
  assign S00_AXI_0_bresp[1:0] = S00_AXI_0_2_BRESP;
  assign S00_AXI_0_bvalid = S00_AXI_0_2_BVALID;
  assign S00_AXI_0_rdata[127:0] = S00_AXI_0_2_RDATA;
  assign S00_AXI_0_rlast = S00_AXI_0_2_RLAST;
  assign S00_AXI_0_rresp[1:0] = S00_AXI_0_2_RRESP;
  assign S00_AXI_0_rvalid = S00_AXI_0_2_RVALID;
  assign S00_AXI_0_wready = S00_AXI_0_2_WREADY;
  assign S00_AXI_1_ARADDR = I_PSNOCCCI0AXIS_araddr[63:0];
  assign S00_AXI_1_ARBURST = I_PSNOCCCI0AXIS_arburst[1:0];
  assign S00_AXI_1_ARCACHE = I_PSNOCCCI0AXIS_arcache[3:0];
  assign S00_AXI_1_ARID = I_PSNOCCCI0AXIS_arid[15:0];
  assign S00_AXI_1_ARLEN = I_PSNOCCCI0AXIS_arlen[7:0];
  assign S00_AXI_1_ARLOCK = I_PSNOCCCI0AXIS_arlock[0];
  assign S00_AXI_1_ARPROT = I_PSNOCCCI0AXIS_arprot[2:0];
  assign S00_AXI_1_ARQOS = I_PSNOCCCI0AXIS_arqos[3:0];
  assign S00_AXI_1_ARSIZE = I_PSNOCCCI0AXIS_arsize[2:0];
  assign S00_AXI_1_ARUSER = I_PSNOCCCI0AXIS_aruser[17:0];
  assign S00_AXI_1_ARVALID = I_PSNOCCCI0AXIS_arvalid;
  assign S00_AXI_1_AWADDR = I_PSNOCCCI0AXIS_awaddr[63:0];
  assign S00_AXI_1_AWBURST = I_PSNOCCCI0AXIS_awburst[1:0];
  assign S00_AXI_1_AWCACHE = I_PSNOCCCI0AXIS_awcache[3:0];
  assign S00_AXI_1_AWID = I_PSNOCCCI0AXIS_awid[15:0];
  assign S00_AXI_1_AWLEN = I_PSNOCCCI0AXIS_awlen[7:0];
  assign S00_AXI_1_AWLOCK = I_PSNOCCCI0AXIS_awlock[0];
  assign S00_AXI_1_AWPROT = I_PSNOCCCI0AXIS_awprot[2:0];
  assign S00_AXI_1_AWQOS = I_PSNOCCCI0AXIS_awqos[3:0];
  assign S00_AXI_1_AWSIZE = I_PSNOCCCI0AXIS_awsize[2:0];
  assign S00_AXI_1_AWUSER = I_PSNOCCCI0AXIS_awuser[17:0];
  assign S00_AXI_1_AWVALID = I_PSNOCCCI0AXIS_awvalid;
  assign S00_AXI_1_BREADY = I_PSNOCCCI0AXIS_bready;
  assign S00_AXI_1_RREADY = I_PSNOCCCI0AXIS_rready;
  assign S00_AXI_1_WDATA = I_PSNOCCCI0AXIS_wdata[127:0];
  assign S00_AXI_1_WLAST = I_PSNOCCCI0AXIS_wlast;
  assign S00_AXI_1_WSTRB = I_PSNOCCCI0AXIS_wstrb[15:0];
  assign S00_AXI_1_WUSER = I_PSNOCCCI0AXIS_wuser[31:0];
  assign S00_AXI_1_WVALID = I_PSNOCCCI0AXIS_wvalid;
  assign S00_AXI_2_ARADDR = I_PSNOCCCI1AXIS_araddr[63:0];
  assign S00_AXI_2_ARBURST = I_PSNOCCCI1AXIS_arburst[1:0];
  assign S00_AXI_2_ARCACHE = I_PSNOCCCI1AXIS_arcache[3:0];
  assign S00_AXI_2_ARLEN = I_PSNOCCCI1AXIS_arlen[7:0];
  assign S00_AXI_2_ARLOCK = I_PSNOCCCI1AXIS_arlock[0];
  assign S00_AXI_2_ARPROT = I_PSNOCCCI1AXIS_arprot[2:0];
  assign S00_AXI_2_ARQOS = I_PSNOCCCI1AXIS_arqos[3:0];
  assign S00_AXI_2_ARSIZE = I_PSNOCCCI1AXIS_arsize[2:0];
  assign S00_AXI_2_ARUSER = I_PSNOCCCI1AXIS_aruser[17:0];
  assign S00_AXI_2_ARVALID = I_PSNOCCCI1AXIS_arvalid;
  assign S00_AXI_2_AWADDR = I_PSNOCCCI1AXIS_awaddr[63:0];
  assign S00_AXI_2_AWBURST = I_PSNOCCCI1AXIS_awburst[1:0];
  assign S00_AXI_2_AWCACHE = I_PSNOCCCI1AXIS_awcache[3:0];
  assign S00_AXI_2_AWLEN = I_PSNOCCCI1AXIS_awlen[7:0];
  assign S00_AXI_2_AWLOCK = I_PSNOCCCI1AXIS_awlock[0];
  assign S00_AXI_2_AWPROT = I_PSNOCCCI1AXIS_awprot[2:0];
  assign S00_AXI_2_AWQOS = I_PSNOCCCI1AXIS_awqos[3:0];
  assign S00_AXI_2_AWSIZE = I_PSNOCCCI1AXIS_awsize[2:0];
  assign S00_AXI_2_AWUSER = I_PSNOCCCI1AXIS_awuser[17:0];
  assign S00_AXI_2_AWVALID = I_PSNOCCCI1AXIS_awvalid;
  assign S00_AXI_2_BREADY = I_PSNOCCCI1AXIS_bready;
  assign S00_AXI_2_RREADY = I_PSNOCCCI1AXIS_rready;
  assign S00_AXI_2_WDATA = I_PSNOCCCI1AXIS_wdata[127:0];
  assign S00_AXI_2_WLAST = I_PSNOCCCI1AXIS_wlast;
  assign S00_AXI_2_WSTRB = I_PSNOCCCI1AXIS_wstrb[15:0];
  assign S00_AXI_2_WUSER = I_PSNOCCCI1AXIS_wuser[31:0];
  assign S00_AXI_2_WVALID = I_PSNOCCCI1AXIS_wvalid;
  assign S00_AXI_3_ARADDR = I_PSNOCCCI2AXIS_araddr[63:0];
  assign S00_AXI_3_ARBURST = I_PSNOCCCI2AXIS_arburst[1:0];
  assign S00_AXI_3_ARCACHE = I_PSNOCCCI2AXIS_arcache[3:0];
  assign S00_AXI_3_ARID = I_PSNOCCCI2AXIS_arid[15:0];
  assign S00_AXI_3_ARLEN = I_PSNOCCCI2AXIS_arlen[7:0];
  assign S00_AXI_3_ARLOCK = I_PSNOCCCI2AXIS_arlock[0];
  assign S00_AXI_3_ARPROT = I_PSNOCCCI2AXIS_arprot[2:0];
  assign S00_AXI_3_ARQOS = I_PSNOCCCI2AXIS_arqos[3:0];
  assign S00_AXI_3_ARSIZE = I_PSNOCCCI2AXIS_arsize[2:0];
  assign S00_AXI_3_ARUSER = I_PSNOCCCI2AXIS_aruser[17:0];
  assign S00_AXI_3_ARVALID = I_PSNOCCCI2AXIS_arvalid;
  assign S00_AXI_3_AWADDR = I_PSNOCCCI2AXIS_awaddr[63:0];
  assign S00_AXI_3_AWBURST = I_PSNOCCCI2AXIS_awburst[1:0];
  assign S00_AXI_3_AWCACHE = I_PSNOCCCI2AXIS_awcache[3:0];
  assign S00_AXI_3_AWID = I_PSNOCCCI2AXIS_awid[15:0];
  assign S00_AXI_3_AWLEN = I_PSNOCCCI2AXIS_awlen[7:0];
  assign S00_AXI_3_AWLOCK = I_PSNOCCCI2AXIS_awlock[0];
  assign S00_AXI_3_AWPROT = I_PSNOCCCI2AXIS_awprot[2:0];
  assign S00_AXI_3_AWQOS = I_PSNOCCCI2AXIS_awqos[3:0];
  assign S00_AXI_3_AWSIZE = I_PSNOCCCI2AXIS_awsize[2:0];
  assign S00_AXI_3_AWUSER = I_PSNOCCCI2AXIS_awuser[17:0];
  assign S00_AXI_3_AWVALID = I_PSNOCCCI2AXIS_awvalid;
  assign S00_AXI_3_BREADY = I_PSNOCCCI2AXIS_bready;
  assign S00_AXI_3_RREADY = I_PSNOCCCI2AXIS_rready;
  assign S00_AXI_3_WDATA = I_PSNOCCCI2AXIS_wdata[127:0];
  assign S00_AXI_3_WLAST = I_PSNOCCCI2AXIS_wlast;
  assign S00_AXI_3_WSTRB = I_PSNOCCCI2AXIS_wstrb[15:0];
  assign S00_AXI_3_WUSER = I_PSNOCCCI2AXIS_wuser[31:0];
  assign S00_AXI_3_WVALID = I_PSNOCCCI2AXIS_wvalid;
  assign S00_AXI_4_ARADDR = I_PSNOCCCI3AXIS_araddr[63:0];
  assign S00_AXI_4_ARBURST = I_PSNOCCCI3AXIS_arburst[1:0];
  assign S00_AXI_4_ARCACHE = I_PSNOCCCI3AXIS_arcache[3:0];
  assign S00_AXI_4_ARID = I_PSNOCCCI3AXIS_arid[15:0];
  assign S00_AXI_4_ARLEN = I_PSNOCCCI3AXIS_arlen[7:0];
  assign S00_AXI_4_ARLOCK = I_PSNOCCCI3AXIS_arlock[0];
  assign S00_AXI_4_ARPROT = I_PSNOCCCI3AXIS_arprot[2:0];
  assign S00_AXI_4_ARQOS = I_PSNOCCCI3AXIS_arqos[3:0];
  assign S00_AXI_4_ARSIZE = I_PSNOCCCI3AXIS_arsize[2:0];
  assign S00_AXI_4_ARUSER = I_PSNOCCCI3AXIS_aruser[17:0];
  assign S00_AXI_4_ARVALID = I_PSNOCCCI3AXIS_arvalid;
  assign S00_AXI_4_AWADDR = I_PSNOCCCI3AXIS_awaddr[63:0];
  assign S00_AXI_4_AWBURST = I_PSNOCCCI3AXIS_awburst[1:0];
  assign S00_AXI_4_AWCACHE = I_PSNOCCCI3AXIS_awcache[3:0];
  assign S00_AXI_4_AWID = I_PSNOCCCI3AXIS_awid[15:0];
  assign S00_AXI_4_AWLEN = I_PSNOCCCI3AXIS_awlen[7:0];
  assign S00_AXI_4_AWLOCK = I_PSNOCCCI3AXIS_awlock[0];
  assign S00_AXI_4_AWPROT = I_PSNOCCCI3AXIS_awprot[2:0];
  assign S00_AXI_4_AWQOS = I_PSNOCCCI3AXIS_awqos[3:0];
  assign S00_AXI_4_AWSIZE = I_PSNOCCCI3AXIS_awsize[2:0];
  assign S00_AXI_4_AWUSER = I_PSNOCCCI3AXIS_awuser[17:0];
  assign S00_AXI_4_AWVALID = I_PSNOCCCI3AXIS_awvalid;
  assign S00_AXI_4_BREADY = I_PSNOCCCI3AXIS_bready;
  assign S00_AXI_4_RREADY = I_PSNOCCCI3AXIS_rready;
  assign S00_AXI_4_WDATA = I_PSNOCCCI3AXIS_wdata[127:0];
  assign S00_AXI_4_WLAST = I_PSNOCCCI3AXIS_wlast;
  assign S00_AXI_4_WSTRB = I_PSNOCCCI3AXIS_wstrb[15:0];
  assign S00_AXI_4_WUSER = I_PSNOCCCI3AXIS_wuser[31:0];
  assign S00_AXI_4_WVALID = I_PSNOCCCI3AXIS_wvalid;
  assign S00_AXI_5_ARADDR = SMARTCONNECT6IN_araddr[63:0];
  assign S00_AXI_5_ARBURST = SMARTCONNECT6IN_arburst[1:0];
  assign S00_AXI_5_ARCACHE = SMARTCONNECT6IN_arcache[3:0];
  assign S00_AXI_5_ARLEN = SMARTCONNECT6IN_arlen[7:0];
  assign S00_AXI_5_ARLOCK = SMARTCONNECT6IN_arlock[0];
  assign S00_AXI_5_ARPROT = SMARTCONNECT6IN_arprot[2:0];
  assign S00_AXI_5_ARQOS = SMARTCONNECT6IN_arqos[3:0];
  assign S00_AXI_5_ARSIZE = SMARTCONNECT6IN_arsize[2:0];
  assign S00_AXI_5_ARUSER = SMARTCONNECT6IN_aruser[31:0];
  assign S00_AXI_5_ARVALID = SMARTCONNECT6IN_arvalid;
  assign S00_AXI_5_AWADDR = SMARTCONNECT6IN_awaddr[63:0];
  assign S00_AXI_5_AWBURST = SMARTCONNECT6IN_awburst[1:0];
  assign S00_AXI_5_AWCACHE = SMARTCONNECT6IN_awcache[3:0];
  assign S00_AXI_5_AWLEN = SMARTCONNECT6IN_awlen[7:0];
  assign S00_AXI_5_AWLOCK = SMARTCONNECT6IN_awlock[0];
  assign S00_AXI_5_AWPROT = SMARTCONNECT6IN_awprot[2:0];
  assign S00_AXI_5_AWQOS = SMARTCONNECT6IN_awqos[3:0];
  assign S00_AXI_5_AWSIZE = SMARTCONNECT6IN_awsize[2:0];
  assign S00_AXI_5_AWUSER = SMARTCONNECT6IN_awuser[31:0];
  assign S00_AXI_5_AWVALID = SMARTCONNECT6IN_awvalid;
  assign S00_AXI_5_BREADY = SMARTCONNECT6IN_bready;
  assign S00_AXI_5_RREADY = SMARTCONNECT6IN_rready;
  assign S00_AXI_5_WDATA = SMARTCONNECT6IN_wdata[31:0];
  assign S00_AXI_5_WLAST = SMARTCONNECT6IN_wlast;
  assign S00_AXI_5_WSTRB = SMARTCONNECT6IN_wstrb[3:0];
  assign S00_AXI_5_WUSER = SMARTCONNECT6IN_wuser[3:0];
  assign S00_AXI_5_WVALID = SMARTCONNECT6IN_wvalid;
  assign S00_AXI_PSPLFPD128X32_ARADDR = I_PSPLFPD128X32_araddr[63:0];
  assign S00_AXI_PSPLFPD128X32_ARBURST = I_PSPLFPD128X32_arburst[1:0];
  assign S00_AXI_PSPLFPD128X32_ARCACHE = I_PSPLFPD128X32_arcache[3:0];
  assign S00_AXI_PSPLFPD128X32_ARID = I_PSPLFPD128X32_arid[15:0];
  assign S00_AXI_PSPLFPD128X32_ARLEN = I_PSPLFPD128X32_arlen[7:0];
  assign S00_AXI_PSPLFPD128X32_ARLOCK = I_PSPLFPD128X32_arlock[0];
  assign S00_AXI_PSPLFPD128X32_ARPROT = I_PSPLFPD128X32_arprot[2:0];
  assign S00_AXI_PSPLFPD128X32_ARQOS = I_PSPLFPD128X32_arqos[3:0];
  assign S00_AXI_PSPLFPD128X32_ARSIZE = I_PSPLFPD128X32_arsize[2:0];
  assign S00_AXI_PSPLFPD128X32_ARUSER = I_PSPLFPD128X32_aruser[17:0];
  assign S00_AXI_PSPLFPD128X32_ARVALID = I_PSPLFPD128X32_arvalid;
  assign S00_AXI_PSPLFPD128X32_AWADDR = I_PSPLFPD128X32_awaddr[63:0];
  assign S00_AXI_PSPLFPD128X32_AWBURST = I_PSPLFPD128X32_awburst[1:0];
  assign S00_AXI_PSPLFPD128X32_AWCACHE = I_PSPLFPD128X32_awcache[3:0];
  assign S00_AXI_PSPLFPD128X32_AWID = I_PSPLFPD128X32_awid[15:0];
  assign S00_AXI_PSPLFPD128X32_AWLEN = I_PSPLFPD128X32_awlen[7:0];
  assign S00_AXI_PSPLFPD128X32_AWLOCK = I_PSPLFPD128X32_awlock[0];
  assign S00_AXI_PSPLFPD128X32_AWPROT = I_PSPLFPD128X32_awprot[2:0];
  assign S00_AXI_PSPLFPD128X32_AWQOS = I_PSPLFPD128X32_awqos[3:0];
  assign S00_AXI_PSPLFPD128X32_AWSIZE = I_PSPLFPD128X32_awsize[2:0];
  assign S00_AXI_PSPLFPD128X32_AWUSER = I_PSPLFPD128X32_awuser[17:0];
  assign S00_AXI_PSPLFPD128X32_AWVALID = I_PSPLFPD128X32_awvalid;
  assign S00_AXI_PSPLFPD128X32_BREADY = I_PSPLFPD128X32_bready;
  assign S00_AXI_PSPLFPD128X32_RREADY = I_PSPLFPD128X32_rready;
  assign S00_AXI_PSPLFPD128X32_WDATA = I_PSPLFPD128X32_wdata[127:0];
  assign S00_AXI_PSPLFPD128X32_WLAST = I_PSPLFPD128X32_wlast;
  assign S00_AXI_PSPLFPD128X32_WSTRB = I_PSPLFPD128X32_wstrb[15:0];
  assign S00_AXI_PSPLFPD128X32_WUSER = I_PSPLFPD128X32_wuser[15:0];
  assign S00_AXI_PSPLFPD128X32_WVALID = I_PSPLFPD128X32_wvalid;
  assign S00_AXI_PSPLFPD128X64_ARADDR = I_PSPLFPD128X64_araddr[63:0];
  assign S00_AXI_PSPLFPD128X64_ARBURST = I_PSPLFPD128X64_arburst[1:0];
  assign S00_AXI_PSPLFPD128X64_ARCACHE = I_PSPLFPD128X64_arcache[3:0];
  assign S00_AXI_PSPLFPD128X64_ARID = I_PSPLFPD128X64_arid[15:0];
  assign S00_AXI_PSPLFPD128X64_ARLEN = I_PSPLFPD128X64_arlen[7:0];
  assign S00_AXI_PSPLFPD128X64_ARLOCK = I_PSPLFPD128X64_arlock[0];
  assign S00_AXI_PSPLFPD128X64_ARPROT = I_PSPLFPD128X64_arprot[2:0];
  assign S00_AXI_PSPLFPD128X64_ARQOS = I_PSPLFPD128X64_arqos[3:0];
  assign S00_AXI_PSPLFPD128X64_ARSIZE = I_PSPLFPD128X64_arsize[2:0];
  assign S00_AXI_PSPLFPD128X64_ARUSER = I_PSPLFPD128X64_aruser[17:0];
  assign S00_AXI_PSPLFPD128X64_ARVALID = I_PSPLFPD128X64_arvalid;
  assign S00_AXI_PSPLFPD128X64_AWADDR = I_PSPLFPD128X64_awaddr[63:0];
  assign S00_AXI_PSPLFPD128X64_AWBURST = I_PSPLFPD128X64_awburst[1:0];
  assign S00_AXI_PSPLFPD128X64_AWCACHE = I_PSPLFPD128X64_awcache[3:0];
  assign S00_AXI_PSPLFPD128X64_AWID = I_PSPLFPD128X64_awid[15:0];
  assign S00_AXI_PSPLFPD128X64_AWLEN = I_PSPLFPD128X64_awlen[7:0];
  assign S00_AXI_PSPLFPD128X64_AWLOCK = I_PSPLFPD128X64_awlock[0];
  assign S00_AXI_PSPLFPD128X64_AWPROT = I_PSPLFPD128X64_awprot[2:0];
  assign S00_AXI_PSPLFPD128X64_AWQOS = I_PSPLFPD128X64_awqos[3:0];
  assign S00_AXI_PSPLFPD128X64_AWSIZE = I_PSPLFPD128X64_awsize[2:0];
  assign S00_AXI_PSPLFPD128X64_AWUSER = I_PSPLFPD128X64_awuser[17:0];
  assign S00_AXI_PSPLFPD128X64_AWVALID = I_PSPLFPD128X64_awvalid;
  assign S00_AXI_PSPLFPD128X64_BREADY = I_PSPLFPD128X64_bready;
  assign S00_AXI_PSPLFPD128X64_RREADY = I_PSPLFPD128X64_rready;
  assign S00_AXI_PSPLFPD128X64_WDATA = I_PSPLFPD128X64_wdata[127:0];
  assign S00_AXI_PSPLFPD128X64_WLAST = I_PSPLFPD128X64_wlast;
  assign S00_AXI_PSPLFPD128X64_WSTRB = I_PSPLFPD128X64_wstrb[15:0];
  assign S00_AXI_PSPLFPD128X64_WUSER = I_PSPLFPD128X64_wuser[15:0];
  assign S00_AXI_PSPLFPD128X64_WVALID = I_PSPLFPD128X64_wvalid;
  assign S00_AXI_PSPLLPD128X32_ARADDR = I_PSPLLPD128X32_araddr[63:0];
  assign S00_AXI_PSPLLPD128X32_ARBURST = I_PSPLLPD128X32_arburst[1:0];
  assign S00_AXI_PSPLLPD128X32_ARCACHE = I_PSPLLPD128X32_arcache[3:0];
  assign S00_AXI_PSPLLPD128X32_ARID = I_PSPLLPD128X32_arid[15:0];
  assign S00_AXI_PSPLLPD128X32_ARLEN = I_PSPLLPD128X32_arlen[7:0];
  assign S00_AXI_PSPLLPD128X32_ARLOCK = I_PSPLLPD128X32_arlock[0];
  assign S00_AXI_PSPLLPD128X32_ARPROT = I_PSPLLPD128X32_arprot[2:0];
  assign S00_AXI_PSPLLPD128X32_ARQOS = I_PSPLLPD128X32_arqos[3:0];
  assign S00_AXI_PSPLLPD128X32_ARSIZE = I_PSPLLPD128X32_arsize[2:0];
  assign S00_AXI_PSPLLPD128X32_ARUSER = I_PSPLLPD128X32_aruser[17:0];
  assign S00_AXI_PSPLLPD128X32_ARVALID = I_PSPLLPD128X32_arvalid;
  assign S00_AXI_PSPLLPD128X32_AWADDR = I_PSPLLPD128X32_awaddr[63:0];
  assign S00_AXI_PSPLLPD128X32_AWBURST = I_PSPLLPD128X32_awburst[1:0];
  assign S00_AXI_PSPLLPD128X32_AWCACHE = I_PSPLLPD128X32_awcache[3:0];
  assign S00_AXI_PSPLLPD128X32_AWID = I_PSPLLPD128X32_awid[15:0];
  assign S00_AXI_PSPLLPD128X32_AWLEN = I_PSPLLPD128X32_awlen[7:0];
  assign S00_AXI_PSPLLPD128X32_AWLOCK = I_PSPLLPD128X32_awlock[0];
  assign S00_AXI_PSPLLPD128X32_AWPROT = I_PSPLLPD128X32_awprot[2:0];
  assign S00_AXI_PSPLLPD128X32_AWQOS = I_PSPLLPD128X32_awqos[3:0];
  assign S00_AXI_PSPLLPD128X32_AWSIZE = I_PSPLLPD128X32_awsize[2:0];
  assign S00_AXI_PSPLLPD128X32_AWUSER = I_PSPLLPD128X32_awuser[17:0];
  assign S00_AXI_PSPLLPD128X32_AWVALID = I_PSPLLPD128X32_awvalid;
  assign S00_AXI_PSPLLPD128X32_BREADY = I_PSPLLPD128X32_bready;
  assign S00_AXI_PSPLLPD128X32_RREADY = I_PSPLLPD128X32_rready;
  assign S00_AXI_PSPLLPD128X32_WDATA = I_PSPLLPD128X32_wdata[127:0];
  assign S00_AXI_PSPLLPD128X32_WLAST = I_PSPLLPD128X32_wlast;
  assign S00_AXI_PSPLLPD128X32_WSTRB = I_PSPLLPD128X32_wstrb[15:0];
  assign S00_AXI_PSPLLPD128X32_WUSER = I_PSPLLPD128X32_wuser[15:0];
  assign S00_AXI_PSPLLPD128X32_WVALID = I_PSPLLPD128X32_wvalid;
  assign S00_AXI_PSPLLPD128X64_ARADDR = I_PSPLLPD128X64_araddr[63:0];
  assign S00_AXI_PSPLLPD128X64_ARBURST = I_PSPLLPD128X64_arburst[1:0];
  assign S00_AXI_PSPLLPD128X64_ARCACHE = I_PSPLLPD128X64_arcache[3:0];
  assign S00_AXI_PSPLLPD128X64_ARID = I_PSPLLPD128X64_arid[15:0];
  assign S00_AXI_PSPLLPD128X64_ARLEN = I_PSPLLPD128X64_arlen[7:0];
  assign S00_AXI_PSPLLPD128X64_ARLOCK = I_PSPLLPD128X64_arlock[0];
  assign S00_AXI_PSPLLPD128X64_ARPROT = I_PSPLLPD128X64_arprot[2:0];
  assign S00_AXI_PSPLLPD128X64_ARQOS = I_PSPLLPD128X64_arqos[3:0];
  assign S00_AXI_PSPLLPD128X64_ARSIZE = I_PSPLLPD128X64_arsize[2:0];
  assign S00_AXI_PSPLLPD128X64_ARUSER = I_PSPLLPD128X64_aruser[17:0];
  assign S00_AXI_PSPLLPD128X64_ARVALID = I_PSPLLPD128X64_arvalid;
  assign S00_AXI_PSPLLPD128X64_AWADDR = I_PSPLLPD128X64_awaddr[63:0];
  assign S00_AXI_PSPLLPD128X64_AWBURST = I_PSPLLPD128X64_awburst[1:0];
  assign S00_AXI_PSPLLPD128X64_AWCACHE = I_PSPLLPD128X64_awcache[3:0];
  assign S00_AXI_PSPLLPD128X64_AWID = I_PSPLLPD128X64_awid[15:0];
  assign S00_AXI_PSPLLPD128X64_AWLEN = I_PSPLLPD128X64_awlen[7:0];
  assign S00_AXI_PSPLLPD128X64_AWLOCK = I_PSPLLPD128X64_awlock[0];
  assign S00_AXI_PSPLLPD128X64_AWPROT = I_PSPLLPD128X64_awprot[2:0];
  assign S00_AXI_PSPLLPD128X64_AWQOS = I_PSPLLPD128X64_awqos[3:0];
  assign S00_AXI_PSPLLPD128X64_AWSIZE = I_PSPLLPD128X64_awsize[2:0];
  assign S00_AXI_PSPLLPD128X64_AWUSER = I_PSPLLPD128X64_awuser[17:0];
  assign S00_AXI_PSPLLPD128X64_AWVALID = I_PSPLLPD128X64_awvalid;
  assign S00_AXI_PSPLLPD128X64_BREADY = I_PSPLLPD128X64_bready;
  assign S00_AXI_PSPLLPD128X64_RREADY = I_PSPLLPD128X64_rready;
  assign S00_AXI_PSPLLPD128X64_WDATA = I_PSPLLPD128X64_wdata[127:0];
  assign S00_AXI_PSPLLPD128X64_WLAST = I_PSPLLPD128X64_wlast;
  assign S00_AXI_PSPLLPD128X64_WSTRB = I_PSPLLPD128X64_wstrb[15:0];
  assign S00_AXI_PSPLLPD128X64_WUSER = I_PSPLLPD128X64_wuser[15:0];
  assign S00_AXI_PSPLLPD128X64_WVALID = I_PSPLLPD128X64_wvalid;
  assign SMARTCONNEC6INMUX_arready = S00_AXI_0_1_ARREADY;
  assign SMARTCONNEC6INMUX_awready = S00_AXI_0_1_AWREADY;
  assign SMARTCONNEC6INMUX_bid[15:0] = S00_AXI_0_1_BID;
  assign SMARTCONNEC6INMUX_bresp[1:0] = S00_AXI_0_1_BRESP;
  assign SMARTCONNEC6INMUX_buser[15:0] = S00_AXI_0_1_BUSER;
  assign SMARTCONNEC6INMUX_bvalid = S00_AXI_0_1_BVALID;
  assign SMARTCONNEC6INMUX_rdata[127:0] = S00_AXI_0_1_RDATA;
  assign SMARTCONNEC6INMUX_rid[15:0] = S00_AXI_0_1_RID;
  assign SMARTCONNEC6INMUX_rlast = S00_AXI_0_1_RLAST;
  assign SMARTCONNEC6INMUX_rresp[1:0] = S00_AXI_0_1_RRESP;
  assign SMARTCONNEC6INMUX_ruser[31:0] = S00_AXI_0_1_RUSER;
  assign SMARTCONNEC6INMUX_rvalid = S00_AXI_0_1_RVALID;
  assign SMARTCONNEC6INMUX_wready = S00_AXI_0_1_WREADY;
  assign SMARTCONNECT6IN_arready = S00_AXI_5_ARREADY;
  assign SMARTCONNECT6IN_awready = S00_AXI_5_AWREADY;
  assign SMARTCONNECT6IN_bresp[1:0] = S00_AXI_5_BRESP;
  assign SMARTCONNECT6IN_buser[15:0] = S00_AXI_5_BUSER;
  assign SMARTCONNECT6IN_bvalid = S00_AXI_5_BVALID;
  assign SMARTCONNECT6IN_rdata[31:0] = S00_AXI_5_RDATA;
  assign SMARTCONNECT6IN_rlast = S00_AXI_5_RLAST;
  assign SMARTCONNECT6IN_rresp[1:0] = S00_AXI_5_RRESP;
  assign SMARTCONNECT6IN_ruser[3:0] = S00_AXI_5_RUSER;
  assign SMARTCONNECT6IN_rvalid = S00_AXI_5_RVALID;
  assign SMARTCONNECT6IN_wready = S00_AXI_5_WREADY;
  assign SMARTCONNECT6OUT_araddr[63:0] = smartconnect_7_M00_AXI_ARADDR;
  assign SMARTCONNECT6OUT_arburst[1:0] = smartconnect_7_M00_AXI_ARBURST;
  assign SMARTCONNECT6OUT_arcache[3:0] = smartconnect_7_M00_AXI_ARCACHE;
  assign SMARTCONNECT6OUT_arlen[7:0] = smartconnect_7_M00_AXI_ARLEN;
  assign SMARTCONNECT6OUT_arlock[0] = smartconnect_7_M00_AXI_ARLOCK;
  assign SMARTCONNECT6OUT_arprot[2:0] = smartconnect_7_M00_AXI_ARPROT;
  assign SMARTCONNECT6OUT_arqos[3:0] = smartconnect_7_M00_AXI_ARQOS;
  assign SMARTCONNECT6OUT_arsize[2:0] = smartconnect_7_M00_AXI_ARSIZE;
  assign SMARTCONNECT6OUT_aruser[17:0] = smartconnect_7_M00_AXI_ARUSER;
  assign SMARTCONNECT6OUT_arvalid = smartconnect_7_M00_AXI_ARVALID;
  assign SMARTCONNECT6OUT_awaddr[63:0] = smartconnect_7_M00_AXI_AWADDR;
  assign SMARTCONNECT6OUT_awburst[1:0] = smartconnect_7_M00_AXI_AWBURST;
  assign SMARTCONNECT6OUT_awcache[3:0] = smartconnect_7_M00_AXI_AWCACHE;
  assign SMARTCONNECT6OUT_awlen[7:0] = smartconnect_7_M00_AXI_AWLEN;
  assign SMARTCONNECT6OUT_awlock[0] = smartconnect_7_M00_AXI_AWLOCK;
  assign SMARTCONNECT6OUT_awprot[2:0] = smartconnect_7_M00_AXI_AWPROT;
  assign SMARTCONNECT6OUT_awqos[3:0] = smartconnect_7_M00_AXI_AWQOS;
  assign SMARTCONNECT6OUT_awsize[2:0] = smartconnect_7_M00_AXI_AWSIZE;
  assign SMARTCONNECT6OUT_awuser[17:0] = smartconnect_7_M00_AXI_AWUSER;
  assign SMARTCONNECT6OUT_awvalid = smartconnect_7_M00_AXI_AWVALID;
  assign SMARTCONNECT6OUT_bready = smartconnect_7_M00_AXI_BREADY;
  assign SMARTCONNECT6OUT_rready = smartconnect_7_M00_AXI_RREADY;
  assign SMARTCONNECT6OUT_wdata[31:0] = smartconnect_7_M00_AXI_WDATA;
  assign SMARTCONNECT6OUT_wlast = smartconnect_7_M00_AXI_WLAST;
  assign SMARTCONNECT6OUT_wstrb[3:0] = smartconnect_7_M00_AXI_WSTRB;
  assign SMARTCONNECT6OUT_wuser[3:0] = smartconnect_7_M00_AXI_WUSER;
  assign SMARTCONNECT6OUT_wvalid = smartconnect_7_M00_AXI_WVALID;
  assign aclk_0_1 = aclk_0;
  assign aresetn_0_1 = aresetn_0;
  assign axi_apb_bridge_0_APB_M_PRDATA = APB_M_0_prdata[31:0];
  assign axi_apb_bridge_0_APB_M_PREADY = APB_M_0_pready[0];
  assign axi_apb_bridge_0_APB_M_PSLVERR = APB_M_0_pslverr[0];
  assign sc_psplfpd128x32_M00_AXI_ARREADY = O_PSPLFPD128X32_arready;
  assign sc_psplfpd128x32_M00_AXI_AWREADY = O_PSPLFPD128X32_awready;
  assign sc_psplfpd128x32_M00_AXI_BRESP = O_PSPLFPD128X32_bresp[1:0];
  assign sc_psplfpd128x32_M00_AXI_BUSER = O_PSPLFPD128X32_buser[15:0];
  assign sc_psplfpd128x32_M00_AXI_BVALID = O_PSPLFPD128X32_bvalid;
  assign sc_psplfpd128x32_M00_AXI_RDATA = O_PSPLFPD128X32_rdata[31:0];
  assign sc_psplfpd128x32_M00_AXI_RLAST = O_PSPLFPD128X32_rlast;
  assign sc_psplfpd128x32_M00_AXI_RRESP = O_PSPLFPD128X32_rresp[1:0];
  assign sc_psplfpd128x32_M00_AXI_RUSER = O_PSPLFPD128X32_ruser[3:0];
  assign sc_psplfpd128x32_M00_AXI_RVALID = O_PSPLFPD128X32_rvalid;
  assign sc_psplfpd128x32_M00_AXI_WREADY = O_PSPLFPD128X32_wready;
  assign sc_psplfpd128x64_M00_AXI_ARREADY = O_PSPLFPD128X64_arready;
  assign sc_psplfpd128x64_M00_AXI_AWREADY = O_PSPLFPD128X64_awready;
  assign sc_psplfpd128x64_M00_AXI_BRESP = O_PSPLFPD128X64_bresp[1:0];
  assign sc_psplfpd128x64_M00_AXI_BUSER = O_PSPLFPD128X64_buser[15:0];
  assign sc_psplfpd128x64_M00_AXI_BVALID = O_PSPLFPD128X64_bvalid;
  assign sc_psplfpd128x64_M00_AXI_RDATA = O_PSPLFPD128X64_rdata[63:0];
  assign sc_psplfpd128x64_M00_AXI_RLAST = O_PSPLFPD128X64_rlast;
  assign sc_psplfpd128x64_M00_AXI_RRESP = O_PSPLFPD128X64_rresp[1:0];
  assign sc_psplfpd128x64_M00_AXI_RUSER = O_PSPLFPD128X64_ruser[7:0];
  assign sc_psplfpd128x64_M00_AXI_RVALID = O_PSPLFPD128X64_rvalid;
  assign sc_psplfpd128x64_M00_AXI_WREADY = O_PSPLFPD128X64_wready;
  assign sc_pspllpd128x32_M00_AXI_ARREADY = O_PSPLLPD128X32_arready;
  assign sc_pspllpd128x32_M00_AXI_AWREADY = O_PSPLLPD128X32_awready;
  assign sc_pspllpd128x32_M00_AXI_BRESP = O_PSPLLPD128X32_bresp[1:0];
  assign sc_pspllpd128x32_M00_AXI_BUSER = O_PSPLLPD128X32_buser[15:0];
  assign sc_pspllpd128x32_M00_AXI_BVALID = O_PSPLLPD128X32_bvalid;
  assign sc_pspllpd128x32_M00_AXI_RDATA = O_PSPLLPD128X32_rdata[31:0];
  assign sc_pspllpd128x32_M00_AXI_RLAST = O_PSPLLPD128X32_rlast;
  assign sc_pspllpd128x32_M00_AXI_RRESP = O_PSPLLPD128X32_rresp[1:0];
  assign sc_pspllpd128x32_M00_AXI_RUSER = O_PSPLLPD128X32_ruser[3:0];
  assign sc_pspllpd128x32_M00_AXI_RVALID = O_PSPLLPD128X32_rvalid;
  assign sc_pspllpd128x32_M00_AXI_WREADY = O_PSPLLPD128X32_wready;
  assign sc_pspllpd128x64_M00_AXI_ARREADY = O_PSPLLPD128X64_arready;
  assign sc_pspllpd128x64_M00_AXI_AWREADY = O_PSPLLPD128X64_awready;
  assign sc_pspllpd128x64_M00_AXI_BRESP = O_PSPLLPD128X64_bresp[1:0];
  assign sc_pspllpd128x64_M00_AXI_BUSER = O_PSPLLPD128X64_buser[15:0];
  assign sc_pspllpd128x64_M00_AXI_BVALID = O_PSPLLPD128X64_bvalid;
  assign sc_pspllpd128x64_M00_AXI_RDATA = O_PSPLLPD128X64_rdata[63:0];
  assign sc_pspllpd128x64_M00_AXI_RLAST = O_PSPLLPD128X64_rlast;
  assign sc_pspllpd128x64_M00_AXI_RRESP = O_PSPLLPD128X64_rresp[1:0];
  assign sc_pspllpd128x64_M00_AXI_RUSER = O_PSPLLPD128X64_ruser[7:0];
  assign sc_pspllpd128x64_M00_AXI_RVALID = O_PSPLLPD128X64_rvalid;
  assign sc_pspllpd128x64_M00_AXI_WREADY = O_PSPLLPD128X64_wready;
  assign smartconnect_1_M00_AXI_ARREADY = I_PSNOCCCIAXIM_arready;
  assign smartconnect_1_M00_AXI_AWREADY = I_PSNOCCCIAXIM_awready;
  assign smartconnect_1_M00_AXI_BRESP = I_PSNOCCCIAXIM_bresp[1:0];
  assign smartconnect_1_M00_AXI_BUSER = I_PSNOCCCIAXIM_buser[15:0];
  assign smartconnect_1_M00_AXI_BVALID = I_PSNOCCCIAXIM_bvalid;
  assign smartconnect_1_M00_AXI_RDATA = I_PSNOCCCIAXIM_rdata[127:0];
  assign smartconnect_1_M00_AXI_RLAST = I_PSNOCCCIAXIM_rlast;
  assign smartconnect_1_M00_AXI_RRESP = I_PSNOCCCIAXIM_rresp[1:0];
  assign smartconnect_1_M00_AXI_RUSER = I_PSNOCCCIAXIM_ruser[15:0];
  assign smartconnect_1_M00_AXI_RVALID = I_PSNOCCCIAXIM_rvalid;
  assign smartconnect_1_M00_AXI_WREADY = I_PSNOCCCIAXIM_wready;
  assign smartconnect_2_M00_AXI_ARREADY = IFPSNOCCCIAXI0_arready;
  assign smartconnect_2_M00_AXI_AWREADY = IFPSNOCCCIAXI0_awready;
  assign smartconnect_2_M00_AXI_BRESP = IFPSNOCCCIAXI0_bresp[1:0];
  assign smartconnect_2_M00_AXI_BUSER = IFPSNOCCCIAXI0_buser[15:0];
  assign smartconnect_2_M00_AXI_BVALID = IFPSNOCCCIAXI0_bvalid;
  assign smartconnect_2_M00_AXI_RDATA = IFPSNOCCCIAXI0_rdata[127:0];
  assign smartconnect_2_M00_AXI_RLAST = IFPSNOCCCIAXI0_rlast;
  assign smartconnect_2_M00_AXI_RRESP = IFPSNOCCCIAXI0_rresp[1:0];
  assign smartconnect_2_M00_AXI_RUSER = IFPSNOCCCIAXI0_ruser[15:0];
  assign smartconnect_2_M00_AXI_RVALID = IFPSNOCCCIAXI0_rvalid;
  assign smartconnect_2_M00_AXI_WREADY = IFPSNOCCCIAXI0_wready;
  assign smartconnect_3_M00_AXI_ARREADY = IFPSNOCCCIAXI3_arready;
  assign smartconnect_3_M00_AXI_AWREADY = IFPSNOCCCIAXI3_awready;
  assign smartconnect_3_M00_AXI_BRESP = IFPSNOCCCIAXI3_bresp[1:0];
  assign smartconnect_3_M00_AXI_BUSER = IFPSNOCCCIAXI3_buser[15:0];
  assign smartconnect_3_M00_AXI_BVALID = IFPSNOCCCIAXI3_bvalid;
  assign smartconnect_3_M00_AXI_RDATA = IFPSNOCCCIAXI3_rdata[127:0];
  assign smartconnect_3_M00_AXI_RLAST = IFPSNOCCCIAXI3_rlast;
  assign smartconnect_3_M00_AXI_RRESP = IFPSNOCCCIAXI3_rresp[1:0];
  assign smartconnect_3_M00_AXI_RUSER = IFPSNOCCCIAXI3_ruser[15:0];
  assign smartconnect_3_M00_AXI_RVALID = IFPSNOCCCIAXI3_rvalid;
  assign smartconnect_3_M00_AXI_WREADY = IFPSNOCCCIAXI3_wready;
  assign smartconnect_4_M00_AXI_ARREADY = IFPSNOCCCIAXI1_arready;
  assign smartconnect_4_M00_AXI_AWREADY = IFPSNOCCCIAXI1_awready;
  assign smartconnect_4_M00_AXI_BRESP = IFPSNOCCCIAXI1_bresp[1:0];
  assign smartconnect_4_M00_AXI_BUSER = IFPSNOCCCIAXI1_buser[15:0];
  assign smartconnect_4_M00_AXI_BVALID = IFPSNOCCCIAXI1_bvalid;
  assign smartconnect_4_M00_AXI_RDATA = IFPSNOCCCIAXI1_rdata[127:0];
  assign smartconnect_4_M00_AXI_RLAST = IFPSNOCCCIAXI1_rlast;
  assign smartconnect_4_M00_AXI_RRESP = IFPSNOCCCIAXI1_rresp[1:0];
  assign smartconnect_4_M00_AXI_RUSER = IFPSNOCCCIAXI1_ruser[15:0];
  assign smartconnect_4_M00_AXI_RVALID = IFPSNOCCCIAXI1_rvalid;
  assign smartconnect_4_M00_AXI_WREADY = IFPSNOCCCIAXI1_wready;
  assign smartconnect_5_M00_AXI_ARREADY = IFPSNOCCCIAXI2_arready;
  assign smartconnect_5_M00_AXI_AWREADY = IFPSNOCCCIAXI2_awready;
  assign smartconnect_5_M00_AXI_BRESP = IFPSNOCCCIAXI2_bresp[1:0];
  assign smartconnect_5_M00_AXI_BUSER = IFPSNOCCCIAXI2_buser[15:0];
  assign smartconnect_5_M00_AXI_BVALID = IFPSNOCCCIAXI2_bvalid;
  assign smartconnect_5_M00_AXI_RDATA = IFPSNOCCCIAXI2_rdata[127:0];
  assign smartconnect_5_M00_AXI_RLAST = IFPSNOCCCIAXI2_rlast;
  assign smartconnect_5_M00_AXI_RRESP = IFPSNOCCCIAXI2_rresp[1:0];
  assign smartconnect_5_M00_AXI_RUSER = IFPSNOCCCIAXI2_ruser[15:0];
  assign smartconnect_5_M00_AXI_RVALID = IFPSNOCCCIAXI2_rvalid;
  assign smartconnect_5_M00_AXI_WREADY = IFPSNOCCCIAXI2_wready;
  assign smartconnect_6_M00_AXI_ARREADY = OCM_arready;
  assign smartconnect_6_M00_AXI_AWREADY = OCM_awready;
  assign smartconnect_6_M00_AXI_BRESP = OCM_bresp[1:0];
  assign smartconnect_6_M00_AXI_BUSER = OCM_buser[15:0];
  assign smartconnect_6_M00_AXI_BVALID = OCM_bvalid;
  assign smartconnect_6_M00_AXI_RDATA = OCM_rdata[31:0];
  assign smartconnect_6_M00_AXI_RLAST = OCM_rlast;
  assign smartconnect_6_M00_AXI_RRESP = OCM_rresp[1:0];
  assign smartconnect_6_M00_AXI_RUSER = OCM_ruser[3:0];
  assign smartconnect_6_M00_AXI_RVALID = OCM_rvalid;
  assign smartconnect_6_M00_AXI_WREADY = OCM_wready;
  assign smartconnect_6_M01_AXI_ARREADY = IFPSCPMCFGAXI_arready;
  assign smartconnect_6_M01_AXI_AWREADY = IFPSCPMCFGAXI_awready;
  assign smartconnect_6_M01_AXI_BRESP = IFPSCPMCFGAXI_bresp[1:0];
  assign smartconnect_6_M01_AXI_BUSER = IFPSCPMCFGAXI_buser[15:0];
  assign smartconnect_6_M01_AXI_BVALID = IFPSCPMCFGAXI_bvalid;
  assign smartconnect_6_M01_AXI_RDATA = IFPSCPMCFGAXI_rdata[31:0];
  assign smartconnect_6_M01_AXI_RLAST = IFPSCPMCFGAXI_rlast;
  assign smartconnect_6_M01_AXI_RRESP = IFPSCPMCFGAXI_rresp[1:0];
  assign smartconnect_6_M01_AXI_RUSER = IFPSCPMCFGAXI_ruser[3:0];
  assign smartconnect_6_M01_AXI_RVALID = IFPSCPMCFGAXI_rvalid;
  assign smartconnect_6_M01_AXI_WREADY = IFPSCPMCFGAXI_wready;
  assign smartconnect_6_M02_AXI_ARREADY = REG_MEM1_arready;
  assign smartconnect_6_M02_AXI_AWREADY = REG_MEM1_awready;
  assign smartconnect_6_M02_AXI_BRESP = REG_MEM1_bresp[1:0];
  assign smartconnect_6_M02_AXI_BUSER = REG_MEM1_buser[15:0];
  assign smartconnect_6_M02_AXI_BVALID = REG_MEM1_bvalid;
  assign smartconnect_6_M02_AXI_RDATA = REG_MEM1_rdata[31:0];
  assign smartconnect_6_M02_AXI_RLAST = REG_MEM1_rlast;
  assign smartconnect_6_M02_AXI_RRESP = REG_MEM1_rresp[1:0];
  assign smartconnect_6_M02_AXI_RUSER = REG_MEM1_ruser[3:0];
  assign smartconnect_6_M02_AXI_RVALID = REG_MEM1_rvalid;
  assign smartconnect_6_M02_AXI_WREADY = REG_MEM1_wready;
  assign smartconnect_6_M03_AXI_ARREADY = REG_MEM2_arready;
  assign smartconnect_6_M03_AXI_AWREADY = REG_MEM2_awready;
  assign smartconnect_6_M03_AXI_BRESP = REG_MEM2_bresp[1:0];
  assign smartconnect_6_M03_AXI_BUSER = REG_MEM2_buser[15:0];
  assign smartconnect_6_M03_AXI_BVALID = REG_MEM2_bvalid;
  assign smartconnect_6_M03_AXI_RDATA = REG_MEM2_rdata[31:0];
  assign smartconnect_6_M03_AXI_RLAST = REG_MEM2_rlast;
  assign smartconnect_6_M03_AXI_RRESP = REG_MEM2_rresp[1:0];
  assign smartconnect_6_M03_AXI_RUSER = REG_MEM2_ruser[3:0];
  assign smartconnect_6_M03_AXI_RVALID = REG_MEM2_rvalid;
  assign smartconnect_6_M03_AXI_WREADY = REG_MEM2_wready;
  assign smartconnect_6_M04_AXI_ARREADY = REG_MEM3_arready;
  assign smartconnect_6_M04_AXI_AWREADY = REG_MEM3_awready;
  assign smartconnect_6_M04_AXI_BRESP = REG_MEM3_bresp[1:0];
  assign smartconnect_6_M04_AXI_BUSER = REG_MEM3_buser[15:0];
  assign smartconnect_6_M04_AXI_BVALID = REG_MEM3_bvalid;
  assign smartconnect_6_M04_AXI_RDATA = REG_MEM3_rdata[31:0];
  assign smartconnect_6_M04_AXI_RLAST = REG_MEM3_rlast;
  assign smartconnect_6_M04_AXI_RRESP = REG_MEM3_rresp[1:0];
  assign smartconnect_6_M04_AXI_RUSER = REG_MEM3_ruser[3:0];
  assign smartconnect_6_M04_AXI_RVALID = REG_MEM3_rvalid;
  assign smartconnect_6_M04_AXI_WREADY = REG_MEM3_wready;
  assign smartconnect_6_M05_AXI_ARREADY = REG_MEM4_arready;
  assign smartconnect_6_M05_AXI_AWREADY = REG_MEM4_awready;
  assign smartconnect_6_M05_AXI_BRESP = REG_MEM4_bresp[1:0];
  assign smartconnect_6_M05_AXI_BUSER = REG_MEM4_buser[15:0];
  assign smartconnect_6_M05_AXI_BVALID = REG_MEM4_bvalid;
  assign smartconnect_6_M05_AXI_RDATA = REG_MEM4_rdata[31:0];
  assign smartconnect_6_M05_AXI_RLAST = REG_MEM4_rlast;
  assign smartconnect_6_M05_AXI_RRESP = REG_MEM4_rresp[1:0];
  assign smartconnect_6_M05_AXI_RUSER = REG_MEM4_ruser[3:0];
  assign smartconnect_6_M05_AXI_RVALID = REG_MEM4_rvalid;
  assign smartconnect_6_M05_AXI_WREADY = REG_MEM4_wready;
  assign smartconnect_6_M06_AXI_ARREADY = REG_MEM5_arready;
  assign smartconnect_6_M06_AXI_AWREADY = REG_MEM5_awready;
  assign smartconnect_6_M06_AXI_BRESP = REG_MEM5_bresp[1:0];
  assign smartconnect_6_M06_AXI_BUSER = REG_MEM5_buser[15:0];
  assign smartconnect_6_M06_AXI_BVALID = REG_MEM5_bvalid;
  assign smartconnect_6_M06_AXI_RDATA = REG_MEM5_rdata[31:0];
  assign smartconnect_6_M06_AXI_RLAST = REG_MEM5_rlast;
  assign smartconnect_6_M06_AXI_RRESP = REG_MEM5_rresp[1:0];
  assign smartconnect_6_M06_AXI_RUSER = REG_MEM5_ruser[3:0];
  assign smartconnect_6_M06_AXI_RVALID = REG_MEM5_rvalid;
  assign smartconnect_6_M06_AXI_WREADY = REG_MEM5_wready;
  assign smartconnect_6_M07_AXI_ARREADY = REG_MEM6_arready;
  assign smartconnect_6_M07_AXI_AWREADY = REG_MEM6_awready;
  assign smartconnect_6_M07_AXI_BRESP = REG_MEM6_bresp[1:0];
  assign smartconnect_6_M07_AXI_BUSER = REG_MEM6_buser[15:0];
  assign smartconnect_6_M07_AXI_BVALID = REG_MEM6_bvalid;
  assign smartconnect_6_M07_AXI_RDATA = REG_MEM6_rdata[31:0];
  assign smartconnect_6_M07_AXI_RLAST = REG_MEM6_rlast;
  assign smartconnect_6_M07_AXI_RRESP = REG_MEM6_rresp[1:0];
  assign smartconnect_6_M07_AXI_RUSER = REG_MEM6_ruser[3:0];
  assign smartconnect_6_M07_AXI_RVALID = REG_MEM6_rvalid;
  assign smartconnect_6_M07_AXI_WREADY = REG_MEM6_wready;
  assign smartconnect_6_M08_AXI_ARREADY = REG_MEM7_arready;
  assign smartconnect_6_M08_AXI_AWREADY = REG_MEM7_awready;
  assign smartconnect_6_M08_AXI_BRESP = REG_MEM7_bresp[1:0];
  assign smartconnect_6_M08_AXI_BUSER = REG_MEM7_buser[15:0];
  assign smartconnect_6_M08_AXI_BVALID = REG_MEM7_bvalid;
  assign smartconnect_6_M08_AXI_RDATA = REG_MEM7_rdata[31:0];
  assign smartconnect_6_M08_AXI_RLAST = REG_MEM7_rlast;
  assign smartconnect_6_M08_AXI_RRESP = REG_MEM7_rresp[1:0];
  assign smartconnect_6_M08_AXI_RUSER = REG_MEM7_ruser[3:0];
  assign smartconnect_6_M08_AXI_RVALID = REG_MEM7_rvalid;
  assign smartconnect_6_M08_AXI_WREADY = REG_MEM7_wready;
  assign smartconnect_6_M09_AXI_ARREADY = REG_MEM8_arready;
  assign smartconnect_6_M09_AXI_AWREADY = REG_MEM8_awready;
  assign smartconnect_6_M09_AXI_BRESP = REG_MEM8_bresp[1:0];
  assign smartconnect_6_M09_AXI_BUSER = REG_MEM8_buser[15:0];
  assign smartconnect_6_M09_AXI_BVALID = REG_MEM8_bvalid;
  assign smartconnect_6_M09_AXI_RDATA = REG_MEM8_rdata[31:0];
  assign smartconnect_6_M09_AXI_RLAST = REG_MEM8_rlast;
  assign smartconnect_6_M09_AXI_RRESP = REG_MEM8_rresp[1:0];
  assign smartconnect_6_M09_AXI_RUSER = REG_MEM8_ruser[3:0];
  assign smartconnect_6_M09_AXI_RVALID = REG_MEM8_rvalid;
  assign smartconnect_6_M09_AXI_WREADY = REG_MEM8_wready;
  assign smartconnect_6_M10_AXI_ARREADY = REG_MEM9_arready;
  assign smartconnect_6_M10_AXI_AWREADY = REG_MEM9_awready;
  assign smartconnect_6_M10_AXI_BRESP = REG_MEM9_bresp[1:0];
  assign smartconnect_6_M10_AXI_BUSER = REG_MEM9_buser[15:0];
  assign smartconnect_6_M10_AXI_BVALID = REG_MEM9_bvalid;
  assign smartconnect_6_M10_AXI_RDATA = REG_MEM9_rdata[31:0];
  assign smartconnect_6_M10_AXI_RLAST = REG_MEM9_rlast;
  assign smartconnect_6_M10_AXI_RRESP = REG_MEM9_rresp[1:0];
  assign smartconnect_6_M10_AXI_RUSER = REG_MEM9_ruser[3:0];
  assign smartconnect_6_M10_AXI_RVALID = REG_MEM9_rvalid;
  assign smartconnect_6_M10_AXI_WREADY = REG_MEM9_wready;
  assign smartconnect_6_M11_AXI_ARREADY = REG_MEM10_arready;
  assign smartconnect_6_M11_AXI_AWREADY = REG_MEM10_awready;
  assign smartconnect_6_M11_AXI_BRESP = REG_MEM10_bresp[1:0];
  assign smartconnect_6_M11_AXI_BUSER = REG_MEM10_buser[15:0];
  assign smartconnect_6_M11_AXI_BVALID = REG_MEM10_bvalid;
  assign smartconnect_6_M11_AXI_RDATA = REG_MEM10_rdata[31:0];
  assign smartconnect_6_M11_AXI_RLAST = REG_MEM10_rlast;
  assign smartconnect_6_M11_AXI_RRESP = REG_MEM10_rresp[1:0];
  assign smartconnect_6_M11_AXI_RUSER = REG_MEM10_ruser[3:0];
  assign smartconnect_6_M11_AXI_RVALID = REG_MEM10_rvalid;
  assign smartconnect_6_M11_AXI_WREADY = REG_MEM10_wready;
  assign smartconnect_6_M12_AXI_ARREADY = REG_MEM11_arready;
  assign smartconnect_6_M12_AXI_AWREADY = REG_MEM11_awready;
  assign smartconnect_6_M12_AXI_BRESP = REG_MEM11_bresp[1:0];
  assign smartconnect_6_M12_AXI_BUSER = REG_MEM11_buser[15:0];
  assign smartconnect_6_M12_AXI_BVALID = REG_MEM11_bvalid;
  assign smartconnect_6_M12_AXI_RDATA = REG_MEM11_rdata[31:0];
  assign smartconnect_6_M12_AXI_RLAST = REG_MEM11_rlast;
  assign smartconnect_6_M12_AXI_RRESP = REG_MEM11_rresp[1:0];
  assign smartconnect_6_M12_AXI_RUSER = REG_MEM11_ruser[3:0];
  assign smartconnect_6_M12_AXI_RVALID = REG_MEM11_rvalid;
  assign smartconnect_6_M12_AXI_WREADY = REG_MEM11_wready;
  assign smartconnect_6_M13_AXI_ARREADY = REG_MEM12_arready;
  assign smartconnect_6_M13_AXI_AWREADY = REG_MEM12_awready;
  assign smartconnect_6_M13_AXI_BRESP = REG_MEM12_bresp[1:0];
  assign smartconnect_6_M13_AXI_BUSER = REG_MEM12_buser[15:0];
  assign smartconnect_6_M13_AXI_BVALID = REG_MEM12_bvalid;
  assign smartconnect_6_M13_AXI_RDATA = REG_MEM12_rdata[31:0];
  assign smartconnect_6_M13_AXI_RLAST = REG_MEM12_rlast;
  assign smartconnect_6_M13_AXI_RRESP = REG_MEM12_rresp[1:0];
  assign smartconnect_6_M13_AXI_RUSER = REG_MEM12_ruser[3:0];
  assign smartconnect_6_M13_AXI_RVALID = REG_MEM12_rvalid;
  assign smartconnect_6_M13_AXI_WREADY = REG_MEM12_wready;
  assign smartconnect_7_M00_AXI_ARREADY = SMARTCONNECT6OUT_arready;
  assign smartconnect_7_M00_AXI_AWREADY = SMARTCONNECT6OUT_awready;
  assign smartconnect_7_M00_AXI_BRESP = SMARTCONNECT6OUT_bresp[1:0];
  assign smartconnect_7_M00_AXI_BUSER = SMARTCONNECT6OUT_buser[15:0];
  assign smartconnect_7_M00_AXI_BVALID = SMARTCONNECT6OUT_bvalid;
  assign smartconnect_7_M00_AXI_RDATA = SMARTCONNECT6OUT_rdata[31:0];
  assign smartconnect_7_M00_AXI_RLAST = SMARTCONNECT6OUT_rlast;
  assign smartconnect_7_M00_AXI_RRESP = SMARTCONNECT6OUT_rresp[1:0];
  assign smartconnect_7_M00_AXI_RUSER = SMARTCONNECT6OUT_ruser[3:0];
  assign smartconnect_7_M00_AXI_RVALID = SMARTCONNECT6OUT_rvalid;
  assign smartconnect_7_M00_AXI_WREADY = SMARTCONNECT6OUT_wready;
  versal_cips_ps_vip_v1_0_11_design_axi_apb_bridge_0_0 axi_apb_bridge_0
       (.m_apb_paddr(axi_apb_bridge_0_APB_M_PADDR),
        .m_apb_penable(axi_apb_bridge_0_APB_M_PENABLE),
        .m_apb_pprot(axi_apb_bridge_0_APB_M_PPROT),
        .m_apb_prdata(axi_apb_bridge_0_APB_M_PRDATA),
        .m_apb_pready(axi_apb_bridge_0_APB_M_PREADY),
        .m_apb_psel(axi_apb_bridge_0_APB_M_PSEL),
        .m_apb_pslverr(axi_apb_bridge_0_APB_M_PSLVERR),
        .m_apb_pstrb(axi_apb_bridge_0_APB_M_PSTRB),
        .m_apb_pwdata(axi_apb_bridge_0_APB_M_PWDATA),
        .m_apb_pwrite(axi_apb_bridge_0_APB_M_PWRITE),
        .s_axi_aclk(aclk_0_1),
        .s_axi_araddr(sc_axi2apb_slave_side_M00_AXI_ARADDR),
        .s_axi_aresetn(aresetn_0_1),
        .s_axi_arprot(sc_axi2apb_slave_side_M00_AXI_ARPROT),
        .s_axi_arready(sc_axi2apb_slave_side_M00_AXI_ARREADY),
        .s_axi_arvalid(sc_axi2apb_slave_side_M00_AXI_ARVALID),
        .s_axi_awaddr(sc_axi2apb_slave_side_M00_AXI_AWADDR),
        .s_axi_awprot(sc_axi2apb_slave_side_M00_AXI_AWPROT),
        .s_axi_awready(sc_axi2apb_slave_side_M00_AXI_AWREADY),
        .s_axi_awvalid(sc_axi2apb_slave_side_M00_AXI_AWVALID),
        .s_axi_bready(sc_axi2apb_slave_side_M00_AXI_BREADY),
        .s_axi_bresp(sc_axi2apb_slave_side_M00_AXI_BRESP),
        .s_axi_bvalid(sc_axi2apb_slave_side_M00_AXI_BVALID),
        .s_axi_rdata(sc_axi2apb_slave_side_M00_AXI_RDATA),
        .s_axi_rready(sc_axi2apb_slave_side_M00_AXI_RREADY),
        .s_axi_rresp(sc_axi2apb_slave_side_M00_AXI_RRESP),
        .s_axi_rvalid(sc_axi2apb_slave_side_M00_AXI_RVALID),
        .s_axi_wdata(sc_axi2apb_slave_side_M00_AXI_WDATA),
        .s_axi_wready(sc_axi2apb_slave_side_M00_AXI_WREADY),
        .s_axi_wstrb(sc_axi2apb_slave_side_M00_AXI_WSTRB),
        .s_axi_wvalid(sc_axi2apb_slave_side_M00_AXI_WVALID));
  versal_cips_ps_vip_v1_0_11_design_sc_axi2apb_slave_side_0 sc_axi2apb_slave_side
       (.M00_AXI_araddr(sc_axi2apb_slave_side_M00_AXI_ARADDR),
        .M00_AXI_arprot(sc_axi2apb_slave_side_M00_AXI_ARPROT),
        .M00_AXI_arready(sc_axi2apb_slave_side_M00_AXI_ARREADY),
        .M00_AXI_arvalid(sc_axi2apb_slave_side_M00_AXI_ARVALID),
        .M00_AXI_awaddr(sc_axi2apb_slave_side_M00_AXI_AWADDR),
        .M00_AXI_awprot(sc_axi2apb_slave_side_M00_AXI_AWPROT),
        .M00_AXI_awready(sc_axi2apb_slave_side_M00_AXI_AWREADY),
        .M00_AXI_awvalid(sc_axi2apb_slave_side_M00_AXI_AWVALID),
        .M00_AXI_bready(sc_axi2apb_slave_side_M00_AXI_BREADY),
        .M00_AXI_bresp(sc_axi2apb_slave_side_M00_AXI_BRESP),
        .M00_AXI_bvalid(sc_axi2apb_slave_side_M00_AXI_BVALID),
        .M00_AXI_rdata(sc_axi2apb_slave_side_M00_AXI_RDATA),
        .M00_AXI_rready(sc_axi2apb_slave_side_M00_AXI_RREADY),
        .M00_AXI_rresp(sc_axi2apb_slave_side_M00_AXI_RRESP),
        .M00_AXI_rvalid(sc_axi2apb_slave_side_M00_AXI_RVALID),
        .M00_AXI_wdata(sc_axi2apb_slave_side_M00_AXI_WDATA),
        .M00_AXI_wready(sc_axi2apb_slave_side_M00_AXI_WREADY),
        .M00_AXI_wstrb(sc_axi2apb_slave_side_M00_AXI_WSTRB),
        .M00_AXI_wvalid(sc_axi2apb_slave_side_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_0_2_ARADDR),
        .S00_AXI_arburst(S00_AXI_0_2_ARBURST),
        .S00_AXI_arcache(S00_AXI_0_2_ARCACHE),
        .S00_AXI_arlen(S00_AXI_0_2_ARLEN),
        .S00_AXI_arlock(S00_AXI_0_2_ARLOCK),
        .S00_AXI_arprot(S00_AXI_0_2_ARPROT),
        .S00_AXI_arqos(S00_AXI_0_2_ARQOS),
        .S00_AXI_arready(S00_AXI_0_2_ARREADY),
        .S00_AXI_arsize(S00_AXI_0_2_ARSIZE),
        .S00_AXI_arvalid(S00_AXI_0_2_ARVALID),
        .S00_AXI_awaddr(S00_AXI_0_2_AWADDR),
        .S00_AXI_awburst(S00_AXI_0_2_AWBURST),
        .S00_AXI_awcache(S00_AXI_0_2_AWCACHE),
        .S00_AXI_awlen(S00_AXI_0_2_AWLEN),
        .S00_AXI_awlock(S00_AXI_0_2_AWLOCK),
        .S00_AXI_awprot(S00_AXI_0_2_AWPROT),
        .S00_AXI_awqos(S00_AXI_0_2_AWQOS),
        .S00_AXI_awready(S00_AXI_0_2_AWREADY),
        .S00_AXI_awsize(S00_AXI_0_2_AWSIZE),
        .S00_AXI_awvalid(S00_AXI_0_2_AWVALID),
        .S00_AXI_bready(S00_AXI_0_2_BREADY),
        .S00_AXI_bresp(S00_AXI_0_2_BRESP),
        .S00_AXI_bvalid(S00_AXI_0_2_BVALID),
        .S00_AXI_rdata(S00_AXI_0_2_RDATA),
        .S00_AXI_rlast(S00_AXI_0_2_RLAST),
        .S00_AXI_rready(S00_AXI_0_2_RREADY),
        .S00_AXI_rresp(S00_AXI_0_2_RRESP),
        .S00_AXI_rvalid(S00_AXI_0_2_RVALID),
        .S00_AXI_wdata(S00_AXI_0_2_WDATA),
        .S00_AXI_wlast(S00_AXI_0_2_WLAST),
        .S00_AXI_wready(S00_AXI_0_2_WREADY),
        .S00_AXI_wstrb(S00_AXI_0_2_WSTRB),
        .S00_AXI_wvalid(S00_AXI_0_2_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x32_0 sc_psplfpd128x32
       (.M00_AXI_araddr(sc_psplfpd128x32_M00_AXI_ARADDR),
        .M00_AXI_arburst(sc_psplfpd128x32_M00_AXI_ARBURST),
        .M00_AXI_arcache(sc_psplfpd128x32_M00_AXI_ARCACHE),
        .M00_AXI_arlen(sc_psplfpd128x32_M00_AXI_ARLEN),
        .M00_AXI_arlock(sc_psplfpd128x32_M00_AXI_ARLOCK),
        .M00_AXI_arprot(sc_psplfpd128x32_M00_AXI_ARPROT),
        .M00_AXI_arqos(sc_psplfpd128x32_M00_AXI_ARQOS),
        .M00_AXI_arready(sc_psplfpd128x32_M00_AXI_ARREADY),
        .M00_AXI_arsize(sc_psplfpd128x32_M00_AXI_ARSIZE),
        .M00_AXI_aruser(sc_psplfpd128x32_M00_AXI_ARUSER),
        .M00_AXI_arvalid(sc_psplfpd128x32_M00_AXI_ARVALID),
        .M00_AXI_awaddr(sc_psplfpd128x32_M00_AXI_AWADDR),
        .M00_AXI_awburst(sc_psplfpd128x32_M00_AXI_AWBURST),
        .M00_AXI_awcache(sc_psplfpd128x32_M00_AXI_AWCACHE),
        .M00_AXI_awlen(sc_psplfpd128x32_M00_AXI_AWLEN),
        .M00_AXI_awlock(sc_psplfpd128x32_M00_AXI_AWLOCK),
        .M00_AXI_awprot(sc_psplfpd128x32_M00_AXI_AWPROT),
        .M00_AXI_awqos(sc_psplfpd128x32_M00_AXI_AWQOS),
        .M00_AXI_awready(sc_psplfpd128x32_M00_AXI_AWREADY),
        .M00_AXI_awsize(sc_psplfpd128x32_M00_AXI_AWSIZE),
        .M00_AXI_awuser(sc_psplfpd128x32_M00_AXI_AWUSER),
        .M00_AXI_awvalid(sc_psplfpd128x32_M00_AXI_AWVALID),
        .M00_AXI_bready(sc_psplfpd128x32_M00_AXI_BREADY),
        .M00_AXI_bresp(sc_psplfpd128x32_M00_AXI_BRESP),
        .M00_AXI_buser(sc_psplfpd128x32_M00_AXI_BUSER),
        .M00_AXI_bvalid(sc_psplfpd128x32_M00_AXI_BVALID),
        .M00_AXI_rdata(sc_psplfpd128x32_M00_AXI_RDATA),
        .M00_AXI_rlast(sc_psplfpd128x32_M00_AXI_RLAST),
        .M00_AXI_rready(sc_psplfpd128x32_M00_AXI_RREADY),
        .M00_AXI_rresp(sc_psplfpd128x32_M00_AXI_RRESP),
        .M00_AXI_ruser(sc_psplfpd128x32_M00_AXI_RUSER),
        .M00_AXI_rvalid(sc_psplfpd128x32_M00_AXI_RVALID),
        .M00_AXI_wdata(sc_psplfpd128x32_M00_AXI_WDATA),
        .M00_AXI_wlast(sc_psplfpd128x32_M00_AXI_WLAST),
        .M00_AXI_wready(sc_psplfpd128x32_M00_AXI_WREADY),
        .M00_AXI_wstrb(sc_psplfpd128x32_M00_AXI_WSTRB),
        .M00_AXI_wuser(sc_psplfpd128x32_M00_AXI_WUSER),
        .M00_AXI_wvalid(sc_psplfpd128x32_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_PSPLFPD128X32_ARADDR),
        .S00_AXI_arburst(S00_AXI_PSPLFPD128X32_ARBURST),
        .S00_AXI_arcache(S00_AXI_PSPLFPD128X32_ARCACHE),
        .S00_AXI_arid(S00_AXI_PSPLFPD128X32_ARID),
        .S00_AXI_arlen(S00_AXI_PSPLFPD128X32_ARLEN),
        .S00_AXI_arlock(S00_AXI_PSPLFPD128X32_ARLOCK),
        .S00_AXI_arprot(S00_AXI_PSPLFPD128X32_ARPROT),
        .S00_AXI_arqos(S00_AXI_PSPLFPD128X32_ARQOS),
        .S00_AXI_arready(S00_AXI_PSPLFPD128X32_ARREADY),
        .S00_AXI_arsize(S00_AXI_PSPLFPD128X32_ARSIZE),
        .S00_AXI_aruser(S00_AXI_PSPLFPD128X32_ARUSER),
        .S00_AXI_arvalid(S00_AXI_PSPLFPD128X32_ARVALID),
        .S00_AXI_awaddr(S00_AXI_PSPLFPD128X32_AWADDR),
        .S00_AXI_awburst(S00_AXI_PSPLFPD128X32_AWBURST),
        .S00_AXI_awcache(S00_AXI_PSPLFPD128X32_AWCACHE),
        .S00_AXI_awid(S00_AXI_PSPLFPD128X32_AWID),
        .S00_AXI_awlen(S00_AXI_PSPLFPD128X32_AWLEN),
        .S00_AXI_awlock(S00_AXI_PSPLFPD128X32_AWLOCK),
        .S00_AXI_awprot(S00_AXI_PSPLFPD128X32_AWPROT),
        .S00_AXI_awqos(S00_AXI_PSPLFPD128X32_AWQOS),
        .S00_AXI_awready(S00_AXI_PSPLFPD128X32_AWREADY),
        .S00_AXI_awsize(S00_AXI_PSPLFPD128X32_AWSIZE),
        .S00_AXI_awuser(S00_AXI_PSPLFPD128X32_AWUSER),
        .S00_AXI_awvalid(S00_AXI_PSPLFPD128X32_AWVALID),
        .S00_AXI_bid(S00_AXI_PSPLFPD128X32_BID),
        .S00_AXI_bready(S00_AXI_PSPLFPD128X32_BREADY),
        .S00_AXI_bresp(S00_AXI_PSPLFPD128X32_BRESP),
        .S00_AXI_buser(S00_AXI_PSPLFPD128X32_BUSER),
        .S00_AXI_bvalid(S00_AXI_PSPLFPD128X32_BVALID),
        .S00_AXI_rdata(S00_AXI_PSPLFPD128X32_RDATA),
        .S00_AXI_rid(S00_AXI_PSPLFPD128X32_RID),
        .S00_AXI_rlast(S00_AXI_PSPLFPD128X32_RLAST),
        .S00_AXI_rready(S00_AXI_PSPLFPD128X32_RREADY),
        .S00_AXI_rresp(S00_AXI_PSPLFPD128X32_RRESP),
        .S00_AXI_ruser(S00_AXI_PSPLFPD128X32_RUSER),
        .S00_AXI_rvalid(S00_AXI_PSPLFPD128X32_RVALID),
        .S00_AXI_wdata(S00_AXI_PSPLFPD128X32_WDATA),
        .S00_AXI_wlast(S00_AXI_PSPLFPD128X32_WLAST),
        .S00_AXI_wready(S00_AXI_PSPLFPD128X32_WREADY),
        .S00_AXI_wstrb(S00_AXI_PSPLFPD128X32_WSTRB),
        .S00_AXI_wuser(S00_AXI_PSPLFPD128X32_WUSER),
        .S00_AXI_wvalid(S00_AXI_PSPLFPD128X32_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_sc_psplfpd128x64_0 sc_psplfpd128x64
       (.M00_AXI_araddr(sc_psplfpd128x64_M00_AXI_ARADDR),
        .M00_AXI_arburst(sc_psplfpd128x64_M00_AXI_ARBURST),
        .M00_AXI_arcache(sc_psplfpd128x64_M00_AXI_ARCACHE),
        .M00_AXI_arlen(sc_psplfpd128x64_M00_AXI_ARLEN),
        .M00_AXI_arlock(sc_psplfpd128x64_M00_AXI_ARLOCK),
        .M00_AXI_arprot(sc_psplfpd128x64_M00_AXI_ARPROT),
        .M00_AXI_arqos(sc_psplfpd128x64_M00_AXI_ARQOS),
        .M00_AXI_arready(sc_psplfpd128x64_M00_AXI_ARREADY),
        .M00_AXI_arsize(sc_psplfpd128x64_M00_AXI_ARSIZE),
        .M00_AXI_aruser(sc_psplfpd128x64_M00_AXI_ARUSER),
        .M00_AXI_arvalid(sc_psplfpd128x64_M00_AXI_ARVALID),
        .M00_AXI_awaddr(sc_psplfpd128x64_M00_AXI_AWADDR),
        .M00_AXI_awburst(sc_psplfpd128x64_M00_AXI_AWBURST),
        .M00_AXI_awcache(sc_psplfpd128x64_M00_AXI_AWCACHE),
        .M00_AXI_awlen(sc_psplfpd128x64_M00_AXI_AWLEN),
        .M00_AXI_awlock(sc_psplfpd128x64_M00_AXI_AWLOCK),
        .M00_AXI_awprot(sc_psplfpd128x64_M00_AXI_AWPROT),
        .M00_AXI_awqos(sc_psplfpd128x64_M00_AXI_AWQOS),
        .M00_AXI_awready(sc_psplfpd128x64_M00_AXI_AWREADY),
        .M00_AXI_awsize(sc_psplfpd128x64_M00_AXI_AWSIZE),
        .M00_AXI_awuser(sc_psplfpd128x64_M00_AXI_AWUSER),
        .M00_AXI_awvalid(sc_psplfpd128x64_M00_AXI_AWVALID),
        .M00_AXI_bready(sc_psplfpd128x64_M00_AXI_BREADY),
        .M00_AXI_bresp(sc_psplfpd128x64_M00_AXI_BRESP),
        .M00_AXI_buser(sc_psplfpd128x64_M00_AXI_BUSER),
        .M00_AXI_bvalid(sc_psplfpd128x64_M00_AXI_BVALID),
        .M00_AXI_rdata(sc_psplfpd128x64_M00_AXI_RDATA),
        .M00_AXI_rlast(sc_psplfpd128x64_M00_AXI_RLAST),
        .M00_AXI_rready(sc_psplfpd128x64_M00_AXI_RREADY),
        .M00_AXI_rresp(sc_psplfpd128x64_M00_AXI_RRESP),
        .M00_AXI_ruser(sc_psplfpd128x64_M00_AXI_RUSER),
        .M00_AXI_rvalid(sc_psplfpd128x64_M00_AXI_RVALID),
        .M00_AXI_wdata(sc_psplfpd128x64_M00_AXI_WDATA),
        .M00_AXI_wlast(sc_psplfpd128x64_M00_AXI_WLAST),
        .M00_AXI_wready(sc_psplfpd128x64_M00_AXI_WREADY),
        .M00_AXI_wstrb(sc_psplfpd128x64_M00_AXI_WSTRB),
        .M00_AXI_wuser(sc_psplfpd128x64_M00_AXI_WUSER),
        .M00_AXI_wvalid(sc_psplfpd128x64_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_PSPLFPD128X64_ARADDR),
        .S00_AXI_arburst(S00_AXI_PSPLFPD128X64_ARBURST),
        .S00_AXI_arcache(S00_AXI_PSPLFPD128X64_ARCACHE),
        .S00_AXI_arid(S00_AXI_PSPLFPD128X64_ARID),
        .S00_AXI_arlen(S00_AXI_PSPLFPD128X64_ARLEN),
        .S00_AXI_arlock(S00_AXI_PSPLFPD128X64_ARLOCK),
        .S00_AXI_arprot(S00_AXI_PSPLFPD128X64_ARPROT),
        .S00_AXI_arqos(S00_AXI_PSPLFPD128X64_ARQOS),
        .S00_AXI_arready(S00_AXI_PSPLFPD128X64_ARREADY),
        .S00_AXI_arsize(S00_AXI_PSPLFPD128X64_ARSIZE),
        .S00_AXI_aruser(S00_AXI_PSPLFPD128X64_ARUSER),
        .S00_AXI_arvalid(S00_AXI_PSPLFPD128X64_ARVALID),
        .S00_AXI_awaddr(S00_AXI_PSPLFPD128X64_AWADDR),
        .S00_AXI_awburst(S00_AXI_PSPLFPD128X64_AWBURST),
        .S00_AXI_awcache(S00_AXI_PSPLFPD128X64_AWCACHE),
        .S00_AXI_awid(S00_AXI_PSPLFPD128X64_AWID),
        .S00_AXI_awlen(S00_AXI_PSPLFPD128X64_AWLEN),
        .S00_AXI_awlock(S00_AXI_PSPLFPD128X64_AWLOCK),
        .S00_AXI_awprot(S00_AXI_PSPLFPD128X64_AWPROT),
        .S00_AXI_awqos(S00_AXI_PSPLFPD128X64_AWQOS),
        .S00_AXI_awready(S00_AXI_PSPLFPD128X64_AWREADY),
        .S00_AXI_awsize(S00_AXI_PSPLFPD128X64_AWSIZE),
        .S00_AXI_awuser(S00_AXI_PSPLFPD128X64_AWUSER),
        .S00_AXI_awvalid(S00_AXI_PSPLFPD128X64_AWVALID),
        .S00_AXI_bid(S00_AXI_PSPLFPD128X64_BID),
        .S00_AXI_bready(S00_AXI_PSPLFPD128X64_BREADY),
        .S00_AXI_bresp(S00_AXI_PSPLFPD128X64_BRESP),
        .S00_AXI_buser(S00_AXI_PSPLFPD128X64_BUSER),
        .S00_AXI_bvalid(S00_AXI_PSPLFPD128X64_BVALID),
        .S00_AXI_rdata(S00_AXI_PSPLFPD128X64_RDATA),
        .S00_AXI_rid(S00_AXI_PSPLFPD128X64_RID),
        .S00_AXI_rlast(S00_AXI_PSPLFPD128X64_RLAST),
        .S00_AXI_rready(S00_AXI_PSPLFPD128X64_RREADY),
        .S00_AXI_rresp(S00_AXI_PSPLFPD128X64_RRESP),
        .S00_AXI_ruser(S00_AXI_PSPLFPD128X64_RUSER),
        .S00_AXI_rvalid(S00_AXI_PSPLFPD128X64_RVALID),
        .S00_AXI_wdata(S00_AXI_PSPLFPD128X64_WDATA),
        .S00_AXI_wlast(S00_AXI_PSPLFPD128X64_WLAST),
        .S00_AXI_wready(S00_AXI_PSPLFPD128X64_WREADY),
        .S00_AXI_wstrb(S00_AXI_PSPLFPD128X64_WSTRB),
        .S00_AXI_wuser(S00_AXI_PSPLFPD128X64_WUSER),
        .S00_AXI_wvalid(S00_AXI_PSPLFPD128X64_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x32_0 sc_pspllpd128x32
       (.M00_AXI_araddr(sc_pspllpd128x32_M00_AXI_ARADDR),
        .M00_AXI_arburst(sc_pspllpd128x32_M00_AXI_ARBURST),
        .M00_AXI_arcache(sc_pspllpd128x32_M00_AXI_ARCACHE),
        .M00_AXI_arlen(sc_pspllpd128x32_M00_AXI_ARLEN),
        .M00_AXI_arlock(sc_pspllpd128x32_M00_AXI_ARLOCK),
        .M00_AXI_arprot(sc_pspllpd128x32_M00_AXI_ARPROT),
        .M00_AXI_arqos(sc_pspllpd128x32_M00_AXI_ARQOS),
        .M00_AXI_arready(sc_pspllpd128x32_M00_AXI_ARREADY),
        .M00_AXI_arsize(sc_pspllpd128x32_M00_AXI_ARSIZE),
        .M00_AXI_aruser(sc_pspllpd128x32_M00_AXI_ARUSER),
        .M00_AXI_arvalid(sc_pspllpd128x32_M00_AXI_ARVALID),
        .M00_AXI_awaddr(sc_pspllpd128x32_M00_AXI_AWADDR),
        .M00_AXI_awburst(sc_pspllpd128x32_M00_AXI_AWBURST),
        .M00_AXI_awcache(sc_pspllpd128x32_M00_AXI_AWCACHE),
        .M00_AXI_awlen(sc_pspllpd128x32_M00_AXI_AWLEN),
        .M00_AXI_awlock(sc_pspllpd128x32_M00_AXI_AWLOCK),
        .M00_AXI_awprot(sc_pspllpd128x32_M00_AXI_AWPROT),
        .M00_AXI_awqos(sc_pspllpd128x32_M00_AXI_AWQOS),
        .M00_AXI_awready(sc_pspllpd128x32_M00_AXI_AWREADY),
        .M00_AXI_awsize(sc_pspllpd128x32_M00_AXI_AWSIZE),
        .M00_AXI_awuser(sc_pspllpd128x32_M00_AXI_AWUSER),
        .M00_AXI_awvalid(sc_pspllpd128x32_M00_AXI_AWVALID),
        .M00_AXI_bready(sc_pspllpd128x32_M00_AXI_BREADY),
        .M00_AXI_bresp(sc_pspllpd128x32_M00_AXI_BRESP),
        .M00_AXI_buser(sc_pspllpd128x32_M00_AXI_BUSER),
        .M00_AXI_bvalid(sc_pspllpd128x32_M00_AXI_BVALID),
        .M00_AXI_rdata(sc_pspllpd128x32_M00_AXI_RDATA),
        .M00_AXI_rlast(sc_pspllpd128x32_M00_AXI_RLAST),
        .M00_AXI_rready(sc_pspllpd128x32_M00_AXI_RREADY),
        .M00_AXI_rresp(sc_pspllpd128x32_M00_AXI_RRESP),
        .M00_AXI_ruser(sc_pspllpd128x32_M00_AXI_RUSER),
        .M00_AXI_rvalid(sc_pspllpd128x32_M00_AXI_RVALID),
        .M00_AXI_wdata(sc_pspllpd128x32_M00_AXI_WDATA),
        .M00_AXI_wlast(sc_pspllpd128x32_M00_AXI_WLAST),
        .M00_AXI_wready(sc_pspllpd128x32_M00_AXI_WREADY),
        .M00_AXI_wstrb(sc_pspllpd128x32_M00_AXI_WSTRB),
        .M00_AXI_wuser(sc_pspllpd128x32_M00_AXI_WUSER),
        .M00_AXI_wvalid(sc_pspllpd128x32_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_PSPLLPD128X32_ARADDR),
        .S00_AXI_arburst(S00_AXI_PSPLLPD128X32_ARBURST),
        .S00_AXI_arcache(S00_AXI_PSPLLPD128X32_ARCACHE),
        .S00_AXI_arid(S00_AXI_PSPLLPD128X32_ARID),
        .S00_AXI_arlen(S00_AXI_PSPLLPD128X32_ARLEN),
        .S00_AXI_arlock(S00_AXI_PSPLLPD128X32_ARLOCK),
        .S00_AXI_arprot(S00_AXI_PSPLLPD128X32_ARPROT),
        .S00_AXI_arqos(S00_AXI_PSPLLPD128X32_ARQOS),
        .S00_AXI_arready(S00_AXI_PSPLLPD128X32_ARREADY),
        .S00_AXI_arsize(S00_AXI_PSPLLPD128X32_ARSIZE),
        .S00_AXI_aruser(S00_AXI_PSPLLPD128X32_ARUSER),
        .S00_AXI_arvalid(S00_AXI_PSPLLPD128X32_ARVALID),
        .S00_AXI_awaddr(S00_AXI_PSPLLPD128X32_AWADDR),
        .S00_AXI_awburst(S00_AXI_PSPLLPD128X32_AWBURST),
        .S00_AXI_awcache(S00_AXI_PSPLLPD128X32_AWCACHE),
        .S00_AXI_awid(S00_AXI_PSPLLPD128X32_AWID),
        .S00_AXI_awlen(S00_AXI_PSPLLPD128X32_AWLEN),
        .S00_AXI_awlock(S00_AXI_PSPLLPD128X32_AWLOCK),
        .S00_AXI_awprot(S00_AXI_PSPLLPD128X32_AWPROT),
        .S00_AXI_awqos(S00_AXI_PSPLLPD128X32_AWQOS),
        .S00_AXI_awready(S00_AXI_PSPLLPD128X32_AWREADY),
        .S00_AXI_awsize(S00_AXI_PSPLLPD128X32_AWSIZE),
        .S00_AXI_awuser(S00_AXI_PSPLLPD128X32_AWUSER),
        .S00_AXI_awvalid(S00_AXI_PSPLLPD128X32_AWVALID),
        .S00_AXI_bid(S00_AXI_PSPLLPD128X32_BID),
        .S00_AXI_bready(S00_AXI_PSPLLPD128X32_BREADY),
        .S00_AXI_bresp(S00_AXI_PSPLLPD128X32_BRESP),
        .S00_AXI_buser(S00_AXI_PSPLLPD128X32_BUSER),
        .S00_AXI_bvalid(S00_AXI_PSPLLPD128X32_BVALID),
        .S00_AXI_rdata(S00_AXI_PSPLLPD128X32_RDATA),
        .S00_AXI_rid(S00_AXI_PSPLLPD128X32_RID),
        .S00_AXI_rlast(S00_AXI_PSPLLPD128X32_RLAST),
        .S00_AXI_rready(S00_AXI_PSPLLPD128X32_RREADY),
        .S00_AXI_rresp(S00_AXI_PSPLLPD128X32_RRESP),
        .S00_AXI_ruser(S00_AXI_PSPLLPD128X32_RUSER),
        .S00_AXI_rvalid(S00_AXI_PSPLLPD128X32_RVALID),
        .S00_AXI_wdata(S00_AXI_PSPLLPD128X32_WDATA),
        .S00_AXI_wlast(S00_AXI_PSPLLPD128X32_WLAST),
        .S00_AXI_wready(S00_AXI_PSPLLPD128X32_WREADY),
        .S00_AXI_wstrb(S00_AXI_PSPLLPD128X32_WSTRB),
        .S00_AXI_wuser(S00_AXI_PSPLLPD128X32_WUSER),
        .S00_AXI_wvalid(S00_AXI_PSPLLPD128X32_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_sc_pspllpd128x64_0 sc_pspllpd128x64
       (.M00_AXI_araddr(sc_pspllpd128x64_M00_AXI_ARADDR),
        .M00_AXI_arburst(sc_pspllpd128x64_M00_AXI_ARBURST),
        .M00_AXI_arcache(sc_pspllpd128x64_M00_AXI_ARCACHE),
        .M00_AXI_arlen(sc_pspllpd128x64_M00_AXI_ARLEN),
        .M00_AXI_arlock(sc_pspllpd128x64_M00_AXI_ARLOCK),
        .M00_AXI_arprot(sc_pspllpd128x64_M00_AXI_ARPROT),
        .M00_AXI_arqos(sc_pspllpd128x64_M00_AXI_ARQOS),
        .M00_AXI_arready(sc_pspllpd128x64_M00_AXI_ARREADY),
        .M00_AXI_arsize(sc_pspllpd128x64_M00_AXI_ARSIZE),
        .M00_AXI_aruser(sc_pspllpd128x64_M00_AXI_ARUSER),
        .M00_AXI_arvalid(sc_pspllpd128x64_M00_AXI_ARVALID),
        .M00_AXI_awaddr(sc_pspllpd128x64_M00_AXI_AWADDR),
        .M00_AXI_awburst(sc_pspllpd128x64_M00_AXI_AWBURST),
        .M00_AXI_awcache(sc_pspllpd128x64_M00_AXI_AWCACHE),
        .M00_AXI_awlen(sc_pspllpd128x64_M00_AXI_AWLEN),
        .M00_AXI_awlock(sc_pspllpd128x64_M00_AXI_AWLOCK),
        .M00_AXI_awprot(sc_pspllpd128x64_M00_AXI_AWPROT),
        .M00_AXI_awqos(sc_pspllpd128x64_M00_AXI_AWQOS),
        .M00_AXI_awready(sc_pspllpd128x64_M00_AXI_AWREADY),
        .M00_AXI_awsize(sc_pspllpd128x64_M00_AXI_AWSIZE),
        .M00_AXI_awuser(sc_pspllpd128x64_M00_AXI_AWUSER),
        .M00_AXI_awvalid(sc_pspllpd128x64_M00_AXI_AWVALID),
        .M00_AXI_bready(sc_pspllpd128x64_M00_AXI_BREADY),
        .M00_AXI_bresp(sc_pspllpd128x64_M00_AXI_BRESP),
        .M00_AXI_buser(sc_pspllpd128x64_M00_AXI_BUSER),
        .M00_AXI_bvalid(sc_pspllpd128x64_M00_AXI_BVALID),
        .M00_AXI_rdata(sc_pspllpd128x64_M00_AXI_RDATA),
        .M00_AXI_rlast(sc_pspllpd128x64_M00_AXI_RLAST),
        .M00_AXI_rready(sc_pspllpd128x64_M00_AXI_RREADY),
        .M00_AXI_rresp(sc_pspllpd128x64_M00_AXI_RRESP),
        .M00_AXI_ruser(sc_pspllpd128x64_M00_AXI_RUSER),
        .M00_AXI_rvalid(sc_pspllpd128x64_M00_AXI_RVALID),
        .M00_AXI_wdata(sc_pspllpd128x64_M00_AXI_WDATA),
        .M00_AXI_wlast(sc_pspllpd128x64_M00_AXI_WLAST),
        .M00_AXI_wready(sc_pspllpd128x64_M00_AXI_WREADY),
        .M00_AXI_wstrb(sc_pspllpd128x64_M00_AXI_WSTRB),
        .M00_AXI_wuser(sc_pspllpd128x64_M00_AXI_WUSER),
        .M00_AXI_wvalid(sc_pspllpd128x64_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_PSPLLPD128X64_ARADDR),
        .S00_AXI_arburst(S00_AXI_PSPLLPD128X64_ARBURST),
        .S00_AXI_arcache(S00_AXI_PSPLLPD128X64_ARCACHE),
        .S00_AXI_arid(S00_AXI_PSPLLPD128X64_ARID),
        .S00_AXI_arlen(S00_AXI_PSPLLPD128X64_ARLEN),
        .S00_AXI_arlock(S00_AXI_PSPLLPD128X64_ARLOCK),
        .S00_AXI_arprot(S00_AXI_PSPLLPD128X64_ARPROT),
        .S00_AXI_arqos(S00_AXI_PSPLLPD128X64_ARQOS),
        .S00_AXI_arready(S00_AXI_PSPLLPD128X64_ARREADY),
        .S00_AXI_arsize(S00_AXI_PSPLLPD128X64_ARSIZE),
        .S00_AXI_aruser(S00_AXI_PSPLLPD128X64_ARUSER),
        .S00_AXI_arvalid(S00_AXI_PSPLLPD128X64_ARVALID),
        .S00_AXI_awaddr(S00_AXI_PSPLLPD128X64_AWADDR),
        .S00_AXI_awburst(S00_AXI_PSPLLPD128X64_AWBURST),
        .S00_AXI_awcache(S00_AXI_PSPLLPD128X64_AWCACHE),
        .S00_AXI_awid(S00_AXI_PSPLLPD128X64_AWID),
        .S00_AXI_awlen(S00_AXI_PSPLLPD128X64_AWLEN),
        .S00_AXI_awlock(S00_AXI_PSPLLPD128X64_AWLOCK),
        .S00_AXI_awprot(S00_AXI_PSPLLPD128X64_AWPROT),
        .S00_AXI_awqos(S00_AXI_PSPLLPD128X64_AWQOS),
        .S00_AXI_awready(S00_AXI_PSPLLPD128X64_AWREADY),
        .S00_AXI_awsize(S00_AXI_PSPLLPD128X64_AWSIZE),
        .S00_AXI_awuser(S00_AXI_PSPLLPD128X64_AWUSER),
        .S00_AXI_awvalid(S00_AXI_PSPLLPD128X64_AWVALID),
        .S00_AXI_bid(S00_AXI_PSPLLPD128X64_BID),
        .S00_AXI_bready(S00_AXI_PSPLLPD128X64_BREADY),
        .S00_AXI_bresp(S00_AXI_PSPLLPD128X64_BRESP),
        .S00_AXI_buser(S00_AXI_PSPLLPD128X64_BUSER),
        .S00_AXI_bvalid(S00_AXI_PSPLLPD128X64_BVALID),
        .S00_AXI_rdata(S00_AXI_PSPLLPD128X64_RDATA),
        .S00_AXI_rid(S00_AXI_PSPLLPD128X64_RID),
        .S00_AXI_rlast(S00_AXI_PSPLLPD128X64_RLAST),
        .S00_AXI_rready(S00_AXI_PSPLLPD128X64_RREADY),
        .S00_AXI_rresp(S00_AXI_PSPLLPD128X64_RRESP),
        .S00_AXI_ruser(S00_AXI_PSPLLPD128X64_RUSER),
        .S00_AXI_rvalid(S00_AXI_PSPLLPD128X64_RVALID),
        .S00_AXI_wdata(S00_AXI_PSPLLPD128X64_WDATA),
        .S00_AXI_wlast(S00_AXI_PSPLLPD128X64_WLAST),
        .S00_AXI_wready(S00_AXI_PSPLLPD128X64_WREADY),
        .S00_AXI_wstrb(S00_AXI_PSPLLPD128X64_WSTRB),
        .S00_AXI_wuser(S00_AXI_PSPLLPD128X64_WUSER),
        .S00_AXI_wvalid(S00_AXI_PSPLLPD128X64_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_1_0 smartconnect_1
       (.M00_AXI_araddr(smartconnect_1_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_1_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_1_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_1_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_1_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_1_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_1_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_1_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_1_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_1_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_1_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_1_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_1_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_1_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_1_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_1_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_1_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_1_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_1_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_1_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_1_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_1_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_1_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_1_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_1_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_1_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_1_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_1_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_1_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_1_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_1_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_1_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_1_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_1_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_1_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_1_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_1_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_1_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_0_ARADDR),
        .S00_AXI_arburst(S00_AXI_0_ARBURST),
        .S00_AXI_arcache(S00_AXI_0_ARCACHE),
        .S00_AXI_arid(S00_AXI_0_ARID),
        .S00_AXI_arlen(S00_AXI_0_ARLEN),
        .S00_AXI_arlock(S00_AXI_0_ARLOCK),
        .S00_AXI_arprot(S00_AXI_0_ARPROT),
        .S00_AXI_arqos(S00_AXI_0_ARQOS),
        .S00_AXI_arready(S00_AXI_0_ARREADY),
        .S00_AXI_arsize(S00_AXI_0_ARSIZE),
        .S00_AXI_aruser(S00_AXI_0_ARUSER),
        .S00_AXI_arvalid(S00_AXI_0_ARVALID),
        .S00_AXI_awaddr(S00_AXI_0_AWADDR),
        .S00_AXI_awburst(S00_AXI_0_AWBURST),
        .S00_AXI_awcache(S00_AXI_0_AWCACHE),
        .S00_AXI_awid(S00_AXI_0_AWID),
        .S00_AXI_awlen(S00_AXI_0_AWLEN),
        .S00_AXI_awlock(S00_AXI_0_AWLOCK),
        .S00_AXI_awprot(S00_AXI_0_AWPROT),
        .S00_AXI_awqos(S00_AXI_0_AWQOS),
        .S00_AXI_awready(S00_AXI_0_AWREADY),
        .S00_AXI_awsize(S00_AXI_0_AWSIZE),
        .S00_AXI_awuser(S00_AXI_0_AWUSER),
        .S00_AXI_awvalid(S00_AXI_0_AWVALID),
        .S00_AXI_bid(S00_AXI_0_BID),
        .S00_AXI_bready(S00_AXI_0_BREADY),
        .S00_AXI_bresp(S00_AXI_0_BRESP),
        .S00_AXI_buser(S00_AXI_0_BUSER),
        .S00_AXI_bvalid(S00_AXI_0_BVALID),
        .S00_AXI_rdata(S00_AXI_0_RDATA),
        .S00_AXI_rid(S00_AXI_0_RID),
        .S00_AXI_rlast(S00_AXI_0_RLAST),
        .S00_AXI_rready(S00_AXI_0_RREADY),
        .S00_AXI_rresp(S00_AXI_0_RRESP),
        .S00_AXI_ruser(S00_AXI_0_RUSER),
        .S00_AXI_rvalid(S00_AXI_0_RVALID),
        .S00_AXI_wdata(S00_AXI_0_WDATA),
        .S00_AXI_wlast(S00_AXI_0_WLAST),
        .S00_AXI_wready(S00_AXI_0_WREADY),
        .S00_AXI_wstrb(S00_AXI_0_WSTRB),
        .S00_AXI_wuser(S00_AXI_0_WUSER),
        .S00_AXI_wvalid(S00_AXI_0_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_2_0 smartconnect_2
       (.M00_AXI_araddr(smartconnect_2_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_2_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_2_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_2_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_2_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_2_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_2_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_2_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_2_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_2_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_2_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_2_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_2_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_2_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_2_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_2_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_2_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_2_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_2_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_2_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_2_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_2_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_2_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_2_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_2_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_2_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_2_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_2_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_2_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_2_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_2_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_2_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_2_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_2_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_2_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_2_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_2_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_2_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_1_ARADDR),
        .S00_AXI_arburst(S00_AXI_1_ARBURST),
        .S00_AXI_arcache(S00_AXI_1_ARCACHE),
        .S00_AXI_arid(S00_AXI_1_ARID),
        .S00_AXI_arlen(S00_AXI_1_ARLEN),
        .S00_AXI_arlock(S00_AXI_1_ARLOCK),
        .S00_AXI_arprot(S00_AXI_1_ARPROT),
        .S00_AXI_arqos(S00_AXI_1_ARQOS),
        .S00_AXI_arready(S00_AXI_1_ARREADY),
        .S00_AXI_arsize(S00_AXI_1_ARSIZE),
        .S00_AXI_aruser(S00_AXI_1_ARUSER),
        .S00_AXI_arvalid(S00_AXI_1_ARVALID),
        .S00_AXI_awaddr(S00_AXI_1_AWADDR),
        .S00_AXI_awburst(S00_AXI_1_AWBURST),
        .S00_AXI_awcache(S00_AXI_1_AWCACHE),
        .S00_AXI_awid(S00_AXI_1_AWID),
        .S00_AXI_awlen(S00_AXI_1_AWLEN),
        .S00_AXI_awlock(S00_AXI_1_AWLOCK),
        .S00_AXI_awprot(S00_AXI_1_AWPROT),
        .S00_AXI_awqos(S00_AXI_1_AWQOS),
        .S00_AXI_awready(S00_AXI_1_AWREADY),
        .S00_AXI_awsize(S00_AXI_1_AWSIZE),
        .S00_AXI_awuser(S00_AXI_1_AWUSER),
        .S00_AXI_awvalid(S00_AXI_1_AWVALID),
        .S00_AXI_bid(S00_AXI_1_BID),
        .S00_AXI_bready(S00_AXI_1_BREADY),
        .S00_AXI_bresp(S00_AXI_1_BRESP),
        .S00_AXI_buser(S00_AXI_1_BUSER),
        .S00_AXI_bvalid(S00_AXI_1_BVALID),
        .S00_AXI_rdata(S00_AXI_1_RDATA),
        .S00_AXI_rid(S00_AXI_1_RID),
        .S00_AXI_rlast(S00_AXI_1_RLAST),
        .S00_AXI_rready(S00_AXI_1_RREADY),
        .S00_AXI_rresp(S00_AXI_1_RRESP),
        .S00_AXI_ruser(S00_AXI_1_RUSER),
        .S00_AXI_rvalid(S00_AXI_1_RVALID),
        .S00_AXI_wdata(S00_AXI_1_WDATA),
        .S00_AXI_wlast(S00_AXI_1_WLAST),
        .S00_AXI_wready(S00_AXI_1_WREADY),
        .S00_AXI_wstrb(S00_AXI_1_WSTRB),
        .S00_AXI_wuser(S00_AXI_1_WUSER),
        .S00_AXI_wvalid(S00_AXI_1_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_3_0 smartconnect_3
       (.M00_AXI_araddr(smartconnect_3_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_3_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_3_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_3_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_3_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_3_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_3_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_3_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_3_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_3_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_3_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_3_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_3_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_3_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_3_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_3_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_3_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_3_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_3_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_3_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_3_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_3_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_3_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_3_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_3_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_3_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_3_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_3_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_3_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_3_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_3_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_3_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_3_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_3_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_3_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_3_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_3_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_3_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_4_ARADDR),
        .S00_AXI_arburst(S00_AXI_4_ARBURST),
        .S00_AXI_arcache(S00_AXI_4_ARCACHE),
        .S00_AXI_arid(S00_AXI_4_ARID),
        .S00_AXI_arlen(S00_AXI_4_ARLEN),
        .S00_AXI_arlock(S00_AXI_4_ARLOCK),
        .S00_AXI_arprot(S00_AXI_4_ARPROT),
        .S00_AXI_arqos(S00_AXI_4_ARQOS),
        .S00_AXI_arready(S00_AXI_4_ARREADY),
        .S00_AXI_arsize(S00_AXI_4_ARSIZE),
        .S00_AXI_aruser(S00_AXI_4_ARUSER),
        .S00_AXI_arvalid(S00_AXI_4_ARVALID),
        .S00_AXI_awaddr(S00_AXI_4_AWADDR),
        .S00_AXI_awburst(S00_AXI_4_AWBURST),
        .S00_AXI_awcache(S00_AXI_4_AWCACHE),
        .S00_AXI_awid(S00_AXI_4_AWID),
        .S00_AXI_awlen(S00_AXI_4_AWLEN),
        .S00_AXI_awlock(S00_AXI_4_AWLOCK),
        .S00_AXI_awprot(S00_AXI_4_AWPROT),
        .S00_AXI_awqos(S00_AXI_4_AWQOS),
        .S00_AXI_awready(S00_AXI_4_AWREADY),
        .S00_AXI_awsize(S00_AXI_4_AWSIZE),
        .S00_AXI_awuser(S00_AXI_4_AWUSER),
        .S00_AXI_awvalid(S00_AXI_4_AWVALID),
        .S00_AXI_bid(S00_AXI_4_BID),
        .S00_AXI_bready(S00_AXI_4_BREADY),
        .S00_AXI_bresp(S00_AXI_4_BRESP),
        .S00_AXI_buser(S00_AXI_4_BUSER),
        .S00_AXI_bvalid(S00_AXI_4_BVALID),
        .S00_AXI_rdata(S00_AXI_4_RDATA),
        .S00_AXI_rid(S00_AXI_4_RID),
        .S00_AXI_rlast(S00_AXI_4_RLAST),
        .S00_AXI_rready(S00_AXI_4_RREADY),
        .S00_AXI_rresp(S00_AXI_4_RRESP),
        .S00_AXI_ruser(S00_AXI_4_RUSER),
        .S00_AXI_rvalid(S00_AXI_4_RVALID),
        .S00_AXI_wdata(S00_AXI_4_WDATA),
        .S00_AXI_wlast(S00_AXI_4_WLAST),
        .S00_AXI_wready(S00_AXI_4_WREADY),
        .S00_AXI_wstrb(S00_AXI_4_WSTRB),
        .S00_AXI_wuser(S00_AXI_4_WUSER),
        .S00_AXI_wvalid(S00_AXI_4_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_4_0 smartconnect_4
       (.M00_AXI_araddr(smartconnect_4_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_4_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_4_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_4_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_4_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_4_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_4_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_4_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_4_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_4_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_4_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_4_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_4_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_4_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_4_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_4_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_4_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_4_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_4_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_4_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_4_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_4_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_4_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_4_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_4_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_4_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_4_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_4_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_4_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_4_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_4_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_4_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_4_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_4_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_4_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_4_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_4_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_4_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_2_ARADDR),
        .S00_AXI_arburst(S00_AXI_2_ARBURST),
        .S00_AXI_arcache(S00_AXI_2_ARCACHE),
        .S00_AXI_arlen(S00_AXI_2_ARLEN),
        .S00_AXI_arlock(S00_AXI_2_ARLOCK),
        .S00_AXI_arprot(S00_AXI_2_ARPROT),
        .S00_AXI_arqos(S00_AXI_2_ARQOS),
        .S00_AXI_arready(S00_AXI_2_ARREADY),
        .S00_AXI_arsize(S00_AXI_2_ARSIZE),
        .S00_AXI_aruser(S00_AXI_2_ARUSER),
        .S00_AXI_arvalid(S00_AXI_2_ARVALID),
        .S00_AXI_awaddr(S00_AXI_2_AWADDR),
        .S00_AXI_awburst(S00_AXI_2_AWBURST),
        .S00_AXI_awcache(S00_AXI_2_AWCACHE),
        .S00_AXI_awlen(S00_AXI_2_AWLEN),
        .S00_AXI_awlock(S00_AXI_2_AWLOCK),
        .S00_AXI_awprot(S00_AXI_2_AWPROT),
        .S00_AXI_awqos(S00_AXI_2_AWQOS),
        .S00_AXI_awready(S00_AXI_2_AWREADY),
        .S00_AXI_awsize(S00_AXI_2_AWSIZE),
        .S00_AXI_awuser(S00_AXI_2_AWUSER),
        .S00_AXI_awvalid(S00_AXI_2_AWVALID),
        .S00_AXI_bready(S00_AXI_2_BREADY),
        .S00_AXI_bresp(S00_AXI_2_BRESP),
        .S00_AXI_buser(S00_AXI_2_BUSER),
        .S00_AXI_bvalid(S00_AXI_2_BVALID),
        .S00_AXI_rdata(S00_AXI_2_RDATA),
        .S00_AXI_rlast(S00_AXI_2_RLAST),
        .S00_AXI_rready(S00_AXI_2_RREADY),
        .S00_AXI_rresp(S00_AXI_2_RRESP),
        .S00_AXI_ruser(S00_AXI_2_RUSER),
        .S00_AXI_rvalid(S00_AXI_2_RVALID),
        .S00_AXI_wdata(S00_AXI_2_WDATA),
        .S00_AXI_wlast(S00_AXI_2_WLAST),
        .S00_AXI_wready(S00_AXI_2_WREADY),
        .S00_AXI_wstrb(S00_AXI_2_WSTRB),
        .S00_AXI_wuser(S00_AXI_2_WUSER),
        .S00_AXI_wvalid(S00_AXI_2_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_5_0 smartconnect_5
       (.M00_AXI_araddr(smartconnect_5_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_5_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_5_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_5_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_5_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_5_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_5_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_5_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_5_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_5_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_5_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_5_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_5_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_5_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_5_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_5_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_5_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_5_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_5_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_5_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_5_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_5_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_5_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_5_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_5_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_5_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_5_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_5_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_5_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_5_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_5_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_5_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_5_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_5_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_5_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_5_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_5_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_5_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_3_ARADDR),
        .S00_AXI_arburst(S00_AXI_3_ARBURST),
        .S00_AXI_arcache(S00_AXI_3_ARCACHE),
        .S00_AXI_arid(S00_AXI_3_ARID),
        .S00_AXI_arlen(S00_AXI_3_ARLEN),
        .S00_AXI_arlock(S00_AXI_3_ARLOCK),
        .S00_AXI_arprot(S00_AXI_3_ARPROT),
        .S00_AXI_arqos(S00_AXI_3_ARQOS),
        .S00_AXI_arready(S00_AXI_3_ARREADY),
        .S00_AXI_arsize(S00_AXI_3_ARSIZE),
        .S00_AXI_aruser(S00_AXI_3_ARUSER),
        .S00_AXI_arvalid(S00_AXI_3_ARVALID),
        .S00_AXI_awaddr(S00_AXI_3_AWADDR),
        .S00_AXI_awburst(S00_AXI_3_AWBURST),
        .S00_AXI_awcache(S00_AXI_3_AWCACHE),
        .S00_AXI_awid(S00_AXI_3_AWID),
        .S00_AXI_awlen(S00_AXI_3_AWLEN),
        .S00_AXI_awlock(S00_AXI_3_AWLOCK),
        .S00_AXI_awprot(S00_AXI_3_AWPROT),
        .S00_AXI_awqos(S00_AXI_3_AWQOS),
        .S00_AXI_awready(S00_AXI_3_AWREADY),
        .S00_AXI_awsize(S00_AXI_3_AWSIZE),
        .S00_AXI_awuser(S00_AXI_3_AWUSER),
        .S00_AXI_awvalid(S00_AXI_3_AWVALID),
        .S00_AXI_bid(S00_AXI_3_BID),
        .S00_AXI_bready(S00_AXI_3_BREADY),
        .S00_AXI_bresp(S00_AXI_3_BRESP),
        .S00_AXI_buser(S00_AXI_3_BUSER),
        .S00_AXI_bvalid(S00_AXI_3_BVALID),
        .S00_AXI_rdata(S00_AXI_3_RDATA),
        .S00_AXI_rid(S00_AXI_3_RID),
        .S00_AXI_rlast(S00_AXI_3_RLAST),
        .S00_AXI_rready(S00_AXI_3_RREADY),
        .S00_AXI_rresp(S00_AXI_3_RRESP),
        .S00_AXI_ruser(S00_AXI_3_RUSER),
        .S00_AXI_rvalid(S00_AXI_3_RVALID),
        .S00_AXI_wdata(S00_AXI_3_WDATA),
        .S00_AXI_wlast(S00_AXI_3_WLAST),
        .S00_AXI_wready(S00_AXI_3_WREADY),
        .S00_AXI_wstrb(S00_AXI_3_WSTRB),
        .S00_AXI_wuser(S00_AXI_3_WUSER),
        .S00_AXI_wvalid(S00_AXI_3_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_6_0 smartconnect_6
       (.M00_AXI_araddr(smartconnect_6_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_6_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_6_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_6_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_6_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_6_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_6_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_6_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_6_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_6_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_6_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_6_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_6_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_6_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_6_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_6_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_6_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_6_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_6_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_6_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_6_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_6_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_6_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_6_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_6_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_6_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_6_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_6_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_6_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_6_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_6_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_6_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_6_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_6_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_6_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_6_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_6_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_6_M00_AXI_WVALID),
        .M01_AXI_araddr(smartconnect_6_M01_AXI_ARADDR),
        .M01_AXI_arburst(smartconnect_6_M01_AXI_ARBURST),
        .M01_AXI_arcache(smartconnect_6_M01_AXI_ARCACHE),
        .M01_AXI_arlen(smartconnect_6_M01_AXI_ARLEN),
        .M01_AXI_arlock(smartconnect_6_M01_AXI_ARLOCK),
        .M01_AXI_arprot(smartconnect_6_M01_AXI_ARPROT),
        .M01_AXI_arqos(smartconnect_6_M01_AXI_ARQOS),
        .M01_AXI_arready(smartconnect_6_M01_AXI_ARREADY),
        .M01_AXI_arsize(smartconnect_6_M01_AXI_ARSIZE),
        .M01_AXI_aruser(smartconnect_6_M01_AXI_ARUSER),
        .M01_AXI_arvalid(smartconnect_6_M01_AXI_ARVALID),
        .M01_AXI_awaddr(smartconnect_6_M01_AXI_AWADDR),
        .M01_AXI_awburst(smartconnect_6_M01_AXI_AWBURST),
        .M01_AXI_awcache(smartconnect_6_M01_AXI_AWCACHE),
        .M01_AXI_awlen(smartconnect_6_M01_AXI_AWLEN),
        .M01_AXI_awlock(smartconnect_6_M01_AXI_AWLOCK),
        .M01_AXI_awprot(smartconnect_6_M01_AXI_AWPROT),
        .M01_AXI_awqos(smartconnect_6_M01_AXI_AWQOS),
        .M01_AXI_awready(smartconnect_6_M01_AXI_AWREADY),
        .M01_AXI_awsize(smartconnect_6_M01_AXI_AWSIZE),
        .M01_AXI_awuser(smartconnect_6_M01_AXI_AWUSER),
        .M01_AXI_awvalid(smartconnect_6_M01_AXI_AWVALID),
        .M01_AXI_bready(smartconnect_6_M01_AXI_BREADY),
        .M01_AXI_bresp(smartconnect_6_M01_AXI_BRESP),
        .M01_AXI_buser(smartconnect_6_M01_AXI_BUSER),
        .M01_AXI_bvalid(smartconnect_6_M01_AXI_BVALID),
        .M01_AXI_rdata(smartconnect_6_M01_AXI_RDATA),
        .M01_AXI_rlast(smartconnect_6_M01_AXI_RLAST),
        .M01_AXI_rready(smartconnect_6_M01_AXI_RREADY),
        .M01_AXI_rresp(smartconnect_6_M01_AXI_RRESP),
        .M01_AXI_ruser(smartconnect_6_M01_AXI_RUSER),
        .M01_AXI_rvalid(smartconnect_6_M01_AXI_RVALID),
        .M01_AXI_wdata(smartconnect_6_M01_AXI_WDATA),
        .M01_AXI_wlast(smartconnect_6_M01_AXI_WLAST),
        .M01_AXI_wready(smartconnect_6_M01_AXI_WREADY),
        .M01_AXI_wstrb(smartconnect_6_M01_AXI_WSTRB),
        .M01_AXI_wuser(smartconnect_6_M01_AXI_WUSER),
        .M01_AXI_wvalid(smartconnect_6_M01_AXI_WVALID),
        .M02_AXI_araddr(smartconnect_6_M02_AXI_ARADDR),
        .M02_AXI_arburst(smartconnect_6_M02_AXI_ARBURST),
        .M02_AXI_arcache(smartconnect_6_M02_AXI_ARCACHE),
        .M02_AXI_arlen(smartconnect_6_M02_AXI_ARLEN),
        .M02_AXI_arlock(smartconnect_6_M02_AXI_ARLOCK),
        .M02_AXI_arprot(smartconnect_6_M02_AXI_ARPROT),
        .M02_AXI_arqos(smartconnect_6_M02_AXI_ARQOS),
        .M02_AXI_arready(smartconnect_6_M02_AXI_ARREADY),
        .M02_AXI_arsize(smartconnect_6_M02_AXI_ARSIZE),
        .M02_AXI_aruser(smartconnect_6_M02_AXI_ARUSER),
        .M02_AXI_arvalid(smartconnect_6_M02_AXI_ARVALID),
        .M02_AXI_awaddr(smartconnect_6_M02_AXI_AWADDR),
        .M02_AXI_awburst(smartconnect_6_M02_AXI_AWBURST),
        .M02_AXI_awcache(smartconnect_6_M02_AXI_AWCACHE),
        .M02_AXI_awlen(smartconnect_6_M02_AXI_AWLEN),
        .M02_AXI_awlock(smartconnect_6_M02_AXI_AWLOCK),
        .M02_AXI_awprot(smartconnect_6_M02_AXI_AWPROT),
        .M02_AXI_awqos(smartconnect_6_M02_AXI_AWQOS),
        .M02_AXI_awready(smartconnect_6_M02_AXI_AWREADY),
        .M02_AXI_awsize(smartconnect_6_M02_AXI_AWSIZE),
        .M02_AXI_awuser(smartconnect_6_M02_AXI_AWUSER),
        .M02_AXI_awvalid(smartconnect_6_M02_AXI_AWVALID),
        .M02_AXI_bready(smartconnect_6_M02_AXI_BREADY),
        .M02_AXI_bresp(smartconnect_6_M02_AXI_BRESP),
        .M02_AXI_buser(smartconnect_6_M02_AXI_BUSER),
        .M02_AXI_bvalid(smartconnect_6_M02_AXI_BVALID),
        .M02_AXI_rdata(smartconnect_6_M02_AXI_RDATA),
        .M02_AXI_rlast(smartconnect_6_M02_AXI_RLAST),
        .M02_AXI_rready(smartconnect_6_M02_AXI_RREADY),
        .M02_AXI_rresp(smartconnect_6_M02_AXI_RRESP),
        .M02_AXI_ruser(smartconnect_6_M02_AXI_RUSER),
        .M02_AXI_rvalid(smartconnect_6_M02_AXI_RVALID),
        .M02_AXI_wdata(smartconnect_6_M02_AXI_WDATA),
        .M02_AXI_wlast(smartconnect_6_M02_AXI_WLAST),
        .M02_AXI_wready(smartconnect_6_M02_AXI_WREADY),
        .M02_AXI_wstrb(smartconnect_6_M02_AXI_WSTRB),
        .M02_AXI_wuser(smartconnect_6_M02_AXI_WUSER),
        .M02_AXI_wvalid(smartconnect_6_M02_AXI_WVALID),
        .M03_AXI_araddr(smartconnect_6_M03_AXI_ARADDR),
        .M03_AXI_arburst(smartconnect_6_M03_AXI_ARBURST),
        .M03_AXI_arcache(smartconnect_6_M03_AXI_ARCACHE),
        .M03_AXI_arlen(smartconnect_6_M03_AXI_ARLEN),
        .M03_AXI_arlock(smartconnect_6_M03_AXI_ARLOCK),
        .M03_AXI_arprot(smartconnect_6_M03_AXI_ARPROT),
        .M03_AXI_arqos(smartconnect_6_M03_AXI_ARQOS),
        .M03_AXI_arready(smartconnect_6_M03_AXI_ARREADY),
        .M03_AXI_arsize(smartconnect_6_M03_AXI_ARSIZE),
        .M03_AXI_aruser(smartconnect_6_M03_AXI_ARUSER),
        .M03_AXI_arvalid(smartconnect_6_M03_AXI_ARVALID),
        .M03_AXI_awaddr(smartconnect_6_M03_AXI_AWADDR),
        .M03_AXI_awburst(smartconnect_6_M03_AXI_AWBURST),
        .M03_AXI_awcache(smartconnect_6_M03_AXI_AWCACHE),
        .M03_AXI_awlen(smartconnect_6_M03_AXI_AWLEN),
        .M03_AXI_awlock(smartconnect_6_M03_AXI_AWLOCK),
        .M03_AXI_awprot(smartconnect_6_M03_AXI_AWPROT),
        .M03_AXI_awqos(smartconnect_6_M03_AXI_AWQOS),
        .M03_AXI_awready(smartconnect_6_M03_AXI_AWREADY),
        .M03_AXI_awsize(smartconnect_6_M03_AXI_AWSIZE),
        .M03_AXI_awuser(smartconnect_6_M03_AXI_AWUSER),
        .M03_AXI_awvalid(smartconnect_6_M03_AXI_AWVALID),
        .M03_AXI_bready(smartconnect_6_M03_AXI_BREADY),
        .M03_AXI_bresp(smartconnect_6_M03_AXI_BRESP),
        .M03_AXI_buser(smartconnect_6_M03_AXI_BUSER),
        .M03_AXI_bvalid(smartconnect_6_M03_AXI_BVALID),
        .M03_AXI_rdata(smartconnect_6_M03_AXI_RDATA),
        .M03_AXI_rlast(smartconnect_6_M03_AXI_RLAST),
        .M03_AXI_rready(smartconnect_6_M03_AXI_RREADY),
        .M03_AXI_rresp(smartconnect_6_M03_AXI_RRESP),
        .M03_AXI_ruser(smartconnect_6_M03_AXI_RUSER),
        .M03_AXI_rvalid(smartconnect_6_M03_AXI_RVALID),
        .M03_AXI_wdata(smartconnect_6_M03_AXI_WDATA),
        .M03_AXI_wlast(smartconnect_6_M03_AXI_WLAST),
        .M03_AXI_wready(smartconnect_6_M03_AXI_WREADY),
        .M03_AXI_wstrb(smartconnect_6_M03_AXI_WSTRB),
        .M03_AXI_wuser(smartconnect_6_M03_AXI_WUSER),
        .M03_AXI_wvalid(smartconnect_6_M03_AXI_WVALID),
        .M04_AXI_araddr(smartconnect_6_M04_AXI_ARADDR),
        .M04_AXI_arburst(smartconnect_6_M04_AXI_ARBURST),
        .M04_AXI_arcache(smartconnect_6_M04_AXI_ARCACHE),
        .M04_AXI_arlen(smartconnect_6_M04_AXI_ARLEN),
        .M04_AXI_arlock(smartconnect_6_M04_AXI_ARLOCK),
        .M04_AXI_arprot(smartconnect_6_M04_AXI_ARPROT),
        .M04_AXI_arqos(smartconnect_6_M04_AXI_ARQOS),
        .M04_AXI_arready(smartconnect_6_M04_AXI_ARREADY),
        .M04_AXI_arsize(smartconnect_6_M04_AXI_ARSIZE),
        .M04_AXI_aruser(smartconnect_6_M04_AXI_ARUSER),
        .M04_AXI_arvalid(smartconnect_6_M04_AXI_ARVALID),
        .M04_AXI_awaddr(smartconnect_6_M04_AXI_AWADDR),
        .M04_AXI_awburst(smartconnect_6_M04_AXI_AWBURST),
        .M04_AXI_awcache(smartconnect_6_M04_AXI_AWCACHE),
        .M04_AXI_awlen(smartconnect_6_M04_AXI_AWLEN),
        .M04_AXI_awlock(smartconnect_6_M04_AXI_AWLOCK),
        .M04_AXI_awprot(smartconnect_6_M04_AXI_AWPROT),
        .M04_AXI_awqos(smartconnect_6_M04_AXI_AWQOS),
        .M04_AXI_awready(smartconnect_6_M04_AXI_AWREADY),
        .M04_AXI_awsize(smartconnect_6_M04_AXI_AWSIZE),
        .M04_AXI_awuser(smartconnect_6_M04_AXI_AWUSER),
        .M04_AXI_awvalid(smartconnect_6_M04_AXI_AWVALID),
        .M04_AXI_bready(smartconnect_6_M04_AXI_BREADY),
        .M04_AXI_bresp(smartconnect_6_M04_AXI_BRESP),
        .M04_AXI_buser(smartconnect_6_M04_AXI_BUSER),
        .M04_AXI_bvalid(smartconnect_6_M04_AXI_BVALID),
        .M04_AXI_rdata(smartconnect_6_M04_AXI_RDATA),
        .M04_AXI_rlast(smartconnect_6_M04_AXI_RLAST),
        .M04_AXI_rready(smartconnect_6_M04_AXI_RREADY),
        .M04_AXI_rresp(smartconnect_6_M04_AXI_RRESP),
        .M04_AXI_ruser(smartconnect_6_M04_AXI_RUSER),
        .M04_AXI_rvalid(smartconnect_6_M04_AXI_RVALID),
        .M04_AXI_wdata(smartconnect_6_M04_AXI_WDATA),
        .M04_AXI_wlast(smartconnect_6_M04_AXI_WLAST),
        .M04_AXI_wready(smartconnect_6_M04_AXI_WREADY),
        .M04_AXI_wstrb(smartconnect_6_M04_AXI_WSTRB),
        .M04_AXI_wuser(smartconnect_6_M04_AXI_WUSER),
        .M04_AXI_wvalid(smartconnect_6_M04_AXI_WVALID),
        .M05_AXI_araddr(smartconnect_6_M05_AXI_ARADDR),
        .M05_AXI_arburst(smartconnect_6_M05_AXI_ARBURST),
        .M05_AXI_arcache(smartconnect_6_M05_AXI_ARCACHE),
        .M05_AXI_arlen(smartconnect_6_M05_AXI_ARLEN),
        .M05_AXI_arlock(smartconnect_6_M05_AXI_ARLOCK),
        .M05_AXI_arprot(smartconnect_6_M05_AXI_ARPROT),
        .M05_AXI_arqos(smartconnect_6_M05_AXI_ARQOS),
        .M05_AXI_arready(smartconnect_6_M05_AXI_ARREADY),
        .M05_AXI_arsize(smartconnect_6_M05_AXI_ARSIZE),
        .M05_AXI_aruser(smartconnect_6_M05_AXI_ARUSER),
        .M05_AXI_arvalid(smartconnect_6_M05_AXI_ARVALID),
        .M05_AXI_awaddr(smartconnect_6_M05_AXI_AWADDR),
        .M05_AXI_awburst(smartconnect_6_M05_AXI_AWBURST),
        .M05_AXI_awcache(smartconnect_6_M05_AXI_AWCACHE),
        .M05_AXI_awlen(smartconnect_6_M05_AXI_AWLEN),
        .M05_AXI_awlock(smartconnect_6_M05_AXI_AWLOCK),
        .M05_AXI_awprot(smartconnect_6_M05_AXI_AWPROT),
        .M05_AXI_awqos(smartconnect_6_M05_AXI_AWQOS),
        .M05_AXI_awready(smartconnect_6_M05_AXI_AWREADY),
        .M05_AXI_awsize(smartconnect_6_M05_AXI_AWSIZE),
        .M05_AXI_awuser(smartconnect_6_M05_AXI_AWUSER),
        .M05_AXI_awvalid(smartconnect_6_M05_AXI_AWVALID),
        .M05_AXI_bready(smartconnect_6_M05_AXI_BREADY),
        .M05_AXI_bresp(smartconnect_6_M05_AXI_BRESP),
        .M05_AXI_buser(smartconnect_6_M05_AXI_BUSER),
        .M05_AXI_bvalid(smartconnect_6_M05_AXI_BVALID),
        .M05_AXI_rdata(smartconnect_6_M05_AXI_RDATA),
        .M05_AXI_rlast(smartconnect_6_M05_AXI_RLAST),
        .M05_AXI_rready(smartconnect_6_M05_AXI_RREADY),
        .M05_AXI_rresp(smartconnect_6_M05_AXI_RRESP),
        .M05_AXI_ruser(smartconnect_6_M05_AXI_RUSER),
        .M05_AXI_rvalid(smartconnect_6_M05_AXI_RVALID),
        .M05_AXI_wdata(smartconnect_6_M05_AXI_WDATA),
        .M05_AXI_wlast(smartconnect_6_M05_AXI_WLAST),
        .M05_AXI_wready(smartconnect_6_M05_AXI_WREADY),
        .M05_AXI_wstrb(smartconnect_6_M05_AXI_WSTRB),
        .M05_AXI_wuser(smartconnect_6_M05_AXI_WUSER),
        .M05_AXI_wvalid(smartconnect_6_M05_AXI_WVALID),
        .M06_AXI_araddr(smartconnect_6_M06_AXI_ARADDR),
        .M06_AXI_arburst(smartconnect_6_M06_AXI_ARBURST),
        .M06_AXI_arcache(smartconnect_6_M06_AXI_ARCACHE),
        .M06_AXI_arlen(smartconnect_6_M06_AXI_ARLEN),
        .M06_AXI_arlock(smartconnect_6_M06_AXI_ARLOCK),
        .M06_AXI_arprot(smartconnect_6_M06_AXI_ARPROT),
        .M06_AXI_arqos(smartconnect_6_M06_AXI_ARQOS),
        .M06_AXI_arready(smartconnect_6_M06_AXI_ARREADY),
        .M06_AXI_arsize(smartconnect_6_M06_AXI_ARSIZE),
        .M06_AXI_aruser(smartconnect_6_M06_AXI_ARUSER),
        .M06_AXI_arvalid(smartconnect_6_M06_AXI_ARVALID),
        .M06_AXI_awaddr(smartconnect_6_M06_AXI_AWADDR),
        .M06_AXI_awburst(smartconnect_6_M06_AXI_AWBURST),
        .M06_AXI_awcache(smartconnect_6_M06_AXI_AWCACHE),
        .M06_AXI_awlen(smartconnect_6_M06_AXI_AWLEN),
        .M06_AXI_awlock(smartconnect_6_M06_AXI_AWLOCK),
        .M06_AXI_awprot(smartconnect_6_M06_AXI_AWPROT),
        .M06_AXI_awqos(smartconnect_6_M06_AXI_AWQOS),
        .M06_AXI_awready(smartconnect_6_M06_AXI_AWREADY),
        .M06_AXI_awsize(smartconnect_6_M06_AXI_AWSIZE),
        .M06_AXI_awuser(smartconnect_6_M06_AXI_AWUSER),
        .M06_AXI_awvalid(smartconnect_6_M06_AXI_AWVALID),
        .M06_AXI_bready(smartconnect_6_M06_AXI_BREADY),
        .M06_AXI_bresp(smartconnect_6_M06_AXI_BRESP),
        .M06_AXI_buser(smartconnect_6_M06_AXI_BUSER),
        .M06_AXI_bvalid(smartconnect_6_M06_AXI_BVALID),
        .M06_AXI_rdata(smartconnect_6_M06_AXI_RDATA),
        .M06_AXI_rlast(smartconnect_6_M06_AXI_RLAST),
        .M06_AXI_rready(smartconnect_6_M06_AXI_RREADY),
        .M06_AXI_rresp(smartconnect_6_M06_AXI_RRESP),
        .M06_AXI_ruser(smartconnect_6_M06_AXI_RUSER),
        .M06_AXI_rvalid(smartconnect_6_M06_AXI_RVALID),
        .M06_AXI_wdata(smartconnect_6_M06_AXI_WDATA),
        .M06_AXI_wlast(smartconnect_6_M06_AXI_WLAST),
        .M06_AXI_wready(smartconnect_6_M06_AXI_WREADY),
        .M06_AXI_wstrb(smartconnect_6_M06_AXI_WSTRB),
        .M06_AXI_wuser(smartconnect_6_M06_AXI_WUSER),
        .M06_AXI_wvalid(smartconnect_6_M06_AXI_WVALID),
        .M07_AXI_araddr(smartconnect_6_M07_AXI_ARADDR),
        .M07_AXI_arburst(smartconnect_6_M07_AXI_ARBURST),
        .M07_AXI_arcache(smartconnect_6_M07_AXI_ARCACHE),
        .M07_AXI_arlen(smartconnect_6_M07_AXI_ARLEN),
        .M07_AXI_arlock(smartconnect_6_M07_AXI_ARLOCK),
        .M07_AXI_arprot(smartconnect_6_M07_AXI_ARPROT),
        .M07_AXI_arqos(smartconnect_6_M07_AXI_ARQOS),
        .M07_AXI_arready(smartconnect_6_M07_AXI_ARREADY),
        .M07_AXI_arsize(smartconnect_6_M07_AXI_ARSIZE),
        .M07_AXI_aruser(smartconnect_6_M07_AXI_ARUSER),
        .M07_AXI_arvalid(smartconnect_6_M07_AXI_ARVALID),
        .M07_AXI_awaddr(smartconnect_6_M07_AXI_AWADDR),
        .M07_AXI_awburst(smartconnect_6_M07_AXI_AWBURST),
        .M07_AXI_awcache(smartconnect_6_M07_AXI_AWCACHE),
        .M07_AXI_awlen(smartconnect_6_M07_AXI_AWLEN),
        .M07_AXI_awlock(smartconnect_6_M07_AXI_AWLOCK),
        .M07_AXI_awprot(smartconnect_6_M07_AXI_AWPROT),
        .M07_AXI_awqos(smartconnect_6_M07_AXI_AWQOS),
        .M07_AXI_awready(smartconnect_6_M07_AXI_AWREADY),
        .M07_AXI_awsize(smartconnect_6_M07_AXI_AWSIZE),
        .M07_AXI_awuser(smartconnect_6_M07_AXI_AWUSER),
        .M07_AXI_awvalid(smartconnect_6_M07_AXI_AWVALID),
        .M07_AXI_bready(smartconnect_6_M07_AXI_BREADY),
        .M07_AXI_bresp(smartconnect_6_M07_AXI_BRESP),
        .M07_AXI_buser(smartconnect_6_M07_AXI_BUSER),
        .M07_AXI_bvalid(smartconnect_6_M07_AXI_BVALID),
        .M07_AXI_rdata(smartconnect_6_M07_AXI_RDATA),
        .M07_AXI_rlast(smartconnect_6_M07_AXI_RLAST),
        .M07_AXI_rready(smartconnect_6_M07_AXI_RREADY),
        .M07_AXI_rresp(smartconnect_6_M07_AXI_RRESP),
        .M07_AXI_ruser(smartconnect_6_M07_AXI_RUSER),
        .M07_AXI_rvalid(smartconnect_6_M07_AXI_RVALID),
        .M07_AXI_wdata(smartconnect_6_M07_AXI_WDATA),
        .M07_AXI_wlast(smartconnect_6_M07_AXI_WLAST),
        .M07_AXI_wready(smartconnect_6_M07_AXI_WREADY),
        .M07_AXI_wstrb(smartconnect_6_M07_AXI_WSTRB),
        .M07_AXI_wuser(smartconnect_6_M07_AXI_WUSER),
        .M07_AXI_wvalid(smartconnect_6_M07_AXI_WVALID),
        .M08_AXI_araddr(smartconnect_6_M08_AXI_ARADDR),
        .M08_AXI_arburst(smartconnect_6_M08_AXI_ARBURST),
        .M08_AXI_arcache(smartconnect_6_M08_AXI_ARCACHE),
        .M08_AXI_arlen(smartconnect_6_M08_AXI_ARLEN),
        .M08_AXI_arlock(smartconnect_6_M08_AXI_ARLOCK),
        .M08_AXI_arprot(smartconnect_6_M08_AXI_ARPROT),
        .M08_AXI_arqos(smartconnect_6_M08_AXI_ARQOS),
        .M08_AXI_arready(smartconnect_6_M08_AXI_ARREADY),
        .M08_AXI_arsize(smartconnect_6_M08_AXI_ARSIZE),
        .M08_AXI_aruser(smartconnect_6_M08_AXI_ARUSER),
        .M08_AXI_arvalid(smartconnect_6_M08_AXI_ARVALID),
        .M08_AXI_awaddr(smartconnect_6_M08_AXI_AWADDR),
        .M08_AXI_awburst(smartconnect_6_M08_AXI_AWBURST),
        .M08_AXI_awcache(smartconnect_6_M08_AXI_AWCACHE),
        .M08_AXI_awlen(smartconnect_6_M08_AXI_AWLEN),
        .M08_AXI_awlock(smartconnect_6_M08_AXI_AWLOCK),
        .M08_AXI_awprot(smartconnect_6_M08_AXI_AWPROT),
        .M08_AXI_awqos(smartconnect_6_M08_AXI_AWQOS),
        .M08_AXI_awready(smartconnect_6_M08_AXI_AWREADY),
        .M08_AXI_awsize(smartconnect_6_M08_AXI_AWSIZE),
        .M08_AXI_awuser(smartconnect_6_M08_AXI_AWUSER),
        .M08_AXI_awvalid(smartconnect_6_M08_AXI_AWVALID),
        .M08_AXI_bready(smartconnect_6_M08_AXI_BREADY),
        .M08_AXI_bresp(smartconnect_6_M08_AXI_BRESP),
        .M08_AXI_buser(smartconnect_6_M08_AXI_BUSER),
        .M08_AXI_bvalid(smartconnect_6_M08_AXI_BVALID),
        .M08_AXI_rdata(smartconnect_6_M08_AXI_RDATA),
        .M08_AXI_rlast(smartconnect_6_M08_AXI_RLAST),
        .M08_AXI_rready(smartconnect_6_M08_AXI_RREADY),
        .M08_AXI_rresp(smartconnect_6_M08_AXI_RRESP),
        .M08_AXI_ruser(smartconnect_6_M08_AXI_RUSER),
        .M08_AXI_rvalid(smartconnect_6_M08_AXI_RVALID),
        .M08_AXI_wdata(smartconnect_6_M08_AXI_WDATA),
        .M08_AXI_wlast(smartconnect_6_M08_AXI_WLAST),
        .M08_AXI_wready(smartconnect_6_M08_AXI_WREADY),
        .M08_AXI_wstrb(smartconnect_6_M08_AXI_WSTRB),
        .M08_AXI_wuser(smartconnect_6_M08_AXI_WUSER),
        .M08_AXI_wvalid(smartconnect_6_M08_AXI_WVALID),
        .M09_AXI_araddr(smartconnect_6_M09_AXI_ARADDR),
        .M09_AXI_arburst(smartconnect_6_M09_AXI_ARBURST),
        .M09_AXI_arcache(smartconnect_6_M09_AXI_ARCACHE),
        .M09_AXI_arlen(smartconnect_6_M09_AXI_ARLEN),
        .M09_AXI_arlock(smartconnect_6_M09_AXI_ARLOCK),
        .M09_AXI_arprot(smartconnect_6_M09_AXI_ARPROT),
        .M09_AXI_arqos(smartconnect_6_M09_AXI_ARQOS),
        .M09_AXI_arready(smartconnect_6_M09_AXI_ARREADY),
        .M09_AXI_arsize(smartconnect_6_M09_AXI_ARSIZE),
        .M09_AXI_aruser(smartconnect_6_M09_AXI_ARUSER),
        .M09_AXI_arvalid(smartconnect_6_M09_AXI_ARVALID),
        .M09_AXI_awaddr(smartconnect_6_M09_AXI_AWADDR),
        .M09_AXI_awburst(smartconnect_6_M09_AXI_AWBURST),
        .M09_AXI_awcache(smartconnect_6_M09_AXI_AWCACHE),
        .M09_AXI_awlen(smartconnect_6_M09_AXI_AWLEN),
        .M09_AXI_awlock(smartconnect_6_M09_AXI_AWLOCK),
        .M09_AXI_awprot(smartconnect_6_M09_AXI_AWPROT),
        .M09_AXI_awqos(smartconnect_6_M09_AXI_AWQOS),
        .M09_AXI_awready(smartconnect_6_M09_AXI_AWREADY),
        .M09_AXI_awsize(smartconnect_6_M09_AXI_AWSIZE),
        .M09_AXI_awuser(smartconnect_6_M09_AXI_AWUSER),
        .M09_AXI_awvalid(smartconnect_6_M09_AXI_AWVALID),
        .M09_AXI_bready(smartconnect_6_M09_AXI_BREADY),
        .M09_AXI_bresp(smartconnect_6_M09_AXI_BRESP),
        .M09_AXI_buser(smartconnect_6_M09_AXI_BUSER),
        .M09_AXI_bvalid(smartconnect_6_M09_AXI_BVALID),
        .M09_AXI_rdata(smartconnect_6_M09_AXI_RDATA),
        .M09_AXI_rlast(smartconnect_6_M09_AXI_RLAST),
        .M09_AXI_rready(smartconnect_6_M09_AXI_RREADY),
        .M09_AXI_rresp(smartconnect_6_M09_AXI_RRESP),
        .M09_AXI_ruser(smartconnect_6_M09_AXI_RUSER),
        .M09_AXI_rvalid(smartconnect_6_M09_AXI_RVALID),
        .M09_AXI_wdata(smartconnect_6_M09_AXI_WDATA),
        .M09_AXI_wlast(smartconnect_6_M09_AXI_WLAST),
        .M09_AXI_wready(smartconnect_6_M09_AXI_WREADY),
        .M09_AXI_wstrb(smartconnect_6_M09_AXI_WSTRB),
        .M09_AXI_wuser(smartconnect_6_M09_AXI_WUSER),
        .M09_AXI_wvalid(smartconnect_6_M09_AXI_WVALID),
        .M10_AXI_araddr(smartconnect_6_M10_AXI_ARADDR),
        .M10_AXI_arburst(smartconnect_6_M10_AXI_ARBURST),
        .M10_AXI_arcache(smartconnect_6_M10_AXI_ARCACHE),
        .M10_AXI_arlen(smartconnect_6_M10_AXI_ARLEN),
        .M10_AXI_arlock(smartconnect_6_M10_AXI_ARLOCK),
        .M10_AXI_arprot(smartconnect_6_M10_AXI_ARPROT),
        .M10_AXI_arqos(smartconnect_6_M10_AXI_ARQOS),
        .M10_AXI_arready(smartconnect_6_M10_AXI_ARREADY),
        .M10_AXI_arsize(smartconnect_6_M10_AXI_ARSIZE),
        .M10_AXI_aruser(smartconnect_6_M10_AXI_ARUSER),
        .M10_AXI_arvalid(smartconnect_6_M10_AXI_ARVALID),
        .M10_AXI_awaddr(smartconnect_6_M10_AXI_AWADDR),
        .M10_AXI_awburst(smartconnect_6_M10_AXI_AWBURST),
        .M10_AXI_awcache(smartconnect_6_M10_AXI_AWCACHE),
        .M10_AXI_awlen(smartconnect_6_M10_AXI_AWLEN),
        .M10_AXI_awlock(smartconnect_6_M10_AXI_AWLOCK),
        .M10_AXI_awprot(smartconnect_6_M10_AXI_AWPROT),
        .M10_AXI_awqos(smartconnect_6_M10_AXI_AWQOS),
        .M10_AXI_awready(smartconnect_6_M10_AXI_AWREADY),
        .M10_AXI_awsize(smartconnect_6_M10_AXI_AWSIZE),
        .M10_AXI_awuser(smartconnect_6_M10_AXI_AWUSER),
        .M10_AXI_awvalid(smartconnect_6_M10_AXI_AWVALID),
        .M10_AXI_bready(smartconnect_6_M10_AXI_BREADY),
        .M10_AXI_bresp(smartconnect_6_M10_AXI_BRESP),
        .M10_AXI_buser(smartconnect_6_M10_AXI_BUSER),
        .M10_AXI_bvalid(smartconnect_6_M10_AXI_BVALID),
        .M10_AXI_rdata(smartconnect_6_M10_AXI_RDATA),
        .M10_AXI_rlast(smartconnect_6_M10_AXI_RLAST),
        .M10_AXI_rready(smartconnect_6_M10_AXI_RREADY),
        .M10_AXI_rresp(smartconnect_6_M10_AXI_RRESP),
        .M10_AXI_ruser(smartconnect_6_M10_AXI_RUSER),
        .M10_AXI_rvalid(smartconnect_6_M10_AXI_RVALID),
        .M10_AXI_wdata(smartconnect_6_M10_AXI_WDATA),
        .M10_AXI_wlast(smartconnect_6_M10_AXI_WLAST),
        .M10_AXI_wready(smartconnect_6_M10_AXI_WREADY),
        .M10_AXI_wstrb(smartconnect_6_M10_AXI_WSTRB),
        .M10_AXI_wuser(smartconnect_6_M10_AXI_WUSER),
        .M10_AXI_wvalid(smartconnect_6_M10_AXI_WVALID),
        .M11_AXI_araddr(smartconnect_6_M11_AXI_ARADDR),
        .M11_AXI_arburst(smartconnect_6_M11_AXI_ARBURST),
        .M11_AXI_arcache(smartconnect_6_M11_AXI_ARCACHE),
        .M11_AXI_arlen(smartconnect_6_M11_AXI_ARLEN),
        .M11_AXI_arlock(smartconnect_6_M11_AXI_ARLOCK),
        .M11_AXI_arprot(smartconnect_6_M11_AXI_ARPROT),
        .M11_AXI_arqos(smartconnect_6_M11_AXI_ARQOS),
        .M11_AXI_arready(smartconnect_6_M11_AXI_ARREADY),
        .M11_AXI_arsize(smartconnect_6_M11_AXI_ARSIZE),
        .M11_AXI_aruser(smartconnect_6_M11_AXI_ARUSER),
        .M11_AXI_arvalid(smartconnect_6_M11_AXI_ARVALID),
        .M11_AXI_awaddr(smartconnect_6_M11_AXI_AWADDR),
        .M11_AXI_awburst(smartconnect_6_M11_AXI_AWBURST),
        .M11_AXI_awcache(smartconnect_6_M11_AXI_AWCACHE),
        .M11_AXI_awlen(smartconnect_6_M11_AXI_AWLEN),
        .M11_AXI_awlock(smartconnect_6_M11_AXI_AWLOCK),
        .M11_AXI_awprot(smartconnect_6_M11_AXI_AWPROT),
        .M11_AXI_awqos(smartconnect_6_M11_AXI_AWQOS),
        .M11_AXI_awready(smartconnect_6_M11_AXI_AWREADY),
        .M11_AXI_awsize(smartconnect_6_M11_AXI_AWSIZE),
        .M11_AXI_awuser(smartconnect_6_M11_AXI_AWUSER),
        .M11_AXI_awvalid(smartconnect_6_M11_AXI_AWVALID),
        .M11_AXI_bready(smartconnect_6_M11_AXI_BREADY),
        .M11_AXI_bresp(smartconnect_6_M11_AXI_BRESP),
        .M11_AXI_buser(smartconnect_6_M11_AXI_BUSER),
        .M11_AXI_bvalid(smartconnect_6_M11_AXI_BVALID),
        .M11_AXI_rdata(smartconnect_6_M11_AXI_RDATA),
        .M11_AXI_rlast(smartconnect_6_M11_AXI_RLAST),
        .M11_AXI_rready(smartconnect_6_M11_AXI_RREADY),
        .M11_AXI_rresp(smartconnect_6_M11_AXI_RRESP),
        .M11_AXI_ruser(smartconnect_6_M11_AXI_RUSER),
        .M11_AXI_rvalid(smartconnect_6_M11_AXI_RVALID),
        .M11_AXI_wdata(smartconnect_6_M11_AXI_WDATA),
        .M11_AXI_wlast(smartconnect_6_M11_AXI_WLAST),
        .M11_AXI_wready(smartconnect_6_M11_AXI_WREADY),
        .M11_AXI_wstrb(smartconnect_6_M11_AXI_WSTRB),
        .M11_AXI_wuser(smartconnect_6_M11_AXI_WUSER),
        .M11_AXI_wvalid(smartconnect_6_M11_AXI_WVALID),
        .M12_AXI_araddr(smartconnect_6_M12_AXI_ARADDR),
        .M12_AXI_arburst(smartconnect_6_M12_AXI_ARBURST),
        .M12_AXI_arcache(smartconnect_6_M12_AXI_ARCACHE),
        .M12_AXI_arlen(smartconnect_6_M12_AXI_ARLEN),
        .M12_AXI_arlock(smartconnect_6_M12_AXI_ARLOCK),
        .M12_AXI_arprot(smartconnect_6_M12_AXI_ARPROT),
        .M12_AXI_arqos(smartconnect_6_M12_AXI_ARQOS),
        .M12_AXI_arready(smartconnect_6_M12_AXI_ARREADY),
        .M12_AXI_arsize(smartconnect_6_M12_AXI_ARSIZE),
        .M12_AXI_aruser(smartconnect_6_M12_AXI_ARUSER),
        .M12_AXI_arvalid(smartconnect_6_M12_AXI_ARVALID),
        .M12_AXI_awaddr(smartconnect_6_M12_AXI_AWADDR),
        .M12_AXI_awburst(smartconnect_6_M12_AXI_AWBURST),
        .M12_AXI_awcache(smartconnect_6_M12_AXI_AWCACHE),
        .M12_AXI_awlen(smartconnect_6_M12_AXI_AWLEN),
        .M12_AXI_awlock(smartconnect_6_M12_AXI_AWLOCK),
        .M12_AXI_awprot(smartconnect_6_M12_AXI_AWPROT),
        .M12_AXI_awqos(smartconnect_6_M12_AXI_AWQOS),
        .M12_AXI_awready(smartconnect_6_M12_AXI_AWREADY),
        .M12_AXI_awsize(smartconnect_6_M12_AXI_AWSIZE),
        .M12_AXI_awuser(smartconnect_6_M12_AXI_AWUSER),
        .M12_AXI_awvalid(smartconnect_6_M12_AXI_AWVALID),
        .M12_AXI_bready(smartconnect_6_M12_AXI_BREADY),
        .M12_AXI_bresp(smartconnect_6_M12_AXI_BRESP),
        .M12_AXI_buser(smartconnect_6_M12_AXI_BUSER),
        .M12_AXI_bvalid(smartconnect_6_M12_AXI_BVALID),
        .M12_AXI_rdata(smartconnect_6_M12_AXI_RDATA),
        .M12_AXI_rlast(smartconnect_6_M12_AXI_RLAST),
        .M12_AXI_rready(smartconnect_6_M12_AXI_RREADY),
        .M12_AXI_rresp(smartconnect_6_M12_AXI_RRESP),
        .M12_AXI_ruser(smartconnect_6_M12_AXI_RUSER),
        .M12_AXI_rvalid(smartconnect_6_M12_AXI_RVALID),
        .M12_AXI_wdata(smartconnect_6_M12_AXI_WDATA),
        .M12_AXI_wlast(smartconnect_6_M12_AXI_WLAST),
        .M12_AXI_wready(smartconnect_6_M12_AXI_WREADY),
        .M12_AXI_wstrb(smartconnect_6_M12_AXI_WSTRB),
        .M12_AXI_wuser(smartconnect_6_M12_AXI_WUSER),
        .M12_AXI_wvalid(smartconnect_6_M12_AXI_WVALID),
        .M13_AXI_araddr(smartconnect_6_M13_AXI_ARADDR),
        .M13_AXI_arburst(smartconnect_6_M13_AXI_ARBURST),
        .M13_AXI_arcache(smartconnect_6_M13_AXI_ARCACHE),
        .M13_AXI_arlen(smartconnect_6_M13_AXI_ARLEN),
        .M13_AXI_arlock(smartconnect_6_M13_AXI_ARLOCK),
        .M13_AXI_arprot(smartconnect_6_M13_AXI_ARPROT),
        .M13_AXI_arqos(smartconnect_6_M13_AXI_ARQOS),
        .M13_AXI_arready(smartconnect_6_M13_AXI_ARREADY),
        .M13_AXI_arsize(smartconnect_6_M13_AXI_ARSIZE),
        .M13_AXI_aruser(smartconnect_6_M13_AXI_ARUSER),
        .M13_AXI_arvalid(smartconnect_6_M13_AXI_ARVALID),
        .M13_AXI_awaddr(smartconnect_6_M13_AXI_AWADDR),
        .M13_AXI_awburst(smartconnect_6_M13_AXI_AWBURST),
        .M13_AXI_awcache(smartconnect_6_M13_AXI_AWCACHE),
        .M13_AXI_awlen(smartconnect_6_M13_AXI_AWLEN),
        .M13_AXI_awlock(smartconnect_6_M13_AXI_AWLOCK),
        .M13_AXI_awprot(smartconnect_6_M13_AXI_AWPROT),
        .M13_AXI_awqos(smartconnect_6_M13_AXI_AWQOS),
        .M13_AXI_awready(smartconnect_6_M13_AXI_AWREADY),
        .M13_AXI_awsize(smartconnect_6_M13_AXI_AWSIZE),
        .M13_AXI_awuser(smartconnect_6_M13_AXI_AWUSER),
        .M13_AXI_awvalid(smartconnect_6_M13_AXI_AWVALID),
        .M13_AXI_bready(smartconnect_6_M13_AXI_BREADY),
        .M13_AXI_bresp(smartconnect_6_M13_AXI_BRESP),
        .M13_AXI_buser(smartconnect_6_M13_AXI_BUSER),
        .M13_AXI_bvalid(smartconnect_6_M13_AXI_BVALID),
        .M13_AXI_rdata(smartconnect_6_M13_AXI_RDATA),
        .M13_AXI_rlast(smartconnect_6_M13_AXI_RLAST),
        .M13_AXI_rready(smartconnect_6_M13_AXI_RREADY),
        .M13_AXI_rresp(smartconnect_6_M13_AXI_RRESP),
        .M13_AXI_ruser(smartconnect_6_M13_AXI_RUSER),
        .M13_AXI_rvalid(smartconnect_6_M13_AXI_RVALID),
        .M13_AXI_wdata(smartconnect_6_M13_AXI_WDATA),
        .M13_AXI_wlast(smartconnect_6_M13_AXI_WLAST),
        .M13_AXI_wready(smartconnect_6_M13_AXI_WREADY),
        .M13_AXI_wstrb(smartconnect_6_M13_AXI_WSTRB),
        .M13_AXI_wuser(smartconnect_6_M13_AXI_WUSER),
        .M13_AXI_wvalid(smartconnect_6_M13_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_5_ARADDR),
        .S00_AXI_arburst(S00_AXI_5_ARBURST),
        .S00_AXI_arcache(S00_AXI_5_ARCACHE),
        .S00_AXI_arlen(S00_AXI_5_ARLEN),
        .S00_AXI_arlock(S00_AXI_5_ARLOCK),
        .S00_AXI_arprot(S00_AXI_5_ARPROT),
        .S00_AXI_arqos(S00_AXI_5_ARQOS),
        .S00_AXI_arready(S00_AXI_5_ARREADY),
        .S00_AXI_arsize(S00_AXI_5_ARSIZE),
        .S00_AXI_aruser(S00_AXI_5_ARUSER),
        .S00_AXI_arvalid(S00_AXI_5_ARVALID),
        .S00_AXI_awaddr(S00_AXI_5_AWADDR),
        .S00_AXI_awburst(S00_AXI_5_AWBURST),
        .S00_AXI_awcache(S00_AXI_5_AWCACHE),
        .S00_AXI_awlen(S00_AXI_5_AWLEN),
        .S00_AXI_awlock(S00_AXI_5_AWLOCK),
        .S00_AXI_awprot(S00_AXI_5_AWPROT),
        .S00_AXI_awqos(S00_AXI_5_AWQOS),
        .S00_AXI_awready(S00_AXI_5_AWREADY),
        .S00_AXI_awsize(S00_AXI_5_AWSIZE),
        .S00_AXI_awuser(S00_AXI_5_AWUSER),
        .S00_AXI_awvalid(S00_AXI_5_AWVALID),
        .S00_AXI_bready(S00_AXI_5_BREADY),
        .S00_AXI_bresp(S00_AXI_5_BRESP),
        .S00_AXI_buser(S00_AXI_5_BUSER),
        .S00_AXI_bvalid(S00_AXI_5_BVALID),
        .S00_AXI_rdata(S00_AXI_5_RDATA),
        .S00_AXI_rlast(S00_AXI_5_RLAST),
        .S00_AXI_rready(S00_AXI_5_RREADY),
        .S00_AXI_rresp(S00_AXI_5_RRESP),
        .S00_AXI_ruser(S00_AXI_5_RUSER),
        .S00_AXI_rvalid(S00_AXI_5_RVALID),
        .S00_AXI_wdata(S00_AXI_5_WDATA),
        .S00_AXI_wlast(S00_AXI_5_WLAST),
        .S00_AXI_wready(S00_AXI_5_WREADY),
        .S00_AXI_wstrb(S00_AXI_5_WSTRB),
        .S00_AXI_wuser(S00_AXI_5_WUSER),
        .S00_AXI_wvalid(S00_AXI_5_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
  versal_cips_ps_vip_v1_0_11_design_smartconnect_7_0 smartconnect_7
       (.M00_AXI_araddr(smartconnect_7_M00_AXI_ARADDR),
        .M00_AXI_arburst(smartconnect_7_M00_AXI_ARBURST),
        .M00_AXI_arcache(smartconnect_7_M00_AXI_ARCACHE),
        .M00_AXI_arlen(smartconnect_7_M00_AXI_ARLEN),
        .M00_AXI_arlock(smartconnect_7_M00_AXI_ARLOCK),
        .M00_AXI_arprot(smartconnect_7_M00_AXI_ARPROT),
        .M00_AXI_arqos(smartconnect_7_M00_AXI_ARQOS),
        .M00_AXI_arready(smartconnect_7_M00_AXI_ARREADY),
        .M00_AXI_arsize(smartconnect_7_M00_AXI_ARSIZE),
        .M00_AXI_aruser(smartconnect_7_M00_AXI_ARUSER),
        .M00_AXI_arvalid(smartconnect_7_M00_AXI_ARVALID),
        .M00_AXI_awaddr(smartconnect_7_M00_AXI_AWADDR),
        .M00_AXI_awburst(smartconnect_7_M00_AXI_AWBURST),
        .M00_AXI_awcache(smartconnect_7_M00_AXI_AWCACHE),
        .M00_AXI_awlen(smartconnect_7_M00_AXI_AWLEN),
        .M00_AXI_awlock(smartconnect_7_M00_AXI_AWLOCK),
        .M00_AXI_awprot(smartconnect_7_M00_AXI_AWPROT),
        .M00_AXI_awqos(smartconnect_7_M00_AXI_AWQOS),
        .M00_AXI_awready(smartconnect_7_M00_AXI_AWREADY),
        .M00_AXI_awsize(smartconnect_7_M00_AXI_AWSIZE),
        .M00_AXI_awuser(smartconnect_7_M00_AXI_AWUSER),
        .M00_AXI_awvalid(smartconnect_7_M00_AXI_AWVALID),
        .M00_AXI_bready(smartconnect_7_M00_AXI_BREADY),
        .M00_AXI_bresp(smartconnect_7_M00_AXI_BRESP),
        .M00_AXI_buser(smartconnect_7_M00_AXI_BUSER),
        .M00_AXI_bvalid(smartconnect_7_M00_AXI_BVALID),
        .M00_AXI_rdata(smartconnect_7_M00_AXI_RDATA),
        .M00_AXI_rlast(smartconnect_7_M00_AXI_RLAST),
        .M00_AXI_rready(smartconnect_7_M00_AXI_RREADY),
        .M00_AXI_rresp(smartconnect_7_M00_AXI_RRESP),
        .M00_AXI_ruser(smartconnect_7_M00_AXI_RUSER),
        .M00_AXI_rvalid(smartconnect_7_M00_AXI_RVALID),
        .M00_AXI_wdata(smartconnect_7_M00_AXI_WDATA),
        .M00_AXI_wlast(smartconnect_7_M00_AXI_WLAST),
        .M00_AXI_wready(smartconnect_7_M00_AXI_WREADY),
        .M00_AXI_wstrb(smartconnect_7_M00_AXI_WSTRB),
        .M00_AXI_wuser(smartconnect_7_M00_AXI_WUSER),
        .M00_AXI_wvalid(smartconnect_7_M00_AXI_WVALID),
        .S00_AXI_araddr(S00_AXI_0_1_ARADDR),
        .S00_AXI_arburst(S00_AXI_0_1_ARBURST),
        .S00_AXI_arcache(S00_AXI_0_1_ARCACHE),
        .S00_AXI_arid(S00_AXI_0_1_ARID),
        .S00_AXI_arlen(S00_AXI_0_1_ARLEN),
        .S00_AXI_arlock(S00_AXI_0_1_ARLOCK),
        .S00_AXI_arprot(S00_AXI_0_1_ARPROT),
        .S00_AXI_arqos(S00_AXI_0_1_ARQOS),
        .S00_AXI_arready(S00_AXI_0_1_ARREADY),
        .S00_AXI_arsize(S00_AXI_0_1_ARSIZE),
        .S00_AXI_aruser(S00_AXI_0_1_ARUSER),
        .S00_AXI_arvalid(S00_AXI_0_1_ARVALID),
        .S00_AXI_awaddr(S00_AXI_0_1_AWADDR),
        .S00_AXI_awburst(S00_AXI_0_1_AWBURST),
        .S00_AXI_awcache(S00_AXI_0_1_AWCACHE),
        .S00_AXI_awid(S00_AXI_0_1_AWID),
        .S00_AXI_awlen(S00_AXI_0_1_AWLEN),
        .S00_AXI_awlock(S00_AXI_0_1_AWLOCK),
        .S00_AXI_awprot(S00_AXI_0_1_AWPROT),
        .S00_AXI_awqos(S00_AXI_0_1_AWQOS),
        .S00_AXI_awready(S00_AXI_0_1_AWREADY),
        .S00_AXI_awsize(S00_AXI_0_1_AWSIZE),
        .S00_AXI_awuser(S00_AXI_0_1_AWUSER),
        .S00_AXI_awvalid(S00_AXI_0_1_AWVALID),
        .S00_AXI_bid(S00_AXI_0_1_BID),
        .S00_AXI_bready(S00_AXI_0_1_BREADY),
        .S00_AXI_bresp(S00_AXI_0_1_BRESP),
        .S00_AXI_buser(S00_AXI_0_1_BUSER),
        .S00_AXI_bvalid(S00_AXI_0_1_BVALID),
        .S00_AXI_rdata(S00_AXI_0_1_RDATA),
        .S00_AXI_rid(S00_AXI_0_1_RID),
        .S00_AXI_rlast(S00_AXI_0_1_RLAST),
        .S00_AXI_rready(S00_AXI_0_1_RREADY),
        .S00_AXI_rresp(S00_AXI_0_1_RRESP),
        .S00_AXI_ruser(S00_AXI_0_1_RUSER),
        .S00_AXI_rvalid(S00_AXI_0_1_RVALID),
        .S00_AXI_wdata(S00_AXI_0_1_WDATA),
        .S00_AXI_wlast(S00_AXI_0_1_WLAST),
        .S00_AXI_wready(S00_AXI_0_1_WREADY),
        .S00_AXI_wstrb(S00_AXI_0_1_WSTRB),
        .S00_AXI_wuser(S00_AXI_0_1_WUSER),
        .S00_AXI_wvalid(S00_AXI_0_1_WVALID),
        .aclk(aclk_0_1),
        .aresetn(aresetn_0_1));
endmodule


/*******************************************************************
 * File : versal_cips_ps_vip_v1_0_11_reg_map.sv
 *
 * Date : 2015-16
 *
 * Description : Controller for Register Map Memory
 *
 *****************************************************************************/

 `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11_reg_map();

`include "versal_cips_ps_vip_v1_0_11_local_params.sv"

/* Register definitions */
`include "versal_cips_ps_vip_v1_0_11_reg_params.sv"

parameter mem_size = 32'h2000_0000; ///as the memory is implemented 4 byte wide

 reg /*sparse*/ [data_width-1:0] reg_mem [0:(mem_size/mem_width)-1]; //  512 MB needed for reg space
 parameter addr_offset_bits = 27;

/* preload reset_values from file */
task automatic pre_load_rst_values;
input dummy;
begin
 `include "versal_cips_ps_vip_v1_0_11_reg_init.sv" /* This file has list of set_reset_data() calls to set the reset value for each register*/
end
endtask

/* writes the reset data into the reg memory */
task automatic set_reset_data;
input [addr_width-1:0] address;
input [data_width-1:0] data;
input int size;
reg   [addr_width-1:0] addr;
begin
  addr = address >> 2;
  if(size == 1) begin
     if(address[1:0] == 0) reg_mem[addr[addr_offset_bits-1:0]] = data[7:0];
     else if(address[1:0] == 2'b01) reg_mem[addr[addr_offset_bits-1:0]][15:8] = data[7:0];
     else if(address[1:0] == 2'b10) reg_mem[addr[addr_offset_bits-1:0]][23:16] = data[7:0];
     else if(address[1:0] == 2'b11) reg_mem[addr[addr_offset_bits-1:0]][31:24] = data[7:0];
  end
  else if(size == 2) begin
     if(address[1:0] == 0) reg_mem[addr[addr_offset_bits-1:0]] = data[15:0];
     else if(address[1:0] == 2'b01) reg_mem[addr[addr_offset_bits-1:0]][23:8] = data[15:0];
     else if(address[1:0] == 2'b10) reg_mem[addr[addr_offset_bits-1:0]][31:16] = data[15:0];
  end
  else begin
     reg_mem[addr[addr_offset_bits-1:0]] = data;
  end
//`ifdef XLNX_INT_DBG
//  $display("[%0d]: %0s : Initializing Register Address : 0X%x with data = %x ",$time,DISP_INT_INFO,address,data);
//`endif

end
endtask

/* writes the data into the reg memory */
task automatic set_data;
input [addr_width-1:0] addr;
input [data_width-1:0] data;
begin
  reg_mem[addr[addr_offset_bits-1:0]] = data;
end
endtask

/* get the read data from reg mem */
task automatic get_data;
input [addr_width-1:0] addr;
output [data_width-1:0] data;
begin
  data = reg_mem[addr[addr_offset_bits-1:0]];
//`ifdef XLNX_INT_DBG
//  $display("[%0d]: %0s : get_data called for register addr = 0X%x , data = 0X%x ,reg_mem = 0X%x",$time,DISP_INT_INFO,addr,data[31:0],reg_mem[addr[addr_offset_bits-1:0]]);
//`endif
end
endtask

/* read chunk of registers */
task read_reg_mem;
output[max_burst_bits-1 :0] data;
input [addr_width-1:0] start_addr;
input [max_burst_bytes_width:0] no_of_bytes;
integer i;
reg [addr_width-1:0] addr;
reg [data_width-1:0] temp_rd_data;
reg [max_burst_bits-1:0] temp_data;
integer bytes_left;
begin
addr = start_addr >> shft_addr_bits;
bytes_left = no_of_bytes;

//`ifdef XLNX_INT_DBG
//   $display("[%0d] : %0s : Reading Register Map starting address (0x%0h) -> %0d bytes",$time, DISP_INT_INFO, start_addr,no_of_bytes ); 
//`endif 

/* Get first data ... if unaligned address */
get_data(addr,temp_data[max_burst_bits-1 : max_burst_bits- data_width]);

if(no_of_bytes < mem_width ) begin
  repeat(max_burst_bytes - mem_width)
   temp_data = temp_data >> 8;

end else begin
  bytes_left = bytes_left - mem_width;
  addr  = addr+1;
  /* Got first data */
  while (bytes_left > (mem_width-1) ) begin
   temp_data = temp_data >> data_width;
   get_data(addr,temp_data[max_burst_bits-1 : max_burst_bits-data_width]);
   addr = addr+1;
   bytes_left = bytes_left - mem_width;
  end 

  /* Get last valid data in the burst*/
  get_data(addr,temp_rd_data);
  while(bytes_left > 0) begin
    temp_data = temp_data >> 8;
    temp_data[max_burst_bits-1 : max_burst_bits-8] = temp_rd_data[7:0];
    temp_rd_data = temp_rd_data >> 8;
    bytes_left = bytes_left - 1;
  end
  /* align to the brst_byte length */
  repeat(max_burst_bytes - no_of_bytes)
    temp_data = temp_data >> 8;
end 
data = temp_data;
//`ifdef XLNX_INT_DBG
//   $display("[%0d] : %0s : DONE -> Reading Register Map starting address (0x%0h), Data returned(0x%0h)",$time, DISP_INT_INFO, start_addr, data ); 
//`endif 
end
endtask

/* write to registers registers */
function write_reg_mem;
input [max_burst_bits-1 :0] 	data;
input [addr_width-1:0] 		start_addr;
input [max_burst_bytes_width:0] no_of_bytes;
input [max_reg_burst_bytes-1:0] wr_strb;

integer i;
reg [addr_width-1:0] 		addr;
reg [data_width-1:0] 		temp_rd_data;
reg [max_burst_bits-1:0] 	temp_data;
reg [max_reg_burst_bytes-1:0] 	temp_wr_strb;

begin
addr = start_addr >> shft_addr_bits;
if(wr_strb[3:0] == 4'h0) begin
   temp_wr_strb = 4'hf;
   //$display($time," In wr_strb = 0 ");
end
else begin
   temp_wr_strb = wr_strb;
   //$display($time," In wr_strb != 0 ");
end

`ifdef XLNX_INT_DBG
   $display("[%0d] : %0s : WRITING to Register with starting address (0x%0h) -> %0d bytes",$time, DISP_INT_INFO, start_addr,no_of_bytes ); 
`endif 

//`ifdef XLNX_INT_DBG
//   $display("[%0d] : %0s : write_reg_mem: Writing to Register with Register addr: 0x%0h data = 0x%0h strobe: 0x%0h no_of_bytes = %0d ",$time,DISP_INT_INFO,addr,data[31:0],wr_strb[3:0],no_of_bytes);
//`endif
  for(int i = 0;i < no_of_bytes; i++) begin
     if(temp_wr_strb[i] == 1) begin
        reg_mem[addr[addr_offset_bits-1:0]][(i*8)+:8] = data[(i*8)+:8];
//        $display("[%0d] : %0s : write_reg_mem: reg_mem[0x%0h] = 0x%0h ",$time,DISP_INT_INFO,addr[addr_offset_bits-1:0],reg_mem[addr[addr_offset_bits-1:0]][31:0]);
     end
  end

//`ifdef XLNX_INT_DBG
//   $display("[%0d] : %0s : DONE -> WRITING of Register with starting address (0x%0h), Data Written(0x%0h)",$time, DISP_INT_INFO, start_addr, data ); 
//`endif 
end

endfunction


initial 
begin
// $display("INFO: [%0d] : %0s : Pre loading of reset/default values into registers started",$time,DISP_INT_INFO);
 pre_load_rst_values(1);
// $display("[%0d] : %0s : Pre loading of reset/default values into registers Done",$time,DISP_INT_INFO);
end

endmodule


/*****************************************************************
 * File : versal_cips_ps_vip_v1_0_11_ocm_mem.sv
 *
 * Date : 2015-16
 *
 * Description : Mimics OCM model
 *
 *****************************************************************************/
 `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11_ocm_mem();
`include "versal_cips_ps_vip_v1_0_11_local_params.sv"

parameter mem_size = 32'h4_0000; /// 256 KB
// balakasa: changed clogb2 to f_clogb2 as per IP3 database
parameter mem_addr_width = f_clogb2(mem_size/mem_width);

  reg [data_width-1:0] ocm_memory [0:(mem_size/mem_width)-1]; /// 256 KB memory
  //Changed to bit by satya
//   bit [data_width-1:0] ocm_memory [0:(mem_size/mem_width)-1]; /// 256 KB memory  

/* preload memory from file */
//task automatic pre_load_mem_from_file;
//input [(max_chars*8)-1:0] file_name;
//input [addr_width-1:0] start_addr;
//input [int_width-1:0] no_of_bytes;
// $readmemh(file_name,ocm_memory,start_addr>>shft_addr_bits);
//endtask
task automatic pre_load_mem_from_file;
input [(max_chars*8)-1:0] file_name;
input [addr_width-1:0] start_addr;
input [int_width-1:0] no_of_bytes;
integer i;
 reg [data_width-1:0] ocm_memory_temp [0:(mem_size/mem_width)-1]; /// 256 KB memory

 $readmemh(file_name,ocm_memory_temp,start_addr>>shft_addr_bits);
  for (i = 0; i < no_of_bytes; i = i + 1) begin
   ocm_memory[(start_addr>>shft_addr_bits) + i] = ocm_memory_temp[(start_addr>>shft_addr_bits) + i];
  end

endtask


/* preload memory with some random data */
task automatic pre_load_mem;
input [1:0]  data_type;
input [addr_width-1:0] start_addr;
input [int_width-1:0] no_of_bytes;
integer i;
reg [mem_addr_width-1:0] addr;
begin
addr = start_addr >> shft_addr_bits;

for (i = 0; i < no_of_bytes; i = i + mem_width) begin
   case(data_type)
     ALL_RANDOM : ocm_memory[addr] = $random;
     ALL_ZEROS  : ocm_memory[addr] = 32'h0000_0000;
     ALL_ONES   : ocm_memory[addr] = 32'hFFFF_FFFF;
     default    : ocm_memory[addr] = $random;
   endcase
   addr = addr+1;
end 
end
endtask

/* Write memory */
task write_mem;
input [max_burst_bits-1 :0] data;
input [addr_width-1:0] start_addr;
input [max_burst_bytes_width:0] no_of_bytes;
input [max_burst_bytes-1 :0] strb;
reg [mem_addr_width-1:0] addr;
reg [max_burst_bits-1 :0] wr_temp_data;
reg [max_burst_bytes-1 :0] wr_temp_strb;
reg [data_width-1:0] pre_pad_data,post_pad_data,temp_data;
reg [(data_width/8)-1:0] pre_pad_strb, post_pad_strb, temp_strb;
integer bytes_left;
integer pre_pad_bytes;
integer post_pad_bytes;
begin
addr = start_addr >> shft_addr_bits;
wr_temp_data = data;
wr_temp_strb = strb;

//$display("write_mem called with  start_addr %0h data %0h no_of_bytes %0h",start_addr,data,no_of_bytes);
`ifdef XLNX_INT_DBG
   $display("[INFO]: %0s (%m) :: [write_mem] [%0d] ::: Writing %0d bytes of data to OCM Memory with Starting Saddress (0x%0h) and Data (0x%0h)",DISP_VIP, $time, no_of_bytes, start_addr, data); 
`endif

temp_data = wr_temp_data[data_width-1:0];
temp_strb = wr_temp_strb[(data_width/8)-1:0];
bytes_left = no_of_bytes;
//$display("bytes_left %0d temp_data %0h temp_strb %0h",bytes_left,temp_data,temp_strb);
/* when the no. of bytes to be updated is less than mem_width */
if(bytes_left+start_addr[shft_addr_bits-1:0] < mem_width) begin
 /* first data word in the burst , if unaligned address, the adjust the wr_data accordingly for first write*/
 if(start_addr[shft_addr_bits-1:0] > 0) begin
   temp_data     = ocm_memory[addr];
   temp_strb     = 4'hF;
   pre_pad_bytes = mem_width - start_addr[shft_addr_bits-1:0];
   repeat(pre_pad_bytes) begin
     temp_data = temp_data << 8;
	 temp_strb = temp_strb << 1;
   end
   repeat(pre_pad_bytes) begin
     temp_data = temp_data >> 8;
	 temp_strb = temp_strb >> 1;
     temp_data[data_width-1:data_width-8] = wr_temp_data[7:0];
	 temp_strb[(data_width/8)-1]          = wr_temp_strb[0];
     wr_temp_data = wr_temp_data >> 8;
	 wr_temp_strb = wr_temp_strb >> 1;
   end
   bytes_left = bytes_left + pre_pad_bytes;
   //$display("bytes_left %0d temp_data %0h temp_strb %0h",bytes_left,temp_data,temp_strb);
 end
 /* This is needed for post padding the data ...*/
 post_pad_bytes = mem_width - bytes_left;
 post_pad_data  = ocm_memory[addr];
 post_pad_strb = 4'hF;
 repeat(post_pad_bytes) begin
   temp_data = temp_data << 8;
   temp_strb = temp_strb << 1;
 end
 repeat(bytes_left) begin 
   post_pad_data = post_pad_data >> 8;
   post_pad_strb = post_pad_strb >> 1;
 end
 repeat(post_pad_bytes) begin
   temp_data = temp_data >> 8;
   temp_strb = temp_strb >> 1;
   temp_data[data_width-1:data_width-8] = post_pad_data[7:0];
   temp_strb[(data_width/8)-1]          = post_pad_strb[0];
   post_pad_data = post_pad_data >> 8; 
   post_pad_strb = post_pad_strb >> 1;
 end
 if (temp_strb[0] == 1'b1) ocm_memory[addr][7:0]   = temp_data[7:0];
 if (temp_strb[1] == 1'b1) ocm_memory[addr][15:8]  = temp_data[15:8];
 if (temp_strb[2] == 1'b1) ocm_memory[addr][23:16] = temp_data[23:16];
 if (temp_strb[3] == 1'b1) ocm_memory[addr][31:24] = temp_data[31:24];
 //$display(" zero ocm_memory[addr] %0h temp_data %0h ",ocm_memory[addr],temp_data[31:0]);
end else begin
 /* first data word in the burst , if unaligned address, the adjust the wr_data accordingly for first write*/
 if(start_addr[shft_addr_bits-1:0] > 0) begin
  temp_data     = ocm_memory[addr];
  temp_strb     = 4'hF;
  pre_pad_bytes = mem_width - start_addr[shft_addr_bits-1:0];
  repeat(pre_pad_bytes) begin
    temp_data = temp_data << 8;
	temp_strb = temp_strb << 1;
  end
  repeat(pre_pad_bytes) begin
    temp_data = temp_data >> 8;
	temp_strb = temp_strb >> 1;
    temp_data[data_width-1:data_width-8] = wr_temp_data[7:0];
    temp_strb[(data_width/8)-1]          = wr_temp_strb[0];
    wr_temp_data = wr_temp_data >> 8;
    wr_temp_strb = wr_temp_strb >> 1;
    bytes_left = bytes_left -1;  
  end
 end else begin
  wr_temp_data = wr_temp_data >> data_width;  
  wr_temp_strb = wr_temp_strb >> data_width/8;
  bytes_left = bytes_left - mem_width;
 end
 /* first data word end */
 if (temp_strb[0] == 1'b1) ocm_memory[addr][7:0]   = temp_data[7:0];
 if (temp_strb[1] == 1'b1) ocm_memory[addr][15:8]  = temp_data[15:8];
 if (temp_strb[2] == 1'b1) ocm_memory[addr][23:16] = temp_data[23:16];
 if (temp_strb[3] == 1'b1) ocm_memory[addr][31:24] = temp_data[31:24];
 addr = addr + 1;
 //$display(" first write ocm_memory[addr] %0h temp_data %0h ",ocm_memory[addr],temp_data[31:0]);
 while(bytes_left > (mem_width-1) ) begin  /// for unaliged address necessary to check for mem_wd-1 , accordingly we have to pad post bytes.
  if (wr_temp_strb[0] == 1'b1) ocm_memory[addr][7:0]   = wr_temp_data[7:0];
  if (wr_temp_strb[1] == 1'b1) ocm_memory[addr][15:8]  = wr_temp_data[15:8];
  if (wr_temp_strb[2] == 1'b1) ocm_memory[addr][23:16] = wr_temp_data[23:16];
  if (wr_temp_strb[3] == 1'b1) ocm_memory[addr][31:24] = wr_temp_data[31:24];
 //$display("second write ocm_memory[addr] %0h temp_data %0h ",ocm_memory[addr],temp_data[31:0]);
//ocm_memory[addr] = wr_temp_data[data_width-1:0];
  addr = addr+1;
  wr_temp_data = wr_temp_data >> data_width;
  wr_temp_strb = wr_temp_strb >> data_width/8;
  bytes_left = bytes_left - mem_width;
 end
 
 post_pad_data   = ocm_memory[addr];
 post_pad_strb   = 4'hF;
 post_pad_bytes  = mem_width - bytes_left;
 /* This is needed for last transfer in unaliged burst */
 if(bytes_left > 0) begin
   temp_data = wr_temp_data[data_width-1:0];
   temp_strb = wr_temp_strb[(data_width/8)-1:0];
   repeat(post_pad_bytes) begin 
     temp_data = temp_data << 8;
	 temp_strb = temp_strb << 1;
   end
   repeat(bytes_left) begin
     post_pad_data = post_pad_data >> 8;
	 post_pad_strb = post_pad_strb >> 1;
   end
   repeat(post_pad_bytes) begin
     temp_data = temp_data >> 8;
	 temp_strb = temp_strb >> 1;
     temp_data[data_width-1:data_width-8] = post_pad_data[7:0];
     temp_strb[(data_width/8)-1]          = post_pad_strb[0];
     post_pad_data = post_pad_data >> 8; 
	 post_pad_strb = post_pad_strb >> 1;
   end
   if (temp_strb[0] == 1'b1) ocm_memory[addr][7:0]   = temp_data[7:0];
   if (temp_strb[1] == 1'b1) ocm_memory[addr][15:8]  = temp_data[15:8];
   if (temp_strb[2] == 1'b1) ocm_memory[addr][23:16] = temp_data[23:16];
   if (temp_strb[3] == 1'b1) ocm_memory[addr][31:24] = temp_data[31:24];
   //$display("third write ocm_memory[addr] %0h temp_data %0h ",ocm_memory[addr],temp_data[31:0]);
// ocm_memory[addr] = temp_data;
 end
end
`ifdef XLNX_INT_DBG
   $display("INFO: %0s (%m) :: [write_mem] [%0d] ::: DONE Writing to OCM Memory with starting address (0x%0h)",DISP_VIP, $time, start_addr ); 
`endif
end
endtask

/* read_memory */
task read_mem;
output[max_burst_bits-1 :0] data;
input [addr_width-1:0] start_addr;
input [max_burst_bytes_width:0] no_of_bytes;
integer i;
reg [mem_addr_width-1:0] addr;
reg [data_width-1:0] temp_rd_data;
reg [max_burst_bits-1:0] temp_data;
integer pre_bytes;
integer bytes_left;
integer number_of_reads_first_loc,number_of_extra_reads;
begin
addr = start_addr >> shft_addr_bits;
pre_bytes  = start_addr[shft_addr_bits-1:0];
// if(pre_bytes+no_of_bytes > mem_width) begin
// bytes_left = pre_bytes+no_of_bytes;
// $display(" new0 number of bytes_left %0d",bytes_left);
// end else begin
// bytes_left = no_of_bytes;
// $display(" new1 number of bytes_left %0d",bytes_left);
// end
number_of_reads_first_loc = (mem_width - pre_bytes);
if(pre_bytes > number_of_reads_first_loc)
number_of_extra_reads = (pre_bytes - number_of_reads_first_loc);
else
number_of_extra_reads = 0;
//$display("number_of_reads_first_loc %0d number_of_extra_reads %0d",number_of_reads_first_loc,number_of_extra_reads);

bytes_left = no_of_bytes-number_of_reads_first_loc;

`ifdef XLNX_INT_DBG
   $display("INFO: %0s  (%m) :: [read_mem] [%0d] ::: Reading %0d bytes of data from OCM Memory with starting address (0x%0h) ",DISP_VIP, $time, no_of_bytes, start_addr ); 
`endif 

//$display("start_addr %0h  no_of_bytes %0d addr %0h shft_addr_bits %0d",start_addr,no_of_bytes,addr,shft_addr_bits);

/* Get first data ... if unaligned address */
temp_data[max_burst_bits-1 : max_burst_bits-data_width] = ocm_memory[addr];


//$display("start_addr %0h  ocm_memory[%0h]  %0h pre_bytes %0d",start_addr,addr,ocm_memory[addr],pre_bytes);
// if(no_of_bytes < mem_width ) begin
// if(bytes_left < mem_width ) begin
if(bytes_left <= 0 ) begin
  temp_data = temp_data >> (pre_bytes * 8);
  repeat(max_burst_bytes - mem_width)
   temp_data = temp_data >> 8;
   //$display("temp_data %0h no_of_bytes %0h mem_width %0h",temp_data,no_of_bytes,mem_width);
end else begin
  // bytes_left = bytes_left - (mem_width - pre_bytes);
  //$display(" else bytes_left %0d ",bytes_left);
  addr  = addr+1;
  /* Got first data */
  while (bytes_left > (mem_width-1) ) begin
   temp_data = temp_data >> data_width;
   temp_data[max_burst_bits-1 : max_burst_bits-data_width] = ocm_memory[addr];
   addr = addr+1;
   bytes_left = bytes_left - mem_width;
  end 

  /* Get last valid data in the burst*/
  temp_rd_data = ocm_memory[addr];
   //$display("second temp_rd_data %0h no_of_bytes %0h ocm_memory[%0h] %0h",temp_rd_data,no_of_bytes,addr,ocm_memory[addr]);
  while(bytes_left > 0) begin
    temp_data = temp_data >> 8;
    //$display("temp_data %0h bytes_left %0d max_burst_bits %0d",temp_data,bytes_left,max_burst_bits);
    temp_data[max_burst_bits-1 : max_burst_bits-8] = temp_rd_data[7:0];
    temp_rd_data = temp_rd_data >> 8;
    bytes_left = bytes_left - 1;
    //$display("temp_rd_data %0h bytes_left %0d max_burst_bits %0d",temp_rd_data,bytes_left,max_burst_bits);
  end
  /* align to the brst_byte length */
  repeat(max_burst_bytes - no_of_bytes) begin
    temp_data = temp_data >> 8;
    // $display("temp_data %0h no_of_bytes %0d max_burst_bytes %0d",temp_data,no_of_bytes,max_burst_bytes);
  end	
end 
data = temp_data;
    //$display("final data %0h ",data);
`ifdef XLNX_INT_DBG
   $display("INFO: %0s (%m) :: [read_mem] [%0d] ::: DONE Reading from OCM Memory with starting address (0x%0h), Data returned(0x%0h)",DISP_VIP, $time, start_addr, data ); 
`endif 
end
endtask

/* backdoor read to memory */
task peek_mem_to_file;
input [(max_chars*8)-1:0] file_name;
input [addr_width-1:0] start_addr;
input [int_width-1:0] no_of_bytes;

integer rd_fd;
integer bytes;
reg [addr_width-1:0] addr;
reg [data_width-1:0] rd_data;
begin
rd_fd = $fopen(file_name,"w");
bytes = no_of_bytes;

addr = start_addr >> shft_addr_bits;
while (bytes > 0) begin
  rd_data = ocm_memory[addr];
  $fdisplayh(rd_fd,rd_data);
  bytes = bytes - 4;
  addr = addr + 1;
end
end
endtask

endmodule


/******************************************************************
 * File : versal_cips_ps_vip_v1_0_11_regc.sv
 *
 * Date : 2015-16
 *
 * Description : Controller for Register Map Memory
 *
 *****************************************************************************/
 `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11_regc(
 rstn,
 sw_clk,

 wr_reg_mem1_ack,
 wr_reg_mem1_dv,
 wr_reg_mem1_addr,
 wr_reg_mem1_data,
 wr_reg_mem1_strb,
 wr_reg_mem1_bytes,
 wr_reg_mem1_qos,
 rd_reg_mem1_req,
 rd_reg_mem1_dv,
 rd_reg_mem1_addr,
 rd_reg_mem1_data,
 rd_reg_mem1_bytes,
 rd_reg_mem1_qos,

 wr_reg_mem2_ack,
 wr_reg_mem2_dv,
 wr_reg_mem2_addr,
 wr_reg_mem2_data,
 wr_reg_mem2_strb,
 wr_reg_mem2_bytes,
 wr_reg_mem2_qos,
 rd_reg_mem2_req,
 rd_reg_mem2_dv,
 rd_reg_mem2_addr,
 rd_reg_mem2_data,
 rd_reg_mem2_bytes,
 rd_reg_mem2_qos,
 
 wr_reg_mem3_ack,
 wr_reg_mem3_dv,
 wr_reg_mem3_addr,
 wr_reg_mem3_data,
 wr_reg_mem3_strb,
 wr_reg_mem3_bytes,
 wr_reg_mem3_qos,
 rd_reg_mem3_req,
 rd_reg_mem3_dv,
 rd_reg_mem3_addr,
 rd_reg_mem3_data,
 rd_reg_mem3_bytes,
 rd_reg_mem3_qos,

 wr_reg_mem4_ack,
 wr_reg_mem4_dv,
 wr_reg_mem4_addr,
 wr_reg_mem4_data,
 wr_reg_mem4_strb,
 wr_reg_mem4_bytes,
 wr_reg_mem4_qos,
 rd_reg_mem4_req,
 rd_reg_mem4_dv,
 rd_reg_mem4_addr,
 rd_reg_mem4_data,
 rd_reg_mem4_bytes,
 rd_reg_mem4_qos,

 wr_reg_mem5_ack,
 wr_reg_mem5_dv,
 wr_reg_mem5_addr,
 wr_reg_mem5_data,
 wr_reg_mem5_strb,
 wr_reg_mem5_bytes,
 wr_reg_mem5_qos,
 rd_reg_mem5_req,
 rd_reg_mem5_dv,
 rd_reg_mem5_addr,
 rd_reg_mem5_data,
 rd_reg_mem5_bytes,
 rd_reg_mem5_qos,

 wr_reg_mem6_ack,
 wr_reg_mem6_dv,
 wr_reg_mem6_addr,
 wr_reg_mem6_data,
 wr_reg_mem6_strb,
 wr_reg_mem6_bytes,
 wr_reg_mem6_qos,
 rd_reg_mem6_req,
 rd_reg_mem6_dv,
 rd_reg_mem6_addr,
 rd_reg_mem6_data,
 rd_reg_mem6_bytes,
 rd_reg_mem6_qos,

 wr_reg_mem7_ack,
 wr_reg_mem7_dv,
 wr_reg_mem7_addr,
 wr_reg_mem7_data,
 wr_reg_mem7_strb,
 wr_reg_mem7_bytes,
 wr_reg_mem7_qos,
 rd_reg_mem7_req,
 rd_reg_mem7_dv,
 rd_reg_mem7_addr,
 rd_reg_mem7_data,
 rd_reg_mem7_bytes,
 rd_reg_mem7_qos,

 wr_reg_mem8_ack,
 wr_reg_mem8_dv,
 wr_reg_mem8_addr,
 wr_reg_mem8_data,
 wr_reg_mem8_strb,
 wr_reg_mem8_bytes,
 wr_reg_mem8_qos,
 rd_reg_mem8_req,
 rd_reg_mem8_dv,
 rd_reg_mem8_addr,
 rd_reg_mem8_data,
 rd_reg_mem8_bytes,
 rd_reg_mem8_qos,

 wr_reg_mem9_ack,
 wr_reg_mem9_dv,
 wr_reg_mem9_addr,
 wr_reg_mem9_data,
 wr_reg_mem9_strb,
 wr_reg_mem9_bytes,
 wr_reg_mem9_qos,
 rd_reg_mem9_req,
 rd_reg_mem9_dv,
 rd_reg_mem9_addr,
 rd_reg_mem9_data,
 rd_reg_mem9_bytes,
 rd_reg_mem9_qos,

 wr_reg_mem10_ack,
 wr_reg_mem10_dv,
 wr_reg_mem10_addr,
 wr_reg_mem10_data,
 wr_reg_mem10_strb,
 wr_reg_mem10_bytes,
 wr_reg_mem10_qos,
 rd_reg_mem10_req,
 rd_reg_mem10_dv,
 rd_reg_mem10_addr,
 rd_reg_mem10_data,
 rd_reg_mem10_bytes,
 rd_reg_mem10_qos,

 wr_reg_mem11_ack,
 wr_reg_mem11_dv,
 wr_reg_mem11_addr,
 wr_reg_mem11_data,
 wr_reg_mem11_strb,
 wr_reg_mem11_bytes,
 wr_reg_mem11_qos,
 rd_reg_mem11_req,
 rd_reg_mem11_dv,
 rd_reg_mem11_addr,
 rd_reg_mem11_data,
 rd_reg_mem11_bytes,
 rd_reg_mem11_qos,

 wr_reg_mem12_ack,
 wr_reg_mem12_dv,
 wr_reg_mem12_addr,
 wr_reg_mem12_data,
 wr_reg_mem12_strb,
 wr_reg_mem12_bytes,
 wr_reg_mem12_qos,
 rd_reg_mem12_req,
 rd_reg_mem12_dv,
 rd_reg_mem12_addr,
 rd_reg_mem12_data,
 rd_reg_mem12_bytes,
 rd_reg_mem12_qos
);

`include "versal_cips_ps_vip_v1_0_11_local_params.sv"

input                            	rstn;
input                            	sw_clk;

output 					wr_reg_mem1_ack;
input  					wr_reg_mem1_dv;
input[addr_width-1:0] 			wr_reg_mem1_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem1_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem1_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem1_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem1_qos;
input                            	rd_reg_mem1_req;
output                           	rd_reg_mem1_dv;
input [addr_width-1:0]           	rd_reg_mem1_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem1_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem1_bytes;
input [3:0]                      	rd_reg_mem1_qos;

output 					wr_reg_mem2_ack;
input  					wr_reg_mem2_dv;
input[addr_width-1:0] 			wr_reg_mem2_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem2_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem2_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem2_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem2_qos;
input                            	rd_reg_mem2_req;
output                           	rd_reg_mem2_dv;
input [addr_width-1:0]           	rd_reg_mem2_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem2_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem2_bytes;
input [3:0]                      	rd_reg_mem2_qos;

output 					wr_reg_mem3_ack;
input  					wr_reg_mem3_dv;
input[addr_width-1:0] 			wr_reg_mem3_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem3_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem3_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem3_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem3_qos;
input                            	rd_reg_mem3_req;
output                           	rd_reg_mem3_dv;
input [addr_width-1:0]           	rd_reg_mem3_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem3_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem3_bytes;
input [3:0]                      	rd_reg_mem3_qos;

output 					wr_reg_mem4_ack;
input  					wr_reg_mem4_dv;
input[addr_width-1:0] 			wr_reg_mem4_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem4_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem4_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem4_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem4_qos;
input                            	rd_reg_mem4_req;
output                           	rd_reg_mem4_dv;
input [addr_width-1:0]           	rd_reg_mem4_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem4_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem4_bytes;
input [3:0]                      	rd_reg_mem4_qos;

output 					wr_reg_mem5_ack;
input  					wr_reg_mem5_dv;
input[addr_width-1:0] 			wr_reg_mem5_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem5_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem5_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem5_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem5_qos;
input                            	rd_reg_mem5_req;
output                           	rd_reg_mem5_dv;
input [addr_width-1:0]           	rd_reg_mem5_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem5_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem5_bytes;
input [3:0]                      	rd_reg_mem5_qos;

output 					wr_reg_mem6_ack;
input  					wr_reg_mem6_dv;
input[addr_width-1:0] 			wr_reg_mem6_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem6_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem6_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem6_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem6_qos;
input                            	rd_reg_mem6_req;
output                           	rd_reg_mem6_dv;
input [addr_width-1:0]           	rd_reg_mem6_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem6_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem6_bytes;
input [3:0]                      	rd_reg_mem6_qos;

output 					wr_reg_mem7_ack;
input  					wr_reg_mem7_dv;
input[addr_width-1:0] 			wr_reg_mem7_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem7_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem7_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem7_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem7_qos;
input                            	rd_reg_mem7_req;
output                           	rd_reg_mem7_dv;
input [addr_width-1:0]           	rd_reg_mem7_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem7_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem7_bytes;
input [3:0]                      	rd_reg_mem7_qos;

output 					wr_reg_mem8_ack;
input  					wr_reg_mem8_dv;
input[addr_width-1:0] 			wr_reg_mem8_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem8_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem8_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem8_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem8_qos;
input                            	rd_reg_mem8_req;
output                           	rd_reg_mem8_dv;
input [addr_width-1:0]           	rd_reg_mem8_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem8_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem8_bytes;
input [3:0]                      	rd_reg_mem8_qos;

output 					wr_reg_mem9_ack;
input  					wr_reg_mem9_dv;
input[addr_width-1:0] 			wr_reg_mem9_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem9_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem9_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem9_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem9_qos;
input                            	rd_reg_mem9_req;
output                           	rd_reg_mem9_dv;
input [addr_width-1:0]           	rd_reg_mem9_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem9_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem9_bytes;
input [3:0]                      	rd_reg_mem9_qos;

output 					wr_reg_mem10_ack;
input  					wr_reg_mem10_dv;
input[addr_width-1:0] 			wr_reg_mem10_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem10_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem10_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem10_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem10_qos;
input                            	rd_reg_mem10_req;
output                           	rd_reg_mem10_dv;
input [addr_width-1:0]           	rd_reg_mem10_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem10_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem10_bytes;
input [3:0]                       	rd_reg_mem10_qos;

output 					wr_reg_mem11_ack;
input  					wr_reg_mem11_dv;
input[addr_width-1:0] 			wr_reg_mem11_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem11_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem11_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem11_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem11_qos;
input                            	rd_reg_mem11_req;
output                           	rd_reg_mem11_dv;
input [addr_width-1:0]           	rd_reg_mem11_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem11_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem11_bytes;
input [3:0]                      	rd_reg_mem11_qos;

output 					wr_reg_mem12_ack;
input  					wr_reg_mem12_dv;
input[addr_width-1:0] 			wr_reg_mem12_addr;
input[max_reg_burst_bits-1:0] 		wr_reg_mem12_data;
input[max_reg_burst_bytes-1:0] 		wr_reg_mem12_strb;
input[max_reg_burst_bytes_width:0] 	wr_reg_mem12_bytes;
input [axi_qos_width-1:0]	 	wr_reg_mem12_qos;
input                            	rd_reg_mem12_req;
output                           	rd_reg_mem12_dv;
input [addr_width-1:0]           	rd_reg_mem12_addr;
output[max_reg_burst_bits-1:0]       	rd_reg_mem12_data;
input[max_reg_burst_bytes_width:0]   	rd_reg_mem12_bytes;
input [3:0]                      	rd_reg_mem12_qos;

reg 					wr_reg_mem1_ack;
wire   					wr_reg_mem1_dv;
wire [addr_width-1:0] 			wr_reg_mem1_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem1_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem1_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem1_bytes;
wire [axi_qos_width-1:0]	 	wr_reg_mem1_qos;
wire [3:0]                       	rd_reg_mem1_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem1_data;
wire [addr_width-1:0]            	rd_reg_mem1_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem1_bytes;
reg                              	rd_reg_mem1_dv;
wire                             	rd_reg_mem1_req;

reg					wr_reg_mem2_ack;
wire   					wr_reg_mem2_dv;
wire [addr_width-1:0] 			wr_reg_mem2_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem2_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem2_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem2_bytes;
wire [axi_qos_width-1:0]	 	wr_reg_mem2_qos;
wire [3:0]                       	rd_reg_mem2_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem2_data;
wire [addr_width-1:0]            	rd_reg_mem2_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem2_bytes;
reg                              	rd_reg_mem2_dv;
wire                             	rd_reg_mem2_req;

reg 					wr_reg_mem3_ack;
wire   					wr_reg_mem3_dv;
wire [addr_width-1:0] 			wr_reg_mem3_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem3_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem3_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem3_bytes;
wire [axi_qos_width-1:0]	 	wr_reg_mem3_qos;
wire [3:0]                       	rd_reg_mem3_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem3_data;
wire [addr_width-1:0]            	rd_reg_mem3_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem3_bytes;
reg                              	rd_reg_mem3_dv;
wire                             	rd_reg_mem3_req;

reg  					wr_reg_mem4_ack;
wire   					wr_reg_mem4_dv;
wire [addr_width-1:0] 			wr_reg_mem4_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem4_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem4_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem4_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem4_qos;
wire [3:0]                       	rd_reg_mem4_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem4_data;
wire [addr_width-1:0]            	rd_reg_mem4_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem4_bytes;
reg                              	rd_reg_mem4_dv;
wire                             	rd_reg_mem4_req;

reg  					wr_reg_mem5_ack;
wire   					wr_reg_mem5_dv;
wire [addr_width-1:0] 			wr_reg_mem5_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem5_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem5_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem5_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem5_qos;
wire [3:0]                       	rd_reg_mem5_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem5_data;
wire [addr_width-1:0]            	rd_reg_mem5_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem5_bytes;
reg                              	rd_reg_mem5_dv;
wire                             	rd_reg_mem5_req;

reg  					wr_reg_mem6_ack;
wire   					wr_reg_mem6_dv;
wire [addr_width-1:0] 			wr_reg_mem6_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem6_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem6_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem6_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem6_qos;
wire [3:0]                       	rd_reg_mem6_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem6_data;
wire [addr_width-1:0]            	rd_reg_mem6_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem6_bytes;
reg                              	rd_reg_mem6_dv;
wire                             	rd_reg_mem6_req;

reg  					wr_reg_mem7_ack;
wire   					wr_reg_mem7_dv;
wire [addr_width-1:0] 			wr_reg_mem7_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem7_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem7_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem7_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem7_qos;
wire [3:0]                       	rd_reg_mem7_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem7_data;
wire [addr_width-1:0]            	rd_reg_mem7_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem7_bytes;
reg                              	rd_reg_mem7_dv;
wire                             	rd_reg_mem7_req;

reg  					wr_reg_mem8_ack;
wire   					wr_reg_mem8_dv;
wire [addr_width-1:0] 			wr_reg_mem8_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem8_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem8_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem8_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem8_qos;
wire [3:0]                       	rd_reg_mem8_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem8_data;
wire [addr_width-1:0]            	rd_reg_mem8_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem8_bytes;
reg                              	rd_reg_mem8_dv;
wire                             	rd_reg_mem8_req;

reg  					wr_reg_mem9_ack;
wire   					wr_reg_mem9_dv;
wire [addr_width-1:0] 			wr_reg_mem9_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem9_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem9_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem9_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem9_qos;
wire [3:0]                       	rd_reg_mem9_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem9_data;
wire [addr_width-1:0]            	rd_reg_mem9_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem9_bytes;
reg                              	rd_reg_mem9_dv;
wire                             	rd_reg_mem9_req;

reg  					wr_reg_mem10_ack;
wire   					wr_reg_mem10_dv;
wire [addr_width-1:0] 			wr_reg_mem10_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem10_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem10_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem10_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem10_qos;
wire [3:0]                       	rd_reg_mem10_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem10_data;
wire [addr_width-1:0]            	rd_reg_mem10_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem10_bytes;
reg                              	rd_reg_mem10_dv;
wire                             	rd_reg_mem10_req;

reg  					wr_reg_mem11_ack;
wire   					wr_reg_mem11_dv;
wire [addr_width-1:0] 			wr_reg_mem11_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem11_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem11_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem11_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem11_qos;
wire [3:0]                       	rd_reg_mem11_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem11_data;
wire [addr_width-1:0]            	rd_reg_mem11_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem11_bytes;
reg                              	rd_reg_mem11_dv;
wire                             	rd_reg_mem11_req;

reg  					wr_reg_mem12_ack;
wire   					wr_reg_mem12_dv;
wire [addr_width-1:0] 			wr_reg_mem12_addr;
wire [max_reg_burst_bits-1:0] 		wr_reg_mem12_data;
wire [max_reg_burst_bytes-1:0] 		wr_reg_mem12_strb;
wire [max_reg_burst_bytes_width:0] 	wr_reg_mem12_bytes;
wire  [axi_qos_width-1:0]	 	wr_reg_mem12_qos;
wire [3:0]                       	rd_reg_mem12_qos;
reg  [max_reg_burst_bits-1:0]        	rd_reg_mem12_data;
wire [addr_width-1:0]            	rd_reg_mem12_addr;
wire [max_reg_burst_bytes_width:0]   	rd_reg_mem12_bytes;
reg                              	rd_reg_mem12_dv;
wire                             	rd_reg_mem12_req;

versal_cips_ps_vip_v1_0_11_reg_map regm();

reg [1:0] reg_mem1_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem1_ack <= 0; 
 rd_reg_mem1_dv  <= 0;
 reg_mem1_state  <= 2'd0;
end else begin
 case(reg_mem1_state) 
 0:begin
     reg_mem1_state <= 2'd0;
     wr_reg_mem1_ack <= 0; 
     rd_reg_mem1_dv <= 0;
     
     if(wr_reg_mem1_dv) begin
       regm.write_reg_mem(wr_reg_mem1_data , wr_reg_mem1_addr, wr_reg_mem1_bytes, wr_reg_mem1_strb); 
	   // $display(" write_reg_mem: wr_reg_mem1_addr %0h wr_reg_mem1_data %0h wr_reg_mem1_bytes %0h wr_reg_mem1_strb %0h",wr_reg_mem1_addr,wr_reg_mem1_data,wr_reg_mem1_bytes,wr_reg_mem1_strb);
       wr_reg_mem1_ack <= 1;
       reg_mem1_state  <= 1;
     end
     if(rd_reg_mem1_req) begin
       regm.read_reg_mem(rd_reg_mem1_data,rd_reg_mem1_addr, rd_reg_mem1_bytes); 
       rd_reg_mem1_dv <= 1;
       reg_mem1_state <= 1;
     end

   end
 1:begin
       rd_reg_mem1_dv  <= 0;
       wr_reg_mem1_ack <= 0;
       reg_mem1_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem2_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem2_ack <= 0; 
 rd_reg_mem2_dv  <= 0;
 reg_mem2_state  <= 2'd0;
end else begin
 case(reg_mem2_state) 
 0:begin
     reg_mem2_state <= 2'd0;
     wr_reg_mem2_ack <= 0; 
     rd_reg_mem2_dv <= 0;
     
     if(wr_reg_mem2_dv) begin
       regm.write_reg_mem(wr_reg_mem2_data , wr_reg_mem2_addr, wr_reg_mem2_bytes, wr_reg_mem2_strb); 
	   // $display(" write_reg_mem: wr_reg_mem2_addr %0h wr_reg_mem2_data %0h wr_reg_mem2_bytes %0h wr_reg_mem2_strb %0h",wr_reg_mem2_addr,wr_reg_mem2_data,wr_reg_mem2_bytes,wr_reg_mem2_strb);
       wr_reg_mem2_ack <= 1;
       reg_mem2_state  <= 1;
     end
     if(rd_reg_mem2_req) begin
       regm.read_reg_mem(rd_reg_mem2_data,rd_reg_mem2_addr, rd_reg_mem2_bytes); 
       rd_reg_mem2_dv <= 1;
       reg_mem2_state <= 1;
     end

   end
 1:begin
       rd_reg_mem2_dv  <= 0;
       wr_reg_mem2_ack <= 0;
       reg_mem2_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem3_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem3_ack <= 0; 
 rd_reg_mem3_dv  <= 0;
 reg_mem3_state  <= 2'd0;
end else begin
 case(reg_mem3_state) 
 0:begin
     reg_mem3_state <= 2'd0;
     wr_reg_mem3_ack <= 0; 
     rd_reg_mem3_dv <= 0;
     
     if(wr_reg_mem3_dv) begin
       regm.write_reg_mem(wr_reg_mem3_data , wr_reg_mem3_addr, wr_reg_mem3_bytes, wr_reg_mem3_strb); 
	   // $display(" write_reg_mem: wr_reg_mem3_addr %0h wr_reg_mem3_data %0h wr_reg_mem3_bytes %0h wr_reg_mem3_strb %0h",wr_reg_mem3_addr,wr_reg_mem3_data,wr_reg_mem3_bytes,wr_reg_mem3_strb);
       wr_reg_mem3_ack <= 1;
       reg_mem3_state  <= 1;
     end
     if(rd_reg_mem3_req) begin
       regm.read_reg_mem(rd_reg_mem3_data,rd_reg_mem3_addr, rd_reg_mem3_bytes); 
       rd_reg_mem3_dv <= 1;
       reg_mem3_state <= 1;
     end

   end
 1:begin
       rd_reg_mem3_dv  <= 0;
       wr_reg_mem3_ack <= 0;
       reg_mem3_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem4_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem4_ack <= 0; 
 rd_reg_mem4_dv  <= 0;
 reg_mem4_state  <= 2'd0;
end else begin
 case(reg_mem4_state) 
 0:begin
     reg_mem4_state <= 2'd0;
     wr_reg_mem4_ack <= 0; 
     rd_reg_mem4_dv <= 0;
     
     if(wr_reg_mem4_dv) begin
       regm.write_reg_mem(wr_reg_mem4_data , wr_reg_mem4_addr, wr_reg_mem4_bytes, wr_reg_mem4_strb); 
	   // $display(" write_reg_mem: wr_reg_mem4_addr %0h wr_reg_mem4_data %0h wr_reg_mem4_bytes %0h wr_reg_mem4_strb %0h",wr_reg_mem4_addr,wr_reg_mem4_data,wr_reg_mem4_bytes,wr_reg_mem4_strb);
       wr_reg_mem4_ack <= 1;
       reg_mem4_state  <= 1;
     end
     if(rd_reg_mem4_req) begin
       regm.read_reg_mem(rd_reg_mem4_data,rd_reg_mem4_addr, rd_reg_mem4_bytes); 
       rd_reg_mem4_dv <= 1;
       reg_mem4_state <= 1;
     end

   end
 1:begin
       rd_reg_mem4_dv  <= 0;
       wr_reg_mem4_ack <= 0;
       reg_mem4_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem5_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem5_ack <= 0; 
 rd_reg_mem5_dv  <= 0;
 reg_mem5_state  <= 2'd0;
end else begin
 case(reg_mem5_state) 
 0:begin
     reg_mem5_state <= 2'd0;
     wr_reg_mem5_ack <= 0; 
     rd_reg_mem5_dv <= 0;
     
     if(wr_reg_mem5_dv) begin
       regm.write_reg_mem(wr_reg_mem5_data , wr_reg_mem5_addr, wr_reg_mem5_bytes, wr_reg_mem5_strb); 
	   // $display(" write_reg_mem: wr_reg_mem5_addr %0h wr_reg_mem5_data %0h wr_reg_mem5_bytes %0h wr_reg_mem5_strb %0h",wr_reg_mem5_addr,wr_reg_mem5_data,wr_reg_mem5_bytes,wr_reg_mem5_strb);
       wr_reg_mem5_ack <= 1;
       reg_mem5_state  <= 1;
     end
     if(rd_reg_mem5_req) begin
       regm.read_reg_mem(rd_reg_mem5_data,rd_reg_mem5_addr, rd_reg_mem5_bytes); 
       rd_reg_mem5_dv <= 1;
       reg_mem5_state <= 1;
     end

   end
 1:begin
       rd_reg_mem5_dv  <= 0;
       wr_reg_mem5_ack <= 0;
       reg_mem5_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem6_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem6_ack <= 0; 
 rd_reg_mem6_dv  <= 0;
 reg_mem6_state  <= 2'd0;
end else begin
 case(reg_mem6_state) 
 0:begin
     reg_mem6_state <= 2'd0;
     wr_reg_mem6_ack <= 0; 
     rd_reg_mem6_dv <= 0;
     
     if(wr_reg_mem6_dv) begin
       regm.write_reg_mem(wr_reg_mem6_data , wr_reg_mem6_addr, wr_reg_mem6_bytes, wr_reg_mem6_strb); 
	   // $display(" write_reg_mem: wr_reg_mem6_addr %0h wr_reg_mem6_data %0h wr_reg_mem6_bytes %0h wr_reg_mem6_strb %0h",wr_reg_mem6_addr,wr_reg_mem6_data,wr_reg_mem6_bytes,wr_reg_mem6_strb);
       wr_reg_mem6_ack <= 1;
       reg_mem6_state  <= 1;
     end
     if(rd_reg_mem6_req) begin
       regm.read_reg_mem(rd_reg_mem6_data,rd_reg_mem6_addr, rd_reg_mem6_bytes); 
       rd_reg_mem6_dv <= 1;
       reg_mem6_state <= 1;
     end

   end
 1:begin
       rd_reg_mem6_dv  <= 0;
       wr_reg_mem6_ack <= 0;
       reg_mem6_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem7_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem7_ack <= 0; 
 rd_reg_mem7_dv  <= 0;
 reg_mem7_state  <= 2'd0;
end else begin
 case(reg_mem7_state) 
 0:begin
     reg_mem7_state <= 2'd0;
     wr_reg_mem7_ack <= 0; 
     rd_reg_mem7_dv <= 0;
     
     if(wr_reg_mem7_dv) begin
       regm.write_reg_mem(wr_reg_mem7_data , wr_reg_mem7_addr, wr_reg_mem7_bytes, wr_reg_mem7_strb); 
	   // $display(" write_reg_mem: wr_reg_mem7_addr %0h wr_reg_mem7_data %0h wr_reg_mem7_bytes %0h wr_reg_mem7_strb %0h",wr_reg_mem7_addr,wr_reg_mem7_data,wr_reg_mem7_bytes,wr_reg_mem7_strb);
       wr_reg_mem7_ack <= 1;
       reg_mem7_state  <= 1;
     end
     if(rd_reg_mem7_req) begin
       regm.read_reg_mem(rd_reg_mem7_data,rd_reg_mem7_addr, rd_reg_mem7_bytes); 
       rd_reg_mem7_dv <= 1;
       reg_mem7_state <= 1;
     end

   end
 1:begin
       rd_reg_mem7_dv  <= 0;
       wr_reg_mem7_ack <= 0;
       reg_mem7_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem8_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem8_ack <= 0; 
 rd_reg_mem8_dv  <= 0;
 reg_mem8_state  <= 2'd0;
end else begin
 case(reg_mem8_state) 
 0:begin
     reg_mem8_state <= 2'd0;
     wr_reg_mem8_ack <= 0; 
     rd_reg_mem8_dv <= 0;
     
     if(wr_reg_mem8_dv) begin
       regm.write_reg_mem(wr_reg_mem8_data , wr_reg_mem8_addr, wr_reg_mem8_bytes, wr_reg_mem8_strb); 
	   // $display(" write_reg_mem: wr_reg_mem8_addr %0h wr_reg_mem8_data %0h wr_reg_mem8_bytes %0h wr_reg_mem8_strb %0h",wr_reg_mem8_addr,wr_reg_mem8_data,wr_reg_mem8_bytes,wr_reg_mem8_strb);
       wr_reg_mem8_ack <= 1;
       reg_mem8_state  <= 1;
     end
     if(rd_reg_mem8_req) begin
       regm.read_reg_mem(rd_reg_mem8_data,rd_reg_mem8_addr, rd_reg_mem8_bytes); 
       rd_reg_mem8_dv <= 1;
       reg_mem8_state <= 1;
     end

   end
 1:begin
       rd_reg_mem8_dv  <= 0;
       wr_reg_mem8_ack <= 0;
       reg_mem8_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem9_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem9_ack <= 0; 
 rd_reg_mem9_dv  <= 0;
 reg_mem9_state  <= 2'd0;
end else begin
 case(reg_mem9_state) 
 0:begin
     reg_mem9_state <= 2'd0;
     wr_reg_mem9_ack <= 0; 
     rd_reg_mem9_dv <= 0;
     
     if(wr_reg_mem9_dv) begin
       regm.write_reg_mem(wr_reg_mem9_data , wr_reg_mem9_addr, wr_reg_mem9_bytes, wr_reg_mem9_strb); 
	   // $display(" write_reg_mem: wr_reg_mem9_addr %0h wr_reg_mem9_data %0h wr_reg_mem9_bytes %0h wr_reg_mem9_strb %0h",wr_reg_mem9_addr,wr_reg_mem9_data,wr_reg_mem9_bytes,wr_reg_mem9_strb);
       wr_reg_mem9_ack <= 1;
       reg_mem9_state  <= 1;
     end
     if(rd_reg_mem9_req) begin
       regm.read_reg_mem(rd_reg_mem9_data,rd_reg_mem9_addr, rd_reg_mem9_bytes); 
       rd_reg_mem9_dv <= 1;
       reg_mem9_state <= 1;
     end

   end
 1:begin
       rd_reg_mem9_dv  <= 0;
       wr_reg_mem9_ack <= 0;
       reg_mem9_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem10_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem10_ack <= 0; 
 rd_reg_mem10_dv  <= 0;
 reg_mem10_state  <= 2'd0;
end else begin
 case(reg_mem10_state) 
 0:begin
     reg_mem10_state <= 2'd0;
     wr_reg_mem10_ack <= 0; 
     rd_reg_mem10_dv <= 0;
     
     if(wr_reg_mem10_dv) begin
       regm.write_reg_mem(wr_reg_mem10_data , wr_reg_mem10_addr, wr_reg_mem10_bytes, wr_reg_mem10_strb); 
	   // $display(" write_reg_mem: wr_reg_mem10_addr %0h wr_reg_mem10_data %0h wr_reg_mem10_bytes %0h wr_reg_mem10_strb %0h",wr_reg_mem10_addr,wr_reg_mem10_data,wr_reg_mem10_bytes,wr_reg_mem10_strb);
       wr_reg_mem10_ack <= 1;
       reg_mem10_state  <= 1;
     end
     if(rd_reg_mem10_req) begin
       regm.read_reg_mem(rd_reg_mem10_data,rd_reg_mem10_addr, rd_reg_mem10_bytes); 
       rd_reg_mem10_dv <= 1;
       reg_mem10_state <= 1;
     end

   end
 1:begin
       rd_reg_mem10_dv  <= 0;
       wr_reg_mem10_ack <= 0;
       reg_mem10_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem11_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem11_ack <= 0; 
 rd_reg_mem11_dv  <= 0;
 reg_mem11_state  <= 2'd0;
end else begin
 case(reg_mem11_state) 
 0:begin
     reg_mem11_state <= 2'd0;
     wr_reg_mem11_ack <= 0; 
     rd_reg_mem11_dv <= 0;
     
     if(wr_reg_mem11_dv) begin
       regm.write_reg_mem(wr_reg_mem11_data , wr_reg_mem11_addr, wr_reg_mem11_bytes, wr_reg_mem11_strb); 
	   // $display(" write_reg_mem: wr_reg_mem11_addr %0h wr_reg_mem11_data %0h wr_reg_mem11_bytes %0h wr_reg_mem11_strb %0h",wr_reg_mem11_addr,wr_reg_mem11_data,wr_reg_mem11_bytes,wr_reg_mem11_strb);
       wr_reg_mem11_ack <= 1;
       reg_mem11_state  <= 1;
     end
     if(rd_reg_mem11_req) begin
       regm.read_reg_mem(rd_reg_mem11_data,rd_reg_mem11_addr, rd_reg_mem11_bytes); 
       rd_reg_mem11_dv <= 1;
       reg_mem11_state <= 1;
     end

   end
 1:begin
       rd_reg_mem11_dv  <= 0;
       wr_reg_mem11_ack <= 0;
       reg_mem11_state  <= 0;
   end 
 endcase
end /// if
end// always

reg [1:0] reg_mem12_state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_reg_mem12_ack <= 0; 
 rd_reg_mem12_dv  <= 0;
 reg_mem12_state  <= 2'd0;
end else begin
 case(reg_mem12_state) 
 0:begin
     reg_mem12_state <= 2'd0;
     wr_reg_mem12_ack <= 0; 
     rd_reg_mem12_dv <= 0;
     
     if(wr_reg_mem12_dv) begin
       regm.write_reg_mem(wr_reg_mem12_data , wr_reg_mem12_addr, wr_reg_mem12_bytes, wr_reg_mem12_strb); 
	   // $display(" write_reg_mem: wr_reg_mem12_addr %0h wr_reg_mem12_data %0h wr_reg_mem12_bytes %0h wr_reg_mem12_strb %0h",wr_reg_mem12_addr,wr_reg_mem12_data,wr_reg_mem12_bytes,wr_reg_mem12_strb);
       wr_reg_mem12_ack <= 1;
       reg_mem12_state  <= 1;
     end
     if(rd_reg_mem12_req) begin
       regm.read_reg_mem(rd_reg_mem12_data,rd_reg_mem12_addr, rd_reg_mem12_bytes); 
       rd_reg_mem12_dv <= 1;
       reg_mem12_state <= 1;
     end

   end
 1:begin
       rd_reg_mem12_dv  <= 0;
       wr_reg_mem12_ack <= 0;
       reg_mem12_state  <= 0;
   end 
 endcase
end /// if
end// always


//reg reg_mem2_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem2_dv <= 0;
// reg_mem2_state <= 0;
//end else begin
// case(reg_mem2_state) 
// 0:begin
//     reg_mem2_state <= 0;
//     rd_reg_mem2_dv <= 0;
//     if(rd_reg_mem2_req) begin
//       regm.read_reg_mem(rd_reg_mem2_data,rd_reg_mem2_addr, rd_reg_mem2_bytes); 
//       rd_reg_mem2_dv <= 1;
//       reg_mem2_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem2_dv  <= 0;
//       reg_mem2_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem3_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem3_dv <= 0;
// reg_mem3_state <= 0;
//end else begin
// case(reg_mem3_state) 
// 0:begin
//     reg_mem3_state <= 0;
//     rd_reg_mem3_dv <= 0;
//     if(rd_reg_mem3_req) begin
//       regm.read_reg_mem(rd_reg_mem3_data,rd_reg_mem3_addr, rd_reg_mem3_bytes); 
//       rd_reg_mem3_dv <= 1;
//       reg_mem3_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem3_dv  <= 0;
//       reg_mem3_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem4_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem4_dv <= 0;
// reg_mem4_state <= 0;
//end else begin
// case(reg_mem4_state) 
// 0:begin
//     reg_mem4_state <= 0;
//     rd_reg_mem4_dv <= 0;
//     if(rd_reg_mem4_req) begin
//       regm.read_reg_mem(rd_reg_mem4_data,rd_reg_mem4_addr, rd_reg_mem4_bytes); 
//       rd_reg_mem4_dv <= 1;
//       reg_mem4_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem4_dv  <= 0;
//       reg_mem4_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem5_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem5_dv <= 0;
// reg_mem5_state <= 0;
//end else begin
// case(reg_mem5_state) 
// 0:begin
//     reg_mem5_state <= 0;
//     rd_reg_mem5_dv <= 0;
//     if(rd_reg_mem5_req) begin
//       regm.read_reg_mem(rd_reg_mem5_data,rd_reg_mem5_addr, rd_reg_mem5_bytes); 
//       rd_reg_mem5_dv <= 1;
//       reg_mem5_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem5_dv  <= 0;
//       reg_mem5_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem6_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem6_dv <= 0;
// reg_mem6_state <= 0;
//end else begin
// case(reg_mem6_state) 
// 0:begin
//     reg_mem6_state <= 0;
//     rd_reg_mem6_dv <= 0;
//     if(rd_reg_mem6_req) begin
//       regm.read_reg_mem(rd_reg_mem6_data,rd_reg_mem6_addr, rd_reg_mem6_bytes); 
//       rd_reg_mem6_dv <= 1;
//       reg_mem6_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem6_dv  <= 0;
//       reg_mem6_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem7_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem7_dv <= 0;
// reg_mem7_state <= 0;
//end else begin
// case(reg_mem7_state) 
// 0:begin
//     reg_mem7_state <= 0;
//     rd_reg_mem7_dv <= 0;
//     if(rd_reg_mem7_req) begin
//       regm.read_reg_mem(rd_reg_mem7_data,rd_reg_mem7_addr, rd_reg_mem7_bytes); 
//       rd_reg_mem7_dv <= 1;
//       reg_mem7_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem7_dv  <= 0;
//       reg_mem7_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem8_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem8_dv <= 0;
// reg_mem8_state <= 0;
//end else begin
// case(reg_mem8_state) 
// 0:begin
//     reg_mem8_state <= 0;
//     rd_reg_mem8_dv <= 0;
//     if(rd_reg_mem8_req) begin
//       regm.read_reg_mem(rd_reg_mem8_data,rd_reg_mem8_addr, rd_reg_mem8_bytes); 
//       rd_reg_mem8_dv <= 1;
//       reg_mem8_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem8_dv  <= 0;
//       reg_mem8_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem9_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem9_dv <= 0;
// reg_mem9_state <= 0;
//end else begin
// case(reg_mem9_state) 
// 0:begin
//     reg_mem9_state <= 0;
//     rd_reg_mem9_dv <= 0;
//     if(rd_reg_mem9_req) begin
//       regm.read_reg_mem(rd_reg_mem9_data,rd_reg_mem9_addr, rd_reg_mem9_bytes); 
//       rd_reg_mem9_dv <= 1;
//       reg_mem9_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem9_dv  <= 0;
//       reg_mem9_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem10_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem10_dv <= 0;
// reg_mem10_state <= 0;
//end else begin
// case(reg_mem10_state) 
// 0:begin
//     reg_mem10_state <= 0;
//     rd_reg_mem10_dv <= 0;
//     if(rd_reg_mem10_req) begin
//       regm.read_reg_mem(rd_reg_mem10_data,rd_reg_mem10_addr, rd_reg_mem10_bytes); 
//       rd_reg_mem10_dv <= 1;
//       reg_mem10_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem10_dv  <= 0;
//       reg_mem10_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem11_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem11_dv <= 0;
// reg_mem11_state <= 0;
//end else begin
// case(reg_mem11_state) 
// 0:begin
//     reg_mem11_state <= 0;
//     rd_reg_mem11_dv <= 0;
//     if(rd_reg_mem11_req) begin
//       regm.read_reg_mem(rd_reg_mem11_data,rd_reg_mem11_addr, rd_reg_mem11_bytes); 
//       rd_reg_mem11_dv <= 1;
//       reg_mem11_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem11_dv  <= 0;
//       reg_mem11_state <= 0;
//   end 
// endcase
//end /// if
//end// always
//
//reg reg_mem12_state;
//always@(posedge sw_clk or negedge rstn)
//begin
//if(!rstn) begin
// rd_reg_mem12_dv <= 0;
// reg_mem12_state <= 0;
//end else begin
// case(reg_mem12_state) 
// 0:begin
//     reg_mem12_state <= 0;
//     rd_reg_mem12_dv <= 0;
//     if(rd_reg_mem12_req) begin
//       regm.read_reg_mem(rd_reg_mem12_data,rd_reg_mem12_addr, rd_reg_mem12_bytes); 
//       rd_reg_mem12_dv <= 1;
//       reg_mem12_state <= 1;
//     end
//
//   end
// 1:begin
//       rd_reg_mem12_dv  <= 0;
//       reg_mem12_state <= 0;
//   end 
// endcase
//end /// if
//end// always

endmodule 


/*****************************************************************************
 * File : versal_cips_ps_vip_v1_0_11_ocmc.sv
 *
 * Date : 2015-16
 *
 * Description : Controller for OCM model
 *
 *****************************************************************************/
 `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11_ocmc (
 rstn,
 sw_clk,

/* Goes to port 0 of OCM */
 wr_ack,
 wr_dv,
 rd_req,
 rd_dv,
 wr_addr,
 wr_data,
 wr_strb,
 wr_bytes,
 rd_addr,
 rd_data,
 rd_bytes,
 wr_qos,
 rd_qos

);

`include "versal_cips_ps_vip_v1_0_11_local_params.sv"
input rstn;
input sw_clk;

output wr_ack;
input wr_dv;
input rd_req;
output rd_dv;
input[addr_width-1:0] wr_addr;
input[max_reg_burst_bits-1:0] wr_data;
input[max_reg_burst_bytes-1:0] wr_strb;
input[max_reg_burst_bytes_width:0] wr_bytes;
input[addr_width-1:0] rd_addr;
output[max_reg_burst_bits-1:0] rd_data;
input[max_reg_burst_bytes_width:0] rd_bytes;
input [axi_qos_width-1:0] wr_qos;
input [axi_qos_width-1:0] rd_qos;

wire [axi_qos_width-1:0] wr_qos;
wire wr_req;
wire [max_reg_burst_bits-1:0] wr_data;
wire [max_reg_burst_bytes-1:0] wr_strb;
wire [addr_width-1:0] wr_addr;
wire [max_reg_burst_bytes_width:0] wr_bytes;
reg wr_ack;

wire [axi_qos_width-1:0] rd_qos;
reg [max_reg_burst_bits-1:0] rd_data;
wire [addr_width-1:0] rd_addr;
wire [max_reg_burst_bytes_width:0] rd_bytes;
reg rd_dv;
wire rd_req;

versal_cips_ps_vip_v1_0_11_ocm_mem ocm();

reg [1:0] state;
always@(posedge sw_clk or negedge rstn)
begin
if(!rstn) begin
 wr_ack <= 0; 
 rd_dv <= 0;
 state <= 2'd0;
end else begin
 case(state) 
 0:begin
     state <= 0;
     wr_ack <= 0;
     rd_dv <= 0;
     if(wr_dv) begin
       ocm.write_mem(wr_data , wr_addr, wr_bytes, wr_strb); 
	   // $display(" ocm_write_data wr_addr %0h wr_data %0h wr_bytes %0h wr_strb %0h",wr_addr,wr_data,wr_bytes,wr_strb);
       wr_ack <= 1;
       state <= 1;
     end
     if(rd_req) begin
       ocm.read_mem(rd_data,rd_addr, rd_bytes); 
	   // $display(" ocm_read_data rd_addr %0h rd_data %0h rd_bytes %0h ",rd_addr,rd_data,rd_bytes);
       rd_dv <= 1;
       state <= 1;
     end

   end
 1:begin
       wr_ack <= 0;
       rd_dv  <= 0;
       state <= 0;
   end 

 endcase
end /// if
end// always

endmodule 


/************************************************************************
 * File : versal_cips_ps_vip_v1_0_11_gen_reset.sv
 *
 * Date : 2015-16
 *
 * Description : Module that generates FPGA_RESETs and synchronizes RESETs to the
 *               respective clocks.
 *****************************************************************************/
 `timescale 1ns/1ps
module versal_cips_ps_vip_v1_0_11_gen_reset(
 versal_cips_ps_clk,
 rst_out_n,

 fclk_reset3_n,
 fclk_reset2_n,
 fclk_reset1_n,
 fclk_reset0_n
);

input versal_cips_ps_clk;

output bit rst_out_n;
output fclk_reset3_n;
output fclk_reset2_n;
output fclk_reset1_n;
output fclk_reset0_n;

bit [3:0] fabric_rst_n;
bit por_rst_n;

assign fclk_reset0_n = fabric_rst_n[0];
assign fclk_reset1_n = fabric_rst_n[1];
assign fclk_reset2_n = fabric_rst_n[2];
assign fclk_reset3_n = fabric_rst_n[3];

task pl_gen_reset;
input[3:0] reset_ctrl;
 begin 
  fabric_rst_n[0] = reset_ctrl[0];
  fabric_rst_n[1] = reset_ctrl[1];
  fabric_rst_n[2] = reset_ctrl[2];
  fabric_rst_n[3] = reset_ctrl[3];
  
 end
endtask

task por_reset;
input por_reset_ctrl;
begin 
   por_rst_n = por_reset_ctrl;
end
endtask

always@(posedge versal_cips_ps_clk or negedge por_rst_n )
begin 
   if (!por_rst_n )
      rst_out_n = 1'b0;
   else
      rst_out_n = 1'b1;
end

always@(*) begin
  if ((por_rst_n!= 1'b0) && (por_rst_n!= 1'b1) ) begin
     $display(" ERROR: [VERSAL_CIPS_PS_VIP] (%m) :: [%0d] ::: POR reset must be driven to known state",$time);
     $finish();
  end
end

endmodule


/***************************************************************
 * File : versal_cips_ps_vip_v1_0_11_gen_clock.sv
 *
 * Date : 2015-16
 *
 * Description : Module that generates FCLK clocks and internal clock for Versal CIPS PS BFM. 
 *
 *****************************************************************************/
// `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11_gen_clock(
 fclk_clk3,
 fclk_clk2,
 fclk_clk1,
 fclk_clk0,
 fclk_clk4,
 fclk_clk5,
 fclk_hsmref_clk1,
 fclk_hsmref_clk0
);

output fclk_clk3;
output fclk_clk2;
output fclk_clk1;
output fclk_clk0;
output fclk_clk4;
output fclk_clk5;
output fclk_hsmref_clk1;
output fclk_hsmref_clk0;

real freq_clk5 = 50.000;
real freq_clk4 = 50.000;
real freq_clk3 = 50.000;
real freq_clk2 = 50.000;
real freq_clk1 = 50.000;
real freq_clk0 = 50.000;

int hsmref_freq_clk0 = 50;
int hsmref_freq_clk1 = 50;

bit clk0 ;
bit clk1 ;
bit clk2 ;
bit clk3 ;
bit clk4 ;
bit clk5 ;
bit hsmref_clk1;
bit hsmref_clk0;

assign fclk_clk0 = clk0;
assign fclk_clk1 = clk1;
assign fclk_clk2 = clk2;
assign fclk_clk3 = clk3;
assign fclk_clk4 = clk4;
assign fclk_clk5 = clk5;
assign fclk_hsmref_clk1 = hsmref_clk1;
assign fclk_hsmref_clk0 = hsmref_clk0;
 
real clk5_p = ((1000.000 * 1ns)/freq_clk5)/2;
real clk4_p = ((1000.000 * 1ns)/freq_clk4)/2;
real clk3_p = ((1000.000 * 1ns)/freq_clk3)/2;
real clk2_p = ((1000.000 * 1ns)/freq_clk2)/2;
real clk1_p = ((1000.000 * 1ns)/freq_clk1)/2;
real clk0_p = ((1000.000 * 1ns)/freq_clk0)/2;

real hsmref_clk1_p = ((1000.00 * 1ns)/hsmref_freq_clk1)/2;
real hsmref_clk0_p = ((1000.00 * 1ns)/hsmref_freq_clk0)/2;

always #(clk5_p) clk5 = !clk5;
always #(clk4_p) clk4 = !clk4;
always #(clk3_p) clk3 = !clk3;
always #(clk2_p) clk2 = !clk2;
always #(clk1_p) clk1 = !clk1;
always #(clk0_p) clk0 = !clk0;

always #(hsmref_clk1_p) hsmref_clk1 = !hsmref_clk1;
always #(hsmref_clk0_p) hsmref_clk0 = !hsmref_clk0;

task pl_gen_clock;
input [1:0] clock_number;
input real   frequency_in_mhz;
   begin
      if(clock_number == 2'b00) begin
         freq_clk0 = frequency_in_mhz;
         clk0_p = ((1000.00 * 1ns)/freq_clk0)/2;
      end
      else if(clock_number == 2'b01) begin
         freq_clk1 = frequency_in_mhz;
         clk1_p = ((1000.00 * 1ns)/freq_clk1)/2;
      end
      else if(clock_number == 2'b10) begin
         freq_clk2 = frequency_in_mhz;
         clk2_p = ((1000.00 * 1ns)/freq_clk2)/2;
      end
      else begin
         freq_clk3 = frequency_in_mhz;
         clk3_p = ((1000.00 * 1ns)/freq_clk3)/2;
      end
   end
endtask

task hsmref_gen_clock;
input [1:0] clock_number;
input int   frequency_in_mhz;
   begin
      if(clock_number == 2'b00) begin
         hsmref_freq_clk0 = frequency_in_mhz;
         hsmref_clk0_p = ((1000.00 * 1ns)/hsmref_freq_clk0)/2;
      end
      else if(clock_number == 2'b01) begin
         hsmref_freq_clk1 = frequency_in_mhz;
         hsmref_clk1_p = ((1000.00 * 1ns)/hsmref_freq_clk1)/2;
      end
   end
endtask

task cpm_gen_clock;
input int frequency_in_mhz;
   begin
      freq_clk4 = frequency_in_mhz;
      clk4_p = ((1000.00 * 1ns)/freq_clk4)/2;
   end
endtask

task cpm_osc_clk_div2_gen_clock;
input int frequency_in_mhz;
   begin
      freq_clk5 = frequency_in_mhz;
      clk5_p = ((1000.00 * 1ns)/freq_clk5)/2;
   end
endtask

endmodule


/********************************************************************
 * File : versal_cips_ps_vip_v1_0_11_axi_slave.sv
 *
 * Date : 2012-11
 *
 * Description : Model that acts as PS AXI Slave  port interface. 
 *               It uses AXI3 Slave  BFM
 *****************************************************************************/
 `timescale 1ns/1ps
 import axi_vip_pkg::*;

module versal_cips_ps_vip_v1_0_11_axi_slave (
  S_RESETN,

  S_ARREADY,
  S_AWREADY,
  S_BVALID,
  S_RLAST,
  S_RVALID,
  S_WREADY,
  S_BRESP,
  S_RRESP,
  S_RDATA,
  S_BID,
  S_RID,
  S_ACLK,
  S_ARVALID,
  S_AWVALID,
  S_BREADY,
  S_RREADY,
  S_WLAST,
  S_WVALID,
  S_ARBURST,
  S_ARLOCK,
  S_ARSIZE,
  S_AWBURST,
  S_AWLOCK,
  S_AWSIZE,
  S_ARPROT,
  S_AWPROT,
  S_ARADDR,
  S_AWADDR,
  S_WDATA,
  S_ARCACHE,
  S_ARLEN,
  S_AWCACHE,
  S_AWLEN,
  S_WSTRB,
  S_ARID,
  S_AWID,
  S_AWQOS,
  S_ARQOS,
  S_AWREGION,
  S_ARREGION,
  S_AWUSER,
  S_WUSER,
  S_BUSER,
  S_ARUSER,
  S_RUSER,
  SW_CLK,
  WR_DATA_ACK_OCM,
  WR_DATA_ACK_DDR,
  WR_ADDR,
  WR_DATA,
  WR_DATA_STRB,
  WR_BYTES,
  WR_DATA_VALID_OCM,
  WR_DATA_VALID_DDR,
  WR_QOS,
  RD_QOS, 
  RD_REQ_DDR,
  RD_REQ_OCM,
  RD_REQ_REG,
  RD_ADDR,
  RD_DATA_OCM,
  RD_DATA_DDR,
  RD_DATA_REG,
  RD_BYTES,
  RD_DATA_VALID_OCM,
  RD_DATA_VALID_DDR,
  RD_DATA_VALID_REG

);
  parameter enable_this_port = 0;  
  parameter slave_name = "Slave";
  parameter data_bus_width = 32;
  parameter address_bus_width = 40;
  parameter id_bus_width = 6;
  parameter awuser_bus_width = 1;
  parameter aruser_bus_width = 1;
  parameter ruser_bus_width  = 1;
  parameter wuser_bus_width  = 1;
  parameter buser_bus_width  = 1;
  parameter max_outstanding_transactions = 25;
  parameter exclusive_access_supported = 0;
  // balakasa: As per IP3 database
  //localparam integer max_wr_outstanding_transactions = 25;
  //localparam integer max_rd_outstanding_transactions = 25;
  parameter integer max_wr_outstanding_transactions = 25;
  parameter integer max_rd_outstanding_transactions = 25;
  parameter region_bus_width = 4;
  
  // balakasa: As per IP3 database
  localparam integer local_max_wr_outstanding_transactions = max_wr_outstanding_transactions;
  localparam integer local_max_rd_outstanding_transactions = max_rd_outstanding_transactions;
  
  `include "versal_cips_ps_vip_v1_0_11_local_params.sv"

  /* Local parameters only for this module */
  /* Internal counters that are used as Read/Write pointers to the fifo's that store all the transaction info on all channles.
     This parameter is used to define the width of these pointers --> depending on Maximum outstanding transactions supported.
     1-bit extra width than the no.of.bits needed to represent the outstanding transactions
     Extra bit helps in generating the empty and full flags */
  // balakasa: As per IP3 database
  parameter int_wr_cntr_width = f_clogb2(local_max_wr_outstanding_transactions+1);
  parameter int_rd_cntr_width = f_clogb2(local_max_rd_outstanding_transactions+1);

  /* RESP data */
  parameter wr_fifo_data_bits = ((data_bus_width/8)*axi_burst_len) + (data_bus_width*axi_burst_len) + axi_qos_width + addr_width + (max_reg_burst_bytes_width+1);
  parameter wr_bytes_lsb = 0;
  parameter wr_bytes_msb = max_reg_burst_bytes_width;
  parameter wr_addr_lsb  = wr_bytes_msb + 1;
  parameter wr_addr_msb  = wr_addr_lsb + addr_width-1;
  parameter wr_data_lsb  = wr_addr_msb + 1;
  parameter wr_data_msb  = wr_data_lsb + (data_bus_width*axi_burst_len)-1;
  parameter wr_qos_lsb   = wr_data_msb + 1;
  parameter wr_qos_msb   = wr_qos_lsb + axi_qos_width-1;
  parameter wr_strb_lsb  = wr_qos_msb + 1;
  parameter wr_strb_msb  = wr_strb_lsb + ((data_bus_width/8)*axi_burst_len)-1;

  parameter rsp_fifo_bits = axi_rsp_width+id_bus_width;
  parameter rsp_lsb = 0;
  parameter rsp_msb = axi_rsp_width-1;
  parameter rsp_id_lsb = rsp_msb + 1;
  parameter rsp_id_msb = rsp_id_lsb + id_bus_width-1;

  input  S_RESETN;

  output  S_ARREADY;
  output  S_AWREADY;
  output  S_BVALID;
  output  S_RLAST;
  output  S_RVALID;
  output  S_WREADY;
  output  [axi_rsp_width-1:0] S_BRESP;
  output  [axi_rsp_width-1:0] S_RRESP;
  output  [data_bus_width-1:0] S_RDATA;
  output  [id_bus_width-1:0] S_BID;
  output  [id_bus_width-1:0] S_RID;
  input S_ACLK;
  input S_ARVALID;
  input S_AWVALID;
  input S_BREADY;
  input S_RREADY;
  input S_WLAST;
  input S_WVALID;
  input [axi_brst_type_width-1:0] S_ARBURST;
  input [axi_lock_width-1:0] S_ARLOCK;
  input [axi_size_width-1:0] S_ARSIZE;
  input [axi_brst_type_width-1:0] S_AWBURST;
  input [axi_lock_width-1:0] S_AWLOCK;
  input [axi_size_width-1:0] S_AWSIZE;
  input [axi_prot_width-1:0] S_ARPROT;
  input [axi_prot_width-1:0] S_AWPROT;
  input [address_bus_width-1:0] S_ARADDR;
  input [address_bus_width-1:0] S_AWADDR;
  input [data_bus_width-1:0] S_WDATA;
  input [axi_cache_width-1:0] S_ARCACHE;
  input [axi_len_width-1:0] S_ARLEN;
  
  input [axi_qos_width-1:0] S_ARQOS;
  input [aruser_bus_width-1:0] S_ARUSER;
  output [ruser_bus_width-1:0] S_RUSER;
  input [region_bus_width-1:0] S_ARREGION;
 
  input [axi_cache_width-1:0] S_AWCACHE;
  input [axi_len_width-1:0] S_AWLEN;

  input [axi_qos_width-1:0] S_AWQOS;
  input [awuser_bus_width-1:0] S_AWUSER;
  input [wuser_bus_width-1:0] S_WUSER;
  output [buser_bus_width-1:0] S_BUSER;
  input [region_bus_width-1:0] S_AWREGION;

  input [(data_bus_width/8)-1:0] S_WSTRB;
  input [id_bus_width-1:0] S_ARID;
  input [id_bus_width-1:0] S_AWID;

  input SW_CLK;
  input WR_DATA_ACK_DDR, WR_DATA_ACK_OCM;
  output reg WR_DATA_VALID_DDR, WR_DATA_VALID_OCM;
  output reg [(data_bus_width*axi_burst_len)-1:0] WR_DATA;
  output reg [((data_bus_width/8)*axi_burst_len)-1:0] WR_DATA_STRB;
  output reg [addr_width-1:0] WR_ADDR;
  output reg [max_reg_burst_bytes_width:0] WR_BYTES;
  output reg RD_REQ_OCM, RD_REQ_DDR, RD_REQ_REG;
  output reg [addr_width-1:0] RD_ADDR;
  input [(data_bus_width*axi_burst_len)-1:0] RD_DATA_DDR,RD_DATA_OCM, RD_DATA_REG;
  output reg[max_reg_burst_bytes_width:0] RD_BYTES;
  input RD_DATA_VALID_OCM,RD_DATA_VALID_DDR, RD_DATA_VALID_REG;
  output reg [axi_qos_width-1:0] WR_QOS, RD_QOS;
  wire net_ARVALID;
  wire net_AWVALID;
  wire net_WVALID;
  bit [31:0] static_count; 

  real s_aclk_period1;
  real s_aclk_period2;
  real diff_time = 1;
   //axi_slv_agent#(0,address_bus_width, data_bus_width, data_bus_width, id_bus_width,id_bus_width,0,0,0,0,0,1,1,1,1,0,1,1,1,1,1,1) slv;
   axi_slv_agent#(0,address_bus_width, data_bus_width, data_bus_width, id_bus_width,id_bus_width,awuser_bus_width,wuser_bus_width,buser_bus_width,aruser_bus_width,ruser_bus_width,1,1,1,1,1,1,1,1,1,1,1) slv;

   axi_vip_v1_1_19_top #(
     .C_AXI_PROTOCOL(0),
     .C_AXI_INTERFACE_MODE(2),
     .C_AXI_ADDR_WIDTH(address_bus_width),
     .C_AXI_WDATA_WIDTH(data_bus_width),
     .C_AXI_RDATA_WIDTH(data_bus_width),
     .C_AXI_WID_WIDTH(id_bus_width),
     .C_AXI_RID_WIDTH(id_bus_width),
     //.C_AXI_AWUSER_WIDTH(0),
     //.C_AXI_ARUSER_WIDTH(0),
     //.C_AXI_WUSER_WIDTH(0),
     //.C_AXI_RUSER_WIDTH(0),
     //.C_AXI_BUSER_WIDTH(0),
     .C_AXI_AWUSER_WIDTH(awuser_bus_width),
     .C_AXI_ARUSER_WIDTH(aruser_bus_width),
     .C_AXI_WUSER_WIDTH(wuser_bus_width),
     .C_AXI_RUSER_WIDTH(ruser_bus_width),
     .C_AXI_BUSER_WIDTH(buser_bus_width),
     .C_AXI_SUPPORTS_NARROW(1),
     .C_AXI_HAS_BURST(1),
     .C_AXI_HAS_LOCK(1),
     .C_AXI_HAS_CACHE(1),
     .C_AXI_HAS_REGION(1),
     .C_AXI_HAS_PROT(1),
     .C_AXI_HAS_QOS(1),
     .C_AXI_HAS_WSTRB(1),
     .C_AXI_HAS_BRESP(1),
     .C_AXI_HAS_RRESP(1),
 	 .C_AXI_HAS_ARESETN(1)
   ) slave (
     .aclk(S_ACLK),
     .aclken(1'B1),
     .aresetn(S_RESETN),
     .s_axi_awid(S_AWID),
     .s_axi_awaddr(S_AWADDR),
     .s_axi_awlen(S_AWLEN),
     .s_axi_awsize(S_AWSIZE),
     .s_axi_awburst(S_AWBURST),
     .s_axi_awlock(S_AWLOCK),
     .s_axi_awcache(S_AWCACHE),
     .s_axi_awprot(S_AWPROT),
     .s_axi_awregion(4'b0),
     .s_axi_awqos(4'h0),
     .s_axi_awuser(S_AWUSER),
     .s_axi_awvalid(S_AWVALID),
     .s_axi_awready(S_AWREADY),
     .s_axi_wid(32'b0),
     .s_axi_wdata(S_WDATA),
     .s_axi_wstrb(S_WSTRB),
     .s_axi_wlast(S_WLAST),
     .s_axi_wuser(S_WUSER),
     .s_axi_wvalid(S_WVALID),
     .s_axi_wready(S_WREADY),
     .s_axi_bid(S_BID),
     .s_axi_bresp(S_BRESP),
     .s_axi_buser(S_BUSER),
     .s_axi_bvalid(S_BVALID),
     .s_axi_bready(S_BREADY),
     .s_axi_arid(S_ARID),
     .s_axi_araddr(S_ARADDR),
     .s_axi_arlen(S_ARLEN),
     .s_axi_arsize(S_ARSIZE),
     .s_axi_arburst(S_ARBURST),
     .s_axi_arlock(S_ARLOCK),
     .s_axi_arcache(S_ARCACHE),
     .s_axi_arprot(S_ARPROT),
     .s_axi_arregion(4'b0),
     .s_axi_arqos(S_ARQOS),
     .s_axi_aruser(S_ARUSER),
     .s_axi_arvalid(S_ARVALID),
     .s_axi_arready(S_ARREADY),
     .s_axi_rid(S_RID),
     .s_axi_rdata(S_RDATA),
     .s_axi_rresp(S_RRESP),
     .s_axi_rlast(S_RLAST),
     .s_axi_ruser(S_RUSER),
     .s_axi_rvalid(S_RVALID),
     .s_axi_rready(S_RREADY),
     .m_axi_awid(),
     .m_axi_awaddr(),
     .m_axi_awlen(),
     .m_axi_awsize(),
     .m_axi_awburst(),
     .m_axi_awlock(),
     .m_axi_awcache(),
     .m_axi_awprot(),
     .m_axi_awregion(),
     .m_axi_awqos(),
     .m_axi_awuser(),
     .m_axi_awvalid(),
     .m_axi_awready(1'b0),
     .m_axi_wid(),
     .m_axi_wdata(),
     .m_axi_wstrb(),
     .m_axi_wlast(),
     .m_axi_wuser(),
     .m_axi_wvalid(),
     .m_axi_wready(1'b0),
     .m_axi_bid(32'h0),
     .m_axi_bresp(2'b00),
     .m_axi_buser(16'b0),
     .m_axi_bvalid(1'b0),
     .m_axi_bready(),
     .m_axi_arid(),
     .m_axi_araddr(),
     .m_axi_arlen(),
     .m_axi_arsize(),
     .m_axi_arburst(),
     .m_axi_arlock(),
     .m_axi_arcache(),
     .m_axi_arprot(),
     .m_axi_arregion(),
     .m_axi_arqos(),
     .m_axi_aruser(),
     .m_axi_arvalid(),
     .m_axi_arready(1'b0),
     .m_axi_rid(32'h0),
     .m_axi_rdata(32'h00000000),
     .m_axi_rresp(2'b00),
     .m_axi_rlast(1'b0),
     .m_axi_ruser(4'b0),
     .m_axi_rvalid(1'b0),
     .m_axi_rready()
   );


   xil_axi_cmd_beat twc, trc;
   xil_axi_write_beat twd;
   xil_axi_read_beat trd;
   axi_transaction twr, trr,trr_get_rd;
   axi_transaction trr_rd[$];
   axi_ready_gen           awready_gen;
   axi_ready_gen           wready_gen;
   axi_ready_gen           arready_gen;
   integer i,j,k,add_val,size_local,burst_local,len_local,num_bytes;
   bit [3:0] a;
   bit [15:0] a_16_bits,a_new,a_wrap,a_wrt_val,a_cnt;

  initial begin
   slv = new("slv",slave.IF);
   twr = new("twr");
   trr = new("trr");
   trr_get_rd = new("trr_get_rd");

   $assertoff(0,slave.IF.PC.axi4_errs_rdata_x);

   wready_gen = slv.wr_driver.create_ready("wready");
   slv.monitor.axi_wr_cmd_port.set_enabled();
   slv.monitor.axi_wr_beat_port.set_enabled();
   slv.monitor.axi_rd_cmd_port.set_enabled();
   slv.wr_driver.set_transaction_depth(max_wr_outstanding_transactions);
   slv.rd_driver.set_transaction_depth(max_rd_outstanding_transactions);
   slv.start_slave();
  end

  /* Latency type and Debug/Error Control */
  reg[1:0] latency_type = RANDOM_CASE;
  reg DEBUG_INFO = 1; 
  reg STOP_ON_ERROR = 1'b1; 

  /* WR_FIFO stores 32-bit address, valid data and valid bytes for each AXI Write burst transaction */
  reg [wr_fifo_data_bits-1:0] wr_fifo [0:max_wr_outstanding_transactions-1];
  reg [int_wr_cntr_width-1:0]    wr_fifo_wr_ptr = 0, wr_fifo_rd_ptr = 0;
  wire wr_fifo_empty;

  /* Store the awvalid receive time --- necessary for calculating the latency in sending the bresp*/
  reg [7:0] aw_time_cnt = 0, bresp_time_cnt = 0;
  real awvalid_receive_time[0:max_wr_outstanding_transactions-1]; // store the time when a new awvalid is received
  reg  awvalid_flag[0:max_wr_outstanding_transactions-1]; // indicates awvalid is received 

  /* Address Write Channel handshake*/
  reg[int_wr_cntr_width-1:0] aw_cnt = 0;// count of awvalid

  /* various FIFOs for storing the ADDR channel info */
  reg [axi_size_width-1:0]  awsize [0:max_wr_outstanding_transactions-1];
  reg [axi_prot_width-1:0]  awprot [0:max_wr_outstanding_transactions-1];
  reg [axi_lock_width-1:0]  awlock [0:max_wr_outstanding_transactions-1];
  reg [axi_cache_width-1:0]  awcache [0:max_wr_outstanding_transactions-1];
  reg [axi_brst_type_width-1:0]  awbrst [0:max_wr_outstanding_transactions-1];
  reg [axi_len_width-1:0]  awlen [0:max_wr_outstanding_transactions-1];
  reg aw_flag [0:max_wr_outstanding_transactions-1];
  reg [addr_width-1:0] awaddr [0:max_wr_outstanding_transactions-1];
  reg [addr_width-1:0] addr_wr_local;
  reg [addr_width-1:0] addr_wr_final;
  reg [id_bus_width-1:0] awid [0:max_wr_outstanding_transactions-1];
  reg [axi_qos_width-1:0] awqos [0:max_wr_outstanding_transactions-1];
  wire aw_fifo_full; // indicates awvalid_fifo is full (max outstanding transactions reached)

  /* internal fifos to store burst write data, ID & strobes*/
  reg [(data_bus_width*axi_burst_len)-1:0] burst_data [0:max_wr_outstanding_transactions-1];
  reg [((data_bus_width/8)*axi_burst_len)-1:0] burst_strb [0:max_wr_outstanding_transactions-1];
  reg [max_reg_burst_bytes_width:0] burst_valid_bytes [0:max_wr_outstanding_transactions-1]; /// total valid bytes received in a complete burst transfer
  reg [max_reg_burst_bytes_width:0] valid_bytes = 0; /// total valid bytes received in a complete burst transfer
  reg wlast_flag [0:max_wr_outstanding_transactions-1]; // flag  to indicate WLAST received
  wire wd_fifo_full;

  /* Write Data Channel and Write Response handshake signals*/
  reg [int_wr_cntr_width-1:0] wd_cnt = 0;
  reg [(data_bus_width*axi_burst_len)-1:0] aligned_wr_data;
  reg [((data_bus_width/8)*axi_burst_len)-1:0] aligned_wr_strb;
  reg [addr_width-1:0] aligned_wr_addr;
  reg [max_reg_burst_bytes_width:0] valid_data_bytes;
  reg [int_wr_cntr_width-1:0] wr_bresp_cnt = 0;
  reg [axi_rsp_width-1:0] bresp;
  reg [rsp_fifo_bits-1:0] fifo_bresp [0:max_wr_outstanding_transactions-1]; // store the ID and its corresponding response
  reg enable_write_bresp;
  reg [int_wr_cntr_width-1:0] rd_bresp_cnt = 0;
  integer wr_latency_count;
  reg  wr_delayed;
  wire bresp_fifo_empty;

  /* states for managing read/write to WR_FIFO */ 
  parameter SEND_DATA = 0,  WAIT_ACK = 1;
  reg state;

  /* Qos*/
  reg [axi_qos_width-1:0] ar_qos, aw_qos;

  initial begin
   if(DEBUG_INFO) begin
    if(enable_this_port)
     $display("INFO: %0s (%m) :: %0s [%0d] ::: Port is ENABLED.",DISP_VIP, slave_name, $time);
    else
     $display("INFO: %0s (%m) :: %0s [%0d] ::: Port is DISABLED.",DISP_VIP, slave_name, $time);
   end
  end

//initial slave.set_disable_reset_value_checks(1); 
  initial begin
     repeat(2) @(posedge S_ACLK);
     if(!enable_this_port) begin
     end 
//   slave.RESPONSE_TIMEOUT = 0;
  end
  /*--------------------------------------------------------------------------------*/

  /* Set Latency type to be used */
  task set_latency_type;
    input[1:0] lat;
  begin
   if(enable_this_port) 
    latency_type = lat;
   else begin
    if(DEBUG_INFO)
     $display("[%0d] : %0s : %0s : Port is disabled. 'Latency Profile' will not be set...",$time, DISP_WARN, slave_name);
   end
  end
  endtask
  /*--------------------------------------------------------------------------------*/

  /* Set verbosity to be used */
  task automatic set_verbosity;
    input[31:0] verb;
  begin
   if(enable_this_port) begin 
    slv.set_verbosity(verb);
   end  else begin
    if(DEBUG_INFO)
     $display("[%0d] : %0s : %0s : Port is disabled. set_verbosity will not be set...",$time, DISP_WARN, slave_name);
   end

  end
  endtask
  /*--------------------------------------------------------------------------------*/

  /* Set ARQoS to be used */
  task automatic set_arqos;
    input[axi_qos_width-1:0] qos;
  begin
   if(enable_this_port) begin 
    ar_qos = qos;
   end  else begin
    if(DEBUG_INFO)
     $display("[%0d] : %0s : %0s : Port is disabled. 'ARQOS' will not be set...",$time, DISP_WARN, slave_name);
   end

  end
  endtask
  /*--------------------------------------------------------------------------------*/

  /* Set AWQoS to be used */
  task set_awqos;
    input[axi_qos_width-1:0] qos;
  begin
   if(enable_this_port) 
    aw_qos = qos;
   else begin
    if(DEBUG_INFO)
     $display("[%0d] : %0s : %0s : Port is disabled. 'AWQOS' will not be set...",$time, DISP_WARN, slave_name);
   end
  end
  endtask
  /*--------------------------------------------------------------------------------*/
  /* get the wr latency number */
  function [31:0] get_wr_lat_number;
  input dummy;
  reg[1:0] temp;
  begin 
   case(latency_type)
    BEST_CASE   : if(slave_name == axi_acp_name) get_wr_lat_number = acp_wr_min; else get_wr_lat_number = gp_wr_min;            
    AVG_CASE    : if(slave_name == axi_acp_name) get_wr_lat_number = acp_wr_avg; else get_wr_lat_number = gp_wr_avg;            
    WORST_CASE  : if(slave_name == axi_acp_name) get_wr_lat_number = acp_wr_max; else get_wr_lat_number = gp_wr_max;            
    default     : begin  // RANDOM_CASE
                   temp = $random;
                   case(temp) 
                    2'b00   : if(slave_name == axi_acp_name) get_wr_lat_number = ($random()%10+ acp_wr_min); else get_wr_lat_number = ($random()%10+ gp_wr_min); 
                    2'b01   : if(slave_name == axi_acp_name) get_wr_lat_number = ($random()%40+ acp_wr_avg); else get_wr_lat_number = ($random()%40+ gp_wr_avg); 
                    default : if(slave_name == axi_acp_name) get_wr_lat_number = ($random()%60+ acp_wr_max); else get_wr_lat_number = ($random()%60+ gp_wr_max); 
                   endcase        
                  end
   endcase
  end
  endfunction
 /*--------------------------------------------------------------------------------*/

  /* get the rd latency number */
  function [31:0] get_rd_lat_number;
  input dummy;
  reg[1:0] temp;
  begin 
   case(latency_type)
    BEST_CASE   : if(slave_name == axi_acp_name) get_rd_lat_number = acp_rd_min; else get_rd_lat_number = gp_rd_min;            
    AVG_CASE    : if(slave_name == axi_acp_name) get_rd_lat_number = acp_rd_avg; else get_rd_lat_number = gp_rd_avg;            
    WORST_CASE  : if(slave_name == axi_acp_name) get_rd_lat_number = acp_rd_max; else get_rd_lat_number = gp_rd_max;            
    default     : begin  // RANDOM_CASE
                   temp = $random;
                   case(temp) 
                    2'b00   : if(slave_name == axi_acp_name) get_rd_lat_number = ($random()%10+ acp_rd_min); else get_rd_lat_number = ($random()%10+ gp_rd_min); 
                    2'b01   : if(slave_name == axi_acp_name) get_rd_lat_number = ($random()%40+ acp_rd_avg); else get_rd_lat_number = ($random()%40+ gp_rd_avg); 
                    default : if(slave_name == axi_acp_name) get_rd_lat_number = ($random()%60+ acp_rd_max); else get_rd_lat_number = ($random()%60+ gp_rd_max); 
                   endcase        
                  end
   endcase
  end
  endfunction
 /*--------------------------------------------------------------------------------*/

  /* Store the Clock cycle time period */
  always@(S_RESETN)
  begin
   if(S_RESETN) begin
	diff_time = 1;
    @(posedge S_ACLK);
    s_aclk_period1 = $realtime;
    @(posedge S_ACLK);
    s_aclk_period2 = $realtime;
	diff_time = s_aclk_period2 - s_aclk_period1;
   end
  end
 /*--------------------------------------------------------------------------------*/

 /* Check for any WRITE/READs when this port is disabled */
 always@(S_AWVALID or S_WVALID or S_ARVALID)
 begin
  if((S_AWVALID | S_WVALID | S_ARVALID) && !enable_this_port) begin
    $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. AXI transaction is initiated on this port ...\nSimulation will halt ..",DISP_ERR, slave_name, $time);
    $stop;
  end
 end

 /*--------------------------------------------------------------------------------*/

 
  assign net_ARVALID = enable_this_port ? S_ARVALID : 1'b0;
  assign net_AWVALID = enable_this_port ? S_AWVALID : 1'b0;
  assign net_WVALID  = enable_this_port ? S_WVALID : 1'b0;

  assign wr_fifo_empty = (wr_fifo_wr_ptr === wr_fifo_rd_ptr)?1'b1: 1'b0;
  assign aw_fifo_full = ((aw_cnt[int_wr_cntr_width-1] !== rd_bresp_cnt[int_wr_cntr_width-1]) && (aw_cnt[int_wr_cntr_width-2:0] === rd_bresp_cnt[int_wr_cntr_width-2:0]))?1'b1 :1'b0; /// complete this
  assign wd_fifo_full = ((wd_cnt[int_wr_cntr_width-1] !== rd_bresp_cnt[int_wr_cntr_width-1]) && (wd_cnt[int_wr_cntr_width-2:0] === rd_bresp_cnt[int_wr_cntr_width-2:0]))?1'b1 :1'b0; /// complete this
  assign bresp_fifo_empty = (wr_bresp_cnt === rd_bresp_cnt)?1'b1:1'b0;
 

  /* Store the awvalid receive time --- necessary for calculating the bresp latency */
  always@(negedge S_RESETN or posedge S_ACLK)
  begin
  if(!S_RESETN)
   aw_time_cnt = 0;
  else begin
  if(net_AWVALID && S_AWREADY) begin
     awvalid_receive_time[aw_time_cnt[int_wr_cntr_width-2:0]] = $realtime;
     awvalid_flag[aw_time_cnt[int_wr_cntr_width-2:0]] = 1'b1;
     aw_time_cnt = aw_time_cnt + 1;
     if(aw_time_cnt[int_wr_cntr_width-2:0] === max_wr_outstanding_transactions ) begin 
	    aw_time_cnt[int_wr_cntr_width-1] = ~ aw_time_cnt[int_wr_cntr_width-1];
        aw_time_cnt[int_wr_cntr_width-2:0] = 0;
	 end  
   end
  end // else
  end /// always
  /*--------------------------------------------------------------------------------*/
  always@(posedge S_ACLK)
  begin
  if(net_AWVALID && S_AWREADY) begin
    if(S_AWQOS === 0) begin awqos[aw_cnt[int_wr_cntr_width-2:0]] = aw_qos; 
    end else awqos[aw_cnt[int_wr_cntr_width-2:0]] = S_AWQOS; 
  end
  end
  /*--------------------------------------------------------------------------------*/
  
  always@(aw_fifo_full)
  begin
  if(aw_fifo_full && DEBUG_INFO) 
    $display("INFO: %0s (%m) : %0s [%0d] : Reached the maximum outstanding Write transactions limit (%0d). Blocking all future Write transactions until at least 1 of the outstanding Write transaction has completed.",DISP_VIP, slave_name, $time, max_wr_outstanding_transactions);
  end
  /*--------------------------------------------------------------------------------*/
  
  /* Address Write Channel handshake*/
  //always@(negedge S_RESETN or posedge S_ACLK)
  //begin
  initial begin
  forever begin
  if(!S_RESETN) begin
    aw_cnt = 0;
    wait(S_RESETN);
  end else begin
    // if(!aw_fifo_full) begin 
    wait(aw_fifo_full == 0) begin 
        slv.monitor.axi_wr_cmd_port.get(twc);
        // awaddr[aw_cnt[int_wr_cntr_width-2:0]] = twc.addr;
        awlen[aw_cnt[int_wr_cntr_width-2:0]]  = twc.len;
        awsize[aw_cnt[int_wr_cntr_width-2:0]] = twc.size;
        awbrst[aw_cnt[int_wr_cntr_width-2:0]] = twc.burst;
        awlock[aw_cnt[int_wr_cntr_width-2:0]] = twc.lock;
        awcache[aw_cnt[int_wr_cntr_width-2:0]]= twc.cache;
        awprot[aw_cnt[int_wr_cntr_width-2:0]] = twc.prot;
        awid[aw_cnt[int_wr_cntr_width-2:0]]   = twc.id;
        aw_flag[aw_cnt[int_wr_cntr_width-2:0]] = 1;
	    size_local = twc.size;
        burst_local = twc.burst;
		len_local = twc.len;
		if(burst_local == AXI_INCR || burst_local == AXI_FIXED) begin
          if(data_bus_width === 'd128)  begin 
          if(size_local === 'd0)  a = {twc.addr[3:0]};
          if(size_local === 'd1)  a = {twc.addr[3:1],1'b0};
          if(size_local === 'd2)  a = {twc.addr[3:2],2'b0};
          if(size_local === 'd3)  a = {twc.addr[3],3'b0};
          if(size_local === 'd4)  a = 'b0;
		  end else if(data_bus_width === 'd64 ) begin
          if(size_local === 'd0)  a = {twc.addr[2:0]};
          if(size_local === 'd1)  a = {twc.addr[2:1],1'b0};
          if(size_local === 'd2)  a = {twc.addr[2],2'b0};
          if(size_local === 'd3)  a = 'b0;
		  end else if(data_bus_width === 'd32 ) begin
          if(size_local === 'd0)  a = {twc.addr[1:0]};
          if(size_local === 'd1)  a = {twc.addr[1],1'b0};
          if(size_local === 'd2)  a = 'b0;
		  end
		end if(burst_local == AXI_WRAP) begin
		  if(data_bus_width === 'd128)  begin 
          if(size_local === 'd0)  a = {twc.addr[3:0]};
          if(size_local === 'd1)  a = {twc.addr[3:1],1'b0};
          if(size_local === 'd2)  a = {twc.addr[3:2],2'b0};
          if(size_local === 'd3)  a = {twc.addr[3],3'b0};
          if(size_local === 'd4)  a = 'b0;
		  end else if(data_bus_width === 'd64 ) begin
          if(size_local === 'd0)  a = {twc.addr[2:0]};
          if(size_local === 'd1)  a = {twc.addr[2:1],1'b0};
          if(size_local === 'd2)  a = {twc.addr[2],2'b0};
          if(size_local === 'd3)  a = 'b0;
		  end else if(data_bus_width === 'd32 ) begin
          if(size_local === 'd0)  a = {twc.addr[1:0]};
          if(size_local === 'd1)  a = {twc.addr[1],1'b0};
          if(size_local === 'd2)  a = 'b0;
		  end
		  // a = twc.addr[3:0];
		  a_16_bits = twc.addr[7:0];
		  num_bytes = ((len_local+1)*(2**size_local));
		  // $display("num_bytes %0d num_bytes %0h",num_bytes,num_bytes);
		end
		addr_wr_local = twc.addr;
		if(burst_local == AXI_INCR || burst_local == AXI_FIXED) begin
	      case(size_local) 
	        0   : addr_wr_final = {addr_wr_local}; 
	        1   : addr_wr_final = {addr_wr_local[31:1],1'b0}; 
	        2   : addr_wr_final = {addr_wr_local[31:2],2'b0}; 
	        3   : addr_wr_final = {addr_wr_local[31:3],3'b0}; 
	        4   : addr_wr_final = {addr_wr_local[31:4],4'b0}; 
	        5   : addr_wr_final = {addr_wr_local[31:5],5'b0}; 
	        6   : addr_wr_final = {addr_wr_local[31:6],6'b0}; 
	        7   : addr_wr_final = {addr_wr_local[31:7],7'b0}; 
	      endcase	  
	      awaddr[aw_cnt[int_wr_cntr_width-2:0]] = addr_wr_final;
		  $display("INFO: %0s (%m) :: %0s [%0d] ::: SLAVE WRITE : final_address %0h awid[aw_cnt[int_wr_cntr_width-2:0]] %0h awlen[aw_cnt[int_wr_cntr_width-2:0]] %0d awsize[aw_cnt[int_wr_cntr_width-2:0]] %0d ",DISP_VIP,slave_name,$time,addr_wr_final,awid[aw_cnt[int_wr_cntr_width-2:0]],awlen[aw_cnt[int_wr_cntr_width-2:0]],awsize[aw_cnt[int_wr_cntr_width-2:0]]);
		end if(burst_local == AXI_WRAP) begin
	       awaddr[aw_cnt[int_wr_cntr_width-2:0]] = twc.addr;
           // // $display(" awaddr[aw_cnt[int_wr_cntr_width-2:0]] %0h",awaddr[aw_cnt[int_wr_cntr_width-2:0]]);
		end         
		aw_cnt   = aw_cnt + 1;
        // if(data_bus_width === 'd32)  a = 0;
        // if(data_bus_width === 'd64)  a = twc.addr[2:0];
        // if(data_bus_width === 'd128) a = twc.addr[3:0];
        // $display(" %m addr_wr_final %0h size %0d len %0d awaddr[aw_cnt[int_wr_cntr_width-2:0]] %0h int_wr_cntr_width %0d",twc.addr,twc.size,twc.len,awaddr[aw_cnt[int_wr_cntr_width-2:0]],int_wr_cntr_width);
		 // $display(" %m before resetting  aw_cnt[int_wr_cntr_width-2:0] %0d max_wr_outstanding_transactions  reached %0d ",aw_cnt[int_wr_cntr_width-2:0],max_wr_outstanding_transactions);
        if(aw_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions)) begin
          // aw_cnt[int_wr_cntr_width-1] = ~ aw_cnt[int_wr_cntr_width-1];
          aw_cnt[int_wr_cntr_width-2:0] = 0;
        end
    end // if (!aw_fifo_full)
  end /// if else
  end /// always
  end /// always
  /*--------------------------------------------------------------------------------*/

  /* Write Data Channel Handshake */
  // always@(negedge S_RESETN or posedge S_ACLK)
  // begin
  initial begin
  forever begin
  if(!S_RESETN) begin
   wd_cnt = 0;
    wait(S_RESETN);
  end else begin
    // if(!wd_fifo_full && S_WVALID) begin
    wait(wd_fifo_full == 0) begin
      slv.monitor.axi_wr_beat_port.get(twd);
      wait((aw_flag[wd_cnt[int_wr_cntr_width-2:0]] === 'b1));
	  case(size_local) 
	    0   : add_val = 1; 
	    1   : add_val = 2; 
	    2   : add_val = 4; 
	    3   : add_val = 8; 
	    4   : add_val = 16; 
	    5   : add_val = 32; 
	    6   : add_val = 64; 
	    7   : add_val = 128; 
	  endcase

	 // $display(" size_local %0d add_val %0d wd_cnt %0d",size_local,add_val,wd_cnt);
//	   $display(" data depth : %0d size %0d srrb %0d last %0d burst %0d ",2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]],twd.get_data_size(),twd.get_strb_size(),twd.last,twc.burst);
	   //$display(" a value is %0d ",a);
	  // twd.sprint_c();
      for(i = 0; i < (2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]]); i = i+1) begin
	      burst_data[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes*8)+(i*8))+:8] = twd.data[i+a];
	       //$display("data burst %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h i %0d a %0d full data %0h",burst_data[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes*8)+(i*8))+:8],twd.data[i],twd.data[i+1],twd.data[i+2],twd.data[i+3],twd.data[i+4],twd.data[i+5],twd.data[i+a],i,a,twd.data[i+a]);
		   //$display(" wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes*8)+(i*8) %0d  wd_cnt %0d valid_bytes %0d int_wr_cntr_width %0d", wd_cnt[int_wr_cntr_width-2:0],wd_cnt,valid_bytes,int_wr_cntr_width);
	       //$display(" full data %0h",twd.data[i+a]);
		   burst_strb[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes)+(i*1))+:1] = twd.strb[i+a];
		   //$display("burst_strb %0h twd_strb %0h int_wr_cntr_width %0d  valid_bytes %0d wd_cnt[int_wr_cntr_width-2:0] %0d twd.strb[i+a] %0b full strb %0h",burst_strb[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes)+(i*1))+:1],twd.strb[i],int_wr_cntr_width,valid_bytes,wd_cnt[int_wr_cntr_width-2:0],twd.strb[i+a],twd.strb[i+a]);
		   //$display("burst_strb %0h twd.strb[i+1] %0h twd.strb[i+2] %0h twd.strb[i+3] %0h twd.strb[i+4] %0h twd.strb[i+5] %0h twd.strb[i+6] %0h twd.strb[i+7] %0h",twd.strb[i],twd.strb[i+1],twd.strb[i+1],twd.strb[i+2],twd.strb[i+3],twd.strb[i+4],twd.strb[i+5],twd.strb[i+6],twd.strb[i+7]);
		   //$display("full strb %0h",twd.strb[i+a]);
		  
		  if(i == ((2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]])-1) ) begin
		     if(burst_local == AXI_FIXED) begin
		       a = a;
			   end else if(burst_local == AXI_INCR) begin
		       a = a+add_val;
			   end else if(burst_local == AXI_WRAP) begin
			     a_new = (a_16_bits/num_bytes)*num_bytes;
			     a_wrap = a_new + (num_bytes);
		         a = a+add_val;
				 a_cnt = a_cnt+1;
				 a_16_bits = a_16_bits+add_val;
			     a_wrt_val = a_16_bits;
			     //$display(" new a value for wrap a %0h add_val %0d a_wrap %0h a_wrt_val %0h a_new %0h num_bytes %0h a_cnt %0d ",a,add_val,a_wrap[3:0],a_wrt_val,a_new,num_bytes,a_cnt);
			     if(a_wrt_val[15:0] >= a_wrap[15:0]) begin
				   if(data_bus_width === 'd128)
			       a = a_new[3:0];
				   else if(data_bus_width === 'd64)
			       a = a_new[2:0];
				   else if(data_bus_width === 'd32)
			       a = a_new[1:0];
			       //$display(" setting up a_wrap %0h a_new %0h a %0h", a_wrap,a_new,a);
			     end else begin 
		           a = a;
			        //$display(" setting incr a_wrap %0h a_new %0h a %0h", a_wrap,a_new ,a );
			     end
			  end
			 //$display(" new a value a %0h add_val %0d",a,add_val);
		  end	 
        end 
		if(burst_local == AXI_INCR) begin   
		if( a >= (data_bus_width/8) || (burst_local == 0 ) || (twd.last) ) begin
		// if( (burst_local == 0 ) || (twd.last) ) begin
		  a = 0;
		  //$display("resetting a = %0d ",a);
		end  
		end else if (burst_local == AXI_WRAP) begin 
		 if( ((a >= (data_bus_width/8)) ) || (burst_local == 0 ) || (twd.last) ) begin
		  a = 0;
		  //$display("resetting a = %0d ",a);
		end  
		end

      valid_bytes = valid_bytes+(2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]]);
	  //$display("valid bytes in valid_bytes %0d",valid_bytes);

      if (twd.last === 'b1) begin
        wlast_flag[wd_cnt[int_wr_cntr_width-2:0]] = 1'b1;
        burst_valid_bytes[wd_cnt[int_wr_cntr_width-2:0]] = valid_bytes;
		valid_bytes = 0;
        wd_cnt   = wd_cnt + 1;
		a = 0;
		a_cnt = 0;
		// $display(" %m before match max_wr_outstanding_transactions reached %0d wd_cnt %0d",max_wr_outstanding_transactions,wd_cnt);
        if(wd_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions)) begin
          wd_cnt[int_wr_cntr_width-1] = ~wd_cnt[int_wr_cntr_width-1];
          wd_cnt[int_wr_cntr_width-2:0] = 0;
		  // $display(" %m Now max_wr_outstanding_transactions  reached %0d ",max_wr_outstanding_transactions);
        end
  	  end
    end /// if
  end /// else
  end /// always
  end /// always

//   /* Write Data Channel Handshake */
//  always@(negedge S_RESETN or posedge S_ACLK)
//  begin
//  if(!S_RESETN) begin
//   wd_cnt = 0;
//  end else begin
//    if(!wd_fifo_full && S_WVALID) begin
//      slv.monitor.axi_wr_beat_port.get(twd);
//	  // twd.do_print();
//	  $display(" data depth : %0d size %0d ",2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]],twd.get_data_size());
//      for(i = 0; i < (2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]]); i = i+1) begin
//        for(int j = 0; j < 2 ; j = j+1) begin
//	      burst_data[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes*8)+(i*8))+:8] = twd.data[(i*2)+j];
//	      $display("data burst %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h twd.data %0h i %0d j %0d",burst_data[wd_cnt[int_wr_cntr_width-2:0]][((valid_bytes*8)+(i*8))+:8],twd.data[i],twd.data[i+1],twd.data[i+2],twd.data[i+3],twd.data[i+4],twd.data[i+5],i,j);
//		  // burst_strb[wd_cnt[wd_cnt[int_wr_cntr_width-2:0]]][((valid_bytes*8)+(i*8))+:8/8)] = twd.strb[i];
//		  $display("burst_strb %0h",twd.strb[i]);
//        end
//      end
//      valid_bytes = valid_bytes+(2**awsize[wr_bresp_cnt[int_wr_cntr_width-2:0]]);
//      if (twd.last) begin
//        wlast_flag[wd_cnt[int_wr_cntr_width-2:0]] = 1'b1;
//        burst_valid_bytes[wd_cnt[int_wr_cntr_width-2:0]] = valid_bytes;
//		valid_bytes = 0;
//        wd_cnt   = wd_cnt + 1;
//        if(wd_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions-1)) begin
//          wd_cnt[int_wr_cntr_width-1] = ~wd_cnt[int_wr_cntr_width-1];
//          wd_cnt[int_wr_cntr_width-2:0] = 0;
//        end
//  	  end
//    end /// if
//  end /// else
//  end /// always
 
  /* Align the wrap data for write transaction */
  task automatic get_wrap_aligned_wr_data;
  output [(data_bus_width*axi_burst_len)-1:0] aligned_data;
  output [addr_width-1:0] start_addr; /// aligned start address
  input  [addr_width-1:0] addr;
  input  [(data_bus_width*axi_burst_len)-1:0] b_data;
  input  [max_reg_burst_bytes_width:0] v_bytes;
  reg    [(data_bus_width*axi_burst_len)-1:0] temp_data, wrp_data;
  integer wrp_bytes;
  integer i;
  begin
    // $display("addr %0h,b_data %0h v_bytes %0h",addr,b_data,v_bytes);
    start_addr = (addr/v_bytes) * v_bytes;
	// $display("wrap start_addr %0h",start_addr);
    wrp_bytes = addr - start_addr;
	// $display("wrap wrp_bytes %0h",wrp_bytes);
    wrp_data = b_data;
    temp_data = 0;
    wrp_data = wrp_data << ((data_bus_width*axi_burst_len) - (v_bytes*8));
	 // $display("wrap wrp_data %0h",wrp_data);
    while(wrp_bytes > 0) begin /// get the data that is wrapped
      temp_data = temp_data << 8;
      temp_data[7:0] = wrp_data[(data_bus_width*axi_burst_len)-1 : (data_bus_width*axi_burst_len)-8];
      wrp_data = wrp_data << 8;
      wrp_bytes = wrp_bytes - 1;
	  // $display("wrap wrp_data %0h  temp_data %0h wrp_bytes %0h ",wrp_data,temp_data[7:0],wrp_bytes);
    end
    wrp_bytes = addr - start_addr;
    wrp_data = b_data << (wrp_bytes*8);
    
    aligned_data = (temp_data | wrp_data);
	// $display("temp_data %0h wrp_data %0h aligned_data %0h",temp_data,wrp_data,aligned_data);
  end
  endtask

  /*--------------------------------------------------------------------------------*/
  /* Align the wrap strb for write transaction */
  task automatic get_wrap_aligned_wr_strb;
  output [((data_bus_width/8)*axi_burst_len)-1:0] aligned_strb;
  output [addr_width-1:0] start_addr; /// aligned start address
  input  [addr_width-1:0] addr;
  input  [((data_bus_width/8)*axi_burst_len)-1:0] b_strb;
  input  [max_reg_burst_bytes_width:0] v_bytes;
  reg    [((data_bus_width/8)*axi_burst_len)-1:0] temp_strb, wrp_strb;
  integer wrp_bytes;
  integer i;
  begin
    // $display("addr %0h,b_strb %0h v_bytes %0h",addr,b_strb,v_bytes);
    start_addr = (addr/v_bytes) * v_bytes;
	// $display("wrap  strb start_addr %0h",start_addr);
    wrp_bytes = addr - start_addr;
	// $display("wrap strb wrp_bytes %0h",wrp_bytes);
    wrp_strb = b_strb;
    temp_strb = 0;
	// $display("wrap strb wrp_strb %0h  before shift value1 %0h value2 %0h",wrp_strb,((data_bus_width/8)*axi_burst_len) ,(v_bytes*4));
	// $display("wrap strb wrp_strb %0h  before shift value1 %0h value2 %0h",wrp_strb,((data_bus_width/8)*axi_burst_len) ,(v_bytes*4));
    wrp_strb = wrp_strb << (((data_bus_width/8)*axi_burst_len) - (v_bytes));
	// $display("wrap wrp_strb %0h  after shift value1 %0h value2 %0h",wrp_strb,((data_bus_width/8)*axi_burst_len) ,(v_bytes*4));
    while(wrp_bytes > 0) begin /// get the strb that is wrapped
      temp_strb = temp_strb << 1;
      temp_strb[0] = wrp_strb[((data_bus_width/8)*axi_burst_len) : ((data_bus_width/8)*axi_burst_len)-1];
      wrp_strb = wrp_strb << 1;
      wrp_bytes = wrp_bytes - 1;
	  // $display("wrap strb wrp_strb %0h wrp_bytes %0h temp_strb %0h",wrp_strb,wrp_bytes,temp_strb);
    end
    wrp_bytes = addr - start_addr;
    wrp_strb = b_strb << (wrp_bytes);
    
    aligned_strb = (temp_strb | wrp_strb);
	// $display("wrap strb aligned_strb %0h tmep_strb %0h wrp_strb %0h",aligned_strb,temp_strb,wrp_strb);
  end
  endtask
  /*--------------------------------------------------------------------------------*/
   
  /* Calculate the Response for each read/write transaction */
  function [axi_rsp_width-1:0] calculate_resp;
  input rd_wr; // indicates Read(1) or Write(0) transaction 
  input [addr_width-1:0] awaddr; 
  input [axi_prot_width-1:0] awprot;
  reg [axi_rsp_width-1:0] rsp;
  begin
    rsp = AXI_OK;
    /* Address Decode */
    if(decode_address(awaddr) === INVALID_MEM_TYPE) begin
     rsp = AXI_SLV_ERR; //slave error
     //$display("ERROR: %0s (%m) :: %0s [%0d] ::: AXI Access to Invalid location(0x%0h) awaddr %0h",DISP_VIP, slave_name, $time, awaddr,awaddr);
     //$display("s (%m) :: %0s [%0d] ::: AXI Access to Invalid location(0x%0h) awaddr %0h",DISP_VIP, slave_name, $time, awaddr,awaddr);
       $display("INFO: %0s (%m) :: %0s [%0d] ::: Sending SLVERR as per the configuration for the address: %0h ",DISP_VIP, slave_name, $time,awaddr);
    end
    //if(!rd_wr && decode_address(awaddr) === REG_MEM) begin
    // rsp = AXI_SLV_ERR; //slave error
    // $display("[%0d] : %0s : %0s : AXI Write to Register Map(0x%0h) is not supported ",$time, DISP_ERR, slave_name, awaddr);
    //end
    if(secure_access_enabled && awprot[1])
     rsp = AXI_DEC_ERR; // decode error
    calculate_resp = rsp;
  end
  endfunction
  /*--------------------------------------------------------------------------------*/

  /* Store the Write response for each write transaction */
  // always@(negedge S_RESETN or posedge S_ACLK)
  // begin
  initial begin
  forever begin
  if(!S_RESETN) begin
   wr_bresp_cnt = 0;
   wr_fifo_wr_ptr = 0;
    wait(S_RESETN);
  end else begin
  // if((wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] === 'b1) && (aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] === 'b1)) begin
  wait((wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] === 'b1) && (aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] === 'b1)) begin
     // enable_write_bresp <= aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] && wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]];
     //#0 enable_write_bresp = 'b1;
     enable_write_bresp = 'b1;
      // $display("%t  ravi enable_write_bresp %0d wr_bresp_cnt %0d aw_flag is %0d",$time ,enable_write_bresp,wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]],aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] );
   end
   // enable_write_bresp = aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] && wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]];
   /* calculate bresp only when AWVALID && WLAST is received */
   if(enable_write_bresp) begin
     aw_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]]    = 0;
     wlast_flag[wr_bresp_cnt[int_wr_cntr_width-2:0]] = 0;
      // $display("awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]] %0h ",awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]]); 
     bresp = calculate_resp(1'b0, awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]],awprot[wr_bresp_cnt[int_wr_cntr_width-2:0]]);
     fifo_bresp[wr_bresp_cnt[int_wr_cntr_width-2:0]] = {awid[wr_bresp_cnt[int_wr_cntr_width-2:0]],bresp};
	 //$display(" %m current id awid[wr_bresp_cnt[int_wr_cntr_width-2:0] %0h wr_bresp_cnt[int_wr_cntr_width-2:0] %0d",awid[wr_bresp_cnt[int_wr_cntr_width-2:0]],wr_bresp_cnt[int_wr_cntr_width-2:0]);
     /* Fill WR data FIFO */
     if(bresp === AXI_OK) begin
       if(awbrst[wr_bresp_cnt[int_wr_cntr_width-2:0]] === AXI_WRAP) begin /// wrap type? then align the data
         get_wrap_aligned_wr_data(aligned_wr_data,aligned_wr_addr, awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]],burst_data[wr_bresp_cnt[int_wr_cntr_width-2:0]],burst_valid_bytes[wr_bresp_cnt[int_wr_cntr_width-2:0]]);      /// gives wrapped start address
         get_wrap_aligned_wr_strb(aligned_wr_strb,aligned_wr_addr, awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]],burst_strb[wr_bresp_cnt[int_wr_cntr_width-2:0]],burst_valid_bytes[wr_bresp_cnt[int_wr_cntr_width-2:0]]);      /// gives wrapped start address
       end else begin
         aligned_wr_data = burst_data[wr_bresp_cnt[int_wr_cntr_width-2:0]]; 
         aligned_wr_addr = awaddr[wr_bresp_cnt[int_wr_cntr_width-2:0]] ;
		 aligned_wr_strb = burst_strb[wr_bresp_cnt[int_wr_cntr_width-2:0]];
		 //$display("  got form fifo aligned_wr_addr %0h wr_bresp_cnt[int_wr_cntr_width-2:0]] %0d",aligned_wr_addr,wr_bresp_cnt[int_wr_cntr_width-2:0]);
		 //$display("  got form fifo aligned_wr_strb %0h wr_bresp_cnt[int_wr_cntr_width-2:0]] %0d",aligned_wr_strb,wr_bresp_cnt[int_wr_cntr_width-2:0]);
       end
       valid_data_bytes = burst_valid_bytes[wr_bresp_cnt[int_wr_cntr_width-2:0]];
     end else 
       valid_data_bytes = 0;  

      if(awbrst[wr_bresp_cnt[int_wr_cntr_width-2:0]] != AXI_WRAP) begin 
        // wr_fifo[wr_fifo_wr_ptr[int_wr_cntr_width-2:0]] = {burst_strb[wr_bresp_cnt[int_wr_cntr_width-2:0]],awqos[wr_bresp_cnt[int_wr_cntr_width-2:0]], aligned_wr_data, aligned_wr_addr, valid_data_bytes};
        wr_fifo[wr_fifo_wr_ptr[int_wr_cntr_width-2:0]] = {aligned_wr_strb,awqos[wr_bresp_cnt[int_wr_cntr_width-2:0]], aligned_wr_data, aligned_wr_addr, valid_data_bytes};
	  end else begin	
        wr_fifo[wr_fifo_wr_ptr[int_wr_cntr_width-2:0]] = {aligned_wr_strb,awqos[wr_bresp_cnt[int_wr_cntr_width-2:0]], aligned_wr_data, aligned_wr_addr, valid_data_bytes};
	 end
     wr_fifo_wr_ptr = wr_fifo_wr_ptr + 1; 
     // $display($time," wr ptr is %0d", wr_fifo_wr_ptr);
     wr_bresp_cnt = wr_bresp_cnt+1;
	 enable_write_bresp = 'b0;
     if(wr_bresp_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions)) begin
       wr_bresp_cnt[int_wr_cntr_width-1] = ~ wr_bresp_cnt[int_wr_cntr_width-1];
       wr_bresp_cnt[int_wr_cntr_width-2:0] = 0;
     end
   end
  end // else
  end // always
  end // always
  /*--------------------------------------------------------------------------------*/

  /* Send Write Response Channel handshake */
  always@(negedge S_RESETN or posedge S_ACLK)
  begin
  if(!S_RESETN) begin
   rd_bresp_cnt = 0;
   wr_latency_count = get_wr_lat_number(1);
   wr_delayed = 0;
   bresp_time_cnt = 0; 
  end else begin
   	 if(static_count < 32 ) begin
        // wready_gen.set_ready_policy(XIL_AXI_READY_GEN_SINGLE); 
       //==wready_gen.set_ready_policy(XIL_AXI_READY_GEN_NO_BACKPRESSURE); 
       //wready_gen.set_low_time(0); 
       //wready_gen.set_high_time(1); 
       //==slv.wr_driver.send_wready(wready_gen);
     end
   if(awvalid_flag[bresp_time_cnt[int_wr_cntr_width-2:0]] && (($realtime - awvalid_receive_time[bresp_time_cnt[int_wr_cntr_width-2:0]])/diff_time >= wr_latency_count))
     wr_delayed = 1;
   if(!bresp_fifo_empty && wr_delayed) begin
     slv.wr_driver.get_wr_reactive(twr);
	 // twr.set_id(fifo_bresp[rd_bresp_cnt[int_wr_cntr_width-2:0]][rsp_id_msb : rsp_id_lsb]);
     // case(fifo_bresp[rd_bresp_cnt[int_wr_cntr_width-2:0]][rsp_msb : rsp_lsb])
	 twr.set_id(fifo_bresp[rd_bresp_cnt[int_wr_cntr_width-2:0]][8:2]);

	 //$display($time," wr_reactive_rsp = %d \n",fifo_bresp[rd_bresp_cnt[int_wr_cntr_width-2:0]][1:0]);

     case(fifo_bresp[rd_bresp_cnt[int_wr_cntr_width-2:0]][1: 0])
	  2'b00: twr.set_bresp(XIL_AXI_RESP_OKAY);
	  2'b01: twr.set_bresp(XIL_AXI_RESP_EXOKAY);
	  2'b10: twr.set_bresp(XIL_AXI_RESP_SLVERR);
	  2'b11: twr.set_bresp(XIL_AXI_RESP_DECERR);
	 endcase
	 if(static_count > 32 ) begin
      //  wready_gen.set_ready_policy(XIL_AXI_READY_GEN_SINGLE); 
      //==wready_gen.set_ready_policy(XIL_AXI_READY_GEN_NO_BACKPRESSURE); 
      // wready_gen.set_low_time(3); 
      // wready_gen.set_high_time(3); 
      // wready_gen.set_low_time_range(3,6); 
      // wready_gen.set_high_time_range(3,6); 
      //==slv.wr_driver.send_wready(wready_gen);
     end
     wready_gen.set_ready_policy(XIL_AXI_READY_GEN_NO_BACKPRESSURE);
     slv.wr_driver.send_wready(wready_gen);
     slv.wr_driver.send(twr);
     wr_delayed = 0;
     awvalid_flag[bresp_time_cnt[int_wr_cntr_width-2:0]] = 1'b0;
     bresp_time_cnt = bresp_time_cnt+1;
     rd_bresp_cnt = rd_bresp_cnt + 1;
      if(rd_bresp_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions)) begin
        rd_bresp_cnt[int_wr_cntr_width-1] = ~ rd_bresp_cnt[int_wr_cntr_width-1];
        rd_bresp_cnt[int_wr_cntr_width-2:0] = 0;
      end
      if(bresp_time_cnt[int_wr_cntr_width-2:0] === (max_wr_outstanding_transactions)) begin
        bresp_time_cnt[int_wr_cntr_width-1] = ~ bresp_time_cnt[int_wr_cntr_width-1];
        bresp_time_cnt[int_wr_cntr_width-2:0] = 0;
        // bresp_time_cnt = 0; 
      end
     wr_latency_count = get_wr_lat_number(1);
	 static_count++;
   end 
	 static_count++;
  end // else
  end//always
  /*--------------------------------------------------------------------------------*/

  /* Reading from the wr_fifo */
  always@(negedge S_RESETN or posedge SW_CLK) begin
  if(!S_RESETN) begin 
   WR_DATA_VALID_DDR = 1'b0;
   WR_DATA_VALID_OCM = 1'b0;
   wr_fifo_rd_ptr = 0;
   state = SEND_DATA;
   WR_QOS = 0;
  end else begin
   case(state)
   SEND_DATA :begin
      state = SEND_DATA;
      WR_DATA_VALID_OCM = 0;
      WR_DATA_VALID_DDR = 0;
      if(!wr_fifo_empty) begin
        WR_DATA  = wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_data_msb : wr_data_lsb];
        WR_ADDR  = wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_addr_msb : wr_addr_lsb];
        WR_BYTES = wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_bytes_msb : wr_bytes_lsb];
        WR_QOS   = wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_qos_msb : wr_qos_lsb];
		WR_DATA_STRB = wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_strb_msb : wr_strb_lsb];
        state = WAIT_ACK;
		//$display("[%0d]: %0s : %0s : SLAVE WRITE : WR_ADDR %0h WR_DATA %0h WR_DATA_STRB %0h",$time,DISP_INFO,slave_name,WR_ADDR,WR_DATA[31:0],WR_DATA_STRB[3:0]);
        case (decode_address(wr_fifo[wr_fifo_rd_ptr[int_wr_cntr_width-2:0]][wr_addr_msb : wr_addr_lsb]))
         OCM_MEM : WR_DATA_VALID_OCM = 1;
         DDR_MEM,REG_MEM : WR_DATA_VALID_DDR = 1;
         default : state = SEND_DATA;
        endcase
        wr_fifo_rd_ptr = wr_fifo_rd_ptr+1;
      end
      end
   WAIT_ACK :begin
      state = WAIT_ACK;
      if(WR_DATA_ACK_OCM | WR_DATA_ACK_DDR) begin 
        WR_DATA_VALID_OCM = 1'b0;
        WR_DATA_VALID_DDR = 1'b0;
        state = SEND_DATA;
      end
      end
   endcase
  end
  end
  /*--------------------------------------------------------------------------------*/
/*-------------------------------- WRITE HANDSHAKE END ----------------------------------------*/

/*-------------------------------- READ HANDSHAKE ---------------------------------------------*/

  /* READ CHANNELS */
  /* Store the arvalid receive time --- necessary for calculating latency in sending the rresp latency */
  reg [7:0] ar_time_cnt = 0,rresp_time_cnt = 0;
  real arvalid_receive_time[0:max_rd_outstanding_transactions]; // store the time when a new arvalid is received
  reg arvalid_flag[0:max_rd_outstanding_transactions]; // store the time when a new arvalid is received
  reg [int_rd_cntr_width-1:0] ar_cnt = 0; // counter for arvalid info

  /* various FIFOs for storing the ADDR channel info */
  reg [axi_size_width-1:0]  arsize [0:max_rd_outstanding_transactions-1];
  reg [axi_prot_width-1:0]  arprot [0:max_rd_outstanding_transactions-1];
  reg [axi_brst_type_width-1:0]  arbrst [0:max_rd_outstanding_transactions-1];
  reg [axi_len_width-1:0]  arlen [0:max_rd_outstanding_transactions-1];
  reg [axi_cache_width-1:0]  arcache [0:max_rd_outstanding_transactions-1];
  reg [axi_lock_width-1:0]  arlock [0:max_rd_outstanding_transactions-1];
  reg ar_flag [0:max_rd_outstanding_transactions-1];
  reg [addr_width-1:0] araddr [0:max_rd_outstanding_transactions-1];
  reg [addr_width-1:0] addr_local;
  reg [addr_width-1:0] addr_final;
  reg [id_bus_width-1:0]  arid [0:max_rd_outstanding_transactions-1];
  reg [axi_qos_width-1:0]  arqos [0:max_rd_outstanding_transactions-1];
  wire ar_fifo_full; // indicates arvalid_fifo is full (max outstanding transactions reached)

  reg [int_rd_cntr_width-1:0] rd_cnt = 0;
  reg [int_rd_cntr_width-1:0] trr_rd_cnt = 0;
  reg [int_rd_cntr_width-1:0] wr_rresp_cnt = 0;
  reg [axi_rsp_width-1:0] rresp;
  reg [rsp_fifo_bits-1:0] fifo_rresp [0:max_rd_outstanding_transactions-1]; // store the ID and its corresponding response
 
  reg [ruser_bus_width-1:0]   ruser_int;

  /* Send Read Response  & Data Channel handshake */
  integer rd_latency_count;
  reg  rd_delayed;
  reg  read_fifo_empty;

  reg [max_burst_bits-1:0] read_fifo [0:max_rd_outstanding_transactions-1]; /// Store only AXI Burst Data ..
  reg [int_rd_cntr_width-1:0] rd_fifo_wr_ptr = 0, rd_fifo_rd_ptr = 0;
  wire read_fifo_full; 
 
  assign read_fifo_full = (rd_fifo_wr_ptr[int_rd_cntr_width-1] !== rd_fifo_rd_ptr[int_rd_cntr_width-1] && rd_fifo_wr_ptr[int_rd_cntr_width-2:0] === rd_fifo_rd_ptr[int_rd_cntr_width-2:0])?1'b1: 1'b0;
  assign read_fifo_empty = (rd_fifo_wr_ptr === rd_fifo_rd_ptr)?1'b1: 1'b0;
  assign ar_fifo_full = ((ar_cnt[int_rd_cntr_width-1] !== rd_cnt[int_rd_cntr_width-1]) && (ar_cnt[int_rd_cntr_width-2:0] === rd_cnt[int_rd_cntr_width-2:0]))?1'b1 :1'b0; 

  /* Store the arvalid receive time --- necessary for calculating the bresp latency */
  always@(negedge S_RESETN or posedge S_ACLK)
  begin
  if(!S_RESETN)
   ar_time_cnt = 0;
  else begin
  if(net_ARVALID == 'b1 && S_ARREADY == 'b1) begin
     arvalid_receive_time[ar_time_cnt] = $time;
     arvalid_flag[ar_time_cnt] = 1'b1;
     ar_time_cnt = ar_time_cnt + 1;
	 // $display(" %m current ar_time_cnt %0d",ar_time_cnt);
     if((ar_time_cnt === max_rd_outstanding_transactions) )
       ar_time_cnt = 0; 
   end 
  end // else
  end /// always
  /*--------------------------------------------------------------------------------*/
  always@(posedge S_ACLK)
  begin
  if(net_ARVALID == 'b1 && S_ARREADY == 'b1) begin
    if(S_ARQOS === 0) begin 
      arqos[ar_cnt[int_rd_cntr_width-2:0]] = ar_qos; 
    end else begin 
      arqos[ar_cnt[int_rd_cntr_width-2:0]] = S_ARQOS; 
    end
  end
  end
  /*--------------------------------------------------------------------------------*/
  
  always@(ar_fifo_full)
  begin
  if(ar_fifo_full && DEBUG_INFO) 
    $display("INFO: %0s (%m) :: %0s [%0d] ::: Reached the maximum outstanding Read transactions limit (%0d). \n Blocking all future Read transactions until at least 1 of the outstanding Read transaction has completed.",DISP_VIP, slave_name,$time,max_rd_outstanding_transactions);
  end
  /*--------------------------------------------------------------------------------*/
  
  /* Address Read  Channel handshake*/
  always@(negedge S_RESETN or posedge S_ACLK)
  begin
  if(!S_RESETN) begin
    ar_cnt = 0;
  end else begin
    if(!ar_fifo_full) begin
      slv.monitor.axi_rd_cmd_port.get(trc);
      // araddr[ar_cnt[int_rd_cntr_width-2:0]] = trc.addr;
      arlen[ar_cnt[int_rd_cntr_width-2:0]]  = trc.len;
      arsize[ar_cnt[int_rd_cntr_width-2:0]] = trc.size;
      arbrst[ar_cnt[int_rd_cntr_width-2:0]] = trc.burst;
      arlock[ar_cnt[int_rd_cntr_width-2:0]] = trc.lock;
      arcache[ar_cnt[int_rd_cntr_width-2:0]]= trc.cache;
      arprot[ar_cnt[int_rd_cntr_width-2:0]] = trc.prot;
      arid[ar_cnt[int_rd_cntr_width-2:0]]   = trc.id;
      ar_flag[ar_cnt[int_rd_cntr_width-2:0]] = 1'b1;
	  size_local = trc.size;
	  addr_local = trc.addr;
	  case(size_local) 
	    0   : addr_final = {addr_local}; 
	    1   : addr_final = {addr_local[31:1],1'b0}; 
	    2   : addr_final = {addr_local[31:2],2'b0}; 
	    3   : addr_final = {addr_local[31:3],3'b0}; 
	    4   : addr_final = {addr_local[31:4],4'b0}; 
	    5   : addr_final = {addr_local[31:5],5'b0}; 
	    6   : addr_final = {addr_local[31:6],6'b0}; 
	    7   : addr_final = {addr_local[31:7],7'b0}; 
	  endcase	  
	    araddr[ar_cnt[int_rd_cntr_width-2:0]] = addr_final;
	//$display("[%0d] : %0s : %0s : SLAVE READ address %0h arlen[ar_cnt[int_rd_cntr_width-2:0]] %0d arsize[ar_cnt[int_rd_cntr_width-2:0]] %0d ",$time,DISP_INFO,slave_name,addr_final,arlen[ar_cnt[int_rd_cntr_width-2:0]],arsize[ar_cnt[int_rd_cntr_width-2:0]]);
        ar_cnt = ar_cnt+1;
        if(ar_cnt[int_rd_cntr_width-2:0] === max_rd_outstanding_transactions) begin
          ar_cnt[int_rd_cntr_width-1] = ~ ar_cnt[int_rd_cntr_width-1];
          ar_cnt[int_rd_cntr_width-2:0] = 0;
        end 
    end /// if(!ar_fifo_full)
  end /// if else
  end /// always*/
  /*--------------------------------------------------------------------------------*/

  /* Align Wrap data for read transaction*/
  task automatic get_wrap_aligned_rd_data;
  output [(data_bus_width*axi_burst_len)-1:0] aligned_data;
  input [addr_width-1:0] addr;
  input [(data_bus_width*axi_burst_len)-1:0] b_data;
  input [max_reg_burst_bytes_width:0] v_bytes;
  reg [addr_width-1:0] start_addr;
  reg [(data_bus_width*axi_burst_len)-1:0] temp_data, wrp_data;
  integer wrp_bytes;
  integer i;
  begin
    start_addr = (addr/v_bytes) * v_bytes;
    wrp_bytes = addr - start_addr;
    wrp_data  = b_data;
    temp_data = 0;
    while(wrp_bytes > 0) begin /// get the data that is wrapped
     temp_data = temp_data >> 8;
     temp_data[(data_bus_width*axi_burst_len)-1 : (data_bus_width*axi_burst_len)-8] = wrp_data[7:0];
     wrp_data = wrp_data >> 8;
     wrp_bytes = wrp_bytes - 1;
    end
    temp_data = temp_data >> ((data_bus_width*axi_burst_len) - (v_bytes*8));
    wrp_bytes = addr - start_addr;
    wrp_data = b_data >> (wrp_bytes*8);
    
    aligned_data = (temp_data | wrp_data);
  end
  endtask
  /*--------------------------------------------------------------------------------*/
   
  parameter RD_DATA_REQ = 1'b0, WAIT_RD_VALID = 1'b1;
  reg [addr_width-1:0] temp_read_address;
  reg [max_reg_burst_bytes_width:0] temp_rd_valid_bytes;
  reg rd_fifo_state; 
  reg invalid_rd_req;
  /* get the data from memory && also calculate the rresp*/
  always@(negedge S_RESETN or posedge SW_CLK)
  begin
  if(!S_RESETN)begin
   rd_fifo_wr_ptr = 0; 
   wr_rresp_cnt =0;
   rd_fifo_state = RD_DATA_REQ;
   temp_rd_valid_bytes = 0;
   temp_read_address = 0;
   RD_REQ_DDR = 0;
   RD_REQ_OCM = 0;
   RD_REQ_REG = 0;
   RD_QOS  = 0;
   invalid_rd_req = 0;
  end else begin
   case(rd_fifo_state)
    RD_DATA_REQ : begin
     rd_fifo_state = RD_DATA_REQ;
     RD_REQ_DDR = 0;
     RD_REQ_OCM = 0;
     RD_REQ_REG = 0;
     RD_QOS  = 0;
     if(ar_flag[wr_rresp_cnt[int_rd_cntr_width-2:0]] && !read_fifo_full) begin
       ar_flag[wr_rresp_cnt[int_rd_cntr_width-2:0]] = 0;
       rresp = calculate_resp(1'b1, araddr[wr_rresp_cnt[int_rd_cntr_width-2:0]],arprot[wr_rresp_cnt[int_rd_cntr_width-2:0]]);
       fifo_rresp[wr_rresp_cnt[int_rd_cntr_width-2:0]] = {arid[wr_rresp_cnt[int_rd_cntr_width-2:0]],rresp};
       temp_rd_valid_bytes = (arlen[wr_rresp_cnt[int_rd_cntr_width-2:0]]+1)*(2**arsize[wr_rresp_cnt[int_rd_cntr_width-2:0]]);//data_bus_width/8;

       if(arbrst[wr_rresp_cnt[int_rd_cntr_width-2:0]] === AXI_WRAP) /// wrap begin
        temp_read_address = (araddr[wr_rresp_cnt[int_rd_cntr_width-2:0]]/temp_rd_valid_bytes) * temp_rd_valid_bytes;
       else 
        temp_read_address = araddr[wr_rresp_cnt[int_rd_cntr_width-2:0]];
       if(rresp === AXI_OK) begin 
        case(decode_address(temp_read_address))//decode_address(araddr[wr_rresp_cnt[int_rd_cntr_width-2:0]]);
          OCM_MEM : RD_REQ_OCM = 1;
          DDR_MEM : RD_REQ_DDR = 1;
          REG_MEM : RD_REQ_REG = 1;
          default : invalid_rd_req = 1;
        endcase
       end else
        invalid_rd_req = 1;
        
       RD_QOS     = arqos[wr_rresp_cnt[int_rd_cntr_width-2:0]];
       RD_ADDR    = temp_read_address; ///araddr[wr_rresp_cnt[int_rd_cntr_width-2:0]];
       RD_BYTES   = temp_rd_valid_bytes;
       rd_fifo_state = WAIT_RD_VALID;
       wr_rresp_cnt = wr_rresp_cnt + 1;
       if(wr_rresp_cnt[int_rd_cntr_width-2:0] === max_rd_outstanding_transactions) begin
         wr_rresp_cnt[int_rd_cntr_width-1] = ~ wr_rresp_cnt[int_rd_cntr_width-1];
         wr_rresp_cnt[int_rd_cntr_width-2:0] = 0;
       end
     end
    end
    WAIT_RD_VALID : begin    
     rd_fifo_state = WAIT_RD_VALID; 
     if(RD_DATA_VALID_OCM | RD_DATA_VALID_DDR | RD_DATA_VALID_REG | invalid_rd_req) begin ///temp_dec == 2'b11) begin
       if(RD_DATA_VALID_DDR)
         read_fifo[rd_fifo_wr_ptr[int_rd_cntr_width-2:0]] = RD_DATA_DDR;
       else if(RD_DATA_VALID_OCM)
         read_fifo[rd_fifo_wr_ptr[int_rd_cntr_width-2:0]] = RD_DATA_OCM;
       else if(RD_DATA_VALID_REG)
         read_fifo[rd_fifo_wr_ptr[int_rd_cntr_width-2:0]] = RD_DATA_REG;
       else
         read_fifo[rd_fifo_wr_ptr[int_rd_cntr_width-2:0]] = 0;
       rd_fifo_wr_ptr = rd_fifo_wr_ptr + 1;
       RD_REQ_DDR = 0;
       RD_REQ_OCM = 0;
       RD_REQ_REG = 0;
       RD_QOS  = 0;
       invalid_rd_req = 0;
       rd_fifo_state = RD_DATA_REQ;
     end
    end
   endcase
  end /// else
  end /// always

  /*--------------------------------------------------------------------------------*/
  reg[max_reg_burst_bytes_width:0] rd_v_b;
  reg [(data_bus_width*axi_burst_len)-1:0] temp_read_data;
  reg [(data_bus_width*axi_burst_len)-1:0] temp_wrap_data;
  reg[(axi_rsp_width*axi_burst_len)-1:0] temp_read_rsp;

  xil_axi_data_beat new_data;


  /* Read Data Channel handshake */
  //always@(negedge S_RESETN or posedge S_ACLK)
  initial begin
    forever begin
      if(!S_RESETN)begin
       // rd_fifo_rd_ptr = 0;
       trr_rd_cnt = 0;
       wait(S_RESETN);
       //@(posedge S_ACLK);
       // rd_latency_count = get_rd_lat_number(1);
       // rd_delayed = 0;
       // rresp_time_cnt = 0;
       // rd_v_b = 0;
      end else begin
         //if(net_ARVALID && S_ARREADY)
           // trr_rd[trr_rd_cnt] = new("trr_rd[trr_rd_cnt]");
           // trr_rd[trr_rd_cnt] = new($psprintf("trr_rd[%0d]",trr_rd_cnt));
           slv.rd_driver.get_rd_reactive(trr);
		   trr_rd.push_back(trr.my_clone());
		   //$cast(trr_rd[trr_rd_cnt],trr.copy());
           // rd_latency_count = get_rd_lat_number(1);
           // $display("%m waiting for next transfer trr_rd_cnt %0d trr.size %0d " ,trr_rd_cnt,trr.size);
           // $display("%m waiting for next transfer trr_rd_cnt %0d trr_rd[trr_rd_cnt] %0d" ,trr_rd_cnt,trr_rd[trr_rd_cnt].size);
		   trr_rd_cnt++;
		   @(posedge S_ACLK);
         end
    end // forever
    end // initial


  initial begin
    forever begin
  if(!S_RESETN)begin
   rd_fifo_rd_ptr = 0;
   ruser_int = 'h0;
   rd_cnt = 0;
   rd_latency_count = get_rd_lat_number(1);
   rd_delayed = 0;
   rresp_time_cnt = 0;
   rd_v_b = 0;
   wait(S_RESETN);
  end else begin
     //if(net_ARVALID && S_ARREADY)
       // slv.rd_driver.get_rd_reactive(trr_rd[rresp_time_cnt]);
       wait(arvalid_flag[rresp_time_cnt] == 1);
	   // while(trr_rd[rresp_time_cnttrr_rd_cnt] == null) begin
  	   // @(posedge S_ACLK);
	   // end
       rd_latency_count = get_rd_lat_number(1);
	    // $display("%m waiting for element form vip rresp_time_cnt %0d ",rresp_time_cnt);
	    // while(trr_rd.size()< 0 ) begin
	    // $display("%m got the element form vip rresp_time_cnt %0d ",rresp_time_cnt);
  	    // @(posedge S_ACLK);
	    // end
	    // $display("%m got the element form vip rresp_time_cnt %0d ",rresp_time_cnt);
		wait(trr_rd.size() > 0);
		trr_get_rd = trr_rd.pop_front();
        // $display("%m waiting for next transfer trr_rd_cnt %0d trr_get_rd %0d" ,trr_rd_cnt,trr_get_rd.size);
     while ((arvalid_flag[rresp_time_cnt] == 'b1 )&& ((($realtime - arvalid_receive_time[rresp_time_cnt])/diff_time) < rd_latency_count)) begin
  	   @(posedge S_ACLK);
     end

     //if(arvalid_flag[rresp_time_cnt] && ((($realtime - arvalid_receive_time[rresp_time_cnt])/diff_time) >= rd_latency_count)) 
       rd_delayed = 1;
     if(!read_fifo_empty && rd_delayed)begin
       rd_delayed = 0;  
       arvalid_flag[rresp_time_cnt] = 1'b0;
       rd_v_b = ((arlen[rd_cnt[int_rd_cntr_width-2:0]]+1)*(2**arsize[rd_cnt[int_rd_cntr_width-2:0]]));
       temp_read_data =  read_fifo[rd_fifo_rd_ptr[int_rd_cntr_width-2:0]];
       rd_fifo_rd_ptr = rd_fifo_rd_ptr+1;

       if(arbrst[rd_cnt[int_rd_cntr_width-2:0]]=== AXI_WRAP) begin
         get_wrap_aligned_rd_data(temp_wrap_data, araddr[rd_cnt[int_rd_cntr_width-2:0]], temp_read_data, rd_v_b);
         temp_read_data = temp_wrap_data;
       end 
       temp_read_rsp = 0;
       repeat(axi_burst_len) begin
         temp_read_rsp = temp_read_rsp >> axi_rsp_width;
         temp_read_rsp[(axi_rsp_width*axi_burst_len)-1:(axi_rsp_width*axi_burst_len)-axi_rsp_width] = fifo_rresp[rd_cnt[int_rd_cntr_width-2:0]][rsp_msb : rsp_lsb];
       end 
	   case (arsize[rd_cnt[int_rd_cntr_width-2:0]])
         3'b000: trr_get_rd.size = XIL_AXI_SIZE_1BYTE;
         3'b001: trr_get_rd.size = XIL_AXI_SIZE_2BYTE;
         3'b010: trr_get_rd.size = XIL_AXI_SIZE_4BYTE;
         3'b011: trr_get_rd.size = XIL_AXI_SIZE_8BYTE;
         3'b100: trr_get_rd.size = XIL_AXI_SIZE_16BYTE;
         3'b101: trr_get_rd.size = XIL_AXI_SIZE_32BYTE;
         3'b110: trr_get_rd.size = XIL_AXI_SIZE_64BYTE;
         3'b111: trr_get_rd.size = XIL_AXI_SIZE_128BYTE;
       endcase
	   trr_get_rd.len = arlen[rd_cnt[int_rd_cntr_width-2:0]];
	   trr_get_rd.id = (arid[rd_cnt[int_rd_cntr_width-2:0]]);
//	   trr_get_rd.data  = new[((2**arsize[rd_cnt[int_rd_cntr_width-2:0]])*(arlen[rd_cnt[int_rd_cntr_width-2:0]]+1))];
	   trr_get_rd.rresp = new[((2**arsize[rd_cnt[int_rd_cntr_width-2:0]])*(arlen[rd_cnt[int_rd_cntr_width-2:0]]+1))];
           ruser_int = $urandom_range(0,1<< 0 -1);
       for(j = 0; j < (arlen[rd_cnt[int_rd_cntr_width-2:0]]+1); j = j+1) begin
         for(k = 0; k < (2**arsize[rd_cnt[int_rd_cntr_width-2:0]]); k = k+1) begin
		   new_data[(k*8)+:8] = temp_read_data[7:0];
		   temp_read_data = temp_read_data >> 8;
		 end
         trr_get_rd.set_data_beat(j, new_data);
         trr_get_rd.set_ruser(j,ruser_int);
		 //$display("Read data %0h",new_data);
	     case(temp_read_rsp[(j*2)+:2])
	       2'b00: trr_get_rd.rresp[j] = XIL_AXI_RESP_OKAY;
	       2'b01: trr_get_rd.rresp[j] = XIL_AXI_RESP_EXOKAY;
	       2'b10: trr_get_rd.rresp[j] = XIL_AXI_RESP_SLVERR;
	       2'b11: trr_get_rd.rresp[j] = XIL_AXI_RESP_DECERR;
	     endcase
       end

       slv.rd_driver.send(trr_get_rd);
       rd_cnt = rd_cnt + 1; 
       rresp_time_cnt = rresp_time_cnt+1;
	   // $display("current rresp_time_cnt %0d rd_cnt %0d",rresp_time_cnt,rd_cnt);
       if(rresp_time_cnt === max_rd_outstanding_transactions) rresp_time_cnt = 0;
       if(rd_cnt[int_rd_cntr_width-2:0] === (max_rd_outstanding_transactions)) begin
         rd_cnt[int_rd_cntr_width-1] = ~ rd_cnt[int_rd_cntr_width-1];
         rd_cnt[int_rd_cntr_width-2:0] = 0;
       end
       rd_latency_count = get_rd_lat_number(1);
     end
  end /// else
  end /// always
end
endmodule




/**************************************************************************
 * File : versal_cips_ps_vip_v1_0_11_axi_master.sv
 *
 * Date : 2012-11
 *
 * Description : Model that acts as PS AXI Master port interface. 
 *               It uses AXI3 Master BFM
 *****************************************************************************/
 `timescale 1ns/1ps
import axi_vip_pkg::*;
 `define M_AWUSER_DEF 'b0
 `define M_ARUSER_DEF 'b0
 `define M_WUSER_DEF 'b0

module versal_cips_ps_vip_v1_0_11_axi_master (
    M_RESETN,
    M_ARVALID,
    M_AWVALID,
    M_BREADY,
    M_RREADY,
    M_WLAST,
    M_WVALID,
    M_ARID,
    M_AWID,
    M_ARBURST,
    M_ARLOCK,
    M_ARSIZE,
    M_AWBURST,
    M_AWLOCK,
    M_AWSIZE,
    M_ARPROT,
    M_AWPROT,
    M_ARADDR,
    M_AWADDR,
    M_WDATA,
    M_ARCACHE,
    M_ARLEN,
    M_AWCACHE,
    M_AWLEN,
    M_ARQOS,
    M_AWQOS,
    M_AWREGION,
    M_ARREGION,
    M_AWUSER,
    M_WUSER,
    M_BUSER,
    M_ARUSER,
    M_RUSER,
    M_WSTRB,
    M_ACLK,
    M_ARREADY,
    M_AWREADY,
    M_BVALID,
    M_RLAST,
    M_RVALID,
    M_WREADY,
    M_BID,
    M_RID,
    M_BRESP,
    M_RRESP,
    M_RDATA

);
   parameter enable_this_port = 0;  
   parameter master_name = "Master";
   //localparam integer data_bus_width = 32; // balakasa: Commented and added as below. As per IP3 database
   parameter integer data_bus_width = 32;
   parameter address_bus_width = 32;
   parameter id_bus_width = 16;
   parameter awuser_bus_width = 1;
   parameter aruser_bus_width = 1;
   parameter ruser_bus_width  = 1;
   parameter wuser_bus_width  = 1;
   parameter buser_bus_width  = 1;
   parameter max_outstanding_transactions = 8;
   parameter exclusive_access_supported = 0;
   parameter WR_ID = 16'h0800;
   parameter RD_ID = 16'h0900;
   //parameter ID = 12'hC00;
   parameter ID = 12'h00;
   parameter region_bus_width = 1;
   // balakasa: Added new parameter. To initiate different length transfers. Like narrow width. Since, the smart connect is having 128-bit interface, and we are going to connect this in 128-bit format. This parameter is required as the file reading/writing is still 32-bit.
   `ifdef FILE_DATA_WIDTH_128
      parameter integer row_data_width = data_bus_width;
   `else
      parameter integer row_data_width = 32;
   `endif
   localparam integer local_data_bus_width = data_bus_width; // balakasa: Added to resolve vivado compilation issue
   `include "versal_cips_ps_vip_v1_0_11_local_params.sv"

    /* IDs for Masters 
       // l2m1 (CPU000)
       12'b11_000_000_00_00    
       12'b11_010_000_00_00     
       12'b11_011_000_00_00   
       12'b11_100_000_00_00   
       12'b11_101_000_00_00   
       12'b11_110_000_00_00     
       12'b11_111_000_00_00     
       // l2m1 (CPU001)
       12'b11_000_001_00_00    
       12'b11_010_001_00_00     
       12'b11_011_001_00_00    
       12'b11_100_001_00_00    
       12'b11_101_001_00_00    
       12'b11_110_001_00_00     
       12'b11_111_001_00_00    
   */

   input  M_RESETN;

   output M_ARVALID;
   output M_AWVALID;
   output M_BREADY;
   output M_RREADY;
   output M_WLAST;
   output M_WVALID;
   output [id_bus_width-1:0] M_ARID;
   output [id_bus_width-1:0] M_AWID;
   output [axi_brst_type_width-1:0] M_ARBURST;
   output [axi_lock_width-1:0] M_ARLOCK;
   output [axi_size_width-1:0] M_ARSIZE;
   output [axi_brst_type_width-1:0] M_AWBURST;
   output [axi_lock_width-1:0] M_AWLOCK;
   output [axi_size_width-1:0] M_AWSIZE;
   output [axi_prot_width-1:0] M_ARPROT;
   output [axi_prot_width-1:0] M_AWPROT;
   output [address_bus_width-1:0] M_ARADDR;
   output [address_bus_width-1:0] M_AWADDR;
   output [data_bus_width-1:0] M_WDATA;
   output [axi_cache_width-1:0] M_ARCACHE;
   output [axi_len_width-1:0] M_ARLEN;
   output [axi_qos_width-1:0] M_ARQOS;  // not connected to AXI BFM
   output [axi_cache_width-1:0] M_AWCACHE;
   output [axi_len_width-1:0] M_AWLEN;
   output [axi_qos_width-1:0] M_AWQOS;  // not connected to AXI BFM
   output [(data_bus_width/8)-1:0] M_WSTRB;
   output [region_bus_width-1:0] M_AWREGION;
   output [region_bus_width-1:0] M_ARREGION;
   output [awuser_bus_width-1:0] M_AWUSER;
   output [wuser_bus_width-1:0] M_WUSER;
   input  [buser_bus_width-1:0] M_BUSER;
   output [aruser_bus_width-1:0] M_ARUSER;
   input [ruser_bus_width-1:0] M_RUSER;
   input M_ACLK;
   input M_ARREADY;
   input M_AWREADY;
   input M_BVALID;
   input M_RLAST;
   input M_RVALID;
   input M_WREADY;
   input [id_bus_width-1:0] M_BID;
   input [id_bus_width-1:0] M_RID;
   input [axi_rsp_width-1:0] M_BRESP;
   input [axi_rsp_width-1:0] M_RRESP;
   input [data_bus_width-1:0] M_RDATA;

   wire net_RESETN;
   wire net_RVALID;
   wire net_BVALID;
   reg DEBUG_INFO = 1'b1; 
   reg STOP_ON_ERROR = 1'b1; 

   integer use_id_no = 0;
   
   wire [axi_qos_width-1:0] M_ARQOS ;
   wire [axi_qos_width-1:0] M_AWQOS ;

   assign M_AWUSER = `M_AWUSER_DEF ;
   assign M_ARUSER = `M_ARUSER_DEF ;
   assign M_WUSER = `M_WUSER_DEF ;
   assign net_RESETN = M_RESETN; //ENABLE_THIS_PORT ? M_RESETN : 1'b0;
   assign net_RVALID = enable_this_port ? M_RVALID : 1'b0;
   assign net_BVALID = enable_this_port ? M_BVALID : 1'b0;

  initial begin
   if(DEBUG_INFO) begin
    if(enable_this_port)
     $display("INFO: %0s (%m) :: %0s [%0d]::: Port is ENABLED.",DISP_VIP, master_name,$time);
    else
     $display("INFO: %0s (%m) :: %0s [%0d]::: Port is DISABLED.",DISP_VIP, master_name,$time);
   end
  end

   // initial master.set_disable_reset_value_checks(1); 
   initial master.IF.xilinx_slave_ready_check_enable = 0;
   // initial M_AWUSER = `M_AWUSER_DEF ;
   // initial M_ARUSER = `M_ARUSER_DEF ;
   initial begin
      repeat(2) @(posedge M_ACLK);
      if(!enable_this_port) begin
      //   master.set_channel_level_info(0);
      //   master.set_function_level_info(0);
      end
     // master.RESPONSE_TIMEOUT = 0;
   end

     axi_mst_agent#(0,address_bus_width, data_bus_width, data_bus_width, id_bus_width,id_bus_width,0,0,0,0,0,1,1,1,1,0,1,1,1,1,1,1) mst;

 
    axi_vip_v1_1_19_top #(
      .C_AXI_PROTOCOL(0),
      .C_AXI_INTERFACE_MODE(0),
      .C_AXI_ADDR_WIDTH(address_bus_width),
      .C_AXI_WDATA_WIDTH(data_bus_width),
      .C_AXI_RDATA_WIDTH(data_bus_width),
      .C_AXI_WID_WIDTH(id_bus_width),
      .C_AXI_RID_WIDTH(id_bus_width),
      .C_AXI_AWUSER_WIDTH(0),
      .C_AXI_ARUSER_WIDTH(0),
      .C_AXI_WUSER_WIDTH(0),
      .C_AXI_RUSER_WIDTH(0),
      .C_AXI_BUSER_WIDTH(0),
      .C_AXI_SUPPORTS_NARROW(1),
      .C_AXI_HAS_BURST(1),
      .C_AXI_HAS_LOCK(1),
      .C_AXI_HAS_CACHE(1),
      .C_AXI_HAS_REGION(0),
      .C_AXI_HAS_PROT(1),
      .C_AXI_HAS_QOS(1),
      .C_AXI_HAS_WSTRB(1),
      .C_AXI_HAS_BRESP(1),
      .C_AXI_HAS_RRESP(1),
 	 .C_AXI_HAS_ARESETN(1)
    ) master (
      .aclk(M_ACLK),
      .aclken(1'B1),
      .aresetn(net_RESETN),
      .s_axi_awid(6'h0),
      .s_axi_awaddr(64'b0),
      .s_axi_awlen(8'h0),
      .s_axi_awsize(3'B0),
      .s_axi_awburst(2'B0),
      .s_axi_awlock(1'b0),
      .s_axi_awcache(4'B0),
      .s_axi_awprot(3'B0),
      .s_axi_awregion(4'B0),
      .s_axi_awqos(4'B0),
      .s_axi_awuser(1'B0),
      .s_axi_awvalid(1'B0),
      .s_axi_awready(),
      .s_axi_wid(6'h0),
      .s_axi_wdata(128'b0),
      .s_axi_wstrb(16'b0),
      .s_axi_wlast(1'B0),
      .s_axi_wuser(1'B0),
      .s_axi_wvalid(1'B0),
      .s_axi_wready(),
      .s_axi_bid(),
      .s_axi_bresp(),
      .s_axi_buser(),
      .s_axi_bvalid(),
      .s_axi_bready(1'B0),
      .s_axi_arid(6'h0),
      .s_axi_araddr(64'b0),
      .s_axi_arlen(8'h0),
      .s_axi_arsize(3'B0),
      .s_axi_arburst(2'B0),
      .s_axi_arlock(1'b0),
      .s_axi_arcache(4'B0),
      .s_axi_arprot(3'B0),
      .s_axi_arregion(4'B0),
      .s_axi_arqos(4'B0),
      .s_axi_aruser(1'B0),
      .s_axi_arvalid(1'B0),
      .s_axi_arready(),
      .s_axi_rid(),
      .s_axi_rdata(),
      .s_axi_rresp(),
      .s_axi_rlast(),
      .s_axi_ruser(),
      .s_axi_rvalid(),
      .s_axi_rready(1'B0),
      .m_axi_awid(M_AWID),
      .m_axi_awaddr(M_AWADDR),
      .m_axi_awlen(M_AWLEN),
      .m_axi_awsize(M_AWSIZE),
      .m_axi_awburst(M_AWBURST),
      .m_axi_awlock(M_AWLOCK),
      .m_axi_awcache(M_AWCACHE),
      .m_axi_awprot(M_AWPROT),
      .m_axi_awregion(),
      .m_axi_awqos(M_AWQOS),
      .m_axi_awuser(),
      .m_axi_awvalid(M_AWVALID),
      .m_axi_awready(M_AWREADY),
      // .m_axi_wid(M_WID),
      .m_axi_wdata(M_WDATA),
      .m_axi_wstrb(M_WSTRB),
      .m_axi_wlast(M_WLAST),
      .m_axi_wuser(),
      .m_axi_wvalid(M_WVALID),
      .m_axi_wready(M_WREADY),
      .m_axi_bid(M_BID),
      .m_axi_bresp(M_BRESP),
      .m_axi_buser(1'B0),
      .m_axi_bvalid(M_BVALID),
      .m_axi_bready(M_BREADY),
      .m_axi_arid(M_ARID),
      .m_axi_araddr(M_ARADDR),
      .m_axi_arlen(M_ARLEN),
      .m_axi_arsize(M_ARSIZE),
      .m_axi_arburst(M_ARBURST),
      .m_axi_arlock(M_ARLOCK),
      .m_axi_arcache(M_ARCACHE),
      .m_axi_arprot(M_ARPROT),
      .m_axi_arregion(),
      .m_axi_arqos(M_ARQOS),
      .m_axi_aruser(),
      .m_axi_arvalid(M_ARVALID),
      .m_axi_arready(M_ARREADY),
      .m_axi_rid(M_RID),
      .m_axi_rdata(M_RDATA),
      .m_axi_rresp(M_RRESP),
      .m_axi_rlast(M_RLAST),
      .m_axi_ruser(1'B0),
      .m_axi_rvalid(M_RVALID),
      .m_axi_rready(M_RREADY)
    );
 
 
 
    axi_transaction tw, tr;
    axi_monitor_transaction tr_m, tw_m;
    axi_ready_gen           bready_gen;
    axi_ready_gen           rready_gen;
 
   initial begin
    mst = new("mst",master.IF);
    tr_m = new("master monitor trans");

    $assertoff(0,master.IF.PC.axi4_errs_rdata_x);
    mst.start_master();
   end
 
 /* Call to VIP APIs */
 // task automatic read_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,output [(axi_mgp_data_width*axi_burst_len)-1:0] data, output [(axi_rsp_width*axi_burst_len)-1:0] response);
 task automatic read_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,output [(axi_burst_len*data_bus_width)-1:0] data, output [(axi_rsp_width*axi_burst_len)-1:0] response);
  integer i;
  xil_axi_burst_t burst_i;
  xil_axi_size_t  size_i;
  xil_axi_data_beat new_data;
  xil_axi_lock_t  lock_i;
  integer datasize;
  case (burst)
    2'b00: burst_i = XIL_AXI_BURST_TYPE_FIXED;
    2'b01: burst_i = XIL_AXI_BURST_TYPE_INCR;
    2'b10: burst_i = XIL_AXI_BURST_TYPE_WRAP;
    2'b11: burst_i = XIL_AXI_BURST_TYPE_RSVD;
  endcase
  case (siz)
    3'b000: size_i = XIL_AXI_SIZE_1BYTE;
    3'b001: size_i = XIL_AXI_SIZE_2BYTE;
    3'b010: size_i = XIL_AXI_SIZE_4BYTE;
    3'b011: size_i = XIL_AXI_SIZE_8BYTE;
    3'b100: size_i = XIL_AXI_SIZE_16BYTE;
    3'b101: size_i = XIL_AXI_SIZE_32BYTE;
    3'b110: size_i = XIL_AXI_SIZE_64BYTE;
    3'b111: size_i = XIL_AXI_SIZE_128BYTE;
  endcase
  case (lck)
    2'b00: lock_i = XIL_AXI_ALOCK_NOLOCK;
    2'b01: lock_i = XIL_AXI_ALOCK_EXCL;
    2'b10: lock_i = XIL_AXI_ALOCK_LOCKED;
    2'b11: lock_i = XIL_AXI_ALOCK_RSVD;
  endcase
  if(enable_this_port)begin
   fork 
     begin
       rready_gen = mst.rd_driver.create_ready("rready");
       rready_gen.set_ready_policy(XIL_AXI_READY_GEN_OSC);
       // rready_gen.set_high_time(len+1);
       mst.rd_driver.send_rready(rready_gen);
 	end
 	begin
       tr = mst.rd_driver.create_transaction("write_tran");
       mst.rd_driver.set_transaction_depth(max_outstanding_transactions);
       assert(tr.randomize());
    	   datasize = 0;
       tr.set_read_cmd(addr,burst_i,ID,len,size_i);
       tr.set_cache(cache);
       tr.set_lock(lock_i);
       tr.set_prot(prot);
       tr.set_driver_return_item_policy(XIL_AXI_PAYLOAD_RETURN);	   
       mst.rd_driver.send(tr);
	   mst.rd_driver.wait_rsp(tr);
       // new_data = new[tr.get_len()+1];
       for( xil_axi_uint beat=0; beat<tr.get_len()+1; beat++) begin
         new_data = tr.get_data_beat(beat);
	      for(int k = 0; k < (2**siz); k = k+1) begin
            data[(datasize*8)+:8] = new_data[(k*8)+:8];
            datasize = datasize+1;
           end
		     response = response << 2;
             response[1:0] = tr.rresp[i];
 	   end
 	   end

   join
 //==   mst.monitor.item_collected_port.get(tr_m);
 //==   datasize = 0;
 //==   for(i = 0; i < (len+1); i = i+1) begin
 //==     new_data = tr_m.get_data_beat(i);
 //==     for(int k = 0; k < (2**siz); k = k+1) begin
 //==	   data[(datasize*8)+:8] = new_data[(k*8)+:8];
 //==	   datasize = datasize+1;
 //==	 end
 //==	 response = response << 2;
 //==     response[1:0] = tr_m.rresp[i];
 //==   end
  end else begin
    $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'read_burst' will not be executed...",DISP_VIP, master_name, $time);
    if(STOP_ON_ERROR) $stop;
  end
 endtask 
 
 task automatic write_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(axi_burst_len*data_bus_width)-1:0] data,input integer datasize, output [axi_rsp_width-1:0] response);
 // task automatic write_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(axi_mgp_data_width*axi_burst_len)-1:0] data,input integer datasize, output [axi_rsp_width-1:0] response);
  integer i,j;
  xil_axi_burst_t burst_i;
  xil_axi_size_t  size_i;
  xil_axi_lock_t  lock_i;
  xil_axi_data_beat new_data;
  xil_axi_strb_beat new_strb;
 
  case (burst)
    2'b00: burst_i = XIL_AXI_BURST_TYPE_FIXED;
    2'b01: burst_i = XIL_AXI_BURST_TYPE_INCR;
    2'b10: burst_i = XIL_AXI_BURST_TYPE_WRAP;
    2'b11: burst_i = XIL_AXI_BURST_TYPE_RSVD;
  endcase
  case (siz)
    3'b000: size_i = XIL_AXI_SIZE_1BYTE;
    3'b001: size_i = XIL_AXI_SIZE_2BYTE;
    3'b010: size_i = XIL_AXI_SIZE_4BYTE;
    3'b011: size_i = XIL_AXI_SIZE_8BYTE;
    3'b100: size_i = XIL_AXI_SIZE_16BYTE;
    3'b101: size_i = XIL_AXI_SIZE_32BYTE;
    3'b110: size_i = XIL_AXI_SIZE_64BYTE;
    3'b111: size_i = XIL_AXI_SIZE_128BYTE;
  endcase
  case (lck)
    2'b00: lock_i = XIL_AXI_ALOCK_NOLOCK;
    2'b01: lock_i = XIL_AXI_ALOCK_EXCL;
    2'b10: lock_i = XIL_AXI_ALOCK_LOCKED;
    2'b11: lock_i = XIL_AXI_ALOCK_RSVD;
  endcase
  if(enable_this_port)begin
    fork 
      begin
        bready_gen = mst.wr_driver.create_ready("bready");
        bready_gen.set_ready_policy(XIL_AXI_READY_GEN_OSC);
        // bready_gen.set_high_time(1);
        mst.wr_driver.send_bready(bready_gen);
      end
      begin
        tw = mst.wr_driver.create_transaction("write_tran");
        mst.wr_driver.set_transaction_depth(max_outstanding_transactions);
        assert(tw.randomize());
        tw.set_write_cmd(addr,burst_i,ID,len,size_i);
        tw.set_cache(cache);
        tw.set_lock(lock_i);
        tw.set_prot(prot);
        tw.set_driver_return_item_policy(XIL_AXI_PAYLOAD_RETURN); 
        for(i = 0; i < (len+1); i = i+1) begin
           for(j = 0; j < (2**siz); j = j+1) begin
              new_data[j*8+:8] = data[7:0];
 	      new_strb[j*1+:1] = 1'b1;
              data = data >> 8;
	      //$display(" [%0d] addr: %0h i: %0d j: %0d data: %0h new_strb: %0d axi_mgp_data_width: %0d",$time,addr,i,j,data,new_strb[j*1+:1],axi_mgp_data_width);
 	   end
           tw.set_data_beat(i, new_data);
 	   tw.set_strb_beat(i, new_strb);
	   //$display("  addr %0h i %0d J %0d new_data: %0h new_strb: %0d ",addr,i,j,new_data,new_strb);
        end
        mst.wr_driver.send(tw);
      end
    join
    // mst.monitor.item_collected_port.get(tw_m);
    mst.wr_driver.wait_rsp(tw);
    //$display("[%0d] addr: %0h i: %0d j: %0d new_data: %0h ",$time,addr,i,j,new_data);
    response = tw.bresp;
  end else begin
    // $display("[%0d] : %0s : %0s : Port is disabled. 'write_burst' will not be executed...",$time, DISP_ERR, master_name);
    if(STOP_ON_ERROR) $stop;
  end
 endtask 

  // task automatic write_burst_strb(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(axi_mgp_data_width*axi_burst_len)-1:0] data,input strb_en,input [(axi_mgp_data_width*axi_burst_len)/8-1:0] strb,input integer datasize, output [axi_rsp_width-1:0] response);
  task automatic write_burst_strb(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [((axi_burst_len*data_bus_width))-1:0] data,input strb_en,input [((axi_burst_len*data_bus_width)/8)-1:0] strb,input integer datasize, output [axi_rsp_width-1:0] response);
  integer i,j;
  xil_axi_burst_t burst_i;
  xil_axi_size_t  size_i;
  xil_axi_lock_t  lock_i;
  xil_axi_data_beat new_data;
  xil_axi_strb_beat new_strb;
  
//  if(DEBUG_INFO) begin
//     $display("[%0d] : %0s :: [%0s] ::: write_burst_strb called with addr:%0h trnsfr_lngth: %0d siz: %0d burst: %0d \n wr_data: %0h \n strb: %0h",$time,DISP_INFO,master_name,addr,len,siz,burst,data,strb);
//  end

  case (burst)
    2'b00: burst_i = XIL_AXI_BURST_TYPE_FIXED;
    2'b01: burst_i = XIL_AXI_BURST_TYPE_INCR;
    2'b10: burst_i = XIL_AXI_BURST_TYPE_WRAP;
    2'b11: burst_i = XIL_AXI_BURST_TYPE_RSVD;
  endcase
  case (siz)
    3'b000: size_i = XIL_AXI_SIZE_1BYTE;
    3'b001: size_i = XIL_AXI_SIZE_2BYTE;
    3'b010: size_i = XIL_AXI_SIZE_4BYTE;
    3'b011: size_i = XIL_AXI_SIZE_8BYTE;
    3'b100: size_i = XIL_AXI_SIZE_16BYTE;
    3'b101: size_i = XIL_AXI_SIZE_32BYTE;
    3'b110: size_i = XIL_AXI_SIZE_64BYTE;
    3'b111: size_i = XIL_AXI_SIZE_128BYTE;
  endcase
  case (lck)
    2'b00: lock_i = XIL_AXI_ALOCK_NOLOCK;
    2'b01: lock_i = XIL_AXI_ALOCK_EXCL;
    2'b10: lock_i = XIL_AXI_ALOCK_LOCKED;
    2'b11: lock_i = XIL_AXI_ALOCK_RSVD;
  endcase
  if(enable_this_port)begin
    fork 
      begin
        bready_gen = mst.wr_driver.create_ready("bready");
        bready_gen.set_ready_policy(XIL_AXI_READY_GEN_OSC);
        // bready_gen.set_high_time(1);
        mst.wr_driver.send_bready(bready_gen);
      end
      begin
        tw = mst.wr_driver.create_transaction("write_tran");
        mst.wr_driver.set_transaction_depth(max_outstanding_transactions);
        assert(tw.randomize());
        tw.set_write_cmd(addr,burst_i,ID,len,size_i);
        tw.set_cache(cache);
        tw.set_lock(lock_i);
        tw.set_prot(prot);
        tw.set_driver_return_item_policy(XIL_AXI_PAYLOAD_RETURN); 
	if(strb_en == 0) begin
        for(i = 0; i < (len+1); i = i+1) begin
          for(j = 0; j < (2**siz); j = j+1) begin
            new_data[j*8+:8] = data[7:0];
 		    new_strb[j*1+:1] = 1'b1;
            data = data >> 8;
 		 end
          tw.set_data_beat(i, new_data);
 		 tw.set_strb_beat(i, new_strb);
        end
        end
	else begin
	  for(i = 0; i < (len+1); i = i+1) begin
          for(j = 0; j < (2**siz); j = j+1) begin
            new_data[j*8+:8] = data[7:0];
 		    new_strb[j*1+:1] = strb[0];
            data = data >> 8;
            strb = strb >> 1;
 		  end
          tw.set_data_beat(i, new_data);
 	  tw.set_strb_beat(i, new_strb);
          // $display(" write_burst_strb new_data %0h new_strb %0h ",new_data,new_strb);
          end
	end
//        if(DEBUG_INFO) begin
//           $display("[%0d] Driving: write_burst_strb \n addr: %0h trnsfr_lngth: %0d siz: %0d burst: %0d \n wr_data: %0h \n strb: %0h",$time,addr,len,siz,burst,data,strb);
//	end
        mst.wr_driver.send(tw);
      end
    join
    // mst.monitor.item_collected_port.get(tw_m);
    mst.wr_driver.wait_rsp(tw);
    //$display("  BURST addr %0h i %0d J %0d new_data: %0h ",addr,i,j,new_data);
    response = tw.bresp;
  end else begin
    $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'write_burst_strb' will not be executed...",DISP_VIP, master_name, $time);
    if(STOP_ON_ERROR) $stop;
  end
 endtask 
 

 task automatic write_burst_concurrent(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(axi_burst_len*data_bus_width)-1:0] data,input integer datasize, output [axi_rsp_width-1:0] response);
  integer i;
  if(enable_this_port)begin
    write_burst(addr,len,siz,burst,lck,cache,prot,data,datasize,response);
  end else begin
    $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'write_burst_concurrent' will not be executed...",DISP_VIP, master_name, $time);
    if(STOP_ON_ERROR) $stop;
  end
 endtask 
 
 /* local */
 function automatic[id_bus_width-1:0] get_id;
 input dummy; 
 begin
  case(use_id_no)
   // l2m1 (CPU000)
   0 : get_id = 12'b11_000_000_00_00;   
   1 : get_id = 12'b11_010_000_00_00;    
   2 : get_id = 12'b11_011_000_00_00;  
   3 : get_id = 12'b11_100_000_00_00;  
   4 : get_id = 12'b11_101_000_00_00;  
   5 : get_id = 12'b11_110_000_00_00;    
   6 : get_id = 12'b11_111_000_00_00;    
   // l2m1 (CPU001)
   7 : get_id = 12'b11_000_001_00_00;   
   8 : get_id = 12'b11_010_001_00_00;    
   9 : get_id = 12'b11_011_001_00_00;   
  10 : get_id = 12'b11_100_001_00_00;   
  11 : get_id = 12'b11_101_001_00_00;   
  12 : get_id = 12'b11_110_001_00_00;    
  13 : get_id = 12'b11_111_001_00_00;   
  endcase
  if(use_id_no == 13)
   use_id_no = 0;
  else
   use_id_no = use_id_no+1;
 end
 endfunction
 
 /* Write data from file */
 task automatic write_from_file;
 input [(max_chars*8)-1:0] file_name;
 input [addr_width-1:0] start_addr;
 input [int_width-1:0] wr_size;
 output [axi_rsp_width-1:0] response;
 reg [axi_rsp_width-1:0] wresp,rwrsp;
 reg [addr_width-1:0] addr;
 // balakasa: Changed as per the comment added for row_data_width parameter. data_bus_width is been replaced with row_data_width through out this task
 //reg [(axi_burst_len*data_bus_width)-1 : 0] wr_data;
 reg [(axi_burst_len*row_data_width)-1 : 0] wr_data;
 integer bytes;
 integer trnsfr_bytes;
 integer wr_fd;
 integer succ;
 integer trnsfr_lngth;
 reg concurrent; 
 integer i;
 int siz_in_bytes;
 
 reg [id_bus_width-1:0] wr_id;
 reg [axi_size_width-1:0] siz;
 reg [axi_brst_type_width-1:0] burst;
 reg [axi_lock_width-1:0] lck;
 reg [axi_cache_width-1:0] cache;
 reg [axi_prot_width-1:0] prot; 
 begin
 if(!enable_this_port) begin
  $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'write_from_file' will not be executed...",DISP_VIP, master_name, $time);
  if(STOP_ON_ERROR) $stop;
 end else begin
  siz =  2; 
  burst = 1;
  lck = 0;
  cache = 0;
  prot = 0;
 
  addr = start_addr;
  bytes = wr_size;
  wresp = 0;
  concurrent = $random; 
  //if(bytes > (axi_burst_len * data_bus_width/8)) begin
  if(bytes > (axi_burst_len * row_data_width/8)) begin
    //trnsfr_bytes = (axi_burst_len * data_bus_width/8);
    trnsfr_bytes = (axi_burst_len * row_data_width/8);
    trnsfr_lngth = axi_burst_len-1;
    //siz_in_bytes =  (data_bus_width/8); 
    siz_in_bytes =  (row_data_width/8); 
  end else begin
    trnsfr_bytes = bytes;
  end 
  
  //if(bytes > (axi_burst_len * data_bus_width/8)) begin
  if(bytes > (axi_burst_len * row_data_width/8)) begin
   trnsfr_lngth = axi_burst_len-1;
  //end else if(bytes%(data_bus_width/8) == 0) begin
  end else if(bytes%(row_data_width/8) == 0) begin
   //trnsfr_lngth = bytes/(data_bus_width/8) - 1;
   //siz_in_bytes =  (data_bus_width/8); 
   trnsfr_lngth = bytes/(row_data_width/8) - 1;
   siz_in_bytes =  (row_data_width/8); 
  end else begin 
   //trnsfr_lngth = bytes/(data_bus_width/8);
   //siz_in_bytes =  (data_bus_width/8); 
   trnsfr_lngth = bytes/(row_data_width/8);
   siz_in_bytes =  (row_data_width/8); 
  end

  wr_id = ID;
  wr_fd = $fopen(file_name,"r");
  
  while (bytes > 0) begin
    case(siz_in_bytes) 
	  1   : siz = 0; 
	  2   : siz = 1; 
	  4   : siz = 2; 
	  8   : siz = 3; 
	  16  : siz = 4; 
	  32  : siz = 5; 
	  64  : siz = 6; 
	  128 : siz = 7; 
	endcase
  
    repeat(axi_burst_len) begin /// get the data for 1 AXI burst transaction
     
     //wr_data = wr_data >> data_bus_width; // BALA: commenting, as the data width is changed to 128-bit. And the contents in the file (write_mgp.txt) 32-bit format only
     wr_data = wr_data >> row_data_width;
     
//     if(DEBUG_INFO) begin 
//        $display("[%0d] [write_from_file API]: wr_data: %0h",$time,wr_data); // Added by BALA
//        $display("[%0d] [write_from_file API]: axi_burst_len: %0d trnsfr_lngth: %0d trnsfr_bytes: %0d siz: %0d ",$time,axi_burst_len,trnsfr_lngth,trnsfr_bytes,siz); // Added by BALA
//     end

     //succ = $fscanf(wr_fd,"%h",wr_data[(axi_burst_len*data_bus_width)-1 :(axi_burst_len*data_bus_width)-data_bus_width ]); /// write as 4 bytes (data_bus_width) .. Commented By Bala
     succ = $fscanf(wr_fd,"%h",wr_data[(axi_burst_len*row_data_width)-1 :(axi_burst_len*row_data_width)-row_data_width]); /// write as 4 bytes (row_data_width) ..
    end
    write_burst(addr, trnsfr_lngth, siz, burst, lck, cache, prot, wr_data, trnsfr_bytes, rwrsp);
    bytes = bytes - trnsfr_bytes;
    addr = addr + trnsfr_bytes;
    //if(bytes >= (axi_burst_len * data_bus_width/8) )
    if(bytes >= (axi_burst_len * row_data_width/8) )
     //trnsfr_bytes = (axi_burst_len * data_bus_width/8); //
     trnsfr_bytes = (axi_burst_len * row_data_width/8); //
    else
     trnsfr_bytes = bytes;
  
    //if(bytes > (axi_burst_len * data_bus_width/8))
    if(bytes > (axi_burst_len * row_data_width/8))
     trnsfr_lngth = axi_burst_len-1;
    //else if(bytes%(data_bus_width/8) == 0)
    else if(bytes%(row_data_width/8) == 0)
     //trnsfr_lngth = bytes/(data_bus_width/8) - 1;
     trnsfr_lngth = bytes/(row_data_width/8) - 1;
    else 
     trnsfr_lngth = bytes/(row_data_width/8);
     //trnsfr_lngth = bytes/(data_bus_width/8);
  
    wresp = wresp | rwrsp;
  end /// while 
  response = wresp;
 end
 end
 endtask
 
 /* Read data to file */
 task automatic read_to_file;
 input [(max_chars*8)-1:0] file_name;
 input [addr_width-1:0] start_addr;
 input [int_width-1:0] rd_size;
 output [axi_rsp_width-1:0] response;
 reg [axi_rsp_width-1:0] rresp, rrrsp;
 reg [addr_width-1:0] addr;
 integer bytes;
 integer trnsfr_lngth;
 // balakasa: Changed as per the comment added for row_data_width parameter. data_bus_width is been replaced with row_data_width through out this task 
 //reg [(axi_burst_len*data_bus_width)-1 :0] rd_data;
 reg [(axi_burst_len*row_data_width)-1 :0] rd_data;
 integer rd_fd;
 reg [id_bus_width-1:0] rd_id;
 
 reg [axi_size_width-1:0] siz;
 int siz_in_bytes;
 reg [axi_brst_type_width-1:0] burst;
 reg [axi_lock_width-1:0] lck;
 reg [axi_cache_width-1:0] cache;
 reg [axi_prot_width-1:0] prot; 
 begin
 if(!enable_this_port) begin
  $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'read_to_file' will not be executed...",DISP_VIP, master_name, $time);
  if(STOP_ON_ERROR) $stop;
 end else begin
   siz =  2; 
   burst = 1;
   lck = 0;
   cache = 0;
   prot = 0;
 
   addr = start_addr;
   rresp = 0;
   bytes = rd_size;
   
   rd_id = ID;
   
   //if(bytes > (axi_burst_len * data_bus_width/8)) begin
   if(bytes > (axi_burst_len * row_data_width/8)) begin
     trnsfr_lngth = axi_burst_len-1;
     siz_in_bytes =  (row_data_width/8); 
     //siz_in_bytes =  (data_bus_width/8); 
    end		
   //else if(bytes%(data_bus_width/8) == 0) begin
   else if(bytes%(row_data_width/8) == 0) begin
    //trnsfr_lngth = bytes/(data_bus_width/8) - 1;
    trnsfr_lngth = bytes/(row_data_width/8) - 1;
    siz_in_bytes =  (row_data_width/8); 
    //siz_in_bytes =  (data_bus_width/8); 
   end  
   else begin
    //trnsfr_lngth = bytes/(data_bus_width/8);
    //siz_in_bytes =  (data_bus_width/8); 
    trnsfr_lngth = bytes/(row_data_width/8);
    siz_in_bytes =  (row_data_width/8); 
   end
  
   //rd_fd = $fopen(file_name,"w");
   //rd_fd = $fopen(file_name,"r+");
   rd_fd = $fopen(file_name,"w+");
   
   while (bytes > 0) begin
     case(siz_in_bytes) 
	   1   : siz = 0; 
	   2   : siz = 1; 
	   4   : siz = 2; 
	   8   : siz = 3; 
	   16  : siz = 4; 
	   32  : siz = 5; 
	   64  : siz = 6; 
	   128 : siz = 7; 
	 endcase
     read_burst(addr, trnsfr_lngth, siz, burst, lck, cache, prot, rd_data, rrrsp);

//     if(DEBUG_INFO) begin
//        $display("[%0d] [read_to_file] rd_data: %0h, row_data_width: %0d",$time,rd_data,row_data_width); // Added by BALA
//        $display("[%0d] [read_to_file] rd_data[%d-1:0]: %0h",$time,row_data_width,rd_data[row_data_width-1:0]); // Added by BALA
//     end
     //repeat(trnsfr_lngth+1) begin // BALA
     repeat(trnsfr_lngth+1) begin
      $fdisplayh(rd_fd,rd_data[row_data_width-1:0]);
      //rd_data = rd_data >> data_bus_width; // BALA
      rd_data = rd_data >> row_data_width;
//      if(DEBUG_INFO) begin
//         $display("[%0d] [read_to_file] rd_data: %0h",$time,rd_data); // Added by BALA
//         $display("[%0d] [read_to_file] axi_burst_len: %0d trnsfr_lngth: %0d addr: %0h siz: %0d ",$time,axi_burst_len,trnsfr_lngth,addr,siz); // Added by BALA
//      end
     end
     
     addr = addr + (trnsfr_lngth+1)*4;
 
     //if(bytes >= (axi_burst_len * data_bus_width/8) )
     if(bytes >= (axi_burst_len * row_data_width/8) )
      bytes = bytes - (axi_burst_len * row_data_width/8); //
     else
      bytes = 0;
  
     //if(bytes > (axi_burst_len * data_bus_width/8))
     if(bytes > (axi_burst_len * row_data_width/8))
      trnsfr_lngth = axi_burst_len-1;
     //else if(bytes%(data_bus_width/8) == 0)
     else if(bytes%(row_data_width/8) == 0)
      //trnsfr_lngth = bytes/(data_bus_width/8) - 1;
      trnsfr_lngth = bytes/(row_data_width/8) - 1;
     else 
      trnsfr_lngth = bytes/(row_data_width/8);
      //trnsfr_lngth = bytes/(data_bus_width/8);
 
     rresp = rresp | rrrsp;
   end /// while 
   response = rresp;
 end
 end
 endtask
 
 /* Write data (used for transfer size <= 128 Bytes */
 task automatic write_data;
 input [addr_width-1:0] start_addr;
 input [max_transfer_bytes_width:0] wr_size;
 input [((axi_burst_len*data_bus_width))-1:0] w_data;
 output [axi_rsp_width-1:0] response;
 reg [axi_rsp_width-1:0] wresp,rwrsp;
 reg [addr_width-1:0] addr;
 reg [addr_width-1:0] mask_addr;
 reg [7:0] bytes,tmp_bytes;
 reg[127:0] strb;
 // reg [max_transfer_bytes_width*8:0] wr_strb;
 reg [((axi_burst_len*data_bus_width)/8):0] wr_strb;
 integer trnsfr_bytes,strb_cnt;
 reg [((axi_burst_len*data_bus_width))-1:0] wr_data;
 integer trnsfr_lngth;
 reg concurrent; 
 
 reg [id_bus_width-1:0] wr_id;
 reg [axi_size_width-1:0] siz;
// reg [27:0] siz_mask;
 int siz_in_bytes,j;
 reg [axi_brst_type_width-1:0] burst;
 reg [axi_lock_width-1:0] lck;
 reg [axi_cache_width-1:0] cache;
 reg [axi_prot_width-1:0] prot; 
 
 integer pad_bytes;
 begin
 if(!enable_this_port) begin
  $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'write_data' will not be executed...",DISP_VIP, master_name,$time);
  if(STOP_ON_ERROR) $stop;
 end else begin
  addr = start_addr;
  bytes = wr_size;
  wresp = 0;
  wr_data = w_data;
  concurrent = $random; 
  siz =  2; 
  burst = 1;
  lck = 0;
  cache = 0;
  prot = 0;
  wr_strb = 0;
  // balakasa: Changed the name from clogb2 to f_clogb2 as per IP3 database. This is done though out this file
  //pad_bytes = start_addr[f_clogb2(data_bus_width/8)-1:0];
  pad_bytes = start_addr[(f_clogb2(local_data_bus_width/8)-1):0];
  wr_id = ID;
//  if(DEBUG_INFO) begin
//     $display($time,"write_data called with wr_addr: %0h , wr_size: %0d , wr_data = %0h",start_addr,wr_size,w_data[255:0]);
//  end
  if(bytes+pad_bytes > (data_bus_width/8*axi_burst_len)) begin /// for unaligned address
     trnsfr_bytes = (data_bus_width*axi_burst_len)/8 - pad_bytes;//start_addr[1:0]; 
     trnsfr_lngth = axi_burst_len-1;
     siz_in_bytes =  (data_bus_width/8); 
  end else begin 
    trnsfr_bytes = bytes;
    tmp_bytes   = bytes + pad_bytes;//start_addr[1:0];
    if(tmp_bytes%(data_bus_width/8) == 0) begin
      trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
      siz_in_bytes =  (data_bus_width/8); 
    end else begin
      trnsfr_lngth = tmp_bytes/(data_bus_width/8);
      siz_in_bytes =  (data_bus_width/8); 
    end
  end

	if(bytes > siz_in_bytes) begin
	 strb_cnt = ((bytes/siz_in_bytes)*siz_in_bytes) + (bytes%siz_in_bytes);
	 //$display("strb_cnt %0d (bytes/siz_in_bytes) %0d (bytes) %0d",strb_cnt,bytes/siz_in_bytes,bytes%siz_in_bytes);
	end begin
	  strb_cnt =  bytes ;
	  //$display("strb_cnt %0d max_transfer_bytes_width %0d",strb_cnt,max_transfer_bytes_width);
	end
 
  while (bytes > 0) begin
    case(siz_in_bytes) 
	  1   : siz = 0; 
	  2   : siz = 1; 
	  4   : siz = 2; 
	  8   : siz = 3; 
	  16  : siz = 4; 
	  32  : siz = 5; 
	  64  : siz = 6; 
	  128 : siz = 7; 
	endcase
    // $display("bytes %0d",bytes);
//    if(DEBUG_INFO) begin
//       $display("[%0d] addr: %0h trnsfr_lngth: %0d siz: %0d burst: %0d trnsfr_bytes: %0d siz_in_bytes: %0d \n wr_data: %0h ",$time,addr,trnsfr_lngth,siz,burst,trnsfr_bytes,siz_in_bytes,wr_data[255:0]);
//    end
//        siz_mask = 'h0;
//        siz_mask = {'h0,~(1 << siz)};
	mask_addr = addr[3:0] & (~(1 << siz)); 
	// $display("[%0d] mask_addr: %0h addr: %0h (~(1 << siz)) %0h ((1 << siz)) %0h size %0d ",$time,mask_addr,addr,(~(1 << siz)), ((1 << siz)),siz);
	
	// Added by bala for JIRA Req
	//if(pad_bytes != 0) begin 
	//   wr_data = (wr_data << (mask_addr*8) );
	//   //$display(" pading bytes: %0h mask_addr = %0h siz_mask = %0h wr_data %0h ",pad_bytes,mask_addr,siz_mask,wr_data);
	////   $display(" pading bytes: %0h mask_addr = %0h wr_data %0h ",pad_bytes,mask_addr,wr_data);
	//end else begin
	//   wr_data = wr_data;
	////   $display(" non pading bytes: mask_addr = %0h wr_data %0h ",mask_addr,wr_data);
	//end

      // $display("wr_data %0h",wr_data);
	for(j=0;j<strb_cnt;j=j+1) begin
	  wr_strb = {wr_strb, 1'b1};
      // $display("wr_strb %0h",wr_strb);
	end
	for(j=0;j<pad_bytes;j=j+1) begin
	  wr_strb = {wr_strb ,1'b0};
      // $display("new wr_strb %0h",wr_strb);
	end

    // write_burst(addr, trnsfr_lngth,  siz, burst, lck, cache, prot, wr_data[(axi_burst_len*data_bus_width)-1:0], trnsfr_bytes, rwrsp);
    write_burst_strb(addr, trnsfr_lngth,  siz, burst, lck, cache, prot, wr_data[((axi_burst_len*data_bus_width))-1:0], 1,wr_strb,trnsfr_bytes, rwrsp);

//    if(DEBUG_INFO) begin
//       $display("[%0d] [write_data] write_burst_strb completed \n",$time);
//       $display($time,"[write_burst_strb] called with wr_addr: %0h , wr_size: %0d , wr_strb: %0h wr_data: %0h",addr,trnsfr_bytes,wr_strb,wr_data[255:0]);
//    end
    wr_data = wr_data >> (trnsfr_bytes*8);
    // $display("wr_data %0h",wr_data);
    // $display("trnsfr_bytes %0d",trnsfr_bytes);
    bytes = bytes - trnsfr_bytes;
    addr = addr + trnsfr_bytes;
    if(bytes  > (axi_burst_len * data_bus_width/8)) begin
       trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
       trnsfr_lngth = axi_burst_len-1;
       pad_bytes = 0;
       // $display("trnsfr_lngth %0d pad_bytes %0d",trnsfr_lngth,pad_bytes);
    end else begin 
       trnsfr_bytes = bytes;
       // $display(" 1 trnsfr_bytes %0d",trnsfr_bytes);
       tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
       if(tmp_bytes%(data_bus_width/8) == 0) begin
          trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
          // $display("2 trnsfr_lngth %0d",trnsfr_lngth);
       end else begin 
          trnsfr_lngth = tmp_bytes/(data_bus_width/8);
	  pad_bytes = 0;
          // $display("3 trnsfr_lngth %0d pad_bytes %0d",trnsfr_lngth,pad_bytes);
       end	
    end
    wresp = wresp | rwrsp;
  end /// while 
  response = wresp;
 end
 end
 endtask
 
 /* Read data (used for transfer size <= 128 Bytes */
 task automatic read_data;
 input [addr_width-1:0] start_addr;
 input [max_transfer_bytes_width:0] rd_size;
 output [(axi_burst_len*data_bus_width)-1:0] r_data;
 output [axi_rsp_width-1:0] response;
 reg [axi_rsp_width-1:0] rresp,rdrsp;
 reg [addr_width-1:0] addr;
 reg [max_transfer_bytes_width:0] bytes,tmp_bytes;
 integer trnsfr_bytes;
 reg [(axi_burst_len*data_bus_width)-1:0] rd_data;
 bit [(axi_burst_len*data_bus_width)-1:0] rd_data_tmp;
 reg [(axi_burst_len*data_bus_width)-1:0] rcv_rd_data;
 integer total_rcvd_bytes;
 integer trnsfr_lngth;
 integer i;
 reg [id_bus_width-1:0] rd_id;
 
 reg [axi_size_width-1:0] siz;
 int siz_in_bytes;
 reg [axi_brst_type_width-1:0] burst;
 reg [axi_lock_width-1:0] lck;
 reg [axi_cache_width-1:0] cache;
 reg [axi_prot_width-1:0] prot; 
 
 integer pad_bytes;
 
 begin
 if(!enable_this_port) begin
  $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'read_data' will not be executed...",DISP_VIP, master_name, $time);
  if(STOP_ON_ERROR) $stop;
 end else begin
  addr = start_addr;
  bytes = rd_size;
  rresp = 0;
  total_rcvd_bytes = 0;
  rd_data = 0; 
  rd_data_tmp = 0; 
  rd_id = ID;
 
  siz =  2; 
  burst = 1;
  lck = 0;
  cache = 0;
  prot = 0;
  //pad_bytes = start_addr[f_clogb2(data_bus_width/8)-1:0];
  pad_bytes = start_addr[(f_clogb2(local_data_bus_width/8)-1):0];
 
  if(bytes+ pad_bytes > (axi_burst_len * data_bus_width/8)) begin /// for unaligned address
     trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
     trnsfr_lngth = axi_burst_len-1;
     siz_in_bytes =  (data_bus_width/8); 
  end
  else begin 
     trnsfr_bytes = bytes;
     tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
     if(tmp_bytes%(data_bus_width/8) == 0) begin
        trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
        siz_in_bytes =  (data_bus_width/8); 
	// $display("1 pad_bytes %0d ",pad_bytes);
     end  
     else begin 
        trnsfr_lngth = tmp_bytes/(data_bus_width/8);
        siz_in_bytes =  (data_bus_width/8); 
        // $display("2 pad_bytes %0d ",pad_bytes);
     end
  end
  while (bytes > 0) begin
      case(siz_in_bytes) 
	  1   : siz = 0; 
	  2   : siz = 1; 
	  4   : siz = 2; 
	  8   : siz = 3; 
	  16  : siz = 4; 
	  32  : siz = 5; 
	  64  : siz = 6; 
	  128 : siz = 7; 
	endcase
    read_burst(addr, trnsfr_lngth, siz, burst, lck, cache, prot, rcv_rd_data, rdrsp);
    rd_data_tmp = rcv_rd_data;
    for(i = 0; i < trnsfr_bytes; i = i+1) begin
      //$display($time," 1. rd_data : %0h rcv_rd_data : %0h ",rd_data[255:0],rcv_rd_data[255:0]);
      rd_data = rd_data >> 8;
      //$display($time," 2. rd_data : %0h rcv_rd_data : %0h ",rd_data[255:0],rcv_rd_data[255:0]);
      rd_data[(max_transfer_bytes*8)-1 : (max_transfer_bytes*8)-8] = rcv_rd_data[7:0];
      //$display($time," 3. rd_data : %0h rcv_rd_data : %0h ",rd_data[255:0],rcv_rd_data[255:0]);
      rcv_rd_data =  rcv_rd_data >> 8;
      //$display($time," 4. rd_data : %0h rcv_rd_data : %0h ",rd_data[255:0],rcv_rd_data[255:0]);
      total_rcvd_bytes = total_rcvd_bytes+1;
    end
    bytes = bytes - trnsfr_bytes;
    addr = addr + trnsfr_bytes;
    if(bytes  > (axi_burst_len * data_bus_width/8)) begin
       trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
       trnsfr_lngth = 15;
    end else begin 
       trnsfr_bytes = bytes;
       tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
       if(tmp_bytes%(data_bus_width/8) == 0)
          trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
       else 
          trnsfr_lngth = tmp_bytes/(data_bus_width/8);
    end
    rresp = rresp | rdrsp;
  end /// while 
  //$display($time," Final: rd_data : %0h rcv_rd_data : %0h ",rd_data[255:0],rcv_rd_data[255:0]);
  rd_data =  rd_data >> (max_transfer_bytes - total_rcvd_bytes)*8;
  //$display($time," Final2: rd_data : %0h rcv_rd_data : %0h , rd_data_tmp = %0h",rd_data[255:0],rcv_rd_data[255:0],rd_data_tmp[255:0]);
  //r_data = rd_data;
  r_data = rd_data_tmp;

//  if(DEBUG_INFO) begin
//     $display($time," [read_data]: rd_data : %0h r_data: %0h",rd_data[255:0],r_data[511:0]);
//  end

  response = rresp;
 end
 end
 endtask
 
 
 /* Wait Register Update in PL */
 /* Issue a series of 1 burst length reads until the expected data pattern is received */
 
 task automatic wait_reg_update;
 input [addr_width-1:0] addri;
 input [data_width-1:0] datai;
 input [data_width-1:0] maski;
 input [int_width-1:0] time_interval;
 input [int_width-1:0] time_out;
 output [data_width-1:0] data_o;
 output upd_done;
 
 reg [addr_width-1:0] addr;
 reg [data_width-1:0] data_i;
 reg [data_width-1:0] mask_i;
 integer time_int;
 integer timeout;
 
 reg [axi_rsp_width-1:0] rdrsp;
 reg [id_bus_width-1:0] rd_id;
 reg [axi_size_width-1:0] siz;
 reg [axi_brst_type_width-1:0] burst;
 reg [axi_lock_width-1:0] lck;
 reg [axi_cache_width-1:0] cache;
 reg [axi_prot_width-1:0] prot; 
 reg [data_width-1:0] rcv_data;
 integer trnsfr_lngth; 
 reg rd_loop;
 reg timed_out; 
 integer i;
 integer cycle_cnt;
 
 begin
 addr = addri;
 data_i = datai;
 mask_i = maski;
 time_int = time_interval;
 timeout = time_out;
 timed_out = 0;
 cycle_cnt = 0;
 
 if(!enable_this_port) begin
  $display("ERROR: %0s (%m) :: %0s [%0d] ::: Port is disabled. 'wait_reg_update' will not be executed...",DISP_VIP, master_name, $time);
  upd_done = 0;
  if(STOP_ON_ERROR) $stop;
 end else begin
  rd_id = ID;
  siz =  2; 
  burst = 1;
  lck = 0;
  cache = 0;
  prot = 0;
  trnsfr_lngth = 0;
  rd_loop = 1;
  fork 
   begin
     while(!timed_out & rd_loop) begin
       cycle_cnt = cycle_cnt + 1;
       if(cycle_cnt >= timeout) timed_out = 1;
       @(posedge M_ACLK);
     end
   end
   begin
     while (rd_loop) begin 
      if(DEBUG_INFO)
        $display("[%0d] : %0s : %0s : Reading Register mapped at Address(0x%0h) ",$time, master_name, DISP_INFO, addr); 
      read_burst(addr, trnsfr_lngth, siz, burst, lck, cache, prot, rcv_data, rdrsp);
      if(DEBUG_INFO)
        $display("[%0d] : %0s : %0s : Reading Register returned (0x%0h) ",$time, master_name, DISP_INFO, rcv_data); 
      if(((rcv_data & ~mask_i) === (data_i & ~mask_i)) | timed_out)
        rd_loop = 0;
      else
        repeat(time_int) @(posedge M_ACLK);
     end /// while 
   end 
  join
  data_o = rcv_data & ~mask_i; 
  if(timed_out) begin
    $display("[%0d] : %0s : %0s : 'wait_reg_update' timed out ... Register is not updated ",$time, DISP_ERR, master_name);
    if(STOP_ON_ERROR) $stop;
  end else
    upd_done = 1;
 end
 end
 endtask
 

  /* Set verbosity to be used */
  task automatic set_verbosity;
    input[31:0] verb;
  begin
   if(enable_this_port) begin 
    mst.set_verbosity(verb);
   end  else begin
    if(DEBUG_INFO)
     $display("[%0d] : %0s : %0s : Port is disabled. 'ARQOS' will not be set...",$time, DISP_WARN, master_name);
   end

  end
  endtask



 /* Call to BFM APIs */
 // task automatic read_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,output [(max_data_width*axi_burst_len)-1:0] data, output [(axi_rsp_width*axi_burst_len)-1:0] response);
 //  reg [(axi_burst_len*1)-1:0] ruser;
 //  if(enable_this_port)begin
 //   if(lck !== AXI_NRML)
 //    master.READ_BURST(RD_ID,addr,len,siz,burst,lck,cache,prot,0,0,0,data,response,ruser);
 //   else
 //    master.READ_BURST(RD_ID,addr,len,siz,burst,lck,cache,prot,0,0,0,data,response,ruser);
 //  end else begin
 //    $display("[%0d] : %0s : %0s : Port is disabled. 'read_burst' will not be executed...",$time, DISP_ERR, master_name);
 //    if(STOP_ON_ERROR) $stop;
 //  end
 // endtask 
 // 
 // task automatic write_burst(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(max_data_width*axi_burst_len)-1:0] data,input integer datasize, output [axi_rsp_width-1:0] response);
 //  reg [(axi_burst_len*1)-1:0] buser;
 //  if(enable_this_port)begin
 //   if(lck !== AXI_NRML)
 //    master.WRITE_BURST(WR_ID,addr,len,siz,burst,lck,cache,prot,data,datasize,0,0,0,0,response,buser);
 //   else
 //    master.WRITE_BURST(WR_ID,addr,len,siz,burst,lck,cache,prot,data,datasize,0,0,0,0,response,buser);
 //  end else begin
 //    $display("[%0d] : %0s : %0s : Port is disabled. 'write_burst' will not be executed...",$time, DISP_ERR, master_name);
 //    if(STOP_ON_ERROR) $stop;
 //  end
 // endtask 
 // 
 // task automatic write_burst_concurrent(input [address_bus_width-1:0] addr,input [axi_len_width-1:0] len,input [axi_size_width-1:0] siz,input [axi_brst_type_width-1:0] burst,input [axi_lock_width-1:0] lck,input [axi_cache_width-1:0] cache,input [axi_prot_width-1:0] prot,input [(max_data_width*axi_burst_len)-1:0] data,input integer datasize, output [axi_rsp_width-1:0] response);
 //  reg [(axi_burst_len*1)-1:0] buser;
 //  if(enable_this_port)begin
 //   if(lck !== AXI_NRML)
 //    master.WRITE_BURST_CONCURRENT(WR_ID,addr,len,siz,burst,lck,cache,prot,data,datasize,0,0,0,0,response,buser);
 //   else
 //    master.WRITE_BURST_CONCURRENT(WR_ID,addr,len,siz,burst,lck,cache,prot,data,datasize,0,0,0,0,response,buser);
 //  end else begin
 //    $display("[%0d] : %0s : %0s : Port is disabled. 'write_burst_concurrent' will not be executed...",$time, DISP_ERR, master_name);
 //    if(STOP_ON_ERROR) $stop;
 //  end
 // endtask 
 // 
 // /* local */
 // function automatic[id_bus_width-1:0] get_id;
 // input dummy; 
 // begin
 //  case(use_id_no)
 //   0 : get_id = 16'h0C00;   
 //   1 : get_id = 16'h0D00;    
 //   2 : get_id = 16'h0D80;  
 //   3 : get_id = 16'h0E00;  
 //   4 : get_id = 16'h0E80;  
 //   5 : get_id = 16'h0F00;    
 //   6 : get_id = 16'h0F80;    
 //   7 : get_id = 16'h0C10;   
 //   8 : get_id = 16'h0D10;    
 //   9 : get_id = 16'h0D90;   
 //  10 : get_id = 16'h0E10;   
 //  11 : get_id = 16'h0E90;   
 //  12 : get_id = 16'h0F10;    
 //  13 : get_id = 16'h0F90;   
 //  endcase
 //  if(use_id_no == 13)
 //   use_id_no = 0;
 //  else
 //   use_id_no = use_id_no+1;
 // end
 // endfunction
 // 
 // /* Write data from file */
 // task automatic write_from_file;
 // input [(max_chars*8)-1:0] file_name;
 // input [addr_width-1:0] start_addr;
 // input [int_width-1:0] wr_size;
 // output [axi_rsp_width-1:0] response;
 // reg [axi_rsp_width-1:0] wresp,rwrsp;
 // reg [addr_width-1:0] addr;
 // reg [(axi_burst_len*data_bus_width)-1 : 0] wr_data;
 // integer bytes;
 // integer trnsfr_bytes;
 // integer wr_fd;
 // integer succ;
 // integer trnsfr_lngth;
 // reg concurrent; 
 // 
 // reg [id_bus_width-1:0] wr_id;
 // reg [axi_size_width-1:0] siz;
 // reg [axi_brst_type_width-1:0] burst;
 // reg [axi_lock_width-1:0] lck;
 // reg [axi_cache_width-1:0] cache;
 // reg [axi_prot_width-1:0] prot; 
 //  reg [(axi_burst_len*1)-1:0] buser;
 // begin
 // if(!enable_this_port) begin
 //  $display("[%0d] : %0s : %0s : Port is disabled. 'write_from_file' will not be executed...",$time, DISP_ERR, master_name);
 //  if(STOP_ON_ERROR) $stop;
 // end else begin
 //  if (data_bus_width == 128) 
 //    siz =  4;
 //  else if (data_bus_width == 64)
 //    siz =  3;
 //  else if (data_bus_width == 32)
 //    siz =  2;
 //  burst = 1;
 //  lck = 0;
 //  cache = 0;
 //  prot = 0;
 // 
 //  addr = start_addr;
 //  bytes = wr_size;
 //  wresp = 0;
 //  concurrent = $random; 
 //  if(bytes > (axi_burst_len * data_bus_width/8))
 //   trnsfr_bytes = (axi_burst_len * data_bus_width/8);
 //  else
 //   trnsfr_bytes = bytes;
 //  
 //  if(bytes > (axi_burst_len * data_bus_width/8))
 //   trnsfr_lngth = axi_burst_len-1;
 //  else if(bytes%(data_bus_width/8) == 0)
 //   trnsfr_lngth = bytes/(data_bus_width/8) - 1;
 //  else 
 //   trnsfr_lngth = bytes/(data_bus_width/8);
 //  
 //  wr_id = WR_ID;
 //  wr_fd = $fopen(file_name,"r");
 //  
 //  while (bytes > 0) begin
 //    repeat(axi_burst_len*(data_bus_width/32)) begin /// get the data for 1 AXI burst transaction
 //     wr_data = wr_data >> 32;
 //     succ = $fscanf(wr_fd,"%h",wr_data[(axi_burst_len*data_bus_width)-1 :(axi_burst_len*data_bus_width)-32 ]); /// write as 4 bytes (data_bus_width) ..
 //    end
 //    if(concurrent)
 //     master.WRITE_BURST_CONCURRENT(wr_id, addr, trnsfr_lngth, siz, burst, lck, cache, prot, wr_data, trnsfr_bytes, 0,0,0,0,rwrsp,buser);
 //    else
 //     master.WRITE_BURST(wr_id, addr, trnsfr_lngth, siz, burst, lck, cache, prot, wr_data, trnsfr_bytes, 0,0,0,0,rwrsp,buser);
 //    bytes = bytes - trnsfr_bytes;
 //    addr = addr + trnsfr_bytes;
 //    if(bytes >= (axi_burst_len * data_bus_width/8) )
 //     trnsfr_bytes = (axi_burst_len * data_bus_width/8); //
 //    else
 //     trnsfr_bytes = bytes;
 //  
 //    if(bytes > (axi_burst_len * data_bus_width/8))
 //     trnsfr_lngth = axi_burst_len-1;
 //    else if(bytes%(data_bus_width/8) == 0)
 //     trnsfr_lngth = bytes/(data_bus_width/8) - 1;
 //    else 
 //     trnsfr_lngth = bytes/(data_bus_width/8);
 //  
 //    wresp = wresp | rwrsp;
 //  end /// while 
 //  response = wresp;
 // end
 // end
 // endtask
 // 
 // /* Read data to file */
 // task automatic read_to_file;
 // input [(max_chars*8)-1:0] file_name;
 // input [addr_width-1:0] start_addr;
 // input [int_width-1:0] rd_size;
 // output [axi_rsp_width-1:0] response;
 // reg [axi_rsp_width-1:0] rresp, rrrsp;
 // reg [addr_width-1:0] addr;
 // integer bytes;
 // integer trnsfr_lngth;
 // reg [(axi_burst_len*data_bus_width)-1 :0] rd_data;
 // integer rd_fd;
 // reg [id_bus_width-1:0] rd_id;
 // 
 // reg [axi_size_width-1:0] siz;
 // reg [axi_brst_type_width-1:0] burst;
 // reg [axi_lock_width-1:0] lck;
 // reg [axi_cache_width-1:0] cache;
 // reg [axi_prot_width-1:0] prot; 
 // reg [(axi_burst_len*1)-1:0] ruser;
 // begin
 // if(!enable_this_port) begin
 //  $display("[%0d] : %0s : %0s : Port is disabled. 'read_to_file' will not be executed...",$time, DISP_ERR, master_name);
 //  if(STOP_ON_ERROR) $stop;
 // end else begin
 //  if (data_bus_width == 128) 
 //    siz =  4;
 //  else if (data_bus_width == 64)
 //    siz =  3;
 //  else if (data_bus_width == 32)
 //    siz =  2;
 //   burst = 1;
 //   lck = 0;
 //   cache = 0;
 //   prot = 0;
 // 
 //   addr = start_addr;
 //   rresp = 0;
 //   bytes = rd_size;
 //   
 //   rd_id = RD_ID;
 //   
 //   if(bytes > (axi_burst_len * data_bus_width/8))
 //    trnsfr_lngth = axi_burst_len-1;
 //   else if(bytes%(data_bus_width/8) == 0)
 //    trnsfr_lngth = bytes/(data_bus_width/8) - 1;
 //   else 
 //    trnsfr_lngth = bytes/(data_bus_width/8);
 //  
 //   rd_fd = $fopen(file_name,"w");
 //   
 //   while (bytes > 0) begin
 //     master.READ_BURST(rd_id, addr, trnsfr_lngth, siz, burst, lck, cache, prot, 0,0,0,rd_data, rrrsp,ruser);
 //     repeat((trnsfr_lngth+1)*(data_bus_width/32)) begin
 //      $fdisplayh(rd_fd,rd_data[31:0]);
 //      rd_data = rd_data >> 32;
 //     end
 //     
 //     addr = addr + (trnsfr_lngth+1)*4;
 // 
 //     if(bytes >= (axi_burst_len * data_bus_width/8) )
 //      bytes = bytes - (axi_burst_len * data_bus_width/8); //
 //     else
 //      bytes = 0;
 //  
 //     if(bytes > (axi_burst_len * data_bus_width/8))
 //      trnsfr_lngth = axi_burst_len-1;
 //     else if(bytes%(data_bus_width/8) == 0)
 //      trnsfr_lngth = bytes/(data_bus_width/8) - 1;
 //     else 
 //      trnsfr_lngth = bytes/(data_bus_width/8);
 // 
 //     rresp = rresp | rrrsp;
 //   end /// while 
 //   response = rresp;
 // end
 // end
 // endtask
 // 
 // /* Write data (used for transfer size <= 128 Bytes */
 // task automatic write_data;
 // input [addr_width-1:0] start_addr;
 // input [max_transfer_bytes_width:0] wr_size;
 // input [(max_transfer_bytes*8)-1:0] w_data;
 // output [axi_rsp_width-1:0] response;
 // reg [axi_rsp_width-1:0] wresp,rwrsp;
 // reg [addr_width-1:0] addr;
 // reg [7:0] bytes,tmp_bytes;
 // integer trnsfr_bytes;
 // reg [(max_transfer_bytes*8)-1:0] wr_data;
 // integer trnsfr_lngth;
 // reg concurrent; 
 // 
 // reg [id_bus_width-1:0] wr_id;
 // reg [axi_size_width-1:0] siz;
 // reg [axi_brst_type_width-1:0] burst;
 // reg [axi_lock_width-1:0] lck;
 // reg [axi_cache_width-1:0] cache;
 // reg [axi_prot_width-1:0] prot; 
 //  reg [(axi_burst_len*1)-1:0] buser;
 // 
 // integer pad_bytes;
 // begin
 // if(!enable_this_port) begin
 //  $display("[%0d] : %0s : %0s : Port is disabled. 'write_data' will not be executed...",$time, DISP_ERR, master_name);
 //  if(STOP_ON_ERROR) $stop;
 // end else begin
 //  addr = start_addr;
 //  bytes = wr_size;
 //  wresp = 0;
 //  wr_data = w_data;
 //  concurrent = $random; 
 //  if (data_bus_width == 128)
 //    siz =  4;
 //  else if (data_bus_width == 64)
 //    siz =  3;
 //  else if (data_bus_width == 32)
 //    siz =  2;
 //  burst = 1;
 //  lck = 0;
 //  cache = 0;
 //  prot = 0;
 //  pad_bytes = start_addr[f_clogb2(data_bus_width/8)-1:0];
 //  wr_id = WR_ID;
 //  if(bytes+pad_bytes > (data_bus_width/8*axi_burst_len)) begin /// for unaligned address
 //    trnsfr_bytes = (data_bus_width*axi_burst_len)/8 - pad_bytes;//start_addr[1:0]; 
 //    trnsfr_lngth = axi_burst_len-1;
 //  end else begin 
 //    trnsfr_bytes = bytes;
 //    tmp_bytes   = bytes + pad_bytes;//start_addr[1:0];
 //    if(tmp_bytes%(data_bus_width/8) == 0)
 //      trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
 //    else 
 //      trnsfr_lngth = tmp_bytes/(data_bus_width/8);
 //  end
 // 
 //  while (bytes > 0) begin
 //    if(concurrent)
 //     master.WRITE_BURST_CONCURRENT(wr_id, addr, trnsfr_lngth,  siz, burst, lck, cache, prot, wr_data[(axi_burst_len*data_bus_width)-1:0], trnsfr_bytes, 0,0,0,0,rwrsp,buser);
 //    else
 //     master.WRITE_BURST(wr_id, addr, trnsfr_lngth,  siz, burst, lck, cache, prot, wr_data[(axi_burst_len*data_bus_width)-1:0], trnsfr_bytes, 0,0,0,0,rwrsp,buser);
 //    wr_data = wr_data >> (trnsfr_bytes*8);
 //    bytes = bytes - trnsfr_bytes;
 //    addr = addr + trnsfr_bytes;
 //    if(bytes  > (axi_burst_len * data_bus_width/8)) begin
 //     trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
 //     trnsfr_lngth = axi_burst_len-1;
 //    end else begin 
 //      trnsfr_bytes = bytes;
 //      tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
 //      if(tmp_bytes%(data_bus_width/8) == 0)
 //        trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
 //      else 
 //        trnsfr_lngth = tmp_bytes/(data_bus_width/8);
 //    end
 //    wresp = wresp | rwrsp;
 //  end /// while 
 //  response = wresp;
 // end
 // end
 // endtask
 // 
 // /* Read data (used for transfer size <= 128 Bytes */
 // task automatic read_data;
 // input [addr_width-1:0] start_addr;
 // input [max_transfer_bytes_width:0] rd_size;
 // output [(max_transfer_bytes*8)-1:0] r_data;
 // output [axi_rsp_width-1:0] response;
 // reg [axi_rsp_width-1:0] rresp,rdrsp;
 // reg [addr_width-1:0] addr;
 // reg [max_transfer_bytes_width:0] bytes,tmp_bytes;
 // integer trnsfr_bytes;
 // reg [(max_transfer_bytes*8)-1 : 0] rd_data;
 // reg [(axi_burst_len*data_bus_width)-1:0] rcv_rd_data;
 // integer total_rcvd_bytes;
 // integer trnsfr_lngth;
 // integer i;
 // reg [id_bus_width-1:0] rd_id;
 // 
 // reg [axi_size_width-1:0] siz;
 // reg [axi_brst_type_width-1:0] burst;
 // reg [axi_lock_width-1:0] lck;
 // reg [axi_cache_width-1:0] cache;
 // reg [axi_prot_width-1:0] prot; 
 // reg [(axi_burst_len*1)-1:0] ruser;
 // 
 // integer pad_bytes;
 // 
 // begin
 // if(!enable_this_port) begin
 //  $display("[%0d] : %0s : %0s : Port is disabled. 'read_data' will not be executed...",$time, DISP_ERR, master_name);
 //  if(STOP_ON_ERROR) $stop;
 // end else begin
 //  addr = start_addr;
 //  bytes = rd_size;
 //  rresp = 0;
 //  total_rcvd_bytes = 0;
 //  rd_data = 0; 
 //  rd_id = RD_ID;
 // 
 //  if (data_bus_width == 128) 
 //    siz =  4;
 //  else if (data_bus_width == 64)
 //    siz =  3;
 //  else if (data_bus_width == 32)
 //    siz =  2;
 //  burst = 1;
 //  lck = 0;
 //  cache = 0;
 //  prot = 0;
 //  pad_bytes = start_addr[f_clogb2(data_bus_width/8)-1:0];
 // 
 //  if(bytes+ pad_bytes > (axi_burst_len * data_bus_width/8)) begin /// for unaligned address
 //    trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
 //    trnsfr_lngth = axi_burst_len-1;
 //  end else begin 
 //    trnsfr_bytes = bytes;
 //    tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
 //    if(tmp_bytes%(data_bus_width/8) == 0)
 //      trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
 //    else 
 //      trnsfr_lngth = tmp_bytes/(data_bus_width/8);
 //  end
 //  while (bytes > 0) begin
 //    master.READ_BURST(rd_id,addr, trnsfr_lngth, siz, burst, lck, cache, prot, 0,0,0, rcv_rd_data, rdrsp,ruser);
 //    for(i = 0; i < trnsfr_bytes; i = i+1) begin
 //      rd_data = rd_data >> 8;
 //      rd_data[(max_transfer_bytes*8)-1 : (max_transfer_bytes*8)-8] = rcv_rd_data[7:0];
 //      rcv_rd_data =  rcv_rd_data >> 8;
 //      total_rcvd_bytes = total_rcvd_bytes+1;
 //    end
 //    bytes = bytes - trnsfr_bytes;
 //    addr = addr + trnsfr_bytes;
 //    if(bytes  > (axi_burst_len * data_bus_width/8)) begin
 //     trnsfr_bytes = (axi_burst_len * data_bus_width/8) - pad_bytes;//start_addr[1:0]; 
 //     trnsfr_lngth = 15;
 //    end else begin 
 //      trnsfr_bytes = bytes;
 //      tmp_bytes = bytes + pad_bytes;//start_addr[1:0];
 //      if(tmp_bytes%(data_bus_width/8) == 0)
 //        trnsfr_lngth = tmp_bytes/(data_bus_width/8) - 1;
 //      else 
 //        trnsfr_lngth = tmp_bytes/(data_bus_width/8);
 //    end
 //    rresp = rresp | rdrsp;
 //  end /// while 
 //  rd_data =  rd_data >> (max_transfer_bytes - total_rcvd_bytes)*8;
 //  r_data = rd_data;
 //  response = rresp;
 // end
 // end
 // endtask
 // 
 // 
 // /* Wait Register Update in PL */
 // /* Issue a series of 1 burst length reads until the expected data pattern is received */
 // 
 // task automatic wait_reg_update;
 // input [addr_width-1:0] addri;
 // input [data_width-1:0] datai;
 // input [data_width-1:0] maski;
 // input [int_width-1:0] time_interval;
 // input [int_width-1:0] time_out;
 // output [data_width-1:0] data_o;
 // output upd_done;
 // 
 // reg [addr_width-1:0] addr;
 // reg [data_width-1:0] data_i;
 // reg [data_width-1:0] mask_i;
 // integer time_int;
 // integer timeout;
 // 
 // reg [axi_rsp_width-1:0] rdrsp;
 // reg [id_bus_width-1:0] rd_id;
 // reg [axi_size_width-1:0] siz;
 // reg [axi_brst_type_width-1:0] burst;
 // reg [axi_lock_width-1:0] lck;
 // reg [axi_cache_width-1:0] cache;
 // reg [axi_prot_width-1:0] prot; 
 // reg [data_width-1:0] rcv_data;
 // integer trnsfr_lngth; 
 // reg rd_loop;
 // reg timed_out; 
 // integer i;
 // integer cycle_cnt;
 // reg [(axi_burst_len*1)-1:0] ruser;
 // 
 // begin
 // addr = addri;
 // data_i = datai;
 // mask_i = maski;
 // time_int = time_interval;
 // timeout = time_out;
 // timed_out = 0;
 // cycle_cnt = 0;
 // 
 // if(!enable_this_port) begin
 //  $display("[%0d] : %0s : %0s : Port is disabled. 'wait_reg_update' will not be executed...",$time, DISP_ERR, master_name);
 //  upd_done = 0;
 //  if(STOP_ON_ERROR) $stop;
 // end else begin
 //  rd_id = RD_ID;
 //  siz =  2; 
 //  burst = 1;
 //  lck = 0;
 //  cache = 0;
 //  prot = 0;
 //  trnsfr_lngth = 0;
 //  rd_loop = 1;
 //  fork 
 //   begin
 //     while(!timed_out & rd_loop) begin
 //       cycle_cnt = cycle_cnt + 1;
 //       if(cycle_cnt >= timeout) timed_out = 1;
 //       @(posedge M_ACLK);
 //     end
 //   end
 //   begin
 //     while (rd_loop) begin 
 //      if(DEBUG_INFO)
 //        $display("[%0d] : %0s : %0s : Reading Register mapped at Address(0x%0h) ",$time, master_name, DISP_INFO, addr); 
 //      master.READ_BURST(rd_id,addr, trnsfr_lngth, siz, burst, lck, cache, prot, 0,0,0, rcv_data, rdrsp,ruser);
 //      if(DEBUG_INFO)
 //        $display("[%0d] : %0s : %0s : Reading Register returned (0x%0h) ",$time, master_name, DISP_INFO, rcv_data); 
 //      if(((rcv_data & ~mask_i) === (data_i & ~mask_i)) | timed_out)
 //        rd_loop = 0;
 //      else
 //        repeat(time_int) @(posedge M_ACLK);
 //     end /// while 
 //   end 
 //  join
 //  data_o = rcv_data & ~mask_i; 
 //  if(timed_out) begin
 //    $display("[%0d] : %0s : %0s : 'wait_reg_update' timed out ... Register is not updated ",$time, DISP_ERR, master_name);
 //    if(STOP_ON_ERROR) $stop;
 //  end else
 //    upd_done = 1;
 // end
 // end
 // endtask

endmodule


// ============================================================================
// XILINX custom address decoder for CCI500
// - Combinatorial transaction address decode
// ============================================================================

module versal_cips_ps_vip_cci_address_decode #(parameter
  ADDR_WIDTH       = 44,  // Width of the physical address
  ADDRMAP_WIDTH    = 27,  // Must be 27 for the example address map
  NUM_MI           =  6,  // Total number of master interfaces
  NUM_MI_MEM       =  4,  // Number of memory master interfaces
  SI_NUMBER        =  0,  // Indicates the slave interface number this decoder is connected to
  WRITE_NOT_READ   =  0   // Indicates whether this is a read or write address decoder, high for write
) (
// ACS_off LSB_NON_ZERO Indicates which bits of whole address field are used
  input  wire [ADDR_WIDTH-1:7]     addr_i,      // input address
  input  wire [ADDRMAP_WIDTH-1:0]  addrmap_in,   // configuration input, sampled at reset
  input  wire [2:0]                config_in,   // configuration input, sampled at reset
  input  wire [1:0]                rsvd_i,      // reserved, do not use this input
  output wire [NUM_MI-1:0]         route_z1h_o, // decode output: 1-hot for a valid address, 0 for an invalid address
  output wire                      decerr_o     // set to 1 for an invalid address
);


  // ===================================================================================================================================
  // Decode regions
  // Decode the PCIe/DDR/RESERVED areas. The rest will be sent to core switch
  // ===================================================================================================================================
    wire[4:0] err_region;
    wire[5:0] ddr_region;
    wire[2:0] pci_region;
	reg[25:0] addrmap_i;

//initial begin
 always @(config_in) begin
 case(config_in)
   3'b000  : begin
    addrmap_i = {3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,1'b0};
   end
   3'b001  : begin
    addrmap_i = {3'b001,1'b0,3'b001,1'b0,3'b001,1'b0,3'b001,1'b0,3'b001,1'b0,3'b001,1'b0,1'b0};
   end
   3'b010  : begin
    addrmap_i = {3'b010,1'b0,3'b010,1'b0,3'b010,1'b0,3'b010,1'b0,3'b010,1'b0,3'b010,1'b0,1'b0};
   end
   3'b011  : begin
    addrmap_i = {3'b011,1'b0,3'b011,1'b0,3'b011,1'b0,3'b011,1'b0,3'b011,1'b0,3'b011,1'b0,1'b0};
   end
   3'b100  : begin
    addrmap_i = {3'b100,1'b0,3'b100,1'b0,3'b100,1'b0,3'b100,1'b0,3'b100,1'b0,3'b100,1'b0,1'b0};
   end
   3'b101  : begin
    addrmap_i = {3'b101,1'b0,3'b101,1'b0,3'b101,1'b0,3'b101,1'b0,3'b101,1'b0,3'b101,1'b0,1'b0};
   end
   default : begin
    addrmap_i = {3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,3'b000,1'b0,1'b0};
   end
 endcase  
 end


    // PCIe SPACE DECODE
    assign pci_region[0] = (addr_i[ADDR_WIDTH-1:32] == {(ADDR_WIDTH-32){1'b0}}) & (addr_i[31:28] == 4'hE);
  //  assign pci_region[1] = (addr_i[ADDR_WIDTH-1:35] == {(ADDR_WIDTH-35){1'b0}}) & ((addr_i[34:32] == 3'b110) | (addr_i[34:32] == 3'b111));
    assign pci_region[1] = (addr_i[ADDR_WIDTH-1:35] == {(ADDR_WIDTH-35){1'b0}}) & (addr_i[34:33] == 2'b11);
    assign pci_region[2] = (addr_i[ADDR_WIDTH-1:40] == {(ADDR_WIDTH-40){1'b0}}) & (addr_i[39:38] == 2'b10);

    
   
    // RESERVED SPACE DECODE - results in decerr response
    assign err_region[0] = (addr_i[ADDR_WIDTH-1:32] == {(ADDR_WIDTH-32){1'b0}}) & ((addr_i[31:28] == 4'hA) & !(|addr_i[27:26])); 

    assign err_region[1] = (addr_i[ADDR_WIDTH-1:32] == {(ADDR_WIDTH-32){1'b0}}) & ((addr_i[31:28] == 4'hF) & 
	                                                                         (((addr_i[27:24] == 4'h9) & (addr_i[23:20] != 4'h0)) |
										   (addr_i[27:24] == 4'hA)));

    assign err_region[2] = (addr_i[ADDR_WIDTH-1:33] == {(ADDR_WIDTH-33){1'b0}}) & (addr_i[32]== 1'b1) & |(addr_i[31:29]);
    //assign err_region[2] = (addr_i[ADDR_WIDTH-1:34] == {(ADDR_WIDTH-34){1'b0}}) & |(addr_i[33:32]);
    assign err_region[3] = (addr_i[ADDR_WIDTH-1:34] == {(ADDR_WIDTH-34){1'b0}}) & (addr_i[33:32]==2'b11);

    assign err_region[4] = (addr_i[ADDR_WIDTH-1:39] == {(ADDR_WIDTH-39){1'b0}}) & (addr_i[38:36] != 3'd0);

    // Let the NMU decode this - add to ddr region 2. Better for timing.
    ////assign err_region[4] = (addr_i[ADDR_WIDTH-1:40] == {{(ADDR_WIDTH-41){1'b0}}, 1'b1}) & ((&addr_i[40:38]) | (addr_i[40:31] == 10'h36F) | (addr_i[40:35] == 6'h37));


    // DDR/NoC SPACE DECODE
    assign ddr_region[0] =  (addr_i[ADDR_WIDTH-1:31] == {(ADDR_WIDTH-31){1'b0}});

    assign ddr_region[1] = (addr_i[ADDR_WIDTH-1:33] == {(ADDR_WIDTH-33){1'b0}}) & ((addr_i[32] == 1'b1) & (addr_i[31:29] == 3'b0));

    assign ddr_region[2] = (addr_i[ADDR_WIDTH-1:34] == {(ADDR_WIDTH-34){1'b0}}) & (addr_i[33:32] == 2'b10);

    assign ddr_region[3] = (addr_i[ADDR_WIDTH-1:36] == {(ADDR_WIDTH-36){1'b0}}) & (addr_i[35] == 1'b1);

    // Combine region 2,3 since NMU does decode of reserved space on our behalf. Will give better timing. Updating Decoder logic due to EDT-985044
 // assign ddr_region[4] = (addr_i[ADDR_WIDTH-1:42] == {(ADDR_WIDTH-42){1'b0}}) & (|(addr_i[41:40]) | (addr_i[41:38] == 4'h3));
    assign ddr_region[4] = (addr_i[ADDR_WIDTH-1:41] == {(ADDR_WIDTH-41){1'b0}}) & ((addr_i[40]) | (addr_i[39:38] == 2'h3));

    assign ddr_region[5] = addr_i[43] | (addr_i[42] & (|addr_i[41:40]));

//Updating Decoder logic due to EDT-985044
    assign ddr_region_m2_m4 = (addr_i[ADDR_WIDTH-1:42] == {(ADDR_WIDTH-42){1'b0}}) & (addr_i[41:40] == 2'b10);
    assign ddr_region_m3_m5 = (addr_i[ADDR_WIDTH-1:42] == {(ADDR_WIDTH-42){1'b0}}) & (addr_i[41:40] == 2'b11);


  // ===================================================================================================================================
  // Consolidate on 4 decode regions.
  // Decode PCI, DDR and ERR regions explicitly. All the rest goes to "SYS" (core switch)
  // ===================================================================================================================================
  wire dec_is_pci = |pci_region;
  wire dec_is_ddr = |ddr_region;
  wire dec_is_err = |err_region;
  wire dec_is_sys = !(|{dec_is_pci, dec_is_ddr, dec_is_err,ddr_region_m2_m4,ddr_region_m3_m5});

  wire ax_m0 = dec_is_sys;
  wire ax_m1 = dec_is_pci;

  assign decerr_o = dec_is_err;

  // ===================================================================================================================================
  // DDR/NOC Striping decisions
  // ===================================================================================================================================
  wire [2:0] stripe_resolution [0:6];
  wire       stripe_m2m3 [0:6];
  wire       stripe_m4m5 [0:5];

  // Figure out Stripe bits encoding
  wire stripe_all = ~addrmap_i[0] ;

  assign stripe_m2m3[0] = (!stripe_all & ~addrmap_i[1]);
  assign stripe_m2m3[1] = (!stripe_all & ~addrmap_i[5]);
  assign stripe_m2m3[2] = (!stripe_all & ~addrmap_i[9]);
  assign stripe_m2m3[3] = (!stripe_all & ~addrmap_i[13]);
  assign stripe_m2m3[4] = (!stripe_all & ~addrmap_i[17]);
  assign stripe_m2m3[5] = (!stripe_all & ~addrmap_i[21]);
  assign stripe_m2m3[6] = (!stripe_all & ~addrmap_i[1]);

  assign stripe_m4m5[0] = (!stripe_all &  addrmap_i[1]);
  assign stripe_m4m5[1] = (!stripe_all &  addrmap_i[5]);
  assign stripe_m4m5[2] = (!stripe_all &  addrmap_i[9]);
  assign stripe_m4m5[3] = (!stripe_all &  addrmap_i[13]);
  assign stripe_m4m5[4] = (!stripe_all &  addrmap_i[17]);
  assign stripe_m4m5[5] = (!stripe_all &  addrmap_i[21]);
  
  assign stripe_resolution[0] = {addrmap_i[4:2]};
  assign stripe_resolution[1] = {addrmap_i[8:6]};
  assign stripe_resolution[2] = {addrmap_i[12:10]};
  assign stripe_resolution[3] = {addrmap_i[16:14]};
  assign stripe_resolution[4] = {addrmap_i[20:18]};
  assign stripe_resolution[5] = {addrmap_i[24:22]};
  assign stripe_resolution[6] = {addrmap_i[4:2]};
  
  reg ax_ddr0_stripe;
  reg ax_ddr1_stripe;
  reg ax_ddr2_stripe;
  reg ax_ddr3_stripe;

  always_comb
    begin
      if (stripe_all)
        begin
	  case (stripe_resolution[SI_NUMBER])
	  // case (config_in)
	    // 4KB
	    3'b000  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[13:12] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[13:12] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[13:12] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[13:12] == 2'b11)); 
		      end
	    // 2KB
	    3'b001  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[12:11] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[12:11] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[12:11] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[12:11] == 2'b11)); 
		      end
	    // 1KB
	    3'b010  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[11:10] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[11:10] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[11:10] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[11:10] == 2'b11)); 
		      end
	    // 512
	    3'b011  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[10:9] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[10:9] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[10:9] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[10:9] == 2'b11)); 
		      end       
	    // 256
	    3'b100  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[9:8] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[9:8] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[9:8] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[9:8] == 2'b11)); 
		      end
	    // 128
	    3'b101  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[8:7] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[8:7] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[8:7] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[8:7] == 2'b11)); 
		      end
	    default : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[13:12] == 2'b00)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[13:12] == 2'b01)) | ddr_region_m3_m5); 
	                ax_ddr2_stripe = (dec_is_ddr & (addr_i[13:12] == 2'b10)); 
	                ax_ddr3_stripe = (dec_is_ddr & (addr_i[13:12] == 2'b11)); 
                      end
	  endcase
	end

      else if (stripe_m2m3[SI_NUMBER])
        begin
	  ax_ddr2_stripe = 0;
	  ax_ddr3_stripe = 0;
	  case (stripe_resolution[SI_NUMBER])
	    // 4KB
	    3'b000  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[12] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[12] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 2KB
	    3'b001  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[11] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[11] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 1KB
	    3'b010  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[10] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[10] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 512
	    3'b011  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[9] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[9] == 1'b1)) | ddr_region_m3_m5); 
		      end       
	    // 256
	    3'b100  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[8] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[8] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 128
	    3'b101  : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[7] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[7] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    default : begin
	                ax_ddr0_stripe = ((dec_is_ddr & (addr_i[12] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr1_stripe = ((dec_is_ddr & (addr_i[12] == 1'b1)) | ddr_region_m3_m5); 
                      end
	  endcase
        end

      else // stripe_m4m5
        begin
	  ax_ddr0_stripe = 0;
	  ax_ddr1_stripe = 0;
	  case (stripe_resolution[SI_NUMBER])
	    // 4KB
	    3'b000  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[12] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[12] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 2KB
	    3'b001  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[11] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[11] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 1KB
	    3'b010  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[10] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[10] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 512
	    3'b011  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[9] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[9] == 1'b1)) | ddr_region_m3_m5); 
		      end       
	    // 256
	    3'b100  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[8] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[8] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    // 128
	    3'b101  : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[7] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[7] == 1'b1)) | ddr_region_m3_m5); 
		      end
	    default : begin
	                ax_ddr2_stripe = ((dec_is_ddr & (addr_i[12] == 1'b0)) | ddr_region_m2_m4); 
	                ax_ddr3_stripe = ((dec_is_ddr & (addr_i[12] == 1'b1)) | ddr_region_m3_m5); 
                      end
	  endcase
        end

    end


  assign route_z1h_o = {ax_ddr3_stripe, ax_ddr2_stripe, ax_ddr1_stripe, ax_ddr0_stripe, ax_m1, ax_m0}; 


endmodule


`timescale 1 ps / 1 ps

module versal_cips_ps_vip_v1_0_11_mux_design
   (AFI_API_araddr,
    AFI_API_arburst,
    AFI_API_arcache,
    AFI_API_arid,
    AFI_API_arlen,
    AFI_API_arlock,
    AFI_API_arprot,
    AFI_API_arqos,
    AFI_API_arready,
    AFI_API_arsize,
    AFI_API_aruser,
    AFI_API_arvalid,
    AFI_API_awaddr,
    AFI_API_awburst,
    AFI_API_awcache,
    AFI_API_awid,
    AFI_API_awlen,
    AFI_API_awlock,
    AFI_API_awprot,
    AFI_API_awqos,
    AFI_API_awready,
    AFI_API_awsize,
    AFI_API_awuser,
    AFI_API_awvalid,
    AFI_API_bid,
    AFI_API_bready,
    AFI_API_bresp,
    AFI_API_buser,
    AFI_API_bvalid,
    AFI_API_rdata,
    AFI_API_rid,
    AFI_API_rlast,
    AFI_API_rready,
    AFI_API_rresp,
    AFI_API_ruser,
    AFI_API_rvalid,
    AFI_API_wdata,
    AFI_API_wlast,
    AFI_API_wready,
    AFI_API_wstrb,
    AFI_API_wuser,
    AFI_API_wvalid,
    IFCPMPSAXI0_araddr,
    IFCPMPSAXI0_arburst,
    IFCPMPSAXI0_arcache,
    IFCPMPSAXI0_arid,
    IFCPMPSAXI0_arlen,
    IFCPMPSAXI0_arlock,
    IFCPMPSAXI0_arprot,
    IFCPMPSAXI0_arqos,
    IFCPMPSAXI0_arready,
    IFCPMPSAXI0_arsize,
    IFCPMPSAXI0_aruser,
    IFCPMPSAXI0_arvalid,
    IFCPMPSAXI0_awaddr,
    IFCPMPSAXI0_awburst,
    IFCPMPSAXI0_awcache,
    IFCPMPSAXI0_awid,
    IFCPMPSAXI0_awlen,
    IFCPMPSAXI0_awlock,
    IFCPMPSAXI0_awprot,
    IFCPMPSAXI0_awqos,
    IFCPMPSAXI0_awready,
    IFCPMPSAXI0_awsize,
    IFCPMPSAXI0_awuser,
    IFCPMPSAXI0_awvalid,
    IFCPMPSAXI0_bid,
    IFCPMPSAXI0_bready,
    IFCPMPSAXI0_bresp,
    IFCPMPSAXI0_buser,
    IFCPMPSAXI0_bvalid,
    IFCPMPSAXI0_rdata,
    IFCPMPSAXI0_rid,
    IFCPMPSAXI0_rlast,
    IFCPMPSAXI0_rready,
    IFCPMPSAXI0_rresp,
    IFCPMPSAXI0_ruser,
    IFCPMPSAXI0_rvalid,
    IFCPMPSAXI0_wdata,
    IFCPMPSAXI0_wlast,
    IFCPMPSAXI0_wready,
    IFCPMPSAXI0_wstrb,
    IFCPMPSAXI0_wuser,
    IFCPMPSAXI0_wvalid,
    IFCPMPSAXI0_wid,
    IFCPMPSAXI1_araddr,
    IFCPMPSAXI1_arburst,
    IFCPMPSAXI1_arcache,
    IFCPMPSAXI1_arid,
    IFCPMPSAXI1_arlen,
    IFCPMPSAXI1_arlock,
    IFCPMPSAXI1_arprot,
    IFCPMPSAXI1_arqos,
    IFCPMPSAXI1_arready,
    IFCPMPSAXI1_arsize,
    IFCPMPSAXI1_aruser,
    IFCPMPSAXI1_arvalid,
    IFCPMPSAXI1_awaddr,
    IFCPMPSAXI1_awburst,
    IFCPMPSAXI1_awcache,
    IFCPMPSAXI1_awid,
    IFCPMPSAXI1_awlen,
    IFCPMPSAXI1_awlock,
    IFCPMPSAXI1_awprot,
    IFCPMPSAXI1_awqos,
    IFCPMPSAXI1_awready,
    IFCPMPSAXI1_awsize,
    IFCPMPSAXI1_awuser,
    IFCPMPSAXI1_awvalid,
    IFCPMPSAXI1_bid,
    IFCPMPSAXI1_bready,
    IFCPMPSAXI1_bresp,
    IFCPMPSAXI1_buser,
    IFCPMPSAXI1_bvalid,
    IFCPMPSAXI1_rdata,
    IFCPMPSAXI1_rid,
    IFCPMPSAXI1_rlast,
    IFCPMPSAXI1_rready,
    IFCPMPSAXI1_rresp,
    IFCPMPSAXI1_ruser,
    IFCPMPSAXI1_rvalid,
    IFCPMPSAXI1_wdata,
    IFCPMPSAXI1_wlast,
    IFCPMPSAXI1_wready,
    IFCPMPSAXI1_wstrb,
    IFCPMPSAXI1_wuser,
    IFCPMPSAXI1_wvalid,
    IFCPMPSAXI1_wid,
    IFNOCPMCAXI0_araddr,
    IFNOCPMCAXI0_arburst,
    IFNOCPMCAXI0_arcache,
    IFNOCPMCAXI0_arid,
    IFNOCPMCAXI0_arlen,
    IFNOCPMCAXI0_arlock,
    IFNOCPMCAXI0_arprot,
    IFNOCPMCAXI0_arqos,
    IFNOCPMCAXI0_arready,
    IFNOCPMCAXI0_arsize,
    IFNOCPMCAXI0_aruser,
    IFNOCPMCAXI0_arvalid,
    IFNOCPMCAXI0_awaddr,
    IFNOCPMCAXI0_awburst,
    IFNOCPMCAXI0_awcache,
    IFNOCPMCAXI0_awid,
    IFNOCPMCAXI0_awlen,
    IFNOCPMCAXI0_awlock,
    IFNOCPMCAXI0_awprot,
    IFNOCPMCAXI0_awqos,
    IFNOCPMCAXI0_awready,
    IFNOCPMCAXI0_awsize,
    IFNOCPMCAXI0_awuser,
    IFNOCPMCAXI0_awvalid,
    IFNOCPMCAXI0_bid,
    IFNOCPMCAXI0_bready,
    IFNOCPMCAXI0_bresp,
    IFNOCPMCAXI0_buser,
    IFNOCPMCAXI0_bvalid,
    IFNOCPMCAXI0_rdata,
    IFNOCPMCAXI0_rid,
    IFNOCPMCAXI0_rlast,
    IFNOCPMCAXI0_rready,
    IFNOCPMCAXI0_rresp,
    IFNOCPMCAXI0_ruser,
    IFNOCPMCAXI0_rvalid,
    IFNOCPMCAXI0_wdata,
    IFNOCPMCAXI0_wlast,
    IFNOCPMCAXI0_wready,
    IFNOCPMCAXI0_wstrb,
    IFNOCPMCAXI0_wuser,
    IFNOCPMCAXI0_wvalid,
    IFNOCPMCAXI0_wid,
    IFNOCPSCCIAXI0_araddr,
    IFNOCPSCCIAXI0_arburst,
    IFNOCPSCCIAXI0_arcache,
    IFNOCPSCCIAXI0_arid,
    IFNOCPSCCIAXI0_arlen,
    IFNOCPSCCIAXI0_arlock,
    IFNOCPSCCIAXI0_arprot,
    IFNOCPSCCIAXI0_arqos,
    IFNOCPSCCIAXI0_arready,
    IFNOCPSCCIAXI0_arsize,
    IFNOCPSCCIAXI0_aruser,
    IFNOCPSCCIAXI0_arvalid,
    IFNOCPSCCIAXI0_awaddr,
    IFNOCPSCCIAXI0_awburst,
    IFNOCPSCCIAXI0_awcache,
    IFNOCPSCCIAXI0_awid,
    IFNOCPSCCIAXI0_awlen,
    IFNOCPSCCIAXI0_awlock,
    IFNOCPSCCIAXI0_awprot,
    IFNOCPSCCIAXI0_awqos,
    IFNOCPSCCIAXI0_awready,
    IFNOCPSCCIAXI0_awsize,
    IFNOCPSCCIAXI0_awuser,
    IFNOCPSCCIAXI0_awvalid,
    IFNOCPSCCIAXI0_bid,
    IFNOCPSCCIAXI0_bready,
    IFNOCPSCCIAXI0_bresp,
    IFNOCPSCCIAXI0_buser,
    IFNOCPSCCIAXI0_bvalid,
    IFNOCPSCCIAXI0_rdata,
    IFNOCPSCCIAXI0_rid,
    IFNOCPSCCIAXI0_rlast,
    IFNOCPSCCIAXI0_rready,
    IFNOCPSCCIAXI0_rresp,
    IFNOCPSCCIAXI0_ruser,
    IFNOCPSCCIAXI0_rvalid,
    IFNOCPSCCIAXI0_wdata,
    IFNOCPSCCIAXI0_wlast,
    IFNOCPSCCIAXI0_wready,
    IFNOCPSCCIAXI0_wstrb,
    IFNOCPSCCIAXI0_wuser,
    IFNOCPSCCIAXI0_wvalid,
    IFNOCPSCCIAXI0_wid,
    IFNOCPSCCIAXI1_araddr,
    IFNOCPSCCIAXI1_arburst,
    IFNOCPSCCIAXI1_arcache,
    IFNOCPSCCIAXI1_arid,
    IFNOCPSCCIAXI1_arlen,
    IFNOCPSCCIAXI1_arlock,
    IFNOCPSCCIAXI1_arprot,
    IFNOCPSCCIAXI1_arqos,
    IFNOCPSCCIAXI1_arready,
    IFNOCPSCCIAXI1_arsize,
    IFNOCPSCCIAXI1_aruser,
    IFNOCPSCCIAXI1_arvalid,
    IFNOCPSCCIAXI1_awaddr,
    IFNOCPSCCIAXI1_awburst,
    IFNOCPSCCIAXI1_awcache,
    IFNOCPSCCIAXI1_awid,
    IFNOCPSCCIAXI1_awlen,
    IFNOCPSCCIAXI1_awlock,
    IFNOCPSCCIAXI1_awprot,
    IFNOCPSCCIAXI1_awqos,
    IFNOCPSCCIAXI1_awready,
    IFNOCPSCCIAXI1_awsize,
    IFNOCPSCCIAXI1_awuser,
    IFNOCPSCCIAXI1_awvalid,
    IFNOCPSCCIAXI1_bid,
    IFNOCPSCCIAXI1_bready,
    IFNOCPSCCIAXI1_bresp,
    IFNOCPSCCIAXI1_buser,
    IFNOCPSCCIAXI1_bvalid,
    IFNOCPSCCIAXI1_rdata,
    IFNOCPSCCIAXI1_rid,
    IFNOCPSCCIAXI1_rlast,
    IFNOCPSCCIAXI1_rready,
    IFNOCPSCCIAXI1_rresp,
    IFNOCPSCCIAXI1_ruser,
    IFNOCPSCCIAXI1_rvalid,
    IFNOCPSCCIAXI1_wdata,
    IFNOCPSCCIAXI1_wlast,
    IFNOCPSCCIAXI1_wready,
    IFNOCPSCCIAXI1_wstrb,
    IFNOCPSCCIAXI1_wuser,
    IFNOCPSCCIAXI1_wvalid,
    IFNOCPSCCIAXI1_wid,
    IFNOCPSNCIAXI0_araddr,
    IFNOCPSNCIAXI0_arburst,
    IFNOCPSNCIAXI0_arcache,
    IFNOCPSNCIAXI0_arid,
    IFNOCPSNCIAXI0_arlen,
    IFNOCPSNCIAXI0_arlock,
    IFNOCPSNCIAXI0_arprot,
    IFNOCPSNCIAXI0_arqos,
    IFNOCPSNCIAXI0_arready,
    IFNOCPSNCIAXI0_arsize,
    IFNOCPSNCIAXI0_aruser,
    IFNOCPSNCIAXI0_arvalid,
    IFNOCPSNCIAXI0_awaddr,
    IFNOCPSNCIAXI0_awburst,
    IFNOCPSNCIAXI0_awcache,
    IFNOCPSNCIAXI0_awid,
    IFNOCPSNCIAXI0_awlen,
    IFNOCPSNCIAXI0_awlock,
    IFNOCPSNCIAXI0_awprot,
    IFNOCPSNCIAXI0_awqos,
    IFNOCPSNCIAXI0_awready,
    IFNOCPSNCIAXI0_awsize,
    IFNOCPSNCIAXI0_awuser,
    IFNOCPSNCIAXI0_awvalid,
    IFNOCPSNCIAXI0_bid,
    IFNOCPSNCIAXI0_bready,
    IFNOCPSNCIAXI0_bresp,
    IFNOCPSNCIAXI0_buser,
    IFNOCPSNCIAXI0_bvalid,
    IFNOCPSNCIAXI0_rdata,
    IFNOCPSNCIAXI0_rid,
    IFNOCPSNCIAXI0_rlast,
    IFNOCPSNCIAXI0_rready,
    IFNOCPSNCIAXI0_rresp,
    IFNOCPSNCIAXI0_ruser,
    IFNOCPSNCIAXI0_rvalid,
    IFNOCPSNCIAXI0_wdata,
    IFNOCPSNCIAXI0_wlast,
    IFNOCPSNCIAXI0_wready,
    IFNOCPSNCIAXI0_wstrb,
    IFNOCPSNCIAXI0_wuser,
    IFNOCPSNCIAXI0_wvalid,
    IFNOCPSNCIAXI0_wid,
    IFNOCPSNCIAXI1_araddr,
    IFNOCPSNCIAXI1_arburst,
    IFNOCPSNCIAXI1_arcache,
    IFNOCPSNCIAXI1_arid,
    IFNOCPSNCIAXI1_arlen,
    IFNOCPSNCIAXI1_arlock,
    IFNOCPSNCIAXI1_arprot,
    IFNOCPSNCIAXI1_arqos,
    IFNOCPSNCIAXI1_arready,
    IFNOCPSNCIAXI1_arsize,
    IFNOCPSNCIAXI1_aruser,
    IFNOCPSNCIAXI1_arvalid,
    IFNOCPSNCIAXI1_awaddr,
    IFNOCPSNCIAXI1_awburst,
    IFNOCPSNCIAXI1_awcache,
    IFNOCPSNCIAXI1_awid,
    IFNOCPSNCIAXI1_awlen,
    IFNOCPSNCIAXI1_awlock,
    IFNOCPSNCIAXI1_awprot,
    IFNOCPSNCIAXI1_awqos,
    IFNOCPSNCIAXI1_awready,
    IFNOCPSNCIAXI1_awsize,
    IFNOCPSNCIAXI1_awuser,
    IFNOCPSNCIAXI1_awvalid,
    IFNOCPSNCIAXI1_bid,
    IFNOCPSNCIAXI1_bready,
    IFNOCPSNCIAXI1_bresp,
    IFNOCPSNCIAXI1_buser,
    IFNOCPSNCIAXI1_bvalid,
    IFNOCPSNCIAXI1_rdata,
    IFNOCPSNCIAXI1_rid,
    IFNOCPSNCIAXI1_rlast,
    IFNOCPSNCIAXI1_rready,
    IFNOCPSNCIAXI1_rresp,
    IFNOCPSNCIAXI1_ruser,
    IFNOCPSNCIAXI1_rvalid,
    IFNOCPSNCIAXI1_wdata,
    IFNOCPSNCIAXI1_wlast,
    IFNOCPSNCIAXI1_wready,
    IFNOCPSNCIAXI1_wstrb,
    IFNOCPSNCIAXI1_wuser,
    IFNOCPSNCIAXI1_wvalid,
    IFNOCPSNCIAXI1_wid,
    IFNOCPSPCIAXI0_araddr,
    IFNOCPSPCIAXI0_arburst,
    IFNOCPSPCIAXI0_arcache,
    IFNOCPSPCIAXI0_arid,
    IFNOCPSPCIAXI0_arlen,
    IFNOCPSPCIAXI0_arlock,
    IFNOCPSPCIAXI0_arprot,
    IFNOCPSPCIAXI0_arqos,
    IFNOCPSPCIAXI0_arready,
    IFNOCPSPCIAXI0_arsize,
    IFNOCPSPCIAXI0_aruser,
    IFNOCPSPCIAXI0_arvalid,
    IFNOCPSPCIAXI0_awaddr,
    IFNOCPSPCIAXI0_awburst,
    IFNOCPSPCIAXI0_awcache,
    IFNOCPSPCIAXI0_awid,
    IFNOCPSPCIAXI0_awlen,
    IFNOCPSPCIAXI0_awlock,
    IFNOCPSPCIAXI0_awprot,
    IFNOCPSPCIAXI0_awqos,
    IFNOCPSPCIAXI0_awready,
    IFNOCPSPCIAXI0_awsize,
    IFNOCPSPCIAXI0_awuser,
    IFNOCPSPCIAXI0_awvalid,
    IFNOCPSPCIAXI0_bid,
    IFNOCPSPCIAXI0_bready,
    IFNOCPSPCIAXI0_bresp,
    IFNOCPSPCIAXI0_buser,
    IFNOCPSPCIAXI0_bvalid,
    IFNOCPSPCIAXI0_rdata,
    IFNOCPSPCIAXI0_rid,
    IFNOCPSPCIAXI0_rlast,
    IFNOCPSPCIAXI0_rready,
    IFNOCPSPCIAXI0_rresp,
    IFNOCPSPCIAXI0_ruser,
    IFNOCPSPCIAXI0_rvalid,
    IFNOCPSPCIAXI0_wdata,
    IFNOCPSPCIAXI0_wlast,
    IFNOCPSPCIAXI0_wready,
    IFNOCPSPCIAXI0_wstrb,
    IFNOCPSPCIAXI0_wuser,
    IFNOCPSPCIAXI0_wvalid,
    IFNOCPSPCIAXI0_wid,
    IFPMCNOCAXI0_araddr,
    IFPMCNOCAXI0_arburst,
    IFPMCNOCAXI0_arcache,
    IFPMCNOCAXI0_arlen,
    IFPMCNOCAXI0_arid,
    IFPMCNOCAXI0_arlock,
    IFPMCNOCAXI0_arprot,
    IFPMCNOCAXI0_arqos,
    IFPMCNOCAXI0_arready,
    IFPMCNOCAXI0_arsize,
    IFPMCNOCAXI0_aruser,
    IFPMCNOCAXI0_arvalid,
    IFPMCNOCAXI0_awaddr,
    IFPMCNOCAXI0_awburst,
    IFPMCNOCAXI0_awcache,
    IFPMCNOCAXI0_awlen,
    IFPMCNOCAXI0_awlock,
    IFPMCNOCAXI0_awprot,
    IFPMCNOCAXI0_awqos,
    IFPMCNOCAXI0_awready,
    IFPMCNOCAXI0_awsize,
    IFPMCNOCAXI0_awuser,
    IFPMCNOCAXI0_awvalid,
    IFPMCNOCAXI0_awid,
    IFPMCNOCAXI0_bready,
    IFPMCNOCAXI0_bresp,
    IFPMCNOCAXI0_buser,
    IFPMCNOCAXI0_bvalid,
    IFPMCNOCAXI0_bid,
    IFPMCNOCAXI0_rdata,
    IFPMCNOCAXI0_rlast,
    IFPMCNOCAXI0_rready,
    IFPMCNOCAXI0_rresp,
    IFPMCNOCAXI0_ruser,
    IFPMCNOCAXI0_rid,
    IFPMCNOCAXI0_rvalid,
    IFPMCNOCAXI0_wdata,
    IFPMCNOCAXI0_wlast,
    IFPMCNOCAXI0_wready,
    IFPMCNOCAXI0_wstrb,
    IFPMCNOCAXI0_wuser,
    IFPMCNOCAXI0_wvalid,
    IFPMCNOCAXI0_wid,
    IFPSCPMCFGAXI_araddr,
    IFPSCPMCFGAXI_arburst,
    IFPSCPMCFGAXI_arcache,
    IFPSCPMCFGAXI_arlen,
    IFPSCPMCFGAXI_arlock,
    IFPSCPMCFGAXI_arprot,
    IFPSCPMCFGAXI_arqos,
    IFPSCPMCFGAXI_arready,
    IFPSCPMCFGAXI_arsize,
    IFPSCPMCFGAXI_aruser,
    IFPSCPMCFGAXI_arvalid,
    IFPSCPMCFGAXI_awaddr,
    IFPSCPMCFGAXI_awburst,
    IFPSCPMCFGAXI_awcache,
    IFPSCPMCFGAXI_awlen,
    IFPSCPMCFGAXI_awlock,
    IFPSCPMCFGAXI_awprot,
    IFPSCPMCFGAXI_awqos,
    IFPSCPMCFGAXI_awready,
    IFPSCPMCFGAXI_awsize,
    IFPSCPMCFGAXI_awuser,
    IFPSCPMCFGAXI_awvalid,
    IFPSCPMCFGAXI_bready,
    IFPSCPMCFGAXI_bresp,
    IFPSCPMCFGAXI_buser,
    IFPSCPMCFGAXI_bvalid,
    IFPSCPMCFGAXI_rdata,
    IFPSCPMCFGAXI_rlast,
    IFPSCPMCFGAXI_rready,
    IFPSCPMCFGAXI_rresp,
    IFPSCPMCFGAXI_ruser,
    IFPSCPMCFGAXI_rvalid,
    IFPSCPMCFGAXI_wdata,
    IFPSCPMCFGAXI_wlast,
    IFPSCPMCFGAXI_wready,
    IFPSCPMCFGAXI_wstrb,
    IFPSCPMCFGAXI_wuser,
    IFPSCPMCFGAXI_wvalid,
    IFPSCPMPCIEAXI_araddr,
    IFPSCPMPCIEAXI_arburst,
    IFPSCPMPCIEAXI_arcache,
    IFPSCPMPCIEAXI_arlen,
    IFPSCPMPCIEAXI_arid,
    IFPSCPMPCIEAXI_arlock,
    IFPSCPMPCIEAXI_arprot,
    IFPSCPMPCIEAXI_arqos,
    IFPSCPMPCIEAXI_arready,
    IFPSCPMPCIEAXI_arsize,
    IFPSCPMPCIEAXI_aruser,
    IFPSCPMPCIEAXI_arvalid,
    IFPSCPMPCIEAXI_awaddr,
    IFPSCPMPCIEAXI_awburst,
    IFPSCPMPCIEAXI_awcache,
    IFPSCPMPCIEAXI_awlen,
    IFPSCPMPCIEAXI_awlock,
    IFPSCPMPCIEAXI_awprot,
    IFPSCPMPCIEAXI_awqos,
    IFPSCPMPCIEAXI_awready,
    IFPSCPMPCIEAXI_awsize,
    IFPSCPMPCIEAXI_awuser,
    IFPSCPMPCIEAXI_awvalid,
    IFPSCPMPCIEAXI_awid,
    IFPSCPMPCIEAXI_bready,
    IFPSCPMPCIEAXI_bresp,
    IFPSCPMPCIEAXI_buser,
    IFPSCPMPCIEAXI_bvalid,
    IFPSCPMPCIEAXI_bid,
    IFPSCPMPCIEAXI_rdata,
    IFPSCPMPCIEAXI_rlast,
    IFPSCPMPCIEAXI_rready,
    IFPSCPMPCIEAXI_rresp,
    IFPSCPMPCIEAXI_ruser,
    IFPSCPMPCIEAXI_rid,
    IFPSCPMPCIEAXI_rvalid,
    IFPSCPMPCIEAXI_wdata,
    IFPSCPMPCIEAXI_wlast,
    IFPSCPMPCIEAXI_wready,
    IFPSCPMPCIEAXI_wstrb,
    IFPSCPMPCIEAXI_wuser,
    IFPSCPMPCIEAXI_wvalid,
    IFPSCPMPCIEAXI_wid,
    IFPSNOCCCIAXI0_araddr,
    IFPSNOCCCIAXI0_arburst,
    IFPSNOCCCIAXI0_arcache,
    IFPSNOCCCIAXI0_arlen,
    IFPSNOCCCIAXI0_arlock,
    IFPSNOCCCIAXI0_arprot,
    IFPSNOCCCIAXI0_arqos,
    IFPSNOCCCIAXI0_arready,
    IFPSNOCCCIAXI0_arsize,
    IFPSNOCCCIAXI0_aruser,
    IFPSNOCCCIAXI0_arvalid,
    IFPSNOCCCIAXI0_awaddr,
    IFPSNOCCCIAXI0_awburst,
    IFPSNOCCCIAXI0_awcache,
    IFPSNOCCCIAXI0_awlen,
    IFPSNOCCCIAXI0_awlock,
    IFPSNOCCCIAXI0_awprot,
    IFPSNOCCCIAXI0_awqos,
    IFPSNOCCCIAXI0_awready,
    IFPSNOCCCIAXI0_awsize,
    IFPSNOCCCIAXI0_awuser,
    IFPSNOCCCIAXI0_awvalid,
    IFPSNOCCCIAXI0_bready,
    IFPSNOCCCIAXI0_bresp,
    IFPSNOCCCIAXI0_buser,
    IFPSNOCCCIAXI0_bvalid,
    IFPSNOCCCIAXI0_rdata,
    IFPSNOCCCIAXI0_rlast,
    IFPSNOCCCIAXI0_rready,
    IFPSNOCCCIAXI0_rresp,
    IFPSNOCCCIAXI0_ruser,
    IFPSNOCCCIAXI0_rvalid,
    IFPSNOCCCIAXI0_wdata,
    IFPSNOCCCIAXI0_wlast,
    IFPSNOCCCIAXI0_wready,
    IFPSNOCCCIAXI0_wstrb,
    IFPSNOCCCIAXI0_wuser,
    IFPSNOCCCIAXI0_wvalid,
    IFPSNOCCCIAXI1_araddr,
    IFPSNOCCCIAXI1_arburst,
    IFPSNOCCCIAXI1_arcache,
    IFPSNOCCCIAXI1_arlen,
    IFPSNOCCCIAXI1_arlock,
    IFPSNOCCCIAXI1_arprot,
    IFPSNOCCCIAXI1_arqos,
    IFPSNOCCCIAXI1_arready,
    IFPSNOCCCIAXI1_arsize,
    IFPSNOCCCIAXI1_aruser,
    IFPSNOCCCIAXI1_arvalid,
    IFPSNOCCCIAXI1_awaddr,
    IFPSNOCCCIAXI1_awburst,
    IFPSNOCCCIAXI1_awcache,
    IFPSNOCCCIAXI1_awlen,
    IFPSNOCCCIAXI1_awlock,
    IFPSNOCCCIAXI1_awprot,
    IFPSNOCCCIAXI1_awqos,
    IFPSNOCCCIAXI1_awready,
    IFPSNOCCCIAXI1_awsize,
    IFPSNOCCCIAXI1_awuser,
    IFPSNOCCCIAXI1_awvalid,
    IFPSNOCCCIAXI1_bready,
    IFPSNOCCCIAXI1_bresp,
    IFPSNOCCCIAXI1_buser,
    IFPSNOCCCIAXI1_bvalid,
    IFPSNOCCCIAXI1_rdata,
    IFPSNOCCCIAXI1_rlast,
    IFPSNOCCCIAXI1_rready,
    IFPSNOCCCIAXI1_rresp,
    IFPSNOCCCIAXI1_ruser,
    IFPSNOCCCIAXI1_rvalid,
    IFPSNOCCCIAXI1_wdata,
    IFPSNOCCCIAXI1_wlast,
    IFPSNOCCCIAXI1_wready,
    IFPSNOCCCIAXI1_wstrb,
    IFPSNOCCCIAXI1_wuser,
    IFPSNOCCCIAXI1_wvalid,
    IFPSNOCCCIAXI2_araddr,
    IFPSNOCCCIAXI2_arburst,
    IFPSNOCCCIAXI2_arcache,
    IFPSNOCCCIAXI2_arlen,
    IFPSNOCCCIAXI2_arlock,
    IFPSNOCCCIAXI2_arprot,
    IFPSNOCCCIAXI2_arqos,
    IFPSNOCCCIAXI2_arready,
    IFPSNOCCCIAXI2_arsize,
    IFPSNOCCCIAXI2_aruser,
    IFPSNOCCCIAXI2_arvalid,
    IFPSNOCCCIAXI2_awaddr,
    IFPSNOCCCIAXI2_awburst,
    IFPSNOCCCIAXI2_awcache,
    IFPSNOCCCIAXI2_awlen,
    IFPSNOCCCIAXI2_awlock,
    IFPSNOCCCIAXI2_awprot,
    IFPSNOCCCIAXI2_awqos,
    IFPSNOCCCIAXI2_awready,
    IFPSNOCCCIAXI2_awsize,
    IFPSNOCCCIAXI2_awuser,
    IFPSNOCCCIAXI2_awvalid,
    IFPSNOCCCIAXI2_bready,
    IFPSNOCCCIAXI2_bresp,
    IFPSNOCCCIAXI2_buser,
    IFPSNOCCCIAXI2_bvalid,
    IFPSNOCCCIAXI2_rdata,
    IFPSNOCCCIAXI2_rlast,
    IFPSNOCCCIAXI2_rready,
    IFPSNOCCCIAXI2_rresp,
    IFPSNOCCCIAXI2_ruser,
    IFPSNOCCCIAXI2_rvalid,
    IFPSNOCCCIAXI2_wdata,
    IFPSNOCCCIAXI2_wlast,
    IFPSNOCCCIAXI2_wready,
    IFPSNOCCCIAXI2_wstrb,
    IFPSNOCCCIAXI2_wuser,
    IFPSNOCCCIAXI2_wvalid,
    IFPSNOCCCIAXI3_araddr,
    IFPSNOCCCIAXI3_arburst,
    IFPSNOCCCIAXI3_arcache,
    IFPSNOCCCIAXI3_arlen,
    IFPSNOCCCIAXI3_arlock,
    IFPSNOCCCIAXI3_arprot,
    IFPSNOCCCIAXI3_arqos,
    IFPSNOCCCIAXI3_arready,
    IFPSNOCCCIAXI3_arsize,
    IFPSNOCCCIAXI3_aruser,
    IFPSNOCCCIAXI3_arvalid,
    IFPSNOCCCIAXI3_awaddr,
    IFPSNOCCCIAXI3_awburst,
    IFPSNOCCCIAXI3_awcache,
    IFPSNOCCCIAXI3_awlen,
    IFPSNOCCCIAXI3_awlock,
    IFPSNOCCCIAXI3_awprot,
    IFPSNOCCCIAXI3_awqos,
    IFPSNOCCCIAXI3_awready,
    IFPSNOCCCIAXI3_awsize,
    IFPSNOCCCIAXI3_awuser,
    IFPSNOCCCIAXI3_awvalid,
    IFPSNOCCCIAXI3_bready,
    IFPSNOCCCIAXI3_bresp,
    IFPSNOCCCIAXI3_buser,
    IFPSNOCCCIAXI3_bvalid,
    IFPSNOCCCIAXI3_rdata,
    IFPSNOCCCIAXI3_rlast,
    IFPSNOCCCIAXI3_rready,
    IFPSNOCCCIAXI3_rresp,
    IFPSNOCCCIAXI3_ruser,
    IFPSNOCCCIAXI3_rvalid,
    IFPSNOCCCIAXI3_wdata,
    IFPSNOCCCIAXI3_wlast,
    IFPSNOCCCIAXI3_wready,
    IFPSNOCCCIAXI3_wstrb,
    IFPSNOCCCIAXI3_wuser,
    IFPSNOCCCIAXI3_wvalid,    
    IFPSNOCCCIAXI_araddr,
    IFPSNOCCCIAXI_arburst,
    IFPSNOCCCIAXI_arcache,
    IFPSNOCCCIAXI_arlen,
    IFPSNOCCCIAXI_arlock,
    IFPSNOCCCIAXI_arprot,
    IFPSNOCCCIAXI_arqos,
    IFPSNOCCCIAXI_arready,
    IFPSNOCCCIAXI_arsize,
    IFPSNOCCCIAXI_aruser,
    IFPSNOCCCIAXI_arvalid,
    IFPSNOCCCIAXI_arid,
    IFPSNOCCCIAXI_awaddr,
    IFPSNOCCCIAXI_awburst,
    IFPSNOCCCIAXI_awcache,
    IFPSNOCCCIAXI_awlen,
    IFPSNOCCCIAXI_awlock,
    IFPSNOCCCIAXI_awprot,
    IFPSNOCCCIAXI_awqos,
    IFPSNOCCCIAXI_awready,
    IFPSNOCCCIAXI_awsize,
    IFPSNOCCCIAXI_awuser,
    IFPSNOCCCIAXI_awvalid,
    IFPSNOCCCIAXI_awid,
    IFPSNOCCCIAXI_bready,
    IFPSNOCCCIAXI_bresp,
    IFPSNOCCCIAXI_buser,
    IFPSNOCCCIAXI_bvalid,
    IFPSNOCCCIAXI_bid,
    IFPSNOCCCIAXI_rdata,
    IFPSNOCCCIAXI_rlast,
    IFPSNOCCCIAXI_rready,
    IFPSNOCCCIAXI_rresp,
    IFPSNOCCCIAXI_ruser,
    IFPSNOCCCIAXI_rvalid,
    IFPSNOCCCIAXI_rid,
    IFPSNOCCCIAXI_wdata,
    IFPSNOCCCIAXI_wlast,
    IFPSNOCCCIAXI_wready,
    IFPSNOCCCIAXI_wstrb,
    IFPSNOCCCIAXI_wuser,
    IFPSNOCCCIAXI_wvalid,
    IFPSNOCCCIAXI_wid,
    IFPSNOCNCIAXI0_araddr,
    IFPSNOCNCIAXI0_arburst,
    IFPSNOCNCIAXI0_arcache,
    IFPSNOCNCIAXI0_arlen,
    IFPSNOCNCIAXI0_arid,
    IFPSNOCNCIAXI0_arlock,
    IFPSNOCNCIAXI0_arprot,
    IFPSNOCNCIAXI0_arqos,
    IFPSNOCNCIAXI0_arready,
    IFPSNOCNCIAXI0_arsize,
    IFPSNOCNCIAXI0_aruser,
    IFPSNOCNCIAXI0_arvalid,
    IFPSNOCNCIAXI0_awaddr,
    IFPSNOCNCIAXI0_awburst,
    IFPSNOCNCIAXI0_awcache,
    IFPSNOCNCIAXI0_awlen,
    IFPSNOCNCIAXI0_awid,
    IFPSNOCNCIAXI0_awlock,
    IFPSNOCNCIAXI0_awprot,
    IFPSNOCNCIAXI0_awqos,
    IFPSNOCNCIAXI0_awready,
    IFPSNOCNCIAXI0_awsize,
    IFPSNOCNCIAXI0_awuser,
    IFPSNOCNCIAXI0_awvalid,
    IFPSNOCNCIAXI0_bready,
    IFPSNOCNCIAXI0_bresp,
    IFPSNOCNCIAXI0_buser,
    IFPSNOCNCIAXI0_bvalid,
    IFPSNOCNCIAXI0_bid,
    IFPSNOCNCIAXI0_rdata,
    IFPSNOCNCIAXI0_rlast,
    IFPSNOCNCIAXI0_rready,
    IFPSNOCNCIAXI0_rresp,
    IFPSNOCNCIAXI0_ruser,
    IFPSNOCNCIAXI0_rvalid,
    IFPSNOCNCIAXI0_rid,
    IFPSNOCNCIAXI0_wdata,
    IFPSNOCNCIAXI0_wlast,
    IFPSNOCNCIAXI0_wready,
    IFPSNOCNCIAXI0_wstrb,
    IFPSNOCNCIAXI0_wuser,
    IFPSNOCNCIAXI0_wvalid,
    IFPSNOCNCIAXI0_wid,
    IFPSNOCNCIAXI1_araddr,
    IFPSNOCNCIAXI1_arburst,
    IFPSNOCNCIAXI1_arcache,
    IFPSNOCNCIAXI1_arlen,
    IFPSNOCNCIAXI1_arid,
    IFPSNOCNCIAXI1_arlock,
    IFPSNOCNCIAXI1_arprot,
    IFPSNOCNCIAXI1_arqos,
    IFPSNOCNCIAXI1_arready,
    IFPSNOCNCIAXI1_arsize,
    IFPSNOCNCIAXI1_aruser,
    IFPSNOCNCIAXI1_arvalid,
    IFPSNOCNCIAXI1_awaddr,
    IFPSNOCNCIAXI1_awburst,
    IFPSNOCNCIAXI1_awcache,
    IFPSNOCNCIAXI1_awlen,
    IFPSNOCNCIAXI1_awid,
    IFPSNOCNCIAXI1_awlock,
    IFPSNOCNCIAXI1_awprot,
    IFPSNOCNCIAXI1_awqos,
    IFPSNOCNCIAXI1_awready,
    IFPSNOCNCIAXI1_awsize,
    IFPSNOCNCIAXI1_awuser,
    IFPSNOCNCIAXI1_awvalid,
    IFPSNOCNCIAXI1_bready,
    IFPSNOCNCIAXI1_bresp,
    IFPSNOCNCIAXI1_buser,
    IFPSNOCNCIAXI1_bvalid,
    IFPSNOCNCIAXI1_bid,
    IFPSNOCNCIAXI1_rdata,
    IFPSNOCNCIAXI1_rlast,
    IFPSNOCNCIAXI1_rready,
    IFPSNOCNCIAXI1_rresp,
    IFPSNOCNCIAXI1_ruser,
    IFPSNOCNCIAXI1_rvalid,
    IFPSNOCNCIAXI1_rid,
    IFPSNOCNCIAXI1_wdata,
    IFPSNOCNCIAXI1_wlast,
    IFPSNOCNCIAXI1_wready,
    IFPSNOCNCIAXI1_wstrb,
    IFPSNOCNCIAXI1_wuser,
    IFPSNOCNCIAXI1_wvalid,
    IFPSNOCNCIAXI1_wid,
    IFPSNOCPCIAXI0_araddr,
    IFPSNOCPCIAXI0_arburst,
    IFPSNOCPCIAXI0_arcache,
    IFPSNOCPCIAXI0_arlen,
    IFPSNOCPCIAXI0_arid,
    IFPSNOCPCIAXI0_arlock,
    IFPSNOCPCIAXI0_arprot,
    IFPSNOCPCIAXI0_arqos,
    IFPSNOCPCIAXI0_arready,
    IFPSNOCPCIAXI0_arsize,
    IFPSNOCPCIAXI0_aruser,
    IFPSNOCPCIAXI0_arvalid,
    IFPSNOCPCIAXI0_awaddr,
    IFPSNOCPCIAXI0_awburst,
    IFPSNOCPCIAXI0_awcache,
    IFPSNOCPCIAXI0_awlen,
    IFPSNOCPCIAXI0_awid,
    IFPSNOCPCIAXI0_awlock,
    IFPSNOCPCIAXI0_awprot,
    IFPSNOCPCIAXI0_awqos,
    IFPSNOCPCIAXI0_awready,
    IFPSNOCPCIAXI0_awsize,
    IFPSNOCPCIAXI0_awuser,
    IFPSNOCPCIAXI0_awvalid,
    IFPSNOCPCIAXI0_bready,
    IFPSNOCPCIAXI0_bresp,
    IFPSNOCPCIAXI0_buser,
    IFPSNOCPCIAXI0_bvalid,
    IFPSNOCPCIAXI0_bid,
    IFPSNOCPCIAXI0_rdata,
    IFPSNOCPCIAXI0_rlast,
    IFPSNOCPCIAXI0_rready,
    IFPSNOCPCIAXI0_rresp,
    IFPSNOCPCIAXI0_ruser,
    IFPSNOCPCIAXI0_rvalid,
    IFPSNOCPCIAXI0_rid,
    IFPSNOCPCIAXI0_wdata,
    IFPSNOCPCIAXI0_wlast,
    IFPSNOCPCIAXI0_wready,
    IFPSNOCPCIAXI0_wstrb,
    IFPSNOCPCIAXI0_wuser,
    IFPSNOCPCIAXI0_wvalid,
    IFPSNOCPCIAXI0_wid,
    IFPSNOCPCIAXI1_araddr,
    IFPSNOCPCIAXI1_arburst,
    IFPSNOCPCIAXI1_arcache,
    IFPSNOCPCIAXI1_arlen,
    IFPSNOCPCIAXI1_arid,
    IFPSNOCPCIAXI1_arlock,
    IFPSNOCPCIAXI1_arprot,
    IFPSNOCPCIAXI1_arqos,
    IFPSNOCPCIAXI1_arready,
    IFPSNOCPCIAXI1_arsize,
    IFPSNOCPCIAXI1_aruser,
    IFPSNOCPCIAXI1_arvalid,
    IFPSNOCPCIAXI1_awaddr,
    IFPSNOCPCIAXI1_awburst,
    IFPSNOCPCIAXI1_awcache,
    IFPSNOCPCIAXI1_awlen,
    IFPSNOCPCIAXI1_awid,
    IFPSNOCPCIAXI1_awlock,
    IFPSNOCPCIAXI1_awprot,
    IFPSNOCPCIAXI1_awqos,
    IFPSNOCPCIAXI1_awready,
    IFPSNOCPCIAXI1_awsize,
    IFPSNOCPCIAXI1_awuser,
    IFPSNOCPCIAXI1_awvalid,
    IFPSNOCPCIAXI1_bready,
    IFPSNOCPCIAXI1_bresp,
    IFPSNOCPCIAXI1_buser,
    IFPSNOCPCIAXI1_bvalid,
    IFPSNOCPCIAXI1_bid,
    IFPSNOCPCIAXI1_rdata,
    IFPSNOCPCIAXI1_rlast,
    IFPSNOCPCIAXI1_rready,
    IFPSNOCPCIAXI1_rresp,
    IFPSNOCPCIAXI1_ruser,
    IFPSNOCPCIAXI1_rvalid,
    IFPSNOCPCIAXI1_rid,
    IFPSNOCPCIAXI1_wdata,
    IFPSNOCPCIAXI1_wlast,
    IFPSNOCPCIAXI1_wready,
    IFPSNOCPCIAXI1_wstrb,
    IFPSNOCPCIAXI1_wuser,
    IFPSNOCPCIAXI1_wvalid,
    IFPSNOCPCIAXI1_wid,
    IFPSNOCRPUAXI0_araddr,
    IFPSNOCRPUAXI0_arburst,
    IFPSNOCRPUAXI0_arcache,
    IFPSNOCRPUAXI0_arlen,
    IFPSNOCRPUAXI0_arid,
    IFPSNOCRPUAXI0_arlock,
    IFPSNOCRPUAXI0_arprot,
    IFPSNOCRPUAXI0_arqos,
    IFPSNOCRPUAXI0_arready,
    IFPSNOCRPUAXI0_arsize,
    IFPSNOCRPUAXI0_aruser,
    IFPSNOCRPUAXI0_arvalid,
    IFPSNOCRPUAXI0_awaddr,
    IFPSNOCRPUAXI0_awburst,
    IFPSNOCRPUAXI0_awcache,
    IFPSNOCRPUAXI0_awlen,
    IFPSNOCRPUAXI0_awid,
    IFPSNOCRPUAXI0_awlock,
    IFPSNOCRPUAXI0_awprot,
    IFPSNOCRPUAXI0_awqos,
    IFPSNOCRPUAXI0_awready,
    IFPSNOCRPUAXI0_awsize,
    IFPSNOCRPUAXI0_awuser,
    IFPSNOCRPUAXI0_awvalid,
    IFPSNOCRPUAXI0_bready,
    IFPSNOCRPUAXI0_bresp,
    IFPSNOCRPUAXI0_buser,
    IFPSNOCRPUAXI0_bvalid,
    IFPSNOCRPUAXI0_bid,
    IFPSNOCRPUAXI0_rdata,
    IFPSNOCRPUAXI0_rlast,
    IFPSNOCRPUAXI0_rready,
    IFPSNOCRPUAXI0_rresp,
    IFPSNOCRPUAXI0_ruser,
    IFPSNOCRPUAXI0_rvalid,
    IFPSNOCRPUAXI0_rid,
    IFPSNOCRPUAXI0_wdata,
    IFPSNOCRPUAXI0_wlast,
    IFPSNOCRPUAXI0_wready,
    IFPSNOCRPUAXI0_wstrb,
    IFPSNOCRPUAXI0_wuser,
    IFPSNOCRPUAXI0_wvalid,
    IFPSNOCRPUAXI0_wid,
    I_PSNOCCCI0AXIS_araddr,
    I_PSNOCCCI0AXIS_arburst,
    I_PSNOCCCI0AXIS_arcache,
    I_PSNOCCCI0AXIS_arid,
    I_PSNOCCCI0AXIS_arlen,
    I_PSNOCCCI0AXIS_arlock,
    I_PSNOCCCI0AXIS_arprot,
    I_PSNOCCCI0AXIS_arqos,
    I_PSNOCCCI0AXIS_arready,
    I_PSNOCCCI0AXIS_arsize,
    I_PSNOCCCI0AXIS_aruser,
    I_PSNOCCCI0AXIS_arvalid,
    I_PSNOCCCI0AXIS_awaddr,
    I_PSNOCCCI0AXIS_awburst,
    I_PSNOCCCI0AXIS_awcache,
    I_PSNOCCCI0AXIS_awid,
    I_PSNOCCCI0AXIS_awlen,
    I_PSNOCCCI0AXIS_awlock,
    I_PSNOCCCI0AXIS_awprot,
    I_PSNOCCCI0AXIS_awqos,
    I_PSNOCCCI0AXIS_awready,
    I_PSNOCCCI0AXIS_awsize,
    I_PSNOCCCI0AXIS_awuser,
    I_PSNOCCCI0AXIS_awvalid,
    I_PSNOCCCI0AXIS_bid,
    I_PSNOCCCI0AXIS_bready,
    I_PSNOCCCI0AXIS_bresp,
    I_PSNOCCCI0AXIS_buser,
    I_PSNOCCCI0AXIS_bvalid,
    I_PSNOCCCI0AXIS_rdata,
    I_PSNOCCCI0AXIS_rid,
    I_PSNOCCCI0AXIS_rlast,
    I_PSNOCCCI0AXIS_rready,
    I_PSNOCCCI0AXIS_rresp,
    I_PSNOCCCI0AXIS_ruser,
    I_PSNOCCCI0AXIS_rvalid,
    I_PSNOCCCI0AXIS_wdata,
    I_PSNOCCCI0AXIS_wlast,
    I_PSNOCCCI0AXIS_wready,
    I_PSNOCCCI0AXIS_wstrb,
    I_PSNOCCCI0AXIS_wuser,
    I_PSNOCCCI0AXIS_wvalid,
    I_PSNOCCCI1AXIS_araddr,
    I_PSNOCCCI1AXIS_arburst,
    I_PSNOCCCI1AXIS_arcache,
    I_PSNOCCCI1AXIS_arlen,
    I_PSNOCCCI1AXIS_arlock,
    I_PSNOCCCI1AXIS_arprot,
    I_PSNOCCCI1AXIS_arqos,
    I_PSNOCCCI1AXIS_arready,
    I_PSNOCCCI1AXIS_arsize,
    I_PSNOCCCI1AXIS_aruser,
    I_PSNOCCCI1AXIS_arvalid,
    I_PSNOCCCI1AXIS_awaddr,
    I_PSNOCCCI1AXIS_awburst,
    I_PSNOCCCI1AXIS_awcache,
    I_PSNOCCCI1AXIS_awlen,
    I_PSNOCCCI1AXIS_awlock,
    I_PSNOCCCI1AXIS_awprot,
    I_PSNOCCCI1AXIS_awqos,
    I_PSNOCCCI1AXIS_awready,
    I_PSNOCCCI1AXIS_awsize,
    I_PSNOCCCI1AXIS_awuser,
    I_PSNOCCCI1AXIS_awvalid,
    I_PSNOCCCI1AXIS_bready,
    I_PSNOCCCI1AXIS_bresp,
    I_PSNOCCCI1AXIS_buser,
    I_PSNOCCCI1AXIS_bvalid,
    I_PSNOCCCI1AXIS_rdata,
    I_PSNOCCCI1AXIS_rlast,
    I_PSNOCCCI1AXIS_rready,
    I_PSNOCCCI1AXIS_rresp,
    I_PSNOCCCI1AXIS_ruser,
    I_PSNOCCCI1AXIS_rvalid,
    I_PSNOCCCI1AXIS_wdata,
    I_PSNOCCCI1AXIS_wlast,
    I_PSNOCCCI1AXIS_wready,
    I_PSNOCCCI1AXIS_wstrb,
    I_PSNOCCCI1AXIS_wuser,
    I_PSNOCCCI1AXIS_wvalid,
    I_PSNOCCCI2AXIS_araddr,
    I_PSNOCCCI2AXIS_arburst,
    I_PSNOCCCI2AXIS_arcache,
    I_PSNOCCCI2AXIS_arid,
    I_PSNOCCCI2AXIS_arlen,
    I_PSNOCCCI2AXIS_arlock,
    I_PSNOCCCI2AXIS_arprot,
    I_PSNOCCCI2AXIS_arqos,
    I_PSNOCCCI2AXIS_arready,
    I_PSNOCCCI2AXIS_arsize,
    I_PSNOCCCI2AXIS_aruser,
    I_PSNOCCCI2AXIS_arvalid,
    I_PSNOCCCI2AXIS_awaddr,
    I_PSNOCCCI2AXIS_awburst,
    I_PSNOCCCI2AXIS_awcache,
    I_PSNOCCCI2AXIS_awid,
    I_PSNOCCCI2AXIS_awlen,
    I_PSNOCCCI2AXIS_awlock,
    I_PSNOCCCI2AXIS_awprot,
    I_PSNOCCCI2AXIS_awqos,
    I_PSNOCCCI2AXIS_awready,
    I_PSNOCCCI2AXIS_awsize,
    I_PSNOCCCI2AXIS_awuser,
    I_PSNOCCCI2AXIS_awvalid,
    I_PSNOCCCI2AXIS_bid,
    I_PSNOCCCI2AXIS_bready,
    I_PSNOCCCI2AXIS_bresp,
    I_PSNOCCCI2AXIS_buser,
    I_PSNOCCCI2AXIS_bvalid,
    I_PSNOCCCI2AXIS_rdata,
    I_PSNOCCCI2AXIS_rid,
    I_PSNOCCCI2AXIS_rlast,
    I_PSNOCCCI2AXIS_rready,
    I_PSNOCCCI2AXIS_rresp,
    I_PSNOCCCI2AXIS_ruser,
    I_PSNOCCCI2AXIS_rvalid,
    I_PSNOCCCI2AXIS_wdata,
    I_PSNOCCCI2AXIS_wlast,
    I_PSNOCCCI2AXIS_wready,
    I_PSNOCCCI2AXIS_wstrb,
    I_PSNOCCCI2AXIS_wuser,
    I_PSNOCCCI2AXIS_wvalid,
    I_PSNOCCCI3AXIS_araddr,
    I_PSNOCCCI3AXIS_arburst,
    I_PSNOCCCI3AXIS_arcache,
    I_PSNOCCCI3AXIS_arid,
    I_PSNOCCCI3AXIS_arlen,
    I_PSNOCCCI3AXIS_arlock,
    I_PSNOCCCI3AXIS_arprot,
    I_PSNOCCCI3AXIS_arqos,
    I_PSNOCCCI3AXIS_arready,
    I_PSNOCCCI3AXIS_arsize,
    I_PSNOCCCI3AXIS_aruser,
    I_PSNOCCCI3AXIS_arvalid,
    I_PSNOCCCI3AXIS_awaddr,
    I_PSNOCCCI3AXIS_awburst,
    I_PSNOCCCI3AXIS_awcache,
    I_PSNOCCCI3AXIS_awid,
    I_PSNOCCCI3AXIS_awlen,
    I_PSNOCCCI3AXIS_awlock,
    I_PSNOCCCI3AXIS_awprot,
    I_PSNOCCCI3AXIS_awqos,
    I_PSNOCCCI3AXIS_awready,
    I_PSNOCCCI3AXIS_awsize,
    I_PSNOCCCI3AXIS_awuser,
    I_PSNOCCCI3AXIS_awvalid,
    I_PSNOCCCI3AXIS_bid,
    I_PSNOCCCI3AXIS_bready,
    I_PSNOCCCI3AXIS_bresp,
    I_PSNOCCCI3AXIS_buser,
    I_PSNOCCCI3AXIS_bvalid,
    I_PSNOCCCI3AXIS_rdata,
    I_PSNOCCCI3AXIS_rid,
    I_PSNOCCCI3AXIS_rlast,
    I_PSNOCCCI3AXIS_rready,
    I_PSNOCCCI3AXIS_rresp,
    I_PSNOCCCI3AXIS_ruser,
    I_PSNOCCCI3AXIS_rvalid,
    I_PSNOCCCI3AXIS_wdata,
    I_PSNOCCCI3AXIS_wlast,
    I_PSNOCCCI3AXIS_wready,
    I_PSNOCCCI3AXIS_wstrb,
    I_PSNOCCCI3AXIS_wuser,
    I_PSNOCCCI3AXIS_wvalid,
    I_PSNOCCCIAXIM_araddr,
    I_PSNOCCCIAXIM_arburst,
    I_PSNOCCCIAXIM_arcache,
    I_PSNOCCCIAXIM_arlen,
    I_PSNOCCCIAXIM_arlock,
    I_PSNOCCCIAXIM_arprot,
    I_PSNOCCCIAXIM_arqos,
    I_PSNOCCCIAXIM_arready,
    I_PSNOCCCIAXIM_arsize,
    I_PSNOCCCIAXIM_aruser,
    I_PSNOCCCIAXIM_arvalid,
    I_PSNOCCCIAXIM_awaddr,
    I_PSNOCCCIAXIM_awburst,
    I_PSNOCCCIAXIM_awcache,
    I_PSNOCCCIAXIM_awlen,
    I_PSNOCCCIAXIM_awlock,
    I_PSNOCCCIAXIM_awprot,
    I_PSNOCCCIAXIM_awqos,
    I_PSNOCCCIAXIM_awready,
    I_PSNOCCCIAXIM_awsize,
    I_PSNOCCCIAXIM_awuser,
    I_PSNOCCCIAXIM_awvalid,
    I_PSNOCCCIAXIM_bready,
    I_PSNOCCCIAXIM_bresp,
    I_PSNOCCCIAXIM_buser,
    I_PSNOCCCIAXIM_bvalid,
    I_PSNOCCCIAXIM_rdata,
    I_PSNOCCCIAXIM_rlast,
    I_PSNOCCCIAXIM_rready,
    I_PSNOCCCIAXIM_rresp,
    I_PSNOCCCIAXIM_ruser,
    I_PSNOCCCIAXIM_rvalid,
    I_PSNOCCCIAXIM_wdata,
    I_PSNOCCCIAXIM_wlast,
    I_PSNOCCCIAXIM_wready,
    I_PSNOCCCIAXIM_wstrb,
    I_PSNOCCCIAXIM_wuser,
    I_PSNOCCCIAXIM_wvalid,
    I_PSNOCCCIAXIS_araddr,
    I_PSNOCCCIAXIS_arburst,
    I_PSNOCCCIAXIS_arcache,
    I_PSNOCCCIAXIS_arid,
    I_PSNOCCCIAXIS_arlen,
    I_PSNOCCCIAXIS_arlock,
    I_PSNOCCCIAXIS_arprot,
    I_PSNOCCCIAXIS_arqos,
    I_PSNOCCCIAXIS_arready,
    I_PSNOCCCIAXIS_arsize,
    I_PSNOCCCIAXIS_aruser,
    I_PSNOCCCIAXIS_arvalid,
    I_PSNOCCCIAXIS_awaddr,
    I_PSNOCCCIAXIS_awburst,
    I_PSNOCCCIAXIS_awcache,
    I_PSNOCCCIAXIS_awid,
    I_PSNOCCCIAXIS_awlen,
    I_PSNOCCCIAXIS_awlock,
    I_PSNOCCCIAXIS_awprot,
    I_PSNOCCCIAXIS_awqos,
    I_PSNOCCCIAXIS_awready,
    I_PSNOCCCIAXIS_awsize,
    I_PSNOCCCIAXIS_awuser,
    I_PSNOCCCIAXIS_awvalid,
    I_PSNOCCCIAXIS_bid,
    I_PSNOCCCIAXIS_bready,
    I_PSNOCCCIAXIS_bresp,
    I_PSNOCCCIAXIS_buser,
    I_PSNOCCCIAXIS_bvalid,
    I_PSNOCCCIAXIS_rdata,
    I_PSNOCCCIAXIS_rid,
    I_PSNOCCCIAXIS_rlast,
    I_PSNOCCCIAXIS_rready,
    I_PSNOCCCIAXIS_rresp,
    I_PSNOCCCIAXIS_ruser,
    I_PSNOCCCIAXIS_rvalid,
    I_PSNOCCCIAXIS_wdata,
    I_PSNOCCCIAXIS_wlast,
    I_PSNOCCCIAXIS_wready,
    I_PSNOCCCIAXIS_wstrb,
    I_PSNOCCCIAXIS_wuser,
    I_PSNOCCCIAXIS_wvalid,    
    MAXIGP0_araddr,
    MAXIGP0_arburst,
    MAXIGP0_arcache,
    MAXIGP0_arlen,
    MAXIGP0_arid,
    MAXIGP0_arlock,
    MAXIGP0_arprot,
    MAXIGP0_arqos,
    MAXIGP0_arready,
    MAXIGP0_arsize,
    MAXIGP0_aruser,
    MAXIGP0_arvalid,
    MAXIGP0_awaddr,
    MAXIGP0_awburst,
    MAXIGP0_awcache,
    MAXIGP0_awlen,
    MAXIGP0_awid,
    MAXIGP0_awlock,
    MAXIGP0_awprot,
    MAXIGP0_awqos,
    MAXIGP0_awready,
    MAXIGP0_awsize,
    MAXIGP0_awuser,
    MAXIGP0_awvalid,
    MAXIGP0_bready,
    MAXIGP0_bresp,
    MAXIGP0_buser,
    MAXIGP0_bvalid,
    MAXIGP0_bid,
    MAXIGP0_rdata,
    MAXIGP0_rlast,
    MAXIGP0_rready,
    MAXIGP0_rresp,
    MAXIGP0_ruser,
    MAXIGP0_rvalid,
    MAXIGP0_rid,
    MAXIGP0_wdata,
    MAXIGP0_wlast,
    MAXIGP0_wready,
    MAXIGP0_wstrb,
    MAXIGP0_wuser,
    MAXIGP0_wvalid,
    MAXIGP2_araddr,
    MAXIGP2_arburst,
    MAXIGP2_arcache,
    MAXIGP2_arlen,
    MAXIGP2_arid,
    MAXIGP2_arlock,
    MAXIGP2_arprot,
    MAXIGP2_arqos,
    MAXIGP2_arready,
    MAXIGP2_arsize,
    MAXIGP2_aruser,
    MAXIGP2_arvalid,
    MAXIGP2_awaddr,
    MAXIGP2_awburst,
    MAXIGP2_awcache,
    MAXIGP2_awlen,
    MAXIGP2_awid,
    MAXIGP2_awlock,
    MAXIGP2_awprot,
    MAXIGP2_awqos,
    MAXIGP2_awready,
    MAXIGP2_awsize,
    MAXIGP2_awuser,
    MAXIGP2_awvalid,
    MAXIGP2_bready,
    MAXIGP2_bresp,
    MAXIGP2_buser,
    MAXIGP2_bvalid,
    MAXIGP2_bid,
    MAXIGP2_rdata,
    MAXIGP2_rlast,
    MAXIGP2_rready,
    MAXIGP2_rresp,
    MAXIGP2_ruser,
    MAXIGP2_rvalid,
    MAXIGP2_rid,
    MAXIGP2_wdata,
    MAXIGP2_wlast,
    MAXIGP2_wready,
    MAXIGP2_wstrb,
    MAXIGP2_wuser,
    MAXIGP2_wvalid,
    NOC_API_araddr,
    NOC_API_arburst,
    NOC_API_arcache,
    NOC_API_arid,
    NOC_API_arlen,
    NOC_API_arlock,
    NOC_API_arprot,
    NOC_API_arqos,
    NOC_API_arready,
    NOC_API_arsize,
    NOC_API_aruser,
    NOC_API_arvalid,
    NOC_API_awaddr,
    NOC_API_awburst,
    NOC_API_awcache,
    NOC_API_awid,
    NOC_API_awlen,
    NOC_API_awlock,
    NOC_API_awprot,
    NOC_API_awqos,
    NOC_API_awready,
    NOC_API_awsize,
    NOC_API_awuser,
    NOC_API_awvalid,
    NOC_API_bid,
    NOC_API_bready,
    NOC_API_bresp,
    NOC_API_buser,
    NOC_API_bvalid,
    NOC_API_rdata,
    NOC_API_rid,
    NOC_API_rlast,
    NOC_API_rready,
    NOC_API_rresp,
    NOC_API_ruser,
    NOC_API_rvalid,
    NOC_API_wdata,
    NOC_API_wlast,
    NOC_API_wready,
    NOC_API_wstrb,
    NOC_API_wuser,
    NOC_API_wvalid,
    OCM_araddr,
    OCM_arburst,
    OCM_arcache,
    OCM_arlen,
    OCM_arlock,
    OCM_arprot,
    OCM_arqos,
    OCM_arready,
    OCM_arsize,
    OCM_aruser,
    OCM_arvalid,
    OCM_awaddr,
    OCM_awburst,
    OCM_awcache,
    OCM_awlen,
    OCM_awlock,
    OCM_awprot,
    OCM_awqos,
    OCM_awready,
    OCM_awsize,
    OCM_awuser,
    OCM_awvalid,
    OCM_bready,
    OCM_bresp,
    OCM_buser,
    OCM_bvalid,
    OCM_rdata,
    OCM_rlast,
    OCM_rready,
    OCM_rresp,
    OCM_ruser,
    OCM_rvalid,
    OCM_wdata,
    OCM_wlast,
    OCM_wready,
    OCM_wstrb,
    OCM_wuser,
    OCM_wvalid,
    R5_API_araddr,
    R5_API_arburst,
    R5_API_arcache,
    R5_API_arid,
    R5_API_arlen,
    R5_API_arlock,
    R5_API_arprot,
    R5_API_arqos,
    R5_API_arready,
    R5_API_arsize,
    R5_API_aruser,
    R5_API_arvalid,
    R5_API_awaddr,
    R5_API_awburst,
    R5_API_awcache,
    R5_API_awid,
    R5_API_awlen,
    R5_API_awlock,
    R5_API_awprot,
    R5_API_awqos,
    R5_API_awready,
    R5_API_awsize,
    R5_API_awuser,
    R5_API_awvalid,
    R5_API_bid,
    R5_API_bready,
    R5_API_bresp,
    R5_API_buser,
    R5_API_bvalid,
    R5_API_rdata,
    R5_API_rid,
    R5_API_rlast,
    R5_API_rready,
    R5_API_rresp,
    R5_API_ruser,
    R5_API_rvalid,
    R5_API_wdata,
    R5_API_wlast,
    R5_API_wready,
    R5_API_wstrb,
    R5_API_wuser,
    R5_API_wvalid,
    REG_MEM10_araddr,
    REG_MEM10_arburst,
    REG_MEM10_arcache,
    REG_MEM10_arlen,
    REG_MEM10_arlock,
    REG_MEM10_arprot,
    REG_MEM10_arqos,
    REG_MEM10_arready,
    REG_MEM10_arsize,
    REG_MEM10_aruser,
    REG_MEM10_arvalid,
    REG_MEM10_awaddr,
    REG_MEM10_awburst,
    REG_MEM10_awcache,
    REG_MEM10_awlen,
    REG_MEM10_awlock,
    REG_MEM10_awprot,
    REG_MEM10_awqos,
    REG_MEM10_awready,
    REG_MEM10_awsize,
    REG_MEM10_awuser,
    REG_MEM10_awvalid,
    REG_MEM10_bready,
    REG_MEM10_bresp,
    REG_MEM10_buser,
    REG_MEM10_bvalid,
    REG_MEM10_rdata,
    REG_MEM10_rlast,
    REG_MEM10_rready,
    REG_MEM10_rresp,
    REG_MEM10_ruser,
    REG_MEM10_rvalid,
    REG_MEM10_wdata,
    REG_MEM10_wlast,
    REG_MEM10_wready,
    REG_MEM10_wstrb,
    REG_MEM10_wuser,
    REG_MEM10_wvalid,
    REG_MEM11_araddr,
    REG_MEM11_arburst,
    REG_MEM11_arcache,
    REG_MEM11_arlen,
    REG_MEM11_arlock,
    REG_MEM11_arprot,
    REG_MEM11_arqos,
    REG_MEM11_arready,
    REG_MEM11_arsize,
    REG_MEM11_aruser,
    REG_MEM11_arvalid,
    REG_MEM11_awaddr,
    REG_MEM11_awburst,
    REG_MEM11_awcache,
    REG_MEM11_awlen,
    REG_MEM11_awlock,
    REG_MEM11_awprot,
    REG_MEM11_awqos,
    REG_MEM11_awready,
    REG_MEM11_awsize,
    REG_MEM11_awuser,
    REG_MEM11_awvalid,
    REG_MEM11_bready,
    REG_MEM11_bresp,
    REG_MEM11_buser,
    REG_MEM11_bvalid,
    REG_MEM11_rdata,
    REG_MEM11_rlast,
    REG_MEM11_rready,
    REG_MEM11_rresp,
    REG_MEM11_ruser,
    REG_MEM11_rvalid,
    REG_MEM11_wdata,
    REG_MEM11_wlast,
    REG_MEM11_wready,
    REG_MEM11_wstrb,
    REG_MEM11_wuser,
    REG_MEM11_wvalid,
    REG_MEM12_araddr,
    REG_MEM12_arburst,
    REG_MEM12_arcache,
    REG_MEM12_arlen,
    REG_MEM12_arlock,
    REG_MEM12_arprot,
    REG_MEM12_arqos,
    REG_MEM12_arready,
    REG_MEM12_arsize,
    REG_MEM12_aruser,
    REG_MEM12_arvalid,
    REG_MEM12_awaddr,
    REG_MEM12_awburst,
    REG_MEM12_awcache,
    REG_MEM12_awlen,
    REG_MEM12_awlock,
    REG_MEM12_awprot,
    REG_MEM12_awqos,
    REG_MEM12_awready,
    REG_MEM12_awsize,
    REG_MEM12_awuser,
    REG_MEM12_awvalid,
    REG_MEM12_bready,
    REG_MEM12_bresp,
    REG_MEM12_buser,
    REG_MEM12_bvalid,
    REG_MEM12_rdata,
    REG_MEM12_rlast,
    REG_MEM12_rready,
    REG_MEM12_rresp,
    REG_MEM12_ruser,
    REG_MEM12_rvalid,
    REG_MEM12_wdata,
    REG_MEM12_wlast,
    REG_MEM12_wready,
    REG_MEM12_wstrb,
    REG_MEM12_wuser,
    REG_MEM12_wvalid,
    REG_MEM1_araddr,
    REG_MEM1_arburst,
    REG_MEM1_arcache,
    REG_MEM1_arlen,
    REG_MEM1_arlock,
    REG_MEM1_arprot,
    REG_MEM1_arqos,
    REG_MEM1_arready,
    REG_MEM1_arsize,
    REG_MEM1_aruser,
    REG_MEM1_arvalid,
    REG_MEM1_awaddr,
    REG_MEM1_awburst,
    REG_MEM1_awcache,
    REG_MEM1_awlen,
    REG_MEM1_awlock,
    REG_MEM1_awprot,
    REG_MEM1_awqos,
    REG_MEM1_awready,
    REG_MEM1_awsize,
    REG_MEM1_awuser,
    REG_MEM1_awvalid,
    REG_MEM1_bready,
    REG_MEM1_bresp,
    REG_MEM1_buser,
    REG_MEM1_bvalid,
    REG_MEM1_rdata,
    REG_MEM1_rlast,
    REG_MEM1_rready,
    REG_MEM1_rresp,
    REG_MEM1_ruser,
    REG_MEM1_rvalid,
    REG_MEM1_wdata,
    REG_MEM1_wlast,
    REG_MEM1_wready,
    REG_MEM1_wstrb,
    REG_MEM1_wuser,
    REG_MEM1_wvalid,
    REG_MEM2_araddr,
    REG_MEM2_arburst,
    REG_MEM2_arcache,
    REG_MEM2_arlen,
    REG_MEM2_arlock,
    REG_MEM2_arprot,
    REG_MEM2_arqos,
    REG_MEM2_arready,
    REG_MEM2_arsize,
    REG_MEM2_aruser,
    REG_MEM2_arvalid,
    REG_MEM2_awaddr,
    REG_MEM2_awburst,
    REG_MEM2_awcache,
    REG_MEM2_awlen,
    REG_MEM2_awlock,
    REG_MEM2_awprot,
    REG_MEM2_awqos,
    REG_MEM2_awready,
    REG_MEM2_awsize,
    REG_MEM2_awuser,
    REG_MEM2_awvalid,
    REG_MEM2_bready,
    REG_MEM2_bresp,
    REG_MEM2_buser,
    REG_MEM2_bvalid,
    REG_MEM2_rdata,
    REG_MEM2_rlast,
    REG_MEM2_rready,
    REG_MEM2_rresp,
    REG_MEM2_ruser,
    REG_MEM2_rvalid,
    REG_MEM2_wdata,
    REG_MEM2_wlast,
    REG_MEM2_wready,
    REG_MEM2_wstrb,
    REG_MEM2_wuser,
    REG_MEM2_wvalid,
    REG_MEM3_araddr,
    REG_MEM3_arburst,
    REG_MEM3_arcache,
    REG_MEM3_arlen,
    REG_MEM3_arlock,
    REG_MEM3_arprot,
    REG_MEM3_arqos,
    REG_MEM3_arready,
    REG_MEM3_arsize,
    REG_MEM3_aruser,
    REG_MEM3_arvalid,
    REG_MEM3_awaddr,
    REG_MEM3_awburst,
    REG_MEM3_awcache,
    REG_MEM3_awlen,
    REG_MEM3_awlock,
    REG_MEM3_awprot,
    REG_MEM3_awqos,
    REG_MEM3_awready,
    REG_MEM3_awsize,
    REG_MEM3_awuser,
    REG_MEM3_awvalid,
    REG_MEM3_bready,
    REG_MEM3_bresp,
    REG_MEM3_buser,
    REG_MEM3_bvalid,
    REG_MEM3_rdata,
    REG_MEM3_rlast,
    REG_MEM3_rready,
    REG_MEM3_rresp,
    REG_MEM3_ruser,
    REG_MEM3_rvalid,
    REG_MEM3_wdata,
    REG_MEM3_wlast,
    REG_MEM3_wready,
    REG_MEM3_wstrb,
    REG_MEM3_wuser,
    REG_MEM3_wvalid,
    REG_MEM4_araddr,
    REG_MEM4_arburst,
    REG_MEM4_arcache,
    REG_MEM4_arlen,
    REG_MEM4_arlock,
    REG_MEM4_arprot,
    REG_MEM4_arqos,
    REG_MEM4_arready,
    REG_MEM4_arsize,
    REG_MEM4_aruser,
    REG_MEM4_arvalid,
    REG_MEM4_awaddr,
    REG_MEM4_awburst,
    REG_MEM4_awcache,
    REG_MEM4_awlen,
    REG_MEM4_awlock,
    REG_MEM4_awprot,
    REG_MEM4_awqos,
    REG_MEM4_awready,
    REG_MEM4_awsize,
    REG_MEM4_awuser,
    REG_MEM4_awvalid,
    REG_MEM4_bready,
    REG_MEM4_bresp,
    REG_MEM4_buser,
    REG_MEM4_bvalid,
    REG_MEM4_rdata,
    REG_MEM4_rlast,
    REG_MEM4_rready,
    REG_MEM4_rresp,
    REG_MEM4_ruser,
    REG_MEM4_rvalid,
    REG_MEM4_wdata,
    REG_MEM4_wlast,
    REG_MEM4_wready,
    REG_MEM4_wstrb,
    REG_MEM4_wuser,
    REG_MEM4_wvalid,
    REG_MEM5_araddr,
    REG_MEM5_arburst,
    REG_MEM5_arcache,
    REG_MEM5_arlen,
    REG_MEM5_arlock,
    REG_MEM5_arprot,
    REG_MEM5_arqos,
    REG_MEM5_arready,
    REG_MEM5_arsize,
    REG_MEM5_aruser,
    REG_MEM5_arvalid,
    REG_MEM5_awaddr,
    REG_MEM5_awburst,
    REG_MEM5_awcache,
    REG_MEM5_awlen,
    REG_MEM5_awlock,
    REG_MEM5_awprot,
    REG_MEM5_awqos,
    REG_MEM5_awready,
    REG_MEM5_awsize,
    REG_MEM5_awuser,
    REG_MEM5_awvalid,
    REG_MEM5_bready,
    REG_MEM5_bresp,
    REG_MEM5_buser,
    REG_MEM5_bvalid,
    REG_MEM5_rdata,
    REG_MEM5_rlast,
    REG_MEM5_rready,
    REG_MEM5_rresp,
    REG_MEM5_ruser,
    REG_MEM5_rvalid,
    REG_MEM5_wdata,
    REG_MEM5_wlast,
    REG_MEM5_wready,
    REG_MEM5_wstrb,
    REG_MEM5_wuser,
    REG_MEM5_wvalid,
    REG_MEM6_araddr,
    REG_MEM6_arburst,
    REG_MEM6_arcache,
    REG_MEM6_arlen,
    REG_MEM6_arlock,
    REG_MEM6_arprot,
    REG_MEM6_arqos,
    REG_MEM6_arready,
    REG_MEM6_arsize,
    REG_MEM6_aruser,
    REG_MEM6_arvalid,
    REG_MEM6_awaddr,
    REG_MEM6_awburst,
    REG_MEM6_awcache,
    REG_MEM6_awlen,
    REG_MEM6_awlock,
    REG_MEM6_awprot,
    REG_MEM6_awqos,
    REG_MEM6_awready,
    REG_MEM6_awsize,
    REG_MEM6_awuser,
    REG_MEM6_awvalid,
    REG_MEM6_bready,
    REG_MEM6_bresp,
    REG_MEM6_buser,
    REG_MEM6_bvalid,
    REG_MEM6_rdata,
    REG_MEM6_rlast,
    REG_MEM6_rready,
    REG_MEM6_rresp,
    REG_MEM6_ruser,
    REG_MEM6_rvalid,
    REG_MEM6_wdata,
    REG_MEM6_wlast,
    REG_MEM6_wready,
    REG_MEM6_wstrb,
    REG_MEM6_wuser,
    REG_MEM6_wvalid,
    REG_MEM7_araddr,
    REG_MEM7_arburst,
    REG_MEM7_arcache,
    REG_MEM7_arlen,
    REG_MEM7_arlock,
    REG_MEM7_arprot,
    REG_MEM7_arqos,
    REG_MEM7_arready,
    REG_MEM7_arsize,
    REG_MEM7_aruser,
    REG_MEM7_arvalid,
    REG_MEM7_awaddr,
    REG_MEM7_awburst,
    REG_MEM7_awcache,
    REG_MEM7_awlen,
    REG_MEM7_awlock,
    REG_MEM7_awprot,
    REG_MEM7_awqos,
    REG_MEM7_awready,
    REG_MEM7_awsize,
    REG_MEM7_awuser,
    REG_MEM7_awvalid,
    REG_MEM7_bready,
    REG_MEM7_bresp,
    REG_MEM7_buser,
    REG_MEM7_bvalid,
    REG_MEM7_rdata,
    REG_MEM7_rlast,
    REG_MEM7_rready,
    REG_MEM7_rresp,
    REG_MEM7_ruser,
    REG_MEM7_rvalid,
    REG_MEM7_wdata,
    REG_MEM7_wlast,
    REG_MEM7_wready,
    REG_MEM7_wstrb,
    REG_MEM7_wuser,
    REG_MEM7_wvalid,
    REG_MEM8_araddr,
    REG_MEM8_arburst,
    REG_MEM8_arcache,
    REG_MEM8_arlen,
    REG_MEM8_arlock,
    REG_MEM8_arprot,
    REG_MEM8_arqos,
    REG_MEM8_arready,
    REG_MEM8_arsize,
    REG_MEM8_aruser,
    REG_MEM8_arvalid,
    REG_MEM8_awaddr,
    REG_MEM8_awburst,
    REG_MEM8_awcache,
    REG_MEM8_awlen,
    REG_MEM8_awlock,
    REG_MEM8_awprot,
    REG_MEM8_awqos,
    REG_MEM8_awready,
    REG_MEM8_awsize,
    REG_MEM8_awuser,
    REG_MEM8_awvalid,
    REG_MEM8_bready,
    REG_MEM8_bresp,
    REG_MEM8_buser,
    REG_MEM8_bvalid,
    REG_MEM8_rdata,
    REG_MEM8_rlast,
    REG_MEM8_rready,
    REG_MEM8_rresp,
    REG_MEM8_ruser,
    REG_MEM8_rvalid,
    REG_MEM8_wdata,
    REG_MEM8_wlast,
    REG_MEM8_wready,
    REG_MEM8_wstrb,
    REG_MEM8_wuser,
    REG_MEM8_wvalid,
    REG_MEM9_araddr,
    REG_MEM9_arburst,
    REG_MEM9_arcache,
    REG_MEM9_arlen,
    REG_MEM9_arlock,
    REG_MEM9_arprot,
    REG_MEM9_arqos,
    REG_MEM9_arready,
    REG_MEM9_arsize,
    REG_MEM9_aruser,
    REG_MEM9_arvalid,
    REG_MEM9_awaddr,
    REG_MEM9_awburst,
    REG_MEM9_awcache,
    REG_MEM9_awlen,
    REG_MEM9_awlock,
    REG_MEM9_awprot,
    REG_MEM9_awqos,
    REG_MEM9_awready,
    REG_MEM9_awsize,
    REG_MEM9_awuser,
    REG_MEM9_awvalid,
    REG_MEM9_bready,
    REG_MEM9_bresp,
    REG_MEM9_buser,
    REG_MEM9_bvalid,
    REG_MEM9_rdata,
    REG_MEM9_rlast,
    REG_MEM9_rready,
    REG_MEM9_rresp,
    REG_MEM9_ruser,
    REG_MEM9_rvalid,
    REG_MEM9_wdata,
    REG_MEM9_wlast,
    REG_MEM9_wready,
    REG_MEM9_wstrb,
    REG_MEM9_wuser,
    REG_MEM9_wvalid,    
    SACEFPD_araddr,
    SACEFPD_arburst,
    SACEFPD_arcache,
    SACEFPD_arid,
    SACEFPD_arlen,
    SACEFPD_arlock,
    SACEFPD_arprot,
    SACEFPD_arqos,
    SACEFPD_arready,
    SACEFPD_arsize,
    SACEFPD_aruser,
    SACEFPD_arvalid,
    SACEFPD_awaddr,
    SACEFPD_awburst,
    SACEFPD_awcache,
    SACEFPD_awid,
    SACEFPD_awlen,
    SACEFPD_awlock,
    SACEFPD_awprot,
    SACEFPD_awqos,
    SACEFPD_awready,
    SACEFPD_awsize,
    SACEFPD_awuser,
    SACEFPD_awvalid,
    SACEFPD_bid,
    SACEFPD_bready,
    SACEFPD_bresp,
    SACEFPD_buser,
    SACEFPD_bvalid,
    SACEFPD_rdata,
    SACEFPD_rid,
    SACEFPD_rlast,
    SACEFPD_rready,
    SACEFPD_rresp,
    SACEFPD_ruser,
    SACEFPD_rvalid,
    SACEFPD_wdata,
    SACEFPD_wlast,
    SACEFPD_wready,
    SACEFPD_wstrb,
    SACEFPD_wuser,
    SACEFPD_wvalid,
    SACEFPD_wid,
    SAXIACP_araddr,
    SAXIACP_arburst,
    SAXIACP_arcache,
    SAXIACP_arid,
    SAXIACP_arlen,
    SAXIACP_arlock,
    SAXIACP_arprot,
    SAXIACP_arqos,
    SAXIACP_arready,
    SAXIACP_arsize,
    SAXIACP_aruser,
    SAXIACP_arvalid,
    SAXIACP_awaddr,
    SAXIACP_awburst,
    SAXIACP_awcache,
    SAXIACP_awid,
    SAXIACP_awlen,
    SAXIACP_awlock,
    SAXIACP_awprot,
    SAXIACP_awqos,
    SAXIACP_awready,
    SAXIACP_awsize,
    SAXIACP_awuser,
    SAXIACP_awvalid,
    SAXIACP_bid,
    SAXIACP_bready,
    SAXIACP_bresp,
    SAXIACP_buser,
    SAXIACP_bvalid,
    SAXIACP_rdata,
    SAXIACP_rid,
    SAXIACP_rlast,
    SAXIACP_rready,
    SAXIACP_rresp,
    SAXIACP_ruser,
    SAXIACP_rvalid,
    SAXIACP_wdata,
    SAXIACP_wlast,
    SAXIACP_wready,
    SAXIACP_wstrb,
    SAXIACP_wuser,
    SAXIACP_wvalid,
    SAXIGP0_araddr,
    SAXIGP0_arburst,
    SAXIGP0_arcache,
    SAXIGP0_arid,
    SAXIGP0_arlen,
    SAXIGP0_arlock,
    SAXIGP0_arprot,
    SAXIGP0_arqos,
    SAXIGP0_arready,
    SAXIGP0_arsize,
    SAXIGP0_aruser,
    SAXIGP0_arvalid,
    SAXIGP0_awaddr,
    SAXIGP0_awburst,
    SAXIGP0_awcache,
    SAXIGP0_awid,
    SAXIGP0_awlen,
    SAXIGP0_awlock,
    SAXIGP0_awprot,
    SAXIGP0_awqos,
    SAXIGP0_awready,
    SAXIGP0_awsize,
    SAXIGP0_awuser,
    SAXIGP0_awvalid,
    SAXIGP0_bid,
    SAXIGP0_bready,
    SAXIGP0_bresp,
    SAXIGP0_buser,
    SAXIGP0_bvalid,
    SAXIGP0_rdata,
    SAXIGP0_rid,
    SAXIGP0_rlast,
    SAXIGP0_rready,
    SAXIGP0_rresp,
    SAXIGP0_ruser,
    SAXIGP0_rvalid,
    SAXIGP0_wdata,
    SAXIGP0_wlast,
    SAXIGP0_wready,
    SAXIGP0_wstrb,
    SAXIGP0_wuser,
    SAXIGP0_wvalid,
    SAXIGP2_araddr,
    SAXIGP2_arburst,
    SAXIGP2_arcache,
    SAXIGP2_arid,
    SAXIGP2_arlen,
    SAXIGP2_arlock,
    SAXIGP2_arprot,
    SAXIGP2_arqos,
    SAXIGP2_arready,
    SAXIGP2_arsize,
    SAXIGP2_aruser,
    SAXIGP2_arvalid,
    SAXIGP2_awaddr,
    SAXIGP2_awburst,
    SAXIGP2_awcache,
    SAXIGP2_awid,
    SAXIGP2_awlen,
    SAXIGP2_awlock,
    SAXIGP2_awprot,
    SAXIGP2_awqos,
    SAXIGP2_awready,
    SAXIGP2_awsize,
    SAXIGP2_awuser,
    SAXIGP2_awvalid,
    SAXIGP2_bid,
    SAXIGP2_bready,
    SAXIGP2_bresp,
    SAXIGP2_buser,
    SAXIGP2_bvalid,
    SAXIGP2_rdata,
    SAXIGP2_rid,
    SAXIGP2_rlast,
    SAXIGP2_rready,
    SAXIGP2_rresp,
    SAXIGP2_ruser,
    SAXIGP2_rvalid,
    SAXIGP2_wdata,
    SAXIGP2_wlast,
    SAXIGP2_wready,
    SAXIGP2_wstrb,
    SAXIGP2_wuser,
    SAXIGP2_wvalid,
    SAXIGP4_araddr,
    SAXIGP4_arburst,
    SAXIGP4_arcache,
    SAXIGP4_arid,
    SAXIGP4_arlen,
    SAXIGP4_arlock,
    SAXIGP4_arprot,
    SAXIGP4_arqos,
    SAXIGP4_arready,
    SAXIGP4_arsize,
    SAXIGP4_aruser,
    SAXIGP4_arvalid,
    SAXIGP4_awaddr,
    SAXIGP4_awburst,
    SAXIGP4_awcache,
    SAXIGP4_awid,
    SAXIGP4_awlen,
    SAXIGP4_awlock,
    SAXIGP4_awprot,
    SAXIGP4_awqos,
    SAXIGP4_awready,
    SAXIGP4_awsize,
    SAXIGP4_awuser,
    SAXIGP4_awvalid,
    SAXIGP4_bid,
    SAXIGP4_bready,
    SAXIGP4_bresp,
    SAXIGP4_buser,
    SAXIGP4_bvalid,
    SAXIGP4_rdata,
    SAXIGP4_rid,
    SAXIGP4_rlast,
    SAXIGP4_rready,
    SAXIGP4_rresp,
    SAXIGP4_ruser,
    SAXIGP4_rvalid,
    SAXIGP4_wdata,
    SAXIGP4_wlast,
    SAXIGP4_wready,
    SAXIGP4_wstrb,
    SAXIGP4_wuser,
    SAXIGP4_wvalid,
    SMARTCONNECT6IN_araddr,
    SMARTCONNECT6IN_arburst,
    SMARTCONNECT6IN_arcache,
    SMARTCONNECT6IN_arlen,
    SMARTCONNECT6IN_arlock,
    SMARTCONNECT6IN_arprot,
    SMARTCONNECT6IN_arqos,
    SMARTCONNECT6IN_arready,
    SMARTCONNECT6IN_arsize,
    SMARTCONNECT6IN_aruser,
    SMARTCONNECT6IN_arvalid,
    SMARTCONNECT6IN_awaddr,
    SMARTCONNECT6IN_awburst,
    SMARTCONNECT6IN_awcache,
    SMARTCONNECT6IN_awlen,
    SMARTCONNECT6IN_awlock,
    SMARTCONNECT6IN_awprot,
    SMARTCONNECT6IN_awqos,
    SMARTCONNECT6IN_awready,
    SMARTCONNECT6IN_awsize,
    SMARTCONNECT6IN_awuser,
    SMARTCONNECT6IN_awvalid,
    SMARTCONNECT6IN_bready,
    SMARTCONNECT6IN_bresp,
    SMARTCONNECT6IN_buser,
    SMARTCONNECT6IN_bvalid,
    SMARTCONNECT6IN_rdata,
    SMARTCONNECT6IN_rlast,
    SMARTCONNECT6IN_rready,
    SMARTCONNECT6IN_rresp,
    SMARTCONNECT6IN_ruser,
    SMARTCONNECT6IN_rvalid,
    SMARTCONNECT6IN_wdata,
    SMARTCONNECT6IN_wlast,
    SMARTCONNECT6IN_wready,
    SMARTCONNECT6IN_wstrb,
    SMARTCONNECT6IN_wuser,
    SMARTCONNECT6IN_wvalid,
    SMARTCONNECT6OUT_araddr,
    SMARTCONNECT6OUT_arburst,
    SMARTCONNECT6OUT_arcache,
    SMARTCONNECT6OUT_arlen,
    SMARTCONNECT6OUT_arlock,
    SMARTCONNECT6OUT_arprot,
    SMARTCONNECT6OUT_arqos,
    SMARTCONNECT6OUT_arready,
    SMARTCONNECT6OUT_arsize,
    SMARTCONNECT6OUT_aruser,
    SMARTCONNECT6OUT_arvalid,
    SMARTCONNECT6OUT_awaddr,
    SMARTCONNECT6OUT_awburst,
    SMARTCONNECT6OUT_awcache,
    SMARTCONNECT6OUT_awlen,
    SMARTCONNECT6OUT_awlock,
    SMARTCONNECT6OUT_awprot,
    SMARTCONNECT6OUT_awqos,
    SMARTCONNECT6OUT_awready,
    SMARTCONNECT6OUT_awsize,
    SMARTCONNECT6OUT_awuser,
    SMARTCONNECT6OUT_awvalid,
    SMARTCONNECT6OUT_bready,
    SMARTCONNECT6OUT_bresp,
    SMARTCONNECT6OUT_buser,
    SMARTCONNECT6OUT_bvalid,
    SMARTCONNECT6OUT_rdata,
    SMARTCONNECT6OUT_rlast,
    SMARTCONNECT6OUT_rready,
    SMARTCONNECT6OUT_rresp,
    SMARTCONNECT6OUT_ruser,
    SMARTCONNECT6OUT_rvalid,
    SMARTCONNECT6OUT_wdata,
    SMARTCONNECT6OUT_wlast,
    SMARTCONNECT6OUT_wready,
    SMARTCONNECT6OUT_wstrb,
    SMARTCONNECT6OUT_wuser,
    SMARTCONNECT6OUT_wvalid,
    IFPSOCM2APBPADDR,
    IFPSOCM2APBPENABLE,
    IFPSOCM2APBPPROT,
    IFPSOCM2APBPSEL,
    IFPSOCM2APBPSTRB,
    IFPSOCM2APBPWDATA,
    IFPSOCM2APBPWRITE,
    IFPSOCM2APBPRDATA,
    IFPSOCM2APBPREADY,
    IFPSOCM2APBPSLVERR,    
    IFPSOCM2AXIARADDR,
    IFPSOCM2AXIARBURST,
    IFPSOCM2AXIARCACHE,
    IFPSOCM2AXIARID,
    IFPSOCM2AXIARLEN,
    IFPSOCM2AXIARLOCK,
    IFPSOCM2AXIARPROT,
    IFPSOCM2AXIARQOS,
    IFPSOCM2AXIARREGION,
    IFPSOCM2AXIARSIZE,
    IFPSOCM2AXIARUSER,
    IFPSOCM2AXIARVALID,
    IFPSOCM2AXIAWADDR,
    IFPSOCM2AXIAWBURST,
    IFPSOCM2AXIAWCACHE,
    IFPSOCM2AXIAWID,
    IFPSOCM2AXIAWLEN,
    IFPSOCM2AXIAWLOCK,
    IFPSOCM2AXIAWPROT,
    IFPSOCM2AXIAWQOS,
    IFPSOCM2AXIAWREGION,
    IFPSOCM2AXIAWSIZE,
    IFPSOCM2AXIAWUSER,
    IFPSOCM2AXIAWVALID,
    IFPSOCM2AXIBREADY,
    IFPSOCM2AXIRREADY,
    IFPSOCM2AXIWDATA,
    IFPSOCM2AXIWID,
    IFPSOCM2AXIWLAST,
    IFPSOCM2AXIWSTRB,
    IFPSOCM2AXIWUSER,
    IFPSOCM2AXIWVALID,
    IFPSOCM2AXIARREADY,
    IFPSOCM2AXIAWREADY,
    IFPSOCM2AXIBID,
    IFPSOCM2AXIBRESP,
    IFPSOCM2AXIBUSER,
    IFPSOCM2AXIBVALID,
    IFPSOCM2AXIRDATA,
    IFPSOCM2AXIRID,
    IFPSOCM2AXIRLAST,
    IFPSOCM2AXIRRESP,
    IFPSOCM2AXIRUSER,
    IFPSOCM2AXIRVALID,
    IFPSOCM2AXIWREADY,    
    maxigp0_port_width,
    maxigp2_port_width,
    aclk_0,
    aresetn_0);

 input	[63:0]		AFI_API_araddr;
 input	[1:0]		AFI_API_arburst;
 input	[3:0]		AFI_API_arcache;
 input	[5:0]		AFI_API_arid;
 input	[7:0]		AFI_API_arlen;
 input	[0:0]		AFI_API_arlock;
 input	[2:0]		AFI_API_arprot;
 input	[3:0]		AFI_API_arqos;
 output			AFI_API_arready;
 input	[2:0]		AFI_API_arsize;
 input	[15:0]		AFI_API_aruser;
 input			AFI_API_arvalid;
 input	[63:0]		AFI_API_awaddr;
 input	[1:0]		AFI_API_awburst;
 input	[3:0]		AFI_API_awcache;
 input	[5:0]		AFI_API_awid;
 input	[7:0]		AFI_API_awlen;
 input	[0:0]		AFI_API_awlock;
 input	[2:0]		AFI_API_awprot;
 input	[3:0]		AFI_API_awqos;
 output	 		AFI_API_awready;
 input	[2:0]		AFI_API_awsize;
 input	[15:0]		AFI_API_awuser;
 input	 		AFI_API_awvalid;
 output	[5:0]		AFI_API_bid;
 input	 		AFI_API_bready;
 output	[1:0]		AFI_API_bresp;
 output	[15:0]		AFI_API_buser;
 output	 		AFI_API_bvalid;
 output	[127:0]		AFI_API_rdata;
 output	[5:0]		AFI_API_rid;
 output	 		AFI_API_rlast;
 input	 		AFI_API_rready;
 output	[1:0]		AFI_API_rresp;
 output	[15:0]		AFI_API_ruser;
 output	 		AFI_API_rvalid;
 input	[127:0]		AFI_API_wdata;
 input	 		AFI_API_wlast;
 output	 		AFI_API_wready;
 input	[15:0]		AFI_API_wstrb;
 input	[15:0]		AFI_API_wuser;
 input	 		AFI_API_wvalid;

 input	[63:0]		IFCPMPSAXI0_araddr;
 input 	[1:0]		IFCPMPSAXI0_arburst;
 input 	[3:0]		IFCPMPSAXI0_arcache;
 input 	[15:0]		IFCPMPSAXI0_arid;
 input 	[7:0]		IFCPMPSAXI0_arlen;
 input 	[0:0]		IFCPMPSAXI0_arlock;
 input 	[2:0]		IFCPMPSAXI0_arprot;
 input 	[3:0]		IFCPMPSAXI0_arqos;
 output 		IFCPMPSAXI0_arready;
 input 	[2:0]		IFCPMPSAXI0_arsize;
 input 	[31:0]		IFCPMPSAXI0_aruser;
 input 			IFCPMPSAXI0_arvalid;
 input 	[63:0]		IFCPMPSAXI0_awaddr;
 input 	[1:0]		IFCPMPSAXI0_awburst;
 input 	[3:0]		IFCPMPSAXI0_awcache;
 input 	[15:0]		IFCPMPSAXI0_awid;
 input 	[7:0]		IFCPMPSAXI0_awlen;
 input 	[0:0]		IFCPMPSAXI0_awlock;
 input 	[2:0]		IFCPMPSAXI0_awprot;
 input 	[3:0]		IFCPMPSAXI0_awqos;
 output 		IFCPMPSAXI0_awready;
 input 	[2:0]		IFCPMPSAXI0_awsize;
 input 	[31:0]		IFCPMPSAXI0_awuser;
 input 			IFCPMPSAXI0_awvalid;
 output [15:0]		IFCPMPSAXI0_bid;
 input 			IFCPMPSAXI0_bready;
 output [1:0]		IFCPMPSAXI0_bresp;
 output [0:0]		IFCPMPSAXI0_buser;
 output 		IFCPMPSAXI0_bvalid;
 output [127:0]		IFCPMPSAXI0_rdata;
 output [15:0]		IFCPMPSAXI0_rid;
 output 		IFCPMPSAXI0_rlast;
 input 			IFCPMPSAXI0_rready;
 output [1:0]		IFCPMPSAXI0_rresp;
 output [31:0]		IFCPMPSAXI0_ruser;
 output 		IFCPMPSAXI0_rvalid;
 input 	[127:0]		IFCPMPSAXI0_wdata;
 input 			IFCPMPSAXI0_wlast;
 output 		IFCPMPSAXI0_wready;
 input 	[15:0]		IFCPMPSAXI0_wstrb;
 input 	[31:0]		IFCPMPSAXI0_wuser;
 input 			IFCPMPSAXI0_wvalid;
 input 	[15:0]		IFCPMPSAXI0_wid;
 input 	[63:0]		IFCPMPSAXI1_araddr;
 input 	[1:0]		IFCPMPSAXI1_arburst;
 input 	[3:0]		IFCPMPSAXI1_arcache;
 input 	[15:0]		IFCPMPSAXI1_arid;
 input 	[7:0]		IFCPMPSAXI1_arlen;
 input 	[0:0]		IFCPMPSAXI1_arlock;
 input 	[2:0]		IFCPMPSAXI1_arprot;
 input 	[3:0]		IFCPMPSAXI1_arqos;
 output 		IFCPMPSAXI1_arready;
 input 	[2:0]		IFCPMPSAXI1_arsize;
 input 	[17:0]		IFCPMPSAXI1_aruser;
 input 			IFCPMPSAXI1_arvalid;
 input 	[63:0]		IFCPMPSAXI1_awaddr;
 input 	[1:0]		IFCPMPSAXI1_awburst;
 input 	[3:0]		IFCPMPSAXI1_awcache;
 input 	[15:0]		IFCPMPSAXI1_awid;
 input 	[7:0]		IFCPMPSAXI1_awlen;
 input 	[0:0]		IFCPMPSAXI1_awlock;
 input 	[2:0]		IFCPMPSAXI1_awprot;
 input 	[3:0]		IFCPMPSAXI1_awqos;
 output 		IFCPMPSAXI1_awready;
 input 	[2:0]		IFCPMPSAXI1_awsize;
 input 	[17:0]		IFCPMPSAXI1_awuser;
 input 			IFCPMPSAXI1_awvalid;
 output [15:0]		IFCPMPSAXI1_bid;
 input 			IFCPMPSAXI1_bready;
 output [1:0]		IFCPMPSAXI1_bresp;
 output [15:0]		IFCPMPSAXI1_buser;
 output 		IFCPMPSAXI1_bvalid;
 output [127:0]		IFCPMPSAXI1_rdata;
 output [15:0]		IFCPMPSAXI1_rid;
 output 		IFCPMPSAXI1_rlast;
 input 			IFCPMPSAXI1_rready;
 output [1:0]		IFCPMPSAXI1_rresp;
 output [31:0]		IFCPMPSAXI1_ruser;
 output 		IFCPMPSAXI1_rvalid;
 input 	[127:0]		IFCPMPSAXI1_wdata;
 input 			IFCPMPSAXI1_wlast;
 output 		IFCPMPSAXI1_wready;
 input 	[15:0]		IFCPMPSAXI1_wstrb;
 input 	[31:0]		IFCPMPSAXI1_wuser;
 input 			IFCPMPSAXI1_wvalid;
 input 	[15:0]		IFCPMPSAXI1_wid;
 input 	[63:0]		IFNOCPMCAXI0_araddr;
 input 	[1:0]		IFNOCPMCAXI0_arburst;
 input 	[3:0]		IFNOCPMCAXI0_arcache;
 input 	[1:0]		IFNOCPMCAXI0_arid;
 input 	[7:0]		IFNOCPMCAXI0_arlen;
 input 	[0:0]		IFNOCPMCAXI0_arlock;
 input 	[2:0]		IFNOCPMCAXI0_arprot;
 input 	[3:0]		IFNOCPMCAXI0_arqos;
 output 		IFNOCPMCAXI0_arready;
 input 	[2:0]		IFNOCPMCAXI0_arsize;
 input 	[17:0]		IFNOCPMCAXI0_aruser;
 input 			IFNOCPMCAXI0_arvalid;
 input 	[63:0]		IFNOCPMCAXI0_awaddr;
 input 	[1:0]		IFNOCPMCAXI0_awburst;
 input 	[3:0]		IFNOCPMCAXI0_awcache;
 input 	[1:0]		IFNOCPMCAXI0_awid;
 input 	[7:0]		IFNOCPMCAXI0_awlen;
 input 	[0:0]		IFNOCPMCAXI0_awlock;
 input 	[2:0]		IFNOCPMCAXI0_awprot;
 input 	[3:0]		IFNOCPMCAXI0_awqos;
 output 		IFNOCPMCAXI0_awready;
 input 	[2:0]		IFNOCPMCAXI0_awsize;
 input 	[17:0]		IFNOCPMCAXI0_awuser;
 input 			IFNOCPMCAXI0_awvalid;
 output [1:0]		IFNOCPMCAXI0_bid;
 input 			IFNOCPMCAXI0_bready;
 output [1:0]		IFNOCPMCAXI0_bresp;
 output [15:0]		IFNOCPMCAXI0_buser;
 output 		IFNOCPMCAXI0_bvalid;
 output [127:0]		IFNOCPMCAXI0_rdata;
 output	[1:0]		IFNOCPMCAXI0_rid;
 output 		IFNOCPMCAXI0_rlast;
 input 			IFNOCPMCAXI0_rready;
 output [1:0]		IFNOCPMCAXI0_rresp;
 output [31:0]		IFNOCPMCAXI0_ruser;
 output 		IFNOCPMCAXI0_rvalid;
 input 	[127:0]		IFNOCPMCAXI0_wdata;
 input 			IFNOCPMCAXI0_wlast;
 output 		IFNOCPMCAXI0_wready;
 input 	[15:0]		IFNOCPMCAXI0_wstrb;
 input 	[31:0]		IFNOCPMCAXI0_wuser;
 input 			IFNOCPMCAXI0_wvalid;
 input 	[15:0]		IFNOCPMCAXI0_wid;
 input 	[63:0]		IFNOCPSCCIAXI0_araddr;
 input 	[1:0]		IFNOCPSCCIAXI0_arburst;
 input 	[3:0]		IFNOCPSCCIAXI0_arcache;
 input 	[1:0]		IFNOCPSCCIAXI0_arid;
 input 	[7:0]		IFNOCPSCCIAXI0_arlen;
 input 	[0:0]		IFNOCPSCCIAXI0_arlock;
 input 	[2:0]		IFNOCPSCCIAXI0_arprot;
 input 	[3:0]		IFNOCPSCCIAXI0_arqos;
 output 		IFNOCPSCCIAXI0_arready;
 input 	[2:0]		IFNOCPSCCIAXI0_arsize;
 input 	[17:0]		IFNOCPSCCIAXI0_aruser;
 input 			IFNOCPSCCIAXI0_arvalid;
 input 	[63:0]		IFNOCPSCCIAXI0_awaddr;
 input 	[1:0]		IFNOCPSCCIAXI0_awburst;
 input 	[3:0]		IFNOCPSCCIAXI0_awcache;
 input 	[1:0]		IFNOCPSCCIAXI0_awid;
 input 	[7:0]		IFNOCPSCCIAXI0_awlen;
 input 	[0:0]		IFNOCPSCCIAXI0_awlock;
 input 	[2:0]		IFNOCPSCCIAXI0_awprot;
 input 	[3:0]		IFNOCPSCCIAXI0_awqos;
 output 		IFNOCPSCCIAXI0_awready;
 input 	[2:0]		IFNOCPSCCIAXI0_awsize;
 input 	[17:0]		IFNOCPSCCIAXI0_awuser;
 input 			IFNOCPSCCIAXI0_awvalid;
 output [1:0]		IFNOCPSCCIAXI0_bid;
 input 			IFNOCPSCCIAXI0_bready;
 output [1:0]		IFNOCPSCCIAXI0_bresp;
 output [15:0]		IFNOCPSCCIAXI0_buser;
 output 		IFNOCPSCCIAXI0_bvalid;
 output [127:0]		IFNOCPSCCIAXI0_rdata;
 output [1:0]		IFNOCPSCCIAXI0_rid;
 output 		IFNOCPSCCIAXI0_rlast;
 input 			IFNOCPSCCIAXI0_rready;
 output [1:0]		IFNOCPSCCIAXI0_rresp;
 output [31:0]		IFNOCPSCCIAXI0_ruser;
 output 		IFNOCPSCCIAXI0_rvalid;
 input 	[127:0]		IFNOCPSCCIAXI0_wdata;
 input 			IFNOCPSCCIAXI0_wlast;
 output 		IFNOCPSCCIAXI0_wready;
 input 	[15:0]		IFNOCPSCCIAXI0_wstrb;
 input 	[31:0]		IFNOCPSCCIAXI0_wuser;
 input 			IFNOCPSCCIAXI0_wvalid;
 input 	[15:0]		IFNOCPSCCIAXI0_wid;
 input 	[63:0]		IFNOCPSCCIAXI1_araddr;
 input 	[1:0]		IFNOCPSCCIAXI1_arburst;
 input 	[3:0]		IFNOCPSCCIAXI1_arcache;
 input 	[1:0]		IFNOCPSCCIAXI1_arid;
 input 	[7:0]		IFNOCPSCCIAXI1_arlen;
 input 	[0:0]		IFNOCPSCCIAXI1_arlock;
 input 	[2:0]		IFNOCPSCCIAXI1_arprot;
 input 	[3:0]		IFNOCPSCCIAXI1_arqos;
 output 		IFNOCPSCCIAXI1_arready;
 input 	[2:0]		IFNOCPSCCIAXI1_arsize;
 input 	[17:0]		IFNOCPSCCIAXI1_aruser;
 input 			IFNOCPSCCIAXI1_arvalid;
 input 	[63:0]		IFNOCPSCCIAXI1_awaddr;
 input 	[1:0]		IFNOCPSCCIAXI1_awburst;
 input 	[3:0]		IFNOCPSCCIAXI1_awcache;
 input 	[1:0]		IFNOCPSCCIAXI1_awid;
 input 	[7:0]		IFNOCPSCCIAXI1_awlen;
 input 	[0:0]		IFNOCPSCCIAXI1_awlock;
 input 	[2:0]		IFNOCPSCCIAXI1_awprot;
 input 	[3:0]		IFNOCPSCCIAXI1_awqos;
 output 		IFNOCPSCCIAXI1_awready;
 input 	[2:0]		IFNOCPSCCIAXI1_awsize;
 input 	[17:0]		IFNOCPSCCIAXI1_awuser;
 input 			IFNOCPSCCIAXI1_awvalid;
 output [1:0]		IFNOCPSCCIAXI1_bid;
 input 			IFNOCPSCCIAXI1_bready;
 output [1:0]		IFNOCPSCCIAXI1_bresp;
 output [15:0]		IFNOCPSCCIAXI1_buser;
 output 		IFNOCPSCCIAXI1_bvalid;
 output [127:0]		IFNOCPSCCIAXI1_rdata;
 output [1:0]		IFNOCPSCCIAXI1_rid;
 output 		IFNOCPSCCIAXI1_rlast;
 input 			IFNOCPSCCIAXI1_rready;
 output [1:0]		IFNOCPSCCIAXI1_rresp;
 output [31:0]		IFNOCPSCCIAXI1_ruser;
 output 		IFNOCPSCCIAXI1_rvalid;
 input 	[127:0]		IFNOCPSCCIAXI1_wdata;
 input 			IFNOCPSCCIAXI1_wlast;
 output 		IFNOCPSCCIAXI1_wready;
 input 	[15:0]		IFNOCPSCCIAXI1_wstrb;
 input 	[31:0]		IFNOCPSCCIAXI1_wuser;
 input 			IFNOCPSCCIAXI1_wvalid;
 input 	[15:0]		IFNOCPSCCIAXI1_wid;
 input 	[63:0]		IFNOCPSNCIAXI0_araddr;
 input 	[1:0]		IFNOCPSNCIAXI0_arburst;
 input 	[3:0]		IFNOCPSNCIAXI0_arcache;
 input 	[1:0]		IFNOCPSNCIAXI0_arid;
 input 	[7:0]		IFNOCPSNCIAXI0_arlen;
 input 	[0:0]		IFNOCPSNCIAXI0_arlock;
 input 	[2:0]		IFNOCPSNCIAXI0_arprot;
 input 	[3:0]		IFNOCPSNCIAXI0_arqos;
 output 		IFNOCPSNCIAXI0_arready;
 input 	[2:0]		IFNOCPSNCIAXI0_arsize;
 input 	[17:0]		IFNOCPSNCIAXI0_aruser;
 input 			IFNOCPSNCIAXI0_arvalid;
 input 	[63:0]		IFNOCPSNCIAXI0_awaddr;
 input 	[1:0]		IFNOCPSNCIAXI0_awburst;
 input 	[3:0]		IFNOCPSNCIAXI0_awcache;
 input 	[1:0]		IFNOCPSNCIAXI0_awid;
 input 	[7:0]		IFNOCPSNCIAXI0_awlen;
 input 	[0:0]		IFNOCPSNCIAXI0_awlock;
 input 	[2:0]		IFNOCPSNCIAXI0_awprot;
 input 	[3:0]		IFNOCPSNCIAXI0_awqos;
 output 		IFNOCPSNCIAXI0_awready;
 input 	[2:0]		IFNOCPSNCIAXI0_awsize;
 input 	[17:0]		IFNOCPSNCIAXI0_awuser;
 input 			IFNOCPSNCIAXI0_awvalid;
 output [1:0]		IFNOCPSNCIAXI0_bid;
 input 			IFNOCPSNCIAXI0_bready;
 output [1:0]		IFNOCPSNCIAXI0_bresp;
 output [15:0]		IFNOCPSNCIAXI0_buser;
 output 		IFNOCPSNCIAXI0_bvalid;
 output [127:0]		IFNOCPSNCIAXI0_rdata;
 output [1:0]		IFNOCPSNCIAXI0_rid;
 output 		IFNOCPSNCIAXI0_rlast;
 input 			IFNOCPSNCIAXI0_rready;
 output [1:0]		IFNOCPSNCIAXI0_rresp;
 output [31:0]		IFNOCPSNCIAXI0_ruser;
 output 		IFNOCPSNCIAXI0_rvalid;
 input 	[127:0]		IFNOCPSNCIAXI0_wdata;
 input 			IFNOCPSNCIAXI0_wlast;
 output 		IFNOCPSNCIAXI0_wready;
 input 	[15:0]		IFNOCPSNCIAXI0_wstrb;
 input 	[31:0]		IFNOCPSNCIAXI0_wuser;
 input 			IFNOCPSNCIAXI0_wvalid;
 input 	[15:0]		IFNOCPSNCIAXI0_wid;
 input 	[63:0]		IFNOCPSNCIAXI1_araddr;
 input 	[1:0]		IFNOCPSNCIAXI1_arburst;
 input 	[3:0]		IFNOCPSNCIAXI1_arcache;
 input 	[1:0]		IFNOCPSNCIAXI1_arid;
 input 	[7:0]		IFNOCPSNCIAXI1_arlen;
 input 	[0:0]		IFNOCPSNCIAXI1_arlock;
 input 	[2:0]		IFNOCPSNCIAXI1_arprot;
 input 	[3:0]		IFNOCPSNCIAXI1_arqos;
 output 		IFNOCPSNCIAXI1_arready;
 input 	[2:0]		IFNOCPSNCIAXI1_arsize;
 input 	[17:0]		IFNOCPSNCIAXI1_aruser;
 input 			IFNOCPSNCIAXI1_arvalid;
 input 	[63:0]		IFNOCPSNCIAXI1_awaddr;
 input 	[1:0]		IFNOCPSNCIAXI1_awburst;
 input 	[3:0]		IFNOCPSNCIAXI1_awcache;
 input 	[1:0]		IFNOCPSNCIAXI1_awid;
 input 	[7:0]		IFNOCPSNCIAXI1_awlen;
 input 	[0:0]		IFNOCPSNCIAXI1_awlock;
 input 	[2:0]		IFNOCPSNCIAXI1_awprot;
 input 	[3:0]		IFNOCPSNCIAXI1_awqos;
 output 		IFNOCPSNCIAXI1_awready;
 input 	[2:0]		IFNOCPSNCIAXI1_awsize;
 input 	[17:0]		IFNOCPSNCIAXI1_awuser;
 input 			IFNOCPSNCIAXI1_awvalid;
 output [1:0]		IFNOCPSNCIAXI1_bid;
 input 			IFNOCPSNCIAXI1_bready;
 output [1:0]		IFNOCPSNCIAXI1_bresp;
 output [15:0]		IFNOCPSNCIAXI1_buser;
 output 		IFNOCPSNCIAXI1_bvalid;
 output [127:0]		IFNOCPSNCIAXI1_rdata;
 output [1:0]		IFNOCPSNCIAXI1_rid;
 output 		IFNOCPSNCIAXI1_rlast;
 input 			IFNOCPSNCIAXI1_rready;
 output [1:0]		IFNOCPSNCIAXI1_rresp;
 output [31:0]		IFNOCPSNCIAXI1_ruser;
 output 		IFNOCPSNCIAXI1_rvalid;
 input 	[127:0]		IFNOCPSNCIAXI1_wdata;
 input 			IFNOCPSNCIAXI1_wlast;
 output 		IFNOCPSNCIAXI1_wready;
 input 	[15:0]		IFNOCPSNCIAXI1_wstrb;
 input 	[31:0]		IFNOCPSNCIAXI1_wuser;
 input 			IFNOCPSNCIAXI1_wvalid;
 input 	[15:0]		IFNOCPSNCIAXI1_wid;
 input 	[63:0]		IFNOCPSPCIAXI0_araddr;
 input 	[1:0]		IFNOCPSPCIAXI0_arburst;
 input 	[3:0]		IFNOCPSPCIAXI0_arcache;
 input 	[1:0]		IFNOCPSPCIAXI0_arid;
 input 	[7:0]		IFNOCPSPCIAXI0_arlen;
 input 	[0:0]		IFNOCPSPCIAXI0_arlock;
 input 	[2:0]		IFNOCPSPCIAXI0_arprot;
 input 	[3:0]		IFNOCPSPCIAXI0_arqos;
 output 		IFNOCPSPCIAXI0_arready;
 input 	[2:0]		IFNOCPSPCIAXI0_arsize;
 input 	[17:0]		IFNOCPSPCIAXI0_aruser;
 input 			IFNOCPSPCIAXI0_arvalid;
 input 	[63:0]		IFNOCPSPCIAXI0_awaddr;
 input 	[1:0]		IFNOCPSPCIAXI0_awburst;
 input 	[3:0]		IFNOCPSPCIAXI0_awcache;
 input 	[1:0]		IFNOCPSPCIAXI0_awid;
 input 	[7:0]		IFNOCPSPCIAXI0_awlen;
 input 	[0:0]		IFNOCPSPCIAXI0_awlock;
 input 	[2:0]		IFNOCPSPCIAXI0_awprot;
 input 	[3:0]		IFNOCPSPCIAXI0_awqos;
 output 		IFNOCPSPCIAXI0_awready;
 input 	[2:0]		IFNOCPSPCIAXI0_awsize;
 input 	[17:0]		IFNOCPSPCIAXI0_awuser;
 input 			IFNOCPSPCIAXI0_awvalid;
 output	[1:0]		IFNOCPSPCIAXI0_bid;
 input 			IFNOCPSPCIAXI0_bready;
 output	[1:0]		IFNOCPSPCIAXI0_bresp;
 output	[15:0]		IFNOCPSPCIAXI0_buser;
 output 		IFNOCPSPCIAXI0_bvalid;
 output [127:0]		IFNOCPSPCIAXI0_rdata;
 output [1:0]		IFNOCPSPCIAXI0_rid;
 output 		IFNOCPSPCIAXI0_rlast;
 input 			IFNOCPSPCIAXI0_rready;
 output [1:0]		IFNOCPSPCIAXI0_rresp;
 output [31:0]		IFNOCPSPCIAXI0_ruser;
 output 		IFNOCPSPCIAXI0_rvalid;
 input	[127:0]		IFNOCPSPCIAXI0_wdata;
 input 			IFNOCPSPCIAXI0_wlast;
 output 		IFNOCPSPCIAXI0_wready;
 input 	[15:0]		IFNOCPSPCIAXI0_wstrb;
 input 	[31:0]		IFNOCPSPCIAXI0_wuser;
 input 			IFNOCPSPCIAXI0_wvalid;
 input 	[15:0]		IFNOCPSPCIAXI0_wid;
 output [63:0]		IFPMCNOCAXI0_araddr;
 output [1:0]		IFPMCNOCAXI0_arburst;
 output [3:0]		IFPMCNOCAXI0_arcache;
 output [7:0]		IFPMCNOCAXI0_arlen;
 output [15:0]		IFPMCNOCAXI0_arid;
 output [0:0]		IFPMCNOCAXI0_arlock;
 output [2:0]		IFPMCNOCAXI0_arprot;
 output [3:0]		IFPMCNOCAXI0_arqos;
 input 			IFPMCNOCAXI0_arready;
 output [2:0]		IFPMCNOCAXI0_arsize;
 output [31:0]		IFPMCNOCAXI0_aruser;
 output 		IFPMCNOCAXI0_arvalid;
 output [63:0]		IFPMCNOCAXI0_awaddr;
 output [1:0]		IFPMCNOCAXI0_awburst;
 output [3:0]		IFPMCNOCAXI0_awcache;
 output [7:0]		IFPMCNOCAXI0_awlen;
 output [0:0]		IFPMCNOCAXI0_awlock;
 output [2:0]		IFPMCNOCAXI0_awprot;
 output [3:0]		IFPMCNOCAXI0_awqos;
 input 			IFPMCNOCAXI0_awready;
 output [2:0]		IFPMCNOCAXI0_awsize;
 output [31:0]		IFPMCNOCAXI0_awuser;
 output 		IFPMCNOCAXI0_awvalid;
 output [15:0]		IFPMCNOCAXI0_awid;
 output 		IFPMCNOCAXI0_bready;
 input 	[1:0]		IFPMCNOCAXI0_bresp;
 input 	[15:0]		IFPMCNOCAXI0_buser;
 input 			IFPMCNOCAXI0_bvalid;
 input 	[15:0]		IFPMCNOCAXI0_bid;
 input 	[127:0]		IFPMCNOCAXI0_rdata;
 input 			IFPMCNOCAXI0_rlast;
 output 		IFPMCNOCAXI0_rready;
 input 	[1:0]		IFPMCNOCAXI0_rresp;
 input 	[16:0]		IFPMCNOCAXI0_ruser;
 input 	[15:0]		IFPMCNOCAXI0_rid;
 input 			IFPMCNOCAXI0_rvalid;
 output [127:0]		IFPMCNOCAXI0_wdata;
 output 		IFPMCNOCAXI0_wlast;
 input 			IFPMCNOCAXI0_wready;
 output [15:0]		IFPMCNOCAXI0_wstrb;
 output [16:0]		IFPMCNOCAXI0_wuser;
 output 		IFPMCNOCAXI0_wvalid;
 output [15:0]		IFPMCNOCAXI0_wid;
 output [63:0]		IFPSCPMCFGAXI_araddr;
 output [1:0]		IFPSCPMCFGAXI_arburst;
 output [3:0]		IFPSCPMCFGAXI_arcache;
 output [7:0]		IFPSCPMCFGAXI_arlen;
 output [0:0]		IFPSCPMCFGAXI_arlock;
 output [2:0]		IFPSCPMCFGAXI_arprot;
 output [3:0]		IFPSCPMCFGAXI_arqos;
 input 			IFPSCPMCFGAXI_arready;
 output [2:0]		IFPSCPMCFGAXI_arsize;
 output [31:0]		IFPSCPMCFGAXI_aruser;
 output 		IFPSCPMCFGAXI_arvalid;
 output [63:0]		IFPSCPMCFGAXI_awaddr;
 output [1:0]		IFPSCPMCFGAXI_awburst;
 output [3:0]		IFPSCPMCFGAXI_awcache;
 output [7:0]		IFPSCPMCFGAXI_awlen;
 output [0:0]		IFPSCPMCFGAXI_awlock;
 output [2:0]		IFPSCPMCFGAXI_awprot;
 output [3:0]		IFPSCPMCFGAXI_awqos;
 input 			IFPSCPMCFGAXI_awready;
 output [2:0]		IFPSCPMCFGAXI_awsize;
 output [31:0]		IFPSCPMCFGAXI_awuser;
 output 		IFPSCPMCFGAXI_awvalid;
 output 		IFPSCPMCFGAXI_bready;
 input 	[1:0]		IFPSCPMCFGAXI_bresp;
 input 	[15:0]		IFPSCPMCFGAXI_buser;
 input 			IFPSCPMCFGAXI_bvalid;
 input 	[31:0]		IFPSCPMCFGAXI_rdata;
 input 			IFPSCPMCFGAXI_rlast;
 output 		IFPSCPMCFGAXI_rready;
 input 	[1:0]		IFPSCPMCFGAXI_rresp;
 input 	[5:0]		IFPSCPMCFGAXI_ruser;
 input 			IFPSCPMCFGAXI_rvalid;
 output [31:0]		IFPSCPMCFGAXI_wdata;
 output 		IFPSCPMCFGAXI_wlast;
 input 			IFPSCPMCFGAXI_wready;
 output [3:0]		IFPSCPMCFGAXI_wstrb;
 output [5:0]		IFPSCPMCFGAXI_wuser;
 output 		IFPSCPMCFGAXI_wvalid;
 output [63:0]		IFPSCPMPCIEAXI_araddr;
 output [1:0]		IFPSCPMPCIEAXI_arburst;
 output [3:0]		IFPSCPMPCIEAXI_arcache;
 output [7:0]		IFPSCPMPCIEAXI_arlen;
 output [15:0]		IFPSCPMPCIEAXI_arid;
 output [0:0]		IFPSCPMPCIEAXI_arlock;
 output [2:0]		IFPSCPMPCIEAXI_arprot;
 output [3:0]		IFPSCPMPCIEAXI_arqos;
 input 			IFPSCPMPCIEAXI_arready;
 output [2:0]		IFPSCPMPCIEAXI_arsize;
 output [31:0]		IFPSCPMPCIEAXI_aruser;
 output 		IFPSCPMPCIEAXI_arvalid;
 output [63:0]		IFPSCPMPCIEAXI_awaddr;
 output [1:0]		IFPSCPMPCIEAXI_awburst;
 output [3:0]		IFPSCPMPCIEAXI_awcache;
 output [7:0]		IFPSCPMPCIEAXI_awlen;
 output [0:0]		IFPSCPMPCIEAXI_awlock;
 output [2:0]		IFPSCPMPCIEAXI_awprot;
 output [3:0]		IFPSCPMPCIEAXI_awqos;
 input 			IFPSCPMPCIEAXI_awready;
 output [2:0]		IFPSCPMPCIEAXI_awsize;
 output [31:0]		IFPSCPMPCIEAXI_awuser;
 output 		IFPSCPMPCIEAXI_awvalid;
 output [15:0]		IFPSCPMPCIEAXI_awid;
 output 		IFPSCPMPCIEAXI_bready;
 input 	[1:0]		IFPSCPMPCIEAXI_bresp;
 input 	[15:0]		IFPSCPMPCIEAXI_buser;
 input 			IFPSCPMPCIEAXI_bvalid;
 input 	[15:0]		IFPSCPMPCIEAXI_bid;
 input 	[127:0]		IFPSCPMPCIEAXI_rdata;
 input 			IFPSCPMPCIEAXI_rlast;
 output 		IFPSCPMPCIEAXI_rready;
 input 	[1:0]		IFPSCPMPCIEAXI_rresp;
 input 	[16:0]		IFPSCPMPCIEAXI_ruser;
 input 	[15:0]		IFPSCPMPCIEAXI_rid;
 input 			IFPSCPMPCIEAXI_rvalid;
 output [127:0]		IFPSCPMPCIEAXI_wdata;
 output 		IFPSCPMPCIEAXI_wlast;
 input 			IFPSCPMPCIEAXI_wready;
 output [15:0]		IFPSCPMPCIEAXI_wstrb;
 output [16:0]		IFPSCPMPCIEAXI_wuser;
 output 		IFPSCPMPCIEAXI_wvalid;
 output [15:0]		IFPSCPMPCIEAXI_wid;
 output [63:0]		IFPSNOCCCIAXI0_araddr;
 output [1:0]		IFPSNOCCCIAXI0_arburst;
 output [3:0]		IFPSNOCCCIAXI0_arcache;
 output [7:0]		IFPSNOCCCIAXI0_arlen;
 output [0:0]		IFPSNOCCCIAXI0_arlock;
 output [2:0]		IFPSNOCCCIAXI0_arprot;
 output [3:0]		IFPSNOCCCIAXI0_arqos;
 input 			IFPSNOCCCIAXI0_arready;
 output [2:0]		IFPSNOCCCIAXI0_arsize;
 output [17:0]		IFPSNOCCCIAXI0_aruser;
 output 		IFPSNOCCCIAXI0_arvalid;
 output [63:0]		IFPSNOCCCIAXI0_awaddr;
 output [1:0]		IFPSNOCCCIAXI0_awburst;
 output [3:0]		IFPSNOCCCIAXI0_awcache;
 output [7:0]		IFPSNOCCCIAXI0_awlen;
 output [0:0]		IFPSNOCCCIAXI0_awlock;
 output [2:0]		IFPSNOCCCIAXI0_awprot;
 output [3:0]		IFPSNOCCCIAXI0_awqos;
 input 			IFPSNOCCCIAXI0_awready;
 output [2:0]		IFPSNOCCCIAXI0_awsize;
 output [17:0]		IFPSNOCCCIAXI0_awuser;
 output 		IFPSNOCCCIAXI0_awvalid;
 output 		IFPSNOCCCIAXI0_bready;
 input 	[1:0] 		IFPSNOCCCIAXI0_bresp;
 input 	[15:0]		IFPSNOCCCIAXI0_buser;
 input 			IFPSNOCCCIAXI0_bvalid;
 input 	[127:0]		IFPSNOCCCIAXI0_rdata;
 input 			IFPSNOCCCIAXI0_rlast;
 output 		IFPSNOCCCIAXI0_rready;
 input 	[1:0]		IFPSNOCCCIAXI0_rresp;
 input 	[16:0]		IFPSNOCCCIAXI0_ruser;
 input 			IFPSNOCCCIAXI0_rvalid;
 output [127:0]		IFPSNOCCCIAXI0_wdata;
 output 		IFPSNOCCCIAXI0_wlast;
 input 			IFPSNOCCCIAXI0_wready;
 output [15:0]		IFPSNOCCCIAXI0_wstrb;
 output [16:0]		IFPSNOCCCIAXI0_wuser;
 output 		IFPSNOCCCIAXI0_wvalid;
 output [63:0]		IFPSNOCCCIAXI1_araddr;
 output [1:0]		IFPSNOCCCIAXI1_arburst;
 output [3:0]		IFPSNOCCCIAXI1_arcache;
 output [7:0]		IFPSNOCCCIAXI1_arlen;
 output [0:0]		IFPSNOCCCIAXI1_arlock;
 output [2:0]		IFPSNOCCCIAXI1_arprot;
 output [3:0]		IFPSNOCCCIAXI1_arqos;
 input 			IFPSNOCCCIAXI1_arready;
 output [2:0]		IFPSNOCCCIAXI1_arsize;
 output [17:0]		IFPSNOCCCIAXI1_aruser;
 output 		IFPSNOCCCIAXI1_arvalid;
 output [63:0]		IFPSNOCCCIAXI1_awaddr;
 output [1:0]		IFPSNOCCCIAXI1_awburst;
 output [3:0]		IFPSNOCCCIAXI1_awcache;
 output [7:0]		IFPSNOCCCIAXI1_awlen;
 output [0:0]		IFPSNOCCCIAXI1_awlock;
 output [2:0]		IFPSNOCCCIAXI1_awprot;
 output [3:0]		IFPSNOCCCIAXI1_awqos;
 input 			IFPSNOCCCIAXI1_awready;
 output [2:0]		IFPSNOCCCIAXI1_awsize;
 output [17:0]		IFPSNOCCCIAXI1_awuser;
 output 		IFPSNOCCCIAXI1_awvalid;
 output 		IFPSNOCCCIAXI1_bready;
 input 	[1:0] 		IFPSNOCCCIAXI1_bresp;
 input 	[15:0]		IFPSNOCCCIAXI1_buser;
 input 			IFPSNOCCCIAXI1_bvalid;
 input 	[127:0]		IFPSNOCCCIAXI1_rdata;
 input 			IFPSNOCCCIAXI1_rlast;
 output 		IFPSNOCCCIAXI1_rready;
 input 	[1:0]		IFPSNOCCCIAXI1_rresp;
 input 	[16:0]		IFPSNOCCCIAXI1_ruser;
 input 			IFPSNOCCCIAXI1_rvalid;
 output [127:0]		IFPSNOCCCIAXI1_wdata;
 output 		IFPSNOCCCIAXI1_wlast;
 input 			IFPSNOCCCIAXI1_wready;
 output [15:0]		IFPSNOCCCIAXI1_wstrb;
 output [16:0]		IFPSNOCCCIAXI1_wuser;
 output 		IFPSNOCCCIAXI1_wvalid;
 output [63:0]		IFPSNOCCCIAXI2_araddr;
 output [1:0]		IFPSNOCCCIAXI2_arburst;
 output [3:0]		IFPSNOCCCIAXI2_arcache;
 output [7:0]		IFPSNOCCCIAXI2_arlen;
 output [0:0]		IFPSNOCCCIAXI2_arlock;
 output [2:0]		IFPSNOCCCIAXI2_arprot;
 output [3:0]		IFPSNOCCCIAXI2_arqos;
 input 			IFPSNOCCCIAXI2_arready;
 output [2:0] 		IFPSNOCCCIAXI2_arsize;
 output [17:0]		IFPSNOCCCIAXI2_aruser;
 output 		IFPSNOCCCIAXI2_arvalid;
 output [63:0]		IFPSNOCCCIAXI2_awaddr;
 output [1:0]		IFPSNOCCCIAXI2_awburst;
 output [3:0]		IFPSNOCCCIAXI2_awcache;
 output [7:0]		IFPSNOCCCIAXI2_awlen;
 output [0:0]		IFPSNOCCCIAXI2_awlock;
 output [2:0]		IFPSNOCCCIAXI2_awprot;
 output [3:0]		IFPSNOCCCIAXI2_awqos;
 input 			IFPSNOCCCIAXI2_awready;
 output [2:0] 		IFPSNOCCCIAXI2_awsize;
 output [17:0]		IFPSNOCCCIAXI2_awuser;
 output 		IFPSNOCCCIAXI2_awvalid;
 output 		IFPSNOCCCIAXI2_bready;
 input [1:0] 		IFPSNOCCCIAXI2_bresp;
 input [15:0]		IFPSNOCCCIAXI2_buser;
 input 			IFPSNOCCCIAXI2_bvalid;
 input [127:0]		IFPSNOCCCIAXI2_rdata;
 input  		IFPSNOCCCIAXI2_rlast;
 output 		IFPSNOCCCIAXI2_rready;
 input [1:0] 		IFPSNOCCCIAXI2_rresp;
 input [16:0]		IFPSNOCCCIAXI2_ruser;
 input 			IFPSNOCCCIAXI2_rvalid;
 output [127:0]		IFPSNOCCCIAXI2_wdata;
 output 		IFPSNOCCCIAXI2_wlast;
 input 			IFPSNOCCCIAXI2_wready;
 output [15:0]		IFPSNOCCCIAXI2_wstrb;
 output [16:0]		IFPSNOCCCIAXI2_wuser;
 output 		IFPSNOCCCIAXI2_wvalid;
 output [63:0]		IFPSNOCCCIAXI3_araddr;
 output [1:0]		IFPSNOCCCIAXI3_arburst;
 output [3:0]		IFPSNOCCCIAXI3_arcache;
 output [7:0]		IFPSNOCCCIAXI3_arlen;
 output [0:0]		IFPSNOCCCIAXI3_arlock;
 output [2:0]		IFPSNOCCCIAXI3_arprot;
 output [3:0]		IFPSNOCCCIAXI3_arqos;
 input 			IFPSNOCCCIAXI3_arready;
 output [2:0]		IFPSNOCCCIAXI3_arsize;
 output [17:0]		IFPSNOCCCIAXI3_aruser;
 output 		IFPSNOCCCIAXI3_arvalid;
 output [63:0]		IFPSNOCCCIAXI3_awaddr;
 output [1:0]		IFPSNOCCCIAXI3_awburst;
 output [3:0]		IFPSNOCCCIAXI3_awcache;
 output [7:0]		IFPSNOCCCIAXI3_awlen;
 output [0:0]		IFPSNOCCCIAXI3_awlock;
 output [2:0]		IFPSNOCCCIAXI3_awprot;
 output [3:0]		IFPSNOCCCIAXI3_awqos;
 input 			IFPSNOCCCIAXI3_awready;
 output [2:0]		IFPSNOCCCIAXI3_awsize;
 output [17:0]		IFPSNOCCCIAXI3_awuser;
 output 		IFPSNOCCCIAXI3_awvalid;
 output 		IFPSNOCCCIAXI3_bready;
 input 	[1:0]		IFPSNOCCCIAXI3_bresp;
 input 	[15:0]		IFPSNOCCCIAXI3_buser;
 input 			IFPSNOCCCIAXI3_bvalid;
 input 	[127:0]		IFPSNOCCCIAXI3_rdata;
 input 			IFPSNOCCCIAXI3_rlast;
 output 		IFPSNOCCCIAXI3_rready;
 input 	[1:0]		IFPSNOCCCIAXI3_rresp;
 input 	[16:0]		IFPSNOCCCIAXI3_ruser;
 input 			IFPSNOCCCIAXI3_rvalid;
 output [127:0]		IFPSNOCCCIAXI3_wdata;
 output 		IFPSNOCCCIAXI3_wlast;
 input 			IFPSNOCCCIAXI3_wready;
 output [15:0]		IFPSNOCCCIAXI3_wstrb;
 output [16:0]		IFPSNOCCCIAXI3_wuser;
 output 		IFPSNOCCCIAXI3_wvalid;
 
 output [63:0]		IFPSNOCCCIAXI_araddr;
 output [1:0]		IFPSNOCCCIAXI_arburst;
 output [3:0]		IFPSNOCCCIAXI_arcache;
 output [7:0]		IFPSNOCCCIAXI_arlen;
 output [0:0]		IFPSNOCCCIAXI_arlock;
 output [2:0]		IFPSNOCCCIAXI_arprot;
 output [3:0]		IFPSNOCCCIAXI_arqos;
 input 			IFPSNOCCCIAXI_arready;
 output [2:0]		IFPSNOCCCIAXI_arsize;
 output [31:0]		IFPSNOCCCIAXI_aruser;
 output 		IFPSNOCCCIAXI_arvalid;
 output [15:0]		IFPSNOCCCIAXI_arid;
 output [63:0]		IFPSNOCCCIAXI_awaddr;
 output [1:0]		IFPSNOCCCIAXI_awburst;
 output [3:0]		IFPSNOCCCIAXI_awcache;
 output [7:0]		IFPSNOCCCIAXI_awlen;
 output [0:0]		IFPSNOCCCIAXI_awlock;
 output [2:0]		IFPSNOCCCIAXI_awprot;
 output [3:0]		IFPSNOCCCIAXI_awqos;
 input 			IFPSNOCCCIAXI_awready;
 output [2:0]		IFPSNOCCCIAXI_awsize;
 output [31:0]		IFPSNOCCCIAXI_awuser;
 output 		IFPSNOCCCIAXI_awvalid;
 output [15:0]		IFPSNOCCCIAXI_awid;
 output 		IFPSNOCCCIAXI_bready;
 input 	[1:0]		IFPSNOCCCIAXI_bresp;
 input 	[15:0]		IFPSNOCCCIAXI_buser;
 input 			IFPSNOCCCIAXI_bvalid;
 input 	[15:0]		IFPSNOCCCIAXI_bid;
 input 	[127:0]		IFPSNOCCCIAXI_rdata;
 input 			IFPSNOCCCIAXI_rlast;
 output 		IFPSNOCCCIAXI_rready;
 input 	[1:0]		IFPSNOCCCIAXI_rresp;
 input 	[31:0]		IFPSNOCCCIAXI_ruser;
 input 			IFPSNOCCCIAXI_rvalid;
 input 	[15:0]		IFPSNOCCCIAXI_rid;
 output [127:0]		IFPSNOCCCIAXI_wdata;
 output 		IFPSNOCCCIAXI_wlast;
 input 			IFPSNOCCCIAXI_wready;
 output [15:0]		IFPSNOCCCIAXI_wstrb;
 output [31:0]		IFPSNOCCCIAXI_wuser;
 output 		IFPSNOCCCIAXI_wvalid;
 output [15:0]		IFPSNOCCCIAXI_wid;
 output [63:0]		IFPSNOCNCIAXI0_araddr;
 output [1:0]		IFPSNOCNCIAXI0_arburst;
 output [3:0]		IFPSNOCNCIAXI0_arcache;
 output [7:0]		IFPSNOCNCIAXI0_arlen;
 output [15:0]		IFPSNOCNCIAXI0_arid;
 output [0:0]		IFPSNOCNCIAXI0_arlock;
 output [2:0]		IFPSNOCNCIAXI0_arprot;
 output [3:0]		IFPSNOCNCIAXI0_arqos;
 input 			IFPSNOCNCIAXI0_arready;
 output [2:0]		IFPSNOCNCIAXI0_arsize;
 output [31:0]		IFPSNOCNCIAXI0_aruser;
 output 		IFPSNOCNCIAXI0_arvalid;
 output [63:0]		IFPSNOCNCIAXI0_awaddr;
 output [1:0]		IFPSNOCNCIAXI0_awburst;
 output [3:0]		IFPSNOCNCIAXI0_awcache;
 output [7:0]		IFPSNOCNCIAXI0_awlen;
 output [15:0]		IFPSNOCNCIAXI0_awid;
 output [0:0]		IFPSNOCNCIAXI0_awlock;
 output [2:0]		IFPSNOCNCIAXI0_awprot;
 output [3:0]		IFPSNOCNCIAXI0_awqos;
 input 			IFPSNOCNCIAXI0_awready;
 output [2:0]		IFPSNOCNCIAXI0_awsize;
 output [31:0]		IFPSNOCNCIAXI0_awuser;
 output 		IFPSNOCNCIAXI0_awvalid;
 output 		IFPSNOCNCIAXI0_bready;
 input 	[1:0]		IFPSNOCNCIAXI0_bresp;
 input 	[15:0]		IFPSNOCNCIAXI0_buser;
 input 			IFPSNOCNCIAXI0_bvalid;
 input 	[15:0]		IFPSNOCNCIAXI0_bid;
 input 	[127:0]		IFPSNOCNCIAXI0_rdata;
 input 			IFPSNOCNCIAXI0_rlast;
 output 		IFPSNOCNCIAXI0_rready;
 input 	[1:0]		IFPSNOCNCIAXI0_rresp;
 input 	[16:0]		IFPSNOCNCIAXI0_ruser;
 input 			IFPSNOCNCIAXI0_rvalid;
 input 	[15:0]		IFPSNOCNCIAXI0_rid;
 output [127:0]		IFPSNOCNCIAXI0_wdata;
 output 		IFPSNOCNCIAXI0_wlast;
 input 			IFPSNOCNCIAXI0_wready;
 output [15:0]		IFPSNOCNCIAXI0_wstrb;
 output [16:0]		IFPSNOCNCIAXI0_wuser;
 output 		IFPSNOCNCIAXI0_wvalid;
 output [15:0]		IFPSNOCNCIAXI0_wid;
 output [63:0]		IFPSNOCNCIAXI1_araddr;
 output [1:0]		IFPSNOCNCIAXI1_arburst;
 output [3:0]		IFPSNOCNCIAXI1_arcache;
 output [7:0]		IFPSNOCNCIAXI1_arlen;
 output [15:0]		IFPSNOCNCIAXI1_arid;
 output [0:0]		IFPSNOCNCIAXI1_arlock;
 output [2:0]		IFPSNOCNCIAXI1_arprot;
 output [3:0]		IFPSNOCNCIAXI1_arqos;
 input 			IFPSNOCNCIAXI1_arready;
 output [2:0]		IFPSNOCNCIAXI1_arsize;
 output [31:0]		IFPSNOCNCIAXI1_aruser;
 output 		IFPSNOCNCIAXI1_arvalid;
 output [63:0]		IFPSNOCNCIAXI1_awaddr;
 output [1:0]		IFPSNOCNCIAXI1_awburst;
 output [3:0]		IFPSNOCNCIAXI1_awcache;
 output [7:0]		IFPSNOCNCIAXI1_awlen;
 output [15:0]		IFPSNOCNCIAXI1_awid;
 output [0:0]		IFPSNOCNCIAXI1_awlock;
 output [2:0]		IFPSNOCNCIAXI1_awprot;
 output [3:0]		IFPSNOCNCIAXI1_awqos;
 input 			IFPSNOCNCIAXI1_awready;
 output [2:0]		IFPSNOCNCIAXI1_awsize;
 output [31:0]		IFPSNOCNCIAXI1_awuser;
 output 		IFPSNOCNCIAXI1_awvalid;
 output 		IFPSNOCNCIAXI1_bready;
 input 	[1:0]		IFPSNOCNCIAXI1_bresp;
 input 	[15:0]		IFPSNOCNCIAXI1_buser;
 input 			IFPSNOCNCIAXI1_bvalid;
 input 	[15:0]		IFPSNOCNCIAXI1_bid;
 input 	[127:0]		IFPSNOCNCIAXI1_rdata;
 input 			IFPSNOCNCIAXI1_rlast;
 output 		IFPSNOCNCIAXI1_rready;
 input 	[1:0]		IFPSNOCNCIAXI1_rresp;
 input 	[16:0]		IFPSNOCNCIAXI1_ruser;
 input 			IFPSNOCNCIAXI1_rvalid;
 input 	[15:0]		IFPSNOCNCIAXI1_rid;
 output [127:0]		IFPSNOCNCIAXI1_wdata;
 output 		IFPSNOCNCIAXI1_wlast;
 input 			IFPSNOCNCIAXI1_wready;
 output [15:0]		IFPSNOCNCIAXI1_wstrb;
 output [16:0]		IFPSNOCNCIAXI1_wuser;
 output 		IFPSNOCNCIAXI1_wvalid;
 output [15:0]		IFPSNOCNCIAXI1_wid;
 output [63:0]		IFPSNOCPCIAXI0_araddr;
 output [1:0]		IFPSNOCPCIAXI0_arburst;
 output [3:0]		IFPSNOCPCIAXI0_arcache;
 output [7:0]		IFPSNOCPCIAXI0_arlen;
 output [15:0]		IFPSNOCPCIAXI0_arid;
 output [0:0]		IFPSNOCPCIAXI0_arlock;
 output [2:0]		IFPSNOCPCIAXI0_arprot;
 output [3:0]		IFPSNOCPCIAXI0_arqos;
 input 			IFPSNOCPCIAXI0_arready;
 output [2:0]		IFPSNOCPCIAXI0_arsize;
 output [31:0]		IFPSNOCPCIAXI0_aruser;
 output 		IFPSNOCPCIAXI0_arvalid;
 output [63:0]		IFPSNOCPCIAXI0_awaddr;
 output [1:0]		IFPSNOCPCIAXI0_awburst;
 output [3:0]		IFPSNOCPCIAXI0_awcache;
 output [7:0]		IFPSNOCPCIAXI0_awlen;
 output [15:0]		IFPSNOCPCIAXI0_awid;
 output [0:0]		IFPSNOCPCIAXI0_awlock;
 output [2:0]		IFPSNOCPCIAXI0_awprot;
 output [3:0]		IFPSNOCPCIAXI0_awqos;
 input 			IFPSNOCPCIAXI0_awready;
 output [2:0]		IFPSNOCPCIAXI0_awsize;
 output [31:0]		IFPSNOCPCIAXI0_awuser;
 output 		IFPSNOCPCIAXI0_awvalid;
 output 		IFPSNOCPCIAXI0_bready;
 input 	[1:0]		IFPSNOCPCIAXI0_bresp;
 input 	[15:0]		IFPSNOCPCIAXI0_buser;
 input 			IFPSNOCPCIAXI0_bvalid;
 input 	[15:0]		IFPSNOCPCIAXI0_bid;
 input 	[127:0]		IFPSNOCPCIAXI0_rdata;
 input 			IFPSNOCPCIAXI0_rlast;
 output 		IFPSNOCPCIAXI0_rready;
 input 	[1:0]		IFPSNOCPCIAXI0_rresp;
 input 	[16:0]		IFPSNOCPCIAXI0_ruser;
 input 			IFPSNOCPCIAXI0_rvalid;
 input 	[15:0]		IFPSNOCPCIAXI0_rid;
 output [127:0]		IFPSNOCPCIAXI0_wdata;
 output 		IFPSNOCPCIAXI0_wlast;
 input 			IFPSNOCPCIAXI0_wready;
 output [15:0]		IFPSNOCPCIAXI0_wstrb;
 output [16:0]		IFPSNOCPCIAXI0_wuser;
 output 		IFPSNOCPCIAXI0_wvalid;
 output [15:0]		IFPSNOCPCIAXI0_wid;
 output [63:0]		IFPSNOCPCIAXI1_araddr;
 output [1:0]		IFPSNOCPCIAXI1_arburst;
 output [3:0]		IFPSNOCPCIAXI1_arcache;
 output [7:0]		IFPSNOCPCIAXI1_arlen;
 output [15:0]		IFPSNOCPCIAXI1_arid;
 output [0:0]		IFPSNOCPCIAXI1_arlock;
 output [2:0]		IFPSNOCPCIAXI1_arprot;
 output [3:0]		IFPSNOCPCIAXI1_arqos;
 input 			IFPSNOCPCIAXI1_arready;
 output [2:0]		IFPSNOCPCIAXI1_arsize;
 output [31:0]		IFPSNOCPCIAXI1_aruser;
 output 		IFPSNOCPCIAXI1_arvalid;
 output [63:0]		IFPSNOCPCIAXI1_awaddr;
 output [1:0]		IFPSNOCPCIAXI1_awburst;
 output [3:0]		IFPSNOCPCIAXI1_awcache;
 output [7:0]		IFPSNOCPCIAXI1_awlen;
 output [15:0]		IFPSNOCPCIAXI1_awid;
 output [0:0]		IFPSNOCPCIAXI1_awlock;
 output [2:0]		IFPSNOCPCIAXI1_awprot;
 output [3:0]		IFPSNOCPCIAXI1_awqos;
 input 			IFPSNOCPCIAXI1_awready;
 output [2:0]		IFPSNOCPCIAXI1_awsize;
 output [31:0]		IFPSNOCPCIAXI1_awuser;
 output 		IFPSNOCPCIAXI1_awvalid;
 output 		IFPSNOCPCIAXI1_bready;
 input 	[1:0]		IFPSNOCPCIAXI1_bresp;
 input 	[15:0]		IFPSNOCPCIAXI1_buser;
 input 			IFPSNOCPCIAXI1_bvalid;
 input 	[15:0]		IFPSNOCPCIAXI1_bid;
 input 	[127:0]		IFPSNOCPCIAXI1_rdata;
 input 			IFPSNOCPCIAXI1_rlast;
 output 		IFPSNOCPCIAXI1_rready;
 input 	[1:0]		IFPSNOCPCIAXI1_rresp;
 input 	[16:0]		IFPSNOCPCIAXI1_ruser;
 input 			IFPSNOCPCIAXI1_rvalid;
 input 	[15:0]		IFPSNOCPCIAXI1_rid;
 output [127:0]		IFPSNOCPCIAXI1_wdata;
 output 		IFPSNOCPCIAXI1_wlast;
 input 			IFPSNOCPCIAXI1_wready;
 output [15:0]		IFPSNOCPCIAXI1_wstrb;
 output [16:0]		IFPSNOCPCIAXI1_wuser;
 output 		IFPSNOCPCIAXI1_wvalid;
 output [15:0]		IFPSNOCPCIAXI1_wid;
 output [63:0]		IFPSNOCRPUAXI0_araddr;
 output [1:0]		IFPSNOCRPUAXI0_arburst;
 output [3:0]		IFPSNOCRPUAXI0_arcache;
 output [7:0]		IFPSNOCRPUAXI0_arlen;
 output [15:0]		IFPSNOCRPUAXI0_arid;
 output [0:0]		IFPSNOCRPUAXI0_arlock;
 output [2:0]		IFPSNOCRPUAXI0_arprot;
 output [3:0]		IFPSNOCRPUAXI0_arqos;
 input 			IFPSNOCRPUAXI0_arready;
 output [2:0]		IFPSNOCRPUAXI0_arsize;
 output [31:0]		IFPSNOCRPUAXI0_aruser;
 output 		IFPSNOCRPUAXI0_arvalid;
 output [63:0]		IFPSNOCRPUAXI0_awaddr;
 output [1:0]		IFPSNOCRPUAXI0_awburst;
 output [3:0]		IFPSNOCRPUAXI0_awcache;
 output [7:0]		IFPSNOCRPUAXI0_awlen;
 output [15:0]		IFPSNOCRPUAXI0_awid;
 output [0:0]		IFPSNOCRPUAXI0_awlock;
 output [2:0]		IFPSNOCRPUAXI0_awprot;
 output [3:0]		IFPSNOCRPUAXI0_awqos;
 input 			IFPSNOCRPUAXI0_awready;
 output [2:0]		IFPSNOCRPUAXI0_awsize;
 output [31:0]		IFPSNOCRPUAXI0_awuser;
 output 		IFPSNOCRPUAXI0_awvalid;
 output 		IFPSNOCRPUAXI0_bready;
 input 	[1:0]		IFPSNOCRPUAXI0_bresp;
 input 	[15:0]		IFPSNOCRPUAXI0_buser;
 input 			IFPSNOCRPUAXI0_bvalid;
 input 	[15:0]		IFPSNOCRPUAXI0_bid;
 input 	[127:0]		IFPSNOCRPUAXI0_rdata;
 input 			IFPSNOCRPUAXI0_rlast;
 output 		IFPSNOCRPUAXI0_rready;
 input 	[1:0]		IFPSNOCRPUAXI0_rresp;
 input 	[16:0]		IFPSNOCRPUAXI0_ruser;
 input 			IFPSNOCRPUAXI0_rvalid;
 input 	[15:0]		IFPSNOCRPUAXI0_rid;
 output [127:0]		IFPSNOCRPUAXI0_wdata;
 output 		IFPSNOCRPUAXI0_wlast;
 input 			IFPSNOCRPUAXI0_wready;
 output [15:0]		IFPSNOCRPUAXI0_wstrb;
 output [16:0]		IFPSNOCRPUAXI0_wuser;
 output 		IFPSNOCRPUAXI0_wvalid;
 output [15:0]		IFPSNOCRPUAXI0_wid;
 input	[63:0]		I_PSNOCCCI0AXIS_araddr;
 input	[1:0]		I_PSNOCCCI0AXIS_arburst;
 input	[3:0]		I_PSNOCCCI0AXIS_arcache;
 input	[15:0]		I_PSNOCCCI0AXIS_arid;
 input	[7:0]		I_PSNOCCCI0AXIS_arlen;
 input	[0:0]		I_PSNOCCCI0AXIS_arlock;
 input	[2:0]		I_PSNOCCCI0AXIS_arprot;
 input	[3:0]		I_PSNOCCCI0AXIS_arqos;
 output 		I_PSNOCCCI0AXIS_arready;
 input	[2:0]		I_PSNOCCCI0AXIS_arsize;
 input	[17:0]		I_PSNOCCCI0AXIS_aruser;
 input 			I_PSNOCCCI0AXIS_arvalid;
 input	[63:0]		I_PSNOCCCI0AXIS_awaddr;
 input	[1:0]		I_PSNOCCCI0AXIS_awburst;
 input	[3:0]		I_PSNOCCCI0AXIS_awcache;
 input	[15:0]		I_PSNOCCCI0AXIS_awid;
 input	[7:0]		I_PSNOCCCI0AXIS_awlen;
 input	[0:0]		I_PSNOCCCI0AXIS_awlock;
 input	[2:0]		I_PSNOCCCI0AXIS_awprot;
 input	[3:0]		I_PSNOCCCI0AXIS_awqos;
 output 		I_PSNOCCCI0AXIS_awready;
 input	[2:0]		I_PSNOCCCI0AXIS_awsize;
 input	[17:0]		I_PSNOCCCI0AXIS_awuser;
 input 			I_PSNOCCCI0AXIS_awvalid;
 output [15:0]		I_PSNOCCCI0AXIS_bid;
 input 			I_PSNOCCCI0AXIS_bready;
 output [1:0]		I_PSNOCCCI0AXIS_bresp;
 output [15:0]		I_PSNOCCCI0AXIS_buser;
 output 		I_PSNOCCCI0AXIS_bvalid;
 output [127:0]		I_PSNOCCCI0AXIS_rdata;
 output [15:0]		I_PSNOCCCI0AXIS_rid;
 output 		I_PSNOCCCI0AXIS_rlast;
 input 			I_PSNOCCCI0AXIS_rready;
 output [1:0]		I_PSNOCCCI0AXIS_rresp;
 output [31:0]		I_PSNOCCCI0AXIS_ruser;
 output 		I_PSNOCCCI0AXIS_rvalid;
 input	[127:0]		I_PSNOCCCI0AXIS_wdata;
 input 			I_PSNOCCCI0AXIS_wlast;
 output 		I_PSNOCCCI0AXIS_wready;
 input	[15:0]		I_PSNOCCCI0AXIS_wstrb;
 input	[31:0]		I_PSNOCCCI0AXIS_wuser;
 input 			I_PSNOCCCI0AXIS_wvalid;
 input	[63:0]		I_PSNOCCCI1AXIS_araddr;
 input	[1:0]		I_PSNOCCCI1AXIS_arburst;
 input	[3:0]		I_PSNOCCCI1AXIS_arcache;
 input	[7:0]		I_PSNOCCCI1AXIS_arlen;
 input	[0:0]		I_PSNOCCCI1AXIS_arlock;
 input	[2:0]		I_PSNOCCCI1AXIS_arprot;
 input	[3:0]		I_PSNOCCCI1AXIS_arqos;
 output 		I_PSNOCCCI1AXIS_arready;
 input	[2:0]		I_PSNOCCCI1AXIS_arsize;
 input	[17:0]		I_PSNOCCCI1AXIS_aruser;
 input 			I_PSNOCCCI1AXIS_arvalid;
 input	[63:0]		I_PSNOCCCI1AXIS_awaddr;
 input	[1:0]		I_PSNOCCCI1AXIS_awburst;
 input	[3:0]		I_PSNOCCCI1AXIS_awcache;
 input	[7:0]		I_PSNOCCCI1AXIS_awlen;
 input	[0:0]		I_PSNOCCCI1AXIS_awlock;
 input	[2:0]		I_PSNOCCCI1AXIS_awprot;
 input	[3:0]		I_PSNOCCCI1AXIS_awqos;
 output 		I_PSNOCCCI1AXIS_awready;
 input	[2:0]		I_PSNOCCCI1AXIS_awsize;
 input	[17:0]		I_PSNOCCCI1AXIS_awuser;
 input 			I_PSNOCCCI1AXIS_awvalid;
 input 			I_PSNOCCCI1AXIS_bready;
 output [1:0]		I_PSNOCCCI1AXIS_bresp;
 output [15:0]		I_PSNOCCCI1AXIS_buser;
 output 		I_PSNOCCCI1AXIS_bvalid;
 output [127:0]		I_PSNOCCCI1AXIS_rdata;
 output 		I_PSNOCCCI1AXIS_rlast;
 input 			I_PSNOCCCI1AXIS_rready;
 output [1:0]		I_PSNOCCCI1AXIS_rresp;
 output [31:0]		I_PSNOCCCI1AXIS_ruser;
 output 		I_PSNOCCCI1AXIS_rvalid;
 input	[127:0]		I_PSNOCCCI1AXIS_wdata;
 input 			I_PSNOCCCI1AXIS_wlast;
 output 		I_PSNOCCCI1AXIS_wready;
 input	[15:0]		I_PSNOCCCI1AXIS_wstrb;
 input	[31:0]		I_PSNOCCCI1AXIS_wuser;
 input 			I_PSNOCCCI1AXIS_wvalid;
 input	[63:0]		I_PSNOCCCI2AXIS_araddr;
 input	[1:0]		I_PSNOCCCI2AXIS_arburst;
 input	[3:0]		I_PSNOCCCI2AXIS_arcache;
 input	[15:0]		I_PSNOCCCI2AXIS_arid;
 input	[7:0]		I_PSNOCCCI2AXIS_arlen;
 input	[0:0]		I_PSNOCCCI2AXIS_arlock;
 input	[2:0]		I_PSNOCCCI2AXIS_arprot;
 input	[3:0]		I_PSNOCCCI2AXIS_arqos;
 output 		I_PSNOCCCI2AXIS_arready;
 input	[2:0]		I_PSNOCCCI2AXIS_arsize;
 input	[17:0]		I_PSNOCCCI2AXIS_aruser;
 input 			I_PSNOCCCI2AXIS_arvalid;
 input	[63:0]		I_PSNOCCCI2AXIS_awaddr;
 input	[1:0]		I_PSNOCCCI2AXIS_awburst;
 input	[3:0]		I_PSNOCCCI2AXIS_awcache;
 input	[15:0]		I_PSNOCCCI2AXIS_awid;
 input	[7:0]		I_PSNOCCCI2AXIS_awlen;
 input	[0:0]		I_PSNOCCCI2AXIS_awlock;
 input	[2:0]		I_PSNOCCCI2AXIS_awprot;
 input	[3:0]		I_PSNOCCCI2AXIS_awqos;
 output 		I_PSNOCCCI2AXIS_awready;
 input	[2:0]		I_PSNOCCCI2AXIS_awsize;
 input	[17:0]		I_PSNOCCCI2AXIS_awuser;
 input 			I_PSNOCCCI2AXIS_awvalid;
 output [15:0]		I_PSNOCCCI2AXIS_bid;
 input 			I_PSNOCCCI2AXIS_bready;
 output [1:0]		I_PSNOCCCI2AXIS_bresp;
 output [15:0]		I_PSNOCCCI2AXIS_buser;
 output 		I_PSNOCCCI2AXIS_bvalid;
 output [127:0]		I_PSNOCCCI2AXIS_rdata;
 output [15:0]		I_PSNOCCCI2AXIS_rid;
 output 		I_PSNOCCCI2AXIS_rlast;
 input 			I_PSNOCCCI2AXIS_rready;
 output [1:0]		I_PSNOCCCI2AXIS_rresp;
 output [31:0]		I_PSNOCCCI2AXIS_ruser;
 output 		I_PSNOCCCI2AXIS_rvalid;
 input	[127:0]		I_PSNOCCCI2AXIS_wdata;
 input 			I_PSNOCCCI2AXIS_wlast;
 output 		I_PSNOCCCI2AXIS_wready;
 input	[15:0]		I_PSNOCCCI2AXIS_wstrb;
 input	[31:0]		I_PSNOCCCI2AXIS_wuser;
 input 			I_PSNOCCCI2AXIS_wvalid;
 input	[63:0]		I_PSNOCCCI3AXIS_araddr;
 input	[1:0]		I_PSNOCCCI3AXIS_arburst;
 input	[3:0]		I_PSNOCCCI3AXIS_arcache;
 input	[15:0]		I_PSNOCCCI3AXIS_arid;
 input	[7:0]		I_PSNOCCCI3AXIS_arlen;
 input	[0:0]		I_PSNOCCCI3AXIS_arlock;
 input	[2:0]		I_PSNOCCCI3AXIS_arprot;
 input	[3:0]		I_PSNOCCCI3AXIS_arqos;
 output 		I_PSNOCCCI3AXIS_arready;
 input	[2:0]		I_PSNOCCCI3AXIS_arsize;
 input	[17:0]		I_PSNOCCCI3AXIS_aruser;
 input 			I_PSNOCCCI3AXIS_arvalid;
 input	[63:0]		I_PSNOCCCI3AXIS_awaddr;
 input	[1:0]		I_PSNOCCCI3AXIS_awburst;
 input	[3:0]		I_PSNOCCCI3AXIS_awcache;
 input	[15:0]		I_PSNOCCCI3AXIS_awid;
 input	[7:0]		I_PSNOCCCI3AXIS_awlen;
 input	[0:0]		I_PSNOCCCI3AXIS_awlock;
 input	[2:0]		I_PSNOCCCI3AXIS_awprot;
 input	[3:0]		I_PSNOCCCI3AXIS_awqos;
 output 		I_PSNOCCCI3AXIS_awready;
 input	[2:0]		I_PSNOCCCI3AXIS_awsize;
 input	[17:0]		I_PSNOCCCI3AXIS_awuser;
 input 			I_PSNOCCCI3AXIS_awvalid;
 output [15:0]		I_PSNOCCCI3AXIS_bid;
 input 			I_PSNOCCCI3AXIS_bready;
 output [1:0]		I_PSNOCCCI3AXIS_bresp;
 output [15:0]		I_PSNOCCCI3AXIS_buser;
 output 		I_PSNOCCCI3AXIS_bvalid;
 output [127:0]		I_PSNOCCCI3AXIS_rdata;
 output [15:0]		I_PSNOCCCI3AXIS_rid;
 output 		I_PSNOCCCI3AXIS_rlast;
 input 			I_PSNOCCCI3AXIS_rready;
 output [1:0]		I_PSNOCCCI3AXIS_rresp;
 output [31:0]		I_PSNOCCCI3AXIS_ruser;
 output 		I_PSNOCCCI3AXIS_rvalid;
 input	[127:0]		I_PSNOCCCI3AXIS_wdata;
 input 			I_PSNOCCCI3AXIS_wlast;
 output 		I_PSNOCCCI3AXIS_wready;
 input	[15:0]		I_PSNOCCCI3AXIS_wstrb;
 input	[31:0]		I_PSNOCCCI3AXIS_wuser;
 input 			I_PSNOCCCI3AXIS_wvalid;
 output [63:0]		I_PSNOCCCIAXIM_araddr;
 output [1:0]		I_PSNOCCCIAXIM_arburst;
 output [3:0]		I_PSNOCCCIAXIM_arcache;
 output [7:0]		I_PSNOCCCIAXIM_arlen;
 output [0:0]		I_PSNOCCCIAXIM_arlock;
 output [2:0]		I_PSNOCCCIAXIM_arprot;
 output [3:0]		I_PSNOCCCIAXIM_arqos;
 input 			I_PSNOCCCIAXIM_arready;
 output [2:0]		I_PSNOCCCIAXIM_arsize;
 output [17:0]		I_PSNOCCCIAXIM_aruser;
 output 		I_PSNOCCCIAXIM_arvalid;
 output [63:0]		I_PSNOCCCIAXIM_awaddr;
 output [1:0]		I_PSNOCCCIAXIM_awburst;
 output [3:0]		I_PSNOCCCIAXIM_awcache;
 output [7:0]		I_PSNOCCCIAXIM_awlen;
 output [0:0]		I_PSNOCCCIAXIM_awlock;
 output [2:0]		I_PSNOCCCIAXIM_awprot;
 output [3:0]		I_PSNOCCCIAXIM_awqos;
 input 			I_PSNOCCCIAXIM_awready;
 output [2:0]		I_PSNOCCCIAXIM_awsize;
 output [17:0]		I_PSNOCCCIAXIM_awuser;
 output 		I_PSNOCCCIAXIM_awvalid;
 output 		I_PSNOCCCIAXIM_bready;
 input	[1:0]		I_PSNOCCCIAXIM_bresp;
 input	[15:0]		I_PSNOCCCIAXIM_buser;
 input 			I_PSNOCCCIAXIM_bvalid;
 input	[127:0]		I_PSNOCCCIAXIM_rdata;
 input 			I_PSNOCCCIAXIM_rlast;
 output 		I_PSNOCCCIAXIM_rready;
 input	[1:0]		I_PSNOCCCIAXIM_rresp;
 input	[15:0]		I_PSNOCCCIAXIM_ruser;
 input 			I_PSNOCCCIAXIM_rvalid;
 output [127:0]		I_PSNOCCCIAXIM_wdata;
 output 		I_PSNOCCCIAXIM_wlast;
 input 			I_PSNOCCCIAXIM_wready;
 output [15:0]		I_PSNOCCCIAXIM_wstrb;
 output [15:0]		I_PSNOCCCIAXIM_wuser;
 output 		I_PSNOCCCIAXIM_wvalid;
 input	[63:0]		I_PSNOCCCIAXIS_araddr;
 input	[1:0]		I_PSNOCCCIAXIS_arburst;
 input	[3:0]		I_PSNOCCCIAXIS_arcache;
 input	[15:0]		I_PSNOCCCIAXIS_arid;
 input	[7:0]		I_PSNOCCCIAXIS_arlen;
 input	[0:0]		I_PSNOCCCIAXIS_arlock;
 input	[2:0]		I_PSNOCCCIAXIS_arprot;
 input	[3:0]		I_PSNOCCCIAXIS_arqos;
 output 		I_PSNOCCCIAXIS_arready;
 input	[2:0]		I_PSNOCCCIAXIS_arsize;
 input	[31:0]		I_PSNOCCCIAXIS_aruser;
 input 			I_PSNOCCCIAXIS_arvalid;
 input	[63:0]		I_PSNOCCCIAXIS_awaddr;
 input	[1:0]		I_PSNOCCCIAXIS_awburst;
 input	[3:0]		I_PSNOCCCIAXIS_awcache;
 input	[15:0]		I_PSNOCCCIAXIS_awid;
 input	[7:0]		I_PSNOCCCIAXIS_awlen;
 input	[0:0]		I_PSNOCCCIAXIS_awlock;
 input	[2:0]		I_PSNOCCCIAXIS_awprot;
 input	[3:0]		I_PSNOCCCIAXIS_awqos;
 output 		I_PSNOCCCIAXIS_awready;
 input	[2:0]		I_PSNOCCCIAXIS_awsize;
 input	[31:0]		I_PSNOCCCIAXIS_awuser;
 input 			I_PSNOCCCIAXIS_awvalid;
 output [15:0]		I_PSNOCCCIAXIS_bid;
 input 			I_PSNOCCCIAXIS_bready;
 output [1:0]		I_PSNOCCCIAXIS_bresp;
 output [15:0]		I_PSNOCCCIAXIS_buser;
 output 		I_PSNOCCCIAXIS_bvalid;
 output [127:0]		I_PSNOCCCIAXIS_rdata;
 output [15:0]		I_PSNOCCCIAXIS_rid;
 output 		I_PSNOCCCIAXIS_rlast;
 input 			I_PSNOCCCIAXIS_rready;
 output [1:0]		I_PSNOCCCIAXIS_rresp;
 output [31:0]		I_PSNOCCCIAXIS_ruser;
 output 		I_PSNOCCCIAXIS_rvalid;
 input	[127:0]		I_PSNOCCCIAXIS_wdata;
 input 			I_PSNOCCCIAXIS_wlast;
 output 		I_PSNOCCCIAXIS_wready;
 input	[15:0]		I_PSNOCCCIAXIS_wstrb;
 input	[31:0]		I_PSNOCCCIAXIS_wuser;
 input 			I_PSNOCCCIAXIS_wvalid;
 
 output [43:0]		MAXIGP0_araddr;
 output [1:0]		MAXIGP0_arburst;
 output [3:0]		MAXIGP0_arcache;
 output [7:0]		MAXIGP0_arlen;
 output [15:0]		MAXIGP0_arid;
 output [0:0]		MAXIGP0_arlock;
 output [2:0]		MAXIGP0_arprot;
 output [3:0]		MAXIGP0_arqos;
 input 			MAXIGP0_arready;
 output [2:0]		MAXIGP0_arsize;
 output [31:0]		MAXIGP0_aruser;
 output 		MAXIGP0_arvalid;
 output [43:0]		MAXIGP0_awaddr;
 output [1:0]		MAXIGP0_awburst;
 output [3:0]		MAXIGP0_awcache;
 output [7:0]		MAXIGP0_awlen;
 output [15:0]		MAXIGP0_awid;
 output [0:0]		MAXIGP0_awlock;
 output [2:0]		MAXIGP0_awprot;
 output [3:0]		MAXIGP0_awqos;
 input 			MAXIGP0_awready;
 output [2:0]		MAXIGP0_awsize;
 output [31:0]		MAXIGP0_awuser;
 output 		MAXIGP0_awvalid;
 output 		MAXIGP0_bready;
 input 	[1:0]		MAXIGP0_bresp;
 input 	[15:0]		MAXIGP0_buser;
 input 			MAXIGP0_bvalid;
 input 	[15:0]		MAXIGP0_bid;
 input 	[127:0]		MAXIGP0_rdata;
 input 			MAXIGP0_rlast;
 output 		MAXIGP0_rready;
 input 	[1:0]		MAXIGP0_rresp;
 input 	[15:0]		MAXIGP0_ruser;
 input 			MAXIGP0_rvalid;
 input 	[15:0]		MAXIGP0_rid;
 output [127:0]		MAXIGP0_wdata;
 output 		MAXIGP0_wlast;
 input 			MAXIGP0_wready;
 output [15:0]		MAXIGP0_wstrb;
 output [15:0]		MAXIGP0_wuser;
 output 		MAXIGP0_wvalid;
 output [43:0]		MAXIGP2_araddr;
 output [1:0]		MAXIGP2_arburst;
 output [3:0]		MAXIGP2_arcache;
 output [7:0]		MAXIGP2_arlen;
 output [15:0]		MAXIGP2_arid;
 output [0:0]		MAXIGP2_arlock;
 output [2:0]		MAXIGP2_arprot;
 output [3:0]		MAXIGP2_arqos;
 input 			MAXIGP2_arready;
 output [2:0]		MAXIGP2_arsize;
 output [31:0]		MAXIGP2_aruser;
 output 		MAXIGP2_arvalid;
 output [43:0]		MAXIGP2_awaddr;
 output [1:0]		MAXIGP2_awburst;
 output [3:0]		MAXIGP2_awcache;
 output [7:0]		MAXIGP2_awlen;
 output [15:0]		MAXIGP2_awid;
 output [0:0]		MAXIGP2_awlock;
 output [2:0]		MAXIGP2_awprot;
 output [3:0]		MAXIGP2_awqos;
 input 			MAXIGP2_awready;
 output [2:0]		MAXIGP2_awsize;
 output [31:0]		MAXIGP2_awuser;
 output 		MAXIGP2_awvalid;
 output 		MAXIGP2_bready;
 input 	[1:0]		MAXIGP2_bresp;
 input 	[15:0]		MAXIGP2_buser;
 input 			MAXIGP2_bvalid;
 input 	[15:0]		MAXIGP2_bid;
 input 	[127:0]		MAXIGP2_rdata;
 input 			MAXIGP2_rlast;
 output 		MAXIGP2_rready;
 input 	[1:0]		MAXIGP2_rresp;
 input 	[15:0]		MAXIGP2_ruser;
 input 			MAXIGP2_rvalid;
 input 	[15:0]		MAXIGP2_rid;
 output [127:0]		MAXIGP2_wdata;
 output 		MAXIGP2_wlast;
 input 			MAXIGP2_wready;
 output [15:0]		MAXIGP2_wstrb;
 output [15:0]		MAXIGP2_wuser;
 output 		MAXIGP2_wvalid;
 input 	[63:0]		NOC_API_araddr;
 input 	[1:0]		NOC_API_arburst;
 input 	[3:0]		NOC_API_arcache;
 input 	[5:0]		NOC_API_arid;
 input 	[7:0]		NOC_API_arlen;
 input 	[0:0]		NOC_API_arlock;
 input 	[2:0]		NOC_API_arprot;
 input 	[3:0]		NOC_API_arqos;
 output 		NOC_API_arready;
 input 	[2:0]		NOC_API_arsize;
 input 	[15:0]		NOC_API_aruser;
 input 			NOC_API_arvalid;
 input 	[63:0]		NOC_API_awaddr;
 input 	[1:0]		NOC_API_awburst;
 input 	[3:0]		NOC_API_awcache;
 input 	[5:0]		NOC_API_awid;
 input 	[7:0]		NOC_API_awlen;
 input 	[0:0]		NOC_API_awlock;
 input 	[2:0]		NOC_API_awprot;
 input 	[3:0]		NOC_API_awqos;
 output 		NOC_API_awready;
 input 	[2:0]		NOC_API_awsize;
 input 	[15:0]		NOC_API_awuser;
 input 			NOC_API_awvalid;
 output [5:0]		NOC_API_bid;
 input 			NOC_API_bready;
 output [1:0]		NOC_API_bresp;
 output [15:0]		NOC_API_buser;
 output 		NOC_API_bvalid;
 output [127:0]		NOC_API_rdata;
 output [5:0]		NOC_API_rid;
 output 		NOC_API_rlast;
 input 			NOC_API_rready;
 output [1:0]		NOC_API_rresp;
 output [15:0]		NOC_API_ruser;
 output 		NOC_API_rvalid;
 input 	[127:0]		NOC_API_wdata;
 input 			NOC_API_wlast;
 output 		NOC_API_wready;
 input 	[15:0]		NOC_API_wstrb;
 input 	[15:0]		NOC_API_wuser;
 input 			NOC_API_wvalid;
 output [31:0]		OCM_araddr;
 output [1:0]		OCM_arburst;
 output [3:0]		OCM_arcache;
 output [7:0]		OCM_arlen;
 output [0:0]		OCM_arlock;
 output [2:0]		OCM_arprot;
 output [3:0]		OCM_arqos;
 input 			OCM_arready;
 output [2:0]		OCM_arsize;
 output [31:0]		OCM_aruser;
 output 		OCM_arvalid;
 output [31:0]		OCM_awaddr;
 output [1:0]		OCM_awburst;
 output [3:0]		OCM_awcache;
 output [7:0]		OCM_awlen;
 output [0:0]		OCM_awlock;
 output [2:0]		OCM_awprot;
 output [3:0]		OCM_awqos;
 input 			OCM_awready;
 output [2:0]		OCM_awsize;
 output [31:0]		OCM_awuser;
 output 		OCM_awvalid;
 output 		OCM_bready;
 input 	[1:0]		OCM_bresp;
 input	[15:0]		OCM_buser;
 input 			OCM_bvalid;
 input 	[31:0]		OCM_rdata;
 input 			OCM_rlast;
 output 		OCM_rready;
 input 	[1:0]		OCM_rresp;
 input 	[3:0]		OCM_ruser;
 input 			OCM_rvalid;
 output [31:0]		OCM_wdata;
 output 		OCM_wlast;
 input 			OCM_wready;
 output [3:0]		OCM_wstrb;
 output [3:0]		OCM_wuser;
 output 		OCM_wvalid;
 input 	[63:0]		R5_API_araddr;
 input 	[1:0]		R5_API_arburst;
 input 	[3:0]		R5_API_arcache;
 input 	[5:0]		R5_API_arid;
 input 	[7:0]		R5_API_arlen;
 input 	[0:0]		R5_API_arlock;
 input 	[2:0]		R5_API_arprot;
 input 	[3:0]		R5_API_arqos;
 output 		R5_API_arready;
 input 	[2:0]		R5_API_arsize;
 input 	[15:0]		R5_API_aruser;
 input 			R5_API_arvalid;
 input 	[63:0]		R5_API_awaddr;
 input 	[1:0]		R5_API_awburst;
 input 	[3:0]		R5_API_awcache;
 input 	[5:0]		R5_API_awid;
 input 	[7:0]		R5_API_awlen;
 input 	[0:0]		R5_API_awlock;
 input 	[2:0]		R5_API_awprot;
 input 	[3:0]		R5_API_awqos;
 output 		R5_API_awready;
 input 	[2:0]		R5_API_awsize;
 input 	[15:0]		R5_API_awuser;
 input 			R5_API_awvalid;
 output [5:0]		R5_API_bid;
 input 			R5_API_bready;
 output [1:0]		R5_API_bresp;
 output [15:0]		R5_API_buser;
 output 		R5_API_bvalid;
 output [127:0]		R5_API_rdata;
 output [5:0]		R5_API_rid;
 output 		R5_API_rlast;
 input 			R5_API_rready;
 output [1:0]		R5_API_rresp;
 output [15:0]		R5_API_ruser;
 output 		R5_API_rvalid;
 input 	[127:0]		R5_API_wdata;
 input 			R5_API_wlast;
 output 		R5_API_wready;
 input 	[15:0]		R5_API_wstrb;
 input 	[15:0]		R5_API_wuser;
 input 			R5_API_wvalid;
 output [31:0]		REG_MEM10_araddr;
 output [1:0]		REG_MEM10_arburst;
 output [3:0]		REG_MEM10_arcache;
 output [7:0]		REG_MEM10_arlen;
 output [0:0]		REG_MEM10_arlock;
 output [2:0]		REG_MEM10_arprot;
 output [3:0]		REG_MEM10_arqos;
 input 			REG_MEM10_arready;
 output [2:0]		REG_MEM10_arsize;
 output [31:0]		REG_MEM10_aruser;
 output 		REG_MEM10_arvalid;
 output [31:0]		REG_MEM10_awaddr;
 output [1:0]		REG_MEM10_awburst;
 output [3:0]		REG_MEM10_awcache;
 output [7:0]		REG_MEM10_awlen;
 output [0:0]		REG_MEM10_awlock;
 output [2:0]		REG_MEM10_awprot;
 output [3:0]		REG_MEM10_awqos;
 input 			REG_MEM10_awready;
 output [2:0]		REG_MEM10_awsize;
 output [31:0]		REG_MEM10_awuser;
 output 		REG_MEM10_awvalid;
 output 		REG_MEM10_bready;
 input	[1:0]		REG_MEM10_bresp;
 input	[15:0]		REG_MEM10_buser;
 input 			REG_MEM10_bvalid;
 input	[31:0]		REG_MEM10_rdata;
 input 			REG_MEM10_rlast;
 output 		REG_MEM10_rready;
 input	[1:0]		REG_MEM10_rresp;
 input	[3:0]		REG_MEM10_ruser;
 input 			REG_MEM10_rvalid;
 output [31:0]		REG_MEM10_wdata;
 output 		REG_MEM10_wlast;
 input 			REG_MEM10_wready;
 output [3:0]		REG_MEM10_wstrb;
 output [3:0]		REG_MEM10_wuser;
 output 		REG_MEM10_wvalid;
 output [31:0]		REG_MEM11_araddr;
 output [1:0]		REG_MEM11_arburst;
 output [3:0]		REG_MEM11_arcache;
 output [7:0]		REG_MEM11_arlen;
 output [0:0]		REG_MEM11_arlock;
 output [2:0]		REG_MEM11_arprot;
 output [3:0]		REG_MEM11_arqos;
 input 			REG_MEM11_arready;
 output [2:0]		REG_MEM11_arsize;
 output [31:0]		REG_MEM11_aruser;
 output 		REG_MEM11_arvalid;
 output [31:0]		REG_MEM11_awaddr;
 output [1:0]		REG_MEM11_awburst;
 output [3:0]		REG_MEM11_awcache;
 output [7:0]		REG_MEM11_awlen;
 output [0:0]		REG_MEM11_awlock;
 output [2:0]		REG_MEM11_awprot;
 output [3:0]		REG_MEM11_awqos;
 input 			REG_MEM11_awready;
 output [2:0]		REG_MEM11_awsize;
 output [31:0]		REG_MEM11_awuser;
 output 		REG_MEM11_awvalid;
 output 		REG_MEM11_bready;
 input	[1:0]		REG_MEM11_bresp;
 input	[15:0]		REG_MEM11_buser;
 input 			REG_MEM11_bvalid;
 input	[31:0]		REG_MEM11_rdata;
 input 			REG_MEM11_rlast;
 output 		REG_MEM11_rready;
 input	[1:0]		REG_MEM11_rresp;
 input	[3:0]		REG_MEM11_ruser;
 input 			REG_MEM11_rvalid;
 output [31:0]		REG_MEM11_wdata;
 output 		REG_MEM11_wlast;
 input 			REG_MEM11_wready;
 output [3:0]		REG_MEM11_wstrb;
 output [3:0]		REG_MEM11_wuser;
 output 		REG_MEM11_wvalid;
 output [31:0]		REG_MEM12_araddr;
 output [1:0]		REG_MEM12_arburst;
 output [3:0]		REG_MEM12_arcache;
 output [7:0]		REG_MEM12_arlen;
 output [0:0]		REG_MEM12_arlock;
 output [2:0]		REG_MEM12_arprot;
 output [3:0]		REG_MEM12_arqos;
 input 			REG_MEM12_arready;
 output [2:0]		REG_MEM12_arsize;
 output [31:0]		REG_MEM12_aruser;
 output 		REG_MEM12_arvalid;
 output [31:0]		REG_MEM12_awaddr;
 output [1:0]		REG_MEM12_awburst;
 output [3:0]		REG_MEM12_awcache;
 output [7:0]		REG_MEM12_awlen;
 output [0:0]		REG_MEM12_awlock;
 output [2:0]		REG_MEM12_awprot;
 output [3:0]		REG_MEM12_awqos;
 input 			REG_MEM12_awready;
 output [2:0]		REG_MEM12_awsize;
 output [31:0]		REG_MEM12_awuser;
 output 		REG_MEM12_awvalid;
 output 		REG_MEM12_bready;
 input	[1:0]		REG_MEM12_bresp;
 input	[15:0]		REG_MEM12_buser;
 input 			REG_MEM12_bvalid;
 input	[31:0]		REG_MEM12_rdata;
 input 			REG_MEM12_rlast;
 output 		REG_MEM12_rready;
 input	[1:0]		REG_MEM12_rresp;
 input	[3:0]		REG_MEM12_ruser;
 input 			REG_MEM12_rvalid;
 output [31:0]		REG_MEM12_wdata;
 output 		REG_MEM12_wlast;
 input 			REG_MEM12_wready;
 output [3:0]		REG_MEM12_wstrb;
 output [3:0]		REG_MEM12_wuser;
 output 		REG_MEM12_wvalid;
 output [31:0]		REG_MEM1_araddr;
 output [1:0]		REG_MEM1_arburst;
 output [3:0]		REG_MEM1_arcache;
 output [7:0]		REG_MEM1_arlen;
 output [0:0]		REG_MEM1_arlock;
 output [2:0]		REG_MEM1_arprot;
 output [3:0]		REG_MEM1_arqos;
 input 			REG_MEM1_arready;
 output [2:0]		REG_MEM1_arsize;
 output [31:0]		REG_MEM1_aruser;
 output 		REG_MEM1_arvalid;
 output [31:0]		REG_MEM1_awaddr;
 output [1:0]		REG_MEM1_awburst;
 output [3:0]		REG_MEM1_awcache;
 output [7:0]		REG_MEM1_awlen;
 output [0:0]		REG_MEM1_awlock;
 output [2:0]		REG_MEM1_awprot;
 output [3:0]		REG_MEM1_awqos;
 input 			REG_MEM1_awready;
 output [2:0]		REG_MEM1_awsize;
 output [31:0]		REG_MEM1_awuser;
 output 		REG_MEM1_awvalid;
 output 		REG_MEM1_bready;
 input	[1:0]		REG_MEM1_bresp;
 input	[15:0]		REG_MEM1_buser;
 input 			REG_MEM1_bvalid;
 input	[31:0]		REG_MEM1_rdata;
 input 			REG_MEM1_rlast;
 output 		REG_MEM1_rready;
 input	[1:0]		REG_MEM1_rresp;
 input	[3:0]		REG_MEM1_ruser;
 input 			REG_MEM1_rvalid;
 output [31:0]		REG_MEM1_wdata;
 output 		REG_MEM1_wlast;
 input 			REG_MEM1_wready;
 output [3:0]		REG_MEM1_wstrb;
 output [3:0]		REG_MEM1_wuser;
 output 		REG_MEM1_wvalid;
 output [31:0]		REG_MEM2_araddr;
 output [1:0]		REG_MEM2_arburst;
 output [3:0]		REG_MEM2_arcache;
 output [7:0]		REG_MEM2_arlen;
 output [0:0]		REG_MEM2_arlock;
 output [2:0]		REG_MEM2_arprot;
 output [3:0]		REG_MEM2_arqos;
 input 			REG_MEM2_arready;
 output [2:0]		REG_MEM2_arsize;
 output [31:0]		REG_MEM2_aruser;
 output 		REG_MEM2_arvalid;
 output [31:0]		REG_MEM2_awaddr;
 output [1:0]		REG_MEM2_awburst;
 output [3:0]		REG_MEM2_awcache;
 output [7:0]		REG_MEM2_awlen;
 output [0:0]		REG_MEM2_awlock;
 output [2:0]		REG_MEM2_awprot;
 output [3:0]		REG_MEM2_awqos;
 input 			REG_MEM2_awready;
 output [2:0]		REG_MEM2_awsize;
 output [31:0]		REG_MEM2_awuser;
 output 		REG_MEM2_awvalid;
 output 		REG_MEM2_bready;
 input	[1:0]		REG_MEM2_bresp;
 input	[15:0]		REG_MEM2_buser;
 input 			REG_MEM2_bvalid;
 input	[31:0]		REG_MEM2_rdata;
 input 			REG_MEM2_rlast;
 output 		REG_MEM2_rready;
 input	[1:0]		REG_MEM2_rresp;
 input	[3:0]		REG_MEM2_ruser;
 input 			REG_MEM2_rvalid;
 output [31:0]		REG_MEM2_wdata;
 output 		REG_MEM2_wlast;
 input 			REG_MEM2_wready;
 output [3:0]		REG_MEM2_wstrb;
 output [3:0]		REG_MEM2_wuser;
 output 		REG_MEM2_wvalid;
 output [31:0]		REG_MEM3_araddr;
 output [1:0]		REG_MEM3_arburst;
 output [3:0]		REG_MEM3_arcache;
 output [7:0]		REG_MEM3_arlen;
 output [0:0]		REG_MEM3_arlock;
 output [2:0]		REG_MEM3_arprot;
 output [3:0]		REG_MEM3_arqos;
 input 			REG_MEM3_arready;
 output [2:0]		REG_MEM3_arsize;
 output [31:0]		REG_MEM3_aruser;
 output 		REG_MEM3_arvalid;
 output [31:0]		REG_MEM3_awaddr;
 output [1:0]		REG_MEM3_awburst;
 output [3:0]		REG_MEM3_awcache;
 output [7:0]		REG_MEM3_awlen;
 output [0:0]		REG_MEM3_awlock;
 output [2:0]		REG_MEM3_awprot;
 output [3:0]		REG_MEM3_awqos;
 input 			REG_MEM3_awready;
 output [2:0]		REG_MEM3_awsize;
 output [31:0]		REG_MEM3_awuser;
 output 		REG_MEM3_awvalid;
 output 		REG_MEM3_bready;
 input	[1:0]		REG_MEM3_bresp;
 input	[15:0]		REG_MEM3_buser;
 input 			REG_MEM3_bvalid;
 input	[31:0]		REG_MEM3_rdata;
 input 			REG_MEM3_rlast;
 output 		REG_MEM3_rready;
 input	[1:0]		REG_MEM3_rresp;
 input	[3:0]		REG_MEM3_ruser;
 input 			REG_MEM3_rvalid;
 output [31:0]		REG_MEM3_wdata;
 output 		REG_MEM3_wlast;
 input 			REG_MEM3_wready;
 output [3:0]		REG_MEM3_wstrb;
 output [3:0]		REG_MEM3_wuser;
 output 		REG_MEM3_wvalid;
 output [31:0]		REG_MEM4_araddr;
 output [1:0]		REG_MEM4_arburst;
 output [3:0]		REG_MEM4_arcache;
 output [7:0]		REG_MEM4_arlen;
 output [0:0]		REG_MEM4_arlock;
 output [2:0]		REG_MEM4_arprot;
 output [3:0]		REG_MEM4_arqos;
 input 			REG_MEM4_arready;
 output [2:0]		REG_MEM4_arsize;
 output [31:0]		REG_MEM4_aruser;
 output 		REG_MEM4_arvalid;
 output [31:0]		REG_MEM4_awaddr;
 output [1:0]		REG_MEM4_awburst;
 output [3:0]		REG_MEM4_awcache;
 output [7:0]		REG_MEM4_awlen;
 output [0:0]		REG_MEM4_awlock;
 output [2:0]		REG_MEM4_awprot;
 output [3:0]		REG_MEM4_awqos;
 input 			REG_MEM4_awready;
 output [2:0]		REG_MEM4_awsize;
 output [31:0]		REG_MEM4_awuser;
 output 		REG_MEM4_awvalid;
 output 		REG_MEM4_bready;
 input	[1:0]		REG_MEM4_bresp;
 input	[15:0]		REG_MEM4_buser;
 input 			REG_MEM4_bvalid;
 input	[31:0]		REG_MEM4_rdata;
 input 			REG_MEM4_rlast;
 output 		REG_MEM4_rready;
 input	[1:0]		REG_MEM4_rresp;
 input	[3:0]		REG_MEM4_ruser;
 input 			REG_MEM4_rvalid;
 output [31:0]		REG_MEM4_wdata;
 output 		REG_MEM4_wlast;
 input 			REG_MEM4_wready;
 output [3:0]		REG_MEM4_wstrb;
 output [3:0]		REG_MEM4_wuser;
 output 		REG_MEM4_wvalid;
 output [31:0]		REG_MEM5_araddr;
 output [1:0]		REG_MEM5_arburst;
 output [3:0]		REG_MEM5_arcache;
 output [7:0]		REG_MEM5_arlen;
 output [0:0]		REG_MEM5_arlock;
 output [2:0]		REG_MEM5_arprot;
 output [3:0]		REG_MEM5_arqos;
 input 			REG_MEM5_arready;
 output [2:0]		REG_MEM5_arsize;
 output [31:0]		REG_MEM5_aruser;
 output 		REG_MEM5_arvalid;
 output [31:0]		REG_MEM5_awaddr;
 output [1:0]		REG_MEM5_awburst;
 output [3:0]		REG_MEM5_awcache;
 output [7:0]		REG_MEM5_awlen;
 output [0:0]		REG_MEM5_awlock;
 output [2:0]		REG_MEM5_awprot;
 output [3:0]		REG_MEM5_awqos;
 input 			REG_MEM5_awready;
 output [2:0]		REG_MEM5_awsize;
 output [31:0]		REG_MEM5_awuser;
 output 		REG_MEM5_awvalid;
 output 		REG_MEM5_bready;
 input	[1:0]		REG_MEM5_bresp;
 input	[15:0]		REG_MEM5_buser;
 input 			REG_MEM5_bvalid;
 input	[31:0]		REG_MEM5_rdata;
 input 			REG_MEM5_rlast;
 output 		REG_MEM5_rready;
 input	[1:0]		REG_MEM5_rresp;
 input	[3:0]		REG_MEM5_ruser;
 input 			REG_MEM5_rvalid;
 output [31:0]		REG_MEM5_wdata;
 output 		REG_MEM5_wlast;
 input 			REG_MEM5_wready;
 output [3:0]		REG_MEM5_wstrb;
 output [3:0]		REG_MEM5_wuser;
 output 		REG_MEM5_wvalid;
 output [31:0]		REG_MEM6_araddr;
 output [1:0]		REG_MEM6_arburst;
 output [3:0]		REG_MEM6_arcache;
 output [7:0]		REG_MEM6_arlen;
 output [0:0]		REG_MEM6_arlock;
 output [2:0]		REG_MEM6_arprot;
 output [3:0]		REG_MEM6_arqos;
 input 			REG_MEM6_arready;
 output [2:0]		REG_MEM6_arsize;
 output [31:0]		REG_MEM6_aruser;
 output 		REG_MEM6_arvalid;
 output [31:0]		REG_MEM6_awaddr;
 output [1:0]		REG_MEM6_awburst;
 output [3:0]		REG_MEM6_awcache;
 output [7:0]		REG_MEM6_awlen;
 output [0:0]		REG_MEM6_awlock;
 output [2:0]		REG_MEM6_awprot;
 output [3:0]		REG_MEM6_awqos;
 input 			REG_MEM6_awready;
 output [2:0]		REG_MEM6_awsize;
 output [31:0]		REG_MEM6_awuser;
 output 		REG_MEM6_awvalid;
 output 		REG_MEM6_bready;
 input	[1:0]		REG_MEM6_bresp;
 input	[15:0]		REG_MEM6_buser;
 input 			REG_MEM6_bvalid;
 input	[31:0]		REG_MEM6_rdata;
 input 			REG_MEM6_rlast;
 output 		REG_MEM6_rready;
 input	[1:0]		REG_MEM6_rresp;
 input	[3:0]		REG_MEM6_ruser;
 input 			REG_MEM6_rvalid;
 output [31:0]		REG_MEM6_wdata;
 output 		REG_MEM6_wlast;
 input 			REG_MEM6_wready;
 output [3:0]		REG_MEM6_wstrb;
 output [3:0]		REG_MEM6_wuser;
 output 		REG_MEM6_wvalid;
 output [31:0]		REG_MEM7_araddr;
 output [1:0]		REG_MEM7_arburst;
 output [3:0]		REG_MEM7_arcache;
 output [7:0]		REG_MEM7_arlen;
 output [0:0]		REG_MEM7_arlock;
 output [2:0]		REG_MEM7_arprot;
 output [3:0]		REG_MEM7_arqos;
 input 			REG_MEM7_arready;
 output [2:0]		REG_MEM7_arsize;
 output [31:0]		REG_MEM7_aruser;
 output 		REG_MEM7_arvalid;
 output [31:0]		REG_MEM7_awaddr;
 output [1:0]		REG_MEM7_awburst;
 output [3:0]		REG_MEM7_awcache;
 output [7:0]		REG_MEM7_awlen;
 output [0:0]		REG_MEM7_awlock;
 output [2:0]		REG_MEM7_awprot;
 output [3:0]		REG_MEM7_awqos;
 input 			REG_MEM7_awready;
 output [2:0]		REG_MEM7_awsize;
 output [31:0]		REG_MEM7_awuser;
 output 		REG_MEM7_awvalid;
 output 		REG_MEM7_bready;
 input	[1:0]		REG_MEM7_bresp;
 input	[15:0]		REG_MEM7_buser;
 input 			REG_MEM7_bvalid;
 input	[31:0]		REG_MEM7_rdata;
 input 			REG_MEM7_rlast;
 output 		REG_MEM7_rready;
 input	[1:0]		REG_MEM7_rresp;
 input	[3:0]		REG_MEM7_ruser;
 input 			REG_MEM7_rvalid;
 output [31:0]		REG_MEM7_wdata;
 output 		REG_MEM7_wlast;
 input 			REG_MEM7_wready;
 output [3:0]		REG_MEM7_wstrb;
 output [3:0]		REG_MEM7_wuser;
 output 		REG_MEM7_wvalid;
 output [31:0]		REG_MEM8_araddr;
 output [1:0]		REG_MEM8_arburst;
 output [3:0]		REG_MEM8_arcache;
 output [7:0]		REG_MEM8_arlen;
 output [0:0]		REG_MEM8_arlock;
 output [2:0]		REG_MEM8_arprot;
 output [3:0]		REG_MEM8_arqos;
 input 			REG_MEM8_arready;
 output [2:0]		REG_MEM8_arsize;
 output [31:0]		REG_MEM8_aruser;
 output 		REG_MEM8_arvalid;
 output [31:0]		REG_MEM8_awaddr;
 output [1:0]		REG_MEM8_awburst;
 output [3:0]		REG_MEM8_awcache;
 output [7:0]		REG_MEM8_awlen;
 output [0:0]		REG_MEM8_awlock;
 output [2:0]		REG_MEM8_awprot;
 output [3:0]		REG_MEM8_awqos;
 input 			REG_MEM8_awready;
 output [2:0]		REG_MEM8_awsize;
 output [31:0]		REG_MEM8_awuser;
 output 		REG_MEM8_awvalid;
 output 		REG_MEM8_bready;
 input	[1:0]		REG_MEM8_bresp;
 input	[15:0]		REG_MEM8_buser;
 input 			REG_MEM8_bvalid;
 input	[31:0]		REG_MEM8_rdata;
 input 			REG_MEM8_rlast;
 output 		REG_MEM8_rready;
 input	[1:0]		REG_MEM8_rresp;
 input	[3:0]		REG_MEM8_ruser;
 input 			REG_MEM8_rvalid;
 output [31:0]		REG_MEM8_wdata;
 output 		REG_MEM8_wlast;
 input 			REG_MEM8_wready;
 output [3:0]		REG_MEM8_wstrb;
 output [3:0]		REG_MEM8_wuser;
 output 		REG_MEM8_wvalid;
 output [31:0]		REG_MEM9_araddr;
 output [1:0]		REG_MEM9_arburst;
 output [3:0]		REG_MEM9_arcache;
 output [7:0]		REG_MEM9_arlen;
 output [0:0]		REG_MEM9_arlock;
 output [2:0]		REG_MEM9_arprot;
 output [3:0]		REG_MEM9_arqos;
 input 			REG_MEM9_arready;
 output [2:0]		REG_MEM9_arsize;
 output [31:0]		REG_MEM9_aruser;
 output 		REG_MEM9_arvalid;
 output [31:0]		REG_MEM9_awaddr;
 output [1:0]		REG_MEM9_awburst;
 output [3:0]		REG_MEM9_awcache;
 output [7:0]		REG_MEM9_awlen;
 output [0:0]		REG_MEM9_awlock;
 output [2:0]		REG_MEM9_awprot;
 output [3:0]		REG_MEM9_awqos;
 input 			REG_MEM9_awready;
 output [2:0]		REG_MEM9_awsize;
 output [31:0]		REG_MEM9_awuser;
 output 		REG_MEM9_awvalid;
 output 		REG_MEM9_bready;
 input	[1:0]		REG_MEM9_bresp;
 input	[15:0]		REG_MEM9_buser;
 input 			REG_MEM9_bvalid;
 input	[31:0]		REG_MEM9_rdata;
 input 			REG_MEM9_rlast;
 output 		REG_MEM9_rready;
 input	[1:0]		REG_MEM9_rresp;
 input	[3:0]		REG_MEM9_ruser;
 input 			REG_MEM9_rvalid;
 output [31:0]		REG_MEM9_wdata;
 output 		REG_MEM9_wlast;
 input 			REG_MEM9_wready;
 output [3:0]		REG_MEM9_wstrb;
 output [3:0]		REG_MEM9_wuser;
 output 		REG_MEM9_wvalid;

 input 	[43:0]		SACEFPD_araddr;
 input 	[1:0]		SACEFPD_arburst;
 input 	[3:0]		SACEFPD_arcache;
 input 	[5:0]		SACEFPD_arid;
 input 	[7:0]		SACEFPD_arlen;
 input 	[0:0]		SACEFPD_arlock;
 input 	[2:0]		SACEFPD_arprot;
 input 	[3:0]		SACEFPD_arqos;
 output 		SACEFPD_arready;
 input 	[2:0]		SACEFPD_arsize;
 input 	[15:0]		SACEFPD_aruser;
 input 			SACEFPD_arvalid;
 input 	[43:0]		SACEFPD_awaddr;
 input 	[1:0]		SACEFPD_awburst;
 input 	[3:0]		SACEFPD_awcache;
 input 	[5:0]		SACEFPD_awid;
 input 	[7:0]		SACEFPD_awlen;
 input 	[0:0]		SACEFPD_awlock;
 input 	[2:0]		SACEFPD_awprot;
 input 	[3:0]		SACEFPD_awqos;
 output 		SACEFPD_awready;
 input 	[2:0]		SACEFPD_awsize;
 input 	[15:0]		SACEFPD_awuser;
 input 			SACEFPD_awvalid;
 output [5:0]		SACEFPD_bid;
 input 			SACEFPD_bready;
 output [1:0]		SACEFPD_bresp;
 output [0:0]		SACEFPD_buser;
 output 		SACEFPD_bvalid;
 output [127:0]		SACEFPD_rdata;
 output [5:0]		SACEFPD_rid;
 output 		SACEFPD_rlast;
 input 			SACEFPD_rready;
 output [1:0]		SACEFPD_rresp;
 output [15:0]		SACEFPD_ruser;
 output 		SACEFPD_rvalid;
 input 	[127:0]		SACEFPD_wdata;
 input 			SACEFPD_wlast;
 output 		SACEFPD_wready;
 input 	[15:0]		SACEFPD_wstrb;
 input 	[15:0]		SACEFPD_wuser;
 input 			SACEFPD_wvalid;
 input 	[15:0]		SACEFPD_wid;
 input 	[43:0]		SAXIACP_araddr;
 input 	[1:0]		SAXIACP_arburst;
 input 	[3:0]		SAXIACP_arcache;
 input 	[4:0]		SAXIACP_arid;
 input 	[7:0]		SAXIACP_arlen;
 input 	[0:0]		SAXIACP_arlock;
 input 	[2:0]		SAXIACP_arprot;
 input 	[3:0]		SAXIACP_arqos;
 output 		SAXIACP_arready;
 input 	[2:0]		SAXIACP_arsize;
 input 	[1:0]		SAXIACP_aruser;
 input 			SAXIACP_arvalid;
 input 	[43:0]		SAXIACP_awaddr;
 input 	[1:0]		SAXIACP_awburst;
 input 	[3:0]		SAXIACP_awcache;
 input 	[4:0]		SAXIACP_awid;
 input 	[7:0]		SAXIACP_awlen;
 input 	[0:0]		SAXIACP_awlock;
 input 	[2:0]		SAXIACP_awprot;
 input 	[3:0]		SAXIACP_awqos;
 output 		SAXIACP_awready;
 input 	[2:0]		SAXIACP_awsize;
 input 	[1:0]		SAXIACP_awuser;
 input 			SAXIACP_awvalid;
 output [4:0]		SAXIACP_bid;
 input 			SAXIACP_bready;
 output [1:0]		SAXIACP_bresp;
 output [15:0]		SAXIACP_buser;
 output 		SAXIACP_bvalid;
 output [127:0]		SAXIACP_rdata;
 output [4:0]		SAXIACP_rid;
 output 		SAXIACP_rlast;
 input  		SAXIACP_rready;
 output [1:0]		SAXIACP_rresp;
 output [15:0]		SAXIACP_ruser;
 output 		SAXIACP_rvalid;
 input  [127:0]		SAXIACP_wdata;
 input  		SAXIACP_wlast;
 output 		SAXIACP_wready;
 input  [15:0]		SAXIACP_wstrb;
 input  [15:0]		SAXIACP_wuser;
 input  		SAXIACP_wvalid;
 input  [48:0]		SAXIGP0_araddr;
 input  [1:0]		SAXIGP0_arburst;
 input  [3:0]		SAXIGP0_arcache;
 input  [5:0]		SAXIGP0_arid;
 input  [7:0]		SAXIGP0_arlen;
 input  [0:0]		SAXIGP0_arlock;
 input  [2:0]		SAXIGP0_arprot;
 input  [3:0]		SAXIGP0_arqos;
 output 		SAXIGP0_arready;
 input 	[2:0]		SAXIGP0_arsize;
 input 	[9:0]		SAXIGP0_aruser;
 input 			SAXIGP0_arvalid;
 input 	[48:0]		SAXIGP0_awaddr;
 input 	[1:0]		SAXIGP0_awburst;
 input 	[3:0]		SAXIGP0_awcache;
 input 	[5:0]		SAXIGP0_awid;
 input 	[7:0]		SAXIGP0_awlen;
 input 	[0:0]		SAXIGP0_awlock;
 input 	[2:0]		SAXIGP0_awprot;
 input 	[3:0]		SAXIGP0_awqos;
 output 		SAXIGP0_awready;
 input 	[2:0]		SAXIGP0_awsize;
 input 	[9:0]		SAXIGP0_awuser;
 input 			SAXIGP0_awvalid;
 output [5:0]		SAXIGP0_bid;
 input  		SAXIGP0_bready;
 output [1:0]		SAXIGP0_bresp;
 output [15:0]		SAXIGP0_buser;
 output 		SAXIGP0_bvalid;
 output [127:0]		SAXIGP0_rdata;
 output [5:0]		SAXIGP0_rid;
 output 		SAXIGP0_rlast;
 input 			SAXIGP0_rready;
 output [1:0]		SAXIGP0_rresp;
 output [15:0]		SAXIGP0_ruser;
 output 		SAXIGP0_rvalid;
 input 	[127:0]		SAXIGP0_wdata;
 input  		SAXIGP0_wlast;
 output 		SAXIGP0_wready;
 input 	[15:0]		SAXIGP0_wstrb;
 input 	[15:0]		SAXIGP0_wuser;
 input 			SAXIGP0_wvalid;
 input 	[48:0]		SAXIGP2_araddr;
 input 	[1:0]		SAXIGP2_arburst;
 input 	[3:0]		SAXIGP2_arcache;
 input 	[5:0]		SAXIGP2_arid;
 input 	[7:0]		SAXIGP2_arlen;
 input 	[0:0]		SAXIGP2_arlock;
 input 	[2:0]		SAXIGP2_arprot;
 input 	[3:0]		SAXIGP2_arqos;
 output 		SAXIGP2_arready;
 input 	[2:0]		SAXIGP2_arsize;
 input 	[17:0]		SAXIGP2_aruser;
 input 			SAXIGP2_arvalid;
 input 	[48:0]		SAXIGP2_awaddr;
 input 	[1:0]		SAXIGP2_awburst;
 input 	[3:0]		SAXIGP2_awcache;
 input 	[5:0]		SAXIGP2_awid;
 input 	[7:0]		SAXIGP2_awlen;
 input 	[0:0]		SAXIGP2_awlock;
 input 	[2:0]		SAXIGP2_awprot;
 input 	[3:0]		SAXIGP2_awqos;
 output 		SAXIGP2_awready;
 input 	[2:0]		SAXIGP2_awsize;
 input 	[17:0]		SAXIGP2_awuser;
 input 			SAXIGP2_awvalid;
 output [5:0]		SAXIGP2_bid;
 input 			SAXIGP2_bready;
 output [1:0]		SAXIGP2_bresp;
 output [15:0]		SAXIGP2_buser;
 output 		SAXIGP2_bvalid;
 output [127:0]		SAXIGP2_rdata;
 output [5:0]		SAXIGP2_rid;
 output 		SAXIGP2_rlast;
 input 			SAXIGP2_rready;
 output [1:0]		SAXIGP2_rresp;
 output [15:0]		SAXIGP2_ruser;
 output 		SAXIGP2_rvalid;
 input 	[127:0]		SAXIGP2_wdata;
 input 			SAXIGP2_wlast;
 output 		SAXIGP2_wready;
 input 	[15:0]		SAXIGP2_wstrb;
 input 	[15:0]		SAXIGP2_wuser;
 input 			SAXIGP2_wvalid;
 input 	[48:0]		SAXIGP4_araddr;
 input 	[1:0]		SAXIGP4_arburst;
 input 	[3:0]		SAXIGP4_arcache;
 input 	[5:0]		SAXIGP4_arid;
 input 	[7:0]		SAXIGP4_arlen;
 input 	[0:0]		SAXIGP4_arlock;
 input 	[2:0]		SAXIGP4_arprot;
 input 	[3:0]		SAXIGP4_arqos;
 output 		SAXIGP4_arready;
 input 	[2:0]		SAXIGP4_arsize;
 input 	[10:0]		SAXIGP4_aruser;
 input 			SAXIGP4_arvalid;
 input 	[48:0]		SAXIGP4_awaddr;
 input 	[1:0]		SAXIGP4_awburst;
 input 	[3:0]		SAXIGP4_awcache;
 input 	[5:0]		SAXIGP4_awid;
 input 	[7:0]		SAXIGP4_awlen;
 input 	[0:0]		SAXIGP4_awlock;
 input 	[2:0]		SAXIGP4_awprot;
 input 	[3:0]		SAXIGP4_awqos;
 output 		SAXIGP4_awready;
 input 	[2:0]		SAXIGP4_awsize;
 input 	[10:0]		SAXIGP4_awuser;
 input 			SAXIGP4_awvalid;
 output [5:0]		SAXIGP4_bid;
 input 			SAXIGP4_bready;
 output [1:0]		SAXIGP4_bresp;
 output [15:0]		SAXIGP4_buser;
 output 		SAXIGP4_bvalid;
 output [127:0]		SAXIGP4_rdata;
 output [5:0]		SAXIGP4_rid;
 output 		SAXIGP4_rlast;
 input 			SAXIGP4_rready;
 output [1:0]		SAXIGP4_rresp;
 output [15:0]		SAXIGP4_ruser;
 output 		SAXIGP4_rvalid;
 input 	[127:0]		SAXIGP4_wdata;
 input 			SAXIGP4_wlast;
 output 		SAXIGP4_wready;
 input 	[15:0]		SAXIGP4_wstrb;
 input 	[15:0]		SAXIGP4_wuser;
 input 			SAXIGP4_wvalid;
 input	[63:0]		SMARTCONNECT6IN_araddr;
 input	[1:0]		SMARTCONNECT6IN_arburst;
 input	[3:0]		SMARTCONNECT6IN_arcache;
 input	[7:0]		SMARTCONNECT6IN_arlen;
 input	[0:0]		SMARTCONNECT6IN_arlock;
 input	[2:0]		SMARTCONNECT6IN_arprot;
 input	[3:0]		SMARTCONNECT6IN_arqos;
 output 		SMARTCONNECT6IN_arready;
 input	[2:0]		SMARTCONNECT6IN_arsize;
 input	[31:0]		SMARTCONNECT6IN_aruser;
 input 			SMARTCONNECT6IN_arvalid;
 input	[63:0]		SMARTCONNECT6IN_awaddr;
 input	[1:0]		SMARTCONNECT6IN_awburst;
 input	[3:0]		SMARTCONNECT6IN_awcache;
 input	[7:0]		SMARTCONNECT6IN_awlen;
 input	[0:0]		SMARTCONNECT6IN_awlock;
 input	[2:0]		SMARTCONNECT6IN_awprot;
 input	[3:0]		SMARTCONNECT6IN_awqos;
 output 		SMARTCONNECT6IN_awready;
 input	[2:0]		SMARTCONNECT6IN_awsize;
 input	[31:0]		SMARTCONNECT6IN_awuser;
 input 			SMARTCONNECT6IN_awvalid;
 input 			SMARTCONNECT6IN_bready;
 output [1:0]		SMARTCONNECT6IN_bresp;
 output [15:0]		SMARTCONNECT6IN_buser;
 output 		SMARTCONNECT6IN_bvalid;
 output [31:0]		SMARTCONNECT6IN_rdata;
 output 		SMARTCONNECT6IN_rlast;
 input 			SMARTCONNECT6IN_rready;
 output [1:0]		SMARTCONNECT6IN_rresp;
 output [3:0]		SMARTCONNECT6IN_ruser;
 output 		SMARTCONNECT6IN_rvalid;
 input	[31:0]		SMARTCONNECT6IN_wdata;
 input 			SMARTCONNECT6IN_wlast;
 output 		SMARTCONNECT6IN_wready;
 input	[3:0]		SMARTCONNECT6IN_wstrb;
 input	[3:0]		SMARTCONNECT6IN_wuser;
 input 			SMARTCONNECT6IN_wvalid;
 
 output [63:0]		SMARTCONNECT6OUT_araddr;
 output [1:0]		SMARTCONNECT6OUT_arburst;
 output [3:0]		SMARTCONNECT6OUT_arcache;
 output [7:0]		SMARTCONNECT6OUT_arlen;
 output [0:0]		SMARTCONNECT6OUT_arlock;
 output [2:0]		SMARTCONNECT6OUT_arprot;
 output [3:0]		SMARTCONNECT6OUT_arqos;
 input  		SMARTCONNECT6OUT_arready;
 output [2:0]		SMARTCONNECT6OUT_arsize;
 output [31:0]		SMARTCONNECT6OUT_aruser;
 output 		SMARTCONNECT6OUT_arvalid;
 output [63:0]		SMARTCONNECT6OUT_awaddr;
 output [1:0]		SMARTCONNECT6OUT_awburst;
 output [3:0]		SMARTCONNECT6OUT_awcache;
 output [7:0]		SMARTCONNECT6OUT_awlen;
 output [0:0]		SMARTCONNECT6OUT_awlock;
 output [2:0]		SMARTCONNECT6OUT_awprot;
 output [3:0]		SMARTCONNECT6OUT_awqos;
 input 			SMARTCONNECT6OUT_awready;
 output [2:0]		SMARTCONNECT6OUT_awsize;
 output [31:0]		SMARTCONNECT6OUT_awuser;
 output 		SMARTCONNECT6OUT_awvalid;
 output 		SMARTCONNECT6OUT_bready;
 input 	[1:0]		SMARTCONNECT6OUT_bresp;
 input 	[15:0]		SMARTCONNECT6OUT_buser;
 input 			SMARTCONNECT6OUT_bvalid;
 input 	[31:0]		SMARTCONNECT6OUT_rdata;
 input 			SMARTCONNECT6OUT_rlast;
 output 		SMARTCONNECT6OUT_rready;
 input 	[1:0]		SMARTCONNECT6OUT_rresp;
 input 	[3:0]		SMARTCONNECT6OUT_ruser;
 input 			SMARTCONNECT6OUT_rvalid;
 output [31:0]		SMARTCONNECT6OUT_wdata;
 output 		SMARTCONNECT6OUT_wlast;
 input 			SMARTCONNECT6OUT_wready;
 output [3:0]		SMARTCONNECT6OUT_wstrb;
 output [3:0]		SMARTCONNECT6OUT_wuser;
 output 		SMARTCONNECT6OUT_wvalid;
 output [31:0] 		IFPSOCM2APBPADDR;
 output			IFPSOCM2APBPENABLE;
 output [2:0] 		IFPSOCM2APBPPROT;
 output 		IFPSOCM2APBPSEL;
 output [3:0] 		IFPSOCM2APBPSTRB;
 output [31:0] 		IFPSOCM2APBPWDATA;
 output 		IFPSOCM2APBPWRITE;
 input [31:0] 		IFPSOCM2APBPRDATA;
 input 			IFPSOCM2APBPREADY;
 input 			IFPSOCM2APBPSLVERR;
 input 			IFPSOCM2AXIARREADY;
 input 			IFPSOCM2AXIAWREADY;
 input [15:0] 		IFPSOCM2AXIBID;
 input [1:0] 		IFPSOCM2AXIBRESP;
 input [0:0] 		IFPSOCM2AXIBUSER;
 input 			IFPSOCM2AXIBVALID;
 input [127:0] 		IFPSOCM2AXIRDATA;
 input [15:0] 		IFPSOCM2AXIRID;
 input [0:0] 		IFPSOCM2AXIRLAST;
 input [1:0] 		IFPSOCM2AXIRRESP;
 input [17:0] 		IFPSOCM2AXIRUSER;
 input 			IFPSOCM2AXIRVALID;
 input 			IFPSOCM2AXIWREADY;
 output [63:0]          IFPSOCM2AXIARADDR;
 output [1:0]           IFPSOCM2AXIARBURST;
 output [3:0]           IFPSOCM2AXIARCACHE;
 output [15:0]          IFPSOCM2AXIARID;
 output [7:0]           IFPSOCM2AXIARLEN;
 output [0:0]           IFPSOCM2AXIARLOCK;
 output [2:0]           IFPSOCM2AXIARPROT;
 output [3:0]           IFPSOCM2AXIARQOS;
 output [3:0]           IFPSOCM2AXIARREGION;
 output [2:0]           IFPSOCM2AXIARSIZE;
 output [15:0]          IFPSOCM2AXIARUSER;
 output                 IFPSOCM2AXIARVALID;
 output [63:0]          IFPSOCM2AXIAWADDR;
 output [1:0]           IFPSOCM2AXIAWBURST;
 output [3:0]           IFPSOCM2AXIAWCACHE;
 output [15:0]          IFPSOCM2AXIAWID;
 output [7:0]           IFPSOCM2AXIAWLEN;
 output [0:0]           IFPSOCM2AXIAWLOCK;
 output [2:0]           IFPSOCM2AXIAWPROT;
 output [3:0]           IFPSOCM2AXIAWQOS;
 output [3:0]           IFPSOCM2AXIAWREGION;
 output [2:0]           IFPSOCM2AXIAWSIZE;
 output [15:0]          IFPSOCM2AXIAWUSER;
 output                 IFPSOCM2AXIAWVALID;
 output                 IFPSOCM2AXIBREADY;
 output                 IFPSOCM2AXIRREADY;
 output [127:0]         IFPSOCM2AXIWDATA;
 output [15:0]          IFPSOCM2AXIWID;
 output [0:0]           IFPSOCM2AXIWLAST;
 output [15:0]          IFPSOCM2AXIWSTRB;
 output [17:0]          IFPSOCM2AXIWUSER;
 output                 IFPSOCM2AXIWVALID;
 input  [1:0]		maxigp0_port_width;
 input  [1:0]		maxigp2_port_width;
 input			aclk_0;
 input			aresetn_0;

 parameter NUM_OF_MASTER_PORTS = 13;
 parameter NUM_OF_SLAVE_PORTS = 16;
 parameter id_bus_width = 16;
 parameter axi_brst_type_width = 2;
 parameter axi_lock_width = 1;
 parameter axi_size_width = 3;
 parameter axi_prot_width = 3;
 parameter address_bus_width = 44;
 parameter data_bus_width = 128;
 parameter axi_cache_width = 4;
 parameter axi_len_width = 8;
 parameter axi_qos_width = 4;
 parameter region_bus_width = 2;
 parameter awuser_bus_width = 32;
 parameter wuser_bus_width = 32;
 parameter aruser_bus_width = 32;
 parameter ruser_bus_width = 32;
 parameter buser_bus_width = 32;
 parameter axi_rsp_width = 2;

 wire [63:0]		w_SMARTCONNECT6OUT_araddr;
 wire [1:0]		w_SMARTCONNECT6OUT_arburst;
 wire [3:0]		w_SMARTCONNECT6OUT_arcache;
 wire [7:0]		w_SMARTCONNECT6OUT_arlen;
 wire [0:0]		w_SMARTCONNECT6OUT_arlock;
 wire [2:0]		w_SMARTCONNECT6OUT_arprot;
 wire [3:0]		w_SMARTCONNECT6OUT_arqos;
 wire 			w_SMARTCONNECT6OUT_arready;
 wire [2:0]		w_SMARTCONNECT6OUT_arsize;
 wire [31:0]		w_SMARTCONNECT6OUT_aruser;
 wire 			w_SMARTCONNECT6OUT_arvalid;
 wire [63:0]		w_SMARTCONNECT6OUT_awaddr;
 wire [1:0]		w_SMARTCONNECT6OUT_awburst;
 wire [3:0]		w_SMARTCONNECT6OUT_awcache;
 wire [7:0]		w_SMARTCONNECT6OUT_awlen;
 wire [0:0]		w_SMARTCONNECT6OUT_awlock;
 wire [2:0]		w_SMARTCONNECT6OUT_awprot;
 wire [3:0]		w_SMARTCONNECT6OUT_awqos;
 wire 			w_SMARTCONNECT6OUT_awready;
 wire [2:0]		w_SMARTCONNECT6OUT_awsize;
 wire [31:0]		w_SMARTCONNECT6OUT_awuser;
 wire 			w_SMARTCONNECT6OUT_awvalid;
 wire 			w_SMARTCONNECT6OUT_bready;
 wire [1:0]		w_SMARTCONNECT6OUT_bresp;
 wire [15:0]		w_SMARTCONNECT6OUT_buser;
 wire 			w_SMARTCONNECT6OUT_bvalid;
 wire [31:0]		w_SMARTCONNECT6OUT_rdata;
 wire 			w_SMARTCONNECT6OUT_rlast;
 wire 			w_SMARTCONNECT6OUT_rready;
 wire [1:0]		w_SMARTCONNECT6OUT_rresp;
 wire [3:0]		w_SMARTCONNECT6OUT_ruser;
 wire 			w_SMARTCONNECT6OUT_rvalid;
 wire [31:0]		w_SMARTCONNECT6OUT_wdata;
 wire 			w_SMARTCONNECT6OUT_wlast;
 wire 			w_SMARTCONNECT6OUT_wready;
 wire [3:0]		w_SMARTCONNECT6OUT_wstrb;
 wire [3:0]		w_SMARTCONNECT6OUT_wuser;
 wire 			w_SMARTCONNECT6OUT_wvalid;

 wire [63:0]		w_SMARTCONNECT6INMUX_araddr;
 wire [1:0]		w_SMARTCONNECT6INMUX_arburst;
 wire [3:0]		w_SMARTCONNECT6INMUX_arcache;
 wire [15:0]		w_SMARTCONNECT6INMUX_arid;
 wire [7:0]		w_SMARTCONNECT6INMUX_arlen;
 wire [0:0]		w_SMARTCONNECT6INMUX_arlock;
 wire [2:0]		w_SMARTCONNECT6INMUX_arprot;
 wire [3:0]		w_SMARTCONNECT6INMUX_arqos;
 wire 			w_SMARTCONNECT6INMUX_arready;
 wire [2:0] 		w_SMARTCONNECT6INMUX_arsize;
 wire [17:0]		w_SMARTCONNECT6INMUX_aruser;
 wire 			w_SMARTCONNECT6INMUX_arvalid;
 wire [63:0]		w_SMARTCONNECT6INMUX_awaddr;
 wire [1:0]		w_SMARTCONNECT6INMUX_awburst;
 wire [3:0]		w_SMARTCONNECT6INMUX_awcache;
 wire [15:0]		w_SMARTCONNECT6INMUX_awid;
 wire [7:0]		w_SMARTCONNECT6INMUX_awlen;
 wire [0:0]		w_SMARTCONNECT6INMUX_awlock;
 wire [2:0]		w_SMARTCONNECT6INMUX_awprot;
 wire [3:0]		w_SMARTCONNECT6INMUX_awqos;
 wire 			w_SMARTCONNECT6INMUX_awready;
 wire [2:0]		w_SMARTCONNECT6INMUX_awsize;
 wire [17:0]		w_SMARTCONNECT6INMUX_awuser;
 wire 			w_SMARTCONNECT6INMUX_awvalid;
 wire [15:0]		w_SMARTCONNECT6INMUX_bid;
 wire 			w_SMARTCONNECT6INMUX_bready;
 wire [1:0]		w_SMARTCONNECT6INMUX_bresp;
 wire [15:0]		w_SMARTCONNECT6INMUX_buser;
 wire 			w_SMARTCONNECT6INMUX_bvalid;
 wire [127:0]		w_SMARTCONNECT6INMUX_rdata;
 wire [15:0]		w_SMARTCONNECT6INMUX_rid;
 wire 			w_SMARTCONNECT6INMUX_rlast;
 wire 			w_SMARTCONNECT6INMUX_rready;
 wire [1:0] 		w_SMARTCONNECT6INMUX_rresp;
 wire [31:0]		w_SMARTCONNECT6INMUX_ruser;
 wire 			w_SMARTCONNECT6INMUX_rvalid;
 wire [127:0]		w_SMARTCONNECT6INMUX_wdata;
 wire 			w_SMARTCONNECT6INMUX_wlast;
 wire 			w_SMARTCONNECT6INMUX_wready;
 wire [15:0]		w_SMARTCONNECT6INMUX_wstrb;
 wire [31:0]		w_SMARTCONNECT6INMUX_wuser;
 wire 			w_SMARTCONNECT6INMUX_wvalid;

 wire [43:0]		w_dmux_PSPLFPD128X32_araddr;
 wire [1:0]		w_dmux_PSPLFPD128X32_arburst;
 wire [3:0]		w_dmux_PSPLFPD128X32_arcache;
 wire [7:0]		w_dmux_PSPLFPD128X32_arlen;
 wire [15:0]		w_dmux_PSPLFPD128X32_arid;
 wire [0:0]		w_dmux_PSPLFPD128X32_arlock;
 wire [2:0]		w_dmux_PSPLFPD128X32_arprot;
 wire [3:0]		w_dmux_PSPLFPD128X32_arqos;
 wire 			w_dmux_PSPLFPD128X32_arready;
 wire [2:0]		w_dmux_PSPLFPD128X32_arsize;
 wire [31:0]		w_dmux_PSPLFPD128X32_aruser;
 wire 			w_dmux_PSPLFPD128X32_arvalid;
 wire [43:0]		w_dmux_PSPLFPD128X32_awaddr;
 wire [1:0]		w_dmux_PSPLFPD128X32_awburst;
 wire [3:0]		w_dmux_PSPLFPD128X32_awcache;
 wire [7:0]		w_dmux_PSPLFPD128X32_awlen;
 wire [15:0]		w_dmux_PSPLFPD128X32_awid;
 wire [0:0]		w_dmux_PSPLFPD128X32_awlock;
 wire [2:0]		w_dmux_PSPLFPD128X32_awprot;
 wire [3:0]		w_dmux_PSPLFPD128X32_awqos;
 wire 			w_dmux_PSPLFPD128X32_awready;
 wire [2:0]		w_dmux_PSPLFPD128X32_awsize;
 wire [31:0]		w_dmux_PSPLFPD128X32_awuser;
 wire 			w_dmux_PSPLFPD128X32_awvalid;
 wire 			w_dmux_PSPLFPD128X32_bready;
 wire [1:0]		w_dmux_PSPLFPD128X32_bresp;
 wire [15:0]		w_dmux_PSPLFPD128X32_buser;
 wire 			w_dmux_PSPLFPD128X32_bvalid;
 wire [15:0]		w_dmux_PSPLFPD128X32_bid;
 wire [127:0]		w_dmux_PSPLFPD128X32_rdata;
 wire 			w_dmux_PSPLFPD128X32_rlast;
 wire 			w_dmux_PSPLFPD128X32_rready;
 wire [1:0]		w_dmux_PSPLFPD128X32_rresp;
 wire [15:0]		w_dmux_PSPLFPD128X32_ruser;
 wire 			w_dmux_PSPLFPD128X32_rvalid;
 wire [15:0]		w_dmux_PSPLFPD128X32_rid;
 wire [127:0]		w_dmux_PSPLFPD128X32_wdata;
 wire 			w_dmux_PSPLFPD128X32_wlast;
 wire 			w_dmux_PSPLFPD128X32_wready;
 wire [15:0]		w_dmux_PSPLFPD128X32_wstrb;
 wire [15:0]		w_dmux_PSPLFPD128X32_wuser;
 wire 			w_dmux_PSPLFPD128X32_wvalid;

 wire [43:0]		w_dmux_PSPLFPD128X64_araddr;
 wire [1:0]		w_dmux_PSPLFPD128X64_arburst;
 wire [3:0]		w_dmux_PSPLFPD128X64_arcache;
 wire [7:0]		w_dmux_PSPLFPD128X64_arlen;
 wire [15:0]		w_dmux_PSPLFPD128X64_arid;
 wire [0:0]		w_dmux_PSPLFPD128X64_arlock;
 wire [2:0]		w_dmux_PSPLFPD128X64_arprot;
 wire [3:0]		w_dmux_PSPLFPD128X64_arqos;
 wire 			w_dmux_PSPLFPD128X64_arready;
 wire [2:0]		w_dmux_PSPLFPD128X64_arsize;
 wire [31:0]		w_dmux_PSPLFPD128X64_aruser;
 wire 			w_dmux_PSPLFPD128X64_arvalid;
 wire [43:0]		w_dmux_PSPLFPD128X64_awaddr;
 wire [1:0]		w_dmux_PSPLFPD128X64_awburst;
 wire [3:0]		w_dmux_PSPLFPD128X64_awcache;
 wire [7:0]		w_dmux_PSPLFPD128X64_awlen;
 wire [15:0]		w_dmux_PSPLFPD128X64_awid;
 wire [0:0]		w_dmux_PSPLFPD128X64_awlock;
 wire [2:0]		w_dmux_PSPLFPD128X64_awprot;
 wire [3:0]		w_dmux_PSPLFPD128X64_awqos;
 wire 			w_dmux_PSPLFPD128X64_awready;
 wire [2:0]		w_dmux_PSPLFPD128X64_awsize;
 wire [31:0]		w_dmux_PSPLFPD128X64_awuser;
 wire 			w_dmux_PSPLFPD128X64_awvalid;
 wire 			w_dmux_PSPLFPD128X64_bready;
 wire [1:0]		w_dmux_PSPLFPD128X64_bresp;
 wire [15:0]		w_dmux_PSPLFPD128X64_buser;
 wire 			w_dmux_PSPLFPD128X64_bvalid;
 wire [15:0]		w_dmux_PSPLFPD128X64_bid;
 wire [127:0]		w_dmux_PSPLFPD128X64_rdata;
 wire 			w_dmux_PSPLFPD128X64_rlast;
 wire 			w_dmux_PSPLFPD128X64_rready;
 wire [1:0]		w_dmux_PSPLFPD128X64_rresp;
 wire [15:0]		w_dmux_PSPLFPD128X64_ruser;
 wire 			w_dmux_PSPLFPD128X64_rvalid;
 wire [15:0]		w_dmux_PSPLFPD128X64_rid;
 wire [127:0]		w_dmux_PSPLFPD128X64_wdata;
 wire 			w_dmux_PSPLFPD128X64_wlast;
 wire 			w_dmux_PSPLFPD128X64_wready;
 wire [15:0]		w_dmux_PSPLFPD128X64_wstrb;
 wire [15:0]		w_dmux_PSPLFPD128X64_wuser;
 wire			w_dmux_PSPLFPD128X64_wvalid;

 wire [43:0]		w_dmux_PSPLLPD128X32_araddr;
 wire [1:0]		w_dmux_PSPLLPD128X32_arburst;
 wire [3:0]		w_dmux_PSPLLPD128X32_arcache;
 wire [7:0]		w_dmux_PSPLLPD128X32_arlen;
 wire [15:0]		w_dmux_PSPLLPD128X32_arid;
 wire [0:0]		w_dmux_PSPLLPD128X32_arlock;
 wire [2:0]		w_dmux_PSPLLPD128X32_arprot;
 wire [3:0]		w_dmux_PSPLLPD128X32_arqos;
 wire 			w_dmux_PSPLLPD128X32_arready;
 wire [2:0]		w_dmux_PSPLLPD128X32_arsize;
 wire [31:0]		w_dmux_PSPLLPD128X32_aruser;
 wire 			w_dmux_PSPLLPD128X32_arvalid;
 wire [43:0]		w_dmux_PSPLLPD128X32_awaddr;
 wire [1:0]		w_dmux_PSPLLPD128X32_awburst;
 wire [3:0]		w_dmux_PSPLLPD128X32_awcache;
 wire [7:0]		w_dmux_PSPLLPD128X32_awlen;
 wire [15:0]		w_dmux_PSPLLPD128X32_awid;
 wire [0:0]		w_dmux_PSPLLPD128X32_awlock;
 wire [2:0]		w_dmux_PSPLLPD128X32_awprot;
 wire [3:0]		w_dmux_PSPLLPD128X32_awqos;
 wire 			w_dmux_PSPLLPD128X32_awready;
 wire [2:0]		w_dmux_PSPLLPD128X32_awsize;
 wire [31:0]		w_dmux_PSPLLPD128X32_awuser;
 wire 			w_dmux_PSPLLPD128X32_awvalid;
 wire 			w_dmux_PSPLLPD128X32_bready;
 wire [1:0]		w_dmux_PSPLLPD128X32_bresp;
 wire [15:0]		w_dmux_PSPLLPD128X32_buser;
 wire 			w_dmux_PSPLLPD128X32_bvalid;
 wire [15:0]		w_dmux_PSPLLPD128X32_bid;
 wire [127:0]		w_dmux_PSPLLPD128X32_rdata;
 wire 			w_dmux_PSPLLPD128X32_rlast;
 wire 			w_dmux_PSPLLPD128X32_rready;
 wire [1:0]		w_dmux_PSPLLPD128X32_rresp;
 wire [15:0]		w_dmux_PSPLLPD128X32_ruser;
 wire 			w_dmux_PSPLLPD128X32_rvalid;
 wire [15:0]		w_dmux_PSPLLPD128X32_rid;
 wire [127:0]		w_dmux_PSPLLPD128X32_wdata;
 wire 			w_dmux_PSPLLPD128X32_wlast;
 wire 			w_dmux_PSPLLPD128X32_wready;
 wire [15:0]		w_dmux_PSPLLPD128X32_wstrb;
 wire [15:0]		w_dmux_PSPLLPD128X32_wuser;
 wire 			w_dmux_PSPLLPD128X32_wvalid;

 wire [43:0]		w_dmux_PSPLLPD128X64_araddr;
 wire [1:0]		w_dmux_PSPLLPD128X64_arburst;
 wire [3:0]		w_dmux_PSPLLPD128X64_arcache;
 wire [7:0]		w_dmux_PSPLLPD128X64_arlen;
 wire [15:0]		w_dmux_PSPLLPD128X64_arid;
 wire [0:0]		w_dmux_PSPLLPD128X64_arlock;
 wire [2:0]		w_dmux_PSPLLPD128X64_arprot;
 wire [3:0]		w_dmux_PSPLLPD128X64_arqos;
 wire 			w_dmux_PSPLLPD128X64_arready;
 wire [2:0]		w_dmux_PSPLLPD128X64_arsize;
 wire [31:0]		w_dmux_PSPLLPD128X64_aruser;
 wire 			w_dmux_PSPLLPD128X64_arvalid;
 wire [43:0]		w_dmux_PSPLLPD128X64_awaddr;
 wire [1:0]		w_dmux_PSPLLPD128X64_awburst;
 wire [3:0]		w_dmux_PSPLLPD128X64_awcache;
 wire [7:0]		w_dmux_PSPLLPD128X64_awlen;
 wire [15:0]		w_dmux_PSPLLPD128X64_awid;
 wire [0:0]		w_dmux_PSPLLPD128X64_awlock;
 wire [2:0]		w_dmux_PSPLLPD128X64_awprot;
 wire [3:0]		w_dmux_PSPLLPD128X64_awqos;
 wire 			w_dmux_PSPLLPD128X64_awready;
 wire [2:0]		w_dmux_PSPLLPD128X64_awsize;
 wire [31:0]		w_dmux_PSPLLPD128X64_awuser;
 wire 			w_dmux_PSPLLPD128X64_awvalid;
 wire 			w_dmux_PSPLLPD128X64_bready;
 wire [1:0]		w_dmux_PSPLLPD128X64_bresp;
 wire [15:0]		w_dmux_PSPLLPD128X64_buser;
 wire 			w_dmux_PSPLLPD128X64_bvalid;
 wire [15:0]		w_dmux_PSPLLPD128X64_bid;
 wire [127:0]		w_dmux_PSPLLPD128X64_rdata;
 wire 			w_dmux_PSPLLPD128X64_rlast;
 wire 			w_dmux_PSPLLPD128X64_rready;
 wire [1:0]		w_dmux_PSPLLPD128X64_rresp;
 wire [15:0]		w_dmux_PSPLLPD128X64_ruser;
 wire 			w_dmux_PSPLLPD128X64_rvalid;
 wire [15:0]		w_dmux_PSPLLPD128X64_rid;
 wire [127:0]		w_dmux_PSPLLPD128X64_wdata;
 wire 			w_dmux_PSPLLPD128X64_wlast;
 wire 			w_dmux_PSPLLPD128X64_wready;
 wire [15:0]		w_dmux_PSPLLPD128X64_wstrb;
 wire [15:0]		w_dmux_PSPLLPD128X64_wuser;
 wire			w_dmux_PSPLLPD128X64_wvalid;

 wire [43:0]		w_mux_PSPLFPD128X32_araddr;
 wire [1:0]		w_mux_PSPLFPD128X32_arburst;
 wire [3:0]		w_mux_PSPLFPD128X32_arcache;
 wire [7:0]		w_mux_PSPLFPD128X32_arlen;
 wire [15:0]		w_mux_PSPLFPD128X32_arid;
 wire [0:0]		w_mux_PSPLFPD128X32_arlock;
 wire [2:0]		w_mux_PSPLFPD128X32_arprot;
 wire [3:0]		w_mux_PSPLFPD128X32_arqos;
 wire 			w_mux_PSPLFPD128X32_arready;
 wire [2:0]		w_mux_PSPLFPD128X32_arsize;
 wire [31:0]		w_mux_PSPLFPD128X32_aruser;
 wire 			w_mux_PSPLFPD128X32_arvalid;
 wire [43:0]		w_mux_PSPLFPD128X32_awaddr;
 wire [1:0]		w_mux_PSPLFPD128X32_awburst;
 wire [3:0]		w_mux_PSPLFPD128X32_awcache;
 wire [7:0]		w_mux_PSPLFPD128X32_awlen;
 wire [15:0]		w_mux_PSPLFPD128X32_awid;
 wire [0:0]		w_mux_PSPLFPD128X32_awlock;
 wire [2:0]		w_mux_PSPLFPD128X32_awprot;
 wire [3:0]		w_mux_PSPLFPD128X32_awqos;
 wire 			w_mux_PSPLFPD128X32_awready;
 wire [2:0]		w_mux_PSPLFPD128X32_awsize;
 wire [31:0]		w_mux_PSPLFPD128X32_awuser;
 wire 			w_mux_PSPLFPD128X32_awvalid;
 wire 			w_mux_PSPLFPD128X32_bready;
 wire [1:0]		w_mux_PSPLFPD128X32_bresp;
 wire [15:0]		w_mux_PSPLFPD128X32_buser;
 wire 			w_mux_PSPLFPD128X32_bvalid;
 wire [15:0]		w_mux_PSPLFPD128X32_bid;
 wire [127:0]		w_mux_PSPLFPD128X32_rdata;
 wire 			w_mux_PSPLFPD128X32_rlast;
 wire 			w_mux_PSPLFPD128X32_rready;
 wire [1:0]		w_mux_PSPLFPD128X32_rresp;
 wire [15:0]		w_mux_PSPLFPD128X32_ruser;
 wire 			w_mux_PSPLFPD128X32_rvalid;
 wire [15:0]		w_mux_PSPLFPD128X32_rid;
 wire [127:0]		w_mux_PSPLFPD128X32_wdata;
 wire 			w_mux_PSPLFPD128X32_wlast;
 wire 			w_mux_PSPLFPD128X32_wready;
 wire [15:0]		w_mux_PSPLFPD128X32_wstrb;
 wire [15:0]		w_mux_PSPLFPD128X32_wuser;
 wire 			w_mux_PSPLFPD128X32_wvalid;

 wire [43:0]		w_mux_PSPLFPD128X64_araddr;
 wire [1:0]		w_mux_PSPLFPD128X64_arburst;
 wire [3:0]		w_mux_PSPLFPD128X64_arcache;
 wire [7:0]		w_mux_PSPLFPD128X64_arlen;
 wire [15:0]		w_mux_PSPLFPD128X64_arid;
 wire [0:0]		w_mux_PSPLFPD128X64_arlock;
 wire [2:0]		w_mux_PSPLFPD128X64_arprot;
 wire [3:0]		w_mux_PSPLFPD128X64_arqos;
 wire 			w_mux_PSPLFPD128X64_arready;
 wire [2:0]		w_mux_PSPLFPD128X64_arsize;
 wire [31:0]		w_mux_PSPLFPD128X64_aruser;
 wire 			w_mux_PSPLFPD128X64_arvalid;
 wire [43:0]		w_mux_PSPLFPD128X64_awaddr;
 wire [1:0]		w_mux_PSPLFPD128X64_awburst;
 wire [3:0]		w_mux_PSPLFPD128X64_awcache;
 wire [7:0]		w_mux_PSPLFPD128X64_awlen;
 wire [15:0]		w_mux_PSPLFPD128X64_awid;
 wire [0:0]		w_mux_PSPLFPD128X64_awlock;
 wire [2:0]		w_mux_PSPLFPD128X64_awprot;
 wire [3:0]		w_mux_PSPLFPD128X64_awqos;
 wire 			w_mux_PSPLFPD128X64_awready;
 wire [2:0]		w_mux_PSPLFPD128X64_awsize;
 wire [31:0]		w_mux_PSPLFPD128X64_awuser;
 wire 			w_mux_PSPLFPD128X64_awvalid;
 wire 			w_mux_PSPLFPD128X64_bready;
 wire [1:0]		w_mux_PSPLFPD128X64_bresp;
 wire [15:0]		w_mux_PSPLFPD128X64_buser;
 wire 			w_mux_PSPLFPD128X64_bvalid;
 wire [15:0]		w_mux_PSPLFPD128X64_bid;
 wire [127:0]		w_mux_PSPLFPD128X64_rdata;
 wire 			w_mux_PSPLFPD128X64_rlast;
 wire 			w_mux_PSPLFPD128X64_rready;
 wire [1:0]		w_mux_PSPLFPD128X64_rresp;
 wire [15:0]		w_mux_PSPLFPD128X64_ruser;
 wire 			w_mux_PSPLFPD128X64_rvalid;
 wire [15:0]		w_mux_PSPLFPD128X64_rid;
 wire [127:0]		w_mux_PSPLFPD128X64_wdata;
 wire 			w_mux_PSPLFPD128X64_wlast;
 wire 			w_mux_PSPLFPD128X64_wready;
 wire [15:0]		w_mux_PSPLFPD128X64_wstrb;
 wire [15:0]		w_mux_PSPLFPD128X64_wuser;
 wire			w_mux_PSPLFPD128X64_wvalid;

 wire [43:0]		w_mux_PSPLLPD128X32_araddr;
 wire [1:0]		w_mux_PSPLLPD128X32_arburst;
 wire [3:0]		w_mux_PSPLLPD128X32_arcache;
 wire [7:0]		w_mux_PSPLLPD128X32_arlen;
 wire [15:0]		w_mux_PSPLLPD128X32_arid;
 wire [0:0]		w_mux_PSPLLPD128X32_arlock;
 wire [2:0]		w_mux_PSPLLPD128X32_arprot;
 wire [3:0]		w_mux_PSPLLPD128X32_arqos;
 wire 			w_mux_PSPLLPD128X32_arready;
 wire [2:0]		w_mux_PSPLLPD128X32_arsize;
 wire [31:0]		w_mux_PSPLLPD128X32_aruser;
 wire 			w_mux_PSPLLPD128X32_arvalid;
 wire [43:0]		w_mux_PSPLLPD128X32_awaddr;
 wire [1:0]		w_mux_PSPLLPD128X32_awburst;
 wire [3:0]		w_mux_PSPLLPD128X32_awcache;
 wire [7:0]		w_mux_PSPLLPD128X32_awlen;
 wire [15:0]		w_mux_PSPLLPD128X32_awid;
 wire [0:0]		w_mux_PSPLLPD128X32_awlock;
 wire [2:0]		w_mux_PSPLLPD128X32_awprot;
 wire [3:0]		w_mux_PSPLLPD128X32_awqos;
 wire 			w_mux_PSPLLPD128X32_awready;
 wire [2:0]		w_mux_PSPLLPD128X32_awsize;
 wire [31:0]		w_mux_PSPLLPD128X32_awuser;
 wire 			w_mux_PSPLLPD128X32_awvalid;
 wire 			w_mux_PSPLLPD128X32_bready;
 wire [1:0]		w_mux_PSPLLPD128X32_bresp;
 wire [15:0]		w_mux_PSPLLPD128X32_buser;
 wire 			w_mux_PSPLLPD128X32_bvalid;
 wire [15:0]		w_mux_PSPLLPD128X32_bid;
 wire [127:0]		w_mux_PSPLLPD128X32_rdata;
 wire 			w_mux_PSPLLPD128X32_rlast;
 wire 			w_mux_PSPLLPD128X32_rready;
 wire [1:0]		w_mux_PSPLLPD128X32_rresp;
 wire [15:0]		w_mux_PSPLLPD128X32_ruser;
 wire 			w_mux_PSPLLPD128X32_rvalid;
 wire [15:0]		w_mux_PSPLLPD128X32_rid;
 wire [127:0]		w_mux_PSPLLPD128X32_wdata;
 wire 			w_mux_PSPLLPD128X32_wlast;
 wire 			w_mux_PSPLLPD128X32_wready;
 wire [15:0]		w_mux_PSPLLPD128X32_wstrb;
 wire [15:0]		w_mux_PSPLLPD128X32_wuser;
 wire 			w_mux_PSPLLPD128X32_wvalid;

 wire [43:0]		w_mux_PSPLLPD128X64_araddr;
 wire [1:0]		w_mux_PSPLLPD128X64_arburst;
 wire [3:0]		w_mux_PSPLLPD128X64_arcache;
 wire [7:0]		w_mux_PSPLLPD128X64_arlen;
 wire [15:0]		w_mux_PSPLLPD128X64_arid;
 wire [0:0]		w_mux_PSPLLPD128X64_arlock;
 wire [2:0]		w_mux_PSPLLPD128X64_arprot;
 wire [3:0]		w_mux_PSPLLPD128X64_arqos;
 wire 			w_mux_PSPLLPD128X64_arready;
 wire [2:0]		w_mux_PSPLLPD128X64_arsize;
 wire [31:0]		w_mux_PSPLLPD128X64_aruser;
 wire 			w_mux_PSPLLPD128X64_arvalid;
 wire [43:0]		w_mux_PSPLLPD128X64_awaddr;
 wire [1:0]		w_mux_PSPLLPD128X64_awburst;
 wire [3:0]		w_mux_PSPLLPD128X64_awcache;
 wire [7:0]		w_mux_PSPLLPD128X64_awlen;
 wire [15:0]		w_mux_PSPLLPD128X64_awid;
 wire [0:0]		w_mux_PSPLLPD128X64_awlock;
 wire [2:0]		w_mux_PSPLLPD128X64_awprot;
 wire [3:0]		w_mux_PSPLLPD128X64_awqos;
 wire 			w_mux_PSPLLPD128X64_awready;
 wire [2:0]		w_mux_PSPLLPD128X64_awsize;
 wire [31:0]		w_mux_PSPLLPD128X64_awuser;
 wire 			w_mux_PSPLLPD128X64_awvalid;
 wire 			w_mux_PSPLLPD128X64_bready;
 wire [1:0]		w_mux_PSPLLPD128X64_bresp;
 wire [15:0]		w_mux_PSPLLPD128X64_buser;
 wire 			w_mux_PSPLLPD128X64_bvalid;
 wire [15:0]		w_mux_PSPLLPD128X64_bid;
 wire [127:0]		w_mux_PSPLLPD128X64_rdata;
 wire 			w_mux_PSPLLPD128X64_rlast;
 wire 			w_mux_PSPLLPD128X64_rready;
 wire [1:0]		w_mux_PSPLLPD128X64_rresp;
 wire [15:0]		w_mux_PSPLLPD128X64_ruser;
 wire 			w_mux_PSPLLPD128X64_rvalid;
 wire [15:0]		w_mux_PSPLLPD128X64_rid;
 wire [127:0]		w_mux_PSPLLPD128X64_wdata;
 wire 			w_mux_PSPLLPD128X64_wlast;
 wire 			w_mux_PSPLLPD128X64_wready;
 wire [15:0]		w_mux_PSPLLPD128X64_wstrb;
 wire [15:0]		w_mux_PSPLLPD128X64_wuser;
 wire			w_mux_PSPLLPD128X64_wvalid;

  wire [31:0]		w_APB_M_0_paddr;
  wire 			w_APB_M_0_penable;
  wire [2:0]		w_APB_M_0_pprot;
  wire [31:0]		w_APB_M_0_prdata;
  wire [0:0]		w_APB_M_0_pready;
  wire [0:0]		w_APB_M_0_psel;
  wire [0:0]		w_APB_M_0_pslverr;
  wire [3:0]		w_APB_M_0_pstrb;
  wire [31:0]		w_APB_M_0_pwdata;
  wire  		w_APB_M_0_pwrite;

                        // Bridge sc's slave side
  wire [63:0]		w_S00_AXI_0_araddr;
  wire [1:0]		w_S00_AXI_0_arburst;
  wire [3:0]		w_S00_AXI_0_arcache;
  wire [7:0]		w_S00_AXI_0_arlen;
  wire [0:0]		w_S00_AXI_0_arlock;
  wire [2:0]		w_S00_AXI_0_arprot;
  wire [3:0]		w_S00_AXI_0_arqos;
  wire 			w_S00_AXI_0_arready;
  wire [2:0]		w_S00_AXI_0_arsize;
  wire 			w_S00_AXI_0_arvalid;
  wire [63:0]		w_S00_AXI_0_awaddr;
  wire [1:0]		w_S00_AXI_0_awburst;
  wire [3:0]		w_S00_AXI_0_awcache;
  wire [7:0]		w_S00_AXI_0_awlen;
  wire [0:0]		w_S00_AXI_0_awlock;
  wire [2:0]		w_S00_AXI_0_awprot;
  wire [3:0]		w_S00_AXI_0_awqos;
  wire 			w_S00_AXI_0_awready;
  wire [2:0]		w_S00_AXI_0_awsize;
  wire 			w_S00_AXI_0_awvalid;
  wire 			w_S00_AXI_0_bready;
  wire [1:0]		w_S00_AXI_0_bresp;
  wire 			w_S00_AXI_0_bvalid;
  wire [127:0]		w_S00_AXI_0_rdata;
  wire 			w_S00_AXI_0_rlast;
  wire 			w_S00_AXI_0_rready;
  wire [1:0]		w_S00_AXI_0_rresp;
  wire 			w_S00_AXI_0_rvalid;
  wire [127:0]		w_S00_AXI_0_wdata;
  wire 			w_S00_AXI_0_wlast;
  wire 			w_S00_AXI_0_wready;
  wire [15:0]		w_S00_AXI_0_wstrb;
  wire 			w_S00_AXI_0_wvalid;
  wire [15:0] 		w_S00_AXI_0_rid;
  wire [17:0] 		w_S00_AXI_0_ruser;
  wire [15:0] 		w_S00_AXI_0_bid;
  wire [17:0] 		w_S00_AXI_0_buser;

 /*
  *  S[0]		 : 	S_AXI_FPD		SAXIGP0
  *  S[1]		 : 	S_AXI_GP2		SAXIGP2
  *  S[2]		 : 	S_AXI_LPD		SAXIGP4
  *  S[3]		 : 	NOC_FPD_CCI_0		IFNOCPSCCIAXI0
  *  S[4]		 : 	NOC_FPD_CCI_1		IFNOCPSCCIAXI1
  *  S[5]		 : 	NOC_FPD_AXI_0		IFNOCPSNCIAXI0
  *  S[6]		 : 	NOC_FPD_AXI_1		IFNOCPSNCIAXI1
  *  S[7]		 : 	S_ACP_FPD		SAXIACP
  *  S[8]		 : 	S_ACE_FPD		SACEFPD
  *  S[9]		 : 	NOC_PMC_AXI_0		IFNOCPMCAXI0
  *  S[10]		 : 	NOCPSPCIAXI0		IFNOCPSPCIAXI0
  *  S[11]		 : 	A72_API			A72_API
  *  S[12]		 : 	NOC_API			NOC_API
  *  S[13]		 : 	R5_API			R5_API
  *  S[14]		 : 	CPMPSAXI0		IFCPMPSAXI0
  *  S[15]		 : 	CPMPSAXI1		IFCPMPSAXI0
  *  M[0]		 :	FPD_CCI_NOC		IFPSNOCCCIAXI (IFPSNOCCCIAXI0, IFPSNOCCCIAXI1, IFPSNOCCCIAXI2, IFPSNOCCCIAXI3)    
  *  M[1]		 :	M_AXI_FPD		MAXIGP0
  *  M[2]		 :	M_AXI_LPD		MAXIGP2
  *  M[3]		 :	FPD_AXI_NOC_0		IFPSNOCNCIAXI0
  *  M[4]		 :	FPD_AXI_NOC_1		IFPSNOCNCIAXI1
  *  M[5]		 :	PSNOCPCIAXI0		IFPSNOCPCIAXI0
  *  M[6]		 :	PSNOCPCIAXI1		IFPSNOCPCIAXI1
  *  M[7]		 :	PMC_NOC_AXI_0		IFPMCNOCAXI0
  *  M[8]		 :	NOC_LPD_AXI_0		IFPSNOCRPUAXI0
  *  M[9]		 :	PSCPMPCIEAXI		IFPSCPMPCIEAXI
  *  M[10]		 :	OCM,REG,PSCPMCFG	SMARTCONNECT6OUT (OCM, IFPSCPMCFG, REG)
  */

 // Master Mux's ports
 bit 					M_ARVALID[NUM_OF_MASTER_PORTS];
 bit 					M_AWVALID[NUM_OF_MASTER_PORTS];
 bit 					M_BREADY[NUM_OF_MASTER_PORTS];
 bit 					M_RREADY[NUM_OF_MASTER_PORTS];
 bit 					M_WLAST[NUM_OF_MASTER_PORTS];
 bit 					M_WVALID[NUM_OF_MASTER_PORTS];
 bit 					M_ARREADY[NUM_OF_MASTER_PORTS];
 bit 					M_AWREADY[NUM_OF_MASTER_PORTS];
 bit 					M_BVALID[NUM_OF_MASTER_PORTS];
 bit 					M_RLAST[NUM_OF_MASTER_PORTS];
 bit 					M_RVALID[NUM_OF_MASTER_PORTS];
 bit 					M_WREADY[NUM_OF_MASTER_PORTS];
 bit   [id_bus_width-1:0] 		M_ARID[NUM_OF_MASTER_PORTS];
 bit   [id_bus_width-1:0] 		M_AWID[NUM_OF_MASTER_PORTS];
 bit   [id_bus_width-1:0] 		M_WID[NUM_OF_MASTER_PORTS];
 bit   [axi_brst_type_width-1:0]	M_ARBURST[NUM_OF_MASTER_PORTS];
 bit   [axi_lock_width-1:0] 		M_ARLOCK[NUM_OF_MASTER_PORTS];
 bit   [axi_size_width-1:0] 		M_ARSIZE[NUM_OF_MASTER_PORTS];
 bit   [axi_brst_type_width-1:0]	M_AWBURST[NUM_OF_MASTER_PORTS];
 bit   [axi_lock_width-1:0] 		M_AWLOCK[NUM_OF_MASTER_PORTS];
 bit   [axi_size_width-1:0] 		M_AWSIZE[NUM_OF_MASTER_PORTS];
 bit   [axi_prot_width-1:0] 		M_ARPROT[NUM_OF_MASTER_PORTS];
 bit   [axi_prot_width-1:0] 		M_AWPROT[NUM_OF_MASTER_PORTS];
 logic [address_bus_width-1:0] 		M_ARADDR[NUM_OF_MASTER_PORTS];
 logic [address_bus_width-1:0] 		M_AWADDR[NUM_OF_MASTER_PORTS];
 logic [data_bus_width-1:0]   		M_WDATA[NUM_OF_MASTER_PORTS];
 bit   [axi_cache_width-1:0]  		M_ARCACHE[NUM_OF_MASTER_PORTS];
 bit   [axi_len_width-1:0] 		M_ARLEN[NUM_OF_MASTER_PORTS];
 bit   [axi_qos_width-1:0] 		M_ARQOS[NUM_OF_MASTER_PORTS];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		M_AWCACHE[NUM_OF_MASTER_PORTS];
 bit   [axi_len_width-1:0] 		M_AWLEN[NUM_OF_MASTER_PORTS];
 bit   [axi_qos_width-1:0] 		M_AWQOS[NUM_OF_MASTER_PORTS];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	M_WSTRB[NUM_OF_MASTER_PORTS];
 bit   [region_bus_width-1:0] 		M_AWREGION[NUM_OF_MASTER_PORTS];
 bit   [region_bus_width-1:0] 		M_ARREGION[NUM_OF_MASTER_PORTS];
 bit   [awuser_bus_width-1:0] 		M_AWUSER[NUM_OF_MASTER_PORTS];
 bit   [wuser_bus_width-1:0] 		M_WUSER[NUM_OF_MASTER_PORTS];
 bit   [buser_bus_width-1:0] 		M_BUSER[NUM_OF_MASTER_PORTS];
 bit   [aruser_bus_width-1:0] 		M_ARUSER[NUM_OF_MASTER_PORTS];
 bit   [ruser_bus_width-1:0] 		M_RUSER[NUM_OF_MASTER_PORTS];
 bit   [id_bus_width-1:0] 		M_BID[NUM_OF_MASTER_PORTS];
 bit   [id_bus_width-1:0] 		M_RID[NUM_OF_MASTER_PORTS];
 bit   [axi_rsp_width-1:0] 		M_BRESP[NUM_OF_MASTER_PORTS];
 bit   [axi_rsp_width-1:0] 		M_RRESP[NUM_OF_MASTER_PORTS];
 logic [data_bus_width-1:0] 		M_RDATA[NUM_OF_MASTER_PORTS];

 // Slave Mux's ports
 bit 					S_ARVALID[NUM_OF_SLAVE_PORTS];
 bit 					S_AWVALID[NUM_OF_SLAVE_PORTS];
 bit 					S_BREADY[NUM_OF_SLAVE_PORTS];
 bit 					S_RREADY[NUM_OF_SLAVE_PORTS];
 bit 					S_WLAST[NUM_OF_SLAVE_PORTS];
 bit 					S_WVALID[NUM_OF_SLAVE_PORTS];
 bit 					S_ARREADY[NUM_OF_SLAVE_PORTS];
 bit 					S_AWREADY[NUM_OF_SLAVE_PORTS];
 bit 					S_BVALID[NUM_OF_SLAVE_PORTS];
 bit 					S_RLAST[NUM_OF_SLAVE_PORTS];
 bit 					S_RVALID[NUM_OF_SLAVE_PORTS];
 bit 					S_WREADY[NUM_OF_SLAVE_PORTS];
 bit   [id_bus_width-1:0] 		S_ARID[NUM_OF_SLAVE_PORTS];
 bit   [id_bus_width-1:0] 		S_AWID[NUM_OF_SLAVE_PORTS];
 bit   [id_bus_width-1:0] 		S_WID[NUM_OF_SLAVE_PORTS];
 bit   [axi_brst_type_width-1:0]	S_ARBURST[NUM_OF_SLAVE_PORTS];
 bit   [axi_lock_width-1:0] 		S_ARLOCK[NUM_OF_SLAVE_PORTS];
 bit   [axi_size_width-1:0] 		S_ARSIZE[NUM_OF_SLAVE_PORTS];
 bit   [axi_brst_type_width-1:0]	S_AWBURST[NUM_OF_SLAVE_PORTS];
 bit   [axi_lock_width-1:0] 		S_AWLOCK[NUM_OF_SLAVE_PORTS];
 bit   [axi_size_width-1:0] 		S_AWSIZE[NUM_OF_SLAVE_PORTS];
 bit   [axi_prot_width-1:0] 		S_ARPROT[NUM_OF_SLAVE_PORTS];
 bit   [axi_prot_width-1:0] 		S_AWPROT[NUM_OF_SLAVE_PORTS];
 logic [address_bus_width-1:0] 		S_ARADDR[NUM_OF_SLAVE_PORTS];
 logic [address_bus_width-1:0] 		S_AWADDR[NUM_OF_SLAVE_PORTS];
 logic [data_bus_width-1:0]   		S_WDATA[NUM_OF_SLAVE_PORTS];
 bit   [axi_cache_width-1:0]  		S_ARCACHE[NUM_OF_SLAVE_PORTS];
 bit   [axi_len_width-1:0] 		S_ARLEN[NUM_OF_SLAVE_PORTS];
 bit   [axi_qos_width-1:0] 		S_ARQOS[NUM_OF_SLAVE_PORTS];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		S_AWCACHE[NUM_OF_SLAVE_PORTS];
 bit   [axi_len_width-1:0] 		S_AWLEN[NUM_OF_SLAVE_PORTS];
 bit   [axi_qos_width-1:0] 		S_AWQOS[NUM_OF_SLAVE_PORTS];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	S_WSTRB[NUM_OF_SLAVE_PORTS];
 bit   [region_bus_width-1:0] 		S_AWREGION[NUM_OF_SLAVE_PORTS];
 bit   [region_bus_width-1:0] 		S_ARREGION[NUM_OF_SLAVE_PORTS];
 bit   [awuser_bus_width-1:0] 		S_AWUSER[NUM_OF_SLAVE_PORTS];
 bit   [wuser_bus_width-1:0] 		S_WUSER[NUM_OF_SLAVE_PORTS];
 bit   [buser_bus_width-1:0] 		S_BUSER[NUM_OF_SLAVE_PORTS];
 bit   [aruser_bus_width-1:0] 		S_ARUSER[NUM_OF_SLAVE_PORTS];
 bit   [ruser_bus_width-1:0] 		S_RUSER[NUM_OF_SLAVE_PORTS];
 bit   [id_bus_width-1:0] 		S_BID[NUM_OF_SLAVE_PORTS];
 bit   [id_bus_width-1:0] 		S_RID[NUM_OF_SLAVE_PORTS];
 bit   [axi_rsp_width-1:0] 		S_BRESP[NUM_OF_SLAVE_PORTS];
 bit   [axi_rsp_width-1:0] 		S_RRESP[NUM_OF_SLAVE_PORTS];
 logic [data_bus_width-1:0] 		S_RDATA[NUM_OF_SLAVE_PORTS];

 // PL MAXIGP0 de-mux (master ports)
 bit 					M_DMUX_GP0_ARVALID[3];
 bit 					M_DMUX_GP0_AWVALID[3];
 bit 					M_DMUX_GP0_BREADY[3];
 bit 					M_DMUX_GP0_RREADY[3];
 bit 					M_DMUX_GP0_WLAST[3];
 bit 					M_DMUX_GP0_WVALID[3];
 bit 					M_DMUX_GP0_ARREADY[3];
 bit 					M_DMUX_GP0_AWREADY[3];
 bit 					M_DMUX_GP0_BVALID[3];
 bit 					M_DMUX_GP0_RLAST[3];
 bit 					M_DMUX_GP0_RVALID[3];
 bit 					M_DMUX_GP0_WREADY[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP0_ARID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP0_AWID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP0_WID[3];
 bit   [axi_brst_type_width-1:0]	M_DMUX_GP0_ARBURST[3];
 bit   [axi_lock_width-1:0] 		M_DMUX_GP0_ARLOCK[3];
 bit   [axi_size_width-1:0] 		M_DMUX_GP0_ARSIZE[3];
 bit   [axi_brst_type_width-1:0]	M_DMUX_GP0_AWBURST[3];
 bit   [axi_lock_width-1:0] 		M_DMUX_GP0_AWLOCK[3];
 bit   [axi_size_width-1:0] 		M_DMUX_GP0_AWSIZE[3];
 bit   [axi_prot_width-1:0] 		M_DMUX_GP0_ARPROT[3];
 bit   [axi_prot_width-1:0] 		M_DMUX_GP0_AWPROT[3];
 logic [address_bus_width-1:0] 		M_DMUX_GP0_ARADDR[3];
 logic [address_bus_width-1:0] 		M_DMUX_GP0_AWADDR[3];
 logic [data_bus_width-1:0]   		M_DMUX_GP0_WDATA[3];
 bit   [axi_cache_width-1:0]  		M_DMUX_GP0_ARCACHE[3];
 bit   [axi_len_width-1:0] 		M_DMUX_GP0_ARLEN[3];
 bit   [axi_qos_width-1:0] 		M_DMUX_GP0_ARQOS[3];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		M_DMUX_GP0_AWCACHE[3];
 bit   [axi_len_width-1:0] 		M_DMUX_GP0_AWLEN[3];
 bit   [axi_qos_width-1:0] 		M_DMUX_GP0_AWQOS[3];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	M_DMUX_GP0_WSTRB[3];
 bit   [region_bus_width-1:0] 		M_DMUX_GP0_AWREGION[3];
 bit   [region_bus_width-1:0] 		M_DMUX_GP0_ARREGION[3];
 bit   [awuser_bus_width-1:0] 		M_DMUX_GP0_AWUSER[3];
 bit   [wuser_bus_width-1:0] 		M_DMUX_GP0_WUSER[3];
 bit   [buser_bus_width-1:0] 		M_DMUX_GP0_BUSER[3];
 bit   [aruser_bus_width-1:0] 		M_DMUX_GP0_ARUSER[3];
 bit   [ruser_bus_width-1:0] 		M_DMUX_GP0_RUSER[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP0_BID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP0_RID[3];
 bit   [axi_rsp_width-1:0] 		M_DMUX_GP0_BRESP[3];
 bit   [axi_rsp_width-1:0] 		M_DMUX_GP0_RRESP[3];
 logic [data_bus_width-1:0] 		M_DMUX_GP0_RDATA[3];

 // PL MAXIGP0 de-mux (slave ports)
 bit 					S_DMUX_GP0_ARVALID;
 bit 					S_DMUX_GP0_AWVALID;
 bit 					S_DMUX_GP0_BREADY;
 bit 					S_DMUX_GP0_RREADY;
 bit 					S_DMUX_GP0_WLAST;
 bit 					S_DMUX_GP0_WVALID;
 bit 					S_DMUX_GP0_ARREADY;
 bit 					S_DMUX_GP0_AWREADY;
 bit 					S_DMUX_GP0_BVALID;
 bit 					S_DMUX_GP0_RLAST;
 bit 					S_DMUX_GP0_RVALID;
 bit 					S_DMUX_GP0_WREADY;
 bit   [id_bus_width-1:0] 		S_DMUX_GP0_ARID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP0_AWID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP0_WID;
 bit   [axi_brst_type_width-1:0]	S_DMUX_GP0_ARBURST;
 bit   [axi_lock_width-1:0] 		S_DMUX_GP0_ARLOCK;
 bit   [axi_size_width-1:0] 		S_DMUX_GP0_ARSIZE;
 bit   [axi_brst_type_width-1:0]	S_DMUX_GP0_AWBURST;
 bit   [axi_lock_width-1:0] 		S_DMUX_GP0_AWLOCK;
 bit   [axi_size_width-1:0] 		S_DMUX_GP0_AWSIZE;
 bit   [axi_prot_width-1:0] 		S_DMUX_GP0_ARPROT;
 bit   [axi_prot_width-1:0] 		S_DMUX_GP0_AWPROT;
 logic [address_bus_width-1:0] 		S_DMUX_GP0_ARADDR;
 logic [address_bus_width-1:0] 		S_DMUX_GP0_AWADDR;
 logic [data_bus_width-1:0]   		S_DMUX_GP0_WDATA;
 bit   [axi_cache_width-1:0]  		S_DMUX_GP0_ARCACHE;
 bit   [axi_len_width-1:0] 		S_DMUX_GP0_ARLEN;
 bit   [axi_qos_width-1:0] 		S_DMUX_GP0_ARQOS;  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		S_DMUX_GP0_AWCACHE;
 bit   [axi_len_width-1:0] 		S_DMUX_GP0_AWLEN;
 bit   [axi_qos_width-1:0] 		S_DMUX_GP0_AWQOS;  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	S_DMUX_GP0_WSTRB;
 bit   [region_bus_width-1:0] 		S_DMUX_GP0_AWREGION;
 bit   [region_bus_width-1:0] 		S_DMUX_GP0_ARREGION;
 bit   [awuser_bus_width-1:0] 		S_DMUX_GP0_AWUSER;
 bit   [wuser_bus_width-1:0] 		S_DMUX_GP0_WUSER;
 bit   [buser_bus_width-1:0] 		S_DMUX_GP0_BUSER;
 bit   [aruser_bus_width-1:0] 		S_DMUX_GP0_ARUSER;
 bit   [ruser_bus_width-1:0] 		S_DMUX_GP0_RUSER;
 bit   [id_bus_width-1:0] 		S_DMUX_GP0_BID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP0_RID;
 bit   [axi_rsp_width-1:0] 		S_DMUX_GP0_BRESP;
 bit   [axi_rsp_width-1:0] 		S_DMUX_GP0_RRESP;
 logic [data_bus_width-1:0] 		S_DMUX_GP0_RDATA;

 // PL MAXIGP2 de-mux (master ports)
 bit 					M_DMUX_GP2_ARVALID[3];
 bit 					M_DMUX_GP2_AWVALID[3];
 bit 					M_DMUX_GP2_BREADY[3];
 bit 					M_DMUX_GP2_RREADY[3];
 bit 					M_DMUX_GP2_WLAST[3];
 bit 					M_DMUX_GP2_WVALID[3];
 bit 					M_DMUX_GP2_ARREADY[3];
 bit 					M_DMUX_GP2_AWREADY[3];
 bit 					M_DMUX_GP2_BVALID[3];
 bit 					M_DMUX_GP2_RLAST[3];
 bit 					M_DMUX_GP2_RVALID[3];
 bit 					M_DMUX_GP2_WREADY[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP2_ARID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP2_AWID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP2_WID[3];
 bit   [axi_brst_type_width-1:0]	M_DMUX_GP2_ARBURST[3];
 bit   [axi_lock_width-1:0] 		M_DMUX_GP2_ARLOCK[3];
 bit   [axi_size_width-1:0] 		M_DMUX_GP2_ARSIZE[3];
 bit   [axi_brst_type_width-1:0]	M_DMUX_GP2_AWBURST[3];
 bit   [axi_lock_width-1:0] 		M_DMUX_GP2_AWLOCK[3];
 bit   [axi_size_width-1:0] 		M_DMUX_GP2_AWSIZE[3];
 bit   [axi_prot_width-1:0] 		M_DMUX_GP2_ARPROT[3];
 bit   [axi_prot_width-1:0] 		M_DMUX_GP2_AWPROT[3];
 logic [address_bus_width-1:0] 		M_DMUX_GP2_ARADDR[3];
 logic [address_bus_width-1:0] 		M_DMUX_GP2_AWADDR[3];
 logic [data_bus_width-1:0]   		M_DMUX_GP2_WDATA[3];
 bit   [axi_cache_width-1:0]  		M_DMUX_GP2_ARCACHE[3];
 bit   [axi_len_width-1:0] 		M_DMUX_GP2_ARLEN[3];
 bit   [axi_qos_width-1:0] 		M_DMUX_GP2_ARQOS[3];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		M_DMUX_GP2_AWCACHE[3];
 bit   [axi_len_width-1:0] 		M_DMUX_GP2_AWLEN[3];
 bit   [axi_qos_width-1:0] 		M_DMUX_GP2_AWQOS[3];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	M_DMUX_GP2_WSTRB[3];
 bit   [region_bus_width-1:0] 		M_DMUX_GP2_AWREGION[3];
 bit   [region_bus_width-1:0] 		M_DMUX_GP2_ARREGION[3];
 bit   [awuser_bus_width-1:0] 		M_DMUX_GP2_AWUSER[3];
 bit   [wuser_bus_width-1:0] 		M_DMUX_GP2_WUSER[3];
 bit   [buser_bus_width-1:0] 		M_DMUX_GP2_BUSER[3];
 bit   [aruser_bus_width-1:0] 		M_DMUX_GP2_ARUSER[3];
 bit   [ruser_bus_width-1:0] 		M_DMUX_GP2_RUSER[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP2_BID[3];
 bit   [id_bus_width-1:0] 		M_DMUX_GP2_RID[3];
 bit   [axi_rsp_width-1:0] 		M_DMUX_GP2_BRESP[3];
 bit   [axi_rsp_width-1:0] 		M_DMUX_GP2_RRESP[3];
 logic [data_bus_width-1:0] 		M_DMUX_GP2_RDATA[3];

 // PL MAXIGP2 de-mux (slave ports)
 bit 					S_DMUX_GP2_ARVALID;
 bit 					S_DMUX_GP2_AWVALID;
 bit 					S_DMUX_GP2_BREADY;
 bit 					S_DMUX_GP2_RREADY;
 bit 					S_DMUX_GP2_WLAST;
 bit 					S_DMUX_GP2_WVALID;
 bit 					S_DMUX_GP2_ARREADY;
 bit 					S_DMUX_GP2_AWREADY;
 bit 					S_DMUX_GP2_BVALID;
 bit 					S_DMUX_GP2_RLAST;
 bit 					S_DMUX_GP2_RVALID;
 bit 					S_DMUX_GP2_WREADY;
 bit   [id_bus_width-1:0] 		S_DMUX_GP2_ARID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP2_AWID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP2_WID;
 bit   [axi_brst_type_width-1:0]	S_DMUX_GP2_ARBURST;
 bit   [axi_lock_width-1:0] 		S_DMUX_GP2_ARLOCK;
 bit   [axi_size_width-1:0] 		S_DMUX_GP2_ARSIZE;
 bit   [axi_brst_type_width-1:0]	S_DMUX_GP2_AWBURST;
 bit   [axi_lock_width-1:0] 		S_DMUX_GP2_AWLOCK;
 bit   [axi_size_width-1:0] 		S_DMUX_GP2_AWSIZE;
 bit   [axi_prot_width-1:0] 		S_DMUX_GP2_ARPROT;
 bit   [axi_prot_width-1:0] 		S_DMUX_GP2_AWPROT;
 logic [address_bus_width-1:0] 		S_DMUX_GP2_ARADDR;
 logic [address_bus_width-1:0] 		S_DMUX_GP2_AWADDR;
 logic [data_bus_width-1:0]   		S_DMUX_GP2_WDATA;
 bit   [axi_cache_width-1:0]  		S_DMUX_GP2_ARCACHE;
 bit   [axi_len_width-1:0] 		S_DMUX_GP2_ARLEN;
 bit   [axi_qos_width-1:0] 		S_DMUX_GP2_ARQOS;  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		S_DMUX_GP2_AWCACHE;
 bit   [axi_len_width-1:0] 		S_DMUX_GP2_AWLEN;
 bit   [axi_qos_width-1:0] 		S_DMUX_GP2_AWQOS;  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	S_DMUX_GP2_WSTRB;
 bit   [region_bus_width-1:0] 		S_DMUX_GP2_AWREGION;
 bit   [region_bus_width-1:0] 		S_DMUX_GP2_ARREGION;
 bit   [awuser_bus_width-1:0] 		S_DMUX_GP2_AWUSER;
 bit   [wuser_bus_width-1:0] 		S_DMUX_GP2_WUSER;
 bit   [buser_bus_width-1:0] 		S_DMUX_GP2_BUSER;
 bit   [aruser_bus_width-1:0] 		S_DMUX_GP2_ARUSER;
 bit   [ruser_bus_width-1:0] 		S_DMUX_GP2_RUSER;
 bit   [id_bus_width-1:0] 		S_DMUX_GP2_BID;
 bit   [id_bus_width-1:0] 		S_DMUX_GP2_RID;
 bit   [axi_rsp_width-1:0] 		S_DMUX_GP2_BRESP;
 bit   [axi_rsp_width-1:0] 		S_DMUX_GP2_RRESP;
 logic [data_bus_width-1:0] 		S_DMUX_GP2_RDATA;

 // PL MAXIGP0 mux (slave ports)
 bit 					S_MUX_GP0_ARVALID[3];
 bit 					S_MUX_GP0_AWVALID[3];
 bit 					S_MUX_GP0_BREADY[3];
 bit 					S_MUX_GP0_RREADY[3];
 bit 					S_MUX_GP0_WLAST[3];
 bit 					S_MUX_GP0_WVALID[3];
 bit 					S_MUX_GP0_ARREADY[3];
 bit 					S_MUX_GP0_AWREADY[3];
 bit 					S_MUX_GP0_BVALID[3];
 bit 					S_MUX_GP0_RLAST[3];
 bit 					S_MUX_GP0_RVALID[3];
 bit 					S_MUX_GP0_WREADY[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP0_ARID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP0_AWID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP0_WID[3];
 bit   [axi_brst_type_width-1:0]	S_MUX_GP0_ARBURST[3];
 bit   [axi_lock_width-1:0] 		S_MUX_GP0_ARLOCK[3];
 bit   [axi_size_width-1:0] 		S_MUX_GP0_ARSIZE[3];
 bit   [axi_brst_type_width-1:0]	S_MUX_GP0_AWBURST[3];
 bit   [axi_lock_width-1:0] 		S_MUX_GP0_AWLOCK[3];
 bit   [axi_size_width-1:0] 		S_MUX_GP0_AWSIZE[3];
 bit   [axi_prot_width-1:0] 		S_MUX_GP0_ARPROT[3];
 bit   [axi_prot_width-1:0] 		S_MUX_GP0_AWPROT[3];
 logic [address_bus_width-1:0] 		S_MUX_GP0_ARADDR[3];
 logic [address_bus_width-1:0] 		S_MUX_GP0_AWADDR[3];
 logic [data_bus_width-1:0]   		S_MUX_GP0_WDATA[3];
 bit   [axi_cache_width-1:0]  		S_MUX_GP0_ARCACHE[3];
 bit   [axi_len_width-1:0] 		S_MUX_GP0_ARLEN[3];
 bit   [axi_qos_width-1:0] 		S_MUX_GP0_ARQOS[3];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		S_MUX_GP0_AWCACHE[3];
 bit   [axi_len_width-1:0] 		S_MUX_GP0_AWLEN[3];
 bit   [axi_qos_width-1:0] 		S_MUX_GP0_AWQOS[3];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	S_MUX_GP0_WSTRB[3];
 bit   [region_bus_width-1:0] 		S_MUX_GP0_AWREGION[3];
 bit   [region_bus_width-1:0] 		S_MUX_GP0_ARREGION[3];
 bit   [awuser_bus_width-1:0] 		S_MUX_GP0_AWUSER[3];
 bit   [wuser_bus_width-1:0] 		S_MUX_GP0_WUSER[3];
 bit   [buser_bus_width-1:0] 		S_MUX_GP0_BUSER[3];
 bit   [aruser_bus_width-1:0] 		S_MUX_GP0_ARUSER[3];
 bit   [ruser_bus_width-1:0] 		S_MUX_GP0_RUSER[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP0_BID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP0_RID[3];
 bit   [axi_rsp_width-1:0] 		S_MUX_GP0_BRESP[3];
 bit   [axi_rsp_width-1:0] 		S_MUX_GP0_RRESP[3];
 logic [data_bus_width-1:0] 		S_MUX_GP0_RDATA[3];

 // PL MAXIGP0 mux (master port)
 bit 					M_MUX_GP0_ARVALID;
 bit 					M_MUX_GP0_AWVALID;
 bit 					M_MUX_GP0_BREADY;
 bit 					M_MUX_GP0_RREADY;
 bit 					M_MUX_GP0_WLAST;
 bit 					M_MUX_GP0_WVALID;
 bit 					M_MUX_GP0_ARREADY;
 bit 					M_MUX_GP0_AWREADY;
 bit 					M_MUX_GP0_BVALID;
 bit 					M_MUX_GP0_RLAST;
 bit 					M_MUX_GP0_RVALID;
 bit 					M_MUX_GP0_WREADY;
 bit   [id_bus_width-1:0] 		M_MUX_GP0_ARID;
 bit   [id_bus_width-1:0] 		M_MUX_GP0_AWID;
 bit   [id_bus_width-1:0] 		M_MUX_GP0_WID;
 bit   [axi_brst_type_width-1:0]	M_MUX_GP0_ARBURST;
 bit   [axi_lock_width-1:0] 		M_MUX_GP0_ARLOCK;
 bit   [axi_size_width-1:0] 		M_MUX_GP0_ARSIZE;
 bit   [axi_brst_type_width-1:0]	M_MUX_GP0_AWBURST;
 bit   [axi_lock_width-1:0] 		M_MUX_GP0_AWLOCK;
 bit   [axi_size_width-1:0] 		M_MUX_GP0_AWSIZE;
 bit   [axi_prot_width-1:0] 		M_MUX_GP0_ARPROT;
 bit   [axi_prot_width-1:0] 		M_MUX_GP0_AWPROT;
 logic [address_bus_width-1:0] 		M_MUX_GP0_ARADDR;
 logic [address_bus_width-1:0] 		M_MUX_GP0_AWADDR;
 logic [data_bus_width-1:0]   		M_MUX_GP0_WDATA;
 bit   [axi_cache_width-1:0]  		M_MUX_GP0_ARCACHE;
 bit   [axi_len_width-1:0] 		M_MUX_GP0_ARLEN;
 bit   [axi_qos_width-1:0] 		M_MUX_GP0_ARQOS;  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		M_MUX_GP0_AWCACHE;
 bit   [axi_len_width-1:0] 		M_MUX_GP0_AWLEN;
 bit   [axi_qos_width-1:0] 		M_MUX_GP0_AWQOS;  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	M_MUX_GP0_WSTRB;
 bit   [region_bus_width-1:0] 		M_MUX_GP0_AWREGION;
 bit   [region_bus_width-1:0] 		M_MUX_GP0_ARREGION;
 bit   [awuser_bus_width-1:0] 		M_MUX_GP0_AWUSER;
 bit   [wuser_bus_width-1:0] 		M_MUX_GP0_WUSER;
 bit   [buser_bus_width-1:0] 		M_MUX_GP0_BUSER;
 bit   [aruser_bus_width-1:0] 		M_MUX_GP0_ARUSER;
 bit   [ruser_bus_width-1:0] 		M_MUX_GP0_RUSER;
 bit   [id_bus_width-1:0] 		M_MUX_GP0_BID;
 bit   [id_bus_width-1:0] 		M_MUX_GP0_RID;
 bit   [axi_rsp_width-1:0] 		M_MUX_GP0_BRESP;
 bit   [axi_rsp_width-1:0] 		M_MUX_GP0_RRESP;
 logic [data_bus_width-1:0] 		M_MUX_GP0_RDATA;

 // PL MAXIGP2 mux (slave ports)
 bit 					S_MUX_GP2_ARVALID[3];
 bit 					S_MUX_GP2_AWVALID[3];
 bit 					S_MUX_GP2_BREADY[3];
 bit 					S_MUX_GP2_RREADY[3];
 bit 					S_MUX_GP2_WLAST[3];
 bit 					S_MUX_GP2_WVALID[3];
 bit 					S_MUX_GP2_ARREADY[3];
 bit 					S_MUX_GP2_AWREADY[3];
 bit 					S_MUX_GP2_BVALID[3];
 bit 					S_MUX_GP2_RLAST[3];
 bit 					S_MUX_GP2_RVALID[3];
 bit 					S_MUX_GP2_WREADY[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP2_ARID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP2_AWID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP2_WID[3];
 bit   [axi_brst_type_width-1:0]	S_MUX_GP2_ARBURST[3];
 bit   [axi_lock_width-1:0] 		S_MUX_GP2_ARLOCK[3];
 bit   [axi_size_width-1:0] 		S_MUX_GP2_ARSIZE[3];
 bit   [axi_brst_type_width-1:0]	S_MUX_GP2_AWBURST[3];
 bit   [axi_lock_width-1:0] 		S_MUX_GP2_AWLOCK[3];
 bit   [axi_size_width-1:0] 		S_MUX_GP2_AWSIZE[3];
 bit   [axi_prot_width-1:0] 		S_MUX_GP2_ARPROT[3];
 bit   [axi_prot_width-1:0] 		S_MUX_GP2_AWPROT[3];
 logic [address_bus_width-1:0] 		S_MUX_GP2_ARADDR[3];
 logic [address_bus_width-1:0] 		S_MUX_GP2_AWADDR[3];
 logic [data_bus_width-1:0]   		S_MUX_GP2_WDATA[3];
 bit   [axi_cache_width-1:0]  		S_MUX_GP2_ARCACHE[3];
 bit   [axi_len_width-1:0] 		S_MUX_GP2_ARLEN[3];
 bit   [axi_qos_width-1:0] 		S_MUX_GP2_ARQOS[3];  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		S_MUX_GP2_AWCACHE[3];
 bit   [axi_len_width-1:0] 		S_MUX_GP2_AWLEN[3];
 bit   [axi_qos_width-1:0] 		S_MUX_GP2_AWQOS[3];  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	S_MUX_GP2_WSTRB[3];
 bit   [region_bus_width-1:0] 		S_MUX_GP2_AWREGION[3];
 bit   [region_bus_width-1:0] 		S_MUX_GP2_ARREGION[3];
 bit   [awuser_bus_width-1:0] 		S_MUX_GP2_AWUSER[3];
 bit   [wuser_bus_width-1:0] 		S_MUX_GP2_WUSER[3];
 bit   [buser_bus_width-1:0] 		S_MUX_GP2_BUSER[3];
 bit   [aruser_bus_width-1:0] 		S_MUX_GP2_ARUSER[3];
 bit   [ruser_bus_width-1:0] 		S_MUX_GP2_RUSER[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP2_BID[3];
 bit   [id_bus_width-1:0] 		S_MUX_GP2_RID[3];
 bit   [axi_rsp_width-1:0] 		S_MUX_GP2_BRESP[3];
 bit   [axi_rsp_width-1:0] 		S_MUX_GP2_RRESP[3];
 logic [data_bus_width-1:0] 		S_MUX_GP2_RDATA[3];

 // PL MAXIGP2 mux (master port)
 bit 					M_MUX_GP2_ARVALID;
 bit 					M_MUX_GP2_AWVALID;
 bit 					M_MUX_GP2_BREADY;
 bit 					M_MUX_GP2_RREADY;
 bit 					M_MUX_GP2_WLAST;
 bit 					M_MUX_GP2_WVALID;
 bit 					M_MUX_GP2_ARREADY;
 bit 					M_MUX_GP2_AWREADY;
 bit 					M_MUX_GP2_BVALID;
 bit 					M_MUX_GP2_RLAST;
 bit 					M_MUX_GP2_RVALID;
 bit 					M_MUX_GP2_WREADY;
 bit   [id_bus_width-1:0] 		M_MUX_GP2_ARID;
 bit   [id_bus_width-1:0] 		M_MUX_GP2_AWID;
 bit   [id_bus_width-1:0] 		M_MUX_GP2_WID;
 bit   [axi_brst_type_width-1:0]	M_MUX_GP2_ARBURST;
 bit   [axi_lock_width-1:0] 		M_MUX_GP2_ARLOCK;
 bit   [axi_size_width-1:0] 		M_MUX_GP2_ARSIZE;
 bit   [axi_brst_type_width-1:0]	M_MUX_GP2_AWBURST;
 bit   [axi_lock_width-1:0] 		M_MUX_GP2_AWLOCK;
 bit   [axi_size_width-1:0] 		M_MUX_GP2_AWSIZE;
 bit   [axi_prot_width-1:0] 		M_MUX_GP2_ARPROT;
 bit   [axi_prot_width-1:0] 		M_MUX_GP2_AWPROT;
 logic [address_bus_width-1:0] 		M_MUX_GP2_ARADDR;
 logic [address_bus_width-1:0] 		M_MUX_GP2_AWADDR;
 logic [data_bus_width-1:0]   		M_MUX_GP2_WDATA;
 bit   [axi_cache_width-1:0]  		M_MUX_GP2_ARCACHE;
 bit   [axi_len_width-1:0] 		M_MUX_GP2_ARLEN;
 bit   [axi_qos_width-1:0] 		M_MUX_GP2_ARQOS;  // not connected to AXI BFM
 bit   [axi_cache_width-1:0] 		M_MUX_GP2_AWCACHE;
 bit   [axi_len_width-1:0] 		M_MUX_GP2_AWLEN;
 bit   [axi_qos_width-1:0] 		M_MUX_GP2_AWQOS;  // not connected to AXI BFM
 bit   [(data_bus_width/8)-1:0] 	M_MUX_GP2_WSTRB;
 bit   [region_bus_width-1:0] 		M_MUX_GP2_AWREGION;
 bit   [region_bus_width-1:0] 		M_MUX_GP2_ARREGION;
 bit   [awuser_bus_width-1:0] 		M_MUX_GP2_AWUSER;
 bit   [wuser_bus_width-1:0] 		M_MUX_GP2_WUSER;
 bit   [buser_bus_width-1:0] 		M_MUX_GP2_BUSER;
 bit   [aruser_bus_width-1:0] 		M_MUX_GP2_ARUSER;
 bit   [ruser_bus_width-1:0] 		M_MUX_GP2_RUSER;
 bit   [id_bus_width-1:0] 		M_MUX_GP2_BID;
 bit   [id_bus_width-1:0] 		M_MUX_GP2_RID;
 bit   [axi_rsp_width-1:0] 		M_MUX_GP2_BRESP;
 bit   [axi_rsp_width-1:0] 		M_MUX_GP2_RRESP;
 logic [data_bus_width-1:0] 		M_MUX_GP2_RDATA;

 // Below variables are extracted within the API call for the routing.
 // These are used for MUX's selection logic
 bit					master_routing_cfg[NUM_OF_MASTER_PORTS][NUM_OF_SLAVE_PORTS];
 int					master_port_index;
 int					slave_port_index;
 bit					slave_port0_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port1_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port2_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port3_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port4_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port5_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port6_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port7_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port8_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port9_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port10_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port11_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port12_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port13_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port14_routing_cfg[NUM_OF_MASTER_PORTS];
 bit					slave_port15_routing_cfg[NUM_OF_MASTER_PORTS];

 bit					slave_routing_cfg[NUM_OF_SLAVE_PORTS][NUM_OF_MASTER_PORTS];
 bit					master_port0_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port1_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port2_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port3_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port4_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port5_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port6_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port7_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port8_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port9_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port10_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port11_routing_cfg[NUM_OF_SLAVE_PORTS];
 bit					master_port12_routing_cfg[NUM_OF_SLAVE_PORTS];

 // Master Port names. These will be given to customer for passing to API
 // So, can be modified accordingly/meaningfully
 bit	[8191:0] 				master_port0  = "FPD_CCI_NOC";//"master0";
 bit	[8191:0] 				master_port1  = "M_AXI_FPD";//"master1";
 bit	[8191:0] 				master_port2  = "M_AXI_LPD";//"master2";
 bit	[8191:0] 				master_port3  = "FPD_AXI_NOC_0";//"master3";
 bit	[8191:0] 				master_port4  = "FPD_AXI_NOC_1";//"master4";
 bit	[8191:0] 				master_port5  = "PSNOCPCIAXI0";//"master5";
 bit	[8191:0] 				master_port6  = "PSNOCPCIAXI1";//"master6";
 bit	[8191:0] 				master_port7  = "PMC_NOC_AXI_0";//"master7";
 bit	[8191:0] 				master_port8  = "NOC_LPD_AXI_0";//"master8";
 bit	[8191:0] 				master_port9  = "PSCPMPCIEAXI";//"master9";
 bit	[8191:0] 				master_port10 = "PS_SLAVE";
 bit	[8191:0] 				master_port12 = "XRAM_AXI";
 bit	[8191:0] 				master_port11 = "XRAM_APB";
 
 bit 	[8191:0]			master_port[13];
 
 // Slave Port names. These will be given to customer for passing to API
 // So, can be modified accordingly/meaningfully
 bit	[8191:0] 				slave_port0  = "S_AXI_FPD";//"slave0";
 bit	[8191:0] 				slave_port1  = "S_AXI_GP2";//"slave1";
 bit	[8191:0] 				slave_port2  = "S_AXI_LPD";//"slave2";
 bit	[8191:0] 				slave_port3  = "NOC_FPD_CCI_0";//"slave3";
 bit	[8191:0] 				slave_port4  = "NOC_FPD_CCI_1";//"slave4";
 bit	[8191:0] 				slave_port5  = "NOC_FPD_AXI_0";//"slave5";
 bit	[8191:0] 				slave_port6  = "NOC_FPD_AXI_1";//"slave6";
 bit	[8191:0] 				slave_port7  = "S_ACP_FPD";//"slave7";
 bit	[8191:0] 				slave_port8  = "S_ACE_FPD";//"slave8";
 bit	[8191:0] 				slave_port9  = "NOC_PMC_AXI_0";//"slave9";
 bit	[8191:0] 				slave_port10 = "NOCPSPCIAXI0";//"slave10";
 bit	[8191:0] 				slave_port11 = "A72_API";//"slave11";
 bit	[8191:0] 				slave_port12 = "NOC_API";//"slave12";
 bit	[8191:0] 				slave_port13 = "R5_API";//"slave13";
 bit	[8191:0] 				slave_port14 = "CPMPSAXI0";//"slave14";
 bit	[8191:0] 				slave_port15 = "CPMPSAXI1";//"slave15";
 
 bit 	[8191:0]			slave_port[16];


 task automatic set_routing_config;
    input 	[8191:0] 	destination_port_name;
    input 	[8191:0] 	source_port_name;
    input			routing_en;

    begin
       if(destination_port_name      == master_port0)	master_port_index = 0;
       else if(destination_port_name == master_port1)	master_port_index = 1;
       else if(destination_port_name == master_port2)	master_port_index = 2;
       else if(destination_port_name == master_port3)	master_port_index = 3;
       else if(destination_port_name == master_port4)	master_port_index = 4;
       else if(destination_port_name == master_port5)	master_port_index = 5;
       else if(destination_port_name == master_port6)	master_port_index = 6;
       else if(destination_port_name == master_port7)	master_port_index = 7;
       else if(destination_port_name == master_port8)	master_port_index = 8;
       else if(destination_port_name == master_port9)	master_port_index = 9;
       else if(destination_port_name == master_port11)	master_port_index = 11;
       else if(destination_port_name == master_port12)	master_port_index = 12;
       else if((destination_port_name == master_port10) || (destination_port_name == "OCM") || (destination_port_name == "REG") || (destination_port_name == "PSCPMCFG"))	master_port_index = 10;

       if(source_port_name == slave_port0)		slave_port_index = 0;
       else if(source_port_name == slave_port1)		slave_port_index = 1;
       else if(source_port_name == slave_port2)		slave_port_index = 2;
       else if(source_port_name == slave_port3)		slave_port_index = 3;
       else if(source_port_name == slave_port4)		slave_port_index = 4;
       else if(source_port_name == slave_port5)		slave_port_index = 5;
       else if(source_port_name == slave_port6)		slave_port_index = 6;
       else if(source_port_name == slave_port7)		slave_port_index = 7;
       else if(source_port_name == slave_port8)		slave_port_index = 8;
       else if(source_port_name == slave_port9)		slave_port_index = 9;
       else if(source_port_name == slave_port10)	slave_port_index = 10;
       else if(source_port_name == slave_port11)	slave_port_index = 11;
       else if(source_port_name == slave_port12)	slave_port_index = 12;
       else if(source_port_name == slave_port13)	slave_port_index = 13;
       else if(source_port_name == slave_port14)	slave_port_index = 14;
       else if(source_port_name == slave_port15)	slave_port_index = 15;

       for(int slave_no = 0; slave_no<NUM_OF_SLAVE_PORTS;slave_no++) begin
          for(int master_no = 0;master_no < NUM_OF_MASTER_PORTS;master_no++) begin
	     //$display(" slave_routing_cfg[%d][%d] = %d, slave_port_index = %d, master_port_index = %d, routing_en = %d",slave_no,master_no,slave_routing_cfg[slave_no][master_no],slave_port_index, master_port_index,routing_en);
             if((slave_routing_cfg[slave_no][master_no] == 1) && ((slave_port_index == slave_no) || (master_port_index == master_no)) && (routing_en == 1)) begin
                $display("[ERROR]: [VERSAL_CIPS_PS_VIP] (%m) :: [set_routing_config] [%0d] ::: Current Routing configuration is conflicting with the previously set routing configuration\n\t Try to reset the previous routing configuration with SOURCE: %0s or DESTINATION: %0s for setting the requested routing configuration SOURCE: %0s\t\tDESTINATION:%0s\n",$time,source_port_name,destination_port_name,source_port_name,destination_port_name);
                get_routing_config();
		$stop;
             end
          end
       end
    
       slave_routing_cfg[slave_port_index][master_port_index] = routing_en;
       master_routing_cfg[master_port_index][slave_port_index] = routing_en;
       
       if(routing_en) begin 
          slave_port[slave_port_index] = source_port_name;
          master_port[master_port_index] = destination_port_name;
       end

       get_routing_config();

    end
 endtask // : set_routing_config

 // For printing the routing configuration information
 task automatic get_routing_config;
    begin
    
    //$display("[INFO]: %0s (%0m) :: [get_routing_config] [%0d] ::: Routing Configured is ",DISP_VIP,$time);

    $display("\n--------------------------------------------------------------------------------------------------------");
    $display("                           Routing Configuration ");
    $display("---------------------------------------------------------------------------------------------------------");

    for(int slave_no = 0; slave_no<NUM_OF_SLAVE_PORTS;slave_no++) begin
       for(int master_no = 0;master_no < NUM_OF_MASTER_PORTS;master_no++) begin
          if(slave_routing_cfg[slave_no][master_no] == 1) begin
             $display("   SOURCE: %0s \t\t\t DESTINATION: %0s \t\t Routing ENABLED",slave_port[slave_no],master_port[master_no]);
          end
       end
    end
    $display("---------------------------------------------------------------------------------------------------------\n");

    end
 endtask // : get_routing_config

 // For checking the routing configuration information
 task automatic check_routing_config;
    
    bit routing_set = 0;
    begin
    
    for(int slave_no = 0; slave_no<NUM_OF_SLAVE_PORTS;slave_no++) begin
       for(int master_no = 0;master_no < NUM_OF_MASTER_PORTS;master_no++) begin
          if(slave_routing_cfg[slave_no][master_no] == 1) begin
	     routing_set = 1;
	  end
       end
    end
    
    if(routing_set == 0) begin
       $display("[ERROR]: [VERSAL_CIPS_PS_VIP] (%m) [%0d] :: Routing Information should be provided before initiating the traffic ",$time);
       $stop;
    end

    end
 endtask // : check_routing_config

genvar i;

generate
   for(i = 0;i < NUM_OF_MASTER_PORTS; i++) begin
      
      always @(*) begin
         for(int slave_no = 0; slave_no < NUM_OF_SLAVE_PORTS; slave_no++) begin

            if(slave_routing_cfg[slave_no][i]) begin // Driving Slave:0 to Master:i

	       M_AWVALID[i] 	= S_AWVALID[slave_no];
	       M_AWADDR[i] 	= S_AWADDR[slave_no];
	       M_AWID[i]	= S_AWID[slave_no];
	       M_AWBURST[i]	= S_AWBURST[slave_no];
	       M_AWLEN[i]	= S_AWLEN[slave_no];
	       M_AWLOCK[i]	= S_AWLOCK[slave_no];
	       M_AWCACHE[i]	= S_AWCACHE[slave_no];
	       M_AWUSER[i]	= S_AWUSER[slave_no];
	       M_AWREGION[i]	= S_AWREGION[slave_no];
	       M_AWQOS[i]	= S_AWQOS[slave_no];
	       M_AWPROT[i]	= S_AWPROT[slave_no];
	       M_AWSIZE[i]	= S_AWSIZE[slave_no];
                                    
	       M_ARVALID[i] 	= S_ARVALID[slave_no];
	       M_ARADDR[i] 	= S_ARADDR[slave_no];
	       M_ARID[i] 	= S_ARID[slave_no];
	       M_ARBURST[i]	= S_ARBURST[slave_no];
	       M_ARLEN[i]	= S_ARLEN[slave_no];
	       M_ARLOCK[i]	= S_ARLOCK[slave_no];
	       M_ARCACHE[i]	= S_ARCACHE[slave_no];
	       M_ARUSER[i]	= S_ARUSER[slave_no];
	       M_ARREGION[i]	= S_ARREGION[slave_no];
	       M_ARQOS[i]	= S_ARQOS[slave_no];
	       M_ARPROT[i]	= S_ARPROT[slave_no];
	       M_ARSIZE[i]	= S_ARSIZE[slave_no];
                                    
	       M_WVALID[i]	= S_WVALID[slave_no];
	       M_WID[i]		= S_WID[slave_no];
	       M_WDATA[i]	= S_WDATA[slave_no];
	       M_WLAST[i]	= S_WLAST[slave_no];
	       M_WSTRB[i]	= S_WSTRB[slave_no];
	       M_WUSER[i]	= S_WUSER[slave_no];
                                    
	       M_BREADY[i]	= S_BREADY[slave_no];
	                            
	       M_RREADY[i]	= S_RREADY[slave_no];
	       
	    end // : if slave 0 to master i

	 end // : for loop for iterating through number of slaves

      end // : always
   end // : for loop
endgenerate

genvar j;

generate
   for(j = 0;j < NUM_OF_SLAVE_PORTS; j++) begin
      
      always @(*) begin
         for(int master_no = 0; master_no < NUM_OF_MASTER_PORTS; master_no++) begin

            if(slave_routing_cfg[j][master_no]) begin // Driving Slave:0 to Master:i

	       S_AWREADY[j] 	= M_AWREADY[master_no];
                                  
	       S_ARREADY[j] 	= M_ARREADY[master_no];
	                          
	       S_WREADY[j]	= M_WREADY[master_no];
                                  
	       S_BVALID[j]	= M_BVALID[master_no];
	       S_BID[j]		= M_BID[master_no];
	       S_BUSER[j]	= M_BUSER[master_no];
	       S_BRESP[j]	= M_BRESP[master_no];
	                          
	       S_RVALID[j]	= M_RVALID[master_no];
	       S_RDATA[j]	= M_RDATA[master_no];
	       S_RID[j]		= M_RID[master_no];
	       S_RUSER[j]	= M_RUSER[master_no];
	       S_RRESP[j]	= M_RRESP[master_no];
	       S_RLAST[j]	= M_RLAST[master_no];
	       
	    end // : if slave 0 to master i
	 end // : for loop for iterating through number of slaves
      end // : always
   end // : for loop
endgenerate

// De-muxing logic for PL ports
      always @(*) begin
            if(maxigp0_port_width == 0) begin // 32-bit
	       M_DMUX_GP0_AWVALID[0] 	= S_DMUX_GP0_AWVALID;
	       M_DMUX_GP0_AWADDR[0] 	= S_DMUX_GP0_AWADDR;
	       M_DMUX_GP0_AWID[0]	= S_DMUX_GP0_AWID;
	       M_DMUX_GP0_AWBURST[0]	= S_DMUX_GP0_AWBURST;
	       M_DMUX_GP0_AWLEN[0]	= S_DMUX_GP0_AWLEN;
	       M_DMUX_GP0_AWLOCK[0]	= S_DMUX_GP0_AWLOCK;
	       M_DMUX_GP0_AWCACHE[0]	= S_DMUX_GP0_AWCACHE;
	       M_DMUX_GP0_AWUSER[0]	= S_DMUX_GP0_AWUSER;
	       M_DMUX_GP0_AWREGION[0]	= S_DMUX_GP0_AWREGION;
	       M_DMUX_GP0_AWQOS[0]	= S_DMUX_GP0_AWQOS;
	       M_DMUX_GP0_AWPROT[0]	= S_DMUX_GP0_AWPROT;
	       M_DMUX_GP0_AWSIZE[0]	= S_DMUX_GP0_AWSIZE;
                                    
	       M_DMUX_GP0_ARVALID[0] 	= S_DMUX_GP0_ARVALID;
	       M_DMUX_GP0_ARADDR[0] 	= S_DMUX_GP0_ARADDR;
	       M_DMUX_GP0_ARID[0] 	= S_DMUX_GP0_ARID;
	       M_DMUX_GP0_ARBURST[0]	= S_DMUX_GP0_ARBURST;
	       M_DMUX_GP0_ARLEN[0]	= S_DMUX_GP0_ARLEN;
	       M_DMUX_GP0_ARLOCK[0]	= S_DMUX_GP0_ARLOCK;
	       M_DMUX_GP0_ARCACHE[0]	= S_DMUX_GP0_ARCACHE;
	       M_DMUX_GP0_ARUSER[0]	= S_DMUX_GP0_ARUSER;
	       M_DMUX_GP0_ARREGION[0]	= S_DMUX_GP0_ARREGION;
	       M_DMUX_GP0_ARQOS[0]	= S_DMUX_GP0_ARQOS;
	       M_DMUX_GP0_ARPROT[0]	= S_DMUX_GP0_ARPROT;
	       M_DMUX_GP0_ARSIZE[0]	= S_DMUX_GP0_ARSIZE;
                                    
	       M_DMUX_GP0_WVALID[0]	= S_DMUX_GP0_WVALID;
	       M_DMUX_GP0_WID[0]	= S_DMUX_GP0_WID;
	       M_DMUX_GP0_WDATA[0]	= S_DMUX_GP0_WDATA;
	       M_DMUX_GP0_WLAST[0]	= S_DMUX_GP0_WLAST;
	       M_DMUX_GP0_WSTRB[0]	= S_DMUX_GP0_WSTRB;
	       M_DMUX_GP0_WUSER[0]	= S_DMUX_GP0_WUSER;
                                    
	       M_DMUX_GP0_BREADY[0]	= S_DMUX_GP0_BREADY;
	       M_DMUX_GP0_RREADY[0]	= S_DMUX_GP0_RREADY;

	       S_DMUX_GP0_AWREADY 	= M_DMUX_GP0_AWREADY[0];
	       S_DMUX_GP0_ARREADY 	= M_DMUX_GP0_ARREADY[0];
	       S_DMUX_GP0_WREADY	= M_DMUX_GP0_WREADY[0];
                                  
	       S_DMUX_GP0_BVALID	= M_DMUX_GP0_BVALID[0];
	       S_DMUX_GP0_BID		= M_DMUX_GP0_BID[0];
	       S_DMUX_GP0_BUSER		= M_DMUX_GP0_BUSER[0];
	       S_DMUX_GP0_BRESP		= M_DMUX_GP0_BRESP[0];
	                          
	       S_DMUX_GP0_RVALID	= M_DMUX_GP0_RVALID[0];
	       S_DMUX_GP0_RDATA		= M_DMUX_GP0_RDATA[0];
	       S_DMUX_GP0_RID		= M_DMUX_GP0_RID[0];
	       S_DMUX_GP0_RUSER		= M_DMUX_GP0_RUSER[0];
	       S_DMUX_GP0_RRESP		= M_DMUX_GP0_RRESP[0];
	       S_DMUX_GP0_RLAST		= M_DMUX_GP0_RLAST[0];

	    end // : 32-bit
            else if(maxigp0_port_width == 1) begin // 64-bit
	       M_DMUX_GP0_AWVALID[1] 	= S_DMUX_GP0_AWVALID;
	       M_DMUX_GP0_AWADDR[1] 	= S_DMUX_GP0_AWADDR;
	       M_DMUX_GP0_AWID[1]	= S_DMUX_GP0_AWID;
	       M_DMUX_GP0_AWBURST[1]	= S_DMUX_GP0_AWBURST;
	       M_DMUX_GP0_AWLEN[1]	= S_DMUX_GP0_AWLEN;
	       M_DMUX_GP0_AWLOCK[1]	= S_DMUX_GP0_AWLOCK;
	       M_DMUX_GP0_AWCACHE[1]	= S_DMUX_GP0_AWCACHE;
	       M_DMUX_GP0_AWUSER[1]	= S_DMUX_GP0_AWUSER;
	       M_DMUX_GP0_AWREGION[1]	= S_DMUX_GP0_AWREGION;
	       M_DMUX_GP0_AWQOS[1]	= S_DMUX_GP0_AWQOS;
	       M_DMUX_GP0_AWPROT[1]	= S_DMUX_GP0_AWPROT;
	       M_DMUX_GP0_AWSIZE[1]	= S_DMUX_GP0_AWSIZE;
                                    
	       M_DMUX_GP0_ARVALID[1] 	= S_DMUX_GP0_ARVALID;
	       M_DMUX_GP0_ARADDR[1] 	= S_DMUX_GP0_ARADDR;
	       M_DMUX_GP0_ARID[1] 	= S_DMUX_GP0_ARID;
	       M_DMUX_GP0_ARBURST[1]	= S_DMUX_GP0_ARBURST;
	       M_DMUX_GP0_ARLEN[1]	= S_DMUX_GP0_ARLEN;
	       M_DMUX_GP0_ARLOCK[1]	= S_DMUX_GP0_ARLOCK;
	       M_DMUX_GP0_ARCACHE[1]	= S_DMUX_GP0_ARCACHE;
	       M_DMUX_GP0_ARUSER[1]	= S_DMUX_GP0_ARUSER;
	       M_DMUX_GP0_ARREGION[1]	= S_DMUX_GP0_ARREGION;
	       M_DMUX_GP0_ARQOS[1]	= S_DMUX_GP0_ARQOS;
	       M_DMUX_GP0_ARPROT[1]	= S_DMUX_GP0_ARPROT;
	       M_DMUX_GP0_ARSIZE[1]	= S_DMUX_GP0_ARSIZE;
                                    
	       M_DMUX_GP0_WVALID[1]	= S_DMUX_GP0_WVALID;
	       M_DMUX_GP0_WID[1]	= S_DMUX_GP0_WID;
	       M_DMUX_GP0_WDATA[1]	= S_DMUX_GP0_WDATA;
	       M_DMUX_GP0_WLAST[1]	= S_DMUX_GP0_WLAST;
	       M_DMUX_GP0_WSTRB[1]	= S_DMUX_GP0_WSTRB;
	       M_DMUX_GP0_WUSER[1]	= S_DMUX_GP0_WUSER;
                                    
	       M_DMUX_GP0_BREADY[1]	= S_DMUX_GP0_BREADY;
	       M_DMUX_GP0_RREADY[1]	= S_DMUX_GP0_RREADY;

	       S_DMUX_GP0_AWREADY 	= M_DMUX_GP0_AWREADY[1];
	       S_DMUX_GP0_ARREADY 	= M_DMUX_GP0_ARREADY[1];
	       S_DMUX_GP0_WREADY	= M_DMUX_GP0_WREADY[1];
                                  
	       S_DMUX_GP0_BVALID	= M_DMUX_GP0_BVALID[1];
	       S_DMUX_GP0_BID		= M_DMUX_GP0_BID[1];
	       S_DMUX_GP0_BUSER		= M_DMUX_GP0_BUSER[1];
	       S_DMUX_GP0_BRESP		= M_DMUX_GP0_BRESP[1];
	                          
	       S_DMUX_GP0_RVALID	= M_DMUX_GP0_RVALID[1];
	       S_DMUX_GP0_RDATA		= M_DMUX_GP0_RDATA[1];
	       S_DMUX_GP0_RID		= M_DMUX_GP0_RID[1];
	       S_DMUX_GP0_RUSER		= M_DMUX_GP0_RUSER[1];
	       S_DMUX_GP0_RRESP		= M_DMUX_GP0_RRESP[1];
	       S_DMUX_GP0_RLAST		= M_DMUX_GP0_RLAST[1];

	    end // : 64-bit
            else if(maxigp0_port_width == 2) begin //: 128-bit
	       M_DMUX_GP0_AWVALID[2] 	= S_DMUX_GP0_AWVALID;
	       M_DMUX_GP0_AWADDR[2] 	= S_DMUX_GP0_AWADDR;
	       M_DMUX_GP0_AWID[2]	= S_DMUX_GP0_AWID;
	       M_DMUX_GP0_AWBURST[2]	= S_DMUX_GP0_AWBURST;
	       M_DMUX_GP0_AWLEN[2]	= S_DMUX_GP0_AWLEN;
	       M_DMUX_GP0_AWLOCK[2]	= S_DMUX_GP0_AWLOCK;
	       M_DMUX_GP0_AWCACHE[2]	= S_DMUX_GP0_AWCACHE;
	       M_DMUX_GP0_AWUSER[2]	= S_DMUX_GP0_AWUSER;
	       M_DMUX_GP0_AWREGION[2]	= S_DMUX_GP0_AWREGION;
	       M_DMUX_GP0_AWQOS[2]	= S_DMUX_GP0_AWQOS;
	       M_DMUX_GP0_AWPROT[2]	= S_DMUX_GP0_AWPROT;
	       M_DMUX_GP0_AWSIZE[2]	= S_DMUX_GP0_AWSIZE;
                 
	       M_DMUX_GP0_ARVALID[2] 	= S_DMUX_GP0_ARVALID;
	       M_DMUX_GP0_ARADDR[2] 	= S_DMUX_GP0_ARADDR;
	       M_DMUX_GP0_ARID[2] 	= S_DMUX_GP0_ARID;
	       M_DMUX_GP0_ARBURST[2]	= S_DMUX_GP0_ARBURST;
	       M_DMUX_GP0_ARLEN[2]	= S_DMUX_GP0_ARLEN;
	       M_DMUX_GP0_ARLOCK[2]	= S_DMUX_GP0_ARLOCK;
	       M_DMUX_GP0_ARCACHE[2]	= S_DMUX_GP0_ARCACHE;
	       M_DMUX_GP0_ARUSER[2]	= S_DMUX_GP0_ARUSER;
	       M_DMUX_GP0_ARREGION[2]	= S_DMUX_GP0_ARREGION;
	       M_DMUX_GP0_ARQOS[2]	= S_DMUX_GP0_ARQOS;
	       M_DMUX_GP0_ARPROT[2]	= S_DMUX_GP0_ARPROT;
	       M_DMUX_GP0_ARSIZE[2]	= S_DMUX_GP0_ARSIZE;
                 
	       M_DMUX_GP0_WVALID[2]	= S_DMUX_GP0_WVALID;
	       M_DMUX_GP0_WID[2]	= S_DMUX_GP0_WID;
	       M_DMUX_GP0_WDATA[2]	= S_DMUX_GP0_WDATA;
	       M_DMUX_GP0_WLAST[2]	= S_DMUX_GP0_WLAST;
	       M_DMUX_GP0_WSTRB[2]	= S_DMUX_GP0_WSTRB;
	       M_DMUX_GP0_WUSER[2]	= S_DMUX_GP0_WUSER;
                 
	       M_DMUX_GP0_BREADY[2]	= S_DMUX_GP0_BREADY;
	       M_DMUX_GP0_RREADY[2]	= S_DMUX_GP0_RREADY;

	       S_DMUX_GP0_AWREADY 	= M_DMUX_GP0_AWREADY[2];
	       S_DMUX_GP0_ARREADY 	= M_DMUX_GP0_ARREADY[2];
	       S_DMUX_GP0_WREADY	= M_DMUX_GP0_WREADY[2];
                                  
	       S_DMUX_GP0_BVALID	= M_DMUX_GP0_BVALID[2];
	       S_DMUX_GP0_BID		= M_DMUX_GP0_BID[2];
	       S_DMUX_GP0_BUSER		= M_DMUX_GP0_BUSER[2];
	       S_DMUX_GP0_BRESP		= M_DMUX_GP0_BRESP[2];
	                          
	       S_DMUX_GP0_RVALID	= M_DMUX_GP0_RVALID[2];
	       S_DMUX_GP0_RDATA		= M_DMUX_GP0_RDATA[2];
	       S_DMUX_GP0_RID		= M_DMUX_GP0_RID[2];
	       S_DMUX_GP0_RUSER		= M_DMUX_GP0_RUSER[2];
	       S_DMUX_GP0_RRESP		= M_DMUX_GP0_RRESP[2];
	       S_DMUX_GP0_RLAST		= M_DMUX_GP0_RLAST[2];

	    end // : 128-bit	    
            else begin //: 128-bit (default)
	       M_DMUX_GP0_AWVALID[2] 	= S_DMUX_GP0_AWVALID;
	       M_DMUX_GP0_AWADDR[2] 	= S_DMUX_GP0_AWADDR;
	       M_DMUX_GP0_AWID[2]	= S_DMUX_GP0_AWID;
	       M_DMUX_GP0_AWBURST[2]	= S_DMUX_GP0_AWBURST;
	       M_DMUX_GP0_AWLEN[2]	= S_DMUX_GP0_AWLEN;
	       M_DMUX_GP0_AWLOCK[2]	= S_DMUX_GP0_AWLOCK;
	       M_DMUX_GP0_AWCACHE[2]	= S_DMUX_GP0_AWCACHE;
	       M_DMUX_GP0_AWUSER[2]	= S_DMUX_GP0_AWUSER;
	       M_DMUX_GP0_AWREGION[2]	= S_DMUX_GP0_AWREGION;
	       M_DMUX_GP0_AWQOS[2]	= S_DMUX_GP0_AWQOS;
	       M_DMUX_GP0_AWPROT[2]	= S_DMUX_GP0_AWPROT;
	       M_DMUX_GP0_AWSIZE[2]	= S_DMUX_GP0_AWSIZE;
                 
	       M_DMUX_GP0_ARVALID[2] 	= S_DMUX_GP0_ARVALID;
	       M_DMUX_GP0_ARADDR[2] 	= S_DMUX_GP0_ARADDR;
	       M_DMUX_GP0_ARID[2] 	= S_DMUX_GP0_ARID;
	       M_DMUX_GP0_ARBURST[2]	= S_DMUX_GP0_ARBURST;
	       M_DMUX_GP0_ARLEN[2]	= S_DMUX_GP0_ARLEN;
	       M_DMUX_GP0_ARLOCK[2]	= S_DMUX_GP0_ARLOCK;
	       M_DMUX_GP0_ARCACHE[2]	= S_DMUX_GP0_ARCACHE;
	       M_DMUX_GP0_ARUSER[2]	= S_DMUX_GP0_ARUSER;
	       M_DMUX_GP0_ARREGION[2]	= S_DMUX_GP0_ARREGION;
	       M_DMUX_GP0_ARQOS[2]	= S_DMUX_GP0_ARQOS;
	       M_DMUX_GP0_ARPROT[2]	= S_DMUX_GP0_ARPROT;
	       M_DMUX_GP0_ARSIZE[2]	= S_DMUX_GP0_ARSIZE;
                 
	       M_DMUX_GP0_WVALID[2]	= S_DMUX_GP0_WVALID;
	       M_DMUX_GP0_WID[2]	= S_DMUX_GP0_WID;
	       M_DMUX_GP0_WDATA[2]	= S_DMUX_GP0_WDATA;
	       M_DMUX_GP0_WLAST[2]	= S_DMUX_GP0_WLAST;
	       M_DMUX_GP0_WSTRB[2]	= S_DMUX_GP0_WSTRB;
	       M_DMUX_GP0_WUSER[2]	= S_DMUX_GP0_WUSER;
                
	       M_DMUX_GP0_BREADY[2]	= S_DMUX_GP0_BREADY;
	       M_DMUX_GP0_RREADY[2]	= S_DMUX_GP0_RREADY;

	       S_DMUX_GP0_AWREADY 	= M_DMUX_GP0_AWREADY[2];
	       S_DMUX_GP0_ARREADY 	= M_DMUX_GP0_ARREADY[2];
	       S_DMUX_GP0_WREADY	= M_DMUX_GP0_WREADY[2];
                                  
	       S_DMUX_GP0_BVALID	= M_DMUX_GP0_BVALID[2];
	       S_DMUX_GP0_BID		= M_DMUX_GP0_BID[2];
	       S_DMUX_GP0_BUSER		= M_DMUX_GP0_BUSER[2];
	       S_DMUX_GP0_BRESP		= M_DMUX_GP0_BRESP[2];
	                          
	       S_DMUX_GP0_RVALID	= M_DMUX_GP0_RVALID[2];
	       S_DMUX_GP0_RDATA		= M_DMUX_GP0_RDATA[2];
	       S_DMUX_GP0_RID		= M_DMUX_GP0_RID[2];
	       S_DMUX_GP0_RUSER		= M_DMUX_GP0_RUSER[2];
	       S_DMUX_GP0_RRESP		= M_DMUX_GP0_RRESP[2];
	       S_DMUX_GP0_RLAST		= M_DMUX_GP0_RLAST[2];
	    end // : 128-bit
	 end // : always
            
// De-muxing logic for PL ports (GP2)
      always @(*) begin
	    // GP2 De-Mux
            if(maxigp2_port_width == 0) begin // 32-bit
	       M_DMUX_GP2_AWVALID[0] 	= S_DMUX_GP2_AWVALID;
	       M_DMUX_GP2_AWADDR[0] 	= S_DMUX_GP2_AWADDR;
	       M_DMUX_GP2_AWID[0]	= S_DMUX_GP2_AWID;
	       M_DMUX_GP2_AWBURST[0]	= S_DMUX_GP2_AWBURST;
	       M_DMUX_GP2_AWLEN[0]	= S_DMUX_GP2_AWLEN;
	       M_DMUX_GP2_AWLOCK[0]	= S_DMUX_GP2_AWLOCK;
	       M_DMUX_GP2_AWCACHE[0]	= S_DMUX_GP2_AWCACHE;
	       M_DMUX_GP2_AWUSER[0]	= S_DMUX_GP2_AWUSER;
	       M_DMUX_GP2_AWREGION[0]	= S_DMUX_GP2_AWREGION;
	       M_DMUX_GP2_AWQOS[0]	= S_DMUX_GP2_AWQOS;
	       M_DMUX_GP2_AWPROT[0]	= S_DMUX_GP2_AWPROT;
	       M_DMUX_GP2_AWSIZE[0]	= S_DMUX_GP2_AWSIZE;
                        
	       M_DMUX_GP2_ARVALID[0] 	= S_DMUX_GP2_ARVALID;
	       M_DMUX_GP2_ARADDR[0] 	= S_DMUX_GP2_ARADDR;
	       M_DMUX_GP2_ARID[0] 	= S_DMUX_GP2_ARID;
	       M_DMUX_GP2_ARBURST[0]	= S_DMUX_GP2_ARBURST;
	       M_DMUX_GP2_ARLEN[0]	= S_DMUX_GP2_ARLEN;
	       M_DMUX_GP2_ARLOCK[0]	= S_DMUX_GP2_ARLOCK;
	       M_DMUX_GP2_ARCACHE[0]	= S_DMUX_GP2_ARCACHE;
	       M_DMUX_GP2_ARUSER[0]	= S_DMUX_GP2_ARUSER;
	       M_DMUX_GP2_ARREGION[0]	= S_DMUX_GP2_ARREGION;
	       M_DMUX_GP2_ARQOS[0]	= S_DMUX_GP2_ARQOS;
	       M_DMUX_GP2_ARPROT[0]	= S_DMUX_GP2_ARPROT;
	       M_DMUX_GP2_ARSIZE[0]	= S_DMUX_GP2_ARSIZE;
                        
	       M_DMUX_GP2_WVALID[0]	= S_DMUX_GP2_WVALID;
	       M_DMUX_GP2_WID[0]	= S_DMUX_GP2_WID;
	       M_DMUX_GP2_WDATA[0]	= S_DMUX_GP2_WDATA;
	       M_DMUX_GP2_WLAST[0]	= S_DMUX_GP2_WLAST;
	       M_DMUX_GP2_WSTRB[0]	= S_DMUX_GP2_WSTRB;
	       M_DMUX_GP2_WUSER[0]	= S_DMUX_GP2_WUSER;
                        
	       M_DMUX_GP2_BREADY[0]	= S_DMUX_GP2_BREADY;
	       M_DMUX_GP2_RREADY[0]	= S_DMUX_GP2_RREADY;

	       S_DMUX_GP2_AWREADY 	= M_DMUX_GP2_AWREADY[0];
	       S_DMUX_GP2_ARREADY 	= M_DMUX_GP2_ARREADY[0];
	       S_DMUX_GP2_WREADY	= M_DMUX_GP2_WREADY[0];
                        
	       S_DMUX_GP2_BVALID	= M_DMUX_GP2_BVALID[0];
	       S_DMUX_GP2_BID		= M_DMUX_GP2_BID[0];
	       S_DMUX_GP2_BUSER		= M_DMUX_GP2_BUSER[0];
	       S_DMUX_GP2_BRESP		= M_DMUX_GP2_BRESP[0];
	                
	       S_DMUX_GP2_RVALID	= M_DMUX_GP2_RVALID[0];
	       S_DMUX_GP2_RDATA		= M_DMUX_GP2_RDATA[0];
	       S_DMUX_GP2_RID		= M_DMUX_GP2_RID[0];
	       S_DMUX_GP2_RUSER		= M_DMUX_GP2_RUSER[0];
	       S_DMUX_GP2_RRESP		= M_DMUX_GP2_RRESP[0];
	       S_DMUX_GP2_RLAST		= M_DMUX_GP2_RLAST[0];

	    end // : 32-bit
            else if(maxigp2_port_width == 1) begin // 64-bit
	       M_DMUX_GP2_AWVALID[1] 	= S_DMUX_GP2_AWVALID;
	       M_DMUX_GP2_AWADDR[1] 	= S_DMUX_GP2_AWADDR;
	       M_DMUX_GP2_AWID[1]	= S_DMUX_GP2_AWID;
	       M_DMUX_GP2_AWBURST[1]	= S_DMUX_GP2_AWBURST;
	       M_DMUX_GP2_AWLEN[1]	= S_DMUX_GP2_AWLEN;
	       M_DMUX_GP2_AWLOCK[1]	= S_DMUX_GP2_AWLOCK;
	       M_DMUX_GP2_AWCACHE[1]	= S_DMUX_GP2_AWCACHE;
	       M_DMUX_GP2_AWUSER[1]	= S_DMUX_GP2_AWUSER;
	       M_DMUX_GP2_AWREGION[1]	= S_DMUX_GP2_AWREGION;
	       M_DMUX_GP2_AWQOS[1]	= S_DMUX_GP2_AWQOS;
	       M_DMUX_GP2_AWPROT[1]	= S_DMUX_GP2_AWPROT;
	       M_DMUX_GP2_AWSIZE[1]	= S_DMUX_GP2_AWSIZE;
                                    
	       M_DMUX_GP2_ARVALID[1] 	= S_DMUX_GP2_ARVALID;
	       M_DMUX_GP2_ARADDR[1] 	= S_DMUX_GP2_ARADDR;
	       M_DMUX_GP2_ARID[1] 	= S_DMUX_GP2_ARID;
	       M_DMUX_GP2_ARBURST[1]	= S_DMUX_GP2_ARBURST;
	       M_DMUX_GP2_ARLEN[1]	= S_DMUX_GP2_ARLEN;
	       M_DMUX_GP2_ARLOCK[1]	= S_DMUX_GP2_ARLOCK;
	       M_DMUX_GP2_ARCACHE[1]	= S_DMUX_GP2_ARCACHE;
	       M_DMUX_GP2_ARUSER[1]	= S_DMUX_GP2_ARUSER;
	       M_DMUX_GP2_ARREGION[1]	= S_DMUX_GP2_ARREGION;
	       M_DMUX_GP2_ARQOS[1]	= S_DMUX_GP2_ARQOS;
	       M_DMUX_GP2_ARPROT[1]	= S_DMUX_GP2_ARPROT;
	       M_DMUX_GP2_ARSIZE[1]	= S_DMUX_GP2_ARSIZE;
                                    
	       M_DMUX_GP2_WVALID[1]	= S_DMUX_GP2_WVALID;
	       M_DMUX_GP2_WID[1]	= S_DMUX_GP2_WID;
	       M_DMUX_GP2_WDATA[1]	= S_DMUX_GP2_WDATA;
	       M_DMUX_GP2_WLAST[1]	= S_DMUX_GP2_WLAST;
	       M_DMUX_GP2_WSTRB[1]	= S_DMUX_GP2_WSTRB;
	       M_DMUX_GP2_WUSER[1]	= S_DMUX_GP2_WUSER;
                                    
	       M_DMUX_GP2_BREADY[1]	= S_DMUX_GP2_BREADY;
	       M_DMUX_GP2_RREADY[1]	= S_DMUX_GP2_RREADY;

	       S_DMUX_GP2_AWREADY 	= M_DMUX_GP2_AWREADY[1];
	       S_DMUX_GP2_ARREADY 	= M_DMUX_GP2_ARREADY[1];
	       S_DMUX_GP2_WREADY	= M_DMUX_GP2_WREADY[1];
                                  
	       S_DMUX_GP2_BVALID	= M_DMUX_GP2_BVALID[1];
	       S_DMUX_GP2_BID		= M_DMUX_GP2_BID[1];
	       S_DMUX_GP2_BUSER		= M_DMUX_GP2_BUSER[1];
	       S_DMUX_GP2_BRESP		= M_DMUX_GP2_BRESP[1];
	                          
	       S_DMUX_GP2_RVALID	= M_DMUX_GP2_RVALID[1];
	       S_DMUX_GP2_RDATA		= M_DMUX_GP2_RDATA[1];
	       S_DMUX_GP2_RID		= M_DMUX_GP2_RID[1];
	       S_DMUX_GP2_RUSER		= M_DMUX_GP2_RUSER[1];
	       S_DMUX_GP2_RRESP		= M_DMUX_GP2_RRESP[1];
	       S_DMUX_GP2_RLAST		= M_DMUX_GP2_RLAST[1];

	    end // : 64-bit
            else if(maxigp2_port_width == 2) begin //: 128-bit
	       M_DMUX_GP2_AWVALID[2] 	= S_DMUX_GP2_AWVALID;
	       M_DMUX_GP2_AWADDR[2] 	= S_DMUX_GP2_AWADDR;
	       M_DMUX_GP2_AWID[2]	= S_DMUX_GP2_AWID;
	       M_DMUX_GP2_AWBURST[2]	= S_DMUX_GP2_AWBURST;
	       M_DMUX_GP2_AWLEN[2]	= S_DMUX_GP2_AWLEN;
	       M_DMUX_GP2_AWLOCK[2]	= S_DMUX_GP2_AWLOCK;
	       M_DMUX_GP2_AWCACHE[2]	= S_DMUX_GP2_AWCACHE;
	       M_DMUX_GP2_AWUSER[2]	= S_DMUX_GP2_AWUSER;
	       M_DMUX_GP2_AWREGION[2]	= S_DMUX_GP2_AWREGION;
	       M_DMUX_GP2_AWQOS[2]	= S_DMUX_GP2_AWQOS;
	       M_DMUX_GP2_AWPROT[2]	= S_DMUX_GP2_AWPROT;
	       M_DMUX_GP2_AWSIZE[2]	= S_DMUX_GP2_AWSIZE;
                 
	       M_DMUX_GP2_ARVALID[2] 	= S_DMUX_GP2_ARVALID;
	       M_DMUX_GP2_ARADDR[2] 	= S_DMUX_GP2_ARADDR;
	       M_DMUX_GP2_ARID[2] 	= S_DMUX_GP2_ARID;
	       M_DMUX_GP2_ARBURST[2]	= S_DMUX_GP2_ARBURST;
	       M_DMUX_GP2_ARLEN[2]	= S_DMUX_GP2_ARLEN;
	       M_DMUX_GP2_ARLOCK[2]	= S_DMUX_GP2_ARLOCK;
	       M_DMUX_GP2_ARCACHE[2]	= S_DMUX_GP2_ARCACHE;
	       M_DMUX_GP2_ARUSER[2]	= S_DMUX_GP2_ARUSER;
	       M_DMUX_GP2_ARREGION[2]	= S_DMUX_GP2_ARREGION;
	       M_DMUX_GP2_ARQOS[2]	= S_DMUX_GP2_ARQOS;
	       M_DMUX_GP2_ARPROT[2]	= S_DMUX_GP2_ARPROT;
	       M_DMUX_GP2_ARSIZE[2]	= S_DMUX_GP2_ARSIZE;
                 
	       M_DMUX_GP2_WVALID[2]	= S_DMUX_GP2_WVALID;
	       M_DMUX_GP2_WID[2]	= S_DMUX_GP2_WID;
	       M_DMUX_GP2_WDATA[2]	= S_DMUX_GP2_WDATA;
	       M_DMUX_GP2_WLAST[2]	= S_DMUX_GP2_WLAST;
	       M_DMUX_GP2_WSTRB[2]	= S_DMUX_GP2_WSTRB;
	       M_DMUX_GP2_WUSER[2]	= S_DMUX_GP2_WUSER;
                 
	       M_DMUX_GP2_BREADY[2]	= S_DMUX_GP2_BREADY;
	       M_DMUX_GP2_RREADY[2]	= S_DMUX_GP2_RREADY;

	       S_DMUX_GP2_AWREADY 	= M_DMUX_GP2_AWREADY[2];
	       S_DMUX_GP2_ARREADY 	= M_DMUX_GP2_ARREADY[2];
	       S_DMUX_GP2_WREADY	= M_DMUX_GP2_WREADY[2];
                                 
	       S_DMUX_GP2_BVALID	= M_DMUX_GP2_BVALID[2];
	       S_DMUX_GP2_BID		= M_DMUX_GP2_BID[2];
	       S_DMUX_GP2_BUSER		= M_DMUX_GP2_BUSER[2];
	       S_DMUX_GP2_BRESP		= M_DMUX_GP2_BRESP[2];
	                         
	       S_DMUX_GP2_RVALID	= M_DMUX_GP2_RVALID[2];
	       S_DMUX_GP2_RDATA		= M_DMUX_GP2_RDATA[2];
	       S_DMUX_GP2_RID		= M_DMUX_GP2_RID[2];
	       S_DMUX_GP2_RUSER		= M_DMUX_GP2_RUSER[2];
	       S_DMUX_GP2_RRESP		= M_DMUX_GP2_RRESP[2];
	       S_DMUX_GP2_RLAST		= M_DMUX_GP2_RLAST[2];

	    end // : 128-bit	    
            else begin //: 128-bit (default)
	       M_DMUX_GP2_AWVALID[2] 	= S_DMUX_GP2_AWVALID;
	       M_DMUX_GP2_AWADDR[2] 	= S_DMUX_GP2_AWADDR;
	       M_DMUX_GP2_AWID[2]	= S_DMUX_GP2_AWID;
	       M_DMUX_GP2_AWBURST[2]	= S_DMUX_GP2_AWBURST;
	       M_DMUX_GP2_AWLEN[2]	= S_DMUX_GP2_AWLEN;
	       M_DMUX_GP2_AWLOCK[2]	= S_DMUX_GP2_AWLOCK;
	       M_DMUX_GP2_AWCACHE[2]	= S_DMUX_GP2_AWCACHE;
	       M_DMUX_GP2_AWUSER[2]	= S_DMUX_GP2_AWUSER;
	       M_DMUX_GP2_AWREGION[2]	= S_DMUX_GP2_AWREGION;
	       M_DMUX_GP2_AWQOS[2]	= S_DMUX_GP2_AWQOS;
	       M_DMUX_GP2_AWPROT[2]	= S_DMUX_GP2_AWPROT;
	       M_DMUX_GP2_AWSIZE[2]	= S_DMUX_GP2_AWSIZE;
                 
	       M_DMUX_GP2_ARVALID[2] 	= S_DMUX_GP2_ARVALID;
	       M_DMUX_GP2_ARADDR[2] 	= S_DMUX_GP2_ARADDR;
	       M_DMUX_GP2_ARID[2] 	= S_DMUX_GP2_ARID;
	       M_DMUX_GP2_ARBURST[2]	= S_DMUX_GP2_ARBURST;
	       M_DMUX_GP2_ARLEN[2]	= S_DMUX_GP2_ARLEN;
	       M_DMUX_GP2_ARLOCK[2]	= S_DMUX_GP2_ARLOCK;
	       M_DMUX_GP2_ARCACHE[2]	= S_DMUX_GP2_ARCACHE;
	       M_DMUX_GP2_ARUSER[2]	= S_DMUX_GP2_ARUSER;
	       M_DMUX_GP2_ARREGION[2]	= S_DMUX_GP2_ARREGION;
	       M_DMUX_GP2_ARQOS[2]	= S_DMUX_GP2_ARQOS;
	       M_DMUX_GP2_ARPROT[2]	= S_DMUX_GP2_ARPROT;
	       M_DMUX_GP2_ARSIZE[2]	= S_DMUX_GP2_ARSIZE;
                 
	       M_DMUX_GP2_WVALID[2]	= S_DMUX_GP2_WVALID;
	       M_DMUX_GP2_WID[2]	= S_DMUX_GP2_WID;
	       M_DMUX_GP2_WDATA[2]	= S_DMUX_GP2_WDATA;
	       M_DMUX_GP2_WLAST[2]	= S_DMUX_GP2_WLAST;
	       M_DMUX_GP2_WSTRB[2]	= S_DMUX_GP2_WSTRB;
	       M_DMUX_GP2_WUSER[2]	= S_DMUX_GP2_WUSER;
                
	       M_DMUX_GP2_BREADY[2]	= S_DMUX_GP2_BREADY;
	       M_DMUX_GP2_RREADY[2]	= S_DMUX_GP2_RREADY;

	       S_DMUX_GP2_AWREADY 	= M_DMUX_GP2_AWREADY[2];
	       S_DMUX_GP2_ARREADY 	= M_DMUX_GP2_ARREADY[2];
	       S_DMUX_GP2_WREADY	= M_DMUX_GP2_WREADY[2];
                                  
	       S_DMUX_GP2_BVALID	= M_DMUX_GP2_BVALID[2];
	       S_DMUX_GP2_BID		= M_DMUX_GP2_BID[2];
	       S_DMUX_GP2_BUSER		= M_DMUX_GP2_BUSER[2];
	       S_DMUX_GP2_BRESP		= M_DMUX_GP2_BRESP[2];
	                          
	       S_DMUX_GP2_RVALID	= M_DMUX_GP2_RVALID[2];
	       S_DMUX_GP2_RDATA		= M_DMUX_GP2_RDATA[2];
	       S_DMUX_GP2_RID		= M_DMUX_GP2_RID[2];
	       S_DMUX_GP2_RUSER		= M_DMUX_GP2_RUSER[2];
	       S_DMUX_GP2_RRESP		= M_DMUX_GP2_RRESP[2];
	       S_DMUX_GP2_RLAST		= M_DMUX_GP2_RLAST[2];
	    end // : 128-bit
      end // : always

// muxing logic for PL ports (GP0)
      always @(*) begin
            if(maxigp0_port_width == 0) begin // 32-bit
	       M_MUX_GP0_AWVALID 	= S_MUX_GP0_AWVALID[0];
	       M_MUX_GP0_AWADDR 	= S_MUX_GP0_AWADDR[0];
	       M_MUX_GP0_AWID		= S_MUX_GP0_AWID[0];
	       M_MUX_GP0_AWBURST	= S_MUX_GP0_AWBURST[0];
	       M_MUX_GP0_AWLEN		= S_MUX_GP0_AWLEN[0];
	       M_MUX_GP0_AWLOCK		= S_MUX_GP0_AWLOCK[0];
	       M_MUX_GP0_AWCACHE	= S_MUX_GP0_AWCACHE[0];
	       M_MUX_GP0_AWUSER		= S_MUX_GP0_AWUSER[0];
	       M_MUX_GP0_AWREGION	= S_MUX_GP0_AWREGION[0];
	       M_MUX_GP0_AWQOS		= S_MUX_GP0_AWQOS[0];
	       M_MUX_GP0_AWPROT		= S_MUX_GP0_AWPROT[0];
	       M_MUX_GP0_AWSIZE		= S_MUX_GP0_AWSIZE[0];
                                    
	       M_MUX_GP0_ARVALID 	= S_MUX_GP0_ARVALID[0];
	       M_MUX_GP0_ARADDR 	= S_MUX_GP0_ARADDR[0];
	       M_MUX_GP0_ARID 		= S_MUX_GP0_ARID[0];
	       M_MUX_GP0_ARBURST	= S_MUX_GP0_ARBURST[0];
	       M_MUX_GP0_ARLEN		= S_MUX_GP0_ARLEN[0];
	       M_MUX_GP0_ARLOCK		= S_MUX_GP0_ARLOCK[0];
	       M_MUX_GP0_ARCACHE	= S_MUX_GP0_ARCACHE[0];
	       M_MUX_GP0_ARUSER		= S_MUX_GP0_ARUSER[0];
	       M_MUX_GP0_ARREGION	= S_MUX_GP0_ARREGION[0];
	       M_MUX_GP0_ARQOS		= S_MUX_GP0_ARQOS[0];
	       M_MUX_GP0_ARPROT		= S_MUX_GP0_ARPROT[0];
	       M_MUX_GP0_ARSIZE		= S_MUX_GP0_ARSIZE[0];
                                    
	       M_MUX_GP0_WVALID		= S_MUX_GP0_WVALID[0];
	       M_MUX_GP0_WID		= S_MUX_GP0_WID[0];
	       M_MUX_GP0_WDATA		= S_MUX_GP0_WDATA[0];
	       M_MUX_GP0_WLAST		= S_MUX_GP0_WLAST[0];
	       M_MUX_GP0_WSTRB		= S_MUX_GP0_WSTRB[0];
	       M_MUX_GP0_WUSER		= S_MUX_GP0_WUSER[0];
                                    
	       M_MUX_GP0_BREADY		= S_MUX_GP0_BREADY[0];
	       M_MUX_GP0_RREADY		= S_MUX_GP0_RREADY[0];

	       S_MUX_GP0_AWREADY[0] 	= M_MUX_GP0_AWREADY;
	       S_MUX_GP0_ARREADY[0] 	= M_MUX_GP0_ARREADY;
	       S_MUX_GP0_WREADY[0]	= M_MUX_GP0_WREADY;
                                 
	       S_MUX_GP0_BVALID[0]	= M_MUX_GP0_BVALID;
	       S_MUX_GP0_BID[0]		= M_MUX_GP0_BID;
	       S_MUX_GP0_BUSER[0]	= M_MUX_GP0_BUSER;
	       S_MUX_GP0_BRESP[0]	= M_MUX_GP0_BRESP;
	                         
	       S_MUX_GP0_RVALID[0]	= M_MUX_GP0_RVALID;
	       S_MUX_GP0_RDATA[0]	= M_MUX_GP0_RDATA;
	       S_MUX_GP0_RID[0]		= M_MUX_GP0_RID;
	       S_MUX_GP0_RUSER[0]	= M_MUX_GP0_RUSER;
	       S_MUX_GP0_RRESP[0]	= M_MUX_GP0_RRESP;
	       S_MUX_GP0_RLAST[0]	= M_MUX_GP0_RLAST;

	    end // : 32-bit
            else if(maxigp0_port_width == 1) begin // 64-bit
	       M_MUX_GP0_AWVALID 	= S_MUX_GP0_AWVALID[1];
	       M_MUX_GP0_AWADDR 	= S_MUX_GP0_AWADDR[1];
	       M_MUX_GP0_AWID		= S_MUX_GP0_AWID[1];
	       M_MUX_GP0_AWBURST	= S_MUX_GP0_AWBURST[1];
	       M_MUX_GP0_AWLEN		= S_MUX_GP0_AWLEN[1];
	       M_MUX_GP0_AWLOCK		= S_MUX_GP0_AWLOCK[1];
	       M_MUX_GP0_AWCACHE	= S_MUX_GP0_AWCACHE[1];
	       M_MUX_GP0_AWUSER		= S_MUX_GP0_AWUSER[1];
	       M_MUX_GP0_AWREGION	= S_MUX_GP0_AWREGION[1];
	       M_MUX_GP0_AWQOS		= S_MUX_GP0_AWQOS[1];
	       M_MUX_GP0_AWPROT		= S_MUX_GP0_AWPROT[1];
	       M_MUX_GP0_AWSIZE		= S_MUX_GP0_AWSIZE[1];
                                    
	       M_MUX_GP0_ARVALID 	= S_MUX_GP0_ARVALID[1];
	       M_MUX_GP0_ARADDR 	= S_MUX_GP0_ARADDR[1];
	       M_MUX_GP0_ARID 		= S_MUX_GP0_ARID[1];
	       M_MUX_GP0_ARBURST	= S_MUX_GP0_ARBURST[1];
	       M_MUX_GP0_ARLEN		= S_MUX_GP0_ARLEN[1];
	       M_MUX_GP0_ARLOCK		= S_MUX_GP0_ARLOCK[1];
	       M_MUX_GP0_ARCACHE	= S_MUX_GP0_ARCACHE[1];
	       M_MUX_GP0_ARUSER		= S_MUX_GP0_ARUSER[1];
	       M_MUX_GP0_ARREGION	= S_MUX_GP0_ARREGION[1];
	       M_MUX_GP0_ARQOS		= S_MUX_GP0_ARQOS[1];
	       M_MUX_GP0_ARPROT		= S_MUX_GP0_ARPROT[1];
	       M_MUX_GP0_ARSIZE		= S_MUX_GP0_ARSIZE[1];
                                    
	       M_MUX_GP0_WVALID		= S_MUX_GP0_WVALID[1];
	       M_MUX_GP0_WID		= S_MUX_GP0_WID[1];
	       M_MUX_GP0_WDATA		= S_MUX_GP0_WDATA[1];
	       M_MUX_GP0_WLAST		= S_MUX_GP0_WLAST[1];
	       M_MUX_GP0_WSTRB		= S_MUX_GP0_WSTRB[1];
	       M_MUX_GP0_WUSER		= S_MUX_GP0_WUSER[1];
                                    
	       M_MUX_GP0_BREADY		= S_MUX_GP0_BREADY[1];
	       M_MUX_GP0_RREADY		= S_MUX_GP0_RREADY[1];

	       S_MUX_GP0_AWREADY[1] 	= M_MUX_GP0_AWREADY;
	       S_MUX_GP0_ARREADY[1] 	= M_MUX_GP0_ARREADY;
	       S_MUX_GP0_WREADY[1]	= M_MUX_GP0_WREADY;
                                  
	       S_MUX_GP0_BVALID[1]	= M_MUX_GP0_BVALID;
	       S_MUX_GP0_BID[1]		= M_MUX_GP0_BID;
	       S_MUX_GP0_BUSER[1]	= M_MUX_GP0_BUSER;
	       S_MUX_GP0_BRESP[1]	= M_MUX_GP0_BRESP;
	                          
	       S_MUX_GP0_RVALID[1]	= M_MUX_GP0_RVALID;
	       S_MUX_GP0_RDATA[1]	= M_MUX_GP0_RDATA;
	       S_MUX_GP0_RID[1]		= M_MUX_GP0_RID;
	       S_MUX_GP0_RUSER[1]	= M_MUX_GP0_RUSER;
	       S_MUX_GP0_RRESP[1]	= M_MUX_GP0_RRESP;
	       S_MUX_GP0_RLAST[1]	= M_MUX_GP0_RLAST;

	    end // : 64-bit
            else if(maxigp0_port_width == 2) begin //: 128-bit
	       M_MUX_GP0_AWVALID 	= S_MUX_GP0_AWVALID[2];
	       M_MUX_GP0_AWADDR 	= S_MUX_GP0_AWADDR[2];
	       M_MUX_GP0_AWID		= S_MUX_GP0_AWID[2];
	       M_MUX_GP0_AWBURST	= S_MUX_GP0_AWBURST[2];
	       M_MUX_GP0_AWLEN		= S_MUX_GP0_AWLEN[2];
	       M_MUX_GP0_AWLOCK		= S_MUX_GP0_AWLOCK[2];
	       M_MUX_GP0_AWCACHE	= S_MUX_GP0_AWCACHE[2];
	       M_MUX_GP0_AWUSER		= S_MUX_GP0_AWUSER[2];
	       M_MUX_GP0_AWREGION	= S_MUX_GP0_AWREGION[2];
	       M_MUX_GP0_AWQOS		= S_MUX_GP0_AWQOS[2];
	       M_MUX_GP0_AWPROT		= S_MUX_GP0_AWPROT[2];
	       M_MUX_GP0_AWSIZE		= S_MUX_GP0_AWSIZE[2];
                 
	       M_MUX_GP0_ARVALID 	= S_MUX_GP0_ARVALID[2];
	       M_MUX_GP0_ARADDR 	= S_MUX_GP0_ARADDR[2];
	       M_MUX_GP0_ARID 		= S_MUX_GP0_ARID[2];
	       M_MUX_GP0_ARBURST	= S_MUX_GP0_ARBURST[2];
	       M_MUX_GP0_ARLEN		= S_MUX_GP0_ARLEN[2];
	       M_MUX_GP0_ARLOCK		= S_MUX_GP0_ARLOCK[2];
	       M_MUX_GP0_ARCACHE	= S_MUX_GP0_ARCACHE[2];
	       M_MUX_GP0_ARUSER		= S_MUX_GP0_ARUSER[2];
	       M_MUX_GP0_ARREGION	= S_MUX_GP0_ARREGION[2];
	       M_MUX_GP0_ARQOS		= S_MUX_GP0_ARQOS[2];
	       M_MUX_GP0_ARPROT		= S_MUX_GP0_ARPROT[2];
	       M_MUX_GP0_ARSIZE		= S_MUX_GP0_ARSIZE[2];
                 
	       M_MUX_GP0_WVALID	= S_MUX_GP0_WVALID[2];
	       M_MUX_GP0_WID	= S_MUX_GP0_WID[2];
	       M_MUX_GP0_WDATA	= S_MUX_GP0_WDATA[2];
	       M_MUX_GP0_WLAST	= S_MUX_GP0_WLAST[2];
	       M_MUX_GP0_WSTRB	= S_MUX_GP0_WSTRB[2];
	       M_MUX_GP0_WUSER	= S_MUX_GP0_WUSER[2];
                 
	       M_MUX_GP0_BREADY	= S_MUX_GP0_BREADY[2];
	       M_MUX_GP0_RREADY	= S_MUX_GP0_RREADY[2];

	       S_MUX_GP0_AWREADY[2] 	= M_MUX_GP0_AWREADY;
	       S_MUX_GP0_ARREADY[2] 	= M_MUX_GP0_ARREADY;
	       S_MUX_GP0_WREADY[2]	= M_MUX_GP0_WREADY;
                                  
	       S_MUX_GP0_BVALID[2]	= M_MUX_GP0_BVALID;
	       S_MUX_GP0_BID[2]		= M_MUX_GP0_BID;
	       S_MUX_GP0_BUSER[2]	= M_MUX_GP0_BUSER;
	       S_MUX_GP0_BRESP[2]	= M_MUX_GP0_BRESP;
	                          
	       S_MUX_GP0_RVALID[2]	= M_MUX_GP0_RVALID;
	       S_MUX_GP0_RDATA[2]	= M_MUX_GP0_RDATA;
	       S_MUX_GP0_RID[2]		= M_MUX_GP0_RID;
	       S_MUX_GP0_RUSER[2]	= M_MUX_GP0_RUSER;
	       S_MUX_GP0_RRESP[2]	= M_MUX_GP0_RRESP;
	       S_MUX_GP0_RLAST[2]	= M_MUX_GP0_RLAST;

	    end // : 128-bit	    
            else begin //: 128-bit (default)
	       M_MUX_GP0_AWVALID 	= S_MUX_GP0_AWVALID[2];
	       M_MUX_GP0_AWADDR 	= S_MUX_GP0_AWADDR[2];
	       M_MUX_GP0_AWID		= S_MUX_GP0_AWID[2];
	       M_MUX_GP0_AWBURST	= S_MUX_GP0_AWBURST[2];
	       M_MUX_GP0_AWLEN		= S_MUX_GP0_AWLEN[2];
	       M_MUX_GP0_AWLOCK		= S_MUX_GP0_AWLOCK[2];
	       M_MUX_GP0_AWCACHE	= S_MUX_GP0_AWCACHE[2];
	       M_MUX_GP0_AWUSER		= S_MUX_GP0_AWUSER[2];
	       M_MUX_GP0_AWREGION	= S_MUX_GP0_AWREGION[2];
	       M_MUX_GP0_AWQOS		= S_MUX_GP0_AWQOS[2];
	       M_MUX_GP0_AWPROT		= S_MUX_GP0_AWPROT[2];
	       M_MUX_GP0_AWSIZE		= S_MUX_GP0_AWSIZE[2];
                 
	       M_MUX_GP0_ARVALID 	= S_MUX_GP0_ARVALID[2];
	       M_MUX_GP0_ARADDR 	= S_MUX_GP0_ARADDR[2];
	       M_MUX_GP0_ARID 		= S_MUX_GP0_ARID[2];
	       M_MUX_GP0_ARBURST	= S_MUX_GP0_ARBURST[2];
	       M_MUX_GP0_ARLEN		= S_MUX_GP0_ARLEN[2];
	       M_MUX_GP0_ARLOCK		= S_MUX_GP0_ARLOCK[2];
	       M_MUX_GP0_ARCACHE	= S_MUX_GP0_ARCACHE[2];
	       M_MUX_GP0_ARUSER		= S_MUX_GP0_ARUSER[2];
	       M_MUX_GP0_ARREGION	= S_MUX_GP0_ARREGION[2];
	       M_MUX_GP0_ARQOS		= S_MUX_GP0_ARQOS[2];
	       M_MUX_GP0_ARPROT		= S_MUX_GP0_ARPROT[2];
	       M_MUX_GP0_ARSIZE		= S_MUX_GP0_ARSIZE[2];
                 
	       M_MUX_GP0_WVALID		= S_MUX_GP0_WVALID[2];
	       M_MUX_GP0_WID		= S_MUX_GP0_WID[2];
	       M_MUX_GP0_WDATA		= S_MUX_GP0_WDATA[2];
	       M_MUX_GP0_WLAST		= S_MUX_GP0_WLAST[2];
	       M_MUX_GP0_WSTRB		= S_MUX_GP0_WSTRB[2];
	       M_MUX_GP0_WUSER		= S_MUX_GP0_WUSER[2];
                
	       M_MUX_GP0_BREADY		= S_MUX_GP0_BREADY[2];
	       M_MUX_GP0_RREADY		= S_MUX_GP0_RREADY[2];

	       S_MUX_GP0_AWREADY[2] 	= M_MUX_GP0_AWREADY;
	       S_MUX_GP0_ARREADY[2] 	= M_MUX_GP0_ARREADY;
	       S_MUX_GP0_WREADY[2]	= M_MUX_GP0_WREADY;
                                  
	       S_MUX_GP0_BVALID[2]	= M_MUX_GP0_BVALID;
	       S_MUX_GP0_BID[2]		= M_MUX_GP0_BID;
	       S_MUX_GP0_BUSER[2]	= M_MUX_GP0_BUSER;
	       S_MUX_GP0_BRESP[2]	= M_MUX_GP0_BRESP;
	                          
	       S_MUX_GP0_RVALID[2]	= M_MUX_GP0_RVALID;
	       S_MUX_GP0_RDATA[2]	= M_MUX_GP0_RDATA;
	       S_MUX_GP0_RID[2]		= M_MUX_GP0_RID;
	       S_MUX_GP0_RUSER[2]	= M_MUX_GP0_RUSER;
	       S_MUX_GP0_RRESP[2]	= M_MUX_GP0_RRESP;
	       S_MUX_GP0_RLAST[2]	= M_MUX_GP0_RLAST;
	    end // : 128-bit
	 end // : always
            
// muxing logic for PL ports (GP2)
      always @(*) begin
	    // GP2 Mux
            if(maxigp2_port_width == 0) begin // 32-bit
	       M_MUX_GP2_AWVALID 	= S_MUX_GP2_AWVALID[0];
	       M_MUX_GP2_AWADDR 	= S_MUX_GP2_AWADDR[0];
	       M_MUX_GP2_AWID		= S_MUX_GP2_AWID[0];
	       M_MUX_GP2_AWBURST	= S_MUX_GP2_AWBURST[0];
	       M_MUX_GP2_AWLEN		= S_MUX_GP2_AWLEN[0];
	       M_MUX_GP2_AWLOCK		= S_MUX_GP2_AWLOCK[0];
	       M_MUX_GP2_AWCACHE	= S_MUX_GP2_AWCACHE[0];
	       M_MUX_GP2_AWUSER		= S_MUX_GP2_AWUSER[0];
	       M_MUX_GP2_AWREGION	= S_MUX_GP2_AWREGION[0];
	       M_MUX_GP2_AWQOS		= S_MUX_GP2_AWQOS[0];
	       M_MUX_GP2_AWPROT		= S_MUX_GP2_AWPROT[0];
	       M_MUX_GP2_AWSIZE		= S_MUX_GP2_AWSIZE[0];
                                    
	       M_MUX_GP2_ARVALID 	= S_MUX_GP2_ARVALID[0];
	       M_MUX_GP2_ARADDR 	= S_MUX_GP2_ARADDR[0];
	       M_MUX_GP2_ARID 		= S_MUX_GP2_ARID[0];
	       M_MUX_GP2_ARBURST	= S_MUX_GP2_ARBURST[0];
	       M_MUX_GP2_ARLEN		= S_MUX_GP2_ARLEN[0];
	       M_MUX_GP2_ARLOCK		= S_MUX_GP2_ARLOCK[0];
	       M_MUX_GP2_ARCACHE	= S_MUX_GP2_ARCACHE[0];
	       M_MUX_GP2_ARUSER		= S_MUX_GP2_ARUSER[0];
	       M_MUX_GP2_ARREGION	= S_MUX_GP2_ARREGION[0];
	       M_MUX_GP2_ARQOS		= S_MUX_GP2_ARQOS[0];
	       M_MUX_GP2_ARPROT		= S_MUX_GP2_ARPROT[0];
	       M_MUX_GP2_ARSIZE		= S_MUX_GP2_ARSIZE[0];
                                    
	       M_MUX_GP2_WVALID		= S_MUX_GP2_WVALID[0];
	       M_MUX_GP2_WID		= S_MUX_GP2_WID[0];
	       M_MUX_GP2_WDATA		= S_MUX_GP2_WDATA[0];
	       M_MUX_GP2_WLAST		= S_MUX_GP2_WLAST[0];
	       M_MUX_GP2_WSTRB		= S_MUX_GP2_WSTRB[0];
	       M_MUX_GP2_WUSER		= S_MUX_GP2_WUSER[0];
                                    
	       M_MUX_GP2_BREADY		= S_MUX_GP2_BREADY[0];
	       M_MUX_GP2_RREADY		= S_MUX_GP2_RREADY[0];

	       S_MUX_GP2_AWREADY[0] 	= M_MUX_GP2_AWREADY;
	       S_MUX_GP2_ARREADY[0] 	= M_MUX_GP2_ARREADY;
	       S_MUX_GP2_WREADY[0]	= M_MUX_GP2_WREADY;
                                 
	       S_MUX_GP2_BVALID[0]	= M_MUX_GP2_BVALID;
	       S_MUX_GP2_BID[0]		= M_MUX_GP2_BID;
	       S_MUX_GP2_BUSER[0]	= M_MUX_GP2_BUSER;
	       S_MUX_GP2_BRESP[0]	= M_MUX_GP2_BRESP;
	                         
	       S_MUX_GP2_RVALID[0]	= M_MUX_GP2_RVALID;
	       S_MUX_GP2_RDATA[0]	= M_MUX_GP2_RDATA;
	       S_MUX_GP2_RID[0]		= M_MUX_GP2_RID;
	       S_MUX_GP2_RUSER[0]	= M_MUX_GP2_RUSER;
	       S_MUX_GP2_RRESP[0]	= M_MUX_GP2_RRESP;
	       S_MUX_GP2_RLAST[0]	= M_MUX_GP2_RLAST;

	    end // : 32-bit
            else if(maxigp2_port_width == 1) begin // 64-bit
	       M_MUX_GP2_AWVALID 	= S_MUX_GP2_AWVALID[1];
	       M_MUX_GP2_AWADDR 	= S_MUX_GP2_AWADDR[1];
	       M_MUX_GP2_AWID		= S_MUX_GP2_AWID[1];
	       M_MUX_GP2_AWBURST	= S_MUX_GP2_AWBURST[1];
	       M_MUX_GP2_AWLEN		= S_MUX_GP2_AWLEN[1];
	       M_MUX_GP2_AWLOCK		= S_MUX_GP2_AWLOCK[1];
	       M_MUX_GP2_AWCACHE	= S_MUX_GP2_AWCACHE[1];
	       M_MUX_GP2_AWUSER		= S_MUX_GP2_AWUSER[1];
	       M_MUX_GP2_AWREGION	= S_MUX_GP2_AWREGION[1];
	       M_MUX_GP2_AWQOS		= S_MUX_GP2_AWQOS[1];
	       M_MUX_GP2_AWPROT		= S_MUX_GP2_AWPROT[1];
	       M_MUX_GP2_AWSIZE		= S_MUX_GP2_AWSIZE[1];
                                    
	       M_MUX_GP2_ARVALID 	= S_MUX_GP2_ARVALID[1];
	       M_MUX_GP2_ARADDR 	= S_MUX_GP2_ARADDR[1];
	       M_MUX_GP2_ARID 		= S_MUX_GP2_ARID[1];
	       M_MUX_GP2_ARBURST	= S_MUX_GP2_ARBURST[1];
	       M_MUX_GP2_ARLEN		= S_MUX_GP2_ARLEN[1];
	       M_MUX_GP2_ARLOCK		= S_MUX_GP2_ARLOCK[1];
	       M_MUX_GP2_ARCACHE	= S_MUX_GP2_ARCACHE[1];
	       M_MUX_GP2_ARUSER		= S_MUX_GP2_ARUSER[1];
	       M_MUX_GP2_ARREGION	= S_MUX_GP2_ARREGION[1];
	       M_MUX_GP2_ARQOS		= S_MUX_GP2_ARQOS[1];
	       M_MUX_GP2_ARPROT		= S_MUX_GP2_ARPROT[1];
	       M_MUX_GP2_ARSIZE		= S_MUX_GP2_ARSIZE[1];
                                    
	       M_MUX_GP2_WVALID		= S_MUX_GP2_WVALID[1];
	       M_MUX_GP2_WID		= S_MUX_GP2_WID[1];
	       M_MUX_GP2_WDATA		= S_MUX_GP2_WDATA[1];
	       M_MUX_GP2_WLAST		= S_MUX_GP2_WLAST[1];
	       M_MUX_GP2_WSTRB		= S_MUX_GP2_WSTRB[1];
	       M_MUX_GP2_WUSER		= S_MUX_GP2_WUSER[1];
                                    
	       M_MUX_GP2_BREADY		= S_MUX_GP2_BREADY[1];
	       M_MUX_GP2_RREADY		= S_MUX_GP2_RREADY[1];

	       S_MUX_GP2_AWREADY[1] 	= M_MUX_GP2_AWREADY;
	       S_MUX_GP2_ARREADY[1] 	= M_MUX_GP2_ARREADY;
	       S_MUX_GP2_WREADY[1]	= M_MUX_GP2_WREADY;
                                  
	       S_MUX_GP2_BVALID[1]	= M_MUX_GP2_BVALID;
	       S_MUX_GP2_BID[1]		= M_MUX_GP2_BID;
	       S_MUX_GP2_BUSER[1]	= M_MUX_GP2_BUSER;
	       S_MUX_GP2_BRESP[1]	= M_MUX_GP2_BRESP;
	                          
	       S_MUX_GP2_RVALID[1]	= M_MUX_GP2_RVALID;
	       S_MUX_GP2_RDATA[1]	= M_MUX_GP2_RDATA;
	       S_MUX_GP2_RID[1]		= M_MUX_GP2_RID;
	       S_MUX_GP2_RUSER[1]	= M_MUX_GP2_RUSER;
	       S_MUX_GP2_RRESP[1]	= M_MUX_GP2_RRESP;
	       S_MUX_GP2_RLAST[1]	= M_MUX_GP2_RLAST;

	    end // : 64-bit
            else if(maxigp2_port_width == 2) begin //: 128-bit
	       M_MUX_GP2_AWVALID 	= S_MUX_GP2_AWVALID[2];
	       M_MUX_GP2_AWADDR 	= S_MUX_GP2_AWADDR[2];
	       M_MUX_GP2_AWID		= S_MUX_GP2_AWID[2];
	       M_MUX_GP2_AWBURST	= S_MUX_GP2_AWBURST[2];
	       M_MUX_GP2_AWLEN		= S_MUX_GP2_AWLEN[2];
	       M_MUX_GP2_AWLOCK		= S_MUX_GP2_AWLOCK[2];
	       M_MUX_GP2_AWCACHE	= S_MUX_GP2_AWCACHE[2];
	       M_MUX_GP2_AWUSER		= S_MUX_GP2_AWUSER[2];
	       M_MUX_GP2_AWREGION	= S_MUX_GP2_AWREGION[2];
	       M_MUX_GP2_AWQOS		= S_MUX_GP2_AWQOS[2];
	       M_MUX_GP2_AWPROT		= S_MUX_GP2_AWPROT[2];
	       M_MUX_GP2_AWSIZE		= S_MUX_GP2_AWSIZE[2];
                 
	       M_MUX_GP2_ARVALID 	= S_MUX_GP2_ARVALID[2];
	       M_MUX_GP2_ARADDR 	= S_MUX_GP2_ARADDR[2];
	       M_MUX_GP2_ARID 		= S_MUX_GP2_ARID[2];
	       M_MUX_GP2_ARBURST	= S_MUX_GP2_ARBURST[2];
	       M_MUX_GP2_ARLEN		= S_MUX_GP2_ARLEN[2];
	       M_MUX_GP2_ARLOCK		= S_MUX_GP2_ARLOCK[2];
	       M_MUX_GP2_ARCACHE	= S_MUX_GP2_ARCACHE[2];
	       M_MUX_GP2_ARUSER		= S_MUX_GP2_ARUSER[2];
	       M_MUX_GP2_ARREGION	= S_MUX_GP2_ARREGION[2];
	       M_MUX_GP2_ARQOS		= S_MUX_GP2_ARQOS[2];
	       M_MUX_GP2_ARPROT		= S_MUX_GP2_ARPROT[2];
	       M_MUX_GP2_ARSIZE		= S_MUX_GP2_ARSIZE[2];
                 
	       M_MUX_GP2_WVALID	= S_MUX_GP2_WVALID[2];
	       M_MUX_GP2_WID	= S_MUX_GP2_WID[2];
	       M_MUX_GP2_WDATA	= S_MUX_GP2_WDATA[2];
	       M_MUX_GP2_WLAST	= S_MUX_GP2_WLAST[2];
	       M_MUX_GP2_WSTRB	= S_MUX_GP2_WSTRB[2];
	       M_MUX_GP2_WUSER	= S_MUX_GP2_WUSER[2];
                 
	       M_MUX_GP2_BREADY	= S_MUX_GP2_BREADY[2];
	       M_MUX_GP2_RREADY	= S_MUX_GP2_RREADY[2];

	       S_MUX_GP2_AWREADY[2] 	= M_MUX_GP2_AWREADY;
	       S_MUX_GP2_ARREADY[2] 	= M_MUX_GP2_ARREADY;
	       S_MUX_GP2_WREADY[2]	= M_MUX_GP2_WREADY;
                                  
	       S_MUX_GP2_BVALID[2]	= M_MUX_GP2_BVALID;
	       S_MUX_GP2_BID[2]		= M_MUX_GP2_BID;
	       S_MUX_GP2_BUSER[2]	= M_MUX_GP2_BUSER;
	       S_MUX_GP2_BRESP[2]	= M_MUX_GP2_BRESP;
	                          
	       S_MUX_GP2_RVALID[2]	= M_MUX_GP2_RVALID;
	       S_MUX_GP2_RDATA[2]	= M_MUX_GP2_RDATA;
	       S_MUX_GP2_RID[2]		= M_MUX_GP2_RID;
	       S_MUX_GP2_RUSER[2]	= M_MUX_GP2_RUSER;
	       S_MUX_GP2_RRESP[2]	= M_MUX_GP2_RRESP;
	       S_MUX_GP2_RLAST[2]	= M_MUX_GP2_RLAST;

	    end // : 128-bit	    
            else begin //: 128-bit (default)
	       M_MUX_GP2_AWVALID 	= S_MUX_GP2_AWVALID[2];
	       M_MUX_GP2_AWADDR 	= S_MUX_GP2_AWADDR[2];
	       M_MUX_GP2_AWID		= S_MUX_GP2_AWID[2];
	       M_MUX_GP2_AWBURST	= S_MUX_GP2_AWBURST[2];
	       M_MUX_GP2_AWLEN		= S_MUX_GP2_AWLEN[2];
	       M_MUX_GP2_AWLOCK		= S_MUX_GP2_AWLOCK[2];
	       M_MUX_GP2_AWCACHE	= S_MUX_GP2_AWCACHE[2];
	       M_MUX_GP2_AWUSER		= S_MUX_GP2_AWUSER[2];
	       M_MUX_GP2_AWREGION	= S_MUX_GP2_AWREGION[2];
	       M_MUX_GP2_AWQOS		= S_MUX_GP2_AWQOS[2];
	       M_MUX_GP2_AWPROT		= S_MUX_GP2_AWPROT[2];
	       M_MUX_GP2_AWSIZE		= S_MUX_GP2_AWSIZE[2];
                 
	       M_MUX_GP2_ARVALID 	= S_MUX_GP2_ARVALID[2];
	       M_MUX_GP2_ARADDR 	= S_MUX_GP2_ARADDR[2];
	       M_MUX_GP2_ARID 		= S_MUX_GP2_ARID[2];
	       M_MUX_GP2_ARBURST	= S_MUX_GP2_ARBURST[2];
	       M_MUX_GP2_ARLEN		= S_MUX_GP2_ARLEN[2];
	       M_MUX_GP2_ARLOCK		= S_MUX_GP2_ARLOCK[2];
	       M_MUX_GP2_ARCACHE	= S_MUX_GP2_ARCACHE[2];
	       M_MUX_GP2_ARUSER		= S_MUX_GP2_ARUSER[2];
	       M_MUX_GP2_ARREGION	= S_MUX_GP2_ARREGION[2];
	       M_MUX_GP2_ARQOS		= S_MUX_GP2_ARQOS[2];
	       M_MUX_GP2_ARPROT		= S_MUX_GP2_ARPROT[2];
	       M_MUX_GP2_ARSIZE		= S_MUX_GP2_ARSIZE[2];
                 
	       M_MUX_GP2_WVALID		= S_MUX_GP2_WVALID[2];
	       M_MUX_GP2_WID		= S_MUX_GP2_WID[2];
	       M_MUX_GP2_WDATA		= S_MUX_GP2_WDATA[2];
	       M_MUX_GP2_WLAST		= S_MUX_GP2_WLAST[2];
	       M_MUX_GP2_WSTRB		= S_MUX_GP2_WSTRB[2];
	       M_MUX_GP2_WUSER		= S_MUX_GP2_WUSER[2];
                
	       M_MUX_GP2_BREADY		= S_MUX_GP2_BREADY[2];
	       M_MUX_GP2_RREADY		= S_MUX_GP2_RREADY[2];

	       S_MUX_GP2_AWREADY[2] 	= M_MUX_GP2_AWREADY;
	       S_MUX_GP2_ARREADY[2] 	= M_MUX_GP2_ARREADY;
	       S_MUX_GP2_WREADY[2]	= M_MUX_GP2_WREADY;
                                  
	       S_MUX_GP2_BVALID[2]	= M_MUX_GP2_BVALID;
	       S_MUX_GP2_BID[2]		= M_MUX_GP2_BID;
	       S_MUX_GP2_BUSER[2]	= M_MUX_GP2_BUSER;
	       S_MUX_GP2_BRESP[2]	= M_MUX_GP2_BRESP;
	                          
	       S_MUX_GP2_RVALID[2]	= M_MUX_GP2_RVALID;
	       S_MUX_GP2_RDATA[2]	= M_MUX_GP2_RDATA;
	       S_MUX_GP2_RID[2]		= M_MUX_GP2_RID;
	       S_MUX_GP2_RUSER[2]	= M_MUX_GP2_RUSER;
	       S_MUX_GP2_RRESP[2]	= M_MUX_GP2_RRESP;
	       S_MUX_GP2_RLAST[2]	= M_MUX_GP2_RLAST;
	    end // : 128-bit	    
      end // : always

// mux_design to de-mux connections
always @(*) begin

   // GP0
   S_DMUX_GP0_AWVALID	= M_AWVALID[1];
   S_DMUX_GP0_AWADDR	= M_AWADDR[1];
   S_DMUX_GP0_AWID	= M_AWID[1];
   S_DMUX_GP0_AWBURST	= M_AWBURST[1];
   S_DMUX_GP0_AWLEN	= M_AWLEN[1];
   S_DMUX_GP0_AWLOCK	= M_AWLOCK[1];
   S_DMUX_GP0_AWCACHE	= M_AWCACHE[1];
   S_DMUX_GP0_AWUSER	= M_AWUSER[1];
   S_DMUX_GP0_AWREGION	= M_AWREGION[1];
   S_DMUX_GP0_AWQOS	= M_AWQOS[1];
   S_DMUX_GP0_AWPROT	= M_AWPROT[1];
   S_DMUX_GP0_AWSIZE	= M_AWSIZE[1];
   
   S_DMUX_GP0_ARVALID	= M_ARVALID[1];
   S_DMUX_GP0_ARADDR	= M_ARADDR[1];
   S_DMUX_GP0_ARID	= M_ARID[1];
   S_DMUX_GP0_ARBURST	= M_ARBURST[1];
   S_DMUX_GP0_ARLEN	= M_ARLEN[1];
   S_DMUX_GP0_ARLOCK	= M_ARLOCK[1];
   S_DMUX_GP0_ARCACHE	= M_ARCACHE[1];
   S_DMUX_GP0_ARUSER	= M_ARUSER[1];
   S_DMUX_GP0_ARREGION	= M_ARREGION[1];
   S_DMUX_GP0_ARQOS	= M_ARQOS[1];
   S_DMUX_GP0_ARPROT	= M_ARPROT[1];
   S_DMUX_GP0_ARSIZE	= M_ARSIZE[1];
   
   S_DMUX_GP0_WVALID	= M_WVALID[1];
   S_DMUX_GP0_WID	= M_WID[1];
   S_DMUX_GP0_WDATA	= M_WDATA[1];
   S_DMUX_GP0_WLAST	= M_WLAST[1];
   S_DMUX_GP0_WSTRB	= M_WSTRB[1];
   S_DMUX_GP0_WUSER	= M_WUSER[1];
   
   S_DMUX_GP0_BREADY	= M_BREADY[1];
   S_DMUX_GP0_RREADY	= M_RREADY[1];

   M_AWREADY[1]		= 	S_DMUX_GP0_AWREADY;
   M_ARREADY[1]		= 	S_DMUX_GP0_ARREADY;
   M_WREADY[1]		= 	S_DMUX_GP0_WREADY;
                 
   M_RVALID[1]		= 	S_DMUX_GP0_RVALID;
   M_RLAST[1]		= 	S_DMUX_GP0_RLAST;
   M_RUSER[1]		= 	S_DMUX_GP0_RUSER;
   M_RID[1]		= 	S_DMUX_GP0_RID;
   M_RDATA[1]		= 	S_DMUX_GP0_RDATA;
   M_RRESP[1]		= 	S_DMUX_GP0_RRESP;
                	 
   M_BVALID[1]		= 	S_DMUX_GP0_BVALID;
   M_BID[1]		= 	S_DMUX_GP0_BID;
   M_BUSER[1]		= 	S_DMUX_GP0_BUSER;
   M_BRESP[1]		= 	S_DMUX_GP0_BRESP;
   
   // GP2
   S_DMUX_GP2_AWVALID	= M_AWVALID[2];
   S_DMUX_GP2_AWADDR	= M_AWADDR[2];
   S_DMUX_GP2_AWID	= M_AWID[2];
   S_DMUX_GP2_AWBURST	= M_AWBURST[2];
   S_DMUX_GP2_AWLEN	= M_AWLEN[2];
   S_DMUX_GP2_AWLOCK	= M_AWLOCK[2];
   S_DMUX_GP2_AWCACHE	= M_AWCACHE[2];
   S_DMUX_GP2_AWUSER	= M_AWUSER[2];
   S_DMUX_GP2_AWREGION	= M_AWREGION[2];
   S_DMUX_GP2_AWQOS	= M_AWQOS[2];
   S_DMUX_GP2_AWPROT	= M_AWPROT[2];
   S_DMUX_GP2_AWSIZE	= M_AWSIZE[2];
   
   S_DMUX_GP2_ARVALID	= M_ARVALID[2];
   S_DMUX_GP2_ARADDR	= M_ARADDR[2];
   S_DMUX_GP2_ARID	= M_ARID[2];
   S_DMUX_GP2_ARBURST	= M_ARBURST[2];
   S_DMUX_GP2_ARLEN	= M_ARLEN[2];
   S_DMUX_GP2_ARLOCK	= M_ARLOCK[2];
   S_DMUX_GP2_ARCACHE	= M_ARCACHE[2];
   S_DMUX_GP2_ARUSER	= M_ARUSER[2];
   S_DMUX_GP2_ARREGION	= M_ARREGION[2];
   S_DMUX_GP2_ARQOS	= M_ARQOS[2];
   S_DMUX_GP2_ARPROT	= M_ARPROT[2];
   S_DMUX_GP2_ARSIZE	= M_ARSIZE[2];
   
   S_DMUX_GP2_WVALID	= M_WVALID[2];
   S_DMUX_GP2_WID	= M_WID[2];
   S_DMUX_GP2_WDATA	= M_WDATA[2];
   S_DMUX_GP2_WLAST	= M_WLAST[2];
   S_DMUX_GP2_WSTRB	= M_WSTRB[2];
   S_DMUX_GP2_WUSER	= M_WUSER[2];
   
   S_DMUX_GP2_BREADY	= M_BREADY[2];
   S_DMUX_GP2_RREADY	= M_RREADY[2];

   M_AWREADY[2]		= 	S_DMUX_GP2_AWREADY;
   M_ARREADY[2]		= 	S_DMUX_GP2_ARREADY;
   M_WREADY[2]		= 	S_DMUX_GP2_WREADY;
                 
   M_RVALID[2]		= 	S_DMUX_GP2_RVALID;
   M_RLAST[2]		= 	S_DMUX_GP2_RLAST;
   M_RUSER[2]		= 	S_DMUX_GP2_RUSER;
   M_RID[2]		= 	S_DMUX_GP2_RID;
   M_RDATA[2]		= 	S_DMUX_GP2_RDATA;
   M_RRESP[2]		= 	S_DMUX_GP2_RRESP;
                 
   M_BVALID[2]		= 	S_DMUX_GP2_BVALID;
   M_BID[2]		= 	S_DMUX_GP2_BID;
   M_BUSER[2]		= 	S_DMUX_GP2_BUSER;
   M_BRESP[2]		= 	S_DMUX_GP2_BRESP;

end

// demux to mux 128-bit port connection
always @(*) begin
       S_MUX_GP0_AWVALID[2] 	= M_DMUX_GP0_AWVALID[2];
       S_MUX_GP0_AWADDR[2] 	= M_DMUX_GP0_AWADDR[2];
       S_MUX_GP0_AWID[2]	= M_DMUX_GP0_AWID[2];
       S_MUX_GP0_AWBURST[2]	= M_DMUX_GP0_AWBURST[2];
       S_MUX_GP0_AWLEN[2]	= M_DMUX_GP0_AWLEN[2];
       S_MUX_GP0_AWLOCK[2]	= M_DMUX_GP0_AWLOCK[2];
       S_MUX_GP0_AWCACHE[2]	= M_DMUX_GP0_AWCACHE[2];
       S_MUX_GP0_AWUSER[2]	= M_DMUX_GP0_AWUSER[2];
       S_MUX_GP0_AWREGION[2]	= M_DMUX_GP0_AWREGION[2];
       S_MUX_GP0_AWQOS[2]	= M_DMUX_GP0_AWQOS[2];
       S_MUX_GP0_AWPROT[2]	= M_DMUX_GP0_AWPROT[2];
       S_MUX_GP0_AWSIZE[2]	= M_DMUX_GP0_AWSIZE[2];
       
       S_MUX_GP0_ARVALID[2] 	= M_DMUX_GP0_ARVALID[2];
       S_MUX_GP0_ARADDR[2] 	= M_DMUX_GP0_ARADDR[2];
       S_MUX_GP0_ARID[2] 	= M_DMUX_GP0_ARID[2];
       S_MUX_GP0_ARBURST[2]	= M_DMUX_GP0_ARBURST[2];
       S_MUX_GP0_ARLEN[2]	= M_DMUX_GP0_ARLEN[2];
       S_MUX_GP0_ARLOCK[2]	= M_DMUX_GP0_ARLOCK[2];
       S_MUX_GP0_ARCACHE[2]	= M_DMUX_GP0_ARCACHE[2];
       S_MUX_GP0_ARUSER[2]	= M_DMUX_GP0_ARUSER[2];
       S_MUX_GP0_ARREGION[2]	= M_DMUX_GP0_ARREGION[2];
       S_MUX_GP0_ARQOS[2]	= M_DMUX_GP0_ARQOS[2];
       S_MUX_GP0_ARPROT[2]	= M_DMUX_GP0_ARPROT[2];
       S_MUX_GP0_ARSIZE[2]	= M_DMUX_GP0_ARSIZE[2];
       
       S_MUX_GP0_WVALID[2]	= M_DMUX_GP0_WVALID[2];
       S_MUX_GP0_WID[2]		= M_DMUX_GP0_WID[2];
       S_MUX_GP0_WDATA[2]	= M_DMUX_GP0_WDATA[2];
       S_MUX_GP0_WLAST[2]	= M_DMUX_GP0_WLAST[2];
       S_MUX_GP0_WSTRB[2]	= M_DMUX_GP0_WSTRB[2];
       S_MUX_GP0_WUSER[2]	= M_DMUX_GP0_WUSER[2];
       
       S_MUX_GP0_BREADY[2]	= M_DMUX_GP0_BREADY[2];
       S_MUX_GP0_RREADY[2]	= M_DMUX_GP0_RREADY[2];

       M_DMUX_GP0_AWREADY[2] 	= S_MUX_GP0_AWREADY[2];
       M_DMUX_GP0_ARREADY[2] 	= S_MUX_GP0_ARREADY[2];
       M_DMUX_GP0_WREADY[2]	= S_MUX_GP0_WREADY[2];
       
       M_DMUX_GP0_BVALID[2]	= S_MUX_GP0_BVALID[2];
       M_DMUX_GP0_BID[2]	= S_MUX_GP0_BID[2];
       M_DMUX_GP0_BUSER[2]	= S_MUX_GP0_BUSER[2];
       M_DMUX_GP0_BRESP[2]	= S_MUX_GP0_BRESP[2];
       
       M_DMUX_GP0_RVALID[2]	= S_MUX_GP0_RVALID[2];
       M_DMUX_GP0_RDATA[2]	= S_MUX_GP0_RDATA[2];
       M_DMUX_GP0_RID[2]	= S_MUX_GP0_RID[2];
       M_DMUX_GP0_RUSER[2]	= S_MUX_GP0_RUSER[2];
       M_DMUX_GP0_RRESP[2]	= S_MUX_GP0_RRESP[2];
       M_DMUX_GP0_RLAST[2]	= S_MUX_GP0_RLAST[2];

       // GP2
       S_MUX_GP2_AWVALID[2] 	= M_DMUX_GP2_AWVALID[2];
       S_MUX_GP2_AWADDR[2] 	= M_DMUX_GP2_AWADDR[2];
       S_MUX_GP2_AWID[2]	= M_DMUX_GP2_AWID[2];
       S_MUX_GP2_AWBURST[2]	= M_DMUX_GP2_AWBURST[2];
       S_MUX_GP2_AWLEN[2]	= M_DMUX_GP2_AWLEN[2];
       S_MUX_GP2_AWLOCK[2]	= M_DMUX_GP2_AWLOCK[2];
       S_MUX_GP2_AWCACHE[2]	= M_DMUX_GP2_AWCACHE[2];
       S_MUX_GP2_AWUSER[2]	= M_DMUX_GP2_AWUSER[2];
       S_MUX_GP2_AWREGION[2]	= M_DMUX_GP2_AWREGION[2];
       S_MUX_GP2_AWQOS[2]	= M_DMUX_GP2_AWQOS[2];
       S_MUX_GP2_AWPROT[2]	= M_DMUX_GP2_AWPROT[2];
       S_MUX_GP2_AWSIZE[2]	= M_DMUX_GP2_AWSIZE[2];
       
       S_MUX_GP2_ARVALID[2] 	= M_DMUX_GP2_ARVALID[2];
       S_MUX_GP2_ARADDR[2] 	= M_DMUX_GP2_ARADDR[2];
       S_MUX_GP2_ARID[2] 	= M_DMUX_GP2_ARID[2];
       S_MUX_GP2_ARBURST[2]	= M_DMUX_GP2_ARBURST[2];
       S_MUX_GP2_ARLEN[2]	= M_DMUX_GP2_ARLEN[2];
       S_MUX_GP2_ARLOCK[2]	= M_DMUX_GP2_ARLOCK[2];
       S_MUX_GP2_ARCACHE[2]	= M_DMUX_GP2_ARCACHE[2];
       S_MUX_GP2_ARUSER[2]	= M_DMUX_GP2_ARUSER[2];
       S_MUX_GP2_ARREGION[2]	= M_DMUX_GP2_ARREGION[2];
       S_MUX_GP2_ARQOS[2]	= M_DMUX_GP2_ARQOS[2];
       S_MUX_GP2_ARPROT[2]	= M_DMUX_GP2_ARPROT[2];
       S_MUX_GP2_ARSIZE[2]	= M_DMUX_GP2_ARSIZE[2];
       
       S_MUX_GP2_WVALID[2]	= M_DMUX_GP2_WVALID[2];
       S_MUX_GP2_WID[2]		= M_DMUX_GP2_WID[2];
       S_MUX_GP2_WDATA[2]	= M_DMUX_GP2_WDATA[2];
       S_MUX_GP2_WLAST[2]	= M_DMUX_GP2_WLAST[2];
       S_MUX_GP2_WSTRB[2]	= M_DMUX_GP2_WSTRB[2];
       S_MUX_GP2_WUSER[2]	= M_DMUX_GP2_WUSER[2];
       
       S_MUX_GP2_BREADY[2]	= M_DMUX_GP2_BREADY[2];
       S_MUX_GP2_RREADY[2]	= M_DMUX_GP2_RREADY[2];

       M_DMUX_GP2_AWREADY[2] 	= S_MUX_GP2_AWREADY[2];
       M_DMUX_GP2_ARREADY[2] 	= S_MUX_GP2_ARREADY[2];
       M_DMUX_GP2_WREADY[2]	= S_MUX_GP2_WREADY[2];
       
       M_DMUX_GP2_BVALID[2]	= S_MUX_GP2_BVALID[2];
       M_DMUX_GP2_BID[2]	= S_MUX_GP2_BID[2];
       M_DMUX_GP2_BUSER[2]	= S_MUX_GP2_BUSER[2];
       M_DMUX_GP2_BRESP[2]	= S_MUX_GP2_BRESP[2];
       
       M_DMUX_GP2_RVALID[2]	= S_MUX_GP2_RVALID[2];
       M_DMUX_GP2_RDATA[2]	= S_MUX_GP2_RDATA[2];
       M_DMUX_GP2_RID[2]	= S_MUX_GP2_RID[2];
       M_DMUX_GP2_RUSER[2]	= S_MUX_GP2_RUSER[2];
       M_DMUX_GP2_RRESP[2]	= S_MUX_GP2_RRESP[2];
       M_DMUX_GP2_RLAST[2]	= S_MUX_GP2_RLAST[2];       
end

// PSPLLPD128X64,PSPLLPD128X32,PSPLFPD128X64,PSPLFPD128X32 demux side port assignments
always @(*) begin

       // GP0 - 64-bit
       M_DMUX_GP0_AWREADY[1] 	= w_dmux_PSPLFPD128X64_awready;
       M_DMUX_GP0_ARREADY[1] 	= w_dmux_PSPLFPD128X64_arready;
       M_DMUX_GP0_WREADY[1]	= w_dmux_PSPLFPD128X64_wready;
       
       M_DMUX_GP0_BVALID[1]	= w_dmux_PSPLFPD128X64_bvalid;
       M_DMUX_GP0_BID[1]	= w_dmux_PSPLFPD128X64_bid;
       M_DMUX_GP0_BUSER[1]	= w_dmux_PSPLFPD128X64_buser;
       M_DMUX_GP0_BRESP[1]	= w_dmux_PSPLFPD128X64_bresp;
       
       M_DMUX_GP0_RVALID[1]	= w_dmux_PSPLFPD128X64_rvalid;
       M_DMUX_GP0_RDATA[1]	= w_dmux_PSPLFPD128X64_rdata;
       M_DMUX_GP0_RID[1]	= w_dmux_PSPLFPD128X64_rid;
       M_DMUX_GP0_RUSER[1]	= w_dmux_PSPLFPD128X64_ruser;
       M_DMUX_GP0_RRESP[1]	= w_dmux_PSPLFPD128X64_rresp;
       M_DMUX_GP0_RLAST[1]	= w_dmux_PSPLFPD128X64_rlast;
 
       // GP0 - 32-bit
       M_DMUX_GP0_AWREADY[0] 	= w_dmux_PSPLFPD128X32_awready;
       M_DMUX_GP0_ARREADY[0] 	= w_dmux_PSPLFPD128X32_arready;
       M_DMUX_GP0_WREADY[0]	= w_dmux_PSPLFPD128X32_wready;
       
       M_DMUX_GP0_BVALID[0]	= w_dmux_PSPLFPD128X32_bvalid;
       M_DMUX_GP0_BID[0]	= w_dmux_PSPLFPD128X32_bid;
       M_DMUX_GP0_BUSER[0]	= w_dmux_PSPLFPD128X32_buser;
       M_DMUX_GP0_BRESP[0]	= w_dmux_PSPLFPD128X32_bresp;
       
       M_DMUX_GP0_RVALID[0]	= w_dmux_PSPLFPD128X32_rvalid;
       M_DMUX_GP0_RDATA[0]	= w_dmux_PSPLFPD128X32_rdata;
       M_DMUX_GP0_RID[0]	= w_dmux_PSPLFPD128X32_rid;
       M_DMUX_GP0_RUSER[0]	= w_dmux_PSPLFPD128X32_ruser;
       M_DMUX_GP0_RRESP[0]	= w_dmux_PSPLFPD128X32_rresp;
       M_DMUX_GP0_RLAST[0]	= w_dmux_PSPLFPD128X32_rlast;

       // GP2 - 64-bit
       M_DMUX_GP2_AWREADY[1] 	= w_dmux_PSPLLPD128X64_awready;
       M_DMUX_GP2_ARREADY[1] 	= w_dmux_PSPLLPD128X64_arready;
       M_DMUX_GP2_WREADY[1]	= w_dmux_PSPLLPD128X64_wready;
       
       M_DMUX_GP2_BVALID[1]	= w_dmux_PSPLLPD128X64_bvalid;
       M_DMUX_GP2_BID[1]	= w_dmux_PSPLLPD128X64_bid;
       M_DMUX_GP2_BUSER[1]	= w_dmux_PSPLLPD128X64_buser;
       M_DMUX_GP2_BRESP[1]	= w_dmux_PSPLLPD128X64_bresp;
       
       M_DMUX_GP2_RVALID[1]	= w_dmux_PSPLLPD128X64_rvalid;
       M_DMUX_GP2_RDATA[1]	= w_dmux_PSPLLPD128X64_rdata;
       M_DMUX_GP2_RID[1]	= w_dmux_PSPLLPD128X64_rid;
       M_DMUX_GP2_RUSER[1]	= w_dmux_PSPLLPD128X64_ruser;
       M_DMUX_GP2_RRESP[1]	= w_dmux_PSPLLPD128X64_rresp;
       M_DMUX_GP2_RLAST[1]	= w_dmux_PSPLLPD128X64_rlast;
 
       // GP2 - 32-bit
       M_DMUX_GP2_AWREADY[0] 	= w_dmux_PSPLLPD128X32_awready;
       M_DMUX_GP2_ARREADY[0] 	= w_dmux_PSPLLPD128X32_arready;
       M_DMUX_GP2_WREADY[0]	= w_dmux_PSPLLPD128X32_wready;
       
       M_DMUX_GP2_BVALID[0]	= w_dmux_PSPLLPD128X32_bvalid;
       M_DMUX_GP2_BID[0]	= w_dmux_PSPLLPD128X32_bid;
       M_DMUX_GP2_BUSER[0]	= w_dmux_PSPLLPD128X32_buser;
       M_DMUX_GP2_BRESP[0]	= w_dmux_PSPLLPD128X32_bresp;
       
       M_DMUX_GP2_RVALID[0]	= w_dmux_PSPLLPD128X32_rvalid;
       M_DMUX_GP2_RDATA[0]	= w_dmux_PSPLLPD128X32_rdata;
       M_DMUX_GP2_RID[0]	= w_dmux_PSPLLPD128X32_rid;
       M_DMUX_GP2_RUSER[0]	= w_dmux_PSPLLPD128X32_ruser;
       M_DMUX_GP2_RRESP[0]	= w_dmux_PSPLLPD128X32_rresp;
       M_DMUX_GP2_RLAST[0]	= w_dmux_PSPLLPD128X32_rlast;

end

// PSPLLPD128X64,PSPLLPD128X32,PSPLFPD128X64,PSPLFPD128X32 mux side port assignments
always @(*) begin

       // GP0 - 64-bit
       S_MUX_GP0_AWVALID[1] 	= w_mux_PSPLFPD128X64_awvalid;
       S_MUX_GP0_AWADDR[1] 	= w_mux_PSPLFPD128X64_awaddr;
       S_MUX_GP0_AWID[1]	= w_mux_PSPLFPD128X64_awid;
       S_MUX_GP0_AWBURST[1]	= w_mux_PSPLFPD128X64_awburst;
       S_MUX_GP0_AWLEN[1]	= w_mux_PSPLFPD128X64_awlen;
       S_MUX_GP0_AWLOCK[1]	= w_mux_PSPLFPD128X64_awlock;
       S_MUX_GP0_AWCACHE[1]	= w_mux_PSPLFPD128X64_awcache;
       S_MUX_GP0_AWUSER[1]	= w_mux_PSPLFPD128X64_awuser;
       //S_MUX_GP0_AWREGION[1]	= w_mux_PSPLFPD128X64_awregion;
       S_MUX_GP0_AWQOS[1]	= w_mux_PSPLFPD128X64_awqos;
       S_MUX_GP0_AWPROT[1]	= w_mux_PSPLFPD128X64_awprot;
       S_MUX_GP0_AWSIZE[1]	= w_mux_PSPLFPD128X64_awsize;
       
       S_MUX_GP0_ARVALID[1] 	= w_mux_PSPLFPD128X64_arvalid;
       S_MUX_GP0_ARADDR[1] 	= w_mux_PSPLFPD128X64_araddr;
       S_MUX_GP0_ARID[1] 	= w_mux_PSPLFPD128X64_arid;
       S_MUX_GP0_ARBURST[1]	= w_mux_PSPLFPD128X64_arburst;
       S_MUX_GP0_ARLEN[1]	= w_mux_PSPLFPD128X64_arlen;
       S_MUX_GP0_ARLOCK[1]	= w_mux_PSPLFPD128X64_arlock;
       S_MUX_GP0_ARCACHE[1]	= w_mux_PSPLFPD128X64_arcache;
       S_MUX_GP0_ARUSER[1]	= w_mux_PSPLFPD128X64_aruser;
       //S_MUX_GP0_ARREGION[1]	= w_mux_PSPLFPD128X64_arregion;
       S_MUX_GP0_ARQOS[1]	= w_mux_PSPLFPD128X64_arqos;
       S_MUX_GP0_ARPROT[1]	= w_mux_PSPLFPD128X64_arprot;
       S_MUX_GP0_ARSIZE[1]	= w_mux_PSPLFPD128X64_arsize;
       
       S_MUX_GP0_WVALID[1]	= w_mux_PSPLFPD128X64_wvalid;
       S_MUX_GP0_WID[1]		= 'h0;
       S_MUX_GP0_WDATA[1]	= w_mux_PSPLFPD128X64_wdata;
       S_MUX_GP0_WLAST[1]	= w_mux_PSPLFPD128X64_wlast;
       S_MUX_GP0_WSTRB[1]	= w_mux_PSPLFPD128X64_wstrb;
       S_MUX_GP0_WUSER[1]	= w_mux_PSPLFPD128X64_wuser;
       
       S_MUX_GP0_BREADY[1]	= w_mux_PSPLFPD128X64_bready;
       S_MUX_GP0_RREADY[1]	= w_mux_PSPLFPD128X64_rready;

       // GP0 - 32-bit
       S_MUX_GP0_AWVALID[0] 	= w_mux_PSPLFPD128X32_awvalid;
       S_MUX_GP0_AWADDR[0] 	= w_mux_PSPLFPD128X32_awaddr;
       S_MUX_GP0_AWID[0]	= w_mux_PSPLFPD128X32_awid;
       S_MUX_GP0_AWBURST[0]	= w_mux_PSPLFPD128X32_awburst;
       S_MUX_GP0_AWLEN[0]	= w_mux_PSPLFPD128X32_awlen;
       S_MUX_GP0_AWLOCK[0]	= w_mux_PSPLFPD128X32_awlock;
       S_MUX_GP0_AWCACHE[0]	= w_mux_PSPLFPD128X32_awcache;
       S_MUX_GP0_AWUSER[0]	= w_mux_PSPLFPD128X32_awuser;
       //S_MUX_GP0_AWREGION[0]	= w_mux_PSPLFPD128X32_awregion;
       S_MUX_GP0_AWQOS[0]	= w_mux_PSPLFPD128X32_awqos;
       S_MUX_GP0_AWPROT[0]	= w_mux_PSPLFPD128X32_awprot;
       S_MUX_GP0_AWSIZE[0]	= w_mux_PSPLFPD128X32_awsize;
       
       S_MUX_GP0_ARVALID[0] 	= w_mux_PSPLFPD128X32_arvalid;
       S_MUX_GP0_ARADDR[0] 	= w_mux_PSPLFPD128X32_araddr;
       S_MUX_GP0_ARID[0] 	= w_mux_PSPLFPD128X32_arid;
       S_MUX_GP0_ARBURST[0]	= w_mux_PSPLFPD128X32_arburst;
       S_MUX_GP0_ARLEN[0]	= w_mux_PSPLFPD128X32_arlen;
       S_MUX_GP0_ARLOCK[0]	= w_mux_PSPLFPD128X32_arlock;
       S_MUX_GP0_ARCACHE[0]	= w_mux_PSPLFPD128X32_arcache;
       S_MUX_GP0_ARUSER[0]	= w_mux_PSPLFPD128X32_aruser;
       //S_MUX_GP0_ARREGION[0]	= w_mux_PSPLFPD128X32_arregion;
       S_MUX_GP0_ARQOS[0]	= w_mux_PSPLFPD128X32_arqos;
       S_MUX_GP0_ARPROT[0]	= w_mux_PSPLFPD128X32_arprot;
       S_MUX_GP0_ARSIZE[0]	= w_mux_PSPLFPD128X32_arsize;
       
       S_MUX_GP0_WVALID[0]	= w_mux_PSPLFPD128X32_wvalid;
       S_MUX_GP0_WID[0]		= 'h0;
       S_MUX_GP0_WDATA[0]	= w_mux_PSPLFPD128X32_wdata;
       S_MUX_GP0_WLAST[0]	= w_mux_PSPLFPD128X32_wlast;
       S_MUX_GP0_WSTRB[0]	= w_mux_PSPLFPD128X32_wstrb;
       S_MUX_GP0_WUSER[0]	= w_mux_PSPLFPD128X32_wuser;
       
       S_MUX_GP0_BREADY[0]	= w_mux_PSPLFPD128X32_bready;
       S_MUX_GP0_RREADY[0]	= w_mux_PSPLFPD128X32_rready;

       // GP2 - 64-bit
       S_MUX_GP2_AWVALID[1] 	= w_mux_PSPLLPD128X64_awvalid;
       S_MUX_GP2_AWADDR[1] 	= w_mux_PSPLLPD128X64_awaddr;
       S_MUX_GP2_AWID[1]	= w_mux_PSPLLPD128X64_awid;
       S_MUX_GP2_AWBURST[1]	= w_mux_PSPLLPD128X64_awburst;
       S_MUX_GP2_AWLEN[1]	= w_mux_PSPLLPD128X64_awlen;
       S_MUX_GP2_AWLOCK[1]	= w_mux_PSPLLPD128X64_awlock;
       S_MUX_GP2_AWCACHE[1]	= w_mux_PSPLLPD128X64_awcache;
       S_MUX_GP2_AWUSER[1]	= w_mux_PSPLLPD128X64_awuser;
       //S_MUX_GP2_AWREGION[1]	= w_mux_PSPLLPD128X64_awregion;
       S_MUX_GP2_AWQOS[1]	= w_mux_PSPLLPD128X64_awqos;
       S_MUX_GP2_AWPROT[1]	= w_mux_PSPLLPD128X64_awprot;
       S_MUX_GP2_AWSIZE[1]	= w_mux_PSPLLPD128X64_awsize;
       
       S_MUX_GP2_ARVALID[1] 	= w_mux_PSPLLPD128X64_arvalid;
       S_MUX_GP2_ARADDR[1] 	= w_mux_PSPLLPD128X64_araddr;
       S_MUX_GP2_ARID[1] 	= w_mux_PSPLLPD128X64_arid;
       S_MUX_GP2_ARBURST[1]	= w_mux_PSPLLPD128X64_arburst;
       S_MUX_GP2_ARLEN[1]	= w_mux_PSPLLPD128X64_arlen;
       S_MUX_GP2_ARLOCK[1]	= w_mux_PSPLLPD128X64_arlock;
       S_MUX_GP2_ARCACHE[1]	= w_mux_PSPLLPD128X64_arcache;
       S_MUX_GP2_ARUSER[1]	= w_mux_PSPLLPD128X64_aruser;
       //S_MUX_GP2_ARREGION[1]	= w_mux_PSPLLPD128X64_arregion;
       S_MUX_GP2_ARQOS[1]	= w_mux_PSPLLPD128X64_arqos;
       S_MUX_GP2_ARPROT[1]	= w_mux_PSPLLPD128X64_arprot;
       S_MUX_GP2_ARSIZE[1]	= w_mux_PSPLLPD128X64_arsize;
       
       S_MUX_GP2_WVALID[1]	= w_mux_PSPLLPD128X64_wvalid;
       S_MUX_GP2_WID[1]		= 'h0;
       S_MUX_GP2_WDATA[1]	= w_mux_PSPLLPD128X64_wdata;
       S_MUX_GP2_WLAST[1]	= w_mux_PSPLLPD128X64_wlast;
       S_MUX_GP2_WSTRB[1]	= w_mux_PSPLLPD128X64_wstrb;
       S_MUX_GP2_WUSER[1]	= w_mux_PSPLLPD128X64_wuser;
       
       S_MUX_GP2_BREADY[1]	= w_mux_PSPLLPD128X64_bready;
       S_MUX_GP2_RREADY[1]	= w_mux_PSPLLPD128X64_rready;

       // GP2 - 32-bit
       S_MUX_GP2_AWVALID[0] 	= w_mux_PSPLLPD128X32_awvalid;
       S_MUX_GP2_AWADDR[0] 	= w_mux_PSPLLPD128X32_awaddr;
       S_MUX_GP2_AWID[0]	= w_mux_PSPLLPD128X32_awid;
       S_MUX_GP2_AWBURST[0]	= w_mux_PSPLLPD128X32_awburst;
       S_MUX_GP2_AWLEN[0]	= w_mux_PSPLLPD128X32_awlen;
       S_MUX_GP2_AWLOCK[0]	= w_mux_PSPLLPD128X32_awlock;
       S_MUX_GP2_AWCACHE[0]	= w_mux_PSPLLPD128X32_awcache;
       S_MUX_GP2_AWUSER[0]	= w_mux_PSPLLPD128X32_awuser;
       //S_MUX_GP2_AWREGION[0]	= w_mux_PSPLLPD128X32_awregion;
       S_MUX_GP2_AWQOS[0]	= w_mux_PSPLLPD128X32_awqos;
       S_MUX_GP2_AWPROT[0]	= w_mux_PSPLLPD128X32_awprot;
       S_MUX_GP2_AWSIZE[0]	= w_mux_PSPLLPD128X32_awsize;
       
       S_MUX_GP2_ARVALID[0] 	= w_mux_PSPLLPD128X32_arvalid;
       S_MUX_GP2_ARADDR[0] 	= w_mux_PSPLLPD128X32_araddr;
       S_MUX_GP2_ARID[0] 	= w_mux_PSPLLPD128X32_arid;
       S_MUX_GP2_ARBURST[0]	= w_mux_PSPLLPD128X32_arburst;
       S_MUX_GP2_ARLEN[0]	= w_mux_PSPLLPD128X32_arlen;
       S_MUX_GP2_ARLOCK[0]	= w_mux_PSPLLPD128X32_arlock;
       S_MUX_GP2_ARCACHE[0]	= w_mux_PSPLLPD128X32_arcache;
       S_MUX_GP2_ARUSER[0]	= w_mux_PSPLLPD128X32_aruser;
       //S_MUX_GP2_ARREGION[0]	= w_mux_PSPLLPD128X32_arregion;
       S_MUX_GP2_ARQOS[0]	= w_mux_PSPLLPD128X32_arqos;
       S_MUX_GP2_ARPROT[0]	= w_mux_PSPLLPD128X32_arprot;
       S_MUX_GP2_ARSIZE[0]	= w_mux_PSPLLPD128X32_arsize;
       
       S_MUX_GP2_WVALID[0]	= w_mux_PSPLLPD128X32_wvalid;
       S_MUX_GP2_WID[0]		= 'h0;
       S_MUX_GP2_WDATA[0]	= w_mux_PSPLLPD128X32_wdata;
       S_MUX_GP2_WLAST[0]	= w_mux_PSPLLPD128X32_wlast;
       S_MUX_GP2_WSTRB[0]	= w_mux_PSPLLPD128X32_wstrb;
       S_MUX_GP2_WUSER[0]	= w_mux_PSPLLPD128X32_wuser;
       
       S_MUX_GP2_BREADY[0]	= w_mux_PSPLLPD128X32_bready;
       S_MUX_GP2_RREADY[0]	= w_mux_PSPLLPD128X32_rready;
end

always @(*) begin

   // slave - 0 port assignments
   S_AWVALID[0]		= SAXIGP0_awvalid;
   S_AWSIZE[0] 		= SAXIGP0_awsize;
   S_AWPROT[0] 		= SAXIGP0_awprot;
   S_AWQOS[0] 		= SAXIGP0_awqos;
   //S_AWREGION[0] 	= SAXIGP0_awregion;
   S_AWUSER[0] 		= SAXIGP0_awuser;
   S_AWCACHE[0] 	= SAXIGP0_awcache;
   S_AWLOCK[0] 		= SAXIGP0_awlock;
   S_AWLEN[0] 		= SAXIGP0_awlen;
   S_AWBURST[0] 	= SAXIGP0_awburst;
   S_AWID[0] 		= SAXIGP0_awid;
   S_AWADDR[0] 		= SAXIGP0_awaddr;

   S_ARVALID[0]		= SAXIGP0_arvalid;
   S_ARSIZE[0] 		= SAXIGP0_arsize;
   S_ARPROT[0] 		= SAXIGP0_arprot;
   S_ARQOS[0] 		= SAXIGP0_arqos;
   //S_ARREGION[0] 	= SAXIGP0_arregion;
   S_ARUSER[0] 		= SAXIGP0_aruser;
   S_ARCACHE[0] 	= SAXIGP0_arcache;
   S_ARLOCK[0] 		= SAXIGP0_arlock;
   S_ARLEN[0] 		= SAXIGP0_arlen;
   S_ARBURST[0] 	= SAXIGP0_arburst;
   S_ARID[0] 		= SAXIGP0_arid;
   S_ARADDR[0] 		= SAXIGP0_araddr;

   S_WUSER[0]		= SAXIGP0_wuser;
   S_WSTRB[0]		= SAXIGP0_wstrb;
   S_WLAST[0]		= SAXIGP0_wlast;
   S_WDATA[0]		= SAXIGP0_wdata;
   S_WVALID[0]		= SAXIGP0_wvalid;
   //S_WID[0]		= SAXIGP0_wid;

   S_BREADY[0]		= SAXIGP0_bready;

   S_RREADY[0] 		= SAXIGP0_rready;

   // slave - 1 port assignments
   S_AWVALID[1]		= SAXIGP2_awvalid;
   S_AWSIZE[1] 		= SAXIGP2_awsize;
   S_AWPROT[1] 		= SAXIGP2_awprot;
   S_AWQOS[1] 		= SAXIGP2_awqos;
   //S_AWREGION[1] 	= SAXIGP2_awregion;
   S_AWUSER[1] 		= SAXIGP2_awuser;
   S_AWCACHE[1] 	= SAXIGP2_awcache;
   S_AWLOCK[1] 		= SAXIGP2_awlock;
   S_AWLEN[1] 		= SAXIGP2_awlen;
   S_AWBURST[1] 	= SAXIGP2_awburst;
   S_AWID[1] 		= SAXIGP2_awid;
   S_AWADDR[1] 		= SAXIGP2_awaddr;

   S_ARVALID[1]		= SAXIGP2_arvalid;
   S_ARSIZE[1] 		= SAXIGP2_arsize;
   S_ARPROT[1] 		= SAXIGP2_arprot;
   S_ARQOS[1] 		= SAXIGP2_arqos;
   //S_ARREGION[1] 	= SAXIGP2_arregion;
   S_ARUSER[1] 		= SAXIGP2_aruser;
   S_ARCACHE[1] 	= SAXIGP2_arcache;
   S_ARLOCK[1] 		= SAXIGP2_arlock;
   S_ARLEN[1] 		= SAXIGP2_arlen;
   S_ARBURST[1] 	= SAXIGP2_arburst;
   S_ARID[1] 		= SAXIGP2_arid;
   S_ARADDR[1] 		= SAXIGP2_araddr;

   S_WUSER[1]		= SAXIGP2_wuser;
   S_WSTRB[1]		= SAXIGP2_wstrb;
   S_WLAST[1]		= SAXIGP2_wlast;
   S_WDATA[1]		= SAXIGP2_wdata;
   S_WVALID[1]		= SAXIGP2_wvalid;
   //S_WID[1] 		= SAXIGP2_wid;

   S_BREADY[1]		= SAXIGP2_bready;

   S_RREADY[1] 		= SAXIGP2_rready;

   // slave - 2 port assignments
   S_AWVALID[2]		= SAXIGP4_awvalid;
   S_AWSIZE[2] 		= SAXIGP4_awsize;
   S_AWPROT[2] 		= SAXIGP4_awprot;
   S_AWQOS[2] 		= SAXIGP4_awqos;
   //S_AWREGION[2] 	= SAXIGP4_awregion;
   S_AWUSER[2] 		= SAXIGP4_awuser;
   S_AWCACHE[2] 	= SAXIGP4_awcache;
   S_AWLOCK[2] 		= SAXIGP4_awlock;
   S_AWLEN[2] 		= SAXIGP4_awlen;
   S_AWBURST[2] 	= SAXIGP4_awburst;
   S_AWID[2] 		= SAXIGP4_awid;
   S_AWADDR[2] 		= SAXIGP4_awaddr;

   S_ARVALID[2]		= SAXIGP4_arvalid;
   S_ARSIZE[2] 		= SAXIGP4_arsize;
   S_ARPROT[2] 		= SAXIGP4_arprot;
   S_ARQOS[2] 		= SAXIGP4_arqos;
   //S_ARREGION[2] 	= SAXIGP4_arregion;
   S_ARUSER[2] 		= SAXIGP4_aruser;
   S_ARCACHE[2] 	= SAXIGP4_arcache;
   S_ARLOCK[2] 		= SAXIGP4_arlock;
   S_ARLEN[2] 		= SAXIGP4_arlen;
   S_ARBURST[2] 	= SAXIGP4_arburst;
   S_ARID[2] 		= SAXIGP4_arid;
   S_ARADDR[2] 		= SAXIGP4_araddr;

   S_WUSER[2]		= SAXIGP4_wuser;
   S_WSTRB[2]		= SAXIGP4_wstrb;
   S_WLAST[2]		= SAXIGP4_wlast;
   S_WDATA[2]		= SAXIGP4_wdata;
   S_WVALID[2]		= SAXIGP4_wvalid;
   //S_WID[2] 		= SAXIGP4_wid;

   S_BREADY[2]		= SAXIGP4_bready;

   S_RREADY[2] 		= SAXIGP4_rready;

   // slave - 3 port assignments
   S_AWVALID[3]			= IFNOCPSCCIAXI0_awvalid;
   S_AWSIZE[3] 			= IFNOCPSCCIAXI0_awsize;
   S_AWPROT[3] 			= IFNOCPSCCIAXI0_awprot;
   S_AWQOS[3] 			= IFNOCPSCCIAXI0_awqos;
   //S_AWREGION[3] 		= IFNOCPSCCIAXI0_awregion;
   S_AWUSER[3] 			= IFNOCPSCCIAXI0_awuser;
   S_AWCACHE[3] 		= IFNOCPSCCIAXI0_awcache;
   S_AWLOCK[3] 			= IFNOCPSCCIAXI0_awlock;
   S_AWLEN[3] 			= IFNOCPSCCIAXI0_awlen;
   S_AWBURST[3] 		= IFNOCPSCCIAXI0_awburst;
   S_AWID[3] 			= IFNOCPSCCIAXI0_awid;
   S_AWADDR[3] 			= IFNOCPSCCIAXI0_awaddr;

   S_ARVALID[3]			= IFNOCPSCCIAXI0_arvalid;
   S_ARSIZE[3] 			= IFNOCPSCCIAXI0_arsize;
   S_ARPROT[3] 			= IFNOCPSCCIAXI0_arprot;
   S_ARQOS[3] 			= IFNOCPSCCIAXI0_arqos;
   //S_ARREGION[3] 		= IFNOCPSCCIAXI0_arregion;
   S_ARUSER[3] 			= IFNOCPSCCIAXI0_aruser;
   S_ARCACHE[3] 		= IFNOCPSCCIAXI0_arcache;
   S_ARLOCK[3] 			= IFNOCPSCCIAXI0_arlock;
   S_ARLEN[3] 			= IFNOCPSCCIAXI0_arlen;
   S_ARBURST[3] 		= IFNOCPSCCIAXI0_arburst;
   S_ARID[3] 			= IFNOCPSCCIAXI0_arid;
   S_ARADDR[3] 			= IFNOCPSCCIAXI0_araddr;

   S_WUSER[3]			= IFNOCPSCCIAXI0_wuser;
   S_WSTRB[3]			= IFNOCPSCCIAXI0_wstrb;
   S_WLAST[3]			= IFNOCPSCCIAXI0_wlast;
   S_WDATA[3]			= IFNOCPSCCIAXI0_wdata;
   S_WVALID[3]			= IFNOCPSCCIAXI0_wvalid;
   S_WID[3] 			= IFNOCPSCCIAXI0_wid;

   S_BREADY[3]			= IFNOCPSCCIAXI0_bready;

   S_RREADY[3] 			= IFNOCPSCCIAXI0_rready;

   // slave - 4 port assignments
   S_AWVALID[4]			= IFNOCPSCCIAXI1_awvalid;
   S_AWSIZE[4] 			= IFNOCPSCCIAXI1_awsize;
   S_AWPROT[4] 			= IFNOCPSCCIAXI1_awprot;
   S_AWQOS[4] 			= IFNOCPSCCIAXI1_awqos;
   //S_AWREGION[4] 		= IFNOCPSCCIAXI1_awregion;
   S_AWUSER[4] 			= IFNOCPSCCIAXI1_awuser;
   S_AWCACHE[4] 		= IFNOCPSCCIAXI1_awcache;
   S_AWLOCK[4] 			= IFNOCPSCCIAXI1_awlock;
   S_AWLEN[4] 			= IFNOCPSCCIAXI1_awlen;
   S_AWBURST[4] 		= IFNOCPSCCIAXI1_awburst;
   S_AWID[4] 			= IFNOCPSCCIAXI1_awid;
   S_AWADDR[4] 			= IFNOCPSCCIAXI1_awaddr;

   S_ARVALID[4]			= IFNOCPSCCIAXI1_arvalid;
   S_ARSIZE[4] 			= IFNOCPSCCIAXI1_arsize;
   S_ARPROT[4] 			= IFNOCPSCCIAXI1_arprot;
   S_ARQOS[4] 			= IFNOCPSCCIAXI1_arqos;
   //S_ARREGION[4] 		= IFNOCPSCCIAXI1_arregion;
   S_ARUSER[4] 			= IFNOCPSCCIAXI1_aruser;
   S_ARCACHE[4] 		= IFNOCPSCCIAXI1_arcache;
   S_ARLOCK[4] 			= IFNOCPSCCIAXI1_arlock;
   S_ARLEN[4] 			= IFNOCPSCCIAXI1_arlen;
   S_ARBURST[4] 		= IFNOCPSCCIAXI1_arburst;
   S_ARID[4] 			= IFNOCPSCCIAXI1_arid;
   S_ARADDR[4] 			= IFNOCPSCCIAXI1_araddr;

   S_WUSER[4]			= IFNOCPSCCIAXI1_wuser;
   S_WSTRB[4]			= IFNOCPSCCIAXI1_wstrb;
   S_WLAST[4]			= IFNOCPSCCIAXI1_wlast;
   S_WDATA[4]			= IFNOCPSCCIAXI1_wdata;
   S_WVALID[4]			= IFNOCPSCCIAXI1_wvalid;
   S_WID[4] 			= IFNOCPSCCIAXI1_wid;

   S_BREADY[4]			= IFNOCPSCCIAXI1_bready;

   S_RREADY[4] 			= IFNOCPSCCIAXI1_rready;

   // slave - 5 port assignments
   S_AWVALID[5]			= IFNOCPSNCIAXI0_awvalid;
   S_AWSIZE[5] 			= IFNOCPSNCIAXI0_awsize;
   S_AWPROT[5] 			= IFNOCPSNCIAXI0_awprot;
   S_AWQOS[5] 			= IFNOCPSNCIAXI0_awqos;
   //S_AWREGION[5] 		= IFNOCPSNCIAXI0_awregion;
   S_AWUSER[5] 			= IFNOCPSNCIAXI0_awuser;
   S_AWCACHE[5] 		= IFNOCPSNCIAXI0_awcache;
   S_AWLOCK[5] 			= IFNOCPSNCIAXI0_awlock;
   S_AWLEN[5] 			= IFNOCPSNCIAXI0_awlen;
   S_AWBURST[5] 		= IFNOCPSNCIAXI0_awburst;
   S_AWID[5] 			= IFNOCPSNCIAXI0_awid;
   S_AWADDR[5] 			= IFNOCPSNCIAXI0_awaddr;

   S_ARVALID[5]			= IFNOCPSNCIAXI0_arvalid;
   S_ARSIZE[5] 			= IFNOCPSNCIAXI0_arsize;
   S_ARPROT[5] 			= IFNOCPSNCIAXI0_arprot;
   S_ARQOS[5] 			= IFNOCPSNCIAXI0_arqos;
   //S_ARREGION[5] 		= IFNOCPSNCIAXI0_arregion;
   S_ARUSER[5] 			= IFNOCPSNCIAXI0_aruser;
   S_ARCACHE[5] 		= IFNOCPSNCIAXI0_arcache;
   S_ARLOCK[5] 			= IFNOCPSNCIAXI0_arlock;
   S_ARLEN[5] 			= IFNOCPSNCIAXI0_arlen;
   S_ARBURST[5] 		= IFNOCPSNCIAXI0_arburst;
   S_ARID[5] 			= IFNOCPSNCIAXI0_arid;
   S_ARADDR[5] 			= IFNOCPSNCIAXI0_araddr;

   S_WUSER[5]			= IFNOCPSNCIAXI0_wuser;
   S_WSTRB[5]			= IFNOCPSNCIAXI0_wstrb;
   S_WLAST[5]			= IFNOCPSNCIAXI0_wlast;
   S_WDATA[5]			= IFNOCPSNCIAXI0_wdata;
   S_WVALID[5]			= IFNOCPSNCIAXI0_wvalid;
   S_WID[5] 			= IFNOCPSNCIAXI0_wid;

   S_BREADY[5]			= IFNOCPSNCIAXI0_bready;

   S_RREADY[5] 			= IFNOCPSNCIAXI0_rready;

   // slave - 6 port assignments
   S_AWVALID[6]		= IFNOCPSNCIAXI1_awvalid;
   S_AWSIZE[6] 		= IFNOCPSNCIAXI1_awsize;
   S_AWPROT[6] 		= IFNOCPSNCIAXI1_awprot;
   S_AWQOS[6] 		= IFNOCPSNCIAXI1_awqos;
   //S_AWREGION[6] 	= IFNOCPSNCIAXI1_awregion;
   S_AWUSER[6] 		= IFNOCPSNCIAXI1_awuser;
   S_AWCACHE[6] 	= IFNOCPSNCIAXI1_awcache;
   S_AWLOCK[6] 		= IFNOCPSNCIAXI1_awlock;
   S_AWLEN[6] 		= IFNOCPSNCIAXI1_awlen;
   S_AWBURST[6] 	= IFNOCPSNCIAXI1_awburst;
   S_AWID[6] 		= IFNOCPSNCIAXI1_awid;
   S_AWADDR[6] 		= IFNOCPSNCIAXI1_awaddr;

   S_ARVALID[6]		= IFNOCPSNCIAXI1_arvalid;
   S_ARSIZE[6] 		= IFNOCPSNCIAXI1_arsize;
   S_ARPROT[6] 		= IFNOCPSNCIAXI1_arprot;
   S_ARQOS[6] 		= IFNOCPSNCIAXI1_arqos;
   //S_ARREGION[6] 	= IFNOCPSNCIAXI1_arregion;
   S_ARUSER[6] 		= IFNOCPSNCIAXI1_aruser;
   S_ARCACHE[6] 	= IFNOCPSNCIAXI1_arcache;
   S_ARLOCK[6] 		= IFNOCPSNCIAXI1_arlock;
   S_ARLEN[6] 		= IFNOCPSNCIAXI1_arlen;
   S_ARBURST[6] 	= IFNOCPSNCIAXI1_arburst;
   S_ARID[6] 		= IFNOCPSNCIAXI1_arid;
   S_ARADDR[6] 		= IFNOCPSNCIAXI1_araddr;

   S_WUSER[6]		= IFNOCPSNCIAXI1_wuser;
   S_WSTRB[6]		= IFNOCPSNCIAXI1_wstrb;
   S_WLAST[6]		= IFNOCPSNCIAXI1_wlast;
   S_WDATA[6]		= IFNOCPSNCIAXI1_wdata;
   S_WVALID[6]		= IFNOCPSNCIAXI1_wvalid;
   S_WID[6] 		= IFNOCPSNCIAXI1_wid;

   S_BREADY[6]		= IFNOCPSNCIAXI1_bready;

   S_RREADY[6] 		= IFNOCPSNCIAXI1_rready;

   // slave - 7 port assignments
   S_AWVALID[7]		= SAXIACP_awvalid;
   S_AWSIZE[7] 		= SAXIACP_awsize;
   S_AWPROT[7] 		= SAXIACP_awprot;
   S_AWQOS[7] 		= SAXIACP_awqos;
   //S_AWREGION[7] 	= SAXIACP_awregion;
   S_AWUSER[7] 		= SAXIACP_awuser;
   S_AWCACHE[7] 	= SAXIACP_awcache;
   S_AWLOCK[7] 		= SAXIACP_awlock;
   S_AWLEN[7] 		= SAXIACP_awlen;
   S_AWBURST[7] 	= SAXIACP_awburst;
   S_AWID[7] 		= SAXIACP_awid;
   S_AWADDR[7] 		= SAXIACP_awaddr;

   S_ARVALID[7]		= SAXIACP_arvalid;
   S_ARSIZE[7] 		= SAXIACP_arsize;
   S_ARPROT[7] 		= SAXIACP_arprot;
   S_ARQOS[7] 		= SAXIACP_arqos;
   //S_ARREGION[7] 	= SAXIACP_arregion;
   S_ARUSER[7] 		= SAXIACP_aruser;
   S_ARCACHE[7] 	= SAXIACP_arcache;
   S_ARLOCK[7] 		= SAXIACP_arlock;
   S_ARLEN[7] 		= SAXIACP_arlen;
   S_ARBURST[7] 	= SAXIACP_arburst;
   S_ARID[7] 		= SAXIACP_arid;
   S_ARADDR[7] 		= SAXIACP_araddr;

   S_WUSER[7]		= SAXIACP_wuser;
   S_WSTRB[7]		= SAXIACP_wstrb;
   S_WLAST[7]		= SAXIACP_wlast;
   S_WDATA[7]		= SAXIACP_wdata;
   S_WVALID[7]		= SAXIACP_wvalid;
   //S_WID[7] 		= SAXIACP_wid;

   S_BREADY[7]		= SAXIACP_bready;

   S_RREADY[7] 		= SAXIACP_rready;

   // slave - 8 port assignments
   S_AWVALID[8]		= SACEFPD_awvalid;
   S_AWSIZE[8] 		= SACEFPD_awsize;
   S_AWPROT[8] 		= SACEFPD_awprot;
   S_AWQOS[8] 		= SACEFPD_awqos;
   //S_AWREGION[8] 	= SACEFPD_awregion;
   S_AWUSER[8] 		= SACEFPD_awuser;
   S_AWCACHE[8] 	= SACEFPD_awcache;
   S_AWLOCK[8] 		= SACEFPD_awlock;
   S_AWLEN[8] 		= SACEFPD_awlen;
   S_AWBURST[8] 	= SACEFPD_awburst;
   S_AWID[8] 		= SACEFPD_awid;
   S_AWADDR[8] 		= SACEFPD_awaddr;

   S_ARVALID[8]		= SACEFPD_arvalid;
   S_ARSIZE[8] 		= SACEFPD_arsize;
   S_ARPROT[8] 		= SACEFPD_arprot;
   S_ARQOS[8] 		= SACEFPD_arqos;
   //S_ARREGION[8] 	= SACEFPD_arregion;
   S_ARUSER[8] 		= SACEFPD_aruser;
   S_ARCACHE[8] 	= SACEFPD_arcache;
   S_ARLOCK[8] 		= SACEFPD_arlock;
   S_ARLEN[8] 		= SACEFPD_arlen;
   S_ARBURST[8] 	= SACEFPD_arburst;
   S_ARID[8] 		= SACEFPD_arid;
   S_ARADDR[8] 		= SACEFPD_araddr;

   S_WUSER[8]		= SACEFPD_wuser;
   S_WSTRB[8]		= SACEFPD_wstrb;
   S_WLAST[8]		= SACEFPD_wlast;
   S_WDATA[8]		= SACEFPD_wdata;
   S_WVALID[8]		= SACEFPD_wvalid;
   S_WID[8] 		= SACEFPD_wid;

   S_BREADY[8]		= SACEFPD_bready;

   S_RREADY[8] 		= SACEFPD_rready;

   // slave - 9 port assignments
   S_AWVALID[9]		= IFNOCPMCAXI0_awvalid;
   S_AWSIZE[9] 		= IFNOCPMCAXI0_awsize;
   S_AWPROT[9] 		= IFNOCPMCAXI0_awprot;
   S_AWQOS[9] 		= IFNOCPMCAXI0_awqos;
   //S_AWREGION[9] 	= IFNOCPMCAXI0_awregion;
   S_AWUSER[9] 		= IFNOCPMCAXI0_awuser;
   S_AWCACHE[9] 	= IFNOCPMCAXI0_awcache;
   S_AWLOCK[9] 		= IFNOCPMCAXI0_awlock;
   S_AWLEN[9] 		= IFNOCPMCAXI0_awlen;
   S_AWBURST[9] 	= IFNOCPMCAXI0_awburst;
   S_AWID[9] 		= IFNOCPMCAXI0_awid;
   S_AWADDR[9] 		= IFNOCPMCAXI0_awaddr;

   S_ARVALID[9]		= IFNOCPMCAXI0_arvalid;
   S_ARSIZE[9] 		= IFNOCPMCAXI0_arsize;
   S_ARPROT[9] 		= IFNOCPMCAXI0_arprot;
   S_ARQOS[9] 		= IFNOCPMCAXI0_arqos;
   //S_ARREGION[9] 	= IFNOCPMCAXI0_arregion;
   S_ARUSER[9] 		= IFNOCPMCAXI0_aruser;
   S_ARCACHE[9] 	= IFNOCPMCAXI0_arcache;
   S_ARLOCK[9] 		= IFNOCPMCAXI0_arlock;
   S_ARLEN[9] 		= IFNOCPMCAXI0_arlen;
   S_ARBURST[9] 	= IFNOCPMCAXI0_arburst;
   S_ARID[9] 		= IFNOCPMCAXI0_arid;
   S_ARADDR[9] 		= IFNOCPMCAXI0_araddr;

   S_WUSER[9]		= IFNOCPMCAXI0_wuser;
   S_WSTRB[9]		= IFNOCPMCAXI0_wstrb;
   S_WLAST[9]		= IFNOCPMCAXI0_wlast;
   S_WDATA[9]		= IFNOCPMCAXI0_wdata;
   S_WVALID[9]		= IFNOCPMCAXI0_wvalid;
   S_WID[9] 		= IFNOCPMCAXI0_wid;

   S_BREADY[9]		= IFNOCPMCAXI0_bready;

   S_RREADY[9] 		= IFNOCPMCAXI0_rready;

   // slave - 10 port assignments
   S_AWVALID[10]		= IFNOCPSPCIAXI0_awvalid;
   S_AWSIZE[10] 		= IFNOCPSPCIAXI0_awsize;
   S_AWPROT[10] 		= IFNOCPSPCIAXI0_awprot;
   S_AWQOS[10] 			= IFNOCPSPCIAXI0_awqos;
   //S_AWREGION[10] 		= IFNOCPSPCIAXI0_awregion;
   S_AWUSER[10] 		= IFNOCPSPCIAXI0_awuser;
   S_AWCACHE[10] 		= IFNOCPSPCIAXI0_awcache;
   S_AWLOCK[10] 		= IFNOCPSPCIAXI0_awlock;
   S_AWLEN[10] 			= IFNOCPSPCIAXI0_awlen;
   S_AWBURST[10] 		= IFNOCPSPCIAXI0_awburst;
   S_AWID[10] 			= IFNOCPSPCIAXI0_awid;
   S_AWADDR[10] 		= IFNOCPSPCIAXI0_awaddr;

   S_ARVALID[10]		= IFNOCPSPCIAXI0_arvalid;
   S_ARSIZE[10] 		= IFNOCPSPCIAXI0_arsize;
   S_ARPROT[10] 		= IFNOCPSPCIAXI0_arprot;
   S_ARQOS[10] 			= IFNOCPSPCIAXI0_arqos;
   //S_ARREGION[10] 		= IFNOCPSPCIAXI0_arregion;
   S_ARUSER[10] 		= IFNOCPSPCIAXI0_aruser;
   S_ARCACHE[10] 		= IFNOCPSPCIAXI0_arcache;
   S_ARLOCK[10] 		= IFNOCPSPCIAXI0_arlock;
   S_ARLEN[10] 			= IFNOCPSPCIAXI0_arlen;
   S_ARBURST[10] 		= IFNOCPSPCIAXI0_arburst;
   S_ARID[10] 			= IFNOCPSPCIAXI0_arid;
   S_ARADDR[10] 		= IFNOCPSPCIAXI0_araddr;

   S_WUSER[10]			= IFNOCPSPCIAXI0_wuser;
   S_WSTRB[10]			= IFNOCPSPCIAXI0_wstrb;
   S_WLAST[10]			= IFNOCPSPCIAXI0_wlast;
   S_WDATA[10]			= IFNOCPSPCIAXI0_wdata;
   S_WVALID[10]			= IFNOCPSPCIAXI0_wvalid;
   S_WID[10] 			= IFNOCPSPCIAXI0_wid;

   S_BREADY[10]			= IFNOCPSPCIAXI0_bready;

   S_RREADY[10] 		= IFNOCPSPCIAXI0_rready;

   // slave - 11 port assignments
   S_AWVALID[11]	= AFI_API_awvalid;
   S_AWSIZE[11] 	= AFI_API_awsize;
   S_AWPROT[11] 	= AFI_API_awprot;
   S_AWQOS[11] 		= AFI_API_awqos;
   //S_AWREGION[11] 	= AFI_API_awregion;
   S_AWUSER[11] 	= AFI_API_awuser;
   S_AWCACHE[11] 	= AFI_API_awcache;
   S_AWLOCK[11] 	= AFI_API_awlock;
   S_AWLEN[11] 		= AFI_API_awlen;
   S_AWBURST[11] 	= AFI_API_awburst;
   S_AWID[11] 		= AFI_API_awid;
   S_AWADDR[11] 	= AFI_API_awaddr;

   S_ARVALID[11]	= AFI_API_arvalid;
   S_ARSIZE[11] 	= AFI_API_arsize;
   S_ARPROT[11] 	= AFI_API_arprot;
   S_ARQOS[11] 		= AFI_API_arqos;
   //S_ARREGION[11] 	= AFI_API_arregion;
   S_ARUSER[11] 	= AFI_API_aruser;
   S_ARCACHE[11] 	= AFI_API_arcache;
   S_ARLOCK[11] 	= AFI_API_arlock;
   S_ARLEN[11] 		= AFI_API_arlen;
   S_ARBURST[11] 	= AFI_API_arburst;
   S_ARID[11] 		= AFI_API_arid;
   S_ARADDR[11] 	= AFI_API_araddr;

   S_WUSER[11]		= AFI_API_wuser;
   S_WSTRB[11]		= AFI_API_wstrb;
   S_WLAST[11]		= AFI_API_wlast;
   S_WDATA[11]		= AFI_API_wdata;
   S_WVALID[11]		= AFI_API_wvalid;
   //S_WID[11] 		= AFI_API_wid;

   S_BREADY[11]		= AFI_API_bready;

   S_RREADY[11] 	= AFI_API_rready;

   // slave - 12 port assignments
   S_AWVALID[12]	= NOC_API_awvalid;
   S_AWSIZE[12] 	= NOC_API_awsize;
   S_AWPROT[12] 	= NOC_API_awprot;
   S_AWQOS[12] 		= NOC_API_awqos;
   //S_AWREGION[12] 	= NOC_API_awregion;
   S_AWUSER[12] 	= NOC_API_awuser;
   S_AWCACHE[12] 	= NOC_API_awcache;
   S_AWLOCK[12] 	= NOC_API_awlock;
   S_AWLEN[12] 		= NOC_API_awlen;
   S_AWBURST[12] 	= NOC_API_awburst;
   S_AWID[12] 		= NOC_API_awid;
   S_AWADDR[12] 	= NOC_API_awaddr;

   S_ARVALID[12]	= NOC_API_arvalid;
   S_ARSIZE[12] 	= NOC_API_arsize;
   S_ARPROT[12] 	= NOC_API_arprot;
   S_ARQOS[12] 		= NOC_API_arqos;
   //S_ARREGION[12] 	= NOC_API_arregion;
   S_ARUSER[12] 	= NOC_API_aruser;
   S_ARCACHE[12] 	= NOC_API_arcache;
   S_ARLOCK[12] 	= NOC_API_arlock;
   S_ARLEN[12] 		= NOC_API_arlen;
   S_ARBURST[12] 	= NOC_API_arburst;
   S_ARID[12] 		= NOC_API_arid;
   S_ARADDR[12] 	= NOC_API_araddr;

   S_WUSER[12]		= NOC_API_wuser;
   S_WSTRB[12]		= NOC_API_wstrb;
   S_WLAST[12]		= NOC_API_wlast;
   S_WDATA[12]		= NOC_API_wdata;
   S_WVALID[12]		= NOC_API_wvalid;
   //S_WID[12] 		= NOC_API_wid;

   S_BREADY[12]		= NOC_API_bready;

   S_RREADY[12] 	= NOC_API_rready;

   // slave - 13 port assignments
   S_AWVALID[13]	= R5_API_awvalid;
   S_AWSIZE[13] 	= R5_API_awsize;
   S_AWPROT[13] 	= R5_API_awprot;
   S_AWQOS[13] 		= R5_API_awqos;
   //S_AWREGION[13] 	= R5_API_awregion;
   S_AWUSER[13] 	= R5_API_awuser;
   S_AWCACHE[13] 	= R5_API_awcache;
   S_AWLOCK[13] 	= R5_API_awlock;
   S_AWLEN[13] 		= R5_API_awlen;
   S_AWBURST[13] 	= R5_API_awburst;
   S_AWID[13] 		= R5_API_awid;
   S_AWADDR[13] 	= R5_API_awaddr;

   S_ARVALID[13]	= R5_API_arvalid;
   S_ARSIZE[13] 	= R5_API_arsize;
   S_ARPROT[13] 	= R5_API_arprot;
   S_ARQOS[13] 		= R5_API_arqos;
   //S_ARREGION[13] 	= R5_API_arregion;
   S_ARUSER[13] 	= R5_API_aruser;
   S_ARCACHE[13] 	= R5_API_arcache;
   S_ARLOCK[13] 	= R5_API_arlock;
   S_ARLEN[13] 		= R5_API_arlen;
   S_ARBURST[13] 	= R5_API_arburst;
   S_ARID[13] 		= R5_API_arid;
   S_ARADDR[13] 	= R5_API_araddr;

   S_WUSER[13]		= R5_API_wuser;
   S_WSTRB[13]		= R5_API_wstrb;
   S_WLAST[13]		= R5_API_wlast;
   S_WDATA[13]		= R5_API_wdata;
   S_WVALID[13]		= R5_API_wvalid;
   //S_WID[13] 		= R5_API_wid;

   S_BREADY[13]		= R5_API_bready;

   S_RREADY[13] 	= R5_API_rready;

   // slave - 14 port assignments
   S_AWVALID[14]	= IFCPMPSAXI0_awvalid;
   S_AWSIZE[14] 	= IFCPMPSAXI0_awsize;
   S_AWPROT[14] 	= IFCPMPSAXI0_awprot;
   S_AWQOS[14] 		= IFCPMPSAXI0_awqos;
   //S_AWREGION[14] 	= IFCPMPSAXI0_awregion;
   S_AWUSER[14] 	= IFCPMPSAXI0_awuser;
   S_AWCACHE[14] 	= IFCPMPSAXI0_awcache;
   S_AWLOCK[14] 	= IFCPMPSAXI0_awlock;
   S_AWLEN[14] 		= IFCPMPSAXI0_awlen;
   S_AWBURST[14] 	= IFCPMPSAXI0_awburst;
   S_AWID[14] 		= IFCPMPSAXI0_awid;
   S_AWADDR[14] 	= IFCPMPSAXI0_awaddr;

   S_ARVALID[14]	= IFCPMPSAXI0_arvalid;
   S_ARSIZE[14] 	= IFCPMPSAXI0_arsize;
   S_ARPROT[14] 	= IFCPMPSAXI0_arprot;
   S_ARQOS[14] 		= IFCPMPSAXI0_arqos;
   //S_ARREGION[14] 	= IFCPMPSAXI0_arregion;
   S_ARUSER[14] 	= IFCPMPSAXI0_aruser;
   S_ARCACHE[14] 	= IFCPMPSAXI0_arcache;
   S_ARLOCK[14] 	= IFCPMPSAXI0_arlock;
   S_ARLEN[14] 		= IFCPMPSAXI0_arlen;
   S_ARBURST[14] 	= IFCPMPSAXI0_arburst;
   S_ARID[14] 		= IFCPMPSAXI0_arid;
   S_ARADDR[14] 	= IFCPMPSAXI0_araddr;

   S_WUSER[14]		= IFCPMPSAXI0_wuser;
   S_WSTRB[14]		= IFCPMPSAXI0_wstrb;
   S_WLAST[14]		= IFCPMPSAXI0_wlast;
   S_WDATA[14]		= IFCPMPSAXI0_wdata;
   S_WVALID[14]		= IFCPMPSAXI0_wvalid;
   S_WID[14] 		= IFCPMPSAXI0_wid;

   S_BREADY[14]		= IFCPMPSAXI0_bready;

   S_RREADY[14] 	= IFCPMPSAXI0_rready;

   // slave - 15 port assignments
   S_AWVALID[15]	= IFCPMPSAXI1_awvalid;
   S_AWSIZE[15] 	= IFCPMPSAXI1_awsize;
   S_AWPROT[15] 	= IFCPMPSAXI1_awprot;
   S_AWQOS[15] 		= IFCPMPSAXI1_awqos;
   //S_AWREGION[15] 	= IFCPMPSAXI1_awregion;
   S_AWUSER[15] 	= IFCPMPSAXI1_awuser;
   S_AWCACHE[15] 	= IFCPMPSAXI1_awcache;
   S_AWLOCK[15] 	= IFCPMPSAXI1_awlock;
   S_AWLEN[15] 		= IFCPMPSAXI1_awlen;
   S_AWBURST[15] 	= IFCPMPSAXI1_awburst;
   S_AWID[15] 		= IFCPMPSAXI1_awid;
   S_AWADDR[15] 	= IFCPMPSAXI1_awaddr;

   S_ARVALID[15]	= IFCPMPSAXI1_arvalid;
   S_ARSIZE[15] 	= IFCPMPSAXI1_arsize;
   S_ARPROT[15] 	= IFCPMPSAXI1_arprot;
   S_ARQOS[15] 		= IFCPMPSAXI1_arqos;
   //S_ARREGION[15] 	= IFCPMPSAXI1_arregion;
   S_ARUSER[15] 	= IFCPMPSAXI1_aruser;
   S_ARCACHE[15] 	= IFCPMPSAXI1_arcache;
   S_ARLOCK[15] 	= IFCPMPSAXI1_arlock;
   S_ARLEN[15] 		= IFCPMPSAXI1_arlen;
   S_ARBURST[15] 	= IFCPMPSAXI1_arburst;
   S_ARID[15] 		= IFCPMPSAXI1_arid;
   S_ARADDR[15] 	= IFCPMPSAXI1_araddr;

   S_WUSER[15]		= IFCPMPSAXI1_wuser;
   S_WSTRB[15]		= IFCPMPSAXI1_wstrb;
   S_WLAST[15]		= IFCPMPSAXI1_wlast;
   S_WDATA[15]		= IFCPMPSAXI1_wdata;
   S_WVALID[15]		= IFCPMPSAXI1_wvalid;
   S_WID[15] 		= IFCPMPSAXI1_wid;

   S_BREADY[15]		= IFCPMPSAXI1_bready;

   S_RREADY[15] 	= IFCPMPSAXI1_rready;

   M_AWREADY[0]			= 	IFPSNOCCCIAXI_awready;
   M_ARREADY[0]			= 	IFPSNOCCCIAXI_arready;
   M_WREADY[0]			= 	IFPSNOCCCIAXI_wready;
                 
   M_RVALID[0]			= 	IFPSNOCCCIAXI_rvalid;
   M_RLAST[0]			= 	IFPSNOCCCIAXI_rlast;
   M_RUSER[0]			= 	IFPSNOCCCIAXI_ruser;
   M_RID[0]			= 	IFPSNOCCCIAXI_rid;
   M_RDATA[0]			= 	IFPSNOCCCIAXI_rdata;
   M_RRESP[0]			= 	IFPSNOCCCIAXI_rresp;
                		 
   M_BVALID[0]			= 	IFPSNOCCCIAXI_bvalid;
   M_BID[0]			= 	IFPSNOCCCIAXI_bid;
   M_BUSER[0]			= 	IFPSNOCCCIAXI_buser;
   M_BRESP[0]			= 	IFPSNOCCCIAXI_bresp;

   M_MUX_GP0_AWREADY	= 	MAXIGP0_awready;
   M_MUX_GP0_ARREADY	= 	MAXIGP0_arready;
   M_MUX_GP0_WREADY	= 	MAXIGP0_wready;
                 
   M_MUX_GP0_RVALID	= 	MAXIGP0_rvalid;
   M_MUX_GP0_RLAST	= 	MAXIGP0_rlast;
   M_MUX_GP0_RUSER	= 	MAXIGP0_ruser;
   M_MUX_GP0_RID	= 	MAXIGP0_rid;
   M_MUX_GP0_RDATA	= 	MAXIGP0_rdata;
   M_MUX_GP0_RRESP	= 	MAXIGP0_rresp;
     
   M_MUX_GP0_BVALID	= 	MAXIGP0_bvalid;
   M_MUX_GP0_BID	= 	MAXIGP0_bid;
   M_MUX_GP0_BUSER	= 	MAXIGP0_buser;
   M_MUX_GP0_BRESP	= 	MAXIGP0_bresp;

   M_MUX_GP2_AWREADY	= 	MAXIGP2_awready;
   M_MUX_GP2_ARREADY	= 	MAXIGP2_arready;
   M_MUX_GP2_WREADY	= 	MAXIGP2_wready;
     
   M_MUX_GP2_RVALID	= 	MAXIGP2_rvalid;
   M_MUX_GP2_RLAST	= 	MAXIGP2_rlast;
   M_MUX_GP2_RUSER	= 	MAXIGP2_ruser;
   M_MUX_GP2_RID	= 	MAXIGP2_rid;
   M_MUX_GP2_RDATA	= 	MAXIGP2_rdata;
   M_MUX_GP2_RRESP	= 	MAXIGP2_rresp;
     
   M_MUX_GP2_BVALID	= 	MAXIGP2_bvalid;
   M_MUX_GP2_BID	= 	MAXIGP2_bid;
   M_MUX_GP2_BUSER	= 	MAXIGP2_buser;
   M_MUX_GP2_BRESP	= 	MAXIGP2_bresp;

   M_AWREADY[3]			= 	IFPSNOCNCIAXI0_awready;
   M_ARREADY[3]			= 	IFPSNOCNCIAXI0_arready;
   M_WREADY[3]			= 	IFPSNOCNCIAXI0_wready;
                		 
   M_RVALID[3]			= 	IFPSNOCNCIAXI0_rvalid;
   M_RLAST[3]			= 	IFPSNOCNCIAXI0_rlast;
   M_RUSER[3]			= 	IFPSNOCNCIAXI0_ruser;
   M_RID[3]			= 	IFPSNOCNCIAXI0_rid;
   M_RDATA[3]			= 	IFPSNOCNCIAXI0_rdata;
   M_RRESP[3]			= 	IFPSNOCNCIAXI0_rresp;
                		 
   M_BVALID[3]			= 	IFPSNOCNCIAXI0_bvalid;
   M_BID[3]			= 	IFPSNOCNCIAXI0_bid;
   M_BUSER[3]			= 	IFPSNOCNCIAXI0_buser;
   M_BRESP[3]			= 	IFPSNOCNCIAXI0_bresp;

   M_AWREADY[4]			= 	IFPSNOCNCIAXI1_awready;
   M_ARREADY[4]			= 	IFPSNOCNCIAXI1_arready;
   M_WREADY[4]			= 	IFPSNOCNCIAXI1_wready;
                		 
   M_RVALID[4]			= 	IFPSNOCNCIAXI1_rvalid;
   M_RLAST[4]			= 	IFPSNOCNCIAXI1_rlast;
   M_RUSER[4]			= 	IFPSNOCNCIAXI1_ruser;
   M_RID[4]			= 	IFPSNOCNCIAXI1_rid;
   M_RDATA[4]			= 	IFPSNOCNCIAXI1_rdata;
   M_RRESP[4]			= 	IFPSNOCNCIAXI1_rresp;
                		 
   M_BVALID[4]			= 	IFPSNOCNCIAXI1_bvalid;
   M_BID[4]			= 	IFPSNOCNCIAXI1_bid;
   M_BUSER[4]			= 	IFPSNOCNCIAXI1_buser;
   M_BRESP[4]			= 	IFPSNOCNCIAXI1_bresp;

   M_AWREADY[5]			= 	IFPSNOCPCIAXI0_awready;
   M_ARREADY[5]			= 	IFPSNOCPCIAXI0_arready;
   M_WREADY[5]			= 	IFPSNOCPCIAXI0_wready;
                		 
   M_RVALID[5]			= 	IFPSNOCPCIAXI0_rvalid;
   M_RLAST[5]			= 	IFPSNOCPCIAXI0_rlast;
   M_RUSER[5]			= 	IFPSNOCPCIAXI0_ruser;
   M_RID[5]			= 	IFPSNOCPCIAXI0_rid;
   M_RDATA[5]			= 	IFPSNOCPCIAXI0_rdata;
                		 
   M_BVALID[5]			= 	IFPSNOCPCIAXI0_bvalid;
   M_BID[5]			= 	IFPSNOCPCIAXI0_bid;
   M_BUSER[5]			= 	IFPSNOCPCIAXI0_buser;
   M_BRESP[5]			= 	IFPSNOCPCIAXI0_bresp;

   M_AWREADY[6]			= 	IFPSNOCPCIAXI1_awready;
   M_ARREADY[6]			= 	IFPSNOCPCIAXI1_arready;
   M_WREADY[6]			= 	IFPSNOCPCIAXI1_wready;
                		 
   M_RVALID[6]			= 	IFPSNOCPCIAXI1_rvalid;
   M_RLAST[6]			= 	IFPSNOCPCIAXI1_rlast;
   M_RUSER[6]			= 	IFPSNOCPCIAXI1_ruser;
   M_RID[6]			= 	IFPSNOCPCIAXI1_rid;
   M_RDATA[6]			= 	IFPSNOCPCIAXI1_rdata;
   M_RRESP[6]			= 	IFPSNOCPCIAXI1_rresp;
                		 
   M_BVALID[6]			= 	IFPSNOCPCIAXI1_bvalid;
   M_BID[6]			= 	IFPSNOCPCIAXI1_bid;
   M_BUSER[6]			= 	IFPSNOCPCIAXI1_buser;
   M_BRESP[6]			= 	IFPSNOCPCIAXI1_bresp;

   M_AWREADY[7]		= 	IFPMCNOCAXI0_awready;
   M_ARREADY[7]		= 	IFPMCNOCAXI0_arready;
   M_WREADY[7]		= 	IFPMCNOCAXI0_wready;
                	 
   M_RVALID[7]		= 	IFPMCNOCAXI0_rvalid;
   M_RLAST[7]		= 	IFPMCNOCAXI0_rlast;
   M_RUSER[7]		= 	IFPMCNOCAXI0_ruser;
   M_RID[7]		= 	IFPMCNOCAXI0_rid;
   M_RDATA[7]		= 	IFPMCNOCAXI0_rdata;
   M_RRESP[7]		= 	IFPMCNOCAXI0_rresp;
                	 
   M_BVALID[7]		= 	IFPMCNOCAXI0_bvalid;
   M_BID[7]		= 	IFPMCNOCAXI0_bid;
   M_BUSER[7]		= 	IFPMCNOCAXI0_buser;
   M_BRESP[7]		= 	IFPMCNOCAXI0_bresp;

   M_AWREADY[8]			= 	IFPSNOCRPUAXI0_awready;
   M_ARREADY[8]			= 	IFPSNOCRPUAXI0_arready;
   M_WREADY[8]			= 	IFPSNOCRPUAXI0_wready;
                		 
   M_RVALID[8]			= 	IFPSNOCRPUAXI0_rvalid;
   M_RLAST[8]			= 	IFPSNOCRPUAXI0_rlast;
   M_RUSER[8]			= 	IFPSNOCRPUAXI0_ruser;
   M_RID[8]			= 	IFPSNOCRPUAXI0_rid;
   M_RDATA[8]			= 	IFPSNOCRPUAXI0_rdata;
   M_RRESP[8]			= 	IFPSNOCRPUAXI0_rresp;
                		 
   M_BVALID[8]			= 	IFPSNOCRPUAXI0_bvalid;
   M_BID[8]			= 	IFPSNOCRPUAXI0_bid;
   M_BUSER[8]			= 	IFPSNOCRPUAXI0_buser;
   M_BRESP[8]			= 	IFPSNOCRPUAXI0_bresp;

   M_AWREADY[9]			= 	IFPSCPMPCIEAXI_awready;
   M_ARREADY[9]			= 	IFPSCPMPCIEAXI_arready;
   M_WREADY[9]			= 	IFPSCPMPCIEAXI_wready;
                		 
   M_RVALID[9]			= 	IFPSCPMPCIEAXI_rvalid;
   M_RLAST[9]			= 	IFPSCPMPCIEAXI_rlast;
   M_RUSER[9]			= 	IFPSCPMPCIEAXI_ruser;
   M_RID[9]			= 	IFPSCPMPCIEAXI_rid;
   M_RDATA[9]			= 	IFPSCPMPCIEAXI_rdata;
   M_RRESP[9]			= 	IFPSCPMPCIEAXI_rresp;
                		 
   M_BVALID[9]			= 	IFPSCPMPCIEAXI_bvalid;
   M_BID[9]			= 	IFPSCPMPCIEAXI_bid;
   M_BUSER[9]			= 	IFPSCPMPCIEAXI_buser;
   M_BRESP[9]			= 	IFPSCPMPCIEAXI_bresp;

   M_AWREADY[10]		= 	w_SMARTCONNECT6INMUX_awready;
   M_ARREADY[10]		= 	w_SMARTCONNECT6INMUX_arready;
   M_WREADY[10]			= 	w_SMARTCONNECT6INMUX_wready;
                		 
   M_RVALID[10]			= 	w_SMARTCONNECT6INMUX_rvalid;
   M_RLAST[10]			= 	w_SMARTCONNECT6INMUX_rlast;
   M_RUSER[10]			= 	w_SMARTCONNECT6INMUX_ruser;
   M_RID[10]			= 	w_SMARTCONNECT6INMUX_rid;
   M_RDATA[10]			= 	w_SMARTCONNECT6INMUX_rdata;
   M_RRESP[10]			= 	w_SMARTCONNECT6INMUX_rresp;
                		 
   M_BVALID[10]			= 	w_SMARTCONNECT6INMUX_bvalid;
   M_BID[10]			= 	w_SMARTCONNECT6INMUX_bid;
   M_BUSER[10]			= 	w_SMARTCONNECT6INMUX_buser;
   M_BRESP[10]			= 	w_SMARTCONNECT6INMUX_bresp;

   M_AWREADY[11]		= 	w_S00_AXI_0_awready;
   M_ARREADY[11]		= 	w_S00_AXI_0_arready;
   M_WREADY[11]			= 	w_S00_AXI_0_wready;
                		 
   M_RVALID[11]			= 	w_S00_AXI_0_rvalid;
   M_RLAST[11]			= 	w_S00_AXI_0_rlast;
   M_RUSER[11]			= 	w_S00_AXI_0_ruser;
   M_RID[11]			= 	w_S00_AXI_0_rid;
   M_RDATA[11]			= 	w_S00_AXI_0_rdata;
   M_RRESP[11]			= 	w_S00_AXI_0_rresp;
                		 
   M_BVALID[11]			= 	w_S00_AXI_0_bvalid;
   M_BID[11]			= 	w_S00_AXI_0_bid;
   M_BUSER[11]			= 	w_S00_AXI_0_buser;
   M_BRESP[11]			= 	w_S00_AXI_0_bresp;

   M_AWREADY[12]		= 	IFPSOCM2AXIAWREADY;
   M_ARREADY[12]		= 	IFPSOCM2AXIARREADY;
   M_WREADY[12]			= 	IFPSOCM2AXIWREADY;
                		 
   M_RVALID[12]			= 	IFPSOCM2AXIRVALID;
   M_RLAST[12]			= 	IFPSOCM2AXIRLAST;
   M_RUSER[12]			= 	IFPSOCM2AXIRUSER;
   M_RID[12]			= 	IFPSOCM2AXIRID;
   M_RDATA[12]			= 	IFPSOCM2AXIRDATA;
   M_RRESP[12]			= 	IFPSOCM2AXIRRESP;
                		 
   M_BVALID[12]			= 	IFPSOCM2AXIBVALID;
   M_BID[12]			= 	IFPSOCM2AXIBID;
   M_BUSER[12]			= 	IFPSOCM2AXIBUSER;
   M_BRESP[12]			= 	IFPSOCM2AXIBRESP;

end
   
   assign SAXIGP0_awready	= S_AWREADY[0];
   assign SAXIGP0_arready	= S_ARREADY[0];
   assign SAXIGP0_wready	= S_WREADY[0];

   assign SAXIGP0_rvalid	= S_RVALID[0];
   assign SAXIGP0_rlast		= S_RLAST[0];
   assign SAXIGP0_ruser		= S_RUSER[0];
   assign SAXIGP0_rid		= S_RID[0];
   assign SAXIGP0_rdata		= S_RDATA[0];
   assign SAXIGP0_rresp		= S_RRESP[0];

   assign SAXIGP0_bvalid	= S_BVALID[0];
   assign SAXIGP0_bid		= S_BID[0];
   assign SAXIGP0_buser		= S_BUSER[0];
   assign SAXIGP0_bresp		= S_BRESP[0];

   assign SAXIGP2_awready	= S_AWREADY[1];
   assign SAXIGP2_arready	= S_ARREADY[1];
   assign SAXIGP2_wready	= S_WREADY[1];

   assign SAXIGP2_rvalid	= S_RVALID[1];
   assign SAXIGP2_rlast		= S_RLAST[1];
   assign SAXIGP2_ruser		= S_RUSER[1];
   assign SAXIGP2_rid		= S_RID[1];
   assign SAXIGP2_rdata		= S_RDATA[1];
   assign SAXIGP2_rresp		= S_RRESP[1];

   assign SAXIGP2_bvalid	= S_BVALID[1];
   assign SAXIGP2_bid		= S_BID[1];
   assign SAXIGP2_buser		= S_BUSER[1];
   assign SAXIGP2_bresp		= S_BRESP[1];

   assign SAXIGP4_awready	= S_AWREADY[2];
   assign SAXIGP4_arready	= S_ARREADY[2];
   assign SAXIGP4_wready	= S_WREADY[2];

   assign SAXIGP4_rvalid	= S_RVALID[2];
   assign SAXIGP4_rlast		= S_RLAST[2];
   assign SAXIGP4_ruser		= S_RUSER[2];
   assign SAXIGP4_rid		= S_RID[2];
   assign SAXIGP4_rdata		= S_RDATA[2];
   assign SAXIGP4_rresp		= S_RRESP[2];

   assign SAXIGP4_bvalid	= S_BVALID[2];
   assign SAXIGP4_bid		= S_BID[2];
   assign SAXIGP4_buser		= S_BUSER[2];
   assign SAXIGP4_bresp		= S_BRESP[2];

   assign IFNOCPSCCIAXI0_awready	= S_AWREADY[3];
   assign IFNOCPSCCIAXI0_arready	= S_ARREADY[3];
   assign IFNOCPSCCIAXI0_wready		= S_WREADY[3];

   assign IFNOCPSCCIAXI0_rvalid		= S_RVALID[3];
   assign IFNOCPSCCIAXI0_rlast		= S_RLAST[3];
   assign IFNOCPSCCIAXI0_ruser		= S_RUSER[3];
   assign IFNOCPSCCIAXI0_rid		= S_RID[3];
   assign IFNOCPSCCIAXI0_rdata		= S_RDATA[3];
   assign IFNOCPSCCIAXI0_rresp		= S_RRESP[3];

   assign IFNOCPSCCIAXI0_bvalid		= S_BVALID[3];
   assign IFNOCPSCCIAXI0_bid		= S_BID[3];
   assign IFNOCPSCCIAXI0_buser		= S_BUSER[3];
   assign IFNOCPSCCIAXI0_bresp		= S_BRESP[3];

   assign IFNOCPSCCIAXI1_awready	= S_AWREADY[4];
   assign IFNOCPSCCIAXI1_arready	= S_ARREADY[4];
   assign IFNOCPSCCIAXI1_wready		= S_WREADY[4];

   assign IFNOCPSCCIAXI1_rvalid		= S_RVALID[4];
   assign IFNOCPSCCIAXI1_rlast		= S_RLAST[4];
   assign IFNOCPSCCIAXI1_ruser		= S_RUSER[4];
   assign IFNOCPSCCIAXI1_rid		= S_RID[4];
   assign IFNOCPSCCIAXI1_rdata		= S_RDATA[4];
   assign IFNOCPSCCIAXI1_rresp		= S_RRESP[4];

   assign IFNOCPSCCIAXI1_bvalid		= S_BVALID[4];
   assign IFNOCPSCCIAXI1_bid		= S_BID[4];
   assign IFNOCPSCCIAXI1_buser		= S_BUSER[4];
   assign IFNOCPSCCIAXI1_bresp		= S_BRESP[4];

   assign IFNOCPSNCIAXI0_awready	= S_AWREADY[5];
   assign IFNOCPSNCIAXI0_arready	= S_ARREADY[5];
   assign IFNOCPSNCIAXI0_wready		= S_WREADY[5];

   assign IFNOCPSNCIAXI0_rvalid		= S_RVALID[5];
   assign IFNOCPSNCIAXI0_rlast		= S_RLAST[5];
   assign IFNOCPSNCIAXI0_ruser		= S_RUSER[5];
   assign IFNOCPSNCIAXI0_rid		= S_RID[5];
   assign IFNOCPSNCIAXI0_rdata		= S_RDATA[5];
   assign IFNOCPSNCIAXI0_rresp		= S_RRESP[5];

   assign IFNOCPSNCIAXI0_bvalid		= S_BVALID[5];
   assign IFNOCPSNCIAXI0_bid		= S_BID[5];
   assign IFNOCPSNCIAXI0_buser		= S_BUSER[5];
   assign IFNOCPSNCIAXI0_bresp		= S_BRESP[5];

   assign IFNOCPSNCIAXI1_awready	= S_AWREADY[6];
   assign IFNOCPSNCIAXI1_arready	= S_ARREADY[6];
   assign IFNOCPSNCIAXI1_wready		= S_WREADY[6];

   assign IFNOCPSNCIAXI1_rvalid		= S_RVALID[6];
   assign IFNOCPSNCIAXI1_rlast		= S_RLAST[6];
   assign IFNOCPSNCIAXI1_ruser		= S_RUSER[6];
   assign IFNOCPSNCIAXI1_rid		= S_RID[6];
   assign IFNOCPSNCIAXI1_rdata		= S_RDATA[6];
   assign IFNOCPSNCIAXI1_rresp		= S_RRESP[6];

   assign IFNOCPSNCIAXI1_bvalid		= S_BVALID[6];
   assign IFNOCPSNCIAXI1_bid		= S_BID[6];
   assign IFNOCPSNCIAXI1_buser		= S_BUSER[6];
   assign IFNOCPSNCIAXI1_bresp		= S_BRESP[6];

   assign SAXIACP_awready	= S_AWREADY[7];
   assign SAXIACP_arready	= S_ARREADY[7];
   assign SAXIACP_wready	= S_WREADY[7];

   assign SAXIACP_rvalid	= S_RVALID[7];
   assign SAXIACP_rlast		= S_RLAST[7];
   assign SAXIACP_ruser		= S_RUSER[7];
   assign SAXIACP_rid		= S_RID[7];
   assign SAXIACP_rdata		= S_RDATA[7];
   assign SAXIACP_rresp		= S_RRESP[7];

   assign SAXIACP_bvalid	= S_BVALID[7];
   assign SAXIACP_bid		= S_BID[7];
   assign SAXIACP_buser		= S_BUSER[7];
   assign SAXIACP_bresp		= S_BRESP[7];

   assign SACEFPD_awready	= S_AWREADY[8];
   assign SACEFPD_arready	= S_ARREADY[8];
   assign SACEFPD_wready	= S_WREADY[8];

   assign SACEFPD_rvalid	= S_RVALID[8];
   assign SACEFPD_rlast		= S_RLAST[8];
   assign SACEFPD_ruser		= S_RUSER[8];
   assign SACEFPD_rid		= S_RID[8];
   assign SACEFPD_rdata		= S_RDATA[8];
   assign SACEFPD_rresp		= S_RRESP[8];

   assign SACEFPD_bvalid	= S_BVALID[8];
   assign SACEFPD_bid		= S_BID[8];
   assign SACEFPD_buser		= S_BUSER[8];
   assign SACEFPD_bresp		= S_BRESP[8];

   assign IFNOCPMCAXI0_awready	= S_AWREADY[9];
   assign IFNOCPMCAXI0_arready	= S_ARREADY[9];
   assign IFNOCPMCAXI0_wready	= S_WREADY[9];

   assign IFNOCPMCAXI0_rvalid	= S_RVALID[9];
   assign IFNOCPMCAXI0_rlast	= S_RLAST[9];
   assign IFNOCPMCAXI0_ruser	= S_RUSER[9];
   assign IFNOCPMCAXI0_rid	= S_RID[9];
   assign IFNOCPMCAXI0_rdata	= S_RDATA[9];
   assign IFNOCPMCAXI0_rresp	= S_RRESP[9];

   assign IFNOCPMCAXI0_bvalid	= S_BVALID[9];
   assign IFNOCPMCAXI0_bid	= S_BID[9];
   assign IFNOCPMCAXI0_buser	= S_BUSER[9];
   assign IFNOCPMCAXI0_bresp	= S_BRESP[9];

   assign IFNOCPSPCIAXI0_awready	= S_AWREADY[10];
   assign IFNOCPSPCIAXI0_arready	= S_ARREADY[10];
   assign IFNOCPSPCIAXI0_wready		= S_WREADY[10];

   assign IFNOCPSPCIAXI0_rvalid		= S_RVALID[10];
   assign IFNOCPSPCIAXI0_rlast		= S_RLAST[10];
   assign IFNOCPSPCIAXI0_ruser		= S_RUSER[10];
   assign IFNOCPSPCIAXI0_rid		= S_RID[10];
   assign IFNOCPSPCIAXI0_rdata		= S_RDATA[10];
   assign IFNOCPSPCIAXI0_rresp		= S_RRESP[10];

   assign IFNOCPSPCIAXI0_bvalid		= S_BVALID[10];
   assign IFNOCPSPCIAXI0_bid		= S_BID[10];
   assign IFNOCPSPCIAXI0_buser		= S_BUSER[10];
   assign IFNOCPSPCIAXI0_bresp		= S_BRESP[10];

   assign AFI_API_awready	= S_AWREADY[11];
   assign AFI_API_arready	= S_ARREADY[11];
   assign AFI_API_wready	= S_WREADY[11];

   assign AFI_API_rvalid	= S_RVALID[11];
   assign AFI_API_rlast		= S_RLAST[11];
   assign AFI_API_ruser		= S_RUSER[11];
   assign AFI_API_rid		= S_RID[11];
   assign AFI_API_rdata		= S_RDATA[11];
   assign AFI_API_rresp		= S_RRESP[11];

   assign AFI_API_bvalid	= S_BVALID[11];
   assign AFI_API_bid		= S_BID[11];
   assign AFI_API_buser		= S_BUSER[11];
   assign AFI_API_bresp		= S_BRESP[11];

   assign NOC_API_awready	= S_AWREADY[12];
   assign NOC_API_arready	= S_ARREADY[12];
   assign NOC_API_wready	= S_WREADY[12];

   assign NOC_API_rvalid	= S_RVALID[12];
   assign NOC_API_rlast		= S_RLAST[12];
   assign NOC_API_ruser		= S_RUSER[12];
   assign NOC_API_rid		= S_RID[12];
   assign NOC_API_rdata		= S_RDATA[12];
   assign NOC_API_rresp		= S_RRESP[12];

   assign NOC_API_bvalid	= S_BVALID[12];
   assign NOC_API_bid		= S_BID[12];
   assign NOC_API_buser		= S_BUSER[12];
   assign NOC_API_bresp		= S_BRESP[12];

   assign R5_API_awready	= S_AWREADY[13];
   assign R5_API_arready	= S_ARREADY[13];
   assign R5_API_wready		= S_WREADY[13];

   assign R5_API_rvalid		= S_RVALID[13];
   assign R5_API_rlast		= S_RLAST[13];
   assign R5_API_ruser		= S_RUSER[13];
   assign R5_API_rid		= S_RID[13];
   assign R5_API_rdata		= S_RDATA[13];
   assign R5_API_rresp		= S_RRESP[13];

   assign R5_API_bvalid		= S_BVALID[13];
   assign R5_API_bid		= S_BID[13];
   assign R5_API_buser		= S_BUSER[13];
   assign R5_API_bresp		= S_BRESP[13];

   assign IFCPMPSAXI0_awready	= S_AWREADY[14];
   assign IFCPMPSAXI0_arready	= S_ARREADY[14];
   assign IFCPMPSAXI0_wready	= S_WREADY[14];

   assign IFCPMPSAXI0_rvalid	= S_RVALID[14];
   assign IFCPMPSAXI0_rlast	= S_RLAST[14];
   assign IFCPMPSAXI0_ruser	= S_RUSER[14];
   assign IFCPMPSAXI0_rid	= S_RID[14];
   assign IFCPMPSAXI0_rdata	= S_RDATA[14];
   assign IFCPMPSAXI0_rresp	= S_RRESP[14];

   assign IFCPMPSAXI0_bvalid	= S_BVALID[14];
   assign IFCPMPSAXI0_bid	= S_BID[14];
   assign IFCPMPSAXI0_buser	= S_BUSER[14];
   assign IFCPMPSAXI0_bresp	= S_BRESP[14];
   
   assign IFCPMPSAXI1_awready	= S_AWREADY[15];
   assign IFCPMPSAXI1_arready	= S_ARREADY[15];
   assign IFCPMPSAXI1_wready	= S_WREADY[15];

   assign IFCPMPSAXI1_rvalid	= S_RVALID[15];
   assign IFCPMPSAXI1_rlast	= S_RLAST[15];
   assign IFCPMPSAXI1_ruser	= S_RUSER[15];
   assign IFCPMPSAXI1_rid	= S_RID[15];
   assign IFCPMPSAXI1_rdata	= S_RDATA[15];
   assign IFCPMPSAXI1_rresp	= S_RRESP[15];

   assign IFCPMPSAXI1_bvalid	= S_BVALID[15];
   assign IFCPMPSAXI1_bid	= S_BID[15];
   assign IFCPMPSAXI1_buser	= S_BUSER[15];
   assign IFCPMPSAXI1_bresp	= S_BRESP[15];

   assign IFPSNOCCCIAXI_awvalid		= 	M_AWVALID[0];
   assign IFPSNOCCCIAXI_awsize		=  	M_AWSIZE[0];
   assign IFPSNOCCCIAXI_awprot		=  	M_AWPROT[0];
   assign IFPSNOCCCIAXI_awqos		=   	M_AWQOS[0];
   //assign //IFPSNOCCCIAXI_awregion	=	M_AWREGION[0];
   assign IFPSNOCCCIAXI_awuser		=  	M_AWUSER[0];
   assign IFPSNOCCCIAXI_awcache		= 	M_AWCACHE[0];
   assign IFPSNOCCCIAXI_awlock		=  	M_AWLOCK[0];
   assign IFPSNOCCCIAXI_awlen		=   	M_AWLEN[0];
   assign IFPSNOCCCIAXI_awburst		= 	M_AWBURST[0];
   assign IFPSNOCCCIAXI_awid		=    	M_AWID[0];
   assign IFPSNOCCCIAXI_awaddr		=  	M_AWADDR[0];
   assign IFPSNOCCCIAXI_arvalid		= 	M_ARVALID[0];
   assign IFPSNOCCCIAXI_arsize		=  	M_ARSIZE[0];
   assign IFPSNOCCCIAXI_arprot		=  	M_ARPROT[0];
   assign IFPSNOCCCIAXI_arqos		=   	M_ARQOS[0];
   //assign //IFPSNOCCCIAXI_arregion	=	M_ARREGION[0];
   assign IFPSNOCCCIAXI_aruser		=  	M_ARUSER[0];
   assign IFPSNOCCCIAXI_arcache		= 	M_ARCACHE[0];
   assign IFPSNOCCCIAXI_arlock		=  	M_ARLOCK[0];
   assign IFPSNOCCCIAXI_arlen		=   	M_ARLEN[0];
   assign IFPSNOCCCIAXI_arburst		= 	M_ARBURST[0];
   assign IFPSNOCCCIAXI_arid		=    	M_ARID[0];
   assign IFPSNOCCCIAXI_araddr		=  	M_ARADDR[0];
   assign IFPSNOCCCIAXI_wuser		=   	M_WUSER[0];
   assign IFPSNOCCCIAXI_wstrb		=   	M_WSTRB[0];
   assign IFPSNOCCCIAXI_wlast		=   	M_WLAST[0];
   assign IFPSNOCCCIAXI_wdata		=   	M_WDATA[0];
   assign IFPSNOCCCIAXI_wvalid		=   	M_WVALID[0];
   assign IFPSNOCCCIAXI_wid		=    	M_WID[0];
   assign IFPSNOCCCIAXI_bready		=  	M_BREADY[0];
   assign IFPSNOCCCIAXI_bresp		=   	M_BRESP[0];
   assign IFPSNOCCCIAXI_rresp		=   	M_RRESP[0];
   assign IFPSNOCCCIAXI_rready		=  	M_RREADY[0];

   assign MAXIGP0_awvalid	= 	M_MUX_GP0_AWVALID;
   assign MAXIGP0_awsize	=  	M_MUX_GP0_AWSIZE;
   assign MAXIGP0_awprot	=  	M_MUX_GP0_AWPROT;
   assign MAXIGP0_awqos		=   	M_MUX_GP0_AWQOS;
   assign MAXIGP0_awuser	=  	M_MUX_GP0_AWUSER;
   assign MAXIGP0_awcache	= 	M_MUX_GP0_AWCACHE;
   assign MAXIGP0_awlock	=  	M_MUX_GP0_AWLOCK;
   assign MAXIGP0_awlen		=   	M_MUX_GP0_AWLEN;
   assign MAXIGP0_awburst	= 	M_MUX_GP0_AWBURST;
   assign MAXIGP0_awid		=    	M_MUX_GP0_AWID;
   assign MAXIGP0_awaddr	=  	M_MUX_GP0_AWADDR;
   assign MAXIGP0_arvalid	= 	M_MUX_GP0_ARVALID;
   assign MAXIGP0_arsize	=  	M_MUX_GP0_ARSIZE;
   assign MAXIGP0_arprot	=  	M_MUX_GP0_ARPROT;
   assign MAXIGP0_arqos		=   	M_MUX_GP0_ARQOS;
   assign MAXIGP0_aruser	=  	M_MUX_GP0_ARUSER;
   assign MAXIGP0_arcache	= 	M_MUX_GP0_ARCACHE;
   assign MAXIGP0_arlock	=  	M_MUX_GP0_ARLOCK;
   assign MAXIGP0_arlen		=   	M_MUX_GP0_ARLEN;
   assign MAXIGP0_arburst	= 	M_MUX_GP0_ARBURST;
   assign MAXIGP0_arid		=    	M_MUX_GP0_ARID;
   assign MAXIGP0_araddr	=  	M_MUX_GP0_ARADDR;
   assign MAXIGP0_wuser		=   	M_MUX_GP0_WUSER;
   assign MAXIGP0_wstrb		=   	M_MUX_GP0_WSTRB;
   assign MAXIGP0_wlast		=   	M_MUX_GP0_WLAST;
   assign MAXIGP0_wdata		=   	M_MUX_GP0_WDATA;
   assign MAXIGP0_wvalid	=   	M_MUX_GP0_WVALID;
   assign MAXIGP0_wid		=    	M_MUX_GP0_WID;
   assign MAXIGP0_bready	=  	M_MUX_GP0_BREADY;
//   assign MAXIGP0_bresp		=   	M_MUX_GP0_BRESP;
//   assign MAXIGP0_rresp		=   	M_MUX_GP0_RRESP;
   assign MAXIGP0_rready	=  	M_MUX_GP0_RREADY;

   assign MAXIGP2_awvalid	= 	M_MUX_GP2_AWVALID;
   assign MAXIGP2_awsize	=  	M_MUX_GP2_AWSIZE;
   assign MAXIGP2_awprot	=  	M_MUX_GP2_AWPROT;
   assign MAXIGP2_awqos		=   	M_MUX_GP2_AWQOS;
   assign MAXIGP2_awuser	=  	M_MUX_GP2_AWUSER;
   assign MAXIGP2_awcache	= 	M_MUX_GP2_AWCACHE;
   assign MAXIGP2_awlock	=  	M_MUX_GP2_AWLOCK;
   assign MAXIGP2_awlen		=   	M_MUX_GP2_AWLEN;
   assign MAXIGP2_awburst	= 	M_MUX_GP2_AWBURST;
   assign MAXIGP2_awid		=    	M_MUX_GP2_AWID;
   assign MAXIGP2_awaddr	=  	M_MUX_GP2_AWADDR;
   assign MAXIGP2_arvalid	= 	M_MUX_GP2_ARVALID;
   assign MAXIGP2_arsize	=  	M_MUX_GP2_ARSIZE;
   assign MAXIGP2_arprot	=  	M_MUX_GP2_ARPROT;
   assign MAXIGP2_arqos		=   	M_MUX_GP2_ARQOS;
   assign MAXIGP2_aruser	=  	M_MUX_GP2_ARUSER;
   assign MAXIGP2_arcache	= 	M_MUX_GP2_ARCACHE;
   assign MAXIGP2_arlock	=  	M_MUX_GP2_ARLOCK;
   assign MAXIGP2_arlen		=   	M_MUX_GP2_ARLEN;
   assign MAXIGP2_arburst	= 	M_MUX_GP2_ARBURST;
   assign MAXIGP2_arid		=    	M_MUX_GP2_ARID;
   assign MAXIGP2_araddr	=  	M_MUX_GP2_ARADDR;
   assign MAXIGP2_wuser		=   	M_MUX_GP2_WUSER;
   assign MAXIGP2_wstrb		=   	M_MUX_GP2_WSTRB;
   assign MAXIGP2_wlast		=   	M_MUX_GP2_WLAST;
   assign MAXIGP2_wdata		=   	M_MUX_GP2_WDATA;
   assign MAXIGP2_wvalid	=   	M_MUX_GP2_WVALID;
   assign MAXIGP2_wid		=    	M_MUX_GP2_WID;
   assign MAXIGP2_bready	=  	M_MUX_GP2_BREADY;
//   assign MAXIGP2_bresp		=   	M_MUX_GP2_BRESP;
//   assign MAXIGP2_rresp		=   	M_MUX_GP2_RRESP;
   assign MAXIGP2_rready	=  	M_MUX_GP2_RREADY;

   assign IFPSNOCNCIAXI0_awvalid	= 	M_AWVALID[3];
   assign IFPSNOCNCIAXI0_awsize		=  	M_AWSIZE[3];
   assign IFPSNOCNCIAXI0_awprot		=  	M_AWPROT[3];
   assign IFPSNOCNCIAXI0_awqos		=   	M_AWQOS[3];
   //assign //IFPSNOCNCIAXI0_awregion	=	M_AWREGION[3];
   assign IFPSNOCNCIAXI0_awuser		=  	M_AWUSER[3];
   assign IFPSNOCNCIAXI0_awcache	= 	M_AWCACHE[3];
   assign IFPSNOCNCIAXI0_awlock		=  	M_AWLOCK[3];
   assign IFPSNOCNCIAXI0_awlen		=   	M_AWLEN[3];
   assign IFPSNOCNCIAXI0_awburst	= 	M_AWBURST[3];
   assign IFPSNOCNCIAXI0_awid		=    	M_AWID[3];
   assign IFPSNOCNCIAXI0_awaddr		=  	M_AWADDR[3];
   assign IFPSNOCNCIAXI0_arvalid	= 	M_ARVALID[3];
   assign IFPSNOCNCIAXI0_arsize		=  	M_ARSIZE[3];
   assign IFPSNOCNCIAXI0_arprot		=  	M_ARPROT[3];
   assign IFPSNOCNCIAXI0_arqos		=   	M_ARQOS[3];
   //assign //IFPSNOCNCIAXI0_arregion	=	M_ARREGION[3];
   assign IFPSNOCNCIAXI0_aruser		=  	M_ARUSER[3];
   assign IFPSNOCNCIAXI0_arcache	= 	M_ARCACHE[3];
   assign IFPSNOCNCIAXI0_arlock		=  	M_ARLOCK[3];
   assign IFPSNOCNCIAXI0_arlen		=   	M_ARLEN[3];
   assign IFPSNOCNCIAXI0_arburst	= 	M_ARBURST[3];
   assign IFPSNOCNCIAXI0_arid		=    	M_ARID[3];
   assign IFPSNOCNCIAXI0_araddr		=  	M_ARADDR[3];
   assign IFPSNOCNCIAXI0_wuser		=   	M_WUSER[3];
   assign IFPSNOCNCIAXI0_wstrb		=   	M_WSTRB[3];
   assign IFPSNOCNCIAXI0_wlast		=   	M_WLAST[3];
   assign IFPSNOCNCIAXI0_wdata		=   	M_WDATA[3];
   assign IFPSNOCNCIAXI0_wvalid		=   	M_WVALID[3];
   assign IFPSNOCNCIAXI0_wid		=    	M_WID[3];
   assign IFPSNOCNCIAXI0_bready		=  	M_BREADY[3];
   assign IFPSNOCNCIAXI0_bresp		=   	M_BRESP[3];
   assign IFPSNOCNCIAXI0_rresp		=   	M_RRESP[3];
   assign IFPSNOCNCIAXI0_rready		=  	M_RREADY[3];

   assign IFPSNOCNCIAXI1_awvalid	= 	M_AWVALID[4];
   assign IFPSNOCNCIAXI1_awsize		=  	M_AWSIZE[4];
   assign IFPSNOCNCIAXI1_awprot		=  	M_AWPROT[4];
   assign IFPSNOCNCIAXI1_awqos		=   	M_AWQOS[4];
   //assign //IFPSNOCNCIAXI1_awregion	=	M_AWREGION[4];
   assign IFPSNOCNCIAXI1_awuser		=  	M_AWUSER[4];
   assign IFPSNOCNCIAXI1_awcache	= 	M_AWCACHE[4];
   assign IFPSNOCNCIAXI1_awlock		=  	M_AWLOCK[4];
   assign IFPSNOCNCIAXI1_awlen		=   	M_AWLEN[4];
   assign IFPSNOCNCIAXI1_awburst	= 	M_AWBURST[4];
   assign IFPSNOCNCIAXI1_awid		=    	M_AWID[4];
   assign IFPSNOCNCIAXI1_awaddr		=  	M_AWADDR[4];
   assign IFPSNOCNCIAXI1_arvalid	= 	M_ARVALID[4];
   assign IFPSNOCNCIAXI1_arsize		=  	M_ARSIZE[4];
   assign IFPSNOCNCIAXI1_arprot		=  	M_ARPROT[4];
   assign IFPSNOCNCIAXI1_arqos		=   	M_ARQOS[4];
   //assign //IFPSNOCNCIAXI1_arregion	=	M_ARREGION[4];
   assign IFPSNOCNCIAXI1_aruser		=  	M_ARUSER[4];
   assign IFPSNOCNCIAXI1_arcache	= 	M_ARCACHE[4];
   assign IFPSNOCNCIAXI1_arlock		=  	M_ARLOCK[4];
   assign IFPSNOCNCIAXI1_arlen		=   	M_ARLEN[4];
   assign IFPSNOCNCIAXI1_arburst	= 	M_ARBURST[4];
   assign IFPSNOCNCIAXI1_arid		=    	M_ARID[4];
   assign IFPSNOCNCIAXI1_araddr		=  	M_ARADDR[4];
   assign IFPSNOCNCIAXI1_wuser		=   	M_WUSER[4];
   assign IFPSNOCNCIAXI1_wstrb		=   	M_WSTRB[4];
   assign IFPSNOCNCIAXI1_wlast		=   	M_WLAST[4];
   assign IFPSNOCNCIAXI1_wdata		=   	M_WDATA[4];
   assign IFPSNOCNCIAXI1_wvalid		=   	M_WVALID[4];
   assign IFPSNOCNCIAXI1_wid		=    	M_WID[4];
   assign IFPSNOCNCIAXI1_bready		=  	M_BREADY[4];
   assign IFPSNOCNCIAXI1_bresp		=   	M_BRESP[4];
   assign IFPSNOCNCIAXI1_rresp		=   	M_RRESP[4];
   assign IFPSNOCNCIAXI1_rready		=  	M_RREADY[4];

   assign IFPSNOCPCIAXI0_awvalid	= 	M_AWVALID[5];
   assign IFPSNOCPCIAXI0_awsize		=  	M_AWSIZE[5];
   assign IFPSNOCPCIAXI0_awprot		=  	M_AWPROT[5];
   assign IFPSNOCPCIAXI0_awqos		=   	M_AWQOS[5];
   //assign //IFPSNOCPCIAXI0_awregion	=	M_AWREGION[5];
   assign IFPSNOCPCIAXI0_awuser		=  	M_AWUSER[5];
   assign IFPSNOCPCIAXI0_awcache	= 	M_AWCACHE[5];
   assign IFPSNOCPCIAXI0_awlock		=  	M_AWLOCK[5];
   assign IFPSNOCPCIAXI0_awlen		=   	M_AWLEN[5];
   assign IFPSNOCPCIAXI0_awburst	= 	M_AWBURST[5];
   assign IFPSNOCPCIAXI0_awid		=    	M_AWID[5];
   assign IFPSNOCPCIAXI0_awaddr		=  	M_AWADDR[5];
   assign IFPSNOCPCIAXI0_arvalid	= 	M_ARVALID[5];
   assign IFPSNOCPCIAXI0_arsize		=  	M_ARSIZE[5];
   assign IFPSNOCPCIAXI0_arprot		=  	M_ARPROT[5];
   assign IFPSNOCPCIAXI0_arqos		=   	M_ARQOS[5];
   //assign //IFPSNOCPCIAXI0_arregion	=	M_ARREGION[5];
   assign IFPSNOCPCIAXI0_aruser		=  	M_ARUSER[5];
   assign IFPSNOCPCIAXI0_arcache	= 	M_ARCACHE[5];
   assign IFPSNOCPCIAXI0_arlock		=  	M_ARLOCK[5];
   assign IFPSNOCPCIAXI0_arlen		=   	M_ARLEN[5];
   assign IFPSNOCPCIAXI0_arburst	= 	M_ARBURST[5];
   assign IFPSNOCPCIAXI0_arid		=    	M_ARID[5];
   assign IFPSNOCPCIAXI0_araddr		=  	M_ARADDR[5];
   assign IFPSNOCPCIAXI0_wuser		=   	M_WUSER[5];
   assign IFPSNOCPCIAXI0_wstrb		=   	M_WSTRB[5];
   assign IFPSNOCPCIAXI0_wlast		=   	M_WLAST[5];
   assign IFPSNOCPCIAXI0_wdata		=   	M_WDATA[5];
   assign IFPSNOCPCIAXI0_wvalid		=   	M_WVALID[5];
   assign IFPSNOCPCIAXI0_wid		=    	M_WID[5];
   assign IFPSNOCPCIAXI0_bready		=  	M_BREADY[5];
   //assign IFPSNOCPCIAXI0_bresp		=   	M_BRESP[5];
   assign IFPSNOCPCIAXI0_rresp		=   	M_RRESP[5];
   assign IFPSNOCPCIAXI0_rready		=  	M_RREADY[5];

   assign IFPSNOCPCIAXI1_awvalid	= 	M_AWVALID[6];
   assign IFPSNOCPCIAXI1_awsize		=  	M_AWSIZE[6];
   assign IFPSNOCPCIAXI1_awprot		=  	M_AWPROT[6];
   assign IFPSNOCPCIAXI1_awqos		=   	M_AWQOS[6];
   //assign //IFPSNOCPCIAXI1_awregion	=	M_AWREGION[6];
   assign IFPSNOCPCIAXI1_awuser		=  	M_AWUSER[6];
   assign IFPSNOCPCIAXI1_awcache	= 	M_AWCACHE[6];
   assign IFPSNOCPCIAXI1_awlock		=  	M_AWLOCK[6];
   assign IFPSNOCPCIAXI1_awlen		=   	M_AWLEN[6];
   assign IFPSNOCPCIAXI1_awburst	= 	M_AWBURST[6];
   assign IFPSNOCPCIAXI1_awid		=    	M_AWID[6];
   assign IFPSNOCPCIAXI1_awaddr		=  	M_AWADDR[6];
   assign IFPSNOCPCIAXI1_arvalid	= 	M_ARVALID[6];
   assign IFPSNOCPCIAXI1_arsize		=  	M_ARSIZE[6];
   assign IFPSNOCPCIAXI1_arprot		=  	M_ARPROT[6];
   assign IFPSNOCPCIAXI1_arqos		=   	M_ARQOS[6];
   //assign //IFPSNOCPCIAXI1_arregion	=	M_ARREGION[6];
   assign IFPSNOCPCIAXI1_aruser		=  	M_ARUSER[6];
   assign IFPSNOCPCIAXI1_arcache	= 	M_ARCACHE[6];
   assign IFPSNOCPCIAXI1_arlock		=  	M_ARLOCK[6];
   assign IFPSNOCPCIAXI1_arlen		=   	M_ARLEN[6];
   assign IFPSNOCPCIAXI1_arburst	= 	M_ARBURST[6];
   assign IFPSNOCPCIAXI1_arid		=    	M_ARID[6];
   assign IFPSNOCPCIAXI1_araddr		=  	M_ARADDR[6];
   assign IFPSNOCPCIAXI1_wuser		=   	M_WUSER[6];
   assign IFPSNOCPCIAXI1_wstrb		=   	M_WSTRB[6];
   assign IFPSNOCPCIAXI1_wlast		=   	M_WLAST[6];
   assign IFPSNOCPCIAXI1_wdata		=   	M_WDATA[6];
   assign IFPSNOCPCIAXI1_wvalid		=   	M_WVALID[6];
   assign IFPSNOCPCIAXI1_wid		=    	M_WID[6];
   assign IFPSNOCPCIAXI1_bready		=  	M_BREADY[6];
   assign IFPSNOCPCIAXI1_bresp		=   	M_BRESP[6];
   assign IFPSNOCPCIAXI1_rresp		=   	M_RRESP[6];
   assign IFPSNOCPCIAXI1_rready		=  	M_RREADY[6];
   assign IFPMCNOCAXI0_awvalid		= 	M_AWVALID[7];
   assign IFPMCNOCAXI0_awsize		=  	M_AWSIZE[7];
   assign IFPMCNOCAXI0_awprot		=  	M_AWPROT[7];
   assign IFPMCNOCAXI0_awqos		=   	M_AWQOS[7];
   //assign //IFPMCNOCAXI0_awregion=	M_AWREGION[7];
   assign IFPMCNOCAXI0_awuser	=  	M_AWUSER[7];
   assign IFPMCNOCAXI0_awcache	= 	M_AWCACHE[7];
   assign IFPMCNOCAXI0_awlock	=  	M_AWLOCK[7];
   assign IFPMCNOCAXI0_awlen	=   	M_AWLEN[7];
   assign IFPMCNOCAXI0_awburst	= 	M_AWBURST[7];
   assign IFPMCNOCAXI0_awid	=    	M_AWID[7];
   assign IFPMCNOCAXI0_awaddr	=  	M_AWADDR[7];
   assign IFPMCNOCAXI0_arvalid	= 	M_ARVALID[7];
   assign IFPMCNOCAXI0_arsize	=  	M_ARSIZE[7];
   assign IFPMCNOCAXI0_arprot	=  	M_ARPROT[7];
   assign IFPMCNOCAXI0_arqos	=   	M_ARQOS[7];
   //assign //IFPMCNOCAXI0_arregion=	M_ARREGION[7];
   assign IFPMCNOCAXI0_aruser	=  	M_ARUSER[7];
   assign IFPMCNOCAXI0_arcache	= 	M_ARCACHE[7];
   assign IFPMCNOCAXI0_arlock	=  	M_ARLOCK[7];
   assign IFPMCNOCAXI0_arlen	=   	M_ARLEN[7];
   assign IFPMCNOCAXI0_arburst	= 	M_ARBURST[7];
   assign IFPMCNOCAXI0_arid	=    	M_ARID[7];
   assign IFPMCNOCAXI0_araddr	=  	M_ARADDR[7];
   assign IFPMCNOCAXI0_wuser	=   	M_WUSER[7];
   assign IFPMCNOCAXI0_wstrb	=   	M_WSTRB[7];
   assign IFPMCNOCAXI0_wlast	=   	M_WLAST[7];
   assign IFPMCNOCAXI0_wdata	=   	M_WDATA[7];
   assign IFPMCNOCAXI0_wvalid	=   	M_WVALID[7];
   assign IFPMCNOCAXI0_wid	=   	M_WID[7];
   assign IFPMCNOCAXI0_bready	=  	M_BREADY[7];
   assign IFPMCNOCAXI0_bresp	=   	M_BRESP[7];
   assign IFPMCNOCAXI0_rresp	=   	M_RRESP[7];
   assign IFPMCNOCAXI0_rready	=  	M_RREADY[7];

   assign IFPSNOCRPUAXI0_awvalid	= 	M_AWVALID[8];
   assign IFPSNOCRPUAXI0_awsize		=  	M_AWSIZE[8];
   assign IFPSNOCRPUAXI0_awprot		=  	M_AWPROT[8];
   assign IFPSNOCRPUAXI0_awqos		=   	M_AWQOS[8];
   //assign //IFPSNOCRPUAXI0_awregion	=	M_AWREGION[8];
   assign IFPSNOCRPUAXI0_awuser		=  	M_AWUSER[8];
   assign IFPSNOCRPUAXI0_awcache	= 	M_AWCACHE[8];
   assign IFPSNOCRPUAXI0_awlock		=  	M_AWLOCK[8];
   assign IFPSNOCRPUAXI0_awlen		=   	M_AWLEN[8];
   assign IFPSNOCRPUAXI0_awburst	= 	M_AWBURST[8];
   assign IFPSNOCRPUAXI0_awid		=    	M_AWID[8];
   assign IFPSNOCRPUAXI0_awaddr		=  	M_AWADDR[8];
   assign IFPSNOCRPUAXI0_arvalid	= 	M_ARVALID[8];
   assign IFPSNOCRPUAXI0_arsize		=  	M_ARSIZE[8];
   assign IFPSNOCRPUAXI0_arprot		=  	M_ARPROT[8];
   assign IFPSNOCRPUAXI0_arqos		=   	M_ARQOS[8];
   //assign //IFPSNOCRPUAXI0_arregion	=	M_ARREGION[8];
   assign IFPSNOCRPUAXI0_aruser		=  	M_ARUSER[8];
   assign IFPSNOCRPUAXI0_arcache	= 	M_ARCACHE[8];
   assign IFPSNOCRPUAXI0_arlock		=  	M_ARLOCK[8];
   assign IFPSNOCRPUAXI0_arlen		=   	M_ARLEN[8];
   assign IFPSNOCRPUAXI0_arburst	= 	M_ARBURST[8];
   assign IFPSNOCRPUAXI0_arid		=    	M_ARID[8];
   assign IFPSNOCRPUAXI0_araddr		=  	M_ARADDR[8];
   assign IFPSNOCRPUAXI0_wuser		=   	M_WUSER[8];
   assign IFPSNOCRPUAXI0_wstrb		=   	M_WSTRB[8];
   assign IFPSNOCRPUAXI0_wlast		=   	M_WLAST[8];
   assign IFPSNOCRPUAXI0_wdata		=   	M_WDATA[8];
   assign IFPSNOCRPUAXI0_wvalid		=   	M_WVALID[8];
   assign IFPSNOCRPUAXI0_wid		=    	M_WID[8];
   assign IFPSNOCRPUAXI0_bready		=  	M_BREADY[8];
   assign IFPSNOCRPUAXI0_bresp		=   	M_BRESP[8];
   assign IFPSNOCRPUAXI0_rresp		=   	M_RRESP[8];
   assign IFPSNOCRPUAXI0_rready		=  	M_RREADY[8];

   assign IFPSCPMPCIEAXI_awvalid	= 	M_AWVALID[9];
   assign IFPSCPMPCIEAXI_awsize		=  	M_AWSIZE[9];
   assign IFPSCPMPCIEAXI_awprot		=  	M_AWPROT[9];
   assign IFPSCPMPCIEAXI_awqos		=   	M_AWQOS[9];
   //assign //IFPSCPMPCIEAXI_awregion	=	M_AWREGION[9];
   assign IFPSCPMPCIEAXI_awuser		=  	M_AWUSER[9];
   assign IFPSCPMPCIEAXI_awcache	= 	M_AWCACHE[9];
   assign IFPSCPMPCIEAXI_awlock		=  	M_AWLOCK[9];
   assign IFPSCPMPCIEAXI_awlen		=   	M_AWLEN[9];
   assign IFPSCPMPCIEAXI_awburst	= 	M_AWBURST[9];
   assign IFPSCPMPCIEAXI_awid		=    	M_AWID[9];
   assign IFPSCPMPCIEAXI_awaddr		=  	M_AWADDR[9];
       assign IFPSCPMPCIEAXI_arvalid	= 	M_ARVALID[9];
   assign IFPSCPMPCIEAXI_arsize		=  	M_ARSIZE[9];
   assign IFPSCPMPCIEAXI_arprot		=  	M_ARPROT[9];
   assign IFPSCPMPCIEAXI_arqos		=   	M_ARQOS[9];
   //assign //IFPSCPMPCIEAXI_arregion	=	M_ARREGION[9];
   assign IFPSCPMPCIEAXI_aruser		=  	M_ARUSER[9];
   assign IFPSCPMPCIEAXI_arcache	= 	M_ARCACHE[9];
   assign IFPSCPMPCIEAXI_arlock		=  	M_ARLOCK[9];
   assign IFPSCPMPCIEAXI_arlen		=   	M_ARLEN[9];
   assign IFPSCPMPCIEAXI_arburst	= 	M_ARBURST[9];
   assign IFPSCPMPCIEAXI_arid		=    	M_ARID[9];
   assign IFPSCPMPCIEAXI_araddr		=  	M_ARADDR[9];
   assign IFPSCPMPCIEAXI_wuser		=   	M_WUSER[9];
   assign IFPSCPMPCIEAXI_wstrb		=   	M_WSTRB[9];
   assign IFPSCPMPCIEAXI_wlast		=   	M_WLAST[9];
   assign IFPSCPMPCIEAXI_wdata		=   	M_WDATA[9];
   assign IFPSCPMPCIEAXI_wvalid		=   	M_WVALID[9];
   assign IFPSCPMPCIEAXI_wid		=    	M_WID[9];
   assign IFPSCPMPCIEAXI_bready		=  	M_BREADY[9];
   assign IFPSCPMPCIEAXI_bresp		=   	M_BRESP[9];
   assign IFPSCPMPCIEAXI_rresp		=   	M_RRESP[9];
   assign IFPSCPMPCIEAXI_rready		=  	M_RREADY[9];

   assign w_SMARTCONNECT6INMUX_awvalid	= 	M_AWVALID[10];
   assign w_SMARTCONNECT6INMUX_awsize	=  	M_AWSIZE[10];
   assign w_SMARTCONNECT6INMUX_awprot	=  	M_AWPROT[10];
   assign w_SMARTCONNECT6INMUX_awqos	=   	M_AWQOS[10];
   ////SMARTCONNECT6INMUX_awregion	=	M_AWREGION[10];
   assign w_SMARTCONNECT6INMUX_awuser	=  	M_AWUSER[10];
   assign w_SMARTCONNECT6INMUX_awcache	= 	M_AWCACHE[10];
   assign w_SMARTCONNECT6INMUX_awlock	=  	M_AWLOCK[10];
   assign w_SMARTCONNECT6INMUX_awlen	=   	M_AWLEN[10];
   assign w_SMARTCONNECT6INMUX_awburst	= 	M_AWBURST[10];
   assign w_SMARTCONNECT6INMUX_awid	=    	M_AWID[10];
   assign w_SMARTCONNECT6INMUX_awaddr	=  	M_AWADDR[10];
   assign w_SMARTCONNECT6INMUX_arvalid	= 	M_ARVALID[10];
   assign w_SMARTCONNECT6INMUX_arsize	=  	M_ARSIZE[10];
   assign w_SMARTCONNECT6INMUX_arprot	=  	M_ARPROT[10];
   assign w_SMARTCONNECT6INMUX_arqos	=   	M_ARQOS[10];
   ////SMARTCONNECT6INMUX_arregion	=	M_ARREGION[10];
   assign w_SMARTCONNECT6INMUX_aruser	=  	M_ARUSER[10];
   assign w_SMARTCONNECT6INMUX_arcache	= 	M_ARCACHE[10];
   assign w_SMARTCONNECT6INMUX_arlock	=  	M_ARLOCK[10];
   assign w_SMARTCONNECT6INMUX_arlen	=   	M_ARLEN[10];
   assign w_SMARTCONNECT6INMUX_arburst	= 	M_ARBURST[10];
   assign SMARTCONNECT6INMUX_arid	=    	M_ARID[10];
   assign w_SMARTCONNECT6INMUX_araddr	=  	M_ARADDR[10];
   assign w_SMARTCONNECT6INMUX_wuser	=   	M_WUSER[10];
   assign w_SMARTCONNECT6INMUX_wstrb	=   	M_WSTRB[10];
   assign w_SMARTCONNECT6INMUX_wlast	=   	M_WLAST[10];
   assign w_SMARTCONNECT6INMUX_wdata	=   	M_WDATA[10];
   assign w_SMARTCONNECT6INMUX_wvalid	=   	M_WVALID[10];
   assign w_SMARTCONNECT6INMUX_wid	=    	M_WID[10];
   assign w_SMARTCONNECT6INMUX_bready	=  	M_BREADY[10];
   assign w_SMARTCONNECT6INMUX_bresp	=   	M_BRESP[10];
   assign w_SMARTCONNECT6INMUX_rresp	=   	M_RRESP[10];
   assign w_SMARTCONNECT6INMUX_rready	=  	M_RREADY[10];

   assign w_S00_AXI_0_awvalid	= 	M_AWVALID[11];
   assign w_S00_AXI_0_awsize	=  	M_AWSIZE[11];
   assign w_S00_AXI_0_awprot	=  	M_AWPROT[11];
   assign w_S00_AXI_0_awqos	=   	M_AWQOS[11];
   assign w_S00_AXI_0_awuser	=  	M_AWUSER[11];
   assign w_S00_AXI_0_awcache	= 	M_AWCACHE[11];
   assign w_S00_AXI_0_awlock	=  	M_AWLOCK[11];
   assign w_S00_AXI_0_awlen	=   	M_AWLEN[11];
   assign w_S00_AXI_0_awburst	= 	M_AWBURST[11];
   assign w_S00_AXI_0_awid	=    	M_AWID[11];
   assign w_S00_AXI_0_awaddr	=  	M_AWADDR[11];
   assign w_S00_AXI_0_arvalid	= 	M_ARVALID[11];
   assign w_S00_AXI_0_arsize	=  	M_ARSIZE[11];
   assign w_S00_AXI_0_arprot	=  	M_ARPROT[11];
   assign w_S00_AXI_0_arqos	=   	M_ARQOS[11];
   assign w_S00_AXI_0_aruser	=  	M_ARUSER[11];
   assign w_S00_AXI_0_arcache	= 	M_ARCACHE[11];
   assign w_S00_AXI_0_arlock	=  	M_ARLOCK[11];
   assign w_S00_AXI_0_arlen	=   	M_ARLEN[11];
   assign w_S00_AXI_0_arburst	= 	M_ARBURST[11];
   assign w_S00_AXI_0_arid	=    	M_ARID[11];
   assign w_S00_AXI_0_araddr	=  	M_ARADDR[11];
   assign w_S00_AXI_0_wuser	=   	M_WUSER[11];
   assign w_S00_AXI_0_wstrb	=   	M_WSTRB[11];
   assign w_S00_AXI_0_wlast	=   	M_WLAST[11];
   assign w_S00_AXI_0_wdata	=   	M_WDATA[11];
   assign w_S00_AXI_0_wvalid	=   	M_WVALID[11];
   assign w_S00_AXI_0_wid	=    	M_WID[11];
   assign w_S00_AXI_0_bready	=  	M_BREADY[11];
   assign w_S00_AXI_0_bresp	=   	M_BRESP[11];
   assign w_S00_AXI_0_rresp	=   	M_RRESP[11];
   assign w_S00_AXI_0_rready	=  	M_RREADY[11];

   assign IFPSOCM2AXIAWVALID	= 	M_AWVALID[12];
   assign IFPSOCM2AXIAWSIZE	=  	M_AWSIZE[12];
   assign IFPSOCM2AXIAWPROT	=  	M_AWPROT[12];
   assign IFPSOCM2AXIAWQOS	=   	M_AWQOS[12];
   assign IFPSOCM2AXIAWUSER	=  	M_AWUSER[12];
   assign IFPSOCM2AXIAWCACHE	= 	M_AWCACHE[12];
   assign IFPSOCM2AXIAWLOCK	=  	M_AWLOCK[12];
   assign IFPSOCM2AXIAWLEN	=   	M_AWLEN[12];
   assign IFPSOCM2AXIAWBURST	= 	M_AWBURST[12];
   assign IFPSOCM2AXIAWID	=    	M_AWID[12];
   assign IFPSOCM2AXIAWADDR	=  	M_AWADDR[12];
   assign IFPSOCM2AXIARVALID	= 	M_ARVALID[12];
   assign IFPSOCM2AXIARSIZE	=  	M_ARSIZE[12];
   assign IFPSOCM2AXIARPROT	=  	M_ARPROT[12];
   assign IFPSOCM2AXIARQOS	=   	M_ARQOS[12];
   assign IFPSOCM2AXIARUSER	=  	M_ARUSER[12];
   assign IFPSOCM2AXIARCACHE	= 	M_ARCACHE[12];
   assign IFPSOCM2AXIARLOCK	=  	M_ARLOCK[12];
   assign IFPSOCM2AXIARLEN	=   	M_ARLEN[12];
   assign IFPSOCM2AXIARBURST	= 	M_ARBURST[12];
   assign IFPSOCM2AXIARID	=    	M_ARID[12];
   assign IFPSOCM2AXIARADDR	=  	M_ARADDR[12];
   assign IFPSOCM2AXIWUSER	=   	M_WUSER[12];
   assign IFPSOCM2AXIWSTRB	=   	M_WSTRB[12];
   assign IFPSOCM2AXIWLAST	=   	M_WLAST[12];
   assign IFPSOCM2AXIWDATA	=   	M_WDATA[12];
   assign IFPSOCM2AXIWVALID	=   	M_WVALID[12];
   assign IFPSOCM2AXIWID	=    	M_WID[12];
   assign IFPSOCM2AXIBREADY	=  	M_BREADY[12];
   assign IFPSOCM2AXIBRESP	=   	M_BRESP[12];
   assign IFPSOCM2AXIRRESP	=   	M_RRESP[12];
   assign IFPSOCM2AXIRREADY	=  	M_RREADY[12];

   // GP0 - 64bit demux
   assign w_dmux_PSPLFPD128X64_awvalid	= 	M_DMUX_GP0_AWVALID[1];
   assign w_dmux_PSPLFPD128X64_awsize	=  	M_DMUX_GP0_AWSIZE[1];
   assign w_dmux_PSPLFPD128X64_awprot	=  	M_DMUX_GP0_AWPROT[1];
   assign w_dmux_PSPLFPD128X64_awqos	=   	M_DMUX_GP0_AWQOS[1];
   assign w_dmux_PSPLFPD128X64_awuser	=  	M_DMUX_GP0_AWUSER[1];
   assign w_dmux_PSPLFPD128X64_awcache	= 	M_DMUX_GP0_AWCACHE[1];
   assign w_dmux_PSPLFPD128X64_awlock	=  	M_DMUX_GP0_AWLOCK[1];
   assign w_dmux_PSPLFPD128X64_awlen	=   	M_DMUX_GP0_AWLEN[1];
   assign w_dmux_PSPLFPD128X64_awburst	= 	M_DMUX_GP0_AWBURST[1];
   assign w_dmux_PSPLFPD128X64_awid	=    	M_DMUX_GP0_AWID[1];
   assign w_dmux_PSPLFPD128X64_awaddr	=  	M_DMUX_GP0_AWADDR[1];
   assign w_dmux_PSPLFPD128X64_arvalid	= 	M_DMUX_GP0_ARVALID[1];
   assign w_dmux_PSPLFPD128X64_arsize	=  	M_DMUX_GP0_ARSIZE[1];
   assign w_dmux_PSPLFPD128X64_arprot	=  	M_DMUX_GP0_ARPROT[1];
   assign w_dmux_PSPLFPD128X64_arqos	=   	M_DMUX_GP0_ARQOS[1];
   assign w_dmux_PSPLFPD128X64_aruser	=  	M_DMUX_GP0_ARUSER[1];
   assign w_dmux_PSPLFPD128X64_arcache	= 	M_DMUX_GP0_ARCACHE[1];
   assign w_dmux_PSPLFPD128X64_arlock	=  	M_DMUX_GP0_ARLOCK[1];
   assign w_dmux_PSPLFPD128X64_arlen	=   	M_DMUX_GP0_ARLEN[1];
   assign w_dmux_PSPLFPD128X64_arburst	= 	M_DMUX_GP0_ARBURST[1];
   assign w_dmux_PSPLFPD128X64_arid	=    	M_DMUX_GP0_ARID[1];
   assign w_dmux_PSPLFPD128X64_araddr	=  	M_DMUX_GP0_ARADDR[1];
   assign w_dmux_PSPLFPD128X64_wuser	=   	M_DMUX_GP0_WUSER[1];
   assign w_dmux_PSPLFPD128X64_wstrb	=   	M_DMUX_GP0_WSTRB[1];
   assign w_dmux_PSPLFPD128X64_wlast	=   	M_DMUX_GP0_WLAST[1];
   assign w_dmux_PSPLFPD128X64_wdata	=   	M_DMUX_GP0_WDATA[1];
   assign w_dmux_PSPLFPD128X64_wvalid	=   	M_DMUX_GP0_WVALID[1];
   assign w_dmux_PSPLFPD128X64_wid	=    	M_DMUX_GP0_WID[1];
   assign w_dmux_PSPLFPD128X64_bready	=  	M_DMUX_GP0_BREADY[1];
   assign w_dmux_PSPLFPD128X64_bresp	=   	M_DMUX_GP0_BRESP[1];
   assign w_dmux_PSPLFPD128X64_rresp	=   	M_DMUX_GP0_RRESP[1];
   assign w_dmux_PSPLFPD128X64_rready	=  	M_DMUX_GP0_RREADY[1];

   // GP0 - 32bit demux
   assign w_dmux_PSPLFPD128X32_awvalid	= 	M_DMUX_GP0_AWVALID[0];
   assign w_dmux_PSPLFPD128X32_awsize	=  	M_DMUX_GP0_AWSIZE[0];
   assign w_dmux_PSPLFPD128X32_awprot	=  	M_DMUX_GP0_AWPROT[0];
   assign w_dmux_PSPLFPD128X32_awqos	=   	M_DMUX_GP0_AWQOS[0];
   assign w_dmux_PSPLFPD128X32_awuser	=  	M_DMUX_GP0_AWUSER[0];
   assign w_dmux_PSPLFPD128X32_awcache	= 	M_DMUX_GP0_AWCACHE[0];
   assign w_dmux_PSPLFPD128X32_awlock	=  	M_DMUX_GP0_AWLOCK[0];
   assign w_dmux_PSPLFPD128X32_awlen	=   	M_DMUX_GP0_AWLEN[0];
   assign w_dmux_PSPLFPD128X32_awburst	= 	M_DMUX_GP0_AWBURST[0];
   assign w_dmux_PSPLFPD128X32_awid	=    	M_DMUX_GP0_AWID[0];
   assign w_dmux_PSPLFPD128X32_awaddr	=  	M_DMUX_GP0_AWADDR[0];
   assign w_dmux_PSPLFPD128X32_arvalid	= 	M_DMUX_GP0_ARVALID[0];
   assign w_dmux_PSPLFPD128X32_arsize	=  	M_DMUX_GP0_ARSIZE[0];
   assign w_dmux_PSPLFPD128X32_arprot	=  	M_DMUX_GP0_ARPROT[0];
   assign w_dmux_PSPLFPD128X32_arqos	=   	M_DMUX_GP0_ARQOS[0];
   assign w_dmux_PSPLFPD128X32_aruser	=  	M_DMUX_GP0_ARUSER[0];
   assign w_dmux_PSPLFPD128X32_arcache	= 	M_DMUX_GP0_ARCACHE[0];
   assign w_dmux_PSPLFPD128X32_arlock	=  	M_DMUX_GP0_ARLOCK[0];
   assign w_dmux_PSPLFPD128X32_arlen	=   	M_DMUX_GP0_ARLEN[0];
   assign w_dmux_PSPLFPD128X32_arburst	= 	M_DMUX_GP0_ARBURST[0];
   assign w_dmux_PSPLFPD128X32_arid	=    	M_DMUX_GP0_ARID[0];
   assign w_dmux_PSPLFPD128X32_araddr	=  	M_DMUX_GP0_ARADDR[0];
   assign w_dmux_PSPLFPD128X32_wuser	=   	M_DMUX_GP0_WUSER[0];
   assign w_dmux_PSPLFPD128X32_wstrb	=   	M_DMUX_GP0_WSTRB[0];
   assign w_dmux_PSPLFPD128X32_wlast	=   	M_DMUX_GP0_WLAST[0];
   assign w_dmux_PSPLFPD128X32_wdata	=   	M_DMUX_GP0_WDATA[0];
   assign w_dmux_PSPLFPD128X32_wvalid	=   	M_DMUX_GP0_WVALID[0];
   assign w_dmux_PSPLFPD128X32_wid	=    	M_DMUX_GP0_WID[0];
   assign w_dmux_PSPLFPD128X32_bready	=  	M_DMUX_GP0_BREADY[0];
   assign w_dmux_PSPLFPD128X32_bresp	=   	M_DMUX_GP0_BRESP[0];
   assign w_dmux_PSPLFPD128X32_rresp	=   	M_DMUX_GP0_RRESP[0];
   assign w_dmux_PSPLFPD128X32_rready	=  	M_DMUX_GP0_RREADY[0];

   // GP2 - 64bit demux
   assign w_dmux_PSPLLPD128X64_awvalid	= 	M_DMUX_GP2_AWVALID[1];
   assign w_dmux_PSPLLPD128X64_awsize	=  	M_DMUX_GP2_AWSIZE[1];
   assign w_dmux_PSPLLPD128X64_awprot	=  	M_DMUX_GP2_AWPROT[1];
   assign w_dmux_PSPLLPD128X64_awqos	=   	M_DMUX_GP2_AWQOS[1];
   assign w_dmux_PSPLLPD128X64_awuser	=  	M_DMUX_GP2_AWUSER[1];
   assign w_dmux_PSPLLPD128X64_awcache	= 	M_DMUX_GP2_AWCACHE[1];
   assign w_dmux_PSPLLPD128X64_awlock	=  	M_DMUX_GP2_AWLOCK[1];
   assign w_dmux_PSPLLPD128X64_awlen	=   	M_DMUX_GP2_AWLEN[1];
   assign w_dmux_PSPLLPD128X64_awburst	= 	M_DMUX_GP2_AWBURST[1];
   assign w_dmux_PSPLLPD128X64_awid	=    	M_DMUX_GP2_AWID[1];
   assign w_dmux_PSPLLPD128X64_awaddr	=  	M_DMUX_GP2_AWADDR[1];
   assign w_dmux_PSPLLPD128X64_arvalid	= 	M_DMUX_GP2_ARVALID[1];
   assign w_dmux_PSPLLPD128X64_arsize	=  	M_DMUX_GP2_ARSIZE[1];
   assign w_dmux_PSPLLPD128X64_arprot	=  	M_DMUX_GP2_ARPROT[1];
   assign w_dmux_PSPLLPD128X64_arqos	=   	M_DMUX_GP2_ARQOS[1];
   assign w_dmux_PSPLLPD128X64_aruser	=  	M_DMUX_GP2_ARUSER[1];
   assign w_dmux_PSPLLPD128X64_arcache	= 	M_DMUX_GP2_ARCACHE[1];
   assign w_dmux_PSPLLPD128X64_arlock	=  	M_DMUX_GP2_ARLOCK[1];
   assign w_dmux_PSPLLPD128X64_arlen	=   	M_DMUX_GP2_ARLEN[1];
   assign w_dmux_PSPLLPD128X64_arburst	= 	M_DMUX_GP2_ARBURST[1];
   assign w_dmux_PSPLLPD128X64_arid	=    	M_DMUX_GP2_ARID[1];
   assign w_dmux_PSPLLPD128X64_araddr	=  	M_DMUX_GP2_ARADDR[1];
   assign w_dmux_PSPLLPD128X64_wuser	=   	M_DMUX_GP2_WUSER[1];
   assign w_dmux_PSPLLPD128X64_wstrb	=   	M_DMUX_GP2_WSTRB[1];
   assign w_dmux_PSPLLPD128X64_wlast	=   	M_DMUX_GP2_WLAST[1];
   assign w_dmux_PSPLLPD128X64_wdata	=   	M_DMUX_GP2_WDATA[1];
   assign w_dmux_PSPLLPD128X64_wvalid	=   	M_DMUX_GP2_WVALID[1];
   assign w_dmux_PSPLLPD128X64_wid	=    	M_DMUX_GP2_WID[1];
   assign w_dmux_PSPLLPD128X64_bready	=  	M_DMUX_GP2_BREADY[1];
   assign w_dmux_PSPLLPD128X64_bresp	=   	M_DMUX_GP2_BRESP[1];
   assign w_dmux_PSPLLPD128X64_rresp	=   	M_DMUX_GP2_RRESP[1];
   assign w_dmux_PSPLLPD128X64_rready	=  	M_DMUX_GP2_RREADY[1];

   // GP2 - 32bit demux
   assign w_dmux_PSPLLPD128X32_awvalid	= 	M_DMUX_GP2_AWVALID[0];
   assign w_dmux_PSPLLPD128X32_awsize	=  	M_DMUX_GP2_AWSIZE[0];
   assign w_dmux_PSPLLPD128X32_awprot	=  	M_DMUX_GP2_AWPROT[0];
   assign w_dmux_PSPLLPD128X32_awqos	=   	M_DMUX_GP2_AWQOS[0];
   assign w_dmux_PSPLLPD128X32_awuser	=  	M_DMUX_GP2_AWUSER[0];
   assign w_dmux_PSPLLPD128X32_awcache	= 	M_DMUX_GP2_AWCACHE[0];
   assign w_dmux_PSPLLPD128X32_awlock	=  	M_DMUX_GP2_AWLOCK[0];
   assign w_dmux_PSPLLPD128X32_awlen	=   	M_DMUX_GP2_AWLEN[0];
   assign w_dmux_PSPLLPD128X32_awburst	= 	M_DMUX_GP2_AWBURST[0];
   assign w_dmux_PSPLLPD128X32_awid	=    	M_DMUX_GP2_AWID[0];
   assign w_dmux_PSPLLPD128X32_awaddr	=  	M_DMUX_GP2_AWADDR[0];
   assign w_dmux_PSPLLPD128X32_arvalid	= 	M_DMUX_GP2_ARVALID[0];
   assign w_dmux_PSPLLPD128X32_arsize	=  	M_DMUX_GP2_ARSIZE[0];
   assign w_dmux_PSPLLPD128X32_arprot	=  	M_DMUX_GP2_ARPROT[0];
   assign w_dmux_PSPLLPD128X32_arqos	=   	M_DMUX_GP2_ARQOS[0];
   assign w_dmux_PSPLLPD128X32_aruser	=  	M_DMUX_GP2_ARUSER[0];
   assign w_dmux_PSPLLPD128X32_arcache	= 	M_DMUX_GP2_ARCACHE[0];
   assign w_dmux_PSPLLPD128X32_arlock	=  	M_DMUX_GP2_ARLOCK[0];
   assign w_dmux_PSPLLPD128X32_arlen	=   	M_DMUX_GP2_ARLEN[0];
   assign w_dmux_PSPLLPD128X32_arburst	= 	M_DMUX_GP2_ARBURST[0];
   assign w_dmux_PSPLLPD128X32_arid	=    	M_DMUX_GP2_ARID[0];
   assign w_dmux_PSPLLPD128X32_araddr	=  	M_DMUX_GP2_ARADDR[0];
   assign w_dmux_PSPLLPD128X32_wuser	=   	M_DMUX_GP2_WUSER[0];
   assign w_dmux_PSPLLPD128X32_wstrb	=   	M_DMUX_GP2_WSTRB[0];
   assign w_dmux_PSPLLPD128X32_wlast	=   	M_DMUX_GP2_WLAST[0];
   assign w_dmux_PSPLLPD128X32_wdata	=   	M_DMUX_GP2_WDATA[0];
   assign w_dmux_PSPLLPD128X32_wvalid	=   	M_DMUX_GP2_WVALID[0];
   assign w_dmux_PSPLLPD128X32_wid	=    	M_DMUX_GP2_WID[0];
   assign w_dmux_PSPLLPD128X32_bready	=  	M_DMUX_GP2_BREADY[0];
   assign w_dmux_PSPLLPD128X32_bresp	=   	M_DMUX_GP2_BRESP[0];
   assign w_dmux_PSPLLPD128X32_rresp	=   	M_DMUX_GP2_RRESP[0];
   assign w_dmux_PSPLLPD128X32_rready	=  	M_DMUX_GP2_RREADY[0];

   // GP0 -64bit mux
   assign w_mux_PSPLFPD128X64_awready	= S_MUX_GP0_AWREADY[1];
   assign w_mux_PSPLFPD128X64_arready	= S_MUX_GP0_ARREADY[1];
   assign w_mux_PSPLFPD128X64_wready	= S_MUX_GP0_WREADY[1];

   assign w_mux_PSPLFPD128X64_rvalid	= S_MUX_GP0_RVALID[1];
   assign w_mux_PSPLFPD128X64_rlast	= S_MUX_GP0_RLAST[1];
   assign w_mux_PSPLFPD128X64_ruser	= S_MUX_GP0_RUSER[1];
   assign w_mux_PSPLFPD128X64_rid	= S_MUX_GP0_RID[1];
   assign w_mux_PSPLFPD128X64_rdata	= S_MUX_GP0_RDATA[1];
   assign w_mux_PSPLFPD128X64_rresp	= S_MUX_GP0_RRESP[1];

   assign w_mux_PSPLFPD128X64_bvalid	= S_MUX_GP0_BVALID[1];
   assign w_mux_PSPLFPD128X64_bid	= S_MUX_GP0_BID[1];
   assign w_mux_PSPLFPD128X64_buser	= S_MUX_GP0_BUSER[1];
   assign w_mux_PSPLFPD128X64_bresp	= S_MUX_GP0_BRESP[1];

   // GP0 -32bit mux
   assign w_mux_PSPLFPD128X32_awready	= S_MUX_GP0_AWREADY[0];
   assign w_mux_PSPLFPD128X32_arready	= S_MUX_GP0_ARREADY[0];
   assign w_mux_PSPLFPD128X32_wready	= S_MUX_GP0_WREADY[0];

   assign w_mux_PSPLFPD128X32_rvalid	= S_MUX_GP0_RVALID[0];
   assign w_mux_PSPLFPD128X32_rlast	= S_MUX_GP0_RLAST[0];
   assign w_mux_PSPLFPD128X32_ruser	= S_MUX_GP0_RUSER[0];
   assign w_mux_PSPLFPD128X32_rid	= S_MUX_GP0_RID[0];
   assign w_mux_PSPLFPD128X32_rdata	= S_MUX_GP0_RDATA[0];
   assign w_mux_PSPLFPD128X32_rresp	= S_MUX_GP0_RRESP[0];

   assign w_mux_PSPLFPD128X32_bvalid	= S_MUX_GP0_BVALID[0];
   assign w_mux_PSPLFPD128X32_bid	= S_MUX_GP0_BID[0];
   assign w_mux_PSPLFPD128X32_buser	= S_MUX_GP0_BUSER[0];
   assign w_mux_PSPLFPD128X32_bresp	= S_MUX_GP0_BRESP[0];

   // GP2 -64bit mux
   assign w_mux_PSPLLPD128X64_awready	= S_MUX_GP2_AWREADY[1];
   assign w_mux_PSPLLPD128X64_arready	= S_MUX_GP2_ARREADY[1];
   assign w_mux_PSPLLPD128X64_wready	= S_MUX_GP2_WREADY[1];

   assign w_mux_PSPLLPD128X64_rvalid	= S_MUX_GP2_RVALID[1];
   assign w_mux_PSPLLPD128X64_rlast	= S_MUX_GP2_RLAST[1];
   assign w_mux_PSPLLPD128X64_ruser	= S_MUX_GP2_RUSER[1];
   assign w_mux_PSPLLPD128X64_rid	= S_MUX_GP2_RID[1];
   assign w_mux_PSPLLPD128X64_rdata	= S_MUX_GP2_RDATA[1];
   assign w_mux_PSPLLPD128X64_rresp	= S_MUX_GP2_RRESP[1];

   assign w_mux_PSPLLPD128X64_bvalid	= S_MUX_GP2_BVALID[1];
   assign w_mux_PSPLLPD128X64_bid	= S_MUX_GP2_BID[1];
   assign w_mux_PSPLLPD128X64_buser	= S_MUX_GP2_BUSER[1];
   assign w_mux_PSPLLPD128X64_bresp	= S_MUX_GP2_BRESP[1];

   // GP2 -32bit mux
   assign w_mux_PSPLLPD128X32_awready	= S_MUX_GP2_AWREADY[0];
   assign w_mux_PSPLLPD128X32_arready	= S_MUX_GP2_ARREADY[0];
   assign w_mux_PSPLLPD128X32_wready	= S_MUX_GP2_WREADY[0];

   assign w_mux_PSPLLPD128X32_rvalid	= S_MUX_GP2_RVALID[0];
   assign w_mux_PSPLLPD128X32_rlast	= S_MUX_GP2_RLAST[0];
   assign w_mux_PSPLLPD128X32_ruser	= S_MUX_GP2_RUSER[0];
   assign w_mux_PSPLLPD128X32_rid	= S_MUX_GP2_RID[0];
   assign w_mux_PSPLLPD128X32_rdata	= S_MUX_GP2_RDATA[0];
   assign w_mux_PSPLLPD128X32_rresp	= S_MUX_GP2_RRESP[0];

   assign w_mux_PSPLLPD128X32_bvalid	= S_MUX_GP2_BVALID[0];
   assign w_mux_PSPLLPD128X32_bid	= S_MUX_GP2_BID[0];
   assign w_mux_PSPLLPD128X32_buser	= S_MUX_GP2_BUSER[0];
   assign w_mux_PSPLLPD128X32_bresp	= S_MUX_GP2_BRESP[0];

// 
// smartconnect instatiation for connecting PSNOCCCI, OCM, CPMCFG, REG ports
//
   versal_cips_ps_vip_v1_0_11_design smart_interconnect
   (.IFPSCPMCFGAXI_araddr(IFPSCPMCFGAXI_araddr),
    .IFPSCPMCFGAXI_arburst(IFPSCPMCFGAXI_arburst),
    .IFPSCPMCFGAXI_arcache(IFPSCPMCFGAXI_arcache),
    .IFPSCPMCFGAXI_arlen(IFPSCPMCFGAXI_arlen),
    .IFPSCPMCFGAXI_arlock(IFPSCPMCFGAXI_arlock),
    .IFPSCPMCFGAXI_arprot(IFPSCPMCFGAXI_arprot),
    .IFPSCPMCFGAXI_arqos(IFPSCPMCFGAXI_arqos),
    .IFPSCPMCFGAXI_arready(IFPSCPMCFGAXI_arready),
    .IFPSCPMCFGAXI_arsize(IFPSCPMCFGAXI_arsize),
    .IFPSCPMCFGAXI_aruser(IFPSCPMCFGAXI_aruser),
    .IFPSCPMCFGAXI_arvalid(IFPSCPMCFGAXI_arvalid),
    .IFPSCPMCFGAXI_awaddr(IFPSCPMCFGAXI_awaddr),
    .IFPSCPMCFGAXI_awburst(IFPSCPMCFGAXI_awburst),
    .IFPSCPMCFGAXI_awcache(IFPSCPMCFGAXI_awcache),
    .IFPSCPMCFGAXI_awlen(IFPSCPMCFGAXI_awlen),
    .IFPSCPMCFGAXI_awlock(IFPSCPMCFGAXI_awlock),
    .IFPSCPMCFGAXI_awprot(IFPSCPMCFGAXI_awprot),
    .IFPSCPMCFGAXI_awqos(IFPSCPMCFGAXI_awqos),
    .IFPSCPMCFGAXI_awready(IFPSCPMCFGAXI_awready),
    .IFPSCPMCFGAXI_awsize(IFPSCPMCFGAXI_awsize),
    .IFPSCPMCFGAXI_awuser(IFPSCPMCFGAXI_awuser),
    .IFPSCPMCFGAXI_awvalid(IFPSCPMCFGAXI_awvalid),
    .IFPSCPMCFGAXI_bready(IFPSCPMCFGAXI_bready),
    .IFPSCPMCFGAXI_bresp(IFPSCPMCFGAXI_bresp),
    .IFPSCPMCFGAXI_buser(IFPSCPMCFGAXI_buser),
    .IFPSCPMCFGAXI_bvalid(IFPSCPMCFGAXI_bvalid),
    .IFPSCPMCFGAXI_rdata(IFPSCPMCFGAXI_rdata),
    .IFPSCPMCFGAXI_rlast(IFPSCPMCFGAXI_rlast),
    .IFPSCPMCFGAXI_rready(IFPSCPMCFGAXI_rready),
    .IFPSCPMCFGAXI_rresp(IFPSCPMCFGAXI_rresp),
    .IFPSCPMCFGAXI_ruser(IFPSCPMCFGAXI_ruser),
    .IFPSCPMCFGAXI_rvalid(IFPSCPMCFGAXI_rvalid),
    .IFPSCPMCFGAXI_wdata(IFPSCPMCFGAXI_wdata),
    .IFPSCPMCFGAXI_wlast(IFPSCPMCFGAXI_wlast),
    .IFPSCPMCFGAXI_wready(IFPSCPMCFGAXI_wready),
    .IFPSCPMCFGAXI_wstrb(IFPSCPMCFGAXI_wstrb),
    .IFPSCPMCFGAXI_wuser(IFPSCPMCFGAXI_wuser),
    .IFPSCPMCFGAXI_wvalid(IFPSCPMCFGAXI_wvalid),
    .OCM_araddr(OCM_araddr),
    .OCM_arburst(OCM_arburst),
    .OCM_arcache(OCM_arcache),
    .OCM_arlen(OCM_arlen),
    .OCM_arlock(OCM_arlock),
    .OCM_arprot(OCM_arprot),
    .OCM_arqos(OCM_arqos),
    .OCM_arready(OCM_arready),
    .OCM_arsize(OCM_arsize),
    .OCM_aruser(OCM_aruser),
    .OCM_arvalid(OCM_arvalid),
    .OCM_awaddr(OCM_awaddr),
    .OCM_awburst(OCM_awburst),
    .OCM_awcache(OCM_awcache),
    .OCM_awlen(OCM_awlen),
    .OCM_awlock(OCM_awlock),
    .OCM_awprot(OCM_awprot),
    .OCM_awqos(OCM_awqos),
    .OCM_awready(OCM_awready),
    .OCM_awsize(OCM_awsize),
    .OCM_awuser(OCM_awuser),
    .OCM_awvalid(OCM_awvalid),
    .OCM_bready(OCM_bready),
    .OCM_bresp(OCM_bresp),
    .OCM_buser(OCM_buser),
    .OCM_bvalid(OCM_bvalid),
    .OCM_rdata(OCM_rdata),
    .OCM_rlast(OCM_rlast),
    .OCM_rready(OCM_rready),
    .OCM_rresp(OCM_rresp),
    .OCM_ruser(OCM_ruser),
    .OCM_rvalid(OCM_rvalid),
    .OCM_wdata(OCM_wdata),
    .OCM_wlast(OCM_wlast),
    .OCM_wready(OCM_wready),
    .OCM_wstrb(OCM_wstrb),
    .OCM_wuser(OCM_wuser),
    .OCM_wvalid(OCM_wvalid),
    .REG_MEM10_araddr(REG_MEM10_araddr),
    .REG_MEM10_arburst(REG_MEM10_arburst),
    .REG_MEM10_arcache(REG_MEM10_arcache),
    .REG_MEM10_arlen(REG_MEM10_arlen),
    .REG_MEM10_arlock(REG_MEM10_arlock),
    .REG_MEM10_arprot(REG_MEM10_arprot),
    .REG_MEM10_arqos(REG_MEM10_arqos),
    .REG_MEM10_arready(REG_MEM10_arready),
    .REG_MEM10_arsize(REG_MEM10_arsize),
    .REG_MEM10_aruser(REG_MEM10_aruser),
    .REG_MEM10_arvalid(REG_MEM10_arvalid),
    .REG_MEM10_awaddr(REG_MEM10_awaddr),
    .REG_MEM10_awburst(REG_MEM10_awburst),
    .REG_MEM10_awcache(REG_MEM10_awcache),
    .REG_MEM10_awlen(REG_MEM10_awlen),
    .REG_MEM10_awlock(REG_MEM10_awlock),
    .REG_MEM10_awprot(REG_MEM10_awprot),
    .REG_MEM10_awqos(REG_MEM10_awqos),
    .REG_MEM10_awready(REG_MEM10_awready),
    .REG_MEM10_awsize(REG_MEM10_awsize),
    .REG_MEM10_awuser(REG_MEM10_awuser),
    .REG_MEM10_awvalid(REG_MEM10_awvalid),
    .REG_MEM10_bready(REG_MEM10_bready),
    .REG_MEM10_bresp(REG_MEM10_bresp),
    .REG_MEM10_buser(REG_MEM10_buser),
    .REG_MEM10_bvalid(REG_MEM10_bvalid),
    .REG_MEM10_rdata(REG_MEM10_rdata),
    .REG_MEM10_rlast(REG_MEM10_rlast),
    .REG_MEM10_rready(REG_MEM10_rready),
    .REG_MEM10_rresp(REG_MEM10_rresp),
    .REG_MEM10_ruser(REG_MEM10_ruser),
    .REG_MEM10_rvalid(REG_MEM10_rvalid),
    .REG_MEM10_wdata(REG_MEM10_wdata),
    .REG_MEM10_wlast(REG_MEM10_wlast),
    .REG_MEM10_wready(REG_MEM10_wready),
    .REG_MEM10_wstrb(REG_MEM10_wstrb),
    .REG_MEM10_wuser(REG_MEM10_wuser),
    .REG_MEM10_wvalid(REG_MEM10_wvalid),
    .REG_MEM11_araddr(REG_MEM11_araddr),
    .REG_MEM11_arburst(REG_MEM11_arburst),
    .REG_MEM11_arcache(REG_MEM11_arcache),
    .REG_MEM11_arlen(REG_MEM11_arlen),
    .REG_MEM11_arlock(REG_MEM11_arlock),
    .REG_MEM11_arprot(REG_MEM11_arprot),
    .REG_MEM11_arqos(REG_MEM11_arqos),
    .REG_MEM11_arready(REG_MEM11_arready),
    .REG_MEM11_arsize(REG_MEM11_arsize),
    .REG_MEM11_aruser(REG_MEM11_aruser),
    .REG_MEM11_arvalid(REG_MEM11_arvalid),
    .REG_MEM11_awaddr(REG_MEM11_awaddr),
    .REG_MEM11_awburst(REG_MEM11_awburst),
    .REG_MEM11_awcache(REG_MEM11_awcache),
    .REG_MEM11_awlen(REG_MEM11_awlen),
    .REG_MEM11_awlock(REG_MEM11_awlock),
    .REG_MEM11_awprot(REG_MEM11_awprot),
    .REG_MEM11_awqos(REG_MEM11_awqos),
    .REG_MEM11_awready(REG_MEM11_awready),
    .REG_MEM11_awsize(REG_MEM11_awsize),
    .REG_MEM11_awuser(REG_MEM11_awuser),
    .REG_MEM11_awvalid(REG_MEM11_awvalid),
    .REG_MEM11_bready(REG_MEM11_bready),
    .REG_MEM11_bresp(REG_MEM11_bresp),
    .REG_MEM11_buser(REG_MEM11_buser),
    .REG_MEM11_bvalid(REG_MEM11_bvalid),
    .REG_MEM11_rdata(REG_MEM11_rdata),
    .REG_MEM11_rlast(REG_MEM11_rlast),
    .REG_MEM11_rready(REG_MEM11_rready),
    .REG_MEM11_rresp(REG_MEM11_rresp),
    .REG_MEM11_ruser(REG_MEM11_ruser),
    .REG_MEM11_rvalid(REG_MEM11_rvalid),
    .REG_MEM11_wdata(REG_MEM11_wdata),
    .REG_MEM11_wlast(REG_MEM11_wlast),
    .REG_MEM11_wready(REG_MEM11_wready),
    .REG_MEM11_wstrb(REG_MEM11_wstrb),
    .REG_MEM11_wuser(REG_MEM11_wuser),
    .REG_MEM11_wvalid(REG_MEM11_wvalid),
    .REG_MEM12_araddr(REG_MEM12_araddr),
    .REG_MEM12_arburst(REG_MEM12_arburst),
    .REG_MEM12_arcache(REG_MEM12_arcache),
    .REG_MEM12_arlen(REG_MEM12_arlen),
    .REG_MEM12_arlock(REG_MEM12_arlock),
    .REG_MEM12_arprot(REG_MEM12_arprot),
    .REG_MEM12_arqos(REG_MEM12_arqos),
    .REG_MEM12_arready(REG_MEM12_arready),
    .REG_MEM12_arsize(REG_MEM12_arsize),
    .REG_MEM12_aruser(REG_MEM12_aruser),
    .REG_MEM12_arvalid(REG_MEM12_arvalid),
    .REG_MEM12_awaddr(REG_MEM12_awaddr),
    .REG_MEM12_awburst(REG_MEM12_awburst),
    .REG_MEM12_awcache(REG_MEM12_awcache),
    .REG_MEM12_awlen(REG_MEM12_awlen),
    .REG_MEM12_awlock(REG_MEM12_awlock),
    .REG_MEM12_awprot(REG_MEM12_awprot),
    .REG_MEM12_awqos(REG_MEM12_awqos),
    .REG_MEM12_awready(REG_MEM12_awready),
    .REG_MEM12_awsize(REG_MEM12_awsize),
    .REG_MEM12_awuser(REG_MEM12_awuser),
    .REG_MEM12_awvalid(REG_MEM12_awvalid),
    .REG_MEM12_bready(REG_MEM12_bready),
    .REG_MEM12_bresp(REG_MEM12_bresp),
    .REG_MEM12_buser(REG_MEM12_buser),
    .REG_MEM12_bvalid(REG_MEM12_bvalid),
    .REG_MEM12_rdata(REG_MEM12_rdata),
    .REG_MEM12_rlast(REG_MEM12_rlast),
    .REG_MEM12_rready(REG_MEM12_rready),
    .REG_MEM12_rresp(REG_MEM12_rresp),
    .REG_MEM12_ruser(REG_MEM12_ruser),
    .REG_MEM12_rvalid(REG_MEM12_rvalid),
    .REG_MEM12_wdata(REG_MEM12_wdata),
    .REG_MEM12_wlast(REG_MEM12_wlast),
    .REG_MEM12_wready(REG_MEM12_wready),
    .REG_MEM12_wstrb(REG_MEM12_wstrb),
    .REG_MEM12_wuser(REG_MEM12_wuser),
    .REG_MEM12_wvalid(REG_MEM12_wvalid),
    .REG_MEM1_araddr(REG_MEM1_araddr),
    .REG_MEM1_arburst(REG_MEM1_arburst),
    .REG_MEM1_arcache(REG_MEM1_arcache),
    .REG_MEM1_arlen(REG_MEM1_arlen),
    .REG_MEM1_arlock(REG_MEM1_arlock),
    .REG_MEM1_arprot(REG_MEM1_arprot),
    .REG_MEM1_arqos(REG_MEM1_arqos),
    .REG_MEM1_arready(REG_MEM1_arready),
    .REG_MEM1_arsize(REG_MEM1_arsize),
    .REG_MEM1_aruser(REG_MEM1_aruser),
    .REG_MEM1_arvalid(REG_MEM1_arvalid),
    .REG_MEM1_awaddr(REG_MEM1_awaddr),
    .REG_MEM1_awburst(REG_MEM1_awburst),
    .REG_MEM1_awcache(REG_MEM1_awcache),
    .REG_MEM1_awlen(REG_MEM1_awlen),
    .REG_MEM1_awlock(REG_MEM1_awlock),
    .REG_MEM1_awprot(REG_MEM1_awprot),
    .REG_MEM1_awqos(REG_MEM1_awqos),
    .REG_MEM1_awready(REG_MEM1_awready),
    .REG_MEM1_awsize(REG_MEM1_awsize),
    .REG_MEM1_awuser(REG_MEM1_awuser),
    .REG_MEM1_awvalid(REG_MEM1_awvalid),
    .REG_MEM1_bready(REG_MEM1_bready),
    .REG_MEM1_bresp(REG_MEM1_bresp),
    .REG_MEM1_buser(REG_MEM1_buser),
    .REG_MEM1_bvalid(REG_MEM1_bvalid),
    .REG_MEM1_rdata(REG_MEM1_rdata),
    .REG_MEM1_rlast(REG_MEM1_rlast),
    .REG_MEM1_rready(REG_MEM1_rready),
    .REG_MEM1_rresp(REG_MEM1_rresp),
    .REG_MEM1_ruser(REG_MEM1_ruser),
    .REG_MEM1_rvalid(REG_MEM1_rvalid),
    .REG_MEM1_wdata(REG_MEM1_wdata),
    .REG_MEM1_wlast(REG_MEM1_wlast),
    .REG_MEM1_wready(REG_MEM1_wready),
    .REG_MEM1_wstrb(REG_MEM1_wstrb),
    .REG_MEM1_wuser(REG_MEM1_wuser),
    .REG_MEM1_wvalid(REG_MEM1_wvalid),
    .REG_MEM2_araddr(REG_MEM2_araddr),
    .REG_MEM2_arburst(REG_MEM2_arburst),
    .REG_MEM2_arcache(REG_MEM2_arcache),
    .REG_MEM2_arlen(REG_MEM2_arlen),
    .REG_MEM2_arlock(REG_MEM2_arlock),
    .REG_MEM2_arprot(REG_MEM2_arprot),
    .REG_MEM2_arqos(REG_MEM2_arqos),
    .REG_MEM2_arready(REG_MEM2_arready),
    .REG_MEM2_arsize(REG_MEM2_arsize),
    .REG_MEM2_aruser(REG_MEM2_aruser),
    .REG_MEM2_arvalid(REG_MEM2_arvalid),
    .REG_MEM2_awaddr(REG_MEM2_awaddr),
    .REG_MEM2_awburst(REG_MEM2_awburst),
    .REG_MEM2_awcache(REG_MEM2_awcache),
    .REG_MEM2_awlen(REG_MEM2_awlen),
    .REG_MEM2_awlock(REG_MEM2_awlock),
    .REG_MEM2_awprot(REG_MEM2_awprot),
    .REG_MEM2_awqos(REG_MEM2_awqos),
    .REG_MEM2_awready(REG_MEM2_awready),
    .REG_MEM2_awsize(REG_MEM2_awsize),
    .REG_MEM2_awuser(REG_MEM2_awuser),
    .REG_MEM2_awvalid(REG_MEM2_awvalid),
    .REG_MEM2_bready(REG_MEM2_bready),
    .REG_MEM2_bresp(REG_MEM2_bresp),
    .REG_MEM2_buser(REG_MEM2_buser),
    .REG_MEM2_bvalid(REG_MEM2_bvalid),
    .REG_MEM2_rdata(REG_MEM2_rdata),
    .REG_MEM2_rlast(REG_MEM2_rlast),
    .REG_MEM2_rready(REG_MEM2_rready),
    .REG_MEM2_rresp(REG_MEM2_rresp),
    .REG_MEM2_ruser(REG_MEM2_ruser),
    .REG_MEM2_rvalid(REG_MEM2_rvalid),
    .REG_MEM2_wdata(REG_MEM2_wdata),
    .REG_MEM2_wlast(REG_MEM2_wlast),
    .REG_MEM2_wready(REG_MEM2_wready),
    .REG_MEM2_wstrb(REG_MEM2_wstrb),
    .REG_MEM2_wuser(REG_MEM2_wuser),
    .REG_MEM2_wvalid(REG_MEM2_wvalid),
    .REG_MEM3_araddr(REG_MEM3_araddr),
    .REG_MEM3_arburst(REG_MEM3_arburst),
    .REG_MEM3_arcache(REG_MEM3_arcache),
    .REG_MEM3_arlen(REG_MEM3_arlen),
    .REG_MEM3_arlock(REG_MEM3_arlock),
    .REG_MEM3_arprot(REG_MEM3_arprot),
    .REG_MEM3_arqos(REG_MEM3_arqos),
    .REG_MEM3_arready(REG_MEM3_arready),
    .REG_MEM3_arsize(REG_MEM3_arsize),
    .REG_MEM3_aruser(REG_MEM3_aruser),
    .REG_MEM3_arvalid(REG_MEM3_arvalid),
    .REG_MEM3_awaddr(REG_MEM3_awaddr),
    .REG_MEM3_awburst(REG_MEM3_awburst),
    .REG_MEM3_awcache(REG_MEM3_awcache),
    .REG_MEM3_awlen(REG_MEM3_awlen),
    .REG_MEM3_awlock(REG_MEM3_awlock),
    .REG_MEM3_awprot(REG_MEM3_awprot),
    .REG_MEM3_awqos(REG_MEM3_awqos),
    .REG_MEM3_awready(REG_MEM3_awready),
    .REG_MEM3_awsize(REG_MEM3_awsize),
    .REG_MEM3_awuser(REG_MEM3_awuser),
    .REG_MEM3_awvalid(REG_MEM3_awvalid),
    .REG_MEM3_bready(REG_MEM3_bready),
    .REG_MEM3_bresp(REG_MEM3_bresp),
    .REG_MEM3_buser(REG_MEM3_buser),
    .REG_MEM3_bvalid(REG_MEM3_bvalid),
    .REG_MEM3_rdata(REG_MEM3_rdata),
    .REG_MEM3_rlast(REG_MEM3_rlast),
    .REG_MEM3_rready(REG_MEM3_rready),
    .REG_MEM3_rresp(REG_MEM3_rresp),
    .REG_MEM3_ruser(REG_MEM3_ruser),
    .REG_MEM3_rvalid(REG_MEM3_rvalid),
    .REG_MEM3_wdata(REG_MEM3_wdata),
    .REG_MEM3_wlast(REG_MEM3_wlast),
    .REG_MEM3_wready(REG_MEM3_wready),
    .REG_MEM3_wstrb(REG_MEM3_wstrb),
    .REG_MEM3_wuser(REG_MEM3_wuser),
    .REG_MEM3_wvalid(REG_MEM3_wvalid),
    .REG_MEM4_araddr(REG_MEM4_araddr),
    .REG_MEM4_arburst(REG_MEM4_arburst),
    .REG_MEM4_arcache(REG_MEM4_arcache),
    .REG_MEM4_arlen(REG_MEM4_arlen),
    .REG_MEM4_arlock(REG_MEM4_arlock),
    .REG_MEM4_arprot(REG_MEM4_arprot),
    .REG_MEM4_arqos(REG_MEM4_arqos),
    .REG_MEM4_arready(REG_MEM4_arready),
    .REG_MEM4_arsize(REG_MEM4_arsize),
    .REG_MEM4_aruser(REG_MEM4_aruser),
    .REG_MEM4_arvalid(REG_MEM4_arvalid),
    .REG_MEM4_awaddr(REG_MEM4_awaddr),
    .REG_MEM4_awburst(REG_MEM4_awburst),
    .REG_MEM4_awcache(REG_MEM4_awcache),
    .REG_MEM4_awlen(REG_MEM4_awlen),
    .REG_MEM4_awlock(REG_MEM4_awlock),
    .REG_MEM4_awprot(REG_MEM4_awprot),
    .REG_MEM4_awqos(REG_MEM4_awqos),
    .REG_MEM4_awready(REG_MEM4_awready),
    .REG_MEM4_awsize(REG_MEM4_awsize),
    .REG_MEM4_awuser(REG_MEM4_awuser),
    .REG_MEM4_awvalid(REG_MEM4_awvalid),
    .REG_MEM4_bready(REG_MEM4_bready),
    .REG_MEM4_bresp(REG_MEM4_bresp),
    .REG_MEM4_buser(REG_MEM4_buser),
    .REG_MEM4_bvalid(REG_MEM4_bvalid),
    .REG_MEM4_rdata(REG_MEM4_rdata),
    .REG_MEM4_rlast(REG_MEM4_rlast),
    .REG_MEM4_rready(REG_MEM4_rready),
    .REG_MEM4_rresp(REG_MEM4_rresp),
    .REG_MEM4_ruser(REG_MEM4_ruser),
    .REG_MEM4_rvalid(REG_MEM4_rvalid),
    .REG_MEM4_wdata(REG_MEM4_wdata),
    .REG_MEM4_wlast(REG_MEM4_wlast),
    .REG_MEM4_wready(REG_MEM4_wready),
    .REG_MEM4_wstrb(REG_MEM4_wstrb),
    .REG_MEM4_wuser(REG_MEM4_wuser),
    .REG_MEM4_wvalid(REG_MEM4_wvalid),
    .REG_MEM5_araddr(REG_MEM5_araddr),
    .REG_MEM5_arburst(REG_MEM5_arburst),
    .REG_MEM5_arcache(REG_MEM5_arcache),
    .REG_MEM5_arlen(REG_MEM5_arlen),
    .REG_MEM5_arlock(REG_MEM5_arlock),
    .REG_MEM5_arprot(REG_MEM5_arprot),
    .REG_MEM5_arqos(REG_MEM5_arqos),
    .REG_MEM5_arready(REG_MEM5_arready),
    .REG_MEM5_arsize(REG_MEM5_arsize),
    .REG_MEM5_aruser(REG_MEM5_aruser),
    .REG_MEM5_arvalid(REG_MEM5_arvalid),
    .REG_MEM5_awaddr(REG_MEM5_awaddr),
    .REG_MEM5_awburst(REG_MEM5_awburst),
    .REG_MEM5_awcache(REG_MEM5_awcache),
    .REG_MEM5_awlen(REG_MEM5_awlen),
    .REG_MEM5_awlock(REG_MEM5_awlock),
    .REG_MEM5_awprot(REG_MEM5_awprot),
    .REG_MEM5_awqos(REG_MEM5_awqos),
    .REG_MEM5_awready(REG_MEM5_awready),
    .REG_MEM5_awsize(REG_MEM5_awsize),
    .REG_MEM5_awuser(REG_MEM5_awuser),
    .REG_MEM5_awvalid(REG_MEM5_awvalid),
    .REG_MEM5_bready(REG_MEM5_bready),
    .REG_MEM5_bresp(REG_MEM5_bresp),
    .REG_MEM5_buser(REG_MEM5_buser),
    .REG_MEM5_bvalid(REG_MEM5_bvalid),
    .REG_MEM5_rdata(REG_MEM5_rdata),
    .REG_MEM5_rlast(REG_MEM5_rlast),
    .REG_MEM5_rready(REG_MEM5_rready),
    .REG_MEM5_rresp(REG_MEM5_rresp),
    .REG_MEM5_ruser(REG_MEM5_ruser),
    .REG_MEM5_rvalid(REG_MEM5_rvalid),
    .REG_MEM5_wdata(REG_MEM5_wdata),
    .REG_MEM5_wlast(REG_MEM5_wlast),
    .REG_MEM5_wready(REG_MEM5_wready),
    .REG_MEM5_wstrb(REG_MEM5_wstrb),
    .REG_MEM5_wuser(REG_MEM5_wuser),
    .REG_MEM5_wvalid(REG_MEM5_wvalid),
    .REG_MEM6_araddr(REG_MEM6_araddr),
    .REG_MEM6_arburst(REG_MEM6_arburst),
    .REG_MEM6_arcache(REG_MEM6_arcache),
    .REG_MEM6_arlen(REG_MEM6_arlen),
    .REG_MEM6_arlock(REG_MEM6_arlock),
    .REG_MEM6_arprot(REG_MEM6_arprot),
    .REG_MEM6_arqos(REG_MEM6_arqos),
    .REG_MEM6_arready(REG_MEM6_arready),
    .REG_MEM6_arsize(REG_MEM6_arsize),
    .REG_MEM6_aruser(REG_MEM6_aruser),
    .REG_MEM6_arvalid(REG_MEM6_arvalid),
    .REG_MEM6_awaddr(REG_MEM6_awaddr),
    .REG_MEM6_awburst(REG_MEM6_awburst),
    .REG_MEM6_awcache(REG_MEM6_awcache),
    .REG_MEM6_awlen(REG_MEM6_awlen),
    .REG_MEM6_awlock(REG_MEM6_awlock),
    .REG_MEM6_awprot(REG_MEM6_awprot),
    .REG_MEM6_awqos(REG_MEM6_awqos),
    .REG_MEM6_awready(REG_MEM6_awready),
    .REG_MEM6_awsize(REG_MEM6_awsize),
    .REG_MEM6_awuser(REG_MEM6_awuser),
    .REG_MEM6_awvalid(REG_MEM6_awvalid),
    .REG_MEM6_bready(REG_MEM6_bready),
    .REG_MEM6_bresp(REG_MEM6_bresp),
    .REG_MEM6_buser(REG_MEM6_buser),
    .REG_MEM6_bvalid(REG_MEM6_bvalid),
    .REG_MEM6_rdata(REG_MEM6_rdata),
    .REG_MEM6_rlast(REG_MEM6_rlast),
    .REG_MEM6_rready(REG_MEM6_rready),
    .REG_MEM6_rresp(REG_MEM6_rresp),
    .REG_MEM6_ruser(REG_MEM6_ruser),
    .REG_MEM6_rvalid(REG_MEM6_rvalid),
    .REG_MEM6_wdata(REG_MEM6_wdata),
    .REG_MEM6_wlast(REG_MEM6_wlast),
    .REG_MEM6_wready(REG_MEM6_wready),
    .REG_MEM6_wstrb(REG_MEM6_wstrb),
    .REG_MEM6_wuser(REG_MEM6_wuser),
    .REG_MEM6_wvalid(REG_MEM6_wvalid),
    .REG_MEM7_araddr(REG_MEM7_araddr),
    .REG_MEM7_arburst(REG_MEM7_arburst),
    .REG_MEM7_arcache(REG_MEM7_arcache),
    .REG_MEM7_arlen(REG_MEM7_arlen),
    .REG_MEM7_arlock(REG_MEM7_arlock),
    .REG_MEM7_arprot(REG_MEM7_arprot),
    .REG_MEM7_arqos(REG_MEM7_arqos),
    .REG_MEM7_arready(REG_MEM7_arready),
    .REG_MEM7_arsize(REG_MEM7_arsize),
    .REG_MEM7_aruser(REG_MEM7_aruser),
    .REG_MEM7_arvalid(REG_MEM7_arvalid),
    .REG_MEM7_awaddr(REG_MEM7_awaddr),
    .REG_MEM7_awburst(REG_MEM7_awburst),
    .REG_MEM7_awcache(REG_MEM7_awcache),
    .REG_MEM7_awlen(REG_MEM7_awlen),
    .REG_MEM7_awlock(REG_MEM7_awlock),
    .REG_MEM7_awprot(REG_MEM7_awprot),
    .REG_MEM7_awqos(REG_MEM7_awqos),
    .REG_MEM7_awready(REG_MEM7_awready),
    .REG_MEM7_awsize(REG_MEM7_awsize),
    .REG_MEM7_awuser(REG_MEM7_awuser),
    .REG_MEM7_awvalid(REG_MEM7_awvalid),
    .REG_MEM7_bready(REG_MEM7_bready),
    .REG_MEM7_bresp(REG_MEM7_bresp),
    .REG_MEM7_buser(REG_MEM7_buser),
    .REG_MEM7_bvalid(REG_MEM7_bvalid),
    .REG_MEM7_rdata(REG_MEM7_rdata),
    .REG_MEM7_rlast(REG_MEM7_rlast),
    .REG_MEM7_rready(REG_MEM7_rready),
    .REG_MEM7_rresp(REG_MEM7_rresp),
    .REG_MEM7_ruser(REG_MEM7_ruser),
    .REG_MEM7_rvalid(REG_MEM7_rvalid),
    .REG_MEM7_wdata(REG_MEM7_wdata),
    .REG_MEM7_wlast(REG_MEM7_wlast),
    .REG_MEM7_wready(REG_MEM7_wready),
    .REG_MEM7_wstrb(REG_MEM7_wstrb),
    .REG_MEM7_wuser(REG_MEM7_wuser),
    .REG_MEM7_wvalid(REG_MEM7_wvalid),
    .REG_MEM8_araddr(REG_MEM8_araddr),
    .REG_MEM8_arburst(REG_MEM8_arburst),
    .REG_MEM8_arcache(REG_MEM8_arcache),
    .REG_MEM8_arlen(REG_MEM8_arlen),
    .REG_MEM8_arlock(REG_MEM8_arlock),
    .REG_MEM8_arprot(REG_MEM8_arprot),
    .REG_MEM8_arqos(REG_MEM8_arqos),
    .REG_MEM8_arready(REG_MEM8_arready),
    .REG_MEM8_arsize(REG_MEM8_arsize),
    .REG_MEM8_aruser(REG_MEM8_aruser),
    .REG_MEM8_arvalid(REG_MEM8_arvalid),
    .REG_MEM8_awaddr(REG_MEM8_awaddr),
    .REG_MEM8_awburst(REG_MEM8_awburst),
    .REG_MEM8_awcache(REG_MEM8_awcache),
    .REG_MEM8_awlen(REG_MEM8_awlen),
    .REG_MEM8_awlock(REG_MEM8_awlock),
    .REG_MEM8_awprot(REG_MEM8_awprot),
    .REG_MEM8_awqos(REG_MEM8_awqos),
    .REG_MEM8_awready(REG_MEM8_awready),
    .REG_MEM8_awsize(REG_MEM8_awsize),
    .REG_MEM8_awuser(REG_MEM8_awuser),
    .REG_MEM8_awvalid(REG_MEM8_awvalid),
    .REG_MEM8_bready(REG_MEM8_bready),
    .REG_MEM8_bresp(REG_MEM8_bresp),
    .REG_MEM8_buser(REG_MEM8_buser),
    .REG_MEM8_bvalid(REG_MEM8_bvalid),
    .REG_MEM8_rdata(REG_MEM8_rdata),
    .REG_MEM8_rlast(REG_MEM8_rlast),
    .REG_MEM8_rready(REG_MEM8_rready),
    .REG_MEM8_rresp(REG_MEM8_rresp),
    .REG_MEM8_ruser(REG_MEM8_ruser),
    .REG_MEM8_rvalid(REG_MEM8_rvalid),
    .REG_MEM8_wdata(REG_MEM8_wdata),
    .REG_MEM8_wlast(REG_MEM8_wlast),
    .REG_MEM8_wready(REG_MEM8_wready),
    .REG_MEM8_wstrb(REG_MEM8_wstrb),
    .REG_MEM8_wuser(REG_MEM8_wuser),
    .REG_MEM8_wvalid(REG_MEM8_wvalid),
    .REG_MEM9_araddr(REG_MEM9_araddr),
    .REG_MEM9_arburst(REG_MEM9_arburst),
    .REG_MEM9_arcache(REG_MEM9_arcache),
    .REG_MEM9_arlen(REG_MEM9_arlen),
    .REG_MEM9_arlock(REG_MEM9_arlock),
    .REG_MEM9_arprot(REG_MEM9_arprot),
    .REG_MEM9_arqos(REG_MEM9_arqos),
    .REG_MEM9_arready(REG_MEM9_arready),
    .REG_MEM9_arsize(REG_MEM9_arsize),
    .REG_MEM9_aruser(REG_MEM9_aruser),
    .REG_MEM9_arvalid(REG_MEM9_arvalid),
    .REG_MEM9_awaddr(REG_MEM9_awaddr),
    .REG_MEM9_awburst(REG_MEM9_awburst),
    .REG_MEM9_awcache(REG_MEM9_awcache),
    .REG_MEM9_awlen(REG_MEM9_awlen),
    .REG_MEM9_awlock(REG_MEM9_awlock),
    .REG_MEM9_awprot(REG_MEM9_awprot),
    .REG_MEM9_awqos(REG_MEM9_awqos),
    .REG_MEM9_awready(REG_MEM9_awready),
    .REG_MEM9_awsize(REG_MEM9_awsize),
    .REG_MEM9_awuser(REG_MEM9_awuser),
    .REG_MEM9_awvalid(REG_MEM9_awvalid),
    .REG_MEM9_bready(REG_MEM9_bready),
    .REG_MEM9_bresp(REG_MEM9_bresp),
    .REG_MEM9_buser(REG_MEM9_buser),
    .REG_MEM9_bvalid(REG_MEM9_bvalid),
    .REG_MEM9_rdata(REG_MEM9_rdata),
    .REG_MEM9_rlast(REG_MEM9_rlast),
    .REG_MEM9_rready(REG_MEM9_rready),
    .REG_MEM9_rresp(REG_MEM9_rresp),
    .REG_MEM9_ruser(REG_MEM9_ruser),
    .REG_MEM9_rvalid(REG_MEM9_rvalid),
    .REG_MEM9_wdata(REG_MEM9_wdata),
    .REG_MEM9_wlast(REG_MEM9_wlast),
    .REG_MEM9_wready(REG_MEM9_wready),
    .REG_MEM9_wstrb(REG_MEM9_wstrb),
    .REG_MEM9_wuser(REG_MEM9_wuser),
    .REG_MEM9_wvalid(REG_MEM9_wvalid),
    .SMARTCONNECT6IN_araddr(SMARTCONNECT6IN_araddr),
    .SMARTCONNECT6IN_arburst(SMARTCONNECT6IN_arburst),
    .SMARTCONNECT6IN_arcache(SMARTCONNECT6IN_arcache),
    .SMARTCONNECT6IN_arlen(SMARTCONNECT6IN_arlen),
    .SMARTCONNECT6IN_arlock(SMARTCONNECT6IN_arlock),
    .SMARTCONNECT6IN_arprot(SMARTCONNECT6IN_arprot),
    .SMARTCONNECT6IN_arqos(SMARTCONNECT6IN_arqos),
    .SMARTCONNECT6IN_arready(SMARTCONNECT6IN_arready),
    .SMARTCONNECT6IN_arsize(SMARTCONNECT6IN_arsize),
    .SMARTCONNECT6IN_aruser(SMARTCONNECT6IN_aruser),
    .SMARTCONNECT6IN_arvalid(SMARTCONNECT6IN_arvalid),
    .SMARTCONNECT6IN_awaddr(SMARTCONNECT6IN_awaddr),
    .SMARTCONNECT6IN_awburst(SMARTCONNECT6IN_awburst),
    .SMARTCONNECT6IN_awcache(SMARTCONNECT6IN_awcache),
    .SMARTCONNECT6IN_awlen(SMARTCONNECT6IN_awlen),
    .SMARTCONNECT6IN_awlock(SMARTCONNECT6IN_awlock),
    .SMARTCONNECT6IN_awprot(SMARTCONNECT6IN_awprot),
    .SMARTCONNECT6IN_awqos(SMARTCONNECT6IN_awqos),
    .SMARTCONNECT6IN_awready(SMARTCONNECT6IN_awready),
    .SMARTCONNECT6IN_awsize(SMARTCONNECT6IN_awsize),
    .SMARTCONNECT6IN_awuser(SMARTCONNECT6IN_awuser),
    .SMARTCONNECT6IN_awvalid(SMARTCONNECT6IN_awvalid),
    .SMARTCONNECT6IN_bready(SMARTCONNECT6IN_bready),
    .SMARTCONNECT6IN_bresp(SMARTCONNECT6IN_bresp),
    .SMARTCONNECT6IN_buser(SMARTCONNECT6IN_buser),
    .SMARTCONNECT6IN_bvalid(SMARTCONNECT6IN_bvalid),
    .SMARTCONNECT6IN_rdata(SMARTCONNECT6IN_rdata),
    .SMARTCONNECT6IN_rlast(SMARTCONNECT6IN_rlast),
    .SMARTCONNECT6IN_rready(SMARTCONNECT6IN_rready),
    .SMARTCONNECT6IN_rresp(SMARTCONNECT6IN_rresp),
    .SMARTCONNECT6IN_ruser(SMARTCONNECT6IN_ruser),
    .SMARTCONNECT6IN_rvalid(SMARTCONNECT6IN_rvalid),
    .SMARTCONNECT6IN_wdata(SMARTCONNECT6IN_wdata),
    .SMARTCONNECT6IN_wlast(SMARTCONNECT6IN_wlast),
    .SMARTCONNECT6IN_wready(SMARTCONNECT6IN_wready),
    .SMARTCONNECT6IN_wstrb(SMARTCONNECT6IN_wstrb),
    .SMARTCONNECT6IN_wuser(SMARTCONNECT6IN_wuser),
    .SMARTCONNECT6IN_wvalid(SMARTCONNECT6IN_wvalid),
    .SMARTCONNECT6OUT_araddr(SMARTCONNECT6OUT_araddr),
    .SMARTCONNECT6OUT_arburst(SMARTCONNECT6OUT_arburst),
    .SMARTCONNECT6OUT_arcache(SMARTCONNECT6OUT_arcache),
    .SMARTCONNECT6OUT_arlen(SMARTCONNECT6OUT_arlen),
    .SMARTCONNECT6OUT_arlock(SMARTCONNECT6OUT_arlock),
    .SMARTCONNECT6OUT_arprot(SMARTCONNECT6OUT_arprot),
    .SMARTCONNECT6OUT_arqos(SMARTCONNECT6OUT_arqos),
    .SMARTCONNECT6OUT_arready(SMARTCONNECT6OUT_arready),
    .SMARTCONNECT6OUT_arsize(SMARTCONNECT6OUT_arsize),
    .SMARTCONNECT6OUT_aruser(SMARTCONNECT6OUT_aruser),
    .SMARTCONNECT6OUT_arvalid(SMARTCONNECT6OUT_arvalid),
    .SMARTCONNECT6OUT_awaddr(SMARTCONNECT6OUT_awaddr),
    .SMARTCONNECT6OUT_awburst(SMARTCONNECT6OUT_awburst),
    .SMARTCONNECT6OUT_awcache(SMARTCONNECT6OUT_awcache),
    .SMARTCONNECT6OUT_awlen(SMARTCONNECT6OUT_awlen),
    .SMARTCONNECT6OUT_awlock(SMARTCONNECT6OUT_awlock),
    .SMARTCONNECT6OUT_awprot(SMARTCONNECT6OUT_awprot),
    .SMARTCONNECT6OUT_awqos(SMARTCONNECT6OUT_awqos),
    .SMARTCONNECT6OUT_awready(SMARTCONNECT6OUT_awready),
    .SMARTCONNECT6OUT_awsize(SMARTCONNECT6OUT_awsize),
    .SMARTCONNECT6OUT_awuser(SMARTCONNECT6OUT_awuser),
    .SMARTCONNECT6OUT_awvalid(SMARTCONNECT6OUT_awvalid),
    .SMARTCONNECT6OUT_bready(SMARTCONNECT6OUT_bready),
    .SMARTCONNECT6OUT_bresp(SMARTCONNECT6OUT_bresp),
    .SMARTCONNECT6OUT_buser(SMARTCONNECT6OUT_buser),
    .SMARTCONNECT6OUT_bvalid(SMARTCONNECT6OUT_bvalid),
    .SMARTCONNECT6OUT_rdata(SMARTCONNECT6OUT_rdata),
    .SMARTCONNECT6OUT_rlast(SMARTCONNECT6OUT_rlast),
    .SMARTCONNECT6OUT_rready(SMARTCONNECT6OUT_rready),
    .SMARTCONNECT6OUT_rresp(SMARTCONNECT6OUT_rresp),
    .SMARTCONNECT6OUT_ruser(SMARTCONNECT6OUT_ruser),
    .SMARTCONNECT6OUT_rvalid(SMARTCONNECT6OUT_rvalid),
    .SMARTCONNECT6OUT_wdata(SMARTCONNECT6OUT_wdata),
    .SMARTCONNECT6OUT_wlast(SMARTCONNECT6OUT_wlast),
    .SMARTCONNECT6OUT_wready(SMARTCONNECT6OUT_wready),
    .SMARTCONNECT6OUT_wstrb(SMARTCONNECT6OUT_wstrb),
    .SMARTCONNECT6OUT_wuser(SMARTCONNECT6OUT_wuser),
    .SMARTCONNECT6OUT_wvalid(SMARTCONNECT6OUT_wvalid),
    .SMARTCONNEC6INMUX_araddr(w_SMARTCONNECT6INMUX_araddr),
    .SMARTCONNEC6INMUX_arburst(w_SMARTCONNECT6INMUX_arburst),
    .SMARTCONNEC6INMUX_arcache(w_SMARTCONNECT6INMUX_arcache),
    .SMARTCONNEC6INMUX_arid(w_SMARTCONNECT6INMUX_arid),
    .SMARTCONNEC6INMUX_arlen(w_SMARTCONNECT6INMUX_arlen),
    .SMARTCONNEC6INMUX_arlock(w_SMARTCONNECT6INMUX_arlock),
    .SMARTCONNEC6INMUX_arprot(w_SMARTCONNECT6INMUX_arprot),
    .SMARTCONNEC6INMUX_arqos(w_SMARTCONNECT6INMUX_arqos),
    .SMARTCONNEC6INMUX_arready(w_SMARTCONNECT6INMUX_arready),
    .SMARTCONNEC6INMUX_arsize(w_SMARTCONNECT6INMUX_arsize),
    .SMARTCONNEC6INMUX_aruser(w_SMARTCONNECT6INMUX_aruser),
    .SMARTCONNEC6INMUX_arvalid(w_SMARTCONNECT6INMUX_arvalid),
    .SMARTCONNEC6INMUX_awaddr(w_SMARTCONNECT6INMUX_awaddr),
    .SMARTCONNEC6INMUX_awburst(w_SMARTCONNECT6INMUX_awburst),
    .SMARTCONNEC6INMUX_awcache(w_SMARTCONNECT6INMUX_awcache),
    .SMARTCONNEC6INMUX_awid(w_SMARTCONNECT6INMUX_awid),
    .SMARTCONNEC6INMUX_awlen(w_SMARTCONNECT6INMUX_awlen),
    .SMARTCONNEC6INMUX_awlock(w_SMARTCONNECT6INMUX_awlock),
    .SMARTCONNEC6INMUX_awprot(w_SMARTCONNECT6INMUX_awprot),
    .SMARTCONNEC6INMUX_awqos(w_SMARTCONNECT6INMUX_awqos),
    .SMARTCONNEC6INMUX_awready(w_SMARTCONNECT6INMUX_awready),
    .SMARTCONNEC6INMUX_awsize(w_SMARTCONNECT6INMUX_awsize),
    .SMARTCONNEC6INMUX_awuser(w_SMARTCONNECT6INMUX_awuser),
    .SMARTCONNEC6INMUX_awvalid(w_SMARTCONNECT6INMUX_awvalid),
    .SMARTCONNEC6INMUX_bid(w_SMARTCONNECT6INMUX_bid),
    .SMARTCONNEC6INMUX_bready(w_SMARTCONNECT6INMUX_bready),
    .SMARTCONNEC6INMUX_bresp(w_SMARTCONNECT6INMUX_bresp),
    .SMARTCONNEC6INMUX_buser(w_SMARTCONNECT6INMUX_buser),
    .SMARTCONNEC6INMUX_bvalid(w_SMARTCONNECT6INMUX_bvalid),
    .SMARTCONNEC6INMUX_rdata(w_SMARTCONNECT6INMUX_rdata),
    .SMARTCONNEC6INMUX_rid(w_SMARTCONNECT6INMUX_rid),
    .SMARTCONNEC6INMUX_rlast(w_SMARTCONNECT6INMUX_rlast),
    .SMARTCONNEC6INMUX_rready(w_SMARTCONNECT6INMUX_rready),
    .SMARTCONNEC6INMUX_rresp(w_SMARTCONNECT6INMUX_rresp),
    .SMARTCONNEC6INMUX_ruser(w_SMARTCONNECT6INMUX_ruser),
    .SMARTCONNEC6INMUX_rvalid(w_SMARTCONNECT6INMUX_rvalid),
    .SMARTCONNEC6INMUX_wdata(w_SMARTCONNECT6INMUX_wdata),
    .SMARTCONNEC6INMUX_wlast(w_SMARTCONNECT6INMUX_wlast),
    .SMARTCONNEC6INMUX_wready(w_SMARTCONNECT6INMUX_wready),
    .SMARTCONNEC6INMUX_wstrb(w_SMARTCONNECT6INMUX_wstrb),
    .SMARTCONNEC6INMUX_wuser(w_SMARTCONNECT6INMUX_wuser),
    .SMARTCONNEC6INMUX_wvalid(w_SMARTCONNECT6INMUX_wvalid),
    .I_PSPLFPD128X32_araddr({20'h0,w_dmux_PSPLFPD128X32_araddr}),
    .I_PSPLFPD128X32_arburst(w_dmux_PSPLFPD128X32_arburst),
    .I_PSPLFPD128X32_arcache(w_dmux_PSPLFPD128X32_arcache),
    .I_PSPLFPD128X32_arid(w_dmux_PSPLFPD128X32_arid),
    .I_PSPLFPD128X32_arlen(w_dmux_PSPLFPD128X32_arlen),
    .I_PSPLFPD128X32_arlock(w_dmux_PSPLFPD128X32_arlock),
    .I_PSPLFPD128X32_arprot(w_dmux_PSPLFPD128X32_arprot),
    .I_PSPLFPD128X32_arqos(w_dmux_PSPLFPD128X32_arqos),
    .I_PSPLFPD128X32_arready(w_dmux_PSPLFPD128X32_arready),
    .I_PSPLFPD128X32_arsize(w_dmux_PSPLFPD128X32_arsize),
    .I_PSPLFPD128X32_aruser(w_dmux_PSPLFPD128X32_aruser),
    .I_PSPLFPD128X32_arvalid(w_dmux_PSPLFPD128X32_arvalid),
    .I_PSPLFPD128X32_awaddr({20'h0,w_dmux_PSPLFPD128X32_awaddr}),
    .I_PSPLFPD128X32_awburst(w_dmux_PSPLFPD128X32_awburst),
    .I_PSPLFPD128X32_awcache(w_dmux_PSPLFPD128X32_awcache),
    .I_PSPLFPD128X32_awid(w_dmux_PSPLFPD128X32_awid),
    .I_PSPLFPD128X32_awlen(w_dmux_PSPLFPD128X32_awlen),
    .I_PSPLFPD128X32_awlock(w_dmux_PSPLFPD128X32_awlock),
    .I_PSPLFPD128X32_awprot(w_dmux_PSPLFPD128X32_awprot),
    .I_PSPLFPD128X32_awqos(w_dmux_PSPLFPD128X32_awqos),
    .I_PSPLFPD128X32_awready(w_dmux_PSPLFPD128X32_awready),
    .I_PSPLFPD128X32_awsize(w_dmux_PSPLFPD128X32_awsize),
    .I_PSPLFPD128X32_awuser(w_dmux_PSPLFPD128X32_awuser),
    .I_PSPLFPD128X32_awvalid(w_dmux_PSPLFPD128X32_awvalid),
    .I_PSPLFPD128X32_bid(w_dmux_PSPLFPD128X32_bid),
    .I_PSPLFPD128X32_bready(w_dmux_PSPLFPD128X32_bready),
    .I_PSPLFPD128X32_bresp(w_dmux_PSPLFPD128X32_bresp),
    .I_PSPLFPD128X32_buser(w_dmux_PSPLFPD128X32_buser),
    .I_PSPLFPD128X32_bvalid(w_dmux_PSPLFPD128X32_bvalid),
    .I_PSPLFPD128X32_rdata(w_dmux_PSPLFPD128X32_rdata),
    .I_PSPLFPD128X32_rid(w_dmux_PSPLFPD128X32_rid),
    .I_PSPLFPD128X32_rlast(w_dmux_PSPLFPD128X32_rlast),
    .I_PSPLFPD128X32_rready(w_dmux_PSPLFPD128X32_rready),
    .I_PSPLFPD128X32_rresp(w_dmux_PSPLFPD128X32_rresp),
    .I_PSPLFPD128X32_ruser(w_dmux_PSPLFPD128X32_ruser),
    .I_PSPLFPD128X32_rvalid(w_dmux_PSPLFPD128X32_rvalid),
    .I_PSPLFPD128X32_wdata(w_dmux_PSPLFPD128X32_wdata),
    .I_PSPLFPD128X32_wlast(w_dmux_PSPLFPD128X32_wlast),
    .I_PSPLFPD128X32_wready(w_dmux_PSPLFPD128X32_wready),
    .I_PSPLFPD128X32_wstrb(w_dmux_PSPLFPD128X32_wstrb),
    .I_PSPLFPD128X32_wuser(w_dmux_PSPLFPD128X32_wuser),
    .I_PSPLFPD128X32_wvalid(w_dmux_PSPLFPD128X32_wvalid),
    .I_PSPLFPD128X64_araddr({20'h0,w_dmux_PSPLFPD128X64_araddr}),
    .I_PSPLFPD128X64_arburst(w_dmux_PSPLFPD128X64_arburst),
    .I_PSPLFPD128X64_arcache(w_dmux_PSPLFPD128X64_arcache),
    .I_PSPLFPD128X64_arid(w_dmux_PSPLFPD128X64_arid),
    .I_PSPLFPD128X64_arlen(w_dmux_PSPLFPD128X64_arlen),
    .I_PSPLFPD128X64_arlock(w_dmux_PSPLFPD128X64_arlock),
    .I_PSPLFPD128X64_arprot(w_dmux_PSPLFPD128X64_arprot),
    .I_PSPLFPD128X64_arqos(w_dmux_PSPLFPD128X64_arqos),
    .I_PSPLFPD128X64_arready(w_dmux_PSPLFPD128X64_arready),
    .I_PSPLFPD128X64_arsize(w_dmux_PSPLFPD128X64_arsize),
    .I_PSPLFPD128X64_aruser(w_dmux_PSPLFPD128X64_aruser),
    .I_PSPLFPD128X64_arvalid(w_dmux_PSPLFPD128X64_arvalid),
    .I_PSPLFPD128X64_awaddr({20'h0,w_dmux_PSPLFPD128X64_awaddr}),
    .I_PSPLFPD128X64_awburst(w_dmux_PSPLFPD128X64_awburst),
    .I_PSPLFPD128X64_awcache(w_dmux_PSPLFPD128X64_awcache),
    .I_PSPLFPD128X64_awid(w_dmux_PSPLFPD128X64_awid),
    .I_PSPLFPD128X64_awlen(w_dmux_PSPLFPD128X64_awlen),
    .I_PSPLFPD128X64_awlock(w_dmux_PSPLFPD128X64_awlock),
    .I_PSPLFPD128X64_awprot(w_dmux_PSPLFPD128X64_awprot),
    .I_PSPLFPD128X64_awqos(w_dmux_PSPLFPD128X64_awqos),
    .I_PSPLFPD128X64_awready(w_dmux_PSPLFPD128X64_awready),
    .I_PSPLFPD128X64_awsize(w_dmux_PSPLFPD128X64_awsize),
    .I_PSPLFPD128X64_awuser(w_dmux_PSPLFPD128X64_awuser),
    .I_PSPLFPD128X64_awvalid(w_dmux_PSPLFPD128X64_awvalid),
    .I_PSPLFPD128X64_bid(w_dmux_PSPLFPD128X64_bid),
    .I_PSPLFPD128X64_bready(w_dmux_PSPLFPD128X64_bready),
    .I_PSPLFPD128X64_bresp(w_dmux_PSPLFPD128X64_bresp),
    .I_PSPLFPD128X64_buser(w_dmux_PSPLFPD128X64_buser),
    .I_PSPLFPD128X64_bvalid(w_dmux_PSPLFPD128X64_bvalid),
    .I_PSPLFPD128X64_rdata(w_dmux_PSPLFPD128X64_rdata),
    .I_PSPLFPD128X64_rid(w_dmux_PSPLFPD128X64_rid),
    .I_PSPLFPD128X64_rlast(w_dmux_PSPLFPD128X64_rlast),
    .I_PSPLFPD128X64_rready(w_dmux_PSPLFPD128X64_rready),
    .I_PSPLFPD128X64_rresp(w_dmux_PSPLFPD128X64_rresp),
    .I_PSPLFPD128X64_ruser(w_dmux_PSPLFPD128X64_ruser),
    .I_PSPLFPD128X64_rvalid(w_dmux_PSPLFPD128X64_rvalid),
    .I_PSPLFPD128X64_wdata(w_dmux_PSPLFPD128X64_wdata),
    .I_PSPLFPD128X64_wlast(w_dmux_PSPLFPD128X64_wlast),
    .I_PSPLFPD128X64_wready(w_dmux_PSPLFPD128X64_wready),
    .I_PSPLFPD128X64_wstrb(w_dmux_PSPLFPD128X64_wstrb),
    .I_PSPLFPD128X64_wuser(w_dmux_PSPLFPD128X64_wuser),
    .I_PSPLFPD128X64_wvalid(w_dmux_PSPLFPD128X64_wvalid),
    .I_PSPLLPD128X32_araddr({20'h0,w_dmux_PSPLLPD128X32_araddr}),
    .I_PSPLLPD128X32_arburst(w_dmux_PSPLLPD128X32_arburst),
    .I_PSPLLPD128X32_arcache(w_dmux_PSPLLPD128X32_arcache),
    .I_PSPLLPD128X32_arid(w_dmux_PSPLLPD128X32_arid),
    .I_PSPLLPD128X32_arlen(w_dmux_PSPLLPD128X32_arlen),
    .I_PSPLLPD128X32_arlock(w_dmux_PSPLLPD128X32_arlock),
    .I_PSPLLPD128X32_arprot(w_dmux_PSPLLPD128X32_arprot),
    .I_PSPLLPD128X32_arqos(w_dmux_PSPLLPD128X32_arqos),
    .I_PSPLLPD128X32_arready(w_dmux_PSPLLPD128X32_arready),
    .I_PSPLLPD128X32_arsize(w_dmux_PSPLLPD128X32_arsize),
    .I_PSPLLPD128X32_aruser(w_dmux_PSPLLPD128X32_aruser),
    .I_PSPLLPD128X32_arvalid(w_dmux_PSPLLPD128X32_arvalid),
    .I_PSPLLPD128X32_awaddr({20'h0,w_dmux_PSPLLPD128X32_awaddr}),
    .I_PSPLLPD128X32_awburst(w_dmux_PSPLLPD128X32_awburst),
    .I_PSPLLPD128X32_awcache(w_dmux_PSPLLPD128X32_awcache),
    .I_PSPLLPD128X32_awid(w_dmux_PSPLLPD128X32_awid),
    .I_PSPLLPD128X32_awlen(w_dmux_PSPLLPD128X32_awlen),
    .I_PSPLLPD128X32_awlock(w_dmux_PSPLLPD128X32_awlock),
    .I_PSPLLPD128X32_awprot(w_dmux_PSPLLPD128X32_awprot),
    .I_PSPLLPD128X32_awqos(w_dmux_PSPLLPD128X32_awqos),
    .I_PSPLLPD128X32_awready(w_dmux_PSPLLPD128X32_awready),
    .I_PSPLLPD128X32_awsize(w_dmux_PSPLLPD128X32_awsize),
    .I_PSPLLPD128X32_awuser(w_dmux_PSPLLPD128X32_awuser),
    .I_PSPLLPD128X32_awvalid(w_dmux_PSPLLPD128X32_awvalid),
    .I_PSPLLPD128X32_bid(w_dmux_PSPLLPD128X32_bid),
    .I_PSPLLPD128X32_bready(w_dmux_PSPLLPD128X32_bready),
    .I_PSPLLPD128X32_bresp(w_dmux_PSPLLPD128X32_bresp),
    .I_PSPLLPD128X32_buser(w_dmux_PSPLLPD128X32_buser),
    .I_PSPLLPD128X32_bvalid(w_dmux_PSPLLPD128X32_bvalid),
    .I_PSPLLPD128X32_rdata(w_dmux_PSPLLPD128X32_rdata),
    .I_PSPLLPD128X32_rid(w_dmux_PSPLLPD128X32_rid),
    .I_PSPLLPD128X32_rlast(w_dmux_PSPLLPD128X32_rlast),
    .I_PSPLLPD128X32_rready(w_dmux_PSPLLPD128X32_rready),
    .I_PSPLLPD128X32_rresp(w_dmux_PSPLLPD128X32_rresp),
    .I_PSPLLPD128X32_ruser(w_dmux_PSPLLPD128X32_ruser),
    .I_PSPLLPD128X32_rvalid(w_dmux_PSPLLPD128X32_rvalid),
    .I_PSPLLPD128X32_wdata(w_dmux_PSPLLPD128X32_wdata),
    .I_PSPLLPD128X32_wlast(w_dmux_PSPLLPD128X32_wlast),
    .I_PSPLLPD128X32_wready(w_dmux_PSPLLPD128X32_wready),
    .I_PSPLLPD128X32_wstrb(w_dmux_PSPLLPD128X32_wstrb),
    .I_PSPLLPD128X32_wuser(w_dmux_PSPLLPD128X32_wuser),
    .I_PSPLLPD128X32_wvalid(w_dmux_PSPLLPD128X32_wvalid),
    .I_PSPLLPD128X64_araddr({20'h0,w_dmux_PSPLLPD128X64_araddr}),
    .I_PSPLLPD128X64_arburst(w_dmux_PSPLLPD128X64_arburst),
    .I_PSPLLPD128X64_arcache(w_dmux_PSPLLPD128X64_arcache),
    .I_PSPLLPD128X64_arid(w_dmux_PSPLLPD128X64_arid),
    .I_PSPLLPD128X64_arlen(w_dmux_PSPLLPD128X64_arlen),
    .I_PSPLLPD128X64_arlock(w_dmux_PSPLLPD128X64_arlock),
    .I_PSPLLPD128X64_arprot(w_dmux_PSPLLPD128X64_arprot),
    .I_PSPLLPD128X64_arqos(w_dmux_PSPLLPD128X64_arqos),
    .I_PSPLLPD128X64_arready(w_dmux_PSPLLPD128X64_arready),
    .I_PSPLLPD128X64_arsize(w_dmux_PSPLLPD128X64_arsize),
    .I_PSPLLPD128X64_aruser(w_dmux_PSPLLPD128X64_aruser),
    .I_PSPLLPD128X64_arvalid(w_dmux_PSPLLPD128X64_arvalid),
    .I_PSPLLPD128X64_awaddr({20'h0,w_dmux_PSPLLPD128X64_awaddr}),
    .I_PSPLLPD128X64_awburst(w_dmux_PSPLLPD128X64_awburst),
    .I_PSPLLPD128X64_awcache(w_dmux_PSPLLPD128X64_awcache),
    .I_PSPLLPD128X64_awid(w_dmux_PSPLLPD128X64_awid),
    .I_PSPLLPD128X64_awlen(w_dmux_PSPLLPD128X64_awlen),
    .I_PSPLLPD128X64_awlock(w_dmux_PSPLLPD128X64_awlock),
    .I_PSPLLPD128X64_awprot(w_dmux_PSPLLPD128X64_awprot),
    .I_PSPLLPD128X64_awqos(w_dmux_PSPLLPD128X64_awqos),
    .I_PSPLLPD128X64_awready(w_dmux_PSPLLPD128X64_awready),
    .I_PSPLLPD128X64_awsize(w_dmux_PSPLLPD128X64_awsize),
    .I_PSPLLPD128X64_awuser(w_dmux_PSPLLPD128X64_awuser),
    .I_PSPLLPD128X64_awvalid(w_dmux_PSPLLPD128X64_awvalid),
    .I_PSPLLPD128X64_bid(w_dmux_PSPLLPD128X64_bid),
    .I_PSPLLPD128X64_bready(w_dmux_PSPLLPD128X64_bready),
    .I_PSPLLPD128X64_bresp(w_dmux_PSPLLPD128X64_bresp),
    .I_PSPLLPD128X64_buser(w_dmux_PSPLLPD128X64_buser),
    .I_PSPLLPD128X64_bvalid(w_dmux_PSPLLPD128X64_bvalid),
    .I_PSPLLPD128X64_rdata(w_dmux_PSPLLPD128X64_rdata),
    .I_PSPLLPD128X64_rid(w_dmux_PSPLLPD128X64_rid),
    .I_PSPLLPD128X64_rlast(w_dmux_PSPLLPD128X64_rlast),
    .I_PSPLLPD128X64_rready(w_dmux_PSPLLPD128X64_rready),
    .I_PSPLLPD128X64_rresp(w_dmux_PSPLLPD128X64_rresp),
    .I_PSPLLPD128X64_ruser(w_dmux_PSPLLPD128X64_ruser),
    .I_PSPLLPD128X64_rvalid(w_dmux_PSPLLPD128X64_rvalid),
    .I_PSPLLPD128X64_wdata(w_dmux_PSPLLPD128X64_wdata),
    .I_PSPLLPD128X64_wlast(w_dmux_PSPLLPD128X64_wlast),
    .I_PSPLLPD128X64_wready(w_dmux_PSPLLPD128X64_wready),
    .I_PSPLLPD128X64_wstrb(w_dmux_PSPLLPD128X64_wstrb),
    .I_PSPLLPD128X64_wuser(w_dmux_PSPLLPD128X64_wuser),
    .I_PSPLLPD128X64_wvalid(w_dmux_PSPLLPD128X64_wvalid),
    .O_PSPLFPD128X32_araddr(w_mux_PSPLFPD128X32_araddr),
    .O_PSPLFPD128X32_arburst(w_mux_PSPLFPD128X32_arburst),
    .O_PSPLFPD128X32_arcache(w_mux_PSPLFPD128X32_arcache),
    .O_PSPLFPD128X32_arlen(w_mux_PSPLFPD128X32_arlen),
    .O_PSPLFPD128X32_arlock(w_mux_PSPLFPD128X32_arlock),
    .O_PSPLFPD128X32_arprot(w_mux_PSPLFPD128X32_arprot),
    .O_PSPLFPD128X32_arqos(w_mux_PSPLFPD128X32_arqos),
    .O_PSPLFPD128X32_arready(w_mux_PSPLFPD128X32_arready),
    .O_PSPLFPD128X32_arsize(w_mux_PSPLFPD128X32_arsize),
    .O_PSPLFPD128X32_aruser(w_mux_PSPLFPD128X32_aruser),
    .O_PSPLFPD128X32_arvalid(w_mux_PSPLFPD128X32_arvalid),
    .O_PSPLFPD128X32_awaddr(w_mux_PSPLFPD128X32_awaddr),
    .O_PSPLFPD128X32_awburst(w_mux_PSPLFPD128X32_awburst),
    .O_PSPLFPD128X32_awcache(w_mux_PSPLFPD128X32_awcache),
    .O_PSPLFPD128X32_awlen(w_mux_PSPLFPD128X32_awlen),
    .O_PSPLFPD128X32_awlock(w_mux_PSPLFPD128X32_awlock),
    .O_PSPLFPD128X32_awprot(w_mux_PSPLFPD128X32_awprot),
    .O_PSPLFPD128X32_awqos(w_mux_PSPLFPD128X32_awqos),
    .O_PSPLFPD128X32_awready(w_mux_PSPLFPD128X32_awready),
    .O_PSPLFPD128X32_awsize(w_mux_PSPLFPD128X32_awsize),
    .O_PSPLFPD128X32_awuser(w_mux_PSPLFPD128X32_awuser),
    .O_PSPLFPD128X32_awvalid(w_mux_PSPLFPD128X32_awvalid),
    .O_PSPLFPD128X32_bready(w_mux_PSPLFPD128X32_bready),
    .O_PSPLFPD128X32_bresp(w_mux_PSPLFPD128X32_bresp),
    .O_PSPLFPD128X32_buser(w_mux_PSPLFPD128X32_buser),
    .O_PSPLFPD128X32_bvalid(w_mux_PSPLFPD128X32_bvalid),
    .O_PSPLFPD128X32_rdata(w_mux_PSPLFPD128X32_rdata),
    .O_PSPLFPD128X32_rlast(w_mux_PSPLFPD128X32_rlast),
    .O_PSPLFPD128X32_rready(w_mux_PSPLFPD128X32_rready),
    .O_PSPLFPD128X32_rresp(w_mux_PSPLFPD128X32_rresp),
    .O_PSPLFPD128X32_ruser(w_mux_PSPLFPD128X32_ruser),
    .O_PSPLFPD128X32_rvalid(w_mux_PSPLFPD128X32_rvalid),
    .O_PSPLFPD128X32_wdata(w_mux_PSPLFPD128X32_wdata),
    .O_PSPLFPD128X32_wlast(w_mux_PSPLFPD128X32_wlast),
    .O_PSPLFPD128X32_wready(w_mux_PSPLFPD128X32_wready),
    .O_PSPLFPD128X32_wstrb(w_mux_PSPLFPD128X32_wstrb),
    .O_PSPLFPD128X32_wuser(w_mux_PSPLFPD128X32_wuser),
    .O_PSPLFPD128X32_wvalid(w_mux_PSPLFPD128X32_wvalid),
    .O_PSPLFPD128X64_araddr(w_mux_PSPLFPD128X64_araddr),
    .O_PSPLFPD128X64_arburst(w_mux_PSPLFPD128X64_arburst),
    .O_PSPLFPD128X64_arcache(w_mux_PSPLFPD128X64_arcache),
    .O_PSPLFPD128X64_arlen(w_mux_PSPLFPD128X64_arlen),
    .O_PSPLFPD128X64_arlock(w_mux_PSPLFPD128X64_arlock),
    .O_PSPLFPD128X64_arprot(w_mux_PSPLFPD128X64_arprot),
    .O_PSPLFPD128X64_arqos(w_mux_PSPLFPD128X64_arqos),
    .O_PSPLFPD128X64_arready(w_mux_PSPLFPD128X64_arready),
    .O_PSPLFPD128X64_arsize(w_mux_PSPLFPD128X64_arsize),
    .O_PSPLFPD128X64_aruser(w_mux_PSPLFPD128X64_aruser),
    .O_PSPLFPD128X64_arvalid(w_mux_PSPLFPD128X64_arvalid),
    .O_PSPLFPD128X64_awaddr(w_mux_PSPLFPD128X64_awaddr),
    .O_PSPLFPD128X64_awburst(w_mux_PSPLFPD128X64_awburst),
    .O_PSPLFPD128X64_awcache(w_mux_PSPLFPD128X64_awcache),
    .O_PSPLFPD128X64_awlen(w_mux_PSPLFPD128X64_awlen),
    .O_PSPLFPD128X64_awlock(w_mux_PSPLFPD128X64_awlock),
    .O_PSPLFPD128X64_awprot(w_mux_PSPLFPD128X64_awprot),
    .O_PSPLFPD128X64_awqos(w_mux_PSPLFPD128X64_awqos),
    .O_PSPLFPD128X64_awready(w_mux_PSPLFPD128X64_awready),
    .O_PSPLFPD128X64_awsize(w_mux_PSPLFPD128X64_awsize),
    .O_PSPLFPD128X64_awuser(w_mux_PSPLFPD128X64_awuser),
    .O_PSPLFPD128X64_awvalid(w_mux_PSPLFPD128X64_awvalid),
    .O_PSPLFPD128X64_bready(w_mux_PSPLFPD128X64_bready),
    .O_PSPLFPD128X64_bresp(w_mux_PSPLFPD128X64_bresp),
    .O_PSPLFPD128X64_buser(w_mux_PSPLFPD128X64_buser),
    .O_PSPLFPD128X64_bvalid(w_mux_PSPLFPD128X64_bvalid),
    .O_PSPLFPD128X64_rdata(w_mux_PSPLFPD128X64_rdata),
    .O_PSPLFPD128X64_rlast(w_mux_PSPLFPD128X64_rlast),
    .O_PSPLFPD128X64_rready(w_mux_PSPLFPD128X64_rready),
    .O_PSPLFPD128X64_rresp(w_mux_PSPLFPD128X64_rresp),
    .O_PSPLFPD128X64_ruser(w_mux_PSPLFPD128X64_ruser),
    .O_PSPLFPD128X64_rvalid(w_mux_PSPLFPD128X64_rvalid),
    .O_PSPLFPD128X64_wdata(w_mux_PSPLFPD128X64_wdata),
    .O_PSPLFPD128X64_wlast(w_mux_PSPLFPD128X64_wlast),
    .O_PSPLFPD128X64_wready(w_mux_PSPLFPD128X64_wready),
    .O_PSPLFPD128X64_wstrb(w_mux_PSPLFPD128X64_wstrb),
    .O_PSPLFPD128X64_wuser(w_mux_PSPLFPD128X64_wuser),
    .O_PSPLFPD128X64_wvalid(w_mux_PSPLFPD128X64_wvalid),
    .O_PSPLLPD128X32_araddr(w_mux_PSPLLPD128X32_araddr),
    .O_PSPLLPD128X32_arburst(w_mux_PSPLLPD128X32_arburst),
    .O_PSPLLPD128X32_arcache(w_mux_PSPLLPD128X32_arcache),
    .O_PSPLLPD128X32_arlen(w_mux_PSPLLPD128X32_arlen),
    .O_PSPLLPD128X32_arlock(w_mux_PSPLLPD128X32_arlock),
    .O_PSPLLPD128X32_arprot(w_mux_PSPLLPD128X32_arprot),
    .O_PSPLLPD128X32_arqos(w_mux_PSPLLPD128X32_arqos),
    .O_PSPLLPD128X32_arready(w_mux_PSPLLPD128X32_arready),
    .O_PSPLLPD128X32_arsize(w_mux_PSPLLPD128X32_arsize),
    .O_PSPLLPD128X32_aruser(w_mux_PSPLLPD128X32_aruser),
    .O_PSPLLPD128X32_arvalid(w_mux_PSPLLPD128X32_arvalid),
    .O_PSPLLPD128X32_awaddr(w_mux_PSPLLPD128X32_awaddr),
    .O_PSPLLPD128X32_awburst(w_mux_PSPLLPD128X32_awburst),
    .O_PSPLLPD128X32_awcache(w_mux_PSPLLPD128X32_awcache),
    .O_PSPLLPD128X32_awlen(w_mux_PSPLLPD128X32_awlen),
    .O_PSPLLPD128X32_awlock(w_mux_PSPLLPD128X32_awlock),
    .O_PSPLLPD128X32_awprot(w_mux_PSPLLPD128X32_awprot),
    .O_PSPLLPD128X32_awqos(w_mux_PSPLLPD128X32_awqos),
    .O_PSPLLPD128X32_awready(w_mux_PSPLLPD128X32_awready),
    .O_PSPLLPD128X32_awsize(w_mux_PSPLLPD128X32_awsize),
    .O_PSPLLPD128X32_awuser(w_mux_PSPLLPD128X32_awuser),
    .O_PSPLLPD128X32_awvalid(w_mux_PSPLLPD128X32_awvalid),
    .O_PSPLLPD128X32_bready(w_mux_PSPLLPD128X32_bready),
    .O_PSPLLPD128X32_bresp(w_mux_PSPLLPD128X32_bresp),
    .O_PSPLLPD128X32_buser(w_mux_PSPLLPD128X32_buser),
    .O_PSPLLPD128X32_bvalid(w_mux_PSPLLPD128X32_bvalid),
    .O_PSPLLPD128X32_rdata(w_mux_PSPLLPD128X32_rdata),
    .O_PSPLLPD128X32_rlast(w_mux_PSPLLPD128X32_rlast),
    .O_PSPLLPD128X32_rready(w_mux_PSPLLPD128X32_rready),
    .O_PSPLLPD128X32_rresp(w_mux_PSPLLPD128X32_rresp),
    .O_PSPLLPD128X32_ruser(w_mux_PSPLLPD128X32_ruser),
    .O_PSPLLPD128X32_rvalid(w_mux_PSPLLPD128X32_rvalid),
    .O_PSPLLPD128X32_wdata(w_mux_PSPLLPD128X32_wdata),
    .O_PSPLLPD128X32_wlast(w_mux_PSPLLPD128X32_wlast),
    .O_PSPLLPD128X32_wready(w_mux_PSPLLPD128X32_wready),
    .O_PSPLLPD128X32_wstrb(w_mux_PSPLLPD128X32_wstrb),
    .O_PSPLLPD128X32_wuser(w_mux_PSPLLPD128X32_wuser),
    .O_PSPLLPD128X32_wvalid(w_mux_PSPLLPD128X32_wvalid),
    .O_PSPLLPD128X64_araddr(w_mux_PSPLLPD128X64_araddr),
    .O_PSPLLPD128X64_arburst(w_mux_PSPLLPD128X64_arburst),
    .O_PSPLLPD128X64_arcache(w_mux_PSPLLPD128X64_arcache),
    .O_PSPLLPD128X64_arlen(w_mux_PSPLLPD128X64_arlen),
    .O_PSPLLPD128X64_arlock(w_mux_PSPLLPD128X64_arlock),
    .O_PSPLLPD128X64_arprot(w_mux_PSPLLPD128X64_arprot),
    .O_PSPLLPD128X64_arqos(w_mux_PSPLLPD128X64_arqos),
    .O_PSPLLPD128X64_arready(w_mux_PSPLLPD128X64_arready),
    .O_PSPLLPD128X64_arsize(w_mux_PSPLLPD128X64_arsize),
    .O_PSPLLPD128X64_aruser(w_mux_PSPLLPD128X64_aruser),
    .O_PSPLLPD128X64_arvalid(w_mux_PSPLLPD128X64_arvalid),
    .O_PSPLLPD128X64_awaddr(w_mux_PSPLLPD128X64_awaddr),
    .O_PSPLLPD128X64_awburst(w_mux_PSPLLPD128X64_awburst),
    .O_PSPLLPD128X64_awcache(w_mux_PSPLLPD128X64_awcache),
    .O_PSPLLPD128X64_awlen(w_mux_PSPLLPD128X64_awlen),
    .O_PSPLLPD128X64_awlock(w_mux_PSPLLPD128X64_awlock),
    .O_PSPLLPD128X64_awprot(w_mux_PSPLLPD128X64_awprot),
    .O_PSPLLPD128X64_awqos(w_mux_PSPLLPD128X64_awqos),
    .O_PSPLLPD128X64_awready(w_mux_PSPLLPD128X64_awready),
    .O_PSPLLPD128X64_awsize(w_mux_PSPLLPD128X64_awsize),
    .O_PSPLLPD128X64_awuser(w_mux_PSPLLPD128X64_awuser),
    .O_PSPLLPD128X64_awvalid(w_mux_PSPLLPD128X64_awvalid),
    .O_PSPLLPD128X64_bready(w_mux_PSPLLPD128X64_bready),
    .O_PSPLLPD128X64_bresp(w_mux_PSPLLPD128X64_bresp),
    .O_PSPLLPD128X64_buser(w_mux_PSPLLPD128X64_buser),
    .O_PSPLLPD128X64_bvalid(w_mux_PSPLLPD128X64_bvalid),
    .O_PSPLLPD128X64_rdata(w_mux_PSPLLPD128X64_rdata),
    .O_PSPLLPD128X64_rlast(w_mux_PSPLLPD128X64_rlast),
    .O_PSPLLPD128X64_rready(w_mux_PSPLLPD128X64_rready),
    .O_PSPLLPD128X64_rresp(w_mux_PSPLLPD128X64_rresp),
    .O_PSPLLPD128X64_ruser(w_mux_PSPLLPD128X64_ruser),
    .O_PSPLLPD128X64_rvalid(w_mux_PSPLLPD128X64_rvalid),
    .O_PSPLLPD128X64_wdata(w_mux_PSPLLPD128X64_wdata),
    .O_PSPLLPD128X64_wlast(w_mux_PSPLLPD128X64_wlast),
    .O_PSPLLPD128X64_wready(w_mux_PSPLLPD128X64_wready),
    .O_PSPLLPD128X64_wstrb(w_mux_PSPLLPD128X64_wstrb),
    .O_PSPLLPD128X64_wuser(w_mux_PSPLLPD128X64_wuser),
    .O_PSPLLPD128X64_wvalid(w_mux_PSPLLPD128X64_wvalid),
    .APB_M_0_paddr(IFPSOCM2APBPADDR),
    .APB_M_0_penable(IFPSOCM2APBPENABLE),
    .APB_M_0_pprot(IFPSOCM2APBPPROT),
    .APB_M_0_prdata(IFPSOCM2APBPRDATA),
    .APB_M_0_pready(IFPSOCM2APBPREADY),
    .APB_M_0_psel(IFPSOCM2APBPSEL),
    .APB_M_0_pslverr(IFPSOCM2APBPSLVERR),
    .APB_M_0_pstrb(IFPSOCM2APBPSTRB),
    .APB_M_0_pwdata(IFPSOCM2APBPWDATA),
    .APB_M_0_pwrite(IFPSOCM2APBPWRITE),
    .S00_AXI_0_araddr(w_S00_AXI_0_araddr),
    .S00_AXI_0_arburst(w_S00_AXI_0_arburst),
    .S00_AXI_0_arcache(w_S00_AXI_0_arcache),
    .S00_AXI_0_arlen(w_S00_AXI_0_arlen),
    .S00_AXI_0_arlock(w_S00_AXI_0_arlock),
    .S00_AXI_0_arprot(w_S00_AXI_0_arprot),
    .S00_AXI_0_arqos(w_S00_AXI_0_arqos),
    .S00_AXI_0_arready(w_S00_AXI_0_arready),
    .S00_AXI_0_arsize(w_S00_AXI_0_arsize),
    .S00_AXI_0_arvalid(w_S00_AXI_0_arvalid),
    .S00_AXI_0_awaddr(w_S00_AXI_0_awaddr),
    .S00_AXI_0_awburst(w_S00_AXI_0_awburst),
    .S00_AXI_0_awcache(w_S00_AXI_0_awcache),
    .S00_AXI_0_awlen(w_S00_AXI_0_awlen),
    .S00_AXI_0_awlock(w_S00_AXI_0_awlock),
    .S00_AXI_0_awprot(w_S00_AXI_0_awprot),
    .S00_AXI_0_awqos(w_S00_AXI_0_awqos),
    .S00_AXI_0_awready(w_S00_AXI_0_awready),
    .S00_AXI_0_awsize(w_S00_AXI_0_awsize),
    .S00_AXI_0_awvalid(w_S00_AXI_0_awvalid),
    .S00_AXI_0_bready(w_S00_AXI_0_bready),
    .S00_AXI_0_bresp(w_S00_AXI_0_bresp),
    .S00_AXI_0_bvalid(w_S00_AXI_0_bvalid),
    .S00_AXI_0_rdata(w_S00_AXI_0_rdata),
    .S00_AXI_0_rlast(w_S00_AXI_0_rlast),
    .S00_AXI_0_rready(w_S00_AXI_0_rready),
    .S00_AXI_0_rresp(w_S00_AXI_0_rresp),
    .S00_AXI_0_rvalid(w_S00_AXI_0_rvalid),
    .S00_AXI_0_wdata(w_S00_AXI_0_wdata),
    .S00_AXI_0_wlast(w_S00_AXI_0_wlast),
    .S00_AXI_0_wready(w_S00_AXI_0_wready),
    .S00_AXI_0_wstrb(w_S00_AXI_0_wstrb),
    .S00_AXI_0_wvalid(w_S00_AXI_0_wvalid),
    .aclk_0(aclk_0),
    .aresetn_0(aresetn_0));

endmodule // : versal_cips_ps_vip_v1_0_11_mux_design


/******************************************************************************
 * File : versal_cips_ps_vip_v1_0_11_vip.sv
 *
 * Date : 2015-16
 *
 * Description : versal_cips_ps_vip Top (VERSAL_CIPS_PS VIP top)
 *
 *****************************************************************************/
 `timescale 1ns/1ps

module versal_cips_ps_vip_v1_0_11
  (
  output [7:0] ADMA2PLCACK,
  output [7:0] ADMA2PLTVLD,
  output CCI_NOC_0,
  output CCI_NOC_1,
  output CCI_NOC_2,
  output CCI_NOC_3,
  output CFUEOS,
  output CPMOSCCLKDIV2,
  output CPUR5AXICLK,
  output EMIOCAN0PHYTX,
  output EMIOCAN1PHYTX,
  output [1:0] EMIOENET0DMABUSWIDTH,
  output EMIOENET0DMATXENDTOG,
  output [93:0] EMIOENET0GEMTSUTIMERCNT,
  output [7:0] EMIOENET0GMIITXD,
  output EMIOENET0GMIITXEN,
  output EMIOENET0GMIITXER,
  output EMIOENET0MDIOMDC,
  output EMIOENET0MDIOO,
  output EMIOENET0MDIOTN,
  output [7:0] EMIOENET0RXWDATA,
  output EMIOENET0RXWEOP,
  output EMIOENET0RXWERR,
  output EMIOENET0RXWFLUSH,
  output EMIOENET0RXWSOP,
  output [44:0] EMIOENET0RXWSTATUS,
  output EMIOENET0RXWWR,
  output [3:0] EMIOENET0SPEEDMODE,
  output [1:0] EMIOENET0TXRRD,
  output [3:0] EMIOENET0TXRSTATUS,
  output [1:0] EMIOENET1DMABUSWIDTH,
  output EMIOENET1DMATXENDTOG,
  output [7:0] EMIOENET1GMIITXD,
  output EMIOENET1GMIITXEN,
  output EMIOENET1GMIITXER,
  output EMIOENET1MDIOMDC,
  output EMIOENET1MDIOO,
  output EMIOENET1MDIOTN,
  output [7:0] EMIOENET1RXWDATA,
  output EMIOENET1RXWEOP,
  output EMIOENET1RXWERR,
  output EMIOENET1RXWFLUSH,
  output EMIOENET1RXWSOP,
  output [44:0] EMIOENET1RXWSTATUS,
  output EMIOENET1RXWWR,
  output [3:0] EMIOENET1SPEEDMODE,
  output [1:0] EMIOENET1TXRRD,
  output [3:0] EMIOENET1TXRSTATUS,
  output EMIOGEM0DELAYREQRX,
  output EMIOGEM0DELAYREQTX,
  output EMIOGEM0PDELAYREQRX,
  output EMIOGEM0PDELAYREQTX,
  output EMIOGEM0PDELAYRESPRX,
  output EMIOGEM0PDELAYRESPTX,
  output EMIOGEM0RXSOF,
  output EMIOGEM0SYNCFRAMERX,
  output EMIOGEM0SYNCFRAMETX,
  output EMIOGEM0TSUTIMERCMPVAL,
  output EMIOGEM0TXRFIXEDLAT,
  output EMIOGEM0TXSOF,
  output EMIOGEM1DELAYREQRX,
  output EMIOGEM1DELAYREQTX,
  output EMIOGEM1PDELAYREQRX,
  output EMIOGEM1PDELAYREQTX,
  output EMIOGEM1PDELAYRESPRX,
  output EMIOGEM1PDELAYRESPTX,
  output EMIOGEM1RXSOF,
  output EMIOGEM1SYNCFRAMERX,
  output EMIOGEM1SYNCFRAMETX,
  output EMIOGEM1TSUTIMERCMPVAL,
  output EMIOGEM1TXRFIXEDLAT,
  output EMIOGEM1TXSOF,
  output [31:0] EMIOGPIO2O,
  output [31:0] EMIOGPIO2TN,
  output EMIOI2C0SCLO,
  output EMIOI2C0SCLTN,
  output EMIOI2C0SDAO,
  output EMIOI2C0SDATN,
  output EMIOI2C1SCLO,
  output EMIOI2C1SCLTN,
  output EMIOI2C1SDAO,
  output EMIOI2C1SDATN,
  output EMIOSPI0MO,
  output EMIOSPI0MOTN,
  output EMIOSPI0SCLKO,
  output EMIOSPI0SCLKTN,
  output EMIOSPI0SO,
  output EMIOSPI0SSNTN,
  output [2:0] EMIOSPI0SSON,
  output EMIOSPI0STN,
  output EMIOSPI1MO,
  output EMIOSPI1MOTN,
  output EMIOSPI1SCLKO,
  output EMIOSPI1SCLKTN,
  output EMIOSPI1SO,
  output EMIOSPI1SSNTN,
  output [2:0] EMIOSPI1SSON,
  output EMIOSPI1STN,
  output [2:0] EMIOTTC0WAVEO,
  output [2:0] EMIOTTC1WAVEO,
  output [2:0] EMIOTTC2WAVEO,
  output [2:0] EMIOTTC3WAVEO,
  output EMIOU2DSPORTVBUSCTRLUSB30,
  output FMIOFPDGWDTWS0,
  output FMIOFPDGWDTWS1,
  output [25:0] FMIOFPDLPDEMIOIN,
  output FMIOFPDWWDTINTERRUPT,
  output FMIOFPDWWDTRESET,
  output FMIOFPDWWDTRESETPENDING,
  output [3:0] FMIOGEM0ADDMATCHVEC,
  output FMIOGEM0RXDATABUFWRQ0,
  output FMIOGEM0RXDATABUFWRQ1,
  output [3:0] FMIOGEM0RXWQUEUE,
  output [3:0] FMIOGEM0TXRQUEUE,
  output [77:0] FMIOGEM0TXRTIMESTAMP,
  output [3:0] FMIOGEM1ADDMATCHVEC,
  output FMIOGEM1RXDATABUFWRQ0,
  output FMIOGEM1RXDATABUFWRQ1,
  output [3:0] FMIOGEM1RXWQUEUE,
  output [3:0] FMIOGEM1TXRQUEUE,
  output [77:0] FMIOGEM1TXRTIMESTAMP,
  output [63:0] FMIOGPIOOEN,
  output [63:0] FMIOGPIOOUT,
  output FMIOGWDTWS0,
  output FMIOGWDTWS1,
  output FMIOI2CSCLOEN,
  output FMIOI2CSCLOUT,
  output FMIOI2CSDAOEN,
  output FMIOI2CSDAOUT,
  output [51:0] FMIOLPDPMCEMIOIN,
  output FMIOSD0BUSPOWEROUT,
  output [2:0] FMIOSD0BUSVOLTAGEOUT,
  output FMIOSD0DLLTESTCLK0,
  output FMIOSD0DLLTESTCLKRX,
  output FMIOSD0DLLTESTCLKTX,
  output [7:0] FMIOSD0DLLTESTOUT,
  output FMIOSD0LEDCONTROLOUT,
  output FMIOSD0SDIFCLKOUT,
  output FMIOSD0SDIFCMDOE,
  output FMIOSD0SDIFCMDOUT,
  output [7:0] FMIOSD0SDIFDATOE,
  output [7:0] FMIOSD0SDIFDATOUT,
  output FMIOSD1BUSPOWEROUT,
  output [2:0] FMIOSD1BUSVOLTAGEOUT,
  output FMIOSD1DLLTESTCLK0,
  output FMIOSD1DLLTESTCLKRX,
  output FMIOSD1DLLTESTCLKTX,
  output [7:0] FMIOSD1DLLTESTOUT,
  output FMIOSD1LEDCONTROLOUT,
  output FMIOSD1SDIFCLKOUT,
  output FMIOSD1SDIFCMDOE,
  output FMIOSD1SDIFCMDOUT,
  output [7:0] FMIOSD1SDIFDATOE,
  output [7:0] FMIOSD1SDIFDATOUT,
  output FMIOSYSMONI2CSCLTRIB,
  output FMIOSYSMONI2CSDATRIB,
  output FMIOSYSMONI2CSMBALERTTRIB,
  output FMIOUART0NSIROUT,
  output FMIOUART0NUARTDTR,
  output FMIOUART0NUARTOUT1,
  output FMIOUART0NUARTOUT2,
  output FMIOUART0NUARTRTS,
  output FMIOUART0TXD,
  output FMIOUART1NSIROUT,
  output FMIOUART1NUARTDTR,
  output FMIOUART1NUARTOUT1,
  output FMIOUART1NUARTOUT2,
  output FMIOUART1NUARTRTS,
  output FMIOUART1TXD,
  output FMIOWWDTINTERRUPT,
  output FMIOWWDTRESET,
  output FMIOWWDTRESETPENDING,
  output [1:0] HSMREFCLK,  
  output IFCPMPSAXI0ARREADY,
  output IFCPMPSAXI0AWREADY,
  output [15:0] IFCPMPSAXI0BID,
  output [1:0] IFCPMPSAXI0BRESP,
  output [0:0] IFCPMPSAXI0BUSER,
  output IFCPMPSAXI0BVALID,
  output [127:0] IFCPMPSAXI0RDATA,
  output [15:0] IFCPMPSAXI0RID,
  output [0:0] IFCPMPSAXI0RLAST,
  output [1:0] IFCPMPSAXI0RRESP,
  output [17:0] IFCPMPSAXI0RUSER,
  output IFCPMPSAXI0RVALID,
  output IFCPMPSAXI0WREADY,
  output IFCPMPSAXI1ARREADY,
  output IFCPMPSAXI1AWREADY,
  output [15:0] IFCPMPSAXI1BID,
  output [1:0] IFCPMPSAXI1BRESP,
  output [15:0] IFCPMPSAXI1BUSER,
  output IFCPMPSAXI1BVALID,
  output [127:0] IFCPMPSAXI1RDATA,
  output [15:0] IFCPMPSAXI1RID,
  output [0:0] IFCPMPSAXI1RLAST,
  output [1:0] IFCPMPSAXI1RRESP,
  output [16:0] IFCPMPSAXI1RUSER,
  output IFCPMPSAXI1RVALID,
  output IFCPMPSAXI1WREADY,
  output IFNOCPMCAXI0ARREADY,
  output IFNOCPMCAXI0AWREADY,
  output [1:0] IFNOCPMCAXI0BID,
  output [1:0] IFNOCPMCAXI0BRESP,
  output [15:0] IFNOCPMCAXI0BUSER,
  output IFNOCPMCAXI0BVALID,
  output [127:0] IFNOCPMCAXI0RDATA,
  output [1:0] IFNOCPMCAXI0RID,
  output [0:0] IFNOCPMCAXI0RLAST,
  output [1:0] IFNOCPMCAXI0RRESP,
  output [16:0] IFNOCPMCAXI0RUSER,
  output IFNOCPMCAXI0RVALID,
  output IFNOCPMCAXI0WREADY,
  output IFNOCPSCCIAXI0ARREADY,
  output IFNOCPSCCIAXI0AWREADY,
  output [1:0] IFNOCPSCCIAXI0BID,
  output [1:0] IFNOCPSCCIAXI0BRESP,
  output [15:0] IFNOCPSCCIAXI0BUSER,
  output IFNOCPSCCIAXI0BVALID,
  output [127:0] IFNOCPSCCIAXI0RDATA,
  output [1:0] IFNOCPSCCIAXI0RID,
  output [0:0] IFNOCPSCCIAXI0RLAST,
  output [1:0] IFNOCPSCCIAXI0RRESP,
  output [16:0] IFNOCPSCCIAXI0RUSER,
  output IFNOCPSCCIAXI0RVALID,
  output IFNOCPSCCIAXI0WREADY,
  output IFNOCPSCCIAXI1ARREADY,
  output IFNOCPSCCIAXI1AWREADY,
  output [1:0] IFNOCPSCCIAXI1BID,
  output [1:0] IFNOCPSCCIAXI1BRESP,
  output [15:0] IFNOCPSCCIAXI1BUSER,
  output IFNOCPSCCIAXI1BVALID,
  output [127:0] IFNOCPSCCIAXI1RDATA,
  output [1:0] IFNOCPSCCIAXI1RID,
  output [0:0] IFNOCPSCCIAXI1RLAST,
  output [1:0] IFNOCPSCCIAXI1RRESP,
  output [16:0] IFNOCPSCCIAXI1RUSER,
  output IFNOCPSCCIAXI1RVALID,
  output IFNOCPSCCIAXI1WREADY,
  output IFNOCPSNCIAXI0ARREADY,
  output IFNOCPSNCIAXI0AWREADY,
  output [1:0] IFNOCPSNCIAXI0BID,
  output [1:0] IFNOCPSNCIAXI0BRESP,
  output [15:0] IFNOCPSNCIAXI0BUSER,
  output IFNOCPSNCIAXI0BVALID,
  output [127:0] IFNOCPSNCIAXI0RDATA,
  output [1:0] IFNOCPSNCIAXI0RID,
  output [0:0] IFNOCPSNCIAXI0RLAST,
  output [1:0] IFNOCPSNCIAXI0RRESP,
  output [16:0] IFNOCPSNCIAXI0RUSER,
  output IFNOCPSNCIAXI0RVALID,
  output IFNOCPSNCIAXI0WREADY,
  output IFNOCPSNCIAXI1ARREADY,
  output IFNOCPSNCIAXI1AWREADY,
  output [1:0] IFNOCPSNCIAXI1BID,
  output [1:0] IFNOCPSNCIAXI1BRESP,
  output [15:0] IFNOCPSNCIAXI1BUSER,
  output IFNOCPSNCIAXI1BVALID,
  output [127:0] IFNOCPSNCIAXI1RDATA,
  output [1:0] IFNOCPSNCIAXI1RID,
  output [0:0] IFNOCPSNCIAXI1RLAST,
  output [1:0] IFNOCPSNCIAXI1RRESP,
  output [16:0] IFNOCPSNCIAXI1RUSER,
  output IFNOCPSNCIAXI1RVALID,
  output IFNOCPSNCIAXI1WREADY,
  output IFNOCPSPCIAXI0ARREADY,
  output IFNOCPSPCIAXI0AWREADY,
  output [1:0] IFNOCPSPCIAXI0BID,
  output [1:0] IFNOCPSPCIAXI0BRESP,
  output [15:0] IFNOCPSPCIAXI0BUSER,
  output IFNOCPSPCIAXI0BVALID,
  output [127:0] IFNOCPSPCIAXI0RDATA,
  output [1:0] IFNOCPSPCIAXI0RID,
  output [0:0] IFNOCPSPCIAXI0RLAST,
  output [1:0] IFNOCPSPCIAXI0RRESP,
  output [16:0] IFNOCPSPCIAXI0RUSER,
  output IFNOCPSPCIAXI0RVALID,
  output IFNOCPSPCIAXI0WREADY,
  output IFPMCCFUSEUCFUSEUCRCERROR,
  output IFPMCCFUSEUCFUSEUECCERROR,
  output IFPMCCFUSEUCFUSEUENDOFCALIB,
  output IFPMCCFUSEUCFUSEUHALTED,
  output IFPMCCFUSEUCFUSEUHEARTBEAT,
  output [63:0] IFPMCNOCAXI0ARADDR,
  output [1:0] IFPMCNOCAXI0ARBURST,
  output [3:0] IFPMCNOCAXI0ARCACHE,
  output [15:0] IFPMCNOCAXI0ARID,
  output [7:0] IFPMCNOCAXI0ARLEN,
  output [0:0] IFPMCNOCAXI0ARLOCK,
  output [2:0] IFPMCNOCAXI0ARPROT,
  output [3:0] IFPMCNOCAXI0ARQOS,
  output [3:0] IFPMCNOCAXI0ARREGION,
  output [2:0] IFPMCNOCAXI0ARSIZE,
  output [17:0] IFPMCNOCAXI0ARUSER,
  output IFPMCNOCAXI0ARVALID,
  output [63:0] IFPMCNOCAXI0AWADDR,
  output [1:0] IFPMCNOCAXI0AWBURST,
  output [3:0] IFPMCNOCAXI0AWCACHE,
  output [15:0] IFPMCNOCAXI0AWID,
  output [7:0] IFPMCNOCAXI0AWLEN,
  output [0:0] IFPMCNOCAXI0AWLOCK,
  output [2:0] IFPMCNOCAXI0AWPROT,
  output [3:0] IFPMCNOCAXI0AWQOS,
  output [3:0] IFPMCNOCAXI0AWREGION,
  output [2:0] IFPMCNOCAXI0AWSIZE,
  output [17:0] IFPMCNOCAXI0AWUSER,
  output IFPMCNOCAXI0AWVALID,
  output IFPMCNOCAXI0BREADY,
  output IFPMCNOCAXI0RREADY,
  output [127:0] IFPMCNOCAXI0WDATA,
  output [15:0] IFPMCNOCAXI0WID,
  output [0:0] IFPMCNOCAXI0WLAST,
  output [15:0] IFPMCNOCAXI0WSTRB,
  output [16:0] IFPMCNOCAXI0WUSER,
  output IFPMCNOCAXI0WVALID,
  output [63:0] IFPSCPMCFGAXIARADDR,
  output [1:0] IFPSCPMCFGAXIARBURST,
  output [3:0] IFPSCPMCFGAXIARCACHE,
  output [15:0] IFPSCPMCFGAXIARID,
  output [7:0] IFPSCPMCFGAXIARLEN,
  output [0:0] IFPSCPMCFGAXIARLOCK,
  output [2:0] IFPSCPMCFGAXIARPROT,
  output [3:0] IFPSCPMCFGAXIARQOS,
  output [3:0] IFPSCPMCFGAXIARREGION,
  output [2:0] IFPSCPMCFGAXIARSIZE,
  output [15:0] IFPSCPMCFGAXIARUSER,
  output IFPSCPMCFGAXIARVALID,
  output [63:0] IFPSCPMCFGAXIAWADDR,
  output [1:0] IFPSCPMCFGAXIAWBURST,
  output [3:0] IFPSCPMCFGAXIAWCACHE,
  output [15:0] IFPSCPMCFGAXIAWID,
  output [7:0] IFPSCPMCFGAXIAWLEN,
  output [0:0] IFPSCPMCFGAXIAWLOCK,
  output [2:0] IFPSCPMCFGAXIAWPROT,
  output [3:0] IFPSCPMCFGAXIAWQOS,
  output [3:0] IFPSCPMCFGAXIAWREGION,
  output [2:0] IFPSCPMCFGAXIAWSIZE,
  output [15:0] IFPSCPMCFGAXIAWUSER,
  output IFPSCPMCFGAXIAWVALID,
  output IFPSCPMCFGAXIBREADY,
  output IFPSCPMCFGAXIRREADY,
  output [31:0] IFPSCPMCFGAXIWDATA,
  output [15:0] IFPSCPMCFGAXIWID,
  output [0:0] IFPSCPMCFGAXIWLAST,
  output [3:0] IFPSCPMCFGAXIWSTRB,
  output [5:0] IFPSCPMCFGAXIWUSER,
  output IFPSCPMCFGAXIWVALID,
  output [1:0] IFPSCPMCHANNEL0XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL0XPIPERXPOLARITY,
  output IFPSCPMCHANNEL0XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL0XPIPETXCHARISK,
  output IFPSCPMCHANNEL0XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL0XPIPETXDATA,
  output IFPSCPMCHANNEL0XPIPETXDATAVALID,
  output IFPSCPMCHANNEL0XPIPETXDEEMPH,
  output IFPSCPMCHANNEL0XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL0XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL0XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL0XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL0XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL0XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL0XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL0XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL0XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL10XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL10XPIPERXPOLARITY,
  output IFPSCPMCHANNEL10XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL10XPIPETXCHARISK,
  output IFPSCPMCHANNEL10XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL10XPIPETXDATA,
  output IFPSCPMCHANNEL10XPIPETXDATAVALID,
  output IFPSCPMCHANNEL10XPIPETXDEEMPH,
  output IFPSCPMCHANNEL10XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL10XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL10XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL10XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL10XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL10XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL10XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL10XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL10XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL11XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL11XPIPERXPOLARITY,
  output IFPSCPMCHANNEL11XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL11XPIPETXCHARISK,
  output IFPSCPMCHANNEL11XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL11XPIPETXDATA,
  output IFPSCPMCHANNEL11XPIPETXDATAVALID,
  output IFPSCPMCHANNEL11XPIPETXDEEMPH,
  output IFPSCPMCHANNEL11XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL11XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL11XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL11XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL11XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL11XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL11XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL11XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL11XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL12XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL12XPIPERXPOLARITY,
  output IFPSCPMCHANNEL12XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL12XPIPETXCHARISK,
  output IFPSCPMCHANNEL12XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL12XPIPETXDATA,
  output IFPSCPMCHANNEL12XPIPETXDATAVALID,
  output IFPSCPMCHANNEL12XPIPETXDEEMPH,
  output IFPSCPMCHANNEL12XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL12XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL12XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL12XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL12XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL12XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL12XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL12XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL12XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL13XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL13XPIPERXPOLARITY,
  output IFPSCPMCHANNEL13XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL13XPIPETXCHARISK,
  output IFPSCPMCHANNEL13XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL13XPIPETXDATA,
  output IFPSCPMCHANNEL13XPIPETXDATAVALID,
  output IFPSCPMCHANNEL13XPIPETXDEEMPH,
  output IFPSCPMCHANNEL13XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL13XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL13XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL13XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL13XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL13XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL13XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL13XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL13XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL14XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL14XPIPERXPOLARITY,
  output IFPSCPMCHANNEL14XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL14XPIPETXCHARISK,
  output IFPSCPMCHANNEL14XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL14XPIPETXDATA,
  output IFPSCPMCHANNEL14XPIPETXDATAVALID,
  output IFPSCPMCHANNEL14XPIPETXDEEMPH,
  output IFPSCPMCHANNEL14XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL14XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL14XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL14XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL14XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL14XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL14XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL14XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL14XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL15XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL15XPIPERXPOLARITY,
  output IFPSCPMCHANNEL15XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL15XPIPETXCHARISK,
  output IFPSCPMCHANNEL15XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL15XPIPETXDATA,
  output IFPSCPMCHANNEL15XPIPETXDATAVALID,
  output IFPSCPMCHANNEL15XPIPETXDEEMPH,
  output IFPSCPMCHANNEL15XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL15XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL15XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL15XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL15XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL15XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL15XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL15XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL15XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL1XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL1XPIPERXPOLARITY,
  output IFPSCPMCHANNEL1XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL1XPIPETXCHARISK,
  output IFPSCPMCHANNEL1XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL1XPIPETXDATA,
  output IFPSCPMCHANNEL1XPIPETXDATAVALID,
  output IFPSCPMCHANNEL1XPIPETXDEEMPH,
  output IFPSCPMCHANNEL1XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL1XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL1XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL1XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL1XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL1XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL1XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL1XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL1XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL2XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL2XPIPERXPOLARITY,
  output IFPSCPMCHANNEL2XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL2XPIPETXCHARISK,
  output IFPSCPMCHANNEL2XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL2XPIPETXDATA,
  output IFPSCPMCHANNEL2XPIPETXDATAVALID,
  output IFPSCPMCHANNEL2XPIPETXDEEMPH,
  output IFPSCPMCHANNEL2XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL2XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL2XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL2XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL2XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL2XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL2XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL2XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL2XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL3XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL3XPIPERXPOLARITY,
  output IFPSCPMCHANNEL3XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL3XPIPETXCHARISK,
  output IFPSCPMCHANNEL3XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL3XPIPETXDATA,
  output IFPSCPMCHANNEL3XPIPETXDATAVALID,
  output IFPSCPMCHANNEL3XPIPETXDEEMPH,
  output IFPSCPMCHANNEL3XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL3XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL3XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL3XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL3XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL3XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL3XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL3XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL3XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL4XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL4XPIPERXPOLARITY,
  output IFPSCPMCHANNEL4XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL4XPIPETXCHARISK,
  output IFPSCPMCHANNEL4XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL4XPIPETXDATA,
  output IFPSCPMCHANNEL4XPIPETXDATAVALID,
  output IFPSCPMCHANNEL4XPIPETXDEEMPH,
  output IFPSCPMCHANNEL4XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL4XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL4XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL4XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL4XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL4XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL4XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL4XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL4XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL5XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL5XPIPERXPOLARITY,
  output IFPSCPMCHANNEL5XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL5XPIPETXCHARISK,
  output IFPSCPMCHANNEL5XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL5XPIPETXDATA,
  output IFPSCPMCHANNEL5XPIPETXDATAVALID,
  output IFPSCPMCHANNEL5XPIPETXDEEMPH,
  output IFPSCPMCHANNEL5XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL5XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL5XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL5XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL5XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL5XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL5XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL5XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL5XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL6XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL6XPIPERXPOLARITY,
  output IFPSCPMCHANNEL6XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL6XPIPETXCHARISK,
  output IFPSCPMCHANNEL6XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL6XPIPETXDATA,
  output IFPSCPMCHANNEL6XPIPETXDATAVALID,
  output IFPSCPMCHANNEL6XPIPETXDEEMPH,
  output IFPSCPMCHANNEL6XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL6XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL6XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL6XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL6XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL6XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL6XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL6XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL6XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL7XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL7XPIPERXPOLARITY,
  output IFPSCPMCHANNEL7XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL7XPIPETXCHARISK,
  output IFPSCPMCHANNEL7XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL7XPIPETXDATA,
  output IFPSCPMCHANNEL7XPIPETXDATAVALID,
  output IFPSCPMCHANNEL7XPIPETXDEEMPH,
  output IFPSCPMCHANNEL7XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL7XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL7XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL7XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL7XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL7XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL7XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL7XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL7XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL8XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL8XPIPERXPOLARITY,
  output IFPSCPMCHANNEL8XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL8XPIPETXCHARISK,
  output IFPSCPMCHANNEL8XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL8XPIPETXDATA,
  output IFPSCPMCHANNEL8XPIPETXDATAVALID,
  output IFPSCPMCHANNEL8XPIPETXDEEMPH,
  output IFPSCPMCHANNEL8XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL8XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL8XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL8XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL8XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL8XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL8XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL8XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL8XPIPETXSYNCHEADER,
  output [1:0] IFPSCPMCHANNEL9XPIPEPOWERDOWN,
  output IFPSCPMCHANNEL9XPIPERXPOLARITY,
  output IFPSCPMCHANNEL9XPIPERXTERMINATION,
  output [1:0] IFPSCPMCHANNEL9XPIPETXCHARISK,
  output IFPSCPMCHANNEL9XPIPETXCOMPLIANCE,
  output [31:0] IFPSCPMCHANNEL9XPIPETXDATA,
  output IFPSCPMCHANNEL9XPIPETXDATAVALID,
  output IFPSCPMCHANNEL9XPIPETXDEEMPH,
  output IFPSCPMCHANNEL9XPIPETXDETECTRXLOOPBACK,
  output IFPSCPMCHANNEL9XPIPETXELECIDLE,
  output [6:0] IFPSCPMCHANNEL9XPIPETXMAINCURSOR,
  output [2:0] IFPSCPMCHANNEL9XPIPETXMARGIN,
  output [4:0] IFPSCPMCHANNEL9XPIPETXPOSTCURSOR,
  output [4:0] IFPSCPMCHANNEL9XPIPETXPRECURSOR,
  output IFPSCPMCHANNEL9XPIPETXSTARTBLOCK,
  output IFPSCPMCHANNEL9XPIPETXSWING,
  output [1:0] IFPSCPMCHANNEL9XPIPETXSYNCHEADER,
  output IFPSCPMHSDPCHANNEL0XPIPERXGEARBOXSLIP,
  output IFPSCPMHSDPCHANNEL0XPIPERXPCSRESET,
  output [1:0] IFPSCPMHSDPCHANNEL0XPIPETXHEADER,
  output [6:0] IFPSCPMHSDPCHANNEL0XPIPETXSEQUENCE,
  output IFPSCPMHSDPCHANNEL1XPIPERXGEARBOXSLIP,
  output IFPSCPMHSDPCHANNEL1XPIPERXPCSRESET,
  output [1:0] IFPSCPMHSDPCHANNEL1XPIPETXHEADER,
  output [6:0] IFPSCPMHSDPCHANNEL1XPIPETXSEQUENCE,
  output IFPSCPMHSDPCHANNEL2XPIPERXGEARBOXSLIP,
  output IFPSCPMHSDPCHANNEL2XPIPERXPCSRESET,
  output [1:0] IFPSCPMHSDPCHANNEL2XPIPETXHEADER,
  output [6:0] IFPSCPMHSDPCHANNEL2XPIPETXSEQUENCE,
  output IFPSCPMHSDPLINKXPIPEGTRXUSRCLK,
  output IFPSCPMINTQUADXPIPEPHYREADYFRBOT,
  output IFPSCPMLINK0XPIPEGTPIPECLK,
  output IFPSCPMLINK0XPIPEPCIELINKREACHTARGET,
  output [5:0] IFPSCPMLINK0XPIPEPCIELTSSMSTATE,
  output IFPSCPMLINK0XPIPEPCIEPERSTN,
  output IFPSCPMLINK0XPIPEPHYESMADAPTATIONSAVE,
  output [2:0] IFPSCPMLINK0XPIPEPIPERATE,
  output IFPSCPMLINK1XPIPEGTPIPECLK,
  output IFPSCPMLINK1XPIPEPCIELINKREACHTARGET,
  output [5:0] IFPSCPMLINK1XPIPEPCIELTSSMSTATE,
  output IFPSCPMLINK1XPIPEPCIEPERSTN,
  output IFPSCPMLINK1XPIPEPHYESMADAPTATIONSAVE,
  output [2:0] IFPSCPMLINK1XPIPEPIPERATE,
  output [63:0] IFPSCPMPCIEAXIARADDR,
  output [1:0] IFPSCPMPCIEAXIARBURST,
  output [3:0] IFPSCPMPCIEAXIARCACHE,
  output [15:0] IFPSCPMPCIEAXIARID,
  output [7:0] IFPSCPMPCIEAXIARLEN,
  output [0:0] IFPSCPMPCIEAXIARLOCK,
  output [2:0] IFPSCPMPCIEAXIARPROT,
  output [3:0] IFPSCPMPCIEAXIARQOS,
  output [3:0] IFPSCPMPCIEAXIARREGION,
  output [2:0] IFPSCPMPCIEAXIARSIZE,
  output [17:0] IFPSCPMPCIEAXIARUSER,
  output IFPSCPMPCIEAXIARVALID,
  output [63:0] IFPSCPMPCIEAXIAWADDR,
  output [1:0] IFPSCPMPCIEAXIAWBURST,
  output [3:0] IFPSCPMPCIEAXIAWCACHE,
  output [15:0] IFPSCPMPCIEAXIAWID,
  output [7:0] IFPSCPMPCIEAXIAWLEN,
  output [0:0] IFPSCPMPCIEAXIAWLOCK,
  output [2:0] IFPSCPMPCIEAXIAWPROT,
  output [3:0] IFPSCPMPCIEAXIAWQOS,
  output [3:0] IFPSCPMPCIEAXIAWREGION,
  output [2:0] IFPSCPMPCIEAXIAWSIZE,
  output [17:0] IFPSCPMPCIEAXIAWUSER,
  output IFPSCPMPCIEAXIAWVALID,
  output IFPSCPMPCIEAXIBREADY,
  output IFPSCPMPCIEAXIRREADY,
  output [127:0] IFPSCPMPCIEAXIWDATA,
  output [15:0] IFPSCPMPCIEAXIWID,
  output [0:0] IFPSCPMPCIEAXIWLAST,
  output [15:0] IFPSCPMPCIEAXIWSTRB,
  output [16:0] IFPSCPMPCIEAXIWUSER,
  output IFPSCPMPCIEAXIWVALID,
  output [31:0] IFPSCPMPCSRECOECO,
  output IFPSCPMPCSRPCRAPBEN,
  output IFPSCPMPCSRPCRDISNPICLK,
  output IFPSCPMPCSRPCRFABRICEN,
  output IFPSCPMPCSRPCRGATEREG,
  output IFPSCPMPCSRPCRHOLDSTATE,
  output IFPSCPMPCSRPCRINITSTATE,
  output IFPSCPMPCSRPCRMEMCLR,
  output [3:0] IFPSCPMPCSRPCRODISABLE,
  output IFPSCPMPCSRPCRPCOMPLETE,
  output IFPSCPMPCSRPCRPWRDN,
  output IFPSCPMPCSRPCRSCANCLR,
  output IFPSCPMPCSRPCRSTARTBISR,
  output IFPSCPMPCSRPCRSTARTCAL,
  output IFPSCPMPCSRPCRTRISTATE,
  output [3:0] IFPSCPMQUAD0XPIPERXMARGINREQCMD,
  output [1:0] IFPSCPMQUAD0XPIPERXMARGINREQLANENUM,
  output [7:0] IFPSCPMQUAD0XPIPERXMARGINREQPAYLOAD,
  output IFPSCPMQUAD0XPIPERXMARGINREQREQ,
  output IFPSCPMQUAD0XPIPERXMARGINRESACK,
  output [3:0] IFPSCPMQUAD1XPIPERXMARGINREQCMD,
  output [1:0] IFPSCPMQUAD1XPIPERXMARGINREQLANENUM,
  output [7:0] IFPSCPMQUAD1XPIPERXMARGINREQPAYLOAD,
  output IFPSCPMQUAD1XPIPERXMARGINREQREQ,
  output IFPSCPMQUAD1XPIPERXMARGINRESACK,
  output [3:0] IFPSCPMQUAD2XPIPERXMARGINREQCMD,
  output [1:0] IFPSCPMQUAD2XPIPERXMARGINREQLANENUM,
  output [7:0] IFPSCPMQUAD2XPIPERXMARGINREQPAYLOAD,
  output IFPSCPMQUAD2XPIPERXMARGINREQREQ,
  output IFPSCPMQUAD2XPIPERXMARGINRESACK,
  output [3:0] IFPSCPMQUAD3XPIPERXMARGINREQCMD,
  output [1:0] IFPSCPMQUAD3XPIPERXMARGINREQLANENUM,
  output [7:0] IFPSCPMQUAD3XPIPERXMARGINREQPAYLOAD,
  output IFPSCPMQUAD3XPIPERXMARGINREQREQ,
  output IFPSCPMQUAD3XPIPERXMARGINRESACK,
  output [63:0] IFPSNOCCCIAXI0ARADDR,
  output [1:0] IFPSNOCCCIAXI0ARBURST,
  output [3:0] IFPSNOCCCIAXI0ARCACHE,
  output [15:0] IFPSNOCCCIAXI0ARID,
  output [7:0] IFPSNOCCCIAXI0ARLEN,
  output [0:0] IFPSNOCCCIAXI0ARLOCK,
  output [2:0] IFPSNOCCCIAXI0ARPROT,
  output [3:0] IFPSNOCCCIAXI0ARQOS,
  output [3:0] IFPSNOCCCIAXI0ARREGION,
  output [2:0] IFPSNOCCCIAXI0ARSIZE,
  output [17:0] IFPSNOCCCIAXI0ARUSER,
  output IFPSNOCCCIAXI0ARVALID,
  output [63:0] IFPSNOCCCIAXI0AWADDR,
  output [1:0] IFPSNOCCCIAXI0AWBURST,
  output [3:0] IFPSNOCCCIAXI0AWCACHE,
  output [15:0] IFPSNOCCCIAXI0AWID,
  output [7:0] IFPSNOCCCIAXI0AWLEN,
  output [0:0] IFPSNOCCCIAXI0AWLOCK,
  output [2:0] IFPSNOCCCIAXI0AWPROT,
  output [3:0] IFPSNOCCCIAXI0AWQOS,
  output [3:0] IFPSNOCCCIAXI0AWREGION,
  output [2:0] IFPSNOCCCIAXI0AWSIZE,
  output [17:0] IFPSNOCCCIAXI0AWUSER,
  output IFPSNOCCCIAXI0AWVALID,
  output IFPSNOCCCIAXI0BREADY,
  output IFPSNOCCCIAXI0RREADY,
  output [127:0] IFPSNOCCCIAXI0WDATA,
  output [15:0] IFPSNOCCCIAXI0WID,
  output [0:0] IFPSNOCCCIAXI0WLAST,
  output [15:0] IFPSNOCCCIAXI0WSTRB,
  output [16:0] IFPSNOCCCIAXI0WUSER,
  output IFPSNOCCCIAXI0WVALID,
  output [63:0] IFPSNOCCCIAXI1ARADDR,
  output [1:0] IFPSNOCCCIAXI1ARBURST,
  output [3:0] IFPSNOCCCIAXI1ARCACHE,
  output [15:0] IFPSNOCCCIAXI1ARID,
  output [7:0] IFPSNOCCCIAXI1ARLEN,
  output [0:0] IFPSNOCCCIAXI1ARLOCK,
  output [2:0] IFPSNOCCCIAXI1ARPROT,
  output [3:0] IFPSNOCCCIAXI1ARQOS,
  output [3:0] IFPSNOCCCIAXI1ARREGION,
  output [2:0] IFPSNOCCCIAXI1ARSIZE,
  output [17:0] IFPSNOCCCIAXI1ARUSER,
  output IFPSNOCCCIAXI1ARVALID,
  output [63:0] IFPSNOCCCIAXI1AWADDR,
  output [1:0] IFPSNOCCCIAXI1AWBURST,
  output [3:0] IFPSNOCCCIAXI1AWCACHE,
  output [15:0] IFPSNOCCCIAXI1AWID,
  output [7:0] IFPSNOCCCIAXI1AWLEN,
  output [0:0] IFPSNOCCCIAXI1AWLOCK,
  output [2:0] IFPSNOCCCIAXI1AWPROT,
  output [3:0] IFPSNOCCCIAXI1AWQOS,
  output [3:0] IFPSNOCCCIAXI1AWREGION,
  output [2:0] IFPSNOCCCIAXI1AWSIZE,
  output [17:0] IFPSNOCCCIAXI1AWUSER,
  output IFPSNOCCCIAXI1AWVALID,
  output IFPSNOCCCIAXI1BREADY,
  output IFPSNOCCCIAXI1RREADY,
  output [127:0] IFPSNOCCCIAXI1WDATA,
  output [15:0] IFPSNOCCCIAXI1WID,
  output [0:0] IFPSNOCCCIAXI1WLAST,
  output [15:0] IFPSNOCCCIAXI1WSTRB,
  output [16:0] IFPSNOCCCIAXI1WUSER,
  output IFPSNOCCCIAXI1WVALID,
  output [63:0] IFPSNOCCCIAXI2ARADDR,
  output [1:0] IFPSNOCCCIAXI2ARBURST,
  output [3:0] IFPSNOCCCIAXI2ARCACHE,
  output [15:0] IFPSNOCCCIAXI2ARID,
  output [7:0] IFPSNOCCCIAXI2ARLEN,
  output [0:0] IFPSNOCCCIAXI2ARLOCK,
  output [2:0] IFPSNOCCCIAXI2ARPROT,
  output [3:0] IFPSNOCCCIAXI2ARQOS,
  output [3:0] IFPSNOCCCIAXI2ARREGION,
  output [2:0] IFPSNOCCCIAXI2ARSIZE,
  output [17:0] IFPSNOCCCIAXI2ARUSER,
  output IFPSNOCCCIAXI2ARVALID,
  output [63:0] IFPSNOCCCIAXI2AWADDR,
  output [1:0] IFPSNOCCCIAXI2AWBURST,
  output [3:0] IFPSNOCCCIAXI2AWCACHE,
  output [15:0] IFPSNOCCCIAXI2AWID,
  output [7:0] IFPSNOCCCIAXI2AWLEN,
  output [0:0] IFPSNOCCCIAXI2AWLOCK,
  output [2:0] IFPSNOCCCIAXI2AWPROT,
  output [3:0] IFPSNOCCCIAXI2AWQOS,
  output [3:0] IFPSNOCCCIAXI2AWREGION,
  output [2:0] IFPSNOCCCIAXI2AWSIZE,
  output [17:0] IFPSNOCCCIAXI2AWUSER,
  output IFPSNOCCCIAXI2AWVALID,
  output IFPSNOCCCIAXI2BREADY,
  output IFPSNOCCCIAXI2RREADY,
  output [127:0] IFPSNOCCCIAXI2WDATA,
  output [15:0] IFPSNOCCCIAXI2WID,
  output [0:0] IFPSNOCCCIAXI2WLAST,
  output [15:0] IFPSNOCCCIAXI2WSTRB,
  output [16:0] IFPSNOCCCIAXI2WUSER,
  output IFPSNOCCCIAXI2WVALID,
  output [63:0] IFPSNOCCCIAXI3ARADDR,
  output [1:0] IFPSNOCCCIAXI3ARBURST,
  output [3:0] IFPSNOCCCIAXI3ARCACHE,
  output [15:0] IFPSNOCCCIAXI3ARID,
  output [7:0] IFPSNOCCCIAXI3ARLEN,
  output [0:0] IFPSNOCCCIAXI3ARLOCK,
  output [2:0] IFPSNOCCCIAXI3ARPROT,
  output [3:0] IFPSNOCCCIAXI3ARQOS,
  output [3:0] IFPSNOCCCIAXI3ARREGION,
  output [2:0] IFPSNOCCCIAXI3ARSIZE,
  output [17:0] IFPSNOCCCIAXI3ARUSER,
  output IFPSNOCCCIAXI3ARVALID,
  output [63:0] IFPSNOCCCIAXI3AWADDR,
  output [1:0] IFPSNOCCCIAXI3AWBURST,
  output [3:0] IFPSNOCCCIAXI3AWCACHE,
  output [15:0] IFPSNOCCCIAXI3AWID,
  output [7:0] IFPSNOCCCIAXI3AWLEN,
  output [0:0] IFPSNOCCCIAXI3AWLOCK,
  output [2:0] IFPSNOCCCIAXI3AWPROT,
  output [3:0] IFPSNOCCCIAXI3AWQOS,
  output [3:0] IFPSNOCCCIAXI3AWREGION,
  output [2:0] IFPSNOCCCIAXI3AWSIZE,
  output [17:0] IFPSNOCCCIAXI3AWUSER,
  output IFPSNOCCCIAXI3AWVALID,
  output IFPSNOCCCIAXI3BREADY,
  output IFPSNOCCCIAXI3RREADY,
  output [127:0] IFPSNOCCCIAXI3WDATA,
  output [15:0] IFPSNOCCCIAXI3WID,
  output [0:0] IFPSNOCCCIAXI3WLAST,
  output [15:0] IFPSNOCCCIAXI3WSTRB,
  output [16:0] IFPSNOCCCIAXI3WUSER,
  output IFPSNOCCCIAXI3WVALID,
  output [63:0] IFPSNOCNCIAXI0ARADDR,
  output [1:0] IFPSNOCNCIAXI0ARBURST,
  output [3:0] IFPSNOCNCIAXI0ARCACHE,
  output [15:0] IFPSNOCNCIAXI0ARID,
  output [7:0] IFPSNOCNCIAXI0ARLEN,
  output [0:0] IFPSNOCNCIAXI0ARLOCK,
  output [2:0] IFPSNOCNCIAXI0ARPROT,
  output [3:0] IFPSNOCNCIAXI0ARQOS,
  output [3:0] IFPSNOCNCIAXI0ARREGION,
  output [2:0] IFPSNOCNCIAXI0ARSIZE,
  output [17:0] IFPSNOCNCIAXI0ARUSER,
  output IFPSNOCNCIAXI0ARVALID,
  output [63:0] IFPSNOCNCIAXI0AWADDR,
  output [1:0] IFPSNOCNCIAXI0AWBURST,
  output [3:0] IFPSNOCNCIAXI0AWCACHE,
  output [15:0] IFPSNOCNCIAXI0AWID,
  output [7:0] IFPSNOCNCIAXI0AWLEN,
  output [0:0] IFPSNOCNCIAXI0AWLOCK,
  output [2:0] IFPSNOCNCIAXI0AWPROT,
  output [3:0] IFPSNOCNCIAXI0AWQOS,
  output [3:0] IFPSNOCNCIAXI0AWREGION,
  output [2:0] IFPSNOCNCIAXI0AWSIZE,
  output [17:0] IFPSNOCNCIAXI0AWUSER,
  output IFPSNOCNCIAXI0AWVALID,
  output IFPSNOCNCIAXI0BREADY,
  output IFPSNOCNCIAXI0RREADY,
  output [127:0] IFPSNOCNCIAXI0WDATA,
  output [15:0] IFPSNOCNCIAXI0WID,
  output [0:0] IFPSNOCNCIAXI0WLAST,
  output [15:0] IFPSNOCNCIAXI0WSTRB,
  output [16:0] IFPSNOCNCIAXI0WUSER,
  output IFPSNOCNCIAXI0WVALID,
  output [63:0] IFPSNOCNCIAXI1ARADDR,
  output [1:0] IFPSNOCNCIAXI1ARBURST,
  output [3:0] IFPSNOCNCIAXI1ARCACHE,
  output [15:0] IFPSNOCNCIAXI1ARID,
  output [7:0] IFPSNOCNCIAXI1ARLEN,
  output [0:0] IFPSNOCNCIAXI1ARLOCK,
  output [2:0] IFPSNOCNCIAXI1ARPROT,
  output [3:0] IFPSNOCNCIAXI1ARQOS,
  output [3:0] IFPSNOCNCIAXI1ARREGION,
  output [2:0] IFPSNOCNCIAXI1ARSIZE,
  output [17:0] IFPSNOCNCIAXI1ARUSER,
  output IFPSNOCNCIAXI1ARVALID,
  output [63:0] IFPSNOCNCIAXI1AWADDR,
  output [1:0] IFPSNOCNCIAXI1AWBURST,
  output [3:0] IFPSNOCNCIAXI1AWCACHE,
  output [15:0] IFPSNOCNCIAXI1AWID,
  output [7:0] IFPSNOCNCIAXI1AWLEN,
  output [0:0] IFPSNOCNCIAXI1AWLOCK,
  output [2:0] IFPSNOCNCIAXI1AWPROT,
  output [3:0] IFPSNOCNCIAXI1AWQOS,
  output [3:0] IFPSNOCNCIAXI1AWREGION,
  output [2:0] IFPSNOCNCIAXI1AWSIZE,
  output [17:0] IFPSNOCNCIAXI1AWUSER,
  output IFPSNOCNCIAXI1AWVALID,
  output IFPSNOCNCIAXI1BREADY,
  output IFPSNOCNCIAXI1RREADY,
  output [127:0] IFPSNOCNCIAXI1WDATA,
  output [15:0] IFPSNOCNCIAXI1WID,
  output [0:0] IFPSNOCNCIAXI1WLAST,
  output [15:0] IFPSNOCNCIAXI1WSTRB,
  output [16:0] IFPSNOCNCIAXI1WUSER,
  output IFPSNOCNCIAXI1WVALID,
  output [63:0] IFPSNOCPCIAXI0ARADDR,
  output [1:0] IFPSNOCPCIAXI0ARBURST,
  output [3:0] IFPSNOCPCIAXI0ARCACHE,
  output [15:0] IFPSNOCPCIAXI0ARID,
  output [7:0] IFPSNOCPCIAXI0ARLEN,
  output [0:0] IFPSNOCPCIAXI0ARLOCK,
  output [2:0] IFPSNOCPCIAXI0ARPROT,
  output [3:0] IFPSNOCPCIAXI0ARQOS,
  output [3:0] IFPSNOCPCIAXI0ARREGION,
  output [2:0] IFPSNOCPCIAXI0ARSIZE,
  output [17:0] IFPSNOCPCIAXI0ARUSER,
  output IFPSNOCPCIAXI0ARVALID,
  output [63:0] IFPSNOCPCIAXI0AWADDR,
  output [1:0] IFPSNOCPCIAXI0AWBURST,
  output [3:0] IFPSNOCPCIAXI0AWCACHE,
  output [15:0] IFPSNOCPCIAXI0AWID,
  output [7:0] IFPSNOCPCIAXI0AWLEN,
  output [0:0] IFPSNOCPCIAXI0AWLOCK,
  output [2:0] IFPSNOCPCIAXI0AWPROT,
  output [3:0] IFPSNOCPCIAXI0AWQOS,
  output [3:0] IFPSNOCPCIAXI0AWREGION,
  output [2:0] IFPSNOCPCIAXI0AWSIZE,
  output [17:0] IFPSNOCPCIAXI0AWUSER,
  output IFPSNOCPCIAXI0AWVALID,
  output IFPSNOCPCIAXI0BREADY,
  output IFPSNOCPCIAXI0RREADY,
  output [127:0] IFPSNOCPCIAXI0WDATA,
  output [15:0] IFPSNOCPCIAXI0WID,
  output [0:0] IFPSNOCPCIAXI0WLAST,
  output [15:0] IFPSNOCPCIAXI0WSTRB,
  output [16:0] IFPSNOCPCIAXI0WUSER,
  output IFPSNOCPCIAXI0WVALID,
  output [63:0] IFPSNOCPCIAXI1ARADDR,
  output [1:0] IFPSNOCPCIAXI1ARBURST,
  output [3:0] IFPSNOCPCIAXI1ARCACHE,
  output [15:0] IFPSNOCPCIAXI1ARID,
  output [7:0] IFPSNOCPCIAXI1ARLEN,
  output [0:0] IFPSNOCPCIAXI1ARLOCK,
  output [2:0] IFPSNOCPCIAXI1ARPROT,
  output [3:0] IFPSNOCPCIAXI1ARQOS,
  output [3:0] IFPSNOCPCIAXI1ARREGION,
  output [2:0] IFPSNOCPCIAXI1ARSIZE,
  output [17:0] IFPSNOCPCIAXI1ARUSER,
  output IFPSNOCPCIAXI1ARVALID,
  output [63:0] IFPSNOCPCIAXI1AWADDR,
  output [1:0] IFPSNOCPCIAXI1AWBURST,
  output [3:0] IFPSNOCPCIAXI1AWCACHE,
  output [15:0] IFPSNOCPCIAXI1AWID,
  output [7:0] IFPSNOCPCIAXI1AWLEN,
  output [0:0] IFPSNOCPCIAXI1AWLOCK,
  output [2:0] IFPSNOCPCIAXI1AWPROT,
  output [3:0] IFPSNOCPCIAXI1AWQOS,
  output [3:0] IFPSNOCPCIAXI1AWREGION,
  output [2:0] IFPSNOCPCIAXI1AWSIZE,
  output [17:0] IFPSNOCPCIAXI1AWUSER,
  output IFPSNOCPCIAXI1AWVALID,
  output IFPSNOCPCIAXI1BREADY,
  output IFPSNOCPCIAXI1RREADY,
  output [127:0] IFPSNOCPCIAXI1WDATA,
  output [15:0] IFPSNOCPCIAXI1WID,
  output [0:0] IFPSNOCPCIAXI1WLAST,
  output [15:0] IFPSNOCPCIAXI1WSTRB,
  output [16:0] IFPSNOCPCIAXI1WUSER,
  output IFPSNOCPCIAXI1WVALID,
  output [63:0] IFPSNOCRPUAXI0ARADDR,
  output [1:0] IFPSNOCRPUAXI0ARBURST,
  output [3:0] IFPSNOCRPUAXI0ARCACHE,
  output [15:0] IFPSNOCRPUAXI0ARID,
  output [7:0] IFPSNOCRPUAXI0ARLEN,
  output [0:0] IFPSNOCRPUAXI0ARLOCK,
  output [2:0] IFPSNOCRPUAXI0ARPROT,
  output [3:0] IFPSNOCRPUAXI0ARQOS,
  output [3:0] IFPSNOCRPUAXI0ARREGION,
  output [2:0] IFPSNOCRPUAXI0ARSIZE,
  output [17:0] IFPSNOCRPUAXI0ARUSER,
  output IFPSNOCRPUAXI0ARVALID,
  output [63:0] IFPSNOCRPUAXI0AWADDR,
  output [1:0] IFPSNOCRPUAXI0AWBURST,
  output [3:0] IFPSNOCRPUAXI0AWCACHE,
  output [15:0] IFPSNOCRPUAXI0AWID,
  output [7:0] IFPSNOCRPUAXI0AWLEN,
  output [0:0] IFPSNOCRPUAXI0AWLOCK,
  output [2:0] IFPSNOCRPUAXI0AWPROT,
  output [3:0] IFPSNOCRPUAXI0AWQOS,
  output [3:0] IFPSNOCRPUAXI0AWREGION,
  output [2:0] IFPSNOCRPUAXI0AWSIZE,
  output [17:0] IFPSNOCRPUAXI0AWUSER,
  output IFPSNOCRPUAXI0AWVALID,
  output IFPSNOCRPUAXI0BREADY,
  output IFPSNOCRPUAXI0RREADY,
  output [127:0] IFPSNOCRPUAXI0WDATA,
  output [15:0] IFPSNOCRPUAXI0WID,
  output [0:0] IFPSNOCRPUAXI0WLAST,
  output [15:0] IFPSNOCRPUAXI0WSTRB,
  output [16:0] IFPSNOCRPUAXI0WUSER,
  output IFPSNOCRPUAXI0WVALID,
  output [31:0] IFPSOCM2APBPADDR,
  output IFPSOCM2APBPENABLE,
  output [2:0] IFPSOCM2APBPPROT,
  output IFPSOCM2APBPSEL,
  output [3:0] IFPSOCM2APBPSTRB,
  output [31:0] IFPSOCM2APBPWDATA,
  output IFPSOCM2APBPWRITE,
  output [63:0] IFPSOCM2AXIARADDR,
  output [1:0] IFPSOCM2AXIARBURST,
  output [3:0] IFPSOCM2AXIARCACHE,
  output [15:0] IFPSOCM2AXIARID,
  output [7:0] IFPSOCM2AXIARLEN,
  output [0:0] IFPSOCM2AXIARLOCK,
  output [2:0] IFPSOCM2AXIARPROT,
  output [3:0] IFPSOCM2AXIARQOS,
  output [3:0] IFPSOCM2AXIARREGION,
  output [2:0] IFPSOCM2AXIARSIZE,
  output [15:0] IFPSOCM2AXIARUSER,
  output IFPSOCM2AXIARVALID,
  output [63:0] IFPSOCM2AXIAWADDR,
  output [1:0] IFPSOCM2AXIAWBURST,
  output [3:0] IFPSOCM2AXIAWCACHE,
  output [15:0] IFPSOCM2AXIAWID,
  output [7:0] IFPSOCM2AXIAWLEN,
  output [0:0] IFPSOCM2AXIAWLOCK,
  output [2:0] IFPSOCM2AXIAWPROT,
  output [3:0] IFPSOCM2AXIAWQOS,
  output [3:0] IFPSOCM2AXIAWREGION,
  output [2:0] IFPSOCM2AXIAWSIZE,
  output [15:0] IFPSOCM2AXIAWUSER,
  output IFPSOCM2AXIAWVALID,
  output IFPSOCM2AXIBREADY,
  output IFPSOCM2AXIRREADY,
  output [127:0] IFPSOCM2AXIWDATA,
  output [15:0] IFPSOCM2AXIWID,
  output [0:0] IFPSOCM2AXIWLAST,
  output [15:0] IFPSOCM2AXIWSTRB,
  output [17:0] IFPSOCM2AXIWUSER,
  output IFPSOCM2AXIWVALID,
  output [3:0] IFSYSMONROOTUSERMUXADDR,
  output LPDCPMINREFCLK,
  output LPDCPMSWITCHTIMEOUTCNT,
  output LPDCPMTOPSWCLK,
  output LPDLSBUSCLK,
  output [5:0] LPDRCLKCLK,
  output [43:0] MAXIGP0ARADDR,
  output [1:0] MAXIGP0ARBURST,
  output [3:0] MAXIGP0ARCACHE,
  output [15:0] MAXIGP0ARID,
  output [7:0] MAXIGP0ARLEN,
  output MAXIGP0ARLOCK,
  output [2:0] MAXIGP0ARPROT,
  output [3:0] MAXIGP0ARQOS,
  output [2:0] MAXIGP0ARSIZE,
  output [15:0] MAXIGP0ARUSER,
  output MAXIGP0ARVALID,
  output [43:0] MAXIGP0AWADDR,
  output [1:0] MAXIGP0AWBURST,
  output [3:0] MAXIGP0AWCACHE,
  output [15:0] MAXIGP0AWID,
  output [7:0] MAXIGP0AWLEN,
  output MAXIGP0AWLOCK,
  output [2:0] MAXIGP0AWPROT,
  output [3:0] MAXIGP0AWQOS,
  output [2:0] MAXIGP0AWSIZE,
  output [15:0] MAXIGP0AWUSER,
  output MAXIGP0AWVALID,
  output MAXIGP0BREADY,
  output MAXIGP0RREADY,
  output [127:0] MAXIGP0WDATA,
  output MAXIGP0WLAST,
  output [15:0] MAXIGP0WSTRB,
  output MAXIGP0WVALID,
  output [43:0] MAXIGP2ARADDR,
  output [1:0] MAXIGP2ARBURST,
  output [3:0] MAXIGP2ARCACHE,
  output [15:0] MAXIGP2ARID,
  output [7:0] MAXIGP2ARLEN,
  output MAXIGP2ARLOCK,
  output [2:0] MAXIGP2ARPROT,
  output [3:0] MAXIGP2ARQOS,
  output [2:0] MAXIGP2ARSIZE,
  output [15:0] MAXIGP2ARUSER,
  output MAXIGP2ARVALID,
  output [43:0] MAXIGP2AWADDR,
  output [1:0] MAXIGP2AWBURST,
  output [3:0] MAXIGP2AWCACHE,
  output [15:0] MAXIGP2AWID,
  output [7:0] MAXIGP2AWLEN,
  output MAXIGP2AWLOCK,
  output [2:0] MAXIGP2AWPROT,
  output [3:0] MAXIGP2AWQOS,
  output [2:0] MAXIGP2AWSIZE,
  output [15:0] MAXIGP2AWUSER,
  output MAXIGP2AWVALID,
  output MAXIGP2BREADY,
  output MAXIGP2RREADY,
  output [127:0] MAXIGP2WDATA,
  output MAXIGP2WLAST,
  output [15:0] MAXIGP2WSTRB,
  output MAXIGP2WVALID,
  output NCI_NOC_0,
  output NCI_NOC_1,
  output NPICLK,
  output NPIRSTN,
  output OSCRTCCLK,
  output PCIE_NOC_0,
  output PCIE_NOC_1,
  output PERST0N,
  output PERST1N,
  output [63:0] PLHSDPEGRESSTDATA,
  output [7:0] PLHSDPEGRESSTKEEP,
  output PLHSDPEGRESSTLAST,
  output [11:0] PLHSDPEGRESSTUSER,
  output PLHSDPEGRESSTVALID,
  output PLHSDPINGRESSTREADY,
  output PLPSSMMUARREADY,
  output PLPSSMMUAWREADY,
  output PLPSSMMUCOMPRDREADY,
  output PLPSSMMUCOMPWRREADY,
  output PLREFCLKMUXMONITOR,
  output PLRST0N,
  output PLRST1N,
  output PLRST2N,
  output PLRST3N,
  output [63:0] PMCERRORTOPL,
  output [31:0] PMCPLGPO,
  output [9:0] PMCPLSYSMONROOTALARM,
  output [3:0] PMCPLSYSMONROOTNEWDATA,
  output [5:0] PMCRCLKCLK,
  output PMC_NOC_0,
  output PMUAIBAFIFMFPDREQ,
  output PMUAIBAFIFMLPDREQ,
  output [46:0] PMUERRORTOPL,
  output [63:0] PSMERRORTOPL,
  output PSNOCPMCAXI0CLK,
  output PSNOCPSCCIAXI0CLK,
  output PSNOCPSCCIAXI1CLK,
  output PSNOCPSNCIAXI0CLK,
  output PSNOCPSNCIAXI1CLK,
  output PSNOCPSPCIAXI0CLK,
  output PSPLAFVALID,
  output PSPLATREADY,
  output PSPLEVENTO,
  output [31:0] PSPLIRQFPD,
  output [99:0] PSPLIRQLPD,
  output [63:0] PSPLIRQPMC,
  output [1:0] PSPLSTANDBYWFE,
  output [1:0] PSPLSTANDBYWFI,
  output PSPLSYNCREQ,
  output PSPLTRACECTL,
  output [31:0] PSPLTRACEDATA,
  output [3:0] PSPLTRIGACK,
  output [3:0] PSPLTRIGGER,
  output PSPMCNOCAXI0CLK,
  output PSPSNOCCCIAXI0CLK,
  output PSPSNOCCCIAXI1CLK,
  output PSPSNOCCCIAXI2CLK,
  output PSPSNOCCCIAXI3CLK,
  output PSPSNOCNCIAXI0CLK,
  output PSPSNOCNCIAXI1CLK,
  output PSPSNOCPCIAXI0CLK,
  output PSPSNOCPCIAXI1CLK,
  output PSPSNOCRPUAXI0CLK,
  output [47:0] PSSMMUPLARADDR,
  output [3:0] PSSMMUPLARCACHE,
  output [7:0] PSSMMUPLARID,
  output PSSMMUPLARVALID,
  output [47:0] PSSMMUPLAWADDR,
  output [3:0] PSSMMUPLAWCACHE,
  output [7:0] PSSMMUPLAWID,
  output PSSMMUPLAWVALID,
  output [7:0] PSSMMUPLBID,
  output [1:0] PSSMMUPLBRESP,
  output PSSMMUPLBVALID,
  output PSSMMUPLRERR,
  output [7:0] PSSMMUPLRID,
  output PSSMMUPLRNS,
  output [1:0] PSSMMUPLRRESP,
  output PSSMMUPLRVALID,
  output PSSMMUPLWERR,
  output PSSMMUPLWNS,
  output RPUEVENTO0,
  output RPUEVENTO1,
  output RPU_NOC_0,
  output [43:0] SACEFPDACADDR,
  output [2:0] SACEFPDACPROT,
  output [3:0] SACEFPDACSNOOP,
  output SACEFPDACVALID,
  output SACEFPDARREADY,
  output SACEFPDAWREADY,
  output [5:0] SACEFPDBID,
  output [1:0] SACEFPDBRESP,
  output SACEFPDBUSER,
  output SACEFPDBVALID,
  output SACEFPDCDREADY,
  output SACEFPDCRREADY,
  output [127:0] SACEFPDRDATA,
  output [5:0] SACEFPDRID,
  output SACEFPDRLAST,
  output [3:0] SACEFPDRRESP,
  output SACEFPDRUSER,
  output SACEFPDRVALID,
  output SACEFPDWREADY,
  output SAXIACPARREADY,
  output SAXIACPAWREADY,
  output [4:0] SAXIACPBID,
  output [1:0] SAXIACPBRESP,
  output SAXIACPBVALID,
  output [127:0] SAXIACPRDATA,
  output [4:0] SAXIACPRID,
  output SAXIACPRLAST,
  output [1:0] SAXIACPRRESP,
  output SAXIACPRVALID,
  output SAXIACPWREADY,
  output SAXIGP0ARREADY,
  output SAXIGP0AWREADY,
  output [5:0] SAXIGP0BID,
  output [1:0] SAXIGP0BRESP,
  output SAXIGP0BVALID,
  output [3:0] SAXIGP0RACOUNT,
  output [7:0] SAXIGP0RCOUNT,
  output [127:0] SAXIGP0RDATA,
  output [5:0] SAXIGP0RID,
  output SAXIGP0RLAST,
  output [1:0] SAXIGP0RRESP,
  output SAXIGP0RVALID,
  output [3:0] SAXIGP0WACOUNT,
  output [7:0] SAXIGP0WCOUNT,
  output SAXIGP0WREADY,
  output SAXIGP2ARREADY,
  output SAXIGP2AWREADY,
  output [5:0] SAXIGP2BID,
  output [1:0] SAXIGP2BRESP,
  output SAXIGP2BVALID,
  output [3:0] SAXIGP2RACOUNT,
  output [7:0] SAXIGP2RCOUNT,
  output [127:0] SAXIGP2RDATA,
  output [5:0] SAXIGP2RID,
  output SAXIGP2RLAST,
  output [1:0] SAXIGP2RRESP,
  output SAXIGP2RVALID,
  output [3:0] SAXIGP2WACOUNT,
  output [7:0] SAXIGP2WCOUNT,
  output SAXIGP2WREADY,
  output SAXIGP4ARREADY,
  output SAXIGP4AWREADY,
  output [5:0] SAXIGP4BID,
  output [1:0] SAXIGP4BRESP,
  output SAXIGP4BVALID,
  output [3:0] SAXIGP4RACOUNT,
  output [7:0] SAXIGP4RCOUNT,
  output [127:0] SAXIGP4RDATA,
  output [5:0] SAXIGP4RID,
  output SAXIGP4RLAST,
  output [1:0] SAXIGP4RRESP,
  output SAXIGP4RVALID,
  output [3:0] SAXIGP4WACOUNT,
  output [7:0] SAXIGP4WCOUNT,
  output SAXIGP4WREADY,
  output [3:0] USRCAPTURE,
  output [3:0] USRDRCK,
  output [3:0] USRRESET,
  output [3:0] USRRUNTEST,
  output [3:0] USRSEL,
  output [3:0] USRSHIFT,
  output [3:0] USRTCK,
  output [3:0] USRTDI,
  output [3:0] USRTMS,
  output [3:0] USRUPDATE,

  inout PSS_PAD_DONE,
  inout PSS_PAD_ERROROUT,
  inout PSS_PAD_JTAGTCK,
  inout PSS_PAD_JTAGTDI,
  inout PSS_PAD_JTAGTDO,
  inout PSS_PAD_JTAGTMS,
  inout [25:0] PSS_PAD_LPDMIO,
  inout [3:0] PSS_PAD_MODE,
  inout [51:0] PSS_PAD_PMCMIO,
  inout PSS_PAD_PUDCB,
  inout PSS_PAD_REFCLK,
  inout PSS_PAD_RTCPADI,
  inout PSS_PAD_RTCPADO,

  input [7:0] ADMAFCICLK,
  input AIBPMUAFIFMFPDACK,
  input AIBPMUAFIFMLPDACK,
  input AXDS4COHDISABLE,
  input CFUGCAPB,
  input CFUUSRGSRB,
  input CFUUSRGTSB,
  input EMIOCAN0PHYRX,
  input EMIOCAN1PHYRX,
  input EMIOENET0DMATXSTATUSTOG,
  input EMIOENET0EXTINTIN,
  input EMIOENET0GMIICOL,
  input EMIOENET0GMIICRS,
  input EMIOENET0GMIIRXCLK,
  input [7:0] EMIOENET0GMIIRXD,
  input EMIOENET0GMIIRXDV,
  input EMIOENET0GMIIRXER,
  input EMIOENET0GMIITXCLK,
  input EMIOENET0MDIOI,
  input EMIOENET0RXWOVERFLOW,
  input EMIOENET0TXRCONTROL,
  input [7:0] EMIOENET0TXRDATA,
  input [1:0] EMIOENET0TXRDATARDY,
  input EMIOENET0TXREOP,
  input EMIOENET0TXRERR,
  input EMIOENET0TXRFLUSHED,
  input EMIOENET0TXRSOP,
  input EMIOENET0TXRUNDERFLOW,
  input EMIOENET0TXRVALID,
  input EMIOENET1DMATXSTATUSTOG,
  input EMIOENET1EXTINTIN,
  input EMIOENET1GMIICOL,
  input EMIOENET1GMIICRS,
  input EMIOENET1GMIIRXCLK,
  input [7:0] EMIOENET1GMIIRXD,
  input EMIOENET1GMIIRXDV,
  input EMIOENET1GMIIRXER,
  input EMIOENET1GMIITXCLK,
  input EMIOENET1MDIOI,
  input EMIOENET1RXWOVERFLOW,
  input EMIOENET1TXRCONTROL,
  input [7:0] EMIOENET1TXRDATA,
  input [1:0] EMIOENET1TXRDATARDY,
  input EMIOENET1TXREOP,
  input EMIOENET1TXRERR,
  input EMIOENET1TXRFLUSHED,
  input EMIOENET1TXRSOP,
  input EMIOENET1TXRUNDERFLOW,
  input EMIOENET1TXRVALID,
  input EMIOENETTSUCLK,
  input [1:0] EMIOGEM0TSUINCCTRL,
  input [1:0] EMIOGEM1TSUINCCTRL,
  input [31:0] EMIOGPIO2I,
  input EMIOHUBPORTOVERCRNTUSB20,
  input EMIOI2C0SCLI,
  input EMIOI2C0SDAI,
  input EMIOI2C1SCLI,
  input EMIOI2C1SDAI,
  input EMIOSPI0MI,
  input EMIOSPI0SCLKI,
  input EMIOSPI0SI,
  input EMIOSPI0SSIN,
  input EMIOSPI1MI,
  input EMIOSPI1SCLKI,
  input EMIOSPI1SI,
  input EMIOSPI1SSIN,
  input [2:0] EMIOTTC0CLKI,
  input [2:0] EMIOTTC1CLKI,
  input [2:0] EMIOTTC2CLKI,
  input [2:0] EMIOTTC3CLKI,
  input [25:0] FMIOFPDLPDEMIOOE,
  input [25:0] FMIOFPDLPDEMIOOUT,
  input FMIOFPDWWDTCLKIN,
  input FMIOGEM0FIFORXCLKFROMPL,
  input FMIOGEM0FIFOTXCLKFROMPL,
  input FMIOGEM1FIFORXCLKFROMPL,
  input FMIOGEM1FIFOTXCLKFROMPL,
  input FMIOGEMTSUCLKFROMPL,
  input [63:0] FMIOGPIOIN,
  input FMIOI2CSCLIN,
  input FMIOI2CSDAIN,
  input [51:0] FMIOLPDPMCEMIOOE,
  input [51:0] FMIOLPDPMCEMIOOUT,
  input [3:0] FMIOSD0DLLTESTIN,
  input FMIOSD0SDIFCDNIN,
  input FMIOSD0SDIFCMDIN,
  input [7:0] FMIOSD0SDIFDATIN,
  input FMIOSD0SDIFWPIN,
  input [3:0] FMIOSD1DLLTESTIN,
  input FMIOSD1SDIFCDNIN,
  input FMIOSD1SDIFCMDIN,
  input [7:0] FMIOSD1SDIFDATIN,
  input FMIOSD1SDIFWPIN,
  input FMIOSDIO0RXCLKIN,
  input FMIOSDIO1RXCLKIN,
  input FMIOSYSMONI2CSCLINPUT,
  input FMIOSYSMONI2CSDAINPUT,
  input FMIOUART0NUARTCTS,
  input FMIOUART0NUARTDCD,
  input FMIOUART0NUARTDSR,
  input FMIOUART0NUARTRI,
  input FMIOUART0RXD,
  input FMIOUART0SIRIN,
  input FMIOUART1NUARTCTS,
  input FMIOUART1NUARTDCD,
  input FMIOUART1NUARTDSR,
  input FMIOUART1NUARTRI,
  input FMIOUART1RXD,
  input FMIOUART1SIRIN,
  input FMIOWWDTCLKIN,
  input [31:0] FTMGPI,
  input GCAPCLK,
  input [63:0] IFCPMPSAXI0ARADDR,
  input [1:0] IFCPMPSAXI0ARBURST,
  input [3:0] IFCPMPSAXI0ARCACHE,
  input [15:0] IFCPMPSAXI0ARID,
  input [7:0] IFCPMPSAXI0ARLEN,
  input [0:0] IFCPMPSAXI0ARLOCK,
  input [2:0] IFCPMPSAXI0ARPROT,
  input [3:0] IFCPMPSAXI0ARQOS,
  input [3:0] IFCPMPSAXI0ARREGION,
  input [2:0] IFCPMPSAXI0ARSIZE,
  input [31:0] IFCPMPSAXI0ARUSER,
  input IFCPMPSAXI0ARVALID,
  input [63:0] IFCPMPSAXI0AWADDR,
  input [1:0] IFCPMPSAXI0AWBURST,
  input [3:0] IFCPMPSAXI0AWCACHE,
  input [15:0] IFCPMPSAXI0AWID,
  input [7:0] IFCPMPSAXI0AWLEN,
  input [0:0] IFCPMPSAXI0AWLOCK,
  input [2:0] IFCPMPSAXI0AWPROT,
  input [3:0] IFCPMPSAXI0AWQOS,
  input [3:0] IFCPMPSAXI0AWREGION,
  input [2:0] IFCPMPSAXI0AWSIZE,
  input [31:0] IFCPMPSAXI0AWUSER,
  input IFCPMPSAXI0AWVALID,
  input IFCPMPSAXI0BREADY,
  input IFCPMPSAXI0RREADY,
  input [127:0] IFCPMPSAXI0WDATA,
  input [15:0] IFCPMPSAXI0WID,
  input [0:0] IFCPMPSAXI0WLAST,
  input [15:0] IFCPMPSAXI0WSTRB,
  input [17:0] IFCPMPSAXI0WUSER,
  input IFCPMPSAXI0WVALID,
  input [63:0] IFCPMPSAXI1ARADDR,
  input [1:0] IFCPMPSAXI1ARBURST,
  input [3:0] IFCPMPSAXI1ARCACHE,
  input [15:0] IFCPMPSAXI1ARID,
  input [7:0] IFCPMPSAXI1ARLEN,
  input [0:0] IFCPMPSAXI1ARLOCK,
  input [2:0] IFCPMPSAXI1ARPROT,
  input [3:0] IFCPMPSAXI1ARQOS,
  input [3:0] IFCPMPSAXI1ARREGION,
  input [2:0] IFCPMPSAXI1ARSIZE,
  input [17:0] IFCPMPSAXI1ARUSER,
  input IFCPMPSAXI1ARVALID,
  input [63:0] IFCPMPSAXI1AWADDR,
  input [1:0] IFCPMPSAXI1AWBURST,
  input [3:0] IFCPMPSAXI1AWCACHE,
  input [15:0] IFCPMPSAXI1AWID,
  input [7:0] IFCPMPSAXI1AWLEN,
  input [0:0] IFCPMPSAXI1AWLOCK,
  input [2:0] IFCPMPSAXI1AWPROT,
  input [3:0] IFCPMPSAXI1AWQOS,
  input [3:0] IFCPMPSAXI1AWREGION,
  input [2:0] IFCPMPSAXI1AWSIZE,
  input [17:0] IFCPMPSAXI1AWUSER,
  input IFCPMPSAXI1AWVALID,
  input IFCPMPSAXI1BREADY,
  input IFCPMPSAXI1RREADY,
  input [127:0] IFCPMPSAXI1WDATA,
  input [15:0] IFCPMPSAXI1WID,
  input [0:0] IFCPMPSAXI1WLAST,
  input [15:0] IFCPMPSAXI1WSTRB,
  input [16:0] IFCPMPSAXI1WUSER,
  input IFCPMPSAXI1WVALID,
  input IFCPMPSISRCORREVENT,
  input IFCPMPSISRMISCEVENT,
  input IFCPMPSISRUNCORREVENT,
  input [63:0] IFNOCPMCAXI0ARADDR,
  input [1:0] IFNOCPMCAXI0ARBURST,
  input [3:0] IFNOCPMCAXI0ARCACHE,
  input [1:0] IFNOCPMCAXI0ARID,
  input [7:0] IFNOCPMCAXI0ARLEN,
  input [0:0] IFNOCPMCAXI0ARLOCK,
  input [2:0] IFNOCPMCAXI0ARPROT,
  input [3:0] IFNOCPMCAXI0ARQOS,
  input [3:0] IFNOCPMCAXI0ARREGION,
  input [2:0] IFNOCPMCAXI0ARSIZE,
  input [17:0] IFNOCPMCAXI0ARUSER,
  input IFNOCPMCAXI0ARVALID,
  input [63:0] IFNOCPMCAXI0AWADDR,
  input [1:0] IFNOCPMCAXI0AWBURST,
  input [3:0] IFNOCPMCAXI0AWCACHE,
  input [1:0] IFNOCPMCAXI0AWID,
  input [7:0] IFNOCPMCAXI0AWLEN,
  input [0:0] IFNOCPMCAXI0AWLOCK,
  input [2:0] IFNOCPMCAXI0AWPROT,
  input [3:0] IFNOCPMCAXI0AWQOS,
  input [3:0] IFNOCPMCAXI0AWREGION,
  input [2:0] IFNOCPMCAXI0AWSIZE,
  input [17:0] IFNOCPMCAXI0AWUSER,
  input IFNOCPMCAXI0AWVALID,
  input IFNOCPMCAXI0BREADY,
  input IFNOCPMCAXI0RREADY,
  input [127:0] IFNOCPMCAXI0WDATA,
  input [3:0] IFNOCPMCAXI0WID,
  input [0:0] IFNOCPMCAXI0WLAST,
  input [15:0] IFNOCPMCAXI0WSTRB,
  input [16:0] IFNOCPMCAXI0WUSER,
  input IFNOCPMCAXI0WVALID,
  input [63:0] IFNOCPSCCIAXI0ARADDR,
  input [1:0] IFNOCPSCCIAXI0ARBURST,
  input [3:0] IFNOCPSCCIAXI0ARCACHE,
  input [1:0] IFNOCPSCCIAXI0ARID,
  input [7:0] IFNOCPSCCIAXI0ARLEN,
  input [0:0] IFNOCPSCCIAXI0ARLOCK,
  input [2:0] IFNOCPSCCIAXI0ARPROT,
  input [3:0] IFNOCPSCCIAXI0ARQOS,
  input [3:0] IFNOCPSCCIAXI0ARREGION,
  input [2:0] IFNOCPSCCIAXI0ARSIZE,
  input [17:0] IFNOCPSCCIAXI0ARUSER,
  input IFNOCPSCCIAXI0ARVALID,
  input [63:0] IFNOCPSCCIAXI0AWADDR,
  input [1:0] IFNOCPSCCIAXI0AWBURST,
  input [3:0] IFNOCPSCCIAXI0AWCACHE,
  input [1:0] IFNOCPSCCIAXI0AWID,
  input [7:0] IFNOCPSCCIAXI0AWLEN,
  input [0:0] IFNOCPSCCIAXI0AWLOCK,
  input [2:0] IFNOCPSCCIAXI0AWPROT,
  input [3:0] IFNOCPSCCIAXI0AWQOS,
  input [3:0] IFNOCPSCCIAXI0AWREGION,
  input [2:0] IFNOCPSCCIAXI0AWSIZE,
  input [17:0] IFNOCPSCCIAXI0AWUSER,
  input IFNOCPSCCIAXI0AWVALID,
  input IFNOCPSCCIAXI0BREADY,
  input IFNOCPSCCIAXI0RREADY,
  input [127:0] IFNOCPSCCIAXI0WDATA,
  input [3:0] IFNOCPSCCIAXI0WID,
  input [0:0] IFNOCPSCCIAXI0WLAST,
  input [15:0] IFNOCPSCCIAXI0WSTRB,
  input [16:0] IFNOCPSCCIAXI0WUSER,
  input IFNOCPSCCIAXI0WVALID,
  input [63:0] IFNOCPSCCIAXI1ARADDR,
  input [1:0] IFNOCPSCCIAXI1ARBURST,
  input [3:0] IFNOCPSCCIAXI1ARCACHE,
  input [1:0] IFNOCPSCCIAXI1ARID,
  input [7:0] IFNOCPSCCIAXI1ARLEN,
  input [0:0] IFNOCPSCCIAXI1ARLOCK,
  input [2:0] IFNOCPSCCIAXI1ARPROT,
  input [3:0] IFNOCPSCCIAXI1ARQOS,
  input [3:0] IFNOCPSCCIAXI1ARREGION,
  input [2:0] IFNOCPSCCIAXI1ARSIZE,
  input [17:0] IFNOCPSCCIAXI1ARUSER,
  input IFNOCPSCCIAXI1ARVALID,
  input [63:0] IFNOCPSCCIAXI1AWADDR,
  input [1:0] IFNOCPSCCIAXI1AWBURST,
  input [3:0] IFNOCPSCCIAXI1AWCACHE,
  input [1:0] IFNOCPSCCIAXI1AWID,
  input [7:0] IFNOCPSCCIAXI1AWLEN,
  input [0:0] IFNOCPSCCIAXI1AWLOCK,
  input [2:0] IFNOCPSCCIAXI1AWPROT,
  input [3:0] IFNOCPSCCIAXI1AWQOS,
  input [3:0] IFNOCPSCCIAXI1AWREGION,
  input [2:0] IFNOCPSCCIAXI1AWSIZE,
  input [17:0] IFNOCPSCCIAXI1AWUSER,
  input IFNOCPSCCIAXI1AWVALID,
  input IFNOCPSCCIAXI1BREADY,
  input IFNOCPSCCIAXI1RREADY,
  input [127:0] IFNOCPSCCIAXI1WDATA,
  input [3:0] IFNOCPSCCIAXI1WID,
  input [0:0] IFNOCPSCCIAXI1WLAST,
  input [15:0] IFNOCPSCCIAXI1WSTRB,
  input [16:0] IFNOCPSCCIAXI1WUSER,
  input IFNOCPSCCIAXI1WVALID,
  input [63:0] IFNOCPSNCIAXI0ARADDR,
  input [1:0] IFNOCPSNCIAXI0ARBURST,
  input [3:0] IFNOCPSNCIAXI0ARCACHE,
  input [1:0] IFNOCPSNCIAXI0ARID,
  input [7:0] IFNOCPSNCIAXI0ARLEN,
  input [0:0] IFNOCPSNCIAXI0ARLOCK,
  input [2:0] IFNOCPSNCIAXI0ARPROT,
  input [3:0] IFNOCPSNCIAXI0ARQOS,
  input [3:0] IFNOCPSNCIAXI0ARREGION,
  input [2:0] IFNOCPSNCIAXI0ARSIZE,
  input [17:0] IFNOCPSNCIAXI0ARUSER,
  input IFNOCPSNCIAXI0ARVALID,
  input [63:0] IFNOCPSNCIAXI0AWADDR,
  input [1:0] IFNOCPSNCIAXI0AWBURST,
  input [3:0] IFNOCPSNCIAXI0AWCACHE,
  input [1:0] IFNOCPSNCIAXI0AWID,
  input [7:0] IFNOCPSNCIAXI0AWLEN,
  input [0:0] IFNOCPSNCIAXI0AWLOCK,
  input [2:0] IFNOCPSNCIAXI0AWPROT,
  input [3:0] IFNOCPSNCIAXI0AWQOS,
  input [3:0] IFNOCPSNCIAXI0AWREGION,
  input [2:0] IFNOCPSNCIAXI0AWSIZE,
  input [17:0] IFNOCPSNCIAXI0AWUSER,
  input IFNOCPSNCIAXI0AWVALID,
  input IFNOCPSNCIAXI0BREADY,
  input IFNOCPSNCIAXI0RREADY,
  input [127:0] IFNOCPSNCIAXI0WDATA,
  input [3:0] IFNOCPSNCIAXI0WID,
  input [0:0] IFNOCPSNCIAXI0WLAST,
  input [15:0] IFNOCPSNCIAXI0WSTRB,
  input [16:0] IFNOCPSNCIAXI0WUSER,
  input IFNOCPSNCIAXI0WVALID,
  input [63:0] IFNOCPSNCIAXI1ARADDR,
  input [1:0] IFNOCPSNCIAXI1ARBURST,
  input [3:0] IFNOCPSNCIAXI1ARCACHE,
  input [1:0] IFNOCPSNCIAXI1ARID,
  input [7:0] IFNOCPSNCIAXI1ARLEN,
  input [0:0] IFNOCPSNCIAXI1ARLOCK,
  input [2:0] IFNOCPSNCIAXI1ARPROT,
  input [3:0] IFNOCPSNCIAXI1ARQOS,
  input [3:0] IFNOCPSNCIAXI1ARREGION,
  input [2:0] IFNOCPSNCIAXI1ARSIZE,
  input [17:0] IFNOCPSNCIAXI1ARUSER,
  input IFNOCPSNCIAXI1ARVALID,
  input [63:0] IFNOCPSNCIAXI1AWADDR,
  input [1:0] IFNOCPSNCIAXI1AWBURST,
  input [3:0] IFNOCPSNCIAXI1AWCACHE,
  input [1:0] IFNOCPSNCIAXI1AWID,
  input [7:0] IFNOCPSNCIAXI1AWLEN,
  input [0:0] IFNOCPSNCIAXI1AWLOCK,
  input [2:0] IFNOCPSNCIAXI1AWPROT,
  input [3:0] IFNOCPSNCIAXI1AWQOS,
  input [3:0] IFNOCPSNCIAXI1AWREGION,
  input [2:0] IFNOCPSNCIAXI1AWSIZE,
  input [17:0] IFNOCPSNCIAXI1AWUSER,
  input IFNOCPSNCIAXI1AWVALID,
  input IFNOCPSNCIAXI1BREADY,
  input IFNOCPSNCIAXI1RREADY,
  input [127:0] IFNOCPSNCIAXI1WDATA,
  input [3:0] IFNOCPSNCIAXI1WID,
  input [0:0] IFNOCPSNCIAXI1WLAST,
  input [15:0] IFNOCPSNCIAXI1WSTRB,
  input [16:0] IFNOCPSNCIAXI1WUSER,
  input IFNOCPSNCIAXI1WVALID,
  input [63:0] IFNOCPSPCIAXI0ARADDR,
  input [1:0] IFNOCPSPCIAXI0ARBURST,
  input [3:0] IFNOCPSPCIAXI0ARCACHE,
  input [1:0] IFNOCPSPCIAXI0ARID,
  input [7:0] IFNOCPSPCIAXI0ARLEN,
  input [0:0] IFNOCPSPCIAXI0ARLOCK,
  input [2:0] IFNOCPSPCIAXI0ARPROT,
  input [3:0] IFNOCPSPCIAXI0ARQOS,
  input [3:0] IFNOCPSPCIAXI0ARREGION,
  input [2:0] IFNOCPSPCIAXI0ARSIZE,
  input [17:0] IFNOCPSPCIAXI0ARUSER,
  input IFNOCPSPCIAXI0ARVALID,
  input [63:0] IFNOCPSPCIAXI0AWADDR,
  input [1:0] IFNOCPSPCIAXI0AWBURST,
  input [3:0] IFNOCPSPCIAXI0AWCACHE,
  input [1:0] IFNOCPSPCIAXI0AWID,
  input [7:0] IFNOCPSPCIAXI0AWLEN,
  input [0:0] IFNOCPSPCIAXI0AWLOCK,
  input [2:0] IFNOCPSPCIAXI0AWPROT,
  input [3:0] IFNOCPSPCIAXI0AWQOS,
  input [3:0] IFNOCPSPCIAXI0AWREGION,
  input [2:0] IFNOCPSPCIAXI0AWSIZE,
  input [17:0] IFNOCPSPCIAXI0AWUSER,
  input IFNOCPSPCIAXI0AWVALID,
  input IFNOCPSPCIAXI0BREADY,
  input IFNOCPSPCIAXI0RREADY,
  input [127:0] IFNOCPSPCIAXI0WDATA,
  input [3:0] IFNOCPSPCIAXI0WID,
  input [0:0] IFNOCPSPCIAXI0WLAST,
  input [15:0] IFNOCPSPCIAXI0WSTRB,
  input [16:0] IFNOCPSPCIAXI0WUSER,
  input IFNOCPSPCIAXI0WVALID,
  input IFPMCNOCAXI0ARREADY,
  input IFPMCNOCAXI0AWREADY,
  input [15:0] IFPMCNOCAXI0BID,
  input [1:0] IFPMCNOCAXI0BRESP,
  input [15:0] IFPMCNOCAXI0BUSER,
  input IFPMCNOCAXI0BVALID,
  input [127:0] IFPMCNOCAXI0RDATA,
  input [15:0] IFPMCNOCAXI0RID,
  input [0:0] IFPMCNOCAXI0RLAST,
  input [1:0] IFPMCNOCAXI0RRESP,
  input [16:0] IFPMCNOCAXI0RUSER,
  input IFPMCNOCAXI0RVALID,
  input IFPMCNOCAXI0WREADY,
  input IFPSCPMCFGAXIARREADY,
  input IFPSCPMCFGAXIAWREADY,
  input [15:0] IFPSCPMCFGAXIBID,
  input [1:0] IFPSCPMCFGAXIBRESP,
  input [0:0] IFPSCPMCFGAXIBUSER,
  input IFPSCPMCFGAXIBVALID,
  input [31:0] IFPSCPMCFGAXIRDATA,
  input [15:0] IFPSCPMCFGAXIRID,
  input [0:0] IFPSCPMCFGAXIRLAST,
  input [1:0] IFPSCPMCFGAXIRRESP,
  input [5:0] IFPSCPMCFGAXIRUSER,
  input IFPSCPMCFGAXIRVALID,
  input IFPSCPMCFGAXIWREADY,
  input IFPSCPMCHANNEL0XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL0XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL0XPIPERXDATA,
  input IFPSCPMCHANNEL0XPIPERXDATAVALID,
  input IFPSCPMCHANNEL0XPIPERXELECIDLE,
  input IFPSCPMCHANNEL0XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL0XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL0XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL0XPIPERXVALID,
  input IFPSCPMCHANNEL10XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL10XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL10XPIPERXDATA,
  input IFPSCPMCHANNEL10XPIPERXDATAVALID,
  input IFPSCPMCHANNEL10XPIPERXELECIDLE,
  input IFPSCPMCHANNEL10XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL10XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL10XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL10XPIPERXVALID,
  input IFPSCPMCHANNEL11XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL11XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL11XPIPERXDATA,
  input IFPSCPMCHANNEL11XPIPERXDATAVALID,
  input IFPSCPMCHANNEL11XPIPERXELECIDLE,
  input IFPSCPMCHANNEL11XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL11XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL11XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL11XPIPERXVALID,
  input IFPSCPMCHANNEL12XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL12XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL12XPIPERXDATA,
  input IFPSCPMCHANNEL12XPIPERXDATAVALID,
  input IFPSCPMCHANNEL12XPIPERXELECIDLE,
  input IFPSCPMCHANNEL12XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL12XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL12XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL12XPIPERXVALID,
  input IFPSCPMCHANNEL13XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL13XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL13XPIPERXDATA,
  input IFPSCPMCHANNEL13XPIPERXDATAVALID,
  input IFPSCPMCHANNEL13XPIPERXELECIDLE,
  input IFPSCPMCHANNEL13XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL13XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL13XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL13XPIPERXVALID,
  input IFPSCPMCHANNEL14XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL14XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL14XPIPERXDATA,
  input IFPSCPMCHANNEL14XPIPERXDATAVALID,
  input IFPSCPMCHANNEL14XPIPERXELECIDLE,
  input IFPSCPMCHANNEL14XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL14XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL14XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL14XPIPERXVALID,
  input IFPSCPMCHANNEL15XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL15XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL15XPIPERXDATA,
  input IFPSCPMCHANNEL15XPIPERXDATAVALID,
  input IFPSCPMCHANNEL15XPIPERXELECIDLE,
  input IFPSCPMCHANNEL15XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL15XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL15XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL15XPIPERXVALID,
  input IFPSCPMCHANNEL1XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL1XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL1XPIPERXDATA,
  input IFPSCPMCHANNEL1XPIPERXDATAVALID,
  input IFPSCPMCHANNEL1XPIPERXELECIDLE,
  input IFPSCPMCHANNEL1XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL1XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL1XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL1XPIPERXVALID,
  input IFPSCPMCHANNEL2XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL2XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL2XPIPERXDATA,
  input IFPSCPMCHANNEL2XPIPERXDATAVALID,
  input IFPSCPMCHANNEL2XPIPERXELECIDLE,
  input IFPSCPMCHANNEL2XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL2XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL2XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL2XPIPERXVALID,
  input IFPSCPMCHANNEL3XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL3XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL3XPIPERXDATA,
  input IFPSCPMCHANNEL3XPIPERXDATAVALID,
  input IFPSCPMCHANNEL3XPIPERXELECIDLE,
  input IFPSCPMCHANNEL3XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL3XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL3XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL3XPIPERXVALID,
  input IFPSCPMCHANNEL4XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL4XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL4XPIPERXDATA,
  input IFPSCPMCHANNEL4XPIPERXDATAVALID,
  input IFPSCPMCHANNEL4XPIPERXELECIDLE,
  input IFPSCPMCHANNEL4XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL4XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL4XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL4XPIPERXVALID,
  input IFPSCPMCHANNEL5XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL5XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL5XPIPERXDATA,
  input IFPSCPMCHANNEL5XPIPERXDATAVALID,
  input IFPSCPMCHANNEL5XPIPERXELECIDLE,
  input IFPSCPMCHANNEL5XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL5XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL5XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL5XPIPERXVALID,
  input IFPSCPMCHANNEL6XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL6XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL6XPIPERXDATA,
  input IFPSCPMCHANNEL6XPIPERXDATAVALID,
  input IFPSCPMCHANNEL6XPIPERXELECIDLE,
  input IFPSCPMCHANNEL6XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL6XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL6XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL6XPIPERXVALID,
  input IFPSCPMCHANNEL7XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL7XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL7XPIPERXDATA,
  input IFPSCPMCHANNEL7XPIPERXDATAVALID,
  input IFPSCPMCHANNEL7XPIPERXELECIDLE,
  input IFPSCPMCHANNEL7XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL7XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL7XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL7XPIPERXVALID,
  input IFPSCPMCHANNEL8XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL8XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL8XPIPERXDATA,
  input IFPSCPMCHANNEL8XPIPERXDATAVALID,
  input IFPSCPMCHANNEL8XPIPERXELECIDLE,
  input IFPSCPMCHANNEL8XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL8XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL8XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL8XPIPERXVALID,
  input IFPSCPMCHANNEL9XPIPEPHYSTATUS,
  input [1:0] IFPSCPMCHANNEL9XPIPERXCHARISK,
  input [31:0] IFPSCPMCHANNEL9XPIPERXDATA,
  input IFPSCPMCHANNEL9XPIPERXDATAVALID,
  input IFPSCPMCHANNEL9XPIPERXELECIDLE,
  input IFPSCPMCHANNEL9XPIPERXSTARTBLOCK,
  input [2:0] IFPSCPMCHANNEL9XPIPERXSTATUS,
  input [1:0] IFPSCPMCHANNEL9XPIPERXSYNCHEADER,
  input IFPSCPMCHANNEL9XPIPERXVALID,
  input IFPSCPMHSDPCHANNEL0XPIPERXDATAVALID,
  input [1:0] IFPSCPMHSDPCHANNEL0XPIPERXHEADER,
  input IFPSCPMHSDPCHANNEL0XPIPERXHEADERVALID,
  input IFPSCPMHSDPCHANNEL0XPIPERXRESETDONE,
  input IFPSCPMHSDPCHANNEL0XPIPETXRESETDONE,
  input IFPSCPMHSDPCHANNEL1XPIPERXDATAVALID,
  input [1:0] IFPSCPMHSDPCHANNEL1XPIPERXHEADER,
  input IFPSCPMHSDPCHANNEL1XPIPERXHEADERVALID,
  input IFPSCPMHSDPCHANNEL1XPIPERXRESETDONE,
  input IFPSCPMHSDPCHANNEL1XPIPETXRESETDONE,
  input IFPSCPMHSDPCHANNEL2XPIPERXDATAVALID,
  input [1:0] IFPSCPMHSDPCHANNEL2XPIPERXHEADER,
  input IFPSCPMHSDPCHANNEL2XPIPERXHEADERVALID,
  input IFPSCPMHSDPCHANNEL2XPIPERXRESETDONE,
  input IFPSCPMHSDPCHANNEL2XPIPETXRESETDONE,
  input IFPSCPMHSDPLINKXPIPEGTRXOUTCLK,
  input IFPSCPMINTQUADXPIPEPHYREADYTOBOT,
  input IFPSCPMLINK0XPIPEBUFGTCE,
  input [3:0] IFPSCPMLINK0XPIPEBUFGTCEMASK,
  input [11:0] IFPSCPMLINK0XPIPEBUFGTDIV,
  input IFPSCPMLINK0XPIPEBUFGTRST,
  input [3:0] IFPSCPMLINK0XPIPEBUFGTRSTMASK,
  input IFPSCPMLINK0XPIPEGTOUTCLK,
  input IFPSCPMLINK0XPIPEPHYREADY,
  input IFPSCPMLINK1XPIPEBUFGTCE,
  input [3:0] IFPSCPMLINK1XPIPEBUFGTCEMASK,
  input [11:0] IFPSCPMLINK1XPIPEBUFGTDIV,
  input IFPSCPMLINK1XPIPEBUFGTRST,
  input [3:0] IFPSCPMLINK1XPIPEBUFGTRSTMASK,
  input IFPSCPMLINK1XPIPEGTOUTCLK,
  input IFPSCPMLINK1XPIPEPHYREADY,
  input IFPSCPMPCIEAXIARREADY,
  input IFPSCPMPCIEAXIAWREADY,
  input [15:0] IFPSCPMPCIEAXIBID,
  input [1:0] IFPSCPMPCIEAXIBRESP,
  input [15:0] IFPSCPMPCIEAXIBUSER,
  input IFPSCPMPCIEAXIBVALID,
  input [127:0] IFPSCPMPCIEAXIRDATA,
  input [15:0] IFPSCPMPCIEAXIRID,
  input [0:0] IFPSCPMPCIEAXIRLAST,
  input [1:0] IFPSCPMPCIEAXIRRESP,
  input [16:0] IFPSCPMPCIEAXIRUSER,
  input IFPSCPMPCIEAXIRVALID,
  input IFPSCPMPCIEAXIWREADY,
  input [31:0] IFPSCPMPCSRCPMPSSPARE,
  input IFPSCPMPCSRPSRBISRDONE,
  input IFPSCPMPCSRPSRBISRERR,
  input IFPSCPMPCSRPSRCALDONE,
  input IFPSCPMPCSRPSRCALERROR,
  input IFPSCPMPCSRPSRINCAL,
  input IFPSCPMPCSRPSRMEMCLRDONE,
  input IFPSCPMPCSRPSRMEMCLRPASS,
  input IFPSCPMPCSRPSRSCANCLRDONE,
  input IFPSCPMPCSRPSRSCANCLRPASS,
  input IFPSCPMQUAD0XPIPERXMARGINREQACK,
  input [3:0] IFPSCPMQUAD0XPIPERXMARGINRESCMD,
  input [1:0] IFPSCPMQUAD0XPIPERXMARGINRESLANENUM,
  input [7:0] IFPSCPMQUAD0XPIPERXMARGINRESPAYLOAD,
  input IFPSCPMQUAD0XPIPERXMARGINRESREQ,
  input IFPSCPMQUAD1XPIPERXMARGINREQACK,
  input [3:0] IFPSCPMQUAD1XPIPERXMARGINRESCMD,
  input [1:0] IFPSCPMQUAD1XPIPERXMARGINRESLANENUM,
  input [7:0] IFPSCPMQUAD1XPIPERXMARGINRESPAYLOAD,
  input IFPSCPMQUAD1XPIPERXMARGINRESREQ,
  input IFPSCPMQUAD2XPIPERXMARGINREQACK,
  input [3:0] IFPSCPMQUAD2XPIPERXMARGINRESCMD,
  input [1:0] IFPSCPMQUAD2XPIPERXMARGINRESLANENUM,
  input [7:0] IFPSCPMQUAD2XPIPERXMARGINRESPAYLOAD,
  input IFPSCPMQUAD2XPIPERXMARGINRESREQ,
  input IFPSCPMQUAD3XPIPERXMARGINREQACK,
  input [3:0] IFPSCPMQUAD3XPIPERXMARGINRESCMD,
  input [1:0] IFPSCPMQUAD3XPIPERXMARGINRESLANENUM,
  input [7:0] IFPSCPMQUAD3XPIPERXMARGINRESPAYLOAD,
  input IFPSCPMQUAD3XPIPERXMARGINRESREQ,
  input IFPSNOCCCIAXI0ARREADY,
  input IFPSNOCCCIAXI0AWREADY,
  input [15:0] IFPSNOCCCIAXI0BID,
  input [1:0] IFPSNOCCCIAXI0BRESP,
  input [15:0] IFPSNOCCCIAXI0BUSER,
  input IFPSNOCCCIAXI0BVALID,
  input [127:0] IFPSNOCCCIAXI0RDATA,
  input [15:0] IFPSNOCCCIAXI0RID,
  input [0:0] IFPSNOCCCIAXI0RLAST,
  input [1:0] IFPSNOCCCIAXI0RRESP,
  input [16:0] IFPSNOCCCIAXI0RUSER,
  input IFPSNOCCCIAXI0RVALID,
  input IFPSNOCCCIAXI0WREADY,
  input IFPSNOCCCIAXI1ARREADY,
  input IFPSNOCCCIAXI1AWREADY,
  input [15:0] IFPSNOCCCIAXI1BID,
  input [1:0] IFPSNOCCCIAXI1BRESP,
  input [15:0] IFPSNOCCCIAXI1BUSER,
  input IFPSNOCCCIAXI1BVALID,
  input [127:0] IFPSNOCCCIAXI1RDATA,
  input [15:0] IFPSNOCCCIAXI1RID,
  input [0:0] IFPSNOCCCIAXI1RLAST,
  input [1:0] IFPSNOCCCIAXI1RRESP,
  input [16:0] IFPSNOCCCIAXI1RUSER,
  input IFPSNOCCCIAXI1RVALID,
  input IFPSNOCCCIAXI1WREADY,
  input IFPSNOCCCIAXI2ARREADY,
  input IFPSNOCCCIAXI2AWREADY,
  input [15:0] IFPSNOCCCIAXI2BID,
  input [1:0] IFPSNOCCCIAXI2BRESP,
  input [15:0] IFPSNOCCCIAXI2BUSER,
  input IFPSNOCCCIAXI2BVALID,
  input [127:0] IFPSNOCCCIAXI2RDATA,
  input [15:0] IFPSNOCCCIAXI2RID,
  input [0:0] IFPSNOCCCIAXI2RLAST,
  input [1:0] IFPSNOCCCIAXI2RRESP,
  input [16:0] IFPSNOCCCIAXI2RUSER,
  input IFPSNOCCCIAXI2RVALID,
  input IFPSNOCCCIAXI2WREADY,
  input IFPSNOCCCIAXI3ARREADY,
  input IFPSNOCCCIAXI3AWREADY,
  input [15:0] IFPSNOCCCIAXI3BID,
  input [1:0] IFPSNOCCCIAXI3BRESP,
  input [15:0] IFPSNOCCCIAXI3BUSER,
  input IFPSNOCCCIAXI3BVALID,
  input [127:0] IFPSNOCCCIAXI3RDATA,
  input [15:0] IFPSNOCCCIAXI3RID,
  input [0:0] IFPSNOCCCIAXI3RLAST,
  input [1:0] IFPSNOCCCIAXI3RRESP,
  input [16:0] IFPSNOCCCIAXI3RUSER,
  input IFPSNOCCCIAXI3RVALID,
  input IFPSNOCCCIAXI3WREADY,
  input IFPSNOCNCIAXI0ARREADY,
  input IFPSNOCNCIAXI0AWREADY,
  input [15:0] IFPSNOCNCIAXI0BID,
  input [1:0] IFPSNOCNCIAXI0BRESP,
  input [15:0] IFPSNOCNCIAXI0BUSER,
  input IFPSNOCNCIAXI0BVALID,
  input [127:0] IFPSNOCNCIAXI0RDATA,
  input [15:0] IFPSNOCNCIAXI0RID,
  input [0:0] IFPSNOCNCIAXI0RLAST,
  input [1:0] IFPSNOCNCIAXI0RRESP,
  input [16:0] IFPSNOCNCIAXI0RUSER,
  input IFPSNOCNCIAXI0RVALID,
  input IFPSNOCNCIAXI0WREADY,
  input IFPSNOCNCIAXI1ARREADY,
  input IFPSNOCNCIAXI1AWREADY,
  input [15:0] IFPSNOCNCIAXI1BID,
  input [1:0] IFPSNOCNCIAXI1BRESP,
  input [15:0] IFPSNOCNCIAXI1BUSER,
  input IFPSNOCNCIAXI1BVALID,
  input [127:0] IFPSNOCNCIAXI1RDATA,
  input [15:0] IFPSNOCNCIAXI1RID,
  input [0:0] IFPSNOCNCIAXI1RLAST,
  input [1:0] IFPSNOCNCIAXI1RRESP,
  input [16:0] IFPSNOCNCIAXI1RUSER,
  input IFPSNOCNCIAXI1RVALID,
  input IFPSNOCNCIAXI1WREADY,
  input IFPSNOCPCIAXI0ARREADY,
  input IFPSNOCPCIAXI0AWREADY,
  input [15:0] IFPSNOCPCIAXI0BID,
  input [1:0] IFPSNOCPCIAXI0BRESP,
  input [15:0] IFPSNOCPCIAXI0BUSER,
  input IFPSNOCPCIAXI0BVALID,
  input [127:0] IFPSNOCPCIAXI0RDATA,
  input [15:0] IFPSNOCPCIAXI0RID,
  input [0:0] IFPSNOCPCIAXI0RLAST,
  input [1:0] IFPSNOCPCIAXI0RRESP,
  input [16:0] IFPSNOCPCIAXI0RUSER,
  input IFPSNOCPCIAXI0RVALID,
  input IFPSNOCPCIAXI0WREADY,
  input IFPSNOCPCIAXI1ARREADY,
  input IFPSNOCPCIAXI1AWREADY,
  input [15:0] IFPSNOCPCIAXI1BID,
  input [1:0] IFPSNOCPCIAXI1BRESP,
  input [15:0] IFPSNOCPCIAXI1BUSER,
  input IFPSNOCPCIAXI1BVALID,
  input [127:0] IFPSNOCPCIAXI1RDATA,
  input [15:0] IFPSNOCPCIAXI1RID,
  input [0:0] IFPSNOCPCIAXI1RLAST,
  input [1:0] IFPSNOCPCIAXI1RRESP,
  input [16:0] IFPSNOCPCIAXI1RUSER,
  input IFPSNOCPCIAXI1RVALID,
  input IFPSNOCPCIAXI1WREADY,
  input IFPSNOCRPUAXI0ARREADY,
  input IFPSNOCRPUAXI0AWREADY,
  input [15:0] IFPSNOCRPUAXI0BID,
  input [1:0] IFPSNOCRPUAXI0BRESP,
  input [15:0] IFPSNOCRPUAXI0BUSER,
  input IFPSNOCRPUAXI0BVALID,
  input [127:0] IFPSNOCRPUAXI0RDATA,
  input [15:0] IFPSNOCRPUAXI0RID,
  input [0:0] IFPSNOCRPUAXI0RLAST,
  input [1:0] IFPSNOCRPUAXI0RRESP,
  input [16:0] IFPSNOCRPUAXI0RUSER,
  input IFPSNOCRPUAXI0RVALID,
  input IFPSNOCRPUAXI0WREADY,
  input [31:0] IFPSOCM2APBPRDATA,
  input IFPSOCM2APBPREADY,
  input IFPSOCM2APBPSLVERR,
  input IFPSOCM2AXIARREADY,
  input IFPSOCM2AXIAWREADY,
  input [15:0] IFPSOCM2AXIBID,
  input [1:0] IFPSOCM2AXIBRESP,
  input [0:0] IFPSOCM2AXIBUSER,
  input IFPSOCM2AXIBVALID,
  input [127:0] IFPSOCM2AXIRDATA,
  input [15:0] IFPSOCM2AXIRID,
  input [0:0] IFPSOCM2AXIRLAST,
  input [1:0] IFPSOCM2AXIRRESP,
  input [17:0] IFPSOCM2AXIRUSER,
  input IFPSOCM2AXIRVALID,
  input IFPSOCM2AXIWREADY,
  input MAXIGP0ACLK,
  input MAXIGP0ARREADY,
  input MAXIGP0AWREADY,
  input [15:0] MAXIGP0BID,
  input [1:0] MAXIGP0BRESP,
  input MAXIGP0BVALID,
  input [127:0] MAXIGP0RDATA,
  input [15:0] MAXIGP0RID,
  input MAXIGP0RLAST,
  input [1:0] MAXIGP0RRESP,
  input MAXIGP0RVALID,
  input MAXIGP0WREADY,
  input MAXIGP2ACLK,
  input MAXIGP2ARREADY,
  input MAXIGP2AWREADY,
  input [15:0] MAXIGP2BID,
  input [1:0] MAXIGP2BRESP,
  input MAXIGP2BVALID,
  input [127:0] MAXIGP2RDATA,
  input [15:0] MAXIGP2RID,
  input MAXIGP2RLAST,
  input [1:0] MAXIGP2RRESP,
  input MAXIGP2RVALID,
  input MAXIGP2WREADY,
  input NFIQ0LPDRPU,
  input NFIQ1LPDRPU,
  input NIRQ0LPDRPU,
  input NIRQ1LPDRPU,
  input NOC_CCI_0,
  input NOC_CCI_1,
  input NOC_NCI_0,
  input NOC_NCI_1,
  input NOC_PCIE_0,
  input NOC_PMC_0,
  input [23:0] NPIINTERRUPTOUT,
  input [7:0] PL2ADMACVLD,
  input [7:0] PL2ADMATACK,
  input PLACECLK,
  input PLACPINACT,
  input PLCONFIGDONE,
  input PLFPDAUXREFCLK,
  input PLFPDSPARE0IN,
  input PLFPDSPARE1IN,
  input PLHSDPCLK,
  input PLHSDPEGRESSTREADY,
  input [63:0] PLHSDPINGRESSTDATA,
  input [7:0] PLHSDPINGRESSTKEEP,
  input PLHSDPINGRESSTLAST,
  input PLHSDPINGRESSTVALID,
  input PLLPDAUXREFCLK,
  input PLLPDSPARE0IN,
  input PLLPDSPARE1IN,
  input PLLPDSPARE2IN,
  input PLLPDSPARE3IN,
  input PLLPDSPARE4IN,
  input PLPMCAUXREFCLK,
  input PLPMCCSSDTRIG,
  input [3:0] PLPMCFPGACLOCKSTOP,
  input PLPSAFREADY,
  input [1:0] PLPSAPUGICFIQ,
  input [1:0] PLPSAPUGICIRQ,
  input PLPSATBCLK,
  input [1:0] PLPSATBYTES,
  input [31:0] PLPSATDATA,
  input [6:0] PLPSATID,
  input PLPSATVALID,
  input PLPSEVENTI,
  input [7:0] PLPSIRQ0,
  input [7:0] PLPSIRQ1,
  input [48:0] PLPSSMMUARADDR,
  input [3:0] PLPSSMMUARCACHE,
  input [7:0] PLPSSMMUARID,
  input PLPSSMMUARVALID,
  input [48:0] PLPSSMMUAWADDR,
  input [3:0] PLPSSMMUAWCACHE,
  input [7:0] PLPSSMMUAWID,
  input PLPSSMMUAWVALID,
  input PLPSSMMUCLOCK,
  input [7:0] PLPSSMMUCOMPRDID,
  input PLPSSMMUCOMPRDVAL,
  input [7:0] PLPSSMMUCOMPWRID,
  input PLPSSMMUCOMPWRVAL,
  input PLPSSMMURNS,
  input [9:0] PLPSSMMURSMID,
  input PLPSSMMUWNS,
  input [9:0] PLPSSMMUWSMID,
  input PLPSTRACECLK,
  input [3:0] PLPSTRIGACK,
  input [3:0] PLPSTRIGGER,
  input [31:0] PMCPLGPI,
  input [7:0] PMCPLIRQ,
  input [3:0] PMUERRORFROMPL,
  input PPU1PLTRIGACKOUT,
  input PPU1PLTRIGIN,
  input PSSMMUPLARREADY,
  input PSSMMUPLAWREADY,
  input PSSMMUPLBREADY,
  input PSSMMUPLRREADY,
  input RPUEVENTI0,
  input RPUEVENTI1,
  input SACEFPDACREADY,
  input [43:0] SACEFPDARADDR,
  input [1:0] SACEFPDARBAR,
  input [1:0] SACEFPDARBURST,
  input [3:0] SACEFPDARCACHE,
  input [1:0] SACEFPDARDOMAIN,
  input [5:0] SACEFPDARID,
  input [7:0] SACEFPDARLEN,
  input SACEFPDARLOCK,
  input [2:0] SACEFPDARPROT,
  input [3:0] SACEFPDARQOS,
  input [3:0] SACEFPDARREGION,
  input [2:0] SACEFPDARSIZE,
  input [3:0] SACEFPDARSNOOP,
  input [15:0] SACEFPDARUSER,
  input SACEFPDARVALID,
  input [43:0] SACEFPDAWADDR,
  input [1:0] SACEFPDAWBAR,
  input [1:0] SACEFPDAWBURST,
  input [3:0] SACEFPDAWCACHE,
  input [1:0] SACEFPDAWDOMAIN,
  input [5:0] SACEFPDAWID,
  input [7:0] SACEFPDAWLEN,
  input SACEFPDAWLOCK,
  input [2:0] SACEFPDAWPROT,
  input [3:0] SACEFPDAWQOS,
  input [3:0] SACEFPDAWREGION,
  input [2:0] SACEFPDAWSIZE,
  input [2:0] SACEFPDAWSNOOP,
  input [15:0] SACEFPDAWUSER,
  input SACEFPDAWVALID,
  input SACEFPDBREADY,
  input [127:0] SACEFPDCDDATA,
  input SACEFPDCDLAST,
  input SACEFPDCDVALID,
  input [4:0] SACEFPDCRRESP,
  input SACEFPDCRVALID,
  input SACEFPDRACK,
  input SACEFPDRREADY,
  input SACEFPDWACK,
  input [127:0] SACEFPDWDATA,
  input SACEFPDWLAST,
  input [15:0] SACEFPDWSTRB,
  input SACEFPDWUSER,
  input SACEFPDWVALID,
  input SAXIACPACLK,
  input [43:0] SAXIACPARADDR,
  input [3:0] SAXIACPARCACHE,
  input [4:0] SAXIACPARID,
  input [7:0] SAXIACPARLEN,
  input [2:0] SAXIACPARPROT,
  input [1:0] SAXIACPARUSER,
  input SAXIACPARVALID,
  input [43:0] SAXIACPAWADDR,
  input [3:0] SAXIACPAWCACHE,
  input [4:0] SAXIACPAWID,
  input [7:0] SAXIACPAWLEN,
  input [2:0] SAXIACPAWPROT,
  input [1:0] SAXIACPAWUSER,
  input SAXIACPAWVALID,
  input SAXIACPBREADY,
  input SAXIACPRREADY,
  input [127:0] SAXIACPWDATA,
  input SAXIACPWLAST,
  input [15:0] SAXIACPWSTRB,
  input SAXIACPWVALID,
  input [48:0] SAXIGP0ARADDR,
  input [1:0] SAXIGP0ARBURST,
  input [3:0] SAXIGP0ARCACHE,
  input [5:0] SAXIGP0ARID,
  input [7:0] SAXIGP0ARLEN,
  input SAXIGP0ARLOCK,
  input [2:0] SAXIGP0ARPROT,
  input [3:0] SAXIGP0ARQOS,
  input [2:0] SAXIGP0ARSIZE,
  input [9:0] SAXIGP0ARUSER,
  input SAXIGP0ARVALID,
  input [48:0] SAXIGP0AWADDR,
  input [1:0] SAXIGP0AWBURST,
  input [3:0] SAXIGP0AWCACHE,
  input [5:0] SAXIGP0AWID,
  input [7:0] SAXIGP0AWLEN,
  input SAXIGP0AWLOCK,
  input [2:0] SAXIGP0AWPROT,
  input [3:0] SAXIGP0AWQOS,
  input [2:0] SAXIGP0AWSIZE,
  input [9:0] SAXIGP0AWUSER,
  input SAXIGP0AWVALID,
  input SAXIGP0BREADY,
  input SAXIGP0RCLK,
  input SAXIGP0RREADY,
  input SAXIGP0WCLK,
  input [127:0] SAXIGP0WDATA,
  input SAXIGP0WLAST,
  input [15:0] SAXIGP0WSTRB,
  input SAXIGP0WVALID,
  input [48:0] SAXIGP2ARADDR,
  input [1:0] SAXIGP2ARBURST,
  input [3:0] SAXIGP2ARCACHE,
  input [5:0] SAXIGP2ARID,
  input [7:0] SAXIGP2ARLEN,
  input SAXIGP2ARLOCK,
  input [2:0] SAXIGP2ARPROT,
  input [3:0] SAXIGP2ARQOS,
  input [2:0] SAXIGP2ARSIZE,
  input [17:0] SAXIGP2ARUSER,
  input SAXIGP2ARVALID,
  input [48:0] SAXIGP2AWADDR,
  input [1:0] SAXIGP2AWBURST,
  input [3:0] SAXIGP2AWCACHE,
  input [5:0] SAXIGP2AWID,
  input [7:0] SAXIGP2AWLEN,
  input SAXIGP2AWLOCK,
  input [2:0] SAXIGP2AWPROT,
  input [3:0] SAXIGP2AWQOS,
  input [2:0] SAXIGP2AWSIZE,
  input [17:0] SAXIGP2AWUSER,
  input SAXIGP2AWVALID,
  input SAXIGP2BREADY,
  input SAXIGP2RCLK,
  input SAXIGP2RREADY,
  input SAXIGP2WCLK,
  input [127:0] SAXIGP2WDATA,
  input SAXIGP2WLAST,
  input [15:0] SAXIGP2WSTRB,
  input SAXIGP2WVALID,
  input [48:0] SAXIGP4ARADDR,
  input [1:0] SAXIGP4ARBURST,
  input [3:0] SAXIGP4ARCACHE,
  input [5:0] SAXIGP4ARID,
  input [7:0] SAXIGP4ARLEN,
  input SAXIGP4ARLOCK,
  input [2:0] SAXIGP4ARPROT,
  input [3:0] SAXIGP4ARQOS,
  input [2:0] SAXIGP4ARSIZE,
  input [10:0] SAXIGP4ARUSER,
  input SAXIGP4ARVALID,
  input [48:0] SAXIGP4AWADDR,
  input [1:0] SAXIGP4AWBURST,
  input [3:0] SAXIGP4AWCACHE,
  input [5:0] SAXIGP4AWID,
  input [7:0] SAXIGP4AWLEN,
  input SAXIGP4AWLOCK,
  input [2:0] SAXIGP4AWPROT,
  input [3:0] SAXIGP4AWQOS,
  input [2:0] SAXIGP4AWSIZE,
  input [10:0] SAXIGP4AWUSER,
  input SAXIGP4AWVALID,
  input SAXIGP4BREADY,
  input SAXIGP4RCLK,
  input SAXIGP4RREADY,
  input SAXIGP4WCLK,
  input [127:0] SAXIGP4WDATA,
  input SAXIGP4WLAST,
  input [15:0] SAXIGP4WSTRB,
  input SAXIGP4WVALID,
  input [59:0] STMEVENT,
  input [3:0] USRTDO
  );

  /* parameters for gen_clk */
  parameter C_FCLK_CLK0_FREQ = 50;
  parameter C_FCLK_CLK1_FREQ = 50;
  parameter C_FCLK_CLK3_FREQ = 50;
  parameter C_FCLK_CLK2_FREQ = 50;
  parameter C_FCLK_CLK4_FREQ = 50;
  parameter C_FCLK_CLK5_FREQ = 50;
  parameter C_FCLK_HSMREF_CLK0_FREQ = 50;
  parameter C_FCLK_HSMREF_CLK1_FREQ = 50;

  bit [31:0] local_PSPLIRQFPD;
  bit [99:0] local_PSPLIRQLPD;
  bit [63:0] local_PSPLIRQPMC;
  bit [2:0]  local_config_cci_boundary;
  bit [1:0]  local_maxigp0_port_width = 2'b10; //default 128-bit
  bit [1:0]  local_maxigp2_port_width = 2'b10; // default 128-bit

  bit [3:0]  local_cci_port_num;
 
  assign   PSPLIRQFPD  = local_PSPLIRQFPD;	
  assign   PSPLIRQLPD  = local_PSPLIRQLPD;
  assign   PSPLIRQPMC  = local_PSPLIRQPMC;

  //assign IFPSNOCCCIAXI0WUSER[16] = 1'b0;
  //assign IFPSNOCCCIAXI1WUSER[16] = 1'b0;
  //assign IFPSNOCCCIAXI2WUSER[16] = 1'b0;
  //assign IFPSNOCCCIAXI3WUSER[16] = 1'b0;
  //assign IFPSCPMPCIEAXIWUSER[16] = 1'b0;
  //assign IFPSCPMCFGAXIWUSER[5:4] = 2'b0;
  //assign IFPMCNOCAXI0WUSER[16]   = 1'b0;

  //assign w_SMARTCONNECT6_awuser[31:18] = 14'b0;
  //assign w_SMARTCONNECT6_aruser[31:18] = 14'b0;
  
  assign SACEFPDRRESP[3:2] = 2'b0;

  `include "versal_cips_ps_vip_v1_0_11_local_params.sv"
  `include "versal_cips_ps_vip_v1_0_11_unused_ports.sv"

wire  [15:0]   w_SAXIGP4_ruser;
wire  [15:0]   w_SAXIGP2_ruser;
wire  [15:0]   w_SAXIGP0_ruser;

wire  [15:0]   w_SAXIGP4_buser;
wire  [15:0]   w_SAXIGP2_buser;
wire  [15:0]   w_SAXIGP0_buser;

wire  [15:0]   w_SAXIACP_ruser;
wire  [15:0]   w_SAXIACP_buser;

wire  [14:0]   w_SACEFPD_ruser;

wire  [15:0]   w_MAXIGP2_wuser;
wire  [15:0]   w_MAXIGP0_wuser;
wire  [15:0]   w_MAXIGP2_buser;
wire  [15:0]   w_MAXIGP0_buser;

wire  [13:0]   w_IFCPMPSAXI0RUSER;
wire  [14:0]   w_IFCPMPSAXI1RUSER;

wire  [14:0]   w_IFNOCPMCAXI0RUSER;
wire  [14:0]   w_IFNOCPSCCIAXI0RUSER;
wire  [14:0]   w_IFNOCPSCCIAXI1RUSER;

wire  [14:0]   w_IFNOCPSNCIAXI0RUSER;
wire  [14:0]   w_IFNOCPSNCIAXI1RUSER;

wire  [14:0]   w_IFNOCPSPCIAXI0RUSER;

wire  [13:0]   w_IFPMCNOCAXI0ARUSER;
wire  [13:0]   w_IFPMCNOCAXI0AWUSER;

wire  [15:0]   w_IFPSCPMCFGAXIARUSER;
wire  [15:0]   w_IFPSCPMCFGAXIAWUSER;

wire  [13:0]   w_IFPSCPMPCIEAXIARUSER;
wire  [13:0]   w_IFPSCPMPCIEAXIAWUSER;

wire  [13:0]   w_IFPSNOCNCIAXI0ARUSER;
wire  [13:0]   w_IFPSNOCNCIAXI0AWUSER;
wire  [13:0]   w_IFPSNOCNCIAXI1ARUSER;
wire  [13:0]   w_IFPSNOCNCIAXI1AWUSER;

wire  [13:0]   w_IFPSNOCPCIAXI0ARUSER;
wire  [13:0]   w_IFPSNOCPCIAXI0AWUSER;
wire  [13:0]   w_IFPSNOCPCIAXI1ARUSER;
wire  [13:0]   w_IFPSNOCPCIAXI1AWUSER;

wire  [13:0]   w_IFPSNOCRPUAXI0ARUSER;
wire  [13:0]   w_IFPSNOCRPUAXI0AWUSER;

wire  [15:0]   w_MAXIGP0ARUSER;
wire  [15:0]   w_MAXIGP0AWUSER;

wire  [15:0]   w_MAXIGP2ARUSER;
wire  [15:0]   w_MAXIGP2AWUSER;

wire   [axi_qos_width-1:0]     		net_ocm_wr_qos;
wire                           		net_ocm_wr_ack;
wire [max_reg_burst_bits-1:0]  		net_ocm_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_ocm_wr_strb;
wire [addr_width-1:0]          		net_ocm_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_ocm_wr_bytes;
wire                           		net_ocm_wr_dv;
wire   [axi_qos_width-1:0]     		net_ocm_rd_qos;
wire                           		net_ocm_rd_req;
wire [addr_width-1:0]          		net_ocm_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_ocm_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_ocm_rd_data;
wire                           		net_ocm_rd_dv;

// For Reg_mem1
wire   [axi_qos_width-1:0]     		net_reg_mem1_wr_qos;
wire                           		net_reg_mem1_wr_ack;
wire [max_reg_burst_bits-1:0]		net_reg_mem1_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem1_wr_strb;
wire [addr_width-1:0]          		net_reg_mem1_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem1_wr_bytes;
wire                           		net_reg_mem1_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem1_rd_qos;
wire                           		net_reg_mem1_rd_req;
wire [addr_width-1:0]          		net_reg_mem1_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem1_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem1_rd_data;
wire                           		net_reg_mem1_rd_dv;

// For Reg_mem2
wire   [axi_qos_width-1:0]     		net_reg_mem2_wr_qos;
wire                           		net_reg_mem2_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem2_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem2_wr_strb;
wire [addr_width-1:0]          		net_reg_mem2_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem2_wr_bytes;
wire                           		net_reg_mem2_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem2_rd_qos;
wire                           		net_reg_mem2_rd_req;
wire [addr_width-1:0]          		net_reg_mem2_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem2_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem2_rd_data;
wire                           		net_reg_mem2_rd_dv;

// For Reg_mem3
wire   [axi_qos_width-1:0]     		net_reg_mem3_wr_qos;
wire                           		net_reg_mem3_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem3_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem3_wr_strb;
wire [addr_width-1:0]          		net_reg_mem3_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem3_wr_bytes;
wire                           		net_reg_mem3_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem3_rd_qos;
wire                           		net_reg_mem3_rd_req;
wire [addr_width-1:0]          		net_reg_mem3_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem3_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem3_rd_data;
wire                           		net_reg_mem3_rd_dv;

// For Reg_mem4
wire   [axi_qos_width-1:0]     		net_reg_mem4_wr_qos;
wire                           		net_reg_mem4_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem4_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem4_wr_strb;
wire [addr_width-1:0]          		net_reg_mem4_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem4_wr_bytes;
wire                           		net_reg_mem4_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem4_rd_qos;
wire                           		net_reg_mem4_rd_req;
wire [addr_width-1:0]          		net_reg_mem4_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem4_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem4_rd_data;
wire                           		net_reg_mem4_rd_dv;

// For Reg_mem5
wire   [axi_qos_width-1:0]     		net_reg_mem5_wr_qos;
wire                           		net_reg_mem5_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem5_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem5_wr_strb;
wire [addr_width-1:0]          		net_reg_mem5_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem5_wr_bytes;
wire                           		net_reg_mem5_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem5_rd_qos;
wire                           		net_reg_mem5_rd_req;
wire [addr_width-1:0]          		net_reg_mem5_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem5_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem5_rd_data;
wire                           		net_reg_mem5_rd_dv;

// For Reg_mem6
wire   [axi_qos_width-1:0]     		net_reg_mem6_wr_qos;
wire                           		net_reg_mem6_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem6_wr_data;
wire [max_reg_burst_bytes-1:0]     	net_reg_mem6_wr_strb;
wire [addr_width-1:0]          		net_reg_mem6_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem6_wr_bytes;
wire                           		net_reg_mem6_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem6_rd_qos;
wire                           		net_reg_mem6_rd_req;
wire [addr_width-1:0]          		net_reg_mem6_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem6_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem6_rd_data;
wire                           		net_reg_mem6_rd_dv;

// For Reg_mem7
wire   [axi_qos_width-1:0]     		net_reg_mem7_wr_qos;
wire                           		net_reg_mem7_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem7_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem7_wr_strb;
wire [addr_width-1:0]          		net_reg_mem7_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem7_wr_bytes;
wire                           		net_reg_mem7_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem7_rd_qos;
wire                           		net_reg_mem7_rd_req;
wire [addr_width-1:0]          		net_reg_mem7_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem7_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem7_rd_data;
wire                           		net_reg_mem7_rd_dv;

// For Reg_mem8
wire   [axi_qos_width-1:0]     		net_reg_mem8_wr_qos;
wire                           		net_reg_mem8_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem8_wr_data;
wire [max_reg_burst_bytes-1:0]     	net_reg_mem8_wr_strb;
wire [addr_width-1:0]          		net_reg_mem8_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem8_wr_bytes;
wire                           		net_reg_mem8_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem8_rd_qos;
wire                           		net_reg_mem8_rd_req;
wire [addr_width-1:0]          		net_reg_mem8_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem8_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem8_rd_data;
wire                           		net_reg_mem8_rd_dv;

// For Reg_mem9
wire   [axi_qos_width-1:0]     		net_reg_mem9_wr_qos;
wire                           		net_reg_mem9_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem9_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem9_wr_strb;
wire [addr_width-1:0]          		net_reg_mem9_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem9_wr_bytes;
wire                           		net_reg_mem9_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem9_rd_qos;
wire                           		net_reg_mem9_rd_req;
wire [addr_width-1:0]          		net_reg_mem9_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem9_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem9_rd_data;
wire                           		net_reg_mem9_rd_dv;

// For Reg_mem10
wire   [axi_qos_width-1:0]     		net_reg_mem10_wr_qos;
wire                           		net_reg_mem10_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem10_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem10_wr_strb;
wire [addr_width-1:0]          		net_reg_mem10_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem10_wr_bytes;
wire                           		net_reg_mem10_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem10_rd_qos;
wire                           		net_reg_mem10_rd_req;
wire [addr_width-1:0]          		net_reg_mem10_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem10_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem10_rd_data;
wire                           		net_reg_mem10_rd_dv;

// For Reg_mem11
wire   [axi_qos_width-1:0]     		net_reg_mem11_wr_qos;
wire                           		net_reg_mem11_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem11_wr_data;
wire [max_reg_burst_bytes-1:0] 		net_reg_mem11_wr_strb;
wire [addr_width-1:0]          		net_reg_mem11_wr_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem11_wr_bytes;
wire                           		net_reg_mem11_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem11_rd_qos;
wire                           		net_reg_mem11_rd_req;
wire [addr_width-1:0]          		net_reg_mem11_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem11_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem11_rd_data;
wire                           		net_reg_mem11_rd_dv;

// For Reg_mem12
wire   [axi_qos_width-1:0]     		net_reg_mem12_wr_qos;
wire                           		net_reg_mem12_wr_ack;
wire [max_reg_burst_bits-1:0]      	net_reg_mem12_wr_data;
wire [max_reg_burst_bytes-1:0]     	net_reg_mem12_wr_strb;
wire [addr_width-1:0]          		net_reg_mem12_wr_addr;
wire [max_reg_burst_bytes_width:0]  	net_reg_mem12_wr_bytes;
wire                           		net_reg_mem12_wr_dv;
wire   [axi_qos_width-1:0]     		net_reg_mem12_rd_qos;
wire                           		net_reg_mem12_rd_req;
wire [addr_width-1:0]          		net_reg_mem12_rd_addr;
wire [max_reg_burst_bytes_width:0] 	net_reg_mem12_rd_bytes;
wire [max_reg_burst_bits-1:0]  		net_reg_mem12_rd_data;
wire                           		net_reg_mem12_rd_dv;

wire [63:0]				w_SMARTCONNECT6_araddr;
wire [1:0]				w_SMARTCONNECT6_arburst;
wire [3:0]				w_SMARTCONNECT6_arcache;
wire [7:0]				w_SMARTCONNECT6_arlen;
wire [0:0]				w_SMARTCONNECT6_arlock;
wire [2:0]				w_SMARTCONNECT6_arprot;
wire [3:0]				w_SMARTCONNECT6_arqos;
wire 					w_SMARTCONNECT6_arready;
wire [2:0]				w_SMARTCONNECT6_arsize;
wire [31:0]				w_SMARTCONNECT6_aruser;
wire 					w_SMARTCONNECT6_arvalid;
wire [63:0]				w_SMARTCONNECT6_awaddr;
wire [1:0]				w_SMARTCONNECT6_awburst;
wire [3:0]				w_SMARTCONNECT6_awcache;
wire [7:0]				w_SMARTCONNECT6_awlen;
wire [0:0]				w_SMARTCONNECT6_awlock;
wire [2:0]				w_SMARTCONNECT6_awprot;
wire [3:0]				w_SMARTCONNECT6_awqos;
wire 					w_SMARTCONNECT6_awready;
wire [2:0]				w_SMARTCONNECT6_awsize;
wire [31:0]				w_SMARTCONNECT6_awuser;
wire 					w_SMARTCONNECT6_awvalid;
wire 					w_SMARTCONNECT6_bready;
wire [1:0]				w_SMARTCONNECT6_bresp;
wire [15:0]				w_SMARTCONNECT6_buser;
wire 					w_SMARTCONNECT6_bvalid;
wire [31:0]				w_SMARTCONNECT6_rdata;
wire 					w_SMARTCONNECT6_rlast;
wire 					w_SMARTCONNECT6_rready;
wire [1:0]				w_SMARTCONNECT6_rresp;
wire [3:0]				w_SMARTCONNECT6_ruser;
wire 					w_SMARTCONNECT6_rvalid;
wire [31:0]				w_SMARTCONNECT6_wdata;
wire 					w_SMARTCONNECT6_wlast;
wire 					w_SMARTCONNECT6_wready;
wire [3:0]				w_SMARTCONNECT6_wstrb;
wire [3:0]				w_SMARTCONNECT6_wuser;
wire 					w_SMARTCONNECT6_wvalid;

wire [31:0]				w_OCM_araddr;
wire [1:0]				w_OCM_arburst;
wire [3:0]				w_OCM_arcache;
wire [7:0]				w_OCM_arlen;
wire [0:0]				w_OCM_arlock;
wire [2:0]				w_OCM_arprot;
wire [3:0]				w_OCM_arqos;
wire 					w_OCM_arready;
wire [2:0]				w_OCM_arsize;
wire 					w_OCM_arvalid;
wire [31:0]				w_OCM_awaddr;
wire [1:0]				w_OCM_awburst;
wire [3:0]				w_OCM_awcache;
wire [7:0]				w_OCM_awlen;
wire [0:0]				w_OCM_awlock;
wire [2:0]				w_OCM_awprot;
wire [3:0]				w_OCM_awqos;
wire 					w_OCM_awready;
wire [2:0]				w_OCM_awsize;
wire [31:0]				w_OCM_awuser;
wire [31:0]				w_OCM_aruser;
wire [3:0]				w_OCM_wuser;
wire [15:0]				w_OCM_buser;
wire [3:0]				w_OCM_ruser;
wire 					w_OCM_awvalid;
wire 					w_OCM_bready;
wire [1:0]				w_OCM_bresp;
wire 					w_OCM_bvalid;
wire [31:0]				w_OCM_rdata;
wire 					w_OCM_rlast;
wire 					w_OCM_rready;
wire [1:0]				w_OCM_rresp;
wire 					w_OCM_rvalid;
wire [31:0]				w_OCM_wdata;
wire 					w_OCM_wlast;
wire 					w_OCM_wready;
wire [3:0]				w_OCM_wstrb;
wire 					w_OCM_wvalid;

wire [31:0]				w_REG_MEM1_araddr;
wire [1:0]				w_REG_MEM1_arburst;
wire [3:0]				w_REG_MEM1_arcache;
wire [7:0]				w_REG_MEM1_arlen;
wire [0:0]				w_REG_MEM1_arlock;
wire [2:0]				w_REG_MEM1_arprot;
wire [3:0]				w_REG_MEM1_arqos;
wire 					w_REG_MEM1_arready;
wire [2:0]				w_REG_MEM1_arsize;
wire 					w_REG_MEM1_arvalid;
wire [31:0]				w_REG_MEM1_awaddr;
wire [1:0]				w_REG_MEM1_awburst;
wire [3:0]				w_REG_MEM1_awcache;
wire [7:0]				w_REG_MEM1_awlen;
wire [0:0]				w_REG_MEM1_awlock;
wire [2:0]				w_REG_MEM1_awprot;
wire [3:0]				w_REG_MEM1_awqos;
wire 					w_REG_MEM1_awready;
wire [2:0]				w_REG_MEM1_awsize;
wire [31:0]				w_REG_MEM1_awuser;
wire [31:0]				w_REG_MEM1_aruser;
wire [3:0]				w_REG_MEM1_wuser;
wire [15:0]				w_REG_MEM1_buser;
wire [3:0]				w_REG_MEM1_ruser;
wire 					w_REG_MEM1_awvalid;
wire 					w_REG_MEM1_bready;
wire [1:0]				w_REG_MEM1_bresp;
wire 					w_REG_MEM1_bvalid;
wire [31:0]				w_REG_MEM1_rdata;
wire 					w_REG_MEM1_rlast;
wire 					w_REG_MEM1_rready;
wire [1:0]				w_REG_MEM1_rresp;
wire 					w_REG_MEM1_rvalid;
wire [31:0]				w_REG_MEM1_wdata;
wire 					w_REG_MEM1_wlast;
wire 					w_REG_MEM1_wready;
wire [3:0]				w_REG_MEM1_wstrb;
wire 					w_REG_MEM1_wvalid;

wire [31:0]				w_REG_MEM2_araddr;
wire [1:0]				w_REG_MEM2_arburst;
wire [3:0]				w_REG_MEM2_arcache;
wire [7:0]				w_REG_MEM2_arlen;
wire [0:0]				w_REG_MEM2_arlock;
wire [2:0]				w_REG_MEM2_arprot;
wire [3:0]				w_REG_MEM2_arqos;
wire 					w_REG_MEM2_arready;
wire [2:0]				w_REG_MEM2_arsize;
wire 					w_REG_MEM2_arvalid;
wire [31:0]				w_REG_MEM2_awaddr;
wire [1:0]				w_REG_MEM2_awburst;
wire [3:0]				w_REG_MEM2_awcache;
wire [7:0]				w_REG_MEM2_awlen;
wire [0:0]				w_REG_MEM2_awlock;
wire [2:0]				w_REG_MEM2_awprot;
wire [3:0]				w_REG_MEM2_awqos;
wire 					w_REG_MEM2_awready;
wire [2:0]				w_REG_MEM2_awsize;
wire [31:0]				w_REG_MEM2_awuser;
wire [31:0]				w_REG_MEM2_aruser;
wire [3:0]				w_REG_MEM2_wuser;
wire [15:0]				w_REG_MEM2_buser;
wire [3:0]				w_REG_MEM2_ruser;
wire 					w_REG_MEM2_awvalid;
wire 					w_REG_MEM2_bready;
wire [1:0]				w_REG_MEM2_bresp;
wire 					w_REG_MEM2_bvalid;
wire [31:0]				w_REG_MEM2_rdata;
wire 					w_REG_MEM2_rlast;
wire 					w_REG_MEM2_rready;
wire [1:0]				w_REG_MEM2_rresp;
wire 					w_REG_MEM2_rvalid;
wire [31:0]				w_REG_MEM2_wdata;
wire 					w_REG_MEM2_wlast;
wire 					w_REG_MEM2_wready;
wire [3:0]				w_REG_MEM2_wstrb;
wire 					w_REG_MEM2_wvalid;

wire [31:0]	w_REG_MEM3_araddr;
wire [1:0]	w_REG_MEM3_arburst;
wire [3:0]	w_REG_MEM3_arcache;
wire [7:0]	w_REG_MEM3_arlen;
wire [0:0]	w_REG_MEM3_arlock;
wire [2:0]	w_REG_MEM3_arprot;
wire [3:0]	w_REG_MEM3_arqos;
wire 		w_REG_MEM3_arready;
wire [2:0]	w_REG_MEM3_arsize;
wire 		w_REG_MEM3_arvalid;
wire [31:0]	w_REG_MEM3_awaddr;
wire [1:0]	w_REG_MEM3_awburst;
wire [3:0]	w_REG_MEM3_awcache;
wire [7:0]	w_REG_MEM3_awlen;
wire [0:0]	w_REG_MEM3_awlock;
wire [2:0]	w_REG_MEM3_awprot;
wire [3:0]	w_REG_MEM3_awqos;
wire 		w_REG_MEM3_awready;
wire [2:0]	w_REG_MEM3_awsize;
wire [31:0]	w_REG_MEM3_awuser;
wire [31:0]	w_REG_MEM3_aruser;
wire [3:0]	w_REG_MEM3_wuser;
wire [15:0]	w_REG_MEM3_buser;
wire [3:0]	w_REG_MEM3_ruser;
wire 		w_REG_MEM3_awvalid;
wire 		w_REG_MEM3_bready;
wire [1:0]	w_REG_MEM3_bresp;
wire 		w_REG_MEM3_bvalid;
wire [31:0]	w_REG_MEM3_rdata;
wire 		w_REG_MEM3_rlast;
wire 		w_REG_MEM3_rready;
wire [1:0]	w_REG_MEM3_rresp;
wire 		w_REG_MEM3_rvalid;
wire [31:0]	w_REG_MEM3_wdata;
wire 		w_REG_MEM3_wlast;
wire 		w_REG_MEM3_wready;
wire [3:0]	w_REG_MEM3_wstrb;
wire 		w_REG_MEM3_wvalid;

wire [31:0]	w_REG_MEM5_araddr;
wire [1:0]	w_REG_MEM5_arburst;
wire [3:0]	w_REG_MEM5_arcache;
wire [7:0]	w_REG_MEM5_arlen;
wire [0:0]	w_REG_MEM5_arlock;
wire [2:0]	w_REG_MEM5_arprot;
wire [3:0]	w_REG_MEM5_arqos;
wire 		w_REG_MEM5_arready;
wire [2:0]	w_REG_MEM5_arsize;
wire 		w_REG_MEM5_arvalid;
wire [31:0]	w_REG_MEM5_awaddr;
wire [1:0]	w_REG_MEM5_awburst;
wire [3:0]	w_REG_MEM5_awcache;
wire [7:0]	w_REG_MEM5_awlen;
wire [0:0]	w_REG_MEM5_awlock;
wire [2:0]	w_REG_MEM5_awprot;
wire [3:0]	w_REG_MEM5_awqos;
wire 		w_REG_MEM5_awready;
wire [2:0]	w_REG_MEM5_awsize;
wire [31:0]	w_REG_MEM5_awuser;
wire [31:0]	w_REG_MEM5_aruser;
wire [3:0]	w_REG_MEM5_wuser;
wire [15:0]	w_REG_MEM5_buser;
wire [3:0]	w_REG_MEM5_ruser;
wire 		w_REG_MEM5_awvalid;
wire 		w_REG_MEM5_bready;
wire [1:0]	w_REG_MEM5_bresp;
wire 		w_REG_MEM5_bvalid;
wire [31:0]	w_REG_MEM5_rdata;
wire 		w_REG_MEM5_rlast;
wire 		w_REG_MEM5_rready;
wire [1:0]	w_REG_MEM5_rresp;
wire 		w_REG_MEM5_rvalid;
wire [31:0]	w_REG_MEM5_wdata;
wire 		w_REG_MEM5_wlast;
wire 		w_REG_MEM5_wready;
wire [3:0]	w_REG_MEM5_wstrb;
wire 		w_REG_MEM5_wvalid;

wire [31:0]	w_REG_MEM4_araddr;
wire [1:0]	w_REG_MEM4_arburst;
wire [3:0]	w_REG_MEM4_arcache;
wire [7:0]	w_REG_MEM4_arlen;
wire [0:0]	w_REG_MEM4_arlock;
wire [2:0]	w_REG_MEM4_arprot;
wire [3:0]	w_REG_MEM4_arqos;
wire 		w_REG_MEM4_arready;
wire [2:0]	w_REG_MEM4_arsize;
wire 		w_REG_MEM4_arvalid;
wire [31:0]	w_REG_MEM4_awaddr;
wire [1:0]	w_REG_MEM4_awburst;
wire [3:0]	w_REG_MEM4_awcache;
wire [7:0]	w_REG_MEM4_awlen;
wire [0:0]	w_REG_MEM4_awlock;
wire [2:0]	w_REG_MEM4_awprot;
wire [3:0]	w_REG_MEM4_awqos;
wire 		w_REG_MEM4_awready;
wire [2:0]	w_REG_MEM4_awsize;
wire [31:0]	w_REG_MEM4_awuser;
wire [31:0]	w_REG_MEM4_aruser;
wire [3:0]	w_REG_MEM4_wuser;
wire [15:0]	w_REG_MEM4_buser;
wire [3:0]	w_REG_MEM4_ruser;
wire 		w_REG_MEM4_awvalid;
wire 		w_REG_MEM4_bready;
wire [1:0]	w_REG_MEM4_bresp;
wire 		w_REG_MEM4_bvalid;
wire [31:0]	w_REG_MEM4_rdata;
wire 		w_REG_MEM4_rlast;
wire 		w_REG_MEM4_rready;
wire [1:0]	w_REG_MEM4_rresp;
wire 		w_REG_MEM4_rvalid;
wire [31:0]	w_REG_MEM4_wdata;
wire 		w_REG_MEM4_wlast;
wire 		w_REG_MEM4_wready;
wire [3:0]	w_REG_MEM4_wstrb;
wire 		w_REG_MEM4_wvalid;

wire [31:0]	w_REG_MEM6_araddr;
wire [1:0]	w_REG_MEM6_arburst;
wire [3:0]	w_REG_MEM6_arcache;
wire [7:0]	w_REG_MEM6_arlen;
wire [0:0]	w_REG_MEM6_arlock;
wire [2:0]	w_REG_MEM6_arprot;
wire [3:0]	w_REG_MEM6_arqos;
wire 		w_REG_MEM6_arready;
wire [2:0]	w_REG_MEM6_arsize;
wire 		w_REG_MEM6_arvalid;
wire [31:0]	w_REG_MEM6_awaddr;
wire [1:0]	w_REG_MEM6_awburst;
wire [3:0]	w_REG_MEM6_awcache;
wire [7:0]	w_REG_MEM6_awlen;
wire [0:0]	w_REG_MEM6_awlock;
wire [2:0]	w_REG_MEM6_awprot;
wire [3:0]	w_REG_MEM6_awqos;
wire 		w_REG_MEM6_awready;
wire [2:0]	w_REG_MEM6_awsize;
wire [31:0]	w_REG_MEM6_awuser;
wire [31:0]	w_REG_MEM6_aruser;
wire [3:0]	w_REG_MEM6_wuser;
wire [15:0]	w_REG_MEM6_buser;
wire [3:0]	w_REG_MEM6_ruser;
wire 		w_REG_MEM6_awvalid;
wire 		w_REG_MEM6_bready;
wire [1:0]	w_REG_MEM6_bresp;
wire 		w_REG_MEM6_bvalid;
wire [31:0]	w_REG_MEM6_rdata;
wire 		w_REG_MEM6_rlast;
wire 		w_REG_MEM6_rready;
wire [1:0]	w_REG_MEM6_rresp;
wire 		w_REG_MEM6_rvalid;
wire [31:0]	w_REG_MEM6_wdata;
wire 		w_REG_MEM6_wlast;
wire 		w_REG_MEM6_wready;
wire [3:0]	w_REG_MEM6_wstrb;
wire 		w_REG_MEM6_wvalid;

wire [31:0]	w_REG_MEM7_araddr;
wire [1:0]	w_REG_MEM7_arburst;
wire [3:0]	w_REG_MEM7_arcache;
wire [7:0]	w_REG_MEM7_arlen;
wire [0:0]	w_REG_MEM7_arlock;
wire [2:0]	w_REG_MEM7_arprot;
wire [3:0]	w_REG_MEM7_arqos;
wire 		w_REG_MEM7_arready;
wire [2:0]	w_REG_MEM7_arsize;
wire 		w_REG_MEM7_arvalid;
wire [31:0]	w_REG_MEM7_awaddr;
wire [1:0]	w_REG_MEM7_awburst;
wire [3:0]	w_REG_MEM7_awcache;
wire [7:0]	w_REG_MEM7_awlen;
wire [0:0]	w_REG_MEM7_awlock;
wire [2:0]	w_REG_MEM7_awprot;
wire [3:0]	w_REG_MEM7_awqos;
wire 		w_REG_MEM7_awready;
wire [2:0]	w_REG_MEM7_awsize;
wire [31:0]	w_REG_MEM7_awuser;
wire [31:0]	w_REG_MEM7_aruser;
wire [3:0]	w_REG_MEM7_wuser;
wire [15:0]	w_REG_MEM7_buser;
wire [3:0]	w_REG_MEM7_ruser;
wire 		w_REG_MEM7_awvalid;
wire 		w_REG_MEM7_bready;
wire [1:0]	w_REG_MEM7_bresp;
wire 		w_REG_MEM7_bvalid;
wire [31:0]	w_REG_MEM7_rdata;
wire 		w_REG_MEM7_rlast;
wire 		w_REG_MEM7_rready;
wire [1:0]	w_REG_MEM7_rresp;
wire 		w_REG_MEM7_rvalid;
wire [31:0]	w_REG_MEM7_wdata;
wire 		w_REG_MEM7_wlast;
wire 		w_REG_MEM7_wready;
wire [3:0]	w_REG_MEM7_wstrb;
wire 		w_REG_MEM7_wvalid;

wire [31:0]	w_REG_MEM8_araddr;
wire [1:0]	w_REG_MEM8_arburst;
wire [3:0]	w_REG_MEM8_arcache;
wire [7:0]	w_REG_MEM8_arlen;
wire [0:0]	w_REG_MEM8_arlock;
wire [2:0]	w_REG_MEM8_arprot;
wire [3:0]	w_REG_MEM8_arqos;
wire 		w_REG_MEM8_arready;
wire [2:0]	w_REG_MEM8_arsize;
wire 		w_REG_MEM8_arvalid;
wire [31:0]	w_REG_MEM8_awaddr;
wire [1:0]	w_REG_MEM8_awburst;
wire [3:0]	w_REG_MEM8_awcache;
wire [7:0]	w_REG_MEM8_awlen;
wire [0:0]	w_REG_MEM8_awlock;
wire [2:0]	w_REG_MEM8_awprot;
wire [3:0]	w_REG_MEM8_awqos;
wire 		w_REG_MEM8_awready;
wire [2:0]	w_REG_MEM8_awsize;
wire [31:0]	w_REG_MEM8_awuser;
wire [31:0]	w_REG_MEM8_aruser;
wire [3:0]	w_REG_MEM8_wuser;
wire [15:0]	w_REG_MEM8_buser;
wire [3:0]	w_REG_MEM8_ruser;
wire 		w_REG_MEM8_awvalid;
wire 		w_REG_MEM8_bready;
wire [1:0]	w_REG_MEM8_bresp;
wire 		w_REG_MEM8_bvalid;
wire [31:0]	w_REG_MEM8_rdata;
wire 		w_REG_MEM8_rlast;
wire 		w_REG_MEM8_rready;
wire [1:0]	w_REG_MEM8_rresp;
wire 		w_REG_MEM8_rvalid;
wire [31:0]	w_REG_MEM8_wdata;
wire 		w_REG_MEM8_wlast;
wire 		w_REG_MEM8_wready;
wire [3:0]	w_REG_MEM8_wstrb;
wire 		w_REG_MEM8_wvalid;

wire [31:0]	w_REG_MEM9_araddr;
wire [1:0]	w_REG_MEM9_arburst;
wire [3:0]	w_REG_MEM9_arcache;
wire [7:0]	w_REG_MEM9_arlen;
wire [0:0]	w_REG_MEM9_arlock;
wire [2:0]	w_REG_MEM9_arprot;
wire [3:0]	w_REG_MEM9_arqos;
wire 		w_REG_MEM9_arready;
wire [2:0]	w_REG_MEM9_arsize;
wire 		w_REG_MEM9_arvalid;
wire [31:0]	w_REG_MEM9_awaddr;
wire [1:0]	w_REG_MEM9_awburst;
wire [3:0]	w_REG_MEM9_awcache;
wire [7:0]	w_REG_MEM9_awlen;
wire [0:0]	w_REG_MEM9_awlock;
wire [2:0]	w_REG_MEM9_awprot;
wire [3:0]	w_REG_MEM9_awqos;
wire 		w_REG_MEM9_awready;
wire [2:0]	w_REG_MEM9_awsize;
wire [31:0]	w_REG_MEM9_awuser;
wire [31:0]	w_REG_MEM9_aruser;
wire [3:0]	w_REG_MEM9_wuser;
wire [15:0]	w_REG_MEM9_buser;
wire [3:0]	w_REG_MEM9_ruser;
wire 		w_REG_MEM9_awvalid;
wire 		w_REG_MEM9_bready;
wire [1:0]	w_REG_MEM9_bresp;
wire 		w_REG_MEM9_bvalid;
wire [31:0]	w_REG_MEM9_rdata;
wire 		w_REG_MEM9_rlast;
wire 		w_REG_MEM9_rready;
wire [1:0]	w_REG_MEM9_rresp;
wire 		w_REG_MEM9_rvalid;
wire [31:0]	w_REG_MEM9_wdata;
wire 		w_REG_MEM9_wlast;
wire 		w_REG_MEM9_wready;
wire [3:0]	w_REG_MEM9_wstrb;
wire 		w_REG_MEM9_wvalid;

wire [31:0]	w_REG_MEM10_araddr;
wire [1:0]	w_REG_MEM10_arburst;
wire [3:0]	w_REG_MEM10_arcache;
wire [7:0]	w_REG_MEM10_arlen;
wire [0:0]	w_REG_MEM10_arlock;
wire [2:0]	w_REG_MEM10_arprot;
wire [3:0]	w_REG_MEM10_arqos;
wire 		w_REG_MEM10_arready;
wire [2:0]	w_REG_MEM10_arsize;
wire 		w_REG_MEM10_arvalid;
wire [31:0]	w_REG_MEM10_awaddr;
wire [1:0]	w_REG_MEM10_awburst;
wire [3:0]	w_REG_MEM10_awcache;
wire [7:0]	w_REG_MEM10_awlen;
wire [0:0]	w_REG_MEM10_awlock;
wire [2:0]	w_REG_MEM10_awprot;
wire [3:0]	w_REG_MEM10_awqos;
wire 		w_REG_MEM10_awready;
wire [2:0]	w_REG_MEM10_awsize;
wire [31:0]	w_REG_MEM10_awuser;
wire [31:0]	w_REG_MEM10_aruser;
wire [3:0]	w_REG_MEM10_wuser;
wire [15:0]	w_REG_MEM10_buser;
wire [3:0]	w_REG_MEM10_ruser;
wire 		w_REG_MEM10_awvalid;
wire 		w_REG_MEM10_bready;
wire [1:0]	w_REG_MEM10_bresp;
wire 		w_REG_MEM10_bvalid;
wire [31:0]	w_REG_MEM10_rdata;
wire 		w_REG_MEM10_rlast;
wire 		w_REG_MEM10_rready;
wire [1:0]	w_REG_MEM10_rresp;
wire 		w_REG_MEM10_rvalid;
wire [31:0]	w_REG_MEM10_wdata;
wire 		w_REG_MEM10_wlast;
wire 		w_REG_MEM10_wready;
wire [3:0]	w_REG_MEM10_wstrb;
wire 		w_REG_MEM10_wvalid;

wire [31:0]	w_REG_MEM11_araddr;
wire [1:0]	w_REG_MEM11_arburst;
wire [3:0]	w_REG_MEM11_arcache;
wire [7:0]	w_REG_MEM11_arlen;
wire [0:0]	w_REG_MEM11_arlock;
wire [2:0]	w_REG_MEM11_arprot;
wire [3:0]	w_REG_MEM11_arqos;
wire 		w_REG_MEM11_arready;
wire [2:0]	w_REG_MEM11_arsize;
wire 		w_REG_MEM11_arvalid;
wire [31:0]	w_REG_MEM11_awaddr;
wire [1:0]	w_REG_MEM11_awburst;
wire [3:0]	w_REG_MEM11_awcache;
wire [7:0]	w_REG_MEM11_awlen;
wire [0:0]	w_REG_MEM11_awlock;
wire [2:0]	w_REG_MEM11_awprot;
wire [3:0]	w_REG_MEM11_awqos;
wire 		w_REG_MEM11_awready;
wire [2:0]	w_REG_MEM11_awsize;
wire [31:0]	w_REG_MEM11_awuser;
wire [31:0]	w_REG_MEM11_aruser;
wire [3:0]	w_REG_MEM11_wuser;
wire [15:0]	w_REG_MEM11_buser;
wire [3:0]	w_REG_MEM11_ruser;
wire 		w_REG_MEM11_awvalid;
wire 		w_REG_MEM11_bready;
wire [1:0]	w_REG_MEM11_bresp;
wire 		w_REG_MEM11_bvalid;
wire [31:0]	w_REG_MEM11_rdata;
wire 		w_REG_MEM11_rlast;
wire 		w_REG_MEM11_rready;
wire [1:0]	w_REG_MEM11_rresp;
wire 		w_REG_MEM11_rvalid;
wire [31:0]	w_REG_MEM11_wdata;
wire 		w_REG_MEM11_wlast;
wire 		w_REG_MEM11_wready;
wire [3:0]	w_REG_MEM11_wstrb;
wire 		w_REG_MEM11_wvalid;

wire [31:0]	w_REG_MEM12_araddr;
wire [1:0]	w_REG_MEM12_arburst;
wire [3:0]	w_REG_MEM12_arcache;
wire [7:0]	w_REG_MEM12_arlen;
wire [0:0]	w_REG_MEM12_arlock;
wire [2:0]	w_REG_MEM12_arprot;
wire [3:0]	w_REG_MEM12_arqos;
wire 		w_REG_MEM12_arready;
wire [2:0]	w_REG_MEM12_arsize;
wire 		w_REG_MEM12_arvalid;
wire [31:0]	w_REG_MEM12_awaddr;
wire [1:0]	w_REG_MEM12_awburst;
wire [3:0]	w_REG_MEM12_awcache;
wire [7:0]	w_REG_MEM12_awlen;
wire [0:0]	w_REG_MEM12_awlock;
wire [2:0]	w_REG_MEM12_awprot;
wire [3:0]	w_REG_MEM12_awqos;
wire 		w_REG_MEM12_awready;
wire [2:0]	w_REG_MEM12_awsize;
wire [31:0]	w_REG_MEM12_awuser;
wire [31:0]	w_REG_MEM12_aruser;
wire [3:0]	w_REG_MEM12_wuser;
wire [15:0]	w_REG_MEM12_buser;
wire [3:0]	w_REG_MEM12_ruser;
wire 		w_REG_MEM12_awvalid;
wire 		w_REG_MEM12_bready;
wire [1:0]	w_REG_MEM12_bresp;
wire 		w_REG_MEM12_bvalid;
wire [31:0]	w_REG_MEM12_rdata;
wire 		w_REG_MEM12_rlast;
wire 		w_REG_MEM12_rready;
wire [1:0]	w_REG_MEM12_rresp;
wire 		w_REG_MEM12_rvalid;
wire [31:0]	w_REG_MEM12_wdata;
wire 		w_REG_MEM12_wlast;
wire 		w_REG_MEM12_wready;
wire [3:0]	w_REG_MEM12_wstrb;
wire 		w_REG_MEM12_wvalid;

wire [63:0]	w_R5_API_araddr;
wire [1:0]	w_R5_API_arburst;
wire [3:0]	w_R5_API_arcache;
wire [7:0]	w_R5_API_arlen;
wire [0:0]	w_R5_API_arlock;
wire [2:0]	w_R5_API_arprot;
wire [3:0]	w_R5_API_arqos;
wire 		w_R5_API_arready;
wire [2:0]	w_R5_API_arsize;
wire [15:0]	w_R5_API_aruser;
wire 		w_R5_API_arvalid;
wire [63:0]	w_R5_API_awaddr;
wire [1:0]	w_R5_API_awburst;
wire [3:0]	w_R5_API_awcache;
wire [7:0]	w_R5_API_awlen;
wire [0:0]	w_R5_API_awlock;
wire [2:0]	w_R5_API_awprot;
wire [3:0]	w_R5_API_awqos;
wire 		w_R5_API_awready;
wire [2:0]	w_R5_API_awsize;
wire [15:0]	w_R5_API_awuser;
wire [15:0]	w_R5_API_wuser;
wire [15:0]	w_R5_API_buser;
wire [15:0]	w_R5_API_ruser;
wire 		w_R5_API_awvalid;
wire 		w_R5_API_bready;
wire [1:0]	w_R5_API_bresp;
wire 		w_R5_API_bvalid;
wire [127:0]	w_R5_API_rdata;
wire 		w_R5_API_rlast;
wire 		w_R5_API_rready;
wire [1:0]	w_R5_API_rresp;
wire 		w_R5_API_rvalid;
wire [127:0]	w_R5_API_wdata;
wire 		w_R5_API_wlast;
wire 		w_R5_API_wready;
wire [15:0]	w_R5_API_wstrb;
wire 		w_R5_API_wvalid;
wire [5:0]      w_R5_API_awid;
wire [5:0]      w_R5_API_arid;
wire [5:0]      w_R5_API_wid;
wire [5:0]      w_R5_API_rid;
wire [5:0]      w_R5_API_bid;


wire [63:0]	w_AFI_API_araddr;
wire [1:0]	w_AFI_API_arburst;
wire [3:0]	w_AFI_API_arcache;
wire [7:0]	w_AFI_API_arlen;
wire [0:0]	w_AFI_API_arlock;
wire [2:0]	w_AFI_API_arprot;
wire [3:0]	w_AFI_API_arqos;
wire 		w_AFI_API_arready;
wire [2:0]	w_AFI_API_arsize;
wire [15:0]	w_AFI_API_aruser;
wire 		w_AFI_API_arvalid;
wire [63:0]	w_AFI_API_awaddr;
wire [1:0]	w_AFI_API_awburst;
wire [3:0]	w_AFI_API_awcache;
wire [7:0]	w_AFI_API_awlen;
wire [0:0]	w_AFI_API_awlock;
wire [2:0]	w_AFI_API_awprot;
wire [3:0]	w_AFI_API_awqos;
wire 		w_AFI_API_awready;
wire [2:0]	w_AFI_API_awsize;
wire [15:0]	w_AFI_API_awuser;
wire [15:0]	w_AFI_API_wuser;
wire [15:0]	w_AFI_API_ruser;
wire [15:0]	w_AFI_API_buser;
wire 		w_AFI_API_awvalid;
wire 		w_AFI_API_bready;
wire [1:0]	w_AFI_API_bresp;
wire 		w_AFI_API_bvalid;
wire [127:0]	w_AFI_API_rdata;
wire 		w_AFI_API_rlast;
wire 		w_AFI_API_rready;
wire [1:0]	w_AFI_API_rresp;
wire 		w_AFI_API_rvalid;
wire [127:0]	w_AFI_API_wdata;
wire 		w_AFI_API_wlast;
wire 		w_AFI_API_wready;
wire [15:0]	w_AFI_API_wstrb;
wire 		w_AFI_API_wvalid;
wire [5:0]      w_AFI_API_awid;
wire [5:0]      w_AFI_API_arid;
wire [5:0]      w_AFI_API_wid;
wire [5:0]      w_AFI_API_rid;
wire [5:0]      w_AFI_API_bid;

wire [63:0]	w_NOC_API_araddr;
wire [1:0]	w_NOC_API_arburst;
wire [3:0]	w_NOC_API_arcache;
wire [7:0]	w_NOC_API_arlen;
wire [0:0]	w_NOC_API_arlock;
wire [2:0]	w_NOC_API_arprot;
wire [3:0]	w_NOC_API_arqos;
wire 		w_NOC_API_arready;
wire [2:0]	w_NOC_API_arsize;
wire [15:0]	w_NOC_API_aruser;
wire 		w_NOC_API_arvalid;
wire [63:0]	w_NOC_API_awaddr;
wire [1:0]	w_NOC_API_awburst;
wire [3:0]	w_NOC_API_awcache;
wire [7:0]	w_NOC_API_awlen;
wire [0:0]	w_NOC_API_awlock;
wire [2:0]	w_NOC_API_awprot;
wire [3:0]	w_NOC_API_awqos;
wire 		w_NOC_API_awready;
wire [2:0]	w_NOC_API_awsize;
wire [15:0]	w_NOC_API_awuser;
wire [15:0]	w_NOC_API_wuser;
wire [15:0]	w_NOC_API_ruser;
wire [15:0]	w_NOC_API_buser;
wire 		w_NOC_API_awvalid;
wire 		w_NOC_API_bready;
wire [1:0]	w_NOC_API_bresp;
wire 		w_NOC_API_bvalid;
wire [127:0]	w_NOC_API_rdata;
wire 		w_NOC_API_rlast;
wire 		w_NOC_API_rready;
wire [1:0]	w_NOC_API_rresp;
wire 		w_NOC_API_rvalid;
wire [127:0]	w_NOC_API_wdata;
wire 		w_NOC_API_wlast;
wire 		w_NOC_API_wready;
wire [15:0]	w_NOC_API_wstrb;
wire 		w_NOC_API_wvalid;
wire [5:0]      w_NOC_API_awid;
wire [5:0]      w_NOC_API_arid;
wire [5:0]      w_NOC_API_wid;
wire [5:0]      w_NOC_API_rid;
wire [5:0]      w_NOC_API_bid;

// For Connecting from smart connect's M0 to CCI
reg  [63:0]	w_reg_psnoccci_axi_araddr;
reg  [1:0]	w_reg_psnoccci_axi_arburst;
reg  [3:0]	w_reg_psnoccci_axi_arcache;
reg  [7:0]	w_reg_psnoccci_axi_arlen;
reg  [0:0]	w_reg_psnoccci_axi_arlock;
reg  [2:0]	w_reg_psnoccci_axi_arprot;
reg  [3:0]	w_reg_psnoccci_axi_arqos;
reg  		w_reg_psnoccci_axi_arready;
reg  [2:0]	w_reg_psnoccci_axi_arsize;
reg  [31:0]	w_reg_psnoccci_axi_aruser;
reg  		w_reg_psnoccci_axi_arvalid;
reg  [63:0]	w_reg_psnoccci_axi_awaddr;
reg  [1:0]	w_reg_psnoccci_axi_awburst;
reg  [3:0]	w_reg_psnoccci_axi_awcache;
reg  [7:0]	w_reg_psnoccci_axi_awlen;
reg  [0:0]	w_reg_psnoccci_axi_awlock;
reg  [2:0]	w_reg_psnoccci_axi_awprot;
reg  [3:0]	w_reg_psnoccci_axi_awqos;
reg  		w_reg_psnoccci_axi_awready;
reg  [2:0]	w_reg_psnoccci_axi_awsize;
reg  [31:0]	w_reg_psnoccci_axi_awuser;
reg  		w_reg_psnoccci_axi_awvalid;
reg  		w_reg_psnoccci_axi_bready;
reg  [1:0]	w_reg_psnoccci_axi_bresp;
reg  		w_reg_psnoccci_axi_bvalid;
reg  [127:0]	w_reg_psnoccci_axi_rdata;
reg  		w_reg_psnoccci_axi_rlast;
reg  		w_reg_psnoccci_axi_rready;
reg  [1:0]	w_reg_psnoccci_axi_rresp;
reg  		w_reg_psnoccci_axi_rvalid;
reg  [127:0]	w_reg_psnoccci_axi_wdata;
reg  		w_reg_psnoccci_axi_wlast;
reg  		w_reg_psnoccci_axi_wready;
reg  [15:0]	w_reg_psnoccci_axi_wstrb;
reg  		w_reg_psnoccci_axi_wvalid;
reg  [31:0]	w_reg_psnoccci_axi_wuser;
reg  [31:0]	w_reg_psnoccci_axi_ruser;
reg  [15:0]	w_reg_psnoccci_axi_buser;
reg  [15:0]	w_reg_psnoccci_axi_rid;
reg  [15:0]	w_reg_psnoccci_axi_bid;
reg  [15:0]	w_reg_psnoccci_axi_awid;
reg  [15:0]	w_reg_psnoccci_axi_wid;
reg  [15:0]	w_reg_psnoccci_axi_arid;

// For connecting from CCI to CCI0, CCI1, CCI2 and CCI3 via muxing and de-muxing logic
bit [63:0]	w_psnoccci_axi_araddr;
bit [1:0]	w_psnoccci_axi_arburst;
bit [3:0]	w_psnoccci_axi_arcache;
bit [7:0]	w_psnoccci_axi_arlen;
bit [0:0]	w_psnoccci_axi_arlock;
bit [2:0]	w_psnoccci_axi_arprot;
bit [3:0]	w_psnoccci_axi_arqos;
bit 		w_psnoccci_axi_arready;
bit [2:0]	w_psnoccci_axi_arsize;
bit [17:0]	w_psnoccci_axi_aruser;
bit 		w_psnoccci_axi_arvalid;
bit [63:0]	w_psnoccci_axi_awaddr;
bit [1:0]	w_psnoccci_axi_awburst;
bit [3:0]	w_psnoccci_axi_awcache;
bit [7:0]	w_psnoccci_axi_awlen;
bit [0:0]	w_psnoccci_axi_awlock;
bit [2:0]	w_psnoccci_axi_awprot;
bit [3:0]	w_psnoccci_axi_awqos;
bit 		w_psnoccci_axi_awready;
bit [2:0]	w_psnoccci_axi_awsize;
bit [17:0]	w_psnoccci_axi_awuser;
bit 		w_psnoccci_axi_awvalid;
bit 		w_psnoccci_axi_bready;
bit [1:0]	w_psnoccci_axi_bresp;
bit [15:0]	w_psnoccci_axi_buser;
bit 		w_psnoccci_axi_bvalid;
bit [127:0]	w_psnoccci_axi_rdata;
bit 		w_psnoccci_axi_rlast;
bit 		w_psnoccci_axi_rready;
bit [1:0]	w_psnoccci_axi_rresp;
bit [15:0]	w_psnoccci_axi_ruser;
bit 		w_psnoccci_axi_rvalid;
bit [127:0]	w_psnoccci_axi_wdata;
bit 		w_psnoccci_axi_wlast;
bit 		w_psnoccci_axi_wready;
bit [15:0]	w_psnoccci_axi_wstrb;
bit [15:0]	w_psnoccci_axi_wuser;
bit 		w_psnoccci_axi_wvalid;
bit [63:0]	w_psnoccci_axi_0_araddr_in;
bit [1:0]	w_psnoccci_axi_0_arburst_in;
bit [3:0]	w_psnoccci_axi_0_arcache_in;
bit [7:0]	w_psnoccci_axi_0_arlen_in;
bit [0:0]	w_psnoccci_axi_0_arlock_in;
bit [2:0]	w_psnoccci_axi_0_arprot_in;
bit [3:0]	w_psnoccci_axi_0_arqos_in;
bit 		w_psnoccci_axi_0_arready_in;
bit [2:0]	w_psnoccci_axi_0_arsize_in;
bit [17:0]	w_psnoccci_axi_0_aruser_in;
bit 		w_psnoccci_axi_0_arvalid_in;
bit [63:0]	w_psnoccci_axi_0_awaddr_in;
bit [1:0]	w_psnoccci_axi_0_awburst_in;
bit [3:0]	w_psnoccci_axi_0_awcache_in;
bit [7:0]	w_psnoccci_axi_0_awlen_in;
bit [0:0]	w_psnoccci_axi_0_awlock_in;
bit [2:0]	w_psnoccci_axi_0_awprot_in;
bit [3:0]	w_psnoccci_axi_0_awqos_in;
bit 		w_psnoccci_axi_0_awready_in;
bit [2:0]	w_psnoccci_axi_0_awsize_in;
bit [17:0]	w_psnoccci_axi_0_awuser_in;
bit [31:0]	w_psnoccci_axi_0_wuser_in;
bit 		w_psnoccci_axi_0_awvalid_in;
bit 		w_psnoccci_axi_0_bready_in;
bit [1:0]	w_psnoccci_axi_0_bresp_in;
bit [15:0]	w_psnoccci_axi_0_buser_in;
bit [31:0]	w_psnoccci_axi_0_ruser_in;
bit 		w_psnoccci_axi_0_bvalid_in;
bit [127:0]	w_psnoccci_axi_0_rdata_in;
bit 		w_psnoccci_axi_0_rlast_in;
bit 		w_psnoccci_axi_0_rready_in;
bit [1:0]	w_psnoccci_axi_0_rresp_in;
bit 		w_psnoccci_axi_0_rvalid_in;
bit [127:0]	w_psnoccci_axi_0_wdata_in;
bit 		w_psnoccci_axi_0_wlast_in;
bit 		w_psnoccci_axi_0_wready_in;
bit [15:0]	w_psnoccci_axi_0_wstrb_in;
bit 		w_psnoccci_axi_0_wvalid_in;
bit [63:0]	w_psnoccci_axi_1_araddr_in;
bit [1:0]	w_psnoccci_axi_1_arburst_in;
bit [3:0]	w_psnoccci_axi_1_arcache_in;
bit [7:0]	w_psnoccci_axi_1_arlen_in;
bit [0:0]	w_psnoccci_axi_1_arlock_in;
bit [2:0]	w_psnoccci_axi_1_arprot_in;
bit [3:0]	w_psnoccci_axi_1_arqos_in;
bit 		w_psnoccci_axi_1_arready_in;
bit [2:0]	w_psnoccci_axi_1_arsize_in;
bit [17:0]	w_psnoccci_axi_1_aruser_in;
bit 		w_psnoccci_axi_1_arvalid_in;
bit [63:0]	w_psnoccci_axi_1_awaddr_in;
bit [1:0]	w_psnoccci_axi_1_awburst_in;
bit [3:0]	w_psnoccci_axi_1_awcache_in;
bit [7:0]	w_psnoccci_axi_1_awlen_in;
bit [0:0]	w_psnoccci_axi_1_awlock_in;
bit [2:0]	w_psnoccci_axi_1_awprot_in;
bit [3:0]	w_psnoccci_axi_1_awqos_in;
bit 		w_psnoccci_axi_1_awready_in;
bit [2:0]	w_psnoccci_axi_1_awsize_in;
bit [17:0]	w_psnoccci_axi_1_awuser_in;
bit [31:0]	w_psnoccci_axi_1_wuser_in;
bit 		w_psnoccci_axi_1_awvalid_in;
bit 		w_psnoccci_axi_1_bready_in;
bit [1:0]	w_psnoccci_axi_1_bresp_in;
bit [15:0]	w_psnoccci_axi_1_buser_in;
bit [31:0]	w_psnoccci_axi_1_ruser_in;
bit 		w_psnoccci_axi_1_bvalid_in;
bit [127:0]	w_psnoccci_axi_1_rdata_in;
bit 		w_psnoccci_axi_1_rlast_in;
bit 		w_psnoccci_axi_1_rready_in;
bit [1:0]	w_psnoccci_axi_1_rresp_in;
bit 		w_psnoccci_axi_1_rvalid_in;
bit [127:0]	w_psnoccci_axi_1_wdata_in;
bit 		w_psnoccci_axi_1_wlast_in;
bit 		w_psnoccci_axi_1_wready_in;
bit [15:0]	w_psnoccci_axi_1_wstrb_in;
bit 		w_psnoccci_axi_1_wvalid_in;
bit [63:0]	w_psnoccci_axi_2_araddr_in;
bit [1:0]	w_psnoccci_axi_2_arburst_in;
bit [3:0]	w_psnoccci_axi_2_arcache_in;
bit [7:0]	w_psnoccci_axi_2_arlen_in;
bit [0:0]	w_psnoccci_axi_2_arlock_in;
bit [2:0]	w_psnoccci_axi_2_arprot_in;
bit [3:0]	w_psnoccci_axi_2_arqos_in;
bit 		w_psnoccci_axi_2_arready_in;
bit [2:0]	w_psnoccci_axi_2_arsize_in;
bit [17:0]	w_psnoccci_axi_2_aruser_in;
bit 		w_psnoccci_axi_2_arvalid_in;
bit [63:0]	w_psnoccci_axi_2_awaddr_in;
bit [1:0]	w_psnoccci_axi_2_awburst_in;
bit [3:0]	w_psnoccci_axi_2_awcache_in;
bit [7:0]	w_psnoccci_axi_2_awlen_in;
bit [0:0]	w_psnoccci_axi_2_awlock_in;
bit [2:0]	w_psnoccci_axi_2_awprot_in;
bit [3:0]	w_psnoccci_axi_2_awqos_in;
bit 		w_psnoccci_axi_2_awready_in;
bit [2:0]	w_psnoccci_axi_2_awsize_in;
bit [17:0]	w_psnoccci_axi_2_awuser_in;
bit [31:0]	w_psnoccci_axi_2_wuser_in;
bit 		w_psnoccci_axi_2_awvalid_in;
bit 		w_psnoccci_axi_2_bready_in;
bit [1:0]	w_psnoccci_axi_2_bresp_in;
bit [15:0]	w_psnoccci_axi_2_buser_in;
bit [31:0]	w_psnoccci_axi_2_ruser_in;
bit 		w_psnoccci_axi_2_bvalid_in;
bit [127:0]	w_psnoccci_axi_2_rdata_in;
bit 		w_psnoccci_axi_2_rlast_in;
bit 		w_psnoccci_axi_2_rready_in;
bit [1:0]	w_psnoccci_axi_2_rresp_in;
bit 		w_psnoccci_axi_2_rvalid_in;
bit [127:0]	w_psnoccci_axi_2_wdata_in;
bit 		w_psnoccci_axi_2_wlast_in;
bit 		w_psnoccci_axi_2_wready_in;
bit [15:0]	w_psnoccci_axi_2_wstrb_in;
bit 		w_psnoccci_axi_2_wvalid_in;
bit [63:0]	w_psnoccci_axi_3_araddr_in;
bit [1:0]	w_psnoccci_axi_3_arburst_in;
bit [3:0]	w_psnoccci_axi_3_arcache_in;
bit [7:0]	w_psnoccci_axi_3_arlen_in;
bit [0:0]	w_psnoccci_axi_3_arlock_in;
bit [2:0]	w_psnoccci_axi_3_arprot_in;
bit [3:0]	w_psnoccci_axi_3_arqos_in;
bit 		w_psnoccci_axi_3_arready_in;
bit [2:0]	w_psnoccci_axi_3_arsize_in;
bit [17:0]	w_psnoccci_axi_3_aruser_in;
bit 		w_psnoccci_axi_3_arvalid_in;
bit [63:0]	w_psnoccci_axi_3_awaddr_in;
bit [1:0]	w_psnoccci_axi_3_awburst_in;
bit [3:0]	w_psnoccci_axi_3_awcache_in;
bit [7:0]	w_psnoccci_axi_3_awlen_in;
bit [0:0]	w_psnoccci_axi_3_awlock_in;
bit [2:0]	w_psnoccci_axi_3_awprot_in;
bit [3:0]	w_psnoccci_axi_3_awqos_in;
bit 		w_psnoccci_axi_3_awready_in;
bit [2:0]	w_psnoccci_axi_3_awsize_in;
bit [17:0]	w_psnoccci_axi_3_awuser_in;
bit [31:0]	w_psnoccci_axi_3_wuser_in;
bit 		w_psnoccci_axi_3_awvalid_in;
bit 		w_psnoccci_axi_3_bready_in;
bit [1:0]	w_psnoccci_axi_3_bresp_in;
bit [15:0]	w_psnoccci_axi_3_buser_in;
bit [31:0]	w_psnoccci_axi_3_ruser_in;
bit 		w_psnoccci_axi_3_bvalid_in;
bit [127:0]	w_psnoccci_axi_3_rdata_in;
bit 		w_psnoccci_axi_3_rlast_in;
bit 		w_psnoccci_axi_3_rready_in;
bit [1:0]	w_psnoccci_axi_3_rresp_in;
bit 		w_psnoccci_axi_3_rvalid_in;
bit [127:0]	w_psnoccci_axi_3_wdata_in;
bit 		w_psnoccci_axi_3_wlast_in;
bit 		w_psnoccci_axi_3_wready_in;
bit [15:0]	w_psnoccci_axi_3_wstrb_in;
bit 		w_psnoccci_axi_3_wvalid_in;

bit [15:0]	w_psnoccci_axi_1_rid_in;
bit [15:0]	w_psnoccci_axi_2_rid_in;
bit [15:0]	w_psnoccci_axi_0_rid_in;
bit [15:0]	w_psnoccci_axi_3_rid_in;
bit [15:0]	w_psnoccci_axi_1_bid_in;
bit [15:0]	w_psnoccci_axi_2_bid_in;
bit [15:0]	w_psnoccci_axi_0_bid_in;
bit [15:0]	w_psnoccci_axi_3_bid_in;
bit [15:0]	w_psnoccci_axi_1_arid_in;
bit [15:0]	w_psnoccci_axi_2_arid_in;
bit [15:0]	w_psnoccci_axi_0_arid_in;
bit [15:0]	w_psnoccci_axi_3_arid_in;
bit [15:0]	w_psnoccci_axi_1_awid_in;
bit [15:0]	w_psnoccci_axi_2_awid_in;
bit [15:0]	w_psnoccci_axi_0_awid_in;
bit [15:0]	w_psnoccci_axi_3_awid_in;
bit [15:0]	w_psnoccci_axi_1_wid_in;
bit [15:0]	w_psnoccci_axi_2_wid_in;
bit [15:0]	w_psnoccci_axi_0_wid_in;
bit [15:0]	w_psnoccci_axi_3_wid_in;

wire [36:0] 	addr_wr_wire;
wire [36:0] 	addr_rd_wire;
wire [26:0] 	addrmap_wire;
//reg  [3:0]  	config_reg = 'd2; 
wire  [2:0]  	config_reg;
wire [1:0]      maxigp0_port_width;
wire [1:0]      maxigp2_port_width;
reg  [5:0]  	route_z1h_wr_wire; 
reg  [5:0]  	route_z1h_rd_wire; 

reg  [5:0]  	route_z1h_rd_wire_queue[$];
reg  [5:0]  	route_z1h_wr_wire_queue[$];

reg  [5:0]  	route_z1h_wr_outstanding_wire; 
reg  [5:0]  	route_z1h_rd_outstanding_wire;

// If we set the below bit. Always the traffic will be forwarded to CCI0
bit             local_route_to_single_cci_port;

bit         	cci_writes_pending;
bit	    	cci_reads_pending;

reg [15:0] 	w_psnoccci_axi_0_arid;
reg [15:0] 	w_psnoccci_axi_0_awid;
reg [15:0] 	w_psnoccci_axi_1_awid;
reg [15:0] 	w_psnoccci_axi_1_arid;
reg [15:0] 	w_psnoccci_axi_2_arid;
reg [15:0] 	w_psnoccci_axi_2_awid;
reg [15:0] 	w_psnoccci_axi_3_arid;
reg [15:0] 	w_psnoccci_axi_3_awid;
reg [15:0] 	w_psnoccci_axi_0_wid;
reg [15:0] 	w_psnoccci_axi_1_wid;
reg [15:0] 	w_psnoccci_axi_2_wid;
reg [15:0] 	w_psnoccci_axi_3_wid;
reg 		w_psnoccci_axi_0_arregion;
reg 		w_psnoccci_axi_0_awregion;
reg 		w_psnoccci_axi_1_awregion;
reg 		w_psnoccci_axi_1_arregion;
reg 		w_psnoccci_axi_2_arregion;
reg 		w_psnoccci_axi_2_awregion;
reg 		w_psnoccci_axi_3_arregion;
reg 		w_psnoccci_axi_3_awregion;
reg [16:0] 	w_psnoccci_axi_0_wuser;
reg [16:0] 	w_psnoccci_axi_1_wuser;
reg [16:0] 	w_psnoccci_axi_2_wuser;
reg [16:0] 	w_psnoccci_axi_3_wuser;

wire versal_cips_ps_vip_rstn;
wire versal_cips_ps_vip_clk;

  /* Global variables */
  reg DEBUG_INFO 		= 1;
  reg STOP_ON_ERROR 		= 1;

  /* local variable acting as semaphore for wait_mem_update and wait_reg_update task */ 
  reg mem_update_key 		= 1; 
  reg reg_update_key_0 		= 1; 
  reg reg_update_key_1 		= 1; 
  reg reg_update_key_2 		= 1; 
  assign PSNOCPMCAXI0CLK 	= versal_cips_ps_vip_clk;
  assign PSNOCPSCCIAXI0CLK 	= versal_cips_ps_vip_clk; 
  assign PSNOCPSCCIAXI1CLK 	= versal_cips_ps_vip_clk;
  assign PSNOCPSNCIAXI0CLK 	= versal_cips_ps_vip_clk;
  assign PSNOCPSNCIAXI1CLK 	= versal_cips_ps_vip_clk;
  assign PSNOCPSPCIAXI0CLK 	= versal_cips_ps_vip_clk;
  assign LPDCPMTOPSWCLK         = versal_cips_ps_vip_clk;

  // Added below driving for XRAM
  assign LPDLSBUSCLK		= versal_cips_ps_vip_clk;
  assign CPUR5AXICLK		= versal_cips_ps_vip_clk;

  assign PSPMCNOCAXI0CLK   	= versal_cips_ps_vip_clk;
  assign PSPSNOCCCIAXI0CLK 	= versal_cips_ps_vip_clk; 
  assign PSPSNOCCCIAXI1CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCCCIAXI2CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCCCIAXI3CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCNCIAXI0CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCNCIAXI1CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCPCIAXI0CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCPCIAXI1CLK 	= versal_cips_ps_vip_clk;
  assign PSPSNOCRPUAXI0CLK 	= versal_cips_ps_vip_clk;

  assign IFPSCPMCFGAXIAWID 	= 'h0;
  assign IFPSCPMCFGAXIARID 	= 'h0;
  assign IFPSCPMCFGAXIWID 	= 'h0;
  assign IFPSCPMCFGAXIAWREGION 	= 'h0;
  assign IFPSCPMCFGAXIARREGION 	= 'h0;

  //assign IFPSNOCRPUAXI0AWID 	= 'h0;
  //assign IFPSNOCRPUAXI0ARID 	= 'h0;
  //assign IFPSNOCRPUAXI0WID 	= 'h0;
  assign IFPSNOCRPUAXI0AWREGION = 'h0;
  assign IFPSNOCRPUAXI0ARREGION = 'h0;

  //assign IFPSCPMPCIEAXIAWID 	= 'h0;
  //assign IFPSCPMPCIEAXIARID 	= 'h0;
  //assign IFPSCPMPCIEAXIWID 	= 'h0;
  assign IFPSCPMPCIEAXIAWREGION = 'h0;
  assign IFPSCPMPCIEAXIARREGION = 'h0;

  //assign MAXIGP0AWID 		= 'h0;
  //assign MAXIGP0ARID 		= 'h0;
  //assign MAXIGP0WID 		= 'h0;
  //assign MAXIGP0AWREGION 	= 'h0;
  //assign MAXIGP0ARREGION 	= 'h0;

  //assign MAXIGP2AWID 		= 'h0;
  //assign MAXIGP2ARID 		= 'h0;
  //assign MAXIGP2WID 		= 'h0;
  //assign MAXIGP2AWREGION 	= 'h0;
  //assign MAXIGP2ARREGION 	= 'h0;

  //assign IFPSNOCCCIAXI0AWID 	= 'h0;
  //assign IFPSNOCCCIAXI0ARID 	= 'h0;
  //assign IFPSNOCCCIAXI0WID 	= 'h0;
  assign IFPSNOCCCIAXI0AWREGION = 'h0;
  assign IFPSNOCCCIAXI0ARREGION = 'h0;

  //assign IFPSNOCCCIAXI1AWID 	= 'h0;
  //assign IFPSNOCCCIAXI1ARID 	= 'h0;
  //assign IFPSNOCCCIAXI1WID 	= 'h0;
  assign IFPSNOCCCIAXI1AWREGION = 'h0;
  assign IFPSNOCCCIAXI1ARREGION = 'h0;

  //assign IFPSNOCCCIAXI2AWID 	= 'h0;
  //assign IFPSNOCCCIAXI2ARID 	= 'h0;
  //assign IFPSNOCCCIAXI2WID 	= 'h0;
  assign IFPSNOCCCIAXI2AWREGION = 'h0;
  assign IFPSNOCCCIAXI2ARREGION = 'h0;

  //assign IFPSNOCCCIAXI3AWID 	= 'h0;
  //assign IFPSNOCCCIAXI3ARID 	= 'h0;
  //assign IFPSNOCCCIAXI3WID 	= 'h0;
  assign IFPSNOCCCIAXI3AWREGION = 'h0;
  assign IFPSNOCCCIAXI3ARREGION = 'h0;

  //assign IFPSNOCNCIAXI0AWID 	= 'h0;
  //assign IFPSNOCNCIAXI0ARID 	= 'h0;
  //assign IFPSNOCNCIAXI0WID 	= 'h0;
  assign IFPSNOCNCIAXI0AWREGION = 'h0;
  assign IFPSNOCNCIAXI0ARREGION = 'h0;

  //assign IFPSNOCNCIAXI1AWID 	= 'h0;
  //assign IFPSNOCNCIAXI1ARID 	= 'h0;
  //assign IFPSNOCNCIAXI1WID 	= 'h0;
  assign IFPSNOCNCIAXI1AWREGION = 'h0;
  assign IFPSNOCNCIAXI1ARREGION = 'h0;

  //assign IFPSNOCPCIAXI0AWID	= 'h0;
  //assign IFPSNOCPCIAXI0ARID 	= 'h0;
  //assign IFPSNOCPCIAXI0WID 	= 'h0;
  assign IFPSNOCPCIAXI0AWREGION = 'h0;
  assign IFPSNOCPCIAXI0ARREGION = 'h0;
 
  //assign IFPSNOCPCIAXI1AWID 	= 'h0;
  //assign IFPSNOCPCIAXI1ARID 	= 'h0;
  //assign IFPSNOCPCIAXI1WID 	= 'h0;
  assign IFPSNOCPCIAXI1AWREGION = 'h0;
  assign IFPSNOCPCIAXI1ARREGION = 'h0;

  //assign IFPMCNOCAXI0AWID 	= 'h0;
  //assign IFPMCNOCAXI0ARID 	= 'h0;
  //assign IFPMCNOCAXI0WID 	= 'h0;
  assign IFPMCNOCAXI0AWREGION 	= 'h0;
  assign IFPMCNOCAXI0ARREGION 	= 'h0;

  assign IFPSOCM2AXIAWREGION 	= 'h0;
  assign IFPSOCM2AXIARREGION 	= 'h0;

  assign w_SMARTCONNECT6_awuser[31:18] = 14'b0;
  assign w_SMARTCONNECT6_aruser[31:18] = 14'b0;

  // balakasa: Added to take care of muxing in CCI for outstanding write requests
  //always @(posedge versal_cips_ps_vip_clk) begin
  //   if(w_reg_psnoccci_axi_awvalid && w_reg_psnoccci_axi_awready) begin
  //      route_z1h_wr_wire_queue.push_front(route_z1h_wr_wire);
  //   end
  //   
  //   if(w_reg_psnoccci_axi_bready && w_reg_psnoccci_axi_bvalid ) begin
  //      if(route_z1h_wr_wire_queue.size() == 0)
  //         cci_writes_pending = 0;     
  //      if((route_z1h_wr_wire_queue.size() != 0))
  //         route_z1h_wr_outstanding_wire = route_z1h_wr_wire_queue.pop_back();
  //   end
  //   else if(cci_writes_pending == 0) begin
  //      if(route_z1h_wr_wire_queue.size() == 1) begin
  //         route_z1h_wr_outstanding_wire = route_z1h_wr_wire_queue.pop_back();
  //         cci_writes_pending = 1;
  //      end
  //   end
  //end

  // If local_route_to_single_cci_port is set. Then, always route the traffic to either CCI0/CCI1/CCI2/CCI3 irrespective of the CCI boundary and depending upon the local_cci_port_num
  assign route_z1h_wr_outstanding_wire = local_route_to_single_cci_port ? {local_cci_port_num,2'b0} : ((w_reg_psnoccci_axi_awvalid && w_reg_psnoccci_axi_awready ) ? route_z1h_wr_wire : route_z1h_wr_outstanding_wire);
  assign route_z1h_rd_outstanding_wire = local_route_to_single_cci_port ? {local_cci_port_num,2'b0} : ((w_reg_psnoccci_axi_arvalid && w_reg_psnoccci_axi_arready ) ? route_z1h_rd_wire : route_z1h_rd_outstanding_wire);
  
  // balakasa: Added to take care of muxing in CCI for outstanding read requests
  //always @(posedge versal_cips_ps_vip_clk) begin
  //   if(w_reg_psnoccci_axi_arvalid && w_reg_psnoccci_axi_arready) begin
  //      route_z1h_rd_wire_queue.push_front(route_z1h_rd_wire);
  //   end
  //   
  //   if(w_reg_psnoccci_axi_rlast && w_reg_psnoccci_axi_rvalid && w_reg_psnoccci_axi_rready) begin
  //      if(route_z1h_rd_wire_queue.size() == 0)
  //         cci_reads_pending = 0;
  //      if((route_z1h_rd_wire_queue.size() != 0))
  //         route_z1h_rd_outstanding_wire = route_z1h_rd_wire_queue.pop_back();
  //   end
  //   else if(cci_reads_pending == 0) begin
  //      if(route_z1h_rd_wire_queue.size() == 1) begin
  //         route_z1h_rd_outstanding_wire = route_z1h_rd_wire_queue.pop_back();
  //         cci_reads_pending = 1;
  //      end
  //   end
  //end

always@(*) begin
 case (local_route_to_single_cci_port ? local_cci_port_num : route_z1h_wr_wire[5:2])
 4'b0001 : begin 
   w_psnoccci_axi_0_awaddr_in   = w_reg_psnoccci_axi_awaddr;
   w_psnoccci_axi_0_awburst_in  = w_reg_psnoccci_axi_awburst;
   w_psnoccci_axi_0_awcache_in  = w_reg_psnoccci_axi_awcache;
   w_psnoccci_axi_0_awid_in     = w_reg_psnoccci_axi_awid;
   w_psnoccci_axi_0_awlen_in    = w_reg_psnoccci_axi_awlen;
   w_psnoccci_axi_0_awlock_in   = w_reg_psnoccci_axi_awlock;
   w_psnoccci_axi_0_awprot_in   = w_reg_psnoccci_axi_awprot;
   w_psnoccci_axi_0_awqos_in    = w_reg_psnoccci_axi_awqos;
   // w_psnoccci_axi_0_awregion = w_reg_psnoccci_axi_awregion;
   w_psnoccci_axi_0_awsize_in   = w_reg_psnoccci_axi_awsize;
   w_psnoccci_axi_0_awuser_in   = w_reg_psnoccci_axi_awuser;
   
   w_psnoccci_axi_0_awvalid_in  = w_reg_psnoccci_axi_awvalid;
   w_psnoccci_axi_1_awvalid_in  = 1'b0;
   w_psnoccci_axi_2_awvalid_in  = 1'b0;
   w_psnoccci_axi_3_awvalid_in  = 1'b0;
   
   w_reg_psnoccci_axi_awready 	= w_psnoccci_axi_0_awready_in;
 end
 4'b0010 : begin 
   w_psnoccci_axi_1_awaddr_in   = w_reg_psnoccci_axi_awaddr;
   w_psnoccci_axi_1_awburst_in  = w_reg_psnoccci_axi_awburst;
   w_psnoccci_axi_1_awcache_in  = w_reg_psnoccci_axi_awcache;
   w_psnoccci_axi_1_awid_in     = w_reg_psnoccci_axi_awid;
   w_psnoccci_axi_1_awlen_in    = w_reg_psnoccci_axi_awlen;
   w_psnoccci_axi_1_awlock_in   = w_reg_psnoccci_axi_awlock;
   w_psnoccci_axi_1_awprot_in   = w_reg_psnoccci_axi_awprot;
   w_psnoccci_axi_1_awqos_in    = w_reg_psnoccci_axi_awqos;
   // w_psnoccci_axi_1_awregion = w_reg_psnoccci_axi_awregion;
   w_psnoccci_axi_1_awsize_in   = w_reg_psnoccci_axi_awsize;
   w_psnoccci_axi_1_awuser_in   = w_reg_psnoccci_axi_awuser;
   
   w_psnoccci_axi_0_awvalid_in  = 1'b0;
   w_psnoccci_axi_1_awvalid_in  = w_reg_psnoccci_axi_awvalid;
   w_psnoccci_axi_2_awvalid_in  = 1'b0;
   w_psnoccci_axi_3_awvalid_in  = 1'b0;
   
   w_reg_psnoccci_axi_awready 	= w_psnoccci_axi_1_awready_in;
 end
 4'b0100 : begin 
   w_psnoccci_axi_2_awaddr_in   = w_reg_psnoccci_axi_awaddr;
   w_psnoccci_axi_2_awburst_in  = w_reg_psnoccci_axi_awburst;
   w_psnoccci_axi_2_awcache_in  = w_reg_psnoccci_axi_awcache;
   w_psnoccci_axi_2_awid_in     = w_reg_psnoccci_axi_awid;
   w_psnoccci_axi_2_awlen_in    = w_reg_psnoccci_axi_awlen;
   w_psnoccci_axi_2_awlock_in   = w_reg_psnoccci_axi_awlock;
   w_psnoccci_axi_2_awprot_in   = w_reg_psnoccci_axi_awprot;
   w_psnoccci_axi_2_awqos_in    = w_reg_psnoccci_axi_awqos;
   // w_psnoccci_axi_2_awregion = w_reg_psnoccci_axi_awregion;
   w_psnoccci_axi_2_awsize_in   = w_reg_psnoccci_axi_awsize;
   w_psnoccci_axi_2_awuser_in   = w_reg_psnoccci_axi_awuser;
   
   w_psnoccci_axi_0_awvalid_in  = 1'b0;
   w_psnoccci_axi_1_awvalid_in  = 1'b0;
   w_psnoccci_axi_2_awvalid_in  = w_reg_psnoccci_axi_awvalid;
   w_psnoccci_axi_3_awvalid_in  = 1'b0;
   
   w_reg_psnoccci_axi_awready 	= w_psnoccci_axi_2_awready_in;
  end
 4'b1000 : begin 
   w_psnoccci_axi_3_awaddr_in   = w_reg_psnoccci_axi_awaddr;
   w_psnoccci_axi_3_awburst_in  = w_reg_psnoccci_axi_awburst;
   w_psnoccci_axi_3_awcache_in  = w_reg_psnoccci_axi_awcache;
   w_psnoccci_axi_3_awid_in     = w_reg_psnoccci_axi_awid;
   w_psnoccci_axi_3_awlen_in    = w_reg_psnoccci_axi_awlen;
   w_psnoccci_axi_3_awlock_in   = w_reg_psnoccci_axi_awlock;
   w_psnoccci_axi_3_awprot_in   = w_reg_psnoccci_axi_awprot;
   w_psnoccci_axi_3_awqos_in    = w_reg_psnoccci_axi_awqos;
   // w_psnoccci_axi_3_awregion = w_reg_psnoccci_axi_awregion;
   w_psnoccci_axi_3_awsize_in   = w_reg_psnoccci_axi_awsize;
   w_psnoccci_axi_3_awuser_in   = w_reg_psnoccci_axi_awuser;
   
   w_psnoccci_axi_0_awvalid_in  = 1'b0;
   w_psnoccci_axi_1_awvalid_in  = 1'b0;
   w_psnoccci_axi_2_awvalid_in  = 1'b0;
   w_psnoccci_axi_3_awvalid_in  = w_reg_psnoccci_axi_awvalid;
   
   w_reg_psnoccci_axi_awready 	= w_psnoccci_axi_3_awready_in;
  end
  default : begin
   w_psnoccci_axi_0_awaddr_in   = w_reg_psnoccci_axi_awaddr;
   w_psnoccci_axi_0_awburst_in  = w_reg_psnoccci_axi_awburst;
   w_psnoccci_axi_0_awcache_in  = w_reg_psnoccci_axi_awcache;
   w_psnoccci_axi_0_awid_in     = w_reg_psnoccci_axi_awid;
   w_psnoccci_axi_0_awlen_in    = w_reg_psnoccci_axi_awlen;
   w_psnoccci_axi_0_awlock_in   = w_reg_psnoccci_axi_awlock;
   w_psnoccci_axi_0_awprot_in   = w_reg_psnoccci_axi_awprot;
   w_psnoccci_axi_0_awqos_in    = w_reg_psnoccci_axi_awqos;
   // w_psnoccci_axi_0_awregion = w_reg_psnoccci_axi_awregion;
   w_psnoccci_axi_0_awsize_in   = w_reg_psnoccci_axi_awsize;
   w_psnoccci_axi_0_awuser_in   = w_reg_psnoccci_axi_awuser;
   
   w_psnoccci_axi_0_awvalid_in  = w_reg_psnoccci_axi_awvalid;
   w_psnoccci_axi_1_awvalid_in  = 1'b0;
   w_psnoccci_axi_2_awvalid_in  = 1'b0;
   w_psnoccci_axi_3_awvalid_in  = 1'b0;
   
   w_reg_psnoccci_axi_awready 	= w_psnoccci_axi_0_awready_in;
  end
 endcase
end

 always@(*) begin
 case (route_z1h_wr_outstanding_wire[5:2])
 4'b0001 : begin 
   w_psnoccci_axi_0_bready_in   = w_reg_psnoccci_axi_bready;
   w_psnoccci_axi_0_wdata_in    = w_reg_psnoccci_axi_wdata;
   w_psnoccci_axi_0_wid_in      = w_reg_psnoccci_axi_wid;
   w_psnoccci_axi_0_wlast_in    = w_reg_psnoccci_axi_wlast;
   w_psnoccci_axi_0_wstrb_in    = w_reg_psnoccci_axi_wstrb;
   w_psnoccci_axi_0_wuser_in    = w_reg_psnoccci_axi_wuser;
   
   w_psnoccci_axi_0_wvalid_in   = w_reg_psnoccci_axi_wvalid;
   w_psnoccci_axi_1_wvalid_in   = 1'b0;
   w_psnoccci_axi_2_wvalid_in   = 1'b0;
   w_psnoccci_axi_3_wvalid_in   = 1'b0;

   w_reg_psnoccci_axi_bid     	= w_psnoccci_axi_0_bid_in;
   w_reg_psnoccci_axi_bresp   	= w_psnoccci_axi_0_bresp_in ;
   w_reg_psnoccci_axi_buser   	= w_psnoccci_axi_0_buser_in ;
   w_reg_psnoccci_axi_bvalid  	= w_psnoccci_axi_0_bvalid_in ;
   w_reg_psnoccci_axi_wready  	= w_psnoccci_axi_0_wready_in ;
 end
 4'b0010 : begin 
   w_psnoccci_axi_1_bready_in   = w_reg_psnoccci_axi_bready;
   w_psnoccci_axi_1_wdata_in    = w_reg_psnoccci_axi_wdata;
   w_psnoccci_axi_1_wid_in      = w_reg_psnoccci_axi_wid;
   w_psnoccci_axi_1_wlast_in    = w_reg_psnoccci_axi_wlast;
   w_psnoccci_axi_1_wstrb_in    = w_reg_psnoccci_axi_wstrb;
   w_psnoccci_axi_1_wuser_in    = w_reg_psnoccci_axi_wuser;
   
   w_psnoccci_axi_0_wvalid_in   = 1'b0;
   w_psnoccci_axi_1_wvalid_in   = w_reg_psnoccci_axi_wvalid;
   w_psnoccci_axi_2_wvalid_in   = 1'b0;
   w_psnoccci_axi_3_wvalid_in   = 1'b0;

   w_reg_psnoccci_axi_bid    	= w_psnoccci_axi_1_bid_in;
   w_reg_psnoccci_axi_bresp   	= w_psnoccci_axi_1_bresp_in ;
   w_reg_psnoccci_axi_buser  	= w_psnoccci_axi_1_buser_in ;
   w_reg_psnoccci_axi_bvalid  	= w_psnoccci_axi_1_bvalid_in ;
   w_reg_psnoccci_axi_wready  	= w_psnoccci_axi_1_wready_in ;
 end
 4'b0100 : begin 
   w_psnoccci_axi_2_bready_in   = w_reg_psnoccci_axi_bready;
   w_psnoccci_axi_2_wdata_in    = w_reg_psnoccci_axi_wdata;
   w_psnoccci_axi_2_wid_in      = w_reg_psnoccci_axi_wid;
   w_psnoccci_axi_2_wlast_in    = w_reg_psnoccci_axi_wlast;
   w_psnoccci_axi_2_wstrb_in    = w_reg_psnoccci_axi_wstrb;
   w_psnoccci_axi_2_wuser_in    = w_reg_psnoccci_axi_wuser;
   
   w_psnoccci_axi_0_wvalid_in   = 1'b0;
   w_psnoccci_axi_1_wvalid_in   = 1'b0;
   w_psnoccci_axi_2_wvalid_in   = w_reg_psnoccci_axi_wvalid;
   w_psnoccci_axi_3_wvalid_in   = 1'b0;

   w_reg_psnoccci_axi_bid    	= w_psnoccci_axi_2_bid_in;
   w_reg_psnoccci_axi_bresp   	= w_psnoccci_axi_2_bresp_in ;
   w_reg_psnoccci_axi_buser  	= w_psnoccci_axi_2_buser_in;
   w_reg_psnoccci_axi_bvalid  	= w_psnoccci_axi_2_bvalid_in ;
   w_reg_psnoccci_axi_wready  	= w_psnoccci_axi_2_wready_in ;
  end
 4'b1000 : begin 
   w_psnoccci_axi_3_bready_in   = w_reg_psnoccci_axi_bready;
   w_psnoccci_axi_3_wdata_in    = w_reg_psnoccci_axi_wdata;
   w_psnoccci_axi_3_wid_in      = w_reg_psnoccci_axi_wid;
   w_psnoccci_axi_3_wlast_in    = w_reg_psnoccci_axi_wlast;
   w_psnoccci_axi_3_wstrb_in    = w_reg_psnoccci_axi_wstrb;
   w_psnoccci_axi_3_wuser_in    = w_reg_psnoccci_axi_wuser;
   
   w_psnoccci_axi_0_wvalid_in   = 1'b0;
   w_psnoccci_axi_1_wvalid_in   = 1'b0;
   w_psnoccci_axi_2_wvalid_in   = 1'b0;
   w_psnoccci_axi_3_wvalid_in   = w_reg_psnoccci_axi_wvalid;

   w_reg_psnoccci_axi_bid    	= w_psnoccci_axi_3_bid_in;
   w_reg_psnoccci_axi_bresp   	= w_psnoccci_axi_3_bresp_in;
   w_reg_psnoccci_axi_buser  	= w_psnoccci_axi_3_buser_in;
   w_reg_psnoccci_axi_bvalid  	= w_psnoccci_axi_3_bvalid_in;
   w_reg_psnoccci_axi_wready  	= w_psnoccci_axi_3_wready_in;
  end
  default : begin
   w_psnoccci_axi_0_bready_in   = w_reg_psnoccci_axi_bready;
   w_psnoccci_axi_0_wdata_in    = w_reg_psnoccci_axi_wdata;
   w_psnoccci_axi_0_wid_in      = w_reg_psnoccci_axi_wid;
   w_psnoccci_axi_0_wlast_in    = w_reg_psnoccci_axi_wlast;
   w_psnoccci_axi_0_wstrb_in    = w_reg_psnoccci_axi_wstrb;
   w_psnoccci_axi_0_wuser_in    = w_reg_psnoccci_axi_wuser;
   
   w_psnoccci_axi_0_wvalid_in   = w_reg_psnoccci_axi_wvalid;
   w_psnoccci_axi_1_wvalid_in   = 1'b0;
   w_psnoccci_axi_2_wvalid_in   = 1'b0;
   w_psnoccci_axi_3_wvalid_in   = 1'b0;

   w_reg_psnoccci_axi_bid  	= w_psnoccci_axi_0_bid_in;
   w_reg_psnoccci_axi_bresp   	= w_psnoccci_axi_0_bresp_in;
   w_reg_psnoccci_axi_buser	= w_psnoccci_axi_0_buser_in;
   w_reg_psnoccci_axi_bvalid  	= w_psnoccci_axi_0_bvalid_in;
   w_reg_psnoccci_axi_wready  	= w_psnoccci_axi_0_wready_in;
  end
 endcase
end

 always@(*) begin
 case (local_route_to_single_cci_port ? local_cci_port_num : route_z1h_rd_wire[5:2])
 4'b0001 : begin 
   w_psnoccci_axi_0_araddr_in   = w_reg_psnoccci_axi_araddr;
   w_psnoccci_axi_0_arburst_in  = w_reg_psnoccci_axi_arburst;
   w_psnoccci_axi_0_arcache_in  = w_reg_psnoccci_axi_arcache;
   w_psnoccci_axi_0_arid_in     = w_reg_psnoccci_axi_arid;
   w_psnoccci_axi_0_arlen_in    = w_reg_psnoccci_axi_arlen;
   w_psnoccci_axi_0_arlock_in   = w_reg_psnoccci_axi_arlock;
   w_psnoccci_axi_0_arprot_in   = w_reg_psnoccci_axi_arprot;
   w_psnoccci_axi_0_arqos_in    = w_reg_psnoccci_axi_arqos;
   // w_psnoccci_axi_0_arregion = w_reg_psnoccci_axi_arregion;
   w_psnoccci_axi_0_arsize_in   = w_reg_psnoccci_axi_arsize;
   w_psnoccci_axi_0_aruser_in   = w_reg_psnoccci_axi_aruser;
   
   w_psnoccci_axi_0_arvalid_in  = w_reg_psnoccci_axi_arvalid;
   w_psnoccci_axi_1_arvalid_in  = 1'b0;
   w_psnoccci_axi_2_arvalid_in  = 1'b0;
   w_psnoccci_axi_3_arvalid_in  = 1'b0;

   w_reg_psnoccci_axi_arready 	= w_psnoccci_axi_0_arready_in;
 end
 4'b0010 : begin 
   w_psnoccci_axi_1_araddr_in   = w_reg_psnoccci_axi_araddr;
   w_psnoccci_axi_1_arburst_in  = w_reg_psnoccci_axi_arburst;
   w_psnoccci_axi_1_arcache_in  = w_reg_psnoccci_axi_arcache;
   w_psnoccci_axi_1_arid_in     = w_reg_psnoccci_axi_arid;
   w_psnoccci_axi_1_arlen_in    = w_reg_psnoccci_axi_arlen;
   w_psnoccci_axi_1_arlock_in   = w_reg_psnoccci_axi_arlock;
   w_psnoccci_axi_1_arprot_in   = w_reg_psnoccci_axi_arprot;
   w_psnoccci_axi_1_arqos_in    = w_reg_psnoccci_axi_arqos;
   // w_psnoccci_axi_1_arregion = w_reg_psnoccci_axi_arregion;
   w_psnoccci_axi_1_arsize_in   = w_reg_psnoccci_axi_arsize;
   w_psnoccci_axi_1_aruser_in   = w_reg_psnoccci_axi_aruser;
   
   w_psnoccci_axi_0_arvalid_in  = 1'b0;
   w_psnoccci_axi_1_arvalid_in  = w_reg_psnoccci_axi_arvalid;
   w_psnoccci_axi_2_arvalid_in  = 1'b0;
   w_psnoccci_axi_3_arvalid_in  = 1'b0;

   w_reg_psnoccci_axi_arready 	= w_psnoccci_axi_1_arready_in;
 end
 4'b0100 : begin 
   w_psnoccci_axi_2_araddr_in   = w_reg_psnoccci_axi_araddr;
   w_psnoccci_axi_2_arburst_in  = w_reg_psnoccci_axi_arburst;
   w_psnoccci_axi_2_arcache_in  = w_reg_psnoccci_axi_arcache;
   w_psnoccci_axi_2_arid_in     = w_reg_psnoccci_axi_arid;
   w_psnoccci_axi_2_arlen_in    = w_reg_psnoccci_axi_arlen;
   w_psnoccci_axi_2_arlock_in   = w_reg_psnoccci_axi_arlock;
   w_psnoccci_axi_2_arprot_in   = w_reg_psnoccci_axi_arprot;
   w_psnoccci_axi_2_arqos_in    = w_reg_psnoccci_axi_arqos;
   // w_psnoccci_axi_2_arregion = w_reg_psnoccci_axi_arregion;
   w_psnoccci_axi_2_arsize_in   = w_reg_psnoccci_axi_arsize;
   w_psnoccci_axi_2_aruser_in   = w_reg_psnoccci_axi_aruser;
   
   w_psnoccci_axi_0_arvalid_in  = 1'b0;
   w_psnoccci_axi_1_arvalid_in  = 1'b0;
   w_psnoccci_axi_2_arvalid_in  = w_reg_psnoccci_axi_arvalid;
   w_psnoccci_axi_3_arvalid_in  = 1'b0;

   w_reg_psnoccci_axi_arready 	= w_psnoccci_axi_2_arready_in;
 end
 4'b1000 : begin 
   w_psnoccci_axi_3_araddr_in   = w_reg_psnoccci_axi_araddr;
   w_psnoccci_axi_3_arburst_in  = w_reg_psnoccci_axi_arburst;
   w_psnoccci_axi_3_arcache_in  = w_reg_psnoccci_axi_arcache;
   w_psnoccci_axi_3_arid_in     = w_reg_psnoccci_axi_arid;
   w_psnoccci_axi_3_arlen_in    = w_reg_psnoccci_axi_arlen;
   w_psnoccci_axi_3_arlock_in   = w_reg_psnoccci_axi_arlock;
   w_psnoccci_axi_3_arprot_in   = w_reg_psnoccci_axi_arprot;
   w_psnoccci_axi_3_arqos_in    = w_reg_psnoccci_axi_arqos;
   // w_psnoccci_axi_3_arregion = w_reg_psnoccci_axi_arregion;
   w_psnoccci_axi_3_arsize_in   = w_reg_psnoccci_axi_arsize;
   w_psnoccci_axi_3_aruser_in   = w_reg_psnoccci_axi_aruser;
   
   w_psnoccci_axi_0_arvalid_in  = 1'b0;
   w_psnoccci_axi_1_arvalid_in  = 1'b0;
   w_psnoccci_axi_2_arvalid_in  = 1'b0;
   w_psnoccci_axi_3_arvalid_in  = w_reg_psnoccci_axi_arvalid;

   w_reg_psnoccci_axi_arready 	= w_psnoccci_axi_3_arready_in;
  end
  default : begin
   w_psnoccci_axi_0_araddr_in   = w_reg_psnoccci_axi_araddr;
   w_psnoccci_axi_0_arburst_in  = w_reg_psnoccci_axi_arburst;
   w_psnoccci_axi_0_arcache_in  = w_reg_psnoccci_axi_arcache;
   w_psnoccci_axi_0_arid_in     = w_reg_psnoccci_axi_arid;
   w_psnoccci_axi_0_arlen_in    = w_reg_psnoccci_axi_arlen;
   w_psnoccci_axi_0_arlock_in   = w_reg_psnoccci_axi_arlock;
   w_psnoccci_axi_0_arprot_in   = w_reg_psnoccci_axi_arprot;
   w_psnoccci_axi_0_arqos_in    = w_reg_psnoccci_axi_arqos;
   // w_psnoccci_axi_0_arregion = w_reg_psnoccci_axi_arregion;
   w_psnoccci_axi_0_arsize_in   = w_reg_psnoccci_axi_arsize;
   w_psnoccci_axi_0_aruser_in   = w_reg_psnoccci_axi_aruser;
   
   w_psnoccci_axi_0_arvalid_in  = w_reg_psnoccci_axi_arvalid;
   w_psnoccci_axi_1_arvalid_in  = 1'b0;
   w_psnoccci_axi_2_arvalid_in  = 1'b0;
   w_psnoccci_axi_3_arvalid_in  = 1'b0;

   w_reg_psnoccci_axi_arready 	= w_psnoccci_axi_0_arready_in;
  end
 endcase
end  

 always@(*) begin
 case (route_z1h_rd_outstanding_wire[5:2])
 4'b0001 : begin 
   w_reg_psnoccci_axi_rdata   	= w_psnoccci_axi_0_rdata_in;
   w_reg_psnoccci_axi_rid  	= w_psnoccci_axi_0_rid_in;
   w_reg_psnoccci_axi_rlast   	= w_psnoccci_axi_0_rlast_in;
   w_reg_psnoccci_axi_rresp   	= w_psnoccci_axi_0_rresp_in;
   w_reg_psnoccci_axi_ruser   	= w_psnoccci_axi_0_ruser_in;
   w_reg_psnoccci_axi_rvalid  	= w_psnoccci_axi_0_rvalid_in;
   
   w_psnoccci_axi_0_rready_in   = w_reg_psnoccci_axi_rready; // balakasa: Added as it's a read data channel signal
   w_psnoccci_axi_1_rready_in   = 1'b0;
   w_psnoccci_axi_2_rready_in   = 1'b0;
   w_psnoccci_axi_3_rready_in   = 1'b0;
 end
 4'b0010 : begin 
   w_reg_psnoccci_axi_rdata   	= w_psnoccci_axi_1_rdata_in;
   w_reg_psnoccci_axi_rid  	= w_psnoccci_axi_1_rid_in;
   w_reg_psnoccci_axi_rlast   	= w_psnoccci_axi_1_rlast_in;
   w_reg_psnoccci_axi_rresp   	= w_psnoccci_axi_1_rresp_in;
   w_reg_psnoccci_axi_ruser   	= w_psnoccci_axi_1_ruser_in;
   w_reg_psnoccci_axi_rvalid  	= w_psnoccci_axi_1_rvalid_in;
   
   w_psnoccci_axi_0_rready_in  	= 1'b0;
   w_psnoccci_axi_1_rready_in   = w_reg_psnoccci_axi_rready; // balakasa: Added as it's a read data channel signal
   w_psnoccci_axi_2_rready_in  	= 1'b0;
   w_psnoccci_axi_3_rready_in  	= 1'b0;
 end
 4'b0100 : begin 
   w_reg_psnoccci_axi_rdata   	= w_psnoccci_axi_2_rdata_in;
   w_reg_psnoccci_axi_rid  	= w_psnoccci_axi_2_rid_in;
   w_reg_psnoccci_axi_rlast   	= w_psnoccci_axi_2_rlast_in;
   w_reg_psnoccci_axi_rresp   	= w_psnoccci_axi_2_rresp_in;
   w_reg_psnoccci_axi_ruser   	= w_psnoccci_axi_2_ruser_in;
   w_reg_psnoccci_axi_rvalid  	= w_psnoccci_axi_2_rvalid_in;
   
   w_psnoccci_axi_0_rready_in  	= 1'b0;
   w_psnoccci_axi_1_rready_in  	= 1'b0;
   w_psnoccci_axi_2_rready_in  	= w_reg_psnoccci_axi_rready; // balakasa: Added as it's a read data channel signal
   w_psnoccci_axi_3_rready_in  	= 1'b0;
 end
 4'b1000 : begin 
   w_reg_psnoccci_axi_rdata   	= w_psnoccci_axi_3_rdata_in;
   w_reg_psnoccci_axi_rid  	= w_psnoccci_axi_3_rid_in;
   w_reg_psnoccci_axi_rlast   	= w_psnoccci_axi_3_rlast_in;
   w_reg_psnoccci_axi_rresp   	= w_psnoccci_axi_3_rresp_in;
   w_reg_psnoccci_axi_ruser   	= w_psnoccci_axi_3_ruser_in;
   w_reg_psnoccci_axi_rvalid  	= w_psnoccci_axi_3_rvalid_in;
   
   w_psnoccci_axi_0_rready_in  	= 1'b0;
   w_psnoccci_axi_1_rready_in  	= 1'b0;
   w_psnoccci_axi_2_rready_in  	= 1'b0;
   w_psnoccci_axi_3_rready_in  	= w_reg_psnoccci_axi_rready; // balakasa: Added as it's a read data channel signal
  end
  default : begin
   w_reg_psnoccci_axi_rdata   	= w_psnoccci_axi_0_rdata_in;
   w_reg_psnoccci_axi_rid  	= w_psnoccci_axi_0_rid_in;
   w_reg_psnoccci_axi_rlast   	= w_psnoccci_axi_0_rlast_in;
   w_reg_psnoccci_axi_rresp   	= w_psnoccci_axi_0_rresp_in;
   w_reg_psnoccci_axi_ruser   	= w_psnoccci_axi_0_ruser_in;
   w_reg_psnoccci_axi_rvalid  	= w_psnoccci_axi_0_rvalid_in;
   
   w_psnoccci_axi_0_rready_in  	= w_reg_psnoccci_axi_rready; // balakasa: Added as it's a read data channel signal
   w_psnoccci_axi_1_rready_in  	= 1'b0;
   w_psnoccci_axi_2_rready_in  	= 1'b0;
   w_psnoccci_axi_3_rready_in  	= 1'b0;
  end
 endcase
end 

  assign addr_wr_wire      = w_reg_psnoccci_axi_awaddr[43:7];
  assign addr_rd_wire      = w_reg_psnoccci_axi_araddr[43:7];

  assign config_reg   = local_config_cci_boundary;

  assign maxigp0_port_width = local_maxigp0_port_width;
  assign maxigp2_port_width = local_maxigp2_port_width;

  /* Reset Generator */
  versal_cips_ps_vip_v1_0_11_gen_reset gen_rst(
     .rst_out_n      (versal_cips_ps_vip_rstn),
     .versal_cips_ps_clk(versal_cips_ps_vip_clk),
     .fclk_reset0_n  (PLRST0N),
     .fclk_reset1_n  (PLRST1N),
     .fclk_reset2_n  (PLRST2N),
     .fclk_reset3_n  (PLRST3N)
  );

  /* Clock Generator */
  versal_cips_ps_vip_v1_0_11_gen_clock gen_clk(
     .fclk_clk0 (PMCRCLKCLK[0]),
     .fclk_clk1 (PMCRCLKCLK[1]),
     .fclk_clk2 (PMCRCLKCLK[2]),
     .fclk_clk3 (PMCRCLKCLK[3]),
     .fclk_clk4 (LPDCPMINREFCLK),
     .fclk_clk5 (CPMOSCCLKDIV2),
     .fclk_hsmref_clk1 (HSMREFCLK[1]),
     .fclk_hsmref_clk0 (HSMREFCLK[0])
  );

  versal_cips_ps_vip_v1_0_11_mux_design smart_intr_i
   (.AFI_API_araddr(w_AFI_API_araddr),
    .AFI_API_arburst(w_AFI_API_arburst),
    .AFI_API_arcache(w_AFI_API_arcache),
    .AFI_API_arid(w_AFI_API_arid),
    .AFI_API_arlen(w_AFI_API_arlen),
    .AFI_API_arlock(w_AFI_API_arlock),
    .AFI_API_arprot(w_AFI_API_arprot),
    .AFI_API_arqos(w_AFI_API_arqos),
    .AFI_API_arready(w_AFI_API_arready),
    .AFI_API_arsize(w_AFI_API_arsize),
    .AFI_API_aruser(w_AFI_API_aruser),
    .AFI_API_arvalid(w_AFI_API_arvalid),
    .AFI_API_awaddr(w_AFI_API_awaddr),
    .AFI_API_awburst(w_AFI_API_awburst),
    .AFI_API_awcache(w_AFI_API_awcache),
    .AFI_API_awid(w_AFI_API_awid),
    .AFI_API_awlen(w_AFI_API_awlen),
    .AFI_API_awlock(w_AFI_API_awlock),
    .AFI_API_awprot(w_AFI_API_awprot),
    .AFI_API_awqos(w_AFI_API_awqos),
    .AFI_API_awready(w_AFI_API_awready),
    .AFI_API_awsize(w_AFI_API_awsize),
    .AFI_API_awuser(w_AFI_API_awuser),
    .AFI_API_awvalid(w_AFI_API_awvalid),
    .AFI_API_bid(w_AFI_API_bid),
    .AFI_API_bready(w_AFI_API_bready),
    .AFI_API_bresp(w_AFI_API_bresp),
    .AFI_API_buser(w_AFI_API_buser),
    .AFI_API_bvalid(w_AFI_API_bvalid),
    .AFI_API_rdata(w_AFI_API_rdata),
    .AFI_API_rid(w_AFI_API_rid),
    .AFI_API_rlast(w_AFI_API_rlast),
    .AFI_API_rready(w_AFI_API_rready),
    .AFI_API_rresp(w_AFI_API_rresp),
    .AFI_API_ruser(w_AFI_API_ruser),
    .AFI_API_rvalid(w_AFI_API_rvalid),
    .AFI_API_wdata(w_AFI_API_wdata),
    .AFI_API_wlast(w_AFI_API_wlast),
    .AFI_API_wready(w_AFI_API_wready),
    .AFI_API_wstrb(w_AFI_API_wstrb),
    .AFI_API_wuser(w_AFI_API_wuser),
    .AFI_API_wvalid(w_AFI_API_wvalid),
    .IFCPMPSAXI0_araddr(IFCPMPSAXI0ARADDR),
    .IFCPMPSAXI0_arburst(IFCPMPSAXI0ARBURST),
    .IFCPMPSAXI0_arcache(IFCPMPSAXI0ARCACHE),
    .IFCPMPSAXI0_arid(IFCPMPSAXI0ARID),
    .IFCPMPSAXI0_arlen(IFCPMPSAXI0ARLEN),
    .IFCPMPSAXI0_arlock(IFCPMPSAXI0ARLOCK),
    .IFCPMPSAXI0_arprot(IFCPMPSAXI0ARPROT),
    .IFCPMPSAXI0_arqos(IFCPMPSAXI0ARQOS),
    .IFCPMPSAXI0_arready(IFCPMPSAXI0ARREADY),
    .IFCPMPSAXI0_arsize(IFCPMPSAXI0ARSIZE),
    .IFCPMPSAXI0_aruser(IFCPMPSAXI0ARUSER),
    .IFCPMPSAXI0_arvalid(IFCPMPSAXI0ARVALID),
    .IFCPMPSAXI0_awaddr(IFCPMPSAXI0AWADDR),
    .IFCPMPSAXI0_awburst(IFCPMPSAXI0AWBURST),
    .IFCPMPSAXI0_awcache(IFCPMPSAXI0AWCACHE),
    .IFCPMPSAXI0_awid(IFCPMPSAXI0AWID),
    .IFCPMPSAXI0_awlen(IFCPMPSAXI0AWLEN),
    .IFCPMPSAXI0_awlock(IFCPMPSAXI0AWLOCK),
    .IFCPMPSAXI0_awprot(IFCPMPSAXI0AWPROT),
    .IFCPMPSAXI0_awqos(IFCPMPSAXI0AWQOS),
    .IFCPMPSAXI0_awready(IFCPMPSAXI0AWREADY),
    .IFCPMPSAXI0_awsize(IFCPMPSAXI0AWSIZE),
    .IFCPMPSAXI0_awuser(IFCPMPSAXI0AWUSER),
    .IFCPMPSAXI0_awvalid(IFCPMPSAXI0AWVALID),
    .IFCPMPSAXI0_bid(IFCPMPSAXI0BID),
    .IFCPMPSAXI0_bready(IFCPMPSAXI0BREADY),
    .IFCPMPSAXI0_bresp(IFCPMPSAXI0BRESP),
    .IFCPMPSAXI0_buser(IFCPMPSAXI0BUSER),
    .IFCPMPSAXI0_bvalid(IFCPMPSAXI0BVALID),
    .IFCPMPSAXI0_rdata(IFCPMPSAXI0RDATA),
    .IFCPMPSAXI0_rid(IFCPMPSAXI0RID),
    .IFCPMPSAXI0_rlast(IFCPMPSAXI0RLAST),
    .IFCPMPSAXI0_rready(IFCPMPSAXI0RREADY),
    .IFCPMPSAXI0_rresp(IFCPMPSAXI0RRESP),
    .IFCPMPSAXI0_ruser({w_IFCPMPSAXI0RUSER,IFCPMPSAXI0RUSER}),
    .IFCPMPSAXI0_rvalid(IFCPMPSAXI0RVALID),
    .IFCPMPSAXI0_wdata(IFCPMPSAXI0WDATA),
    .IFCPMPSAXI0_wlast(IFCPMPSAXI0WLAST),
    .IFCPMPSAXI0_wready(IFCPMPSAXI0WREADY),
    .IFCPMPSAXI0_wstrb(IFCPMPSAXI0WSTRB),
    .IFCPMPSAXI0_wuser({14'd0,IFCPMPSAXI0WUSER}),
    .IFCPMPSAXI0_wvalid(IFCPMPSAXI0WVALID),
    .IFCPMPSAXI0_wid(IFCPMPSAXI0WID),
    .IFCPMPSAXI1_araddr(IFCPMPSAXI1ARADDR),
    .IFCPMPSAXI1_arburst(IFCPMPSAXI1ARBURST),
    .IFCPMPSAXI1_arcache(IFCPMPSAXI1ARCACHE),
    .IFCPMPSAXI1_arid(IFCPMPSAXI1ARID),
    .IFCPMPSAXI1_arlen(IFCPMPSAXI1ARLEN),
    .IFCPMPSAXI1_arlock(IFCPMPSAXI1ARLOCK),
    .IFCPMPSAXI1_arprot(IFCPMPSAXI1ARPROT),
    .IFCPMPSAXI1_arqos(IFCPMPSAXI1ARQOS),
    .IFCPMPSAXI1_arready(IFCPMPSAXI1ARREADY),
    .IFCPMPSAXI1_arsize(IFCPMPSAXI1ARSIZE),
    .IFCPMPSAXI1_aruser(IFCPMPSAXI1ARUSER),
    .IFCPMPSAXI1_arvalid(IFCPMPSAXI1ARVALID),
    .IFCPMPSAXI1_awaddr(IFCPMPSAXI1AWADDR),
    .IFCPMPSAXI1_awburst(IFCPMPSAXI1AWBURST),
    .IFCPMPSAXI1_awcache(IFCPMPSAXI1AWCACHE),
    .IFCPMPSAXI1_awid(IFCPMPSAXI1AWID),
    .IFCPMPSAXI1_awlen(IFCPMPSAXI1AWLEN),
    .IFCPMPSAXI1_awlock(IFCPMPSAXI1AWLOCK),
    .IFCPMPSAXI1_awprot(IFCPMPSAXI1AWPROT),
    .IFCPMPSAXI1_awqos(IFCPMPSAXI1AWQOS),
    .IFCPMPSAXI1_awready(IFCPMPSAXI1AWREADY),
    .IFCPMPSAXI1_awsize(IFCPMPSAXI1AWSIZE),
    .IFCPMPSAXI1_awuser(IFCPMPSAXI1AWUSER),
    .IFCPMPSAXI1_awvalid(IFCPMPSAXI1AWVALID),
    .IFCPMPSAXI1_bid(IFCPMPSAXI1BID),
    .IFCPMPSAXI1_bready(IFCPMPSAXI1BREADY),
    .IFCPMPSAXI1_bresp(IFCPMPSAXI1BRESP),
    .IFCPMPSAXI1_buser(IFCPMPSAXI1BUSER),
    .IFCPMPSAXI1_bvalid(IFCPMPSAXI1BVALID),
    .IFCPMPSAXI1_rdata(IFCPMPSAXI1RDATA),
    .IFCPMPSAXI1_rid(IFCPMPSAXI1RID),
    .IFCPMPSAXI1_rlast(IFCPMPSAXI1RLAST),
    .IFCPMPSAXI1_rready(IFCPMPSAXI1RREADY),
    .IFCPMPSAXI1_rresp(IFCPMPSAXI1RRESP),
    .IFCPMPSAXI1_ruser({w_IFCPMPSAXI1RUSER,IFCPMPSAXI1RUSER}),
    .IFCPMPSAXI1_rvalid(IFCPMPSAXI1RVALID),
    .IFCPMPSAXI1_wdata(IFCPMPSAXI1WDATA),
    .IFCPMPSAXI1_wlast(IFCPMPSAXI1WLAST),
    .IFCPMPSAXI1_wready(IFCPMPSAXI1WREADY),
    .IFCPMPSAXI1_wstrb(IFCPMPSAXI1WSTRB),
    .IFCPMPSAXI1_wuser({15'd0,IFCPMPSAXI1WUSER}),
    .IFCPMPSAXI1_wvalid(IFCPMPSAXI1WVALID),
    .IFCPMPSAXI1_wid(IFCPMPSAXI1WID),
    .IFNOCPMCAXI0_araddr(IFNOCPMCAXI0ARADDR),
    .IFNOCPMCAXI0_arburst(IFNOCPMCAXI0ARBURST),
    .IFNOCPMCAXI0_arcache(IFNOCPMCAXI0ARCACHE),
    .IFNOCPMCAXI0_arid(IFNOCPMCAXI0ARID),
    .IFNOCPMCAXI0_arlen(IFNOCPMCAXI0ARLEN),
    .IFNOCPMCAXI0_arlock(IFNOCPMCAXI0ARLOCK),
    .IFNOCPMCAXI0_arprot(IFNOCPMCAXI0ARPROT),
    .IFNOCPMCAXI0_arqos(IFNOCPMCAXI0ARQOS),
    .IFNOCPMCAXI0_arready(IFNOCPMCAXI0ARREADY),
    .IFNOCPMCAXI0_arsize(IFNOCPMCAXI0ARSIZE),
    .IFNOCPMCAXI0_aruser(IFNOCPMCAXI0ARUSER),
    .IFNOCPMCAXI0_arvalid(IFNOCPMCAXI0ARVALID),
    .IFNOCPMCAXI0_awaddr(IFNOCPMCAXI0AWADDR),
    .IFNOCPMCAXI0_awburst(IFNOCPMCAXI0AWBURST),
    .IFNOCPMCAXI0_awcache(IFNOCPMCAXI0AWCACHE),
    .IFNOCPMCAXI0_awid(IFNOCPMCAXI0AWID),
    .IFNOCPMCAXI0_awlen(IFNOCPMCAXI0AWLEN),
    .IFNOCPMCAXI0_awlock(IFNOCPMCAXI0AWLOCK),
    .IFNOCPMCAXI0_awprot(IFNOCPMCAXI0AWPROT),
    .IFNOCPMCAXI0_awqos(IFNOCPMCAXI0AWQOS),
    .IFNOCPMCAXI0_awready(IFNOCPMCAXI0AWREADY),
    .IFNOCPMCAXI0_awsize(IFNOCPMCAXI0AWSIZE),
    .IFNOCPMCAXI0_awuser(IFNOCPMCAXI0AWUSER),
    .IFNOCPMCAXI0_awvalid(IFNOCPMCAXI0AWVALID),
    .IFNOCPMCAXI0_bid(IFNOCPMCAXI0BID),
    .IFNOCPMCAXI0_bready(IFNOCPMCAXI0BREADY),
    .IFNOCPMCAXI0_bresp(IFNOCPMCAXI0BRESP),
    .IFNOCPMCAXI0_buser(IFNOCPMCAXI0BUSER),
    .IFNOCPMCAXI0_bvalid(IFNOCPMCAXI0BVALID),
    .IFNOCPMCAXI0_rdata(IFNOCPMCAXI0RDATA),
    .IFNOCPMCAXI0_rid(IFNOCPMCAXI0RID),
    .IFNOCPMCAXI0_rlast(IFNOCPMCAXI0RLAST),
    .IFNOCPMCAXI0_rready(IFNOCPMCAXI0RREADY),
    .IFNOCPMCAXI0_rresp(IFNOCPMCAXI0RRESP),
    .IFNOCPMCAXI0_ruser({w_IFNOCPMCAXI0RUSER,IFNOCPMCAXI0RUSER}),
    .IFNOCPMCAXI0_rvalid(IFNOCPMCAXI0RVALID),
    .IFNOCPMCAXI0_wdata(IFNOCPMCAXI0WDATA),
    .IFNOCPMCAXI0_wlast(IFNOCPMCAXI0WLAST),
    .IFNOCPMCAXI0_wready(IFNOCPMCAXI0WREADY),
    .IFNOCPMCAXI0_wstrb(IFNOCPMCAXI0WSTRB),
    .IFNOCPMCAXI0_wuser({15'd0,IFNOCPMCAXI0WUSER}),
    .IFNOCPMCAXI0_wvalid(IFNOCPMCAXI0WVALID),
    .IFNOCPMCAXI0_wid(IFNOCPMCAXI0WID),
    .IFNOCPSCCIAXI0_araddr(IFNOCPSCCIAXI0ARADDR),
    .IFNOCPSCCIAXI0_arburst(IFNOCPSCCIAXI0ARBURST),
    .IFNOCPSCCIAXI0_arcache(IFNOCPSCCIAXI0ARCACHE),
    .IFNOCPSCCIAXI0_arid(IFNOCPSCCIAXI0ARID),
    .IFNOCPSCCIAXI0_arlen(IFNOCPSCCIAXI0ARLEN),
    .IFNOCPSCCIAXI0_arlock(IFNOCPSCCIAXI0ARLOCK),
    .IFNOCPSCCIAXI0_arprot(IFNOCPSCCIAXI0ARPROT),
    .IFNOCPSCCIAXI0_arqos(IFNOCPSCCIAXI0ARQOS),
    .IFNOCPSCCIAXI0_arready(IFNOCPSCCIAXI0ARREADY),
    .IFNOCPSCCIAXI0_arsize(IFNOCPSCCIAXI0ARSIZE),
    .IFNOCPSCCIAXI0_aruser(IFNOCPSCCIAXI0ARUSER),
    .IFNOCPSCCIAXI0_arvalid(IFNOCPSCCIAXI0ARVALID),
    .IFNOCPSCCIAXI0_awaddr(IFNOCPSCCIAXI0AWADDR),
    .IFNOCPSCCIAXI0_awburst(IFNOCPSCCIAXI0AWBURST),
    .IFNOCPSCCIAXI0_awcache(IFNOCPSCCIAXI0AWCACHE),
    .IFNOCPSCCIAXI0_awid(IFNOCPSCCIAXI0AWID),
    .IFNOCPSCCIAXI0_awlen(IFNOCPSCCIAXI0AWLEN),
    .IFNOCPSCCIAXI0_awlock(IFNOCPSCCIAXI0AWLOCK),
    .IFNOCPSCCIAXI0_awprot(IFNOCPSCCIAXI0AWPROT),
    .IFNOCPSCCIAXI0_awqos(IFNOCPSCCIAXI0AWQOS),
    .IFNOCPSCCIAXI0_awready(IFNOCPSCCIAXI0AWREADY),
    .IFNOCPSCCIAXI0_awsize(IFNOCPSCCIAXI0AWSIZE),
    .IFNOCPSCCIAXI0_awuser(IFNOCPSCCIAXI0AWUSER),
    .IFNOCPSCCIAXI0_awvalid(IFNOCPSCCIAXI0AWVALID),
    .IFNOCPSCCIAXI0_bid(IFNOCPSCCIAXI0BID),
    .IFNOCPSCCIAXI0_bready(IFNOCPSCCIAXI0BREADY),
    .IFNOCPSCCIAXI0_bresp(IFNOCPSCCIAXI0BRESP),
    .IFNOCPSCCIAXI0_buser(IFNOCPSCCIAXI0BUSER),
    .IFNOCPSCCIAXI0_bvalid(IFNOCPSCCIAXI0BVALID),
    .IFNOCPSCCIAXI0_rdata(IFNOCPSCCIAXI0RDATA),
    .IFNOCPSCCIAXI0_rid(IFNOCPSCCIAXI0RID),
    .IFNOCPSCCIAXI0_rlast(IFNOCPSCCIAXI0RLAST),
    .IFNOCPSCCIAXI0_rready(IFNOCPSCCIAXI0RREADY),
    .IFNOCPSCCIAXI0_rresp(IFNOCPSCCIAXI0RRESP),
    .IFNOCPSCCIAXI0_ruser({w_IFNOCPSCCIAXI0RUSER,IFNOCPSCCIAXI0RUSER}),
    .IFNOCPSCCIAXI0_rvalid(IFNOCPSCCIAXI0RVALID),
    .IFNOCPSCCIAXI0_wdata(IFNOCPSCCIAXI0WDATA),
    .IFNOCPSCCIAXI0_wlast(IFNOCPSCCIAXI0WLAST),
    .IFNOCPSCCIAXI0_wready(IFNOCPSCCIAXI0WREADY),
    .IFNOCPSCCIAXI0_wstrb(IFNOCPSCCIAXI0WSTRB),
    .IFNOCPSCCIAXI0_wuser({15'd0,IFNOCPSCCIAXI0WUSER}),
    .IFNOCPSCCIAXI0_wvalid(IFNOCPSCCIAXI0WVALID),
    .IFNOCPSCCIAXI0_wid(IFNOCPSCCIAXI0WID),
    .IFNOCPSCCIAXI1_araddr(IFNOCPSCCIAXI1ARADDR),
    .IFNOCPSCCIAXI1_arburst(IFNOCPSCCIAXI1ARBURST),
    .IFNOCPSCCIAXI1_arcache(IFNOCPSCCIAXI1ARCACHE),
    .IFNOCPSCCIAXI1_arid(IFNOCPSCCIAXI1ARID),
    .IFNOCPSCCIAXI1_arlen(IFNOCPSCCIAXI1ARLEN),
    .IFNOCPSCCIAXI1_arlock(IFNOCPSCCIAXI1ARLOCK),
    .IFNOCPSCCIAXI1_arprot(IFNOCPSCCIAXI1ARPROT),
    .IFNOCPSCCIAXI1_arqos(IFNOCPSCCIAXI1ARQOS),
    .IFNOCPSCCIAXI1_arready(IFNOCPSCCIAXI1ARREADY),
    .IFNOCPSCCIAXI1_arsize(IFNOCPSCCIAXI1ARSIZE),
    .IFNOCPSCCIAXI1_aruser(IFNOCPSCCIAXI1ARUSER),
    .IFNOCPSCCIAXI1_arvalid(IFNOCPSCCIAXI1ARVALID),
    .IFNOCPSCCIAXI1_awaddr(IFNOCPSCCIAXI1AWADDR),
    .IFNOCPSCCIAXI1_awburst(IFNOCPSCCIAXI1AWBURST),
    .IFNOCPSCCIAXI1_awcache(IFNOCPSCCIAXI1AWCACHE),
    .IFNOCPSCCIAXI1_awid(IFNOCPSCCIAXI1AWID),
    .IFNOCPSCCIAXI1_awlen(IFNOCPSCCIAXI1AWLEN),
    .IFNOCPSCCIAXI1_awlock(IFNOCPSCCIAXI1AWLOCK),
    .IFNOCPSCCIAXI1_awprot(IFNOCPSCCIAXI1AWPROT),
    .IFNOCPSCCIAXI1_awqos(IFNOCPSCCIAXI1AWQOS),
    .IFNOCPSCCIAXI1_awready(IFNOCPSCCIAXI1AWREADY),
    .IFNOCPSCCIAXI1_awsize(IFNOCPSCCIAXI1AWSIZE),
    .IFNOCPSCCIAXI1_awuser(IFNOCPSCCIAXI1AWUSER),
    .IFNOCPSCCIAXI1_awvalid(IFNOCPSCCIAXI1AWVALID),
    .IFNOCPSCCIAXI1_bid(IFNOCPSCCIAXI1BID),
    .IFNOCPSCCIAXI1_bready(IFNOCPSCCIAXI1BREADY),
    .IFNOCPSCCIAXI1_bresp(IFNOCPSCCIAXI1BRESP),
    .IFNOCPSCCIAXI1_buser(IFNOCPSCCIAXI1BUSER),
    .IFNOCPSCCIAXI1_bvalid(IFNOCPSCCIAXI1BVALID),
    .IFNOCPSCCIAXI1_rdata(IFNOCPSCCIAXI1RDATA),
    .IFNOCPSCCIAXI1_rid(IFNOCPSCCIAXI1RID),
    .IFNOCPSCCIAXI1_rlast(IFNOCPSCCIAXI1RLAST),
    .IFNOCPSCCIAXI1_rready(IFNOCPSCCIAXI1RREADY),
    .IFNOCPSCCIAXI1_rresp(IFNOCPSCCIAXI1RRESP),
    .IFNOCPSCCIAXI1_ruser({w_IFNOCPSCCIAXI1RUSER,IFNOCPSCCIAXI1RUSER}),
    .IFNOCPSCCIAXI1_rvalid(IFNOCPSCCIAXI1RVALID),
    .IFNOCPSCCIAXI1_wdata(IFNOCPSCCIAXI1WDATA),
    .IFNOCPSCCIAXI1_wlast(IFNOCPSCCIAXI1WLAST),
    .IFNOCPSCCIAXI1_wready(IFNOCPSCCIAXI1WREADY),
    .IFNOCPSCCIAXI1_wstrb(IFNOCPSCCIAXI1WSTRB),
    .IFNOCPSCCIAXI1_wuser({15'd0,IFNOCPSCCIAXI1WUSER}),
    .IFNOCPSCCIAXI1_wvalid(IFNOCPSCCIAXI1WVALID),
    .IFNOCPSCCIAXI1_wid(IFNOCPSCCIAXI1WID),
    .IFNOCPSNCIAXI0_araddr(IFNOCPSNCIAXI0ARADDR),
    .IFNOCPSNCIAXI0_arburst(IFNOCPSNCIAXI0ARBURST),
    .IFNOCPSNCIAXI0_arcache(IFNOCPSNCIAXI0ARCACHE),
    .IFNOCPSNCIAXI0_arid(IFNOCPSNCIAXI0ARID),
    .IFNOCPSNCIAXI0_arlen(IFNOCPSNCIAXI0ARLEN),
    .IFNOCPSNCIAXI0_arlock(IFNOCPSNCIAXI0ARLOCK),
    .IFNOCPSNCIAXI0_arprot(IFNOCPSNCIAXI0ARPROT),
    .IFNOCPSNCIAXI0_arqos(IFNOCPSNCIAXI0ARQOS),
    .IFNOCPSNCIAXI0_arready(IFNOCPSNCIAXI0ARREADY),
    .IFNOCPSNCIAXI0_arsize(IFNOCPSNCIAXI0ARSIZE),
    .IFNOCPSNCIAXI0_aruser(IFNOCPSNCIAXI0ARUSER),
    .IFNOCPSNCIAXI0_arvalid(IFNOCPSNCIAXI0ARVALID),
    .IFNOCPSNCIAXI0_awaddr(IFNOCPSNCIAXI0AWADDR),
    .IFNOCPSNCIAXI0_awburst(IFNOCPSNCIAXI0AWBURST),
    .IFNOCPSNCIAXI0_awcache(IFNOCPSNCIAXI0AWCACHE),
    .IFNOCPSNCIAXI0_awid(IFNOCPSNCIAXI0AWID),
    .IFNOCPSNCIAXI0_awlen(IFNOCPSNCIAXI0AWLEN),
    .IFNOCPSNCIAXI0_awlock(IFNOCPSNCIAXI0AWLOCK),
    .IFNOCPSNCIAXI0_awprot(IFNOCPSNCIAXI0AWPROT),
    .IFNOCPSNCIAXI0_awqos(IFNOCPSNCIAXI0AWQOS),
    .IFNOCPSNCIAXI0_awready(IFNOCPSNCIAXI0AWREADY),
    .IFNOCPSNCIAXI0_awsize(IFNOCPSNCIAXI0AWSIZE),
    .IFNOCPSNCIAXI0_awuser(IFNOCPSNCIAXI0AWUSER),
    .IFNOCPSNCIAXI0_awvalid(IFNOCPSNCIAXI0AWVALID),
    .IFNOCPSNCIAXI0_bid(IFNOCPSNCIAXI0BID),
    .IFNOCPSNCIAXI0_bready(IFNOCPSNCIAXI0BREADY),
    .IFNOCPSNCIAXI0_bresp(IFNOCPSNCIAXI0BRESP),
    .IFNOCPSNCIAXI0_buser(IFNOCPSNCIAXI0BUSER),
    .IFNOCPSNCIAXI0_bvalid(IFNOCPSNCIAXI0BVALID),
    .IFNOCPSNCIAXI0_rdata(IFNOCPSNCIAXI0RDATA),
    .IFNOCPSNCIAXI0_rid(IFNOCPSNCIAXI0RID),
    .IFNOCPSNCIAXI0_rlast(IFNOCPSNCIAXI0RLAST),
    .IFNOCPSNCIAXI0_rready(IFNOCPSNCIAXI0RREADY),
    .IFNOCPSNCIAXI0_rresp(IFNOCPSNCIAXI0RRESP),
    .IFNOCPSNCIAXI0_ruser({w_IFNOCPSNCIAXI0RUSER,IFNOCPSNCIAXI0RUSER}),
    .IFNOCPSNCIAXI0_rvalid(IFNOCPSNCIAXI0RVALID),
    .IFNOCPSNCIAXI0_wdata(IFNOCPSNCIAXI0WDATA),
    .IFNOCPSNCIAXI0_wlast(IFNOCPSNCIAXI0WLAST),
    .IFNOCPSNCIAXI0_wready(IFNOCPSNCIAXI0WREADY),
    .IFNOCPSNCIAXI0_wstrb(IFNOCPSNCIAXI0WSTRB),
    .IFNOCPSNCIAXI0_wuser({15'd0,IFNOCPSNCIAXI0WUSER}),
    .IFNOCPSNCIAXI0_wvalid(IFNOCPSNCIAXI0WVALID),
    .IFNOCPSNCIAXI0_wid(IFNOCPSNCIAXI0WID),
    .IFNOCPSNCIAXI1_araddr(IFNOCPSNCIAXI1ARADDR),
    .IFNOCPSNCIAXI1_arburst(IFNOCPSNCIAXI1ARBURST),
    .IFNOCPSNCIAXI1_arcache(IFNOCPSNCIAXI1ARCACHE),
    .IFNOCPSNCIAXI1_arid(IFNOCPSNCIAXI1ARID),
    .IFNOCPSNCIAXI1_arlen(IFNOCPSNCIAXI1ARLEN),
    .IFNOCPSNCIAXI1_arlock(IFNOCPSNCIAXI1ARLOCK),
    .IFNOCPSNCIAXI1_arprot(IFNOCPSNCIAXI1ARPROT),
    .IFNOCPSNCIAXI1_arqos(IFNOCPSNCIAXI1ARQOS),
    .IFNOCPSNCIAXI1_arready(IFNOCPSNCIAXI1ARREADY),
    .IFNOCPSNCIAXI1_arsize(IFNOCPSNCIAXI1ARSIZE),
    .IFNOCPSNCIAXI1_aruser(IFNOCPSNCIAXI1ARUSER),
    .IFNOCPSNCIAXI1_arvalid(IFNOCPSNCIAXI1ARVALID),
    .IFNOCPSNCIAXI1_awaddr(IFNOCPSNCIAXI1AWADDR),
    .IFNOCPSNCIAXI1_awburst(IFNOCPSNCIAXI1AWBURST),
    .IFNOCPSNCIAXI1_awcache(IFNOCPSNCIAXI1AWCACHE),
    .IFNOCPSNCIAXI1_awid(IFNOCPSNCIAXI1AWID),
    .IFNOCPSNCIAXI1_awlen(IFNOCPSNCIAXI1AWLEN),
    .IFNOCPSNCIAXI1_awlock(IFNOCPSNCIAXI1AWLOCK),
    .IFNOCPSNCIAXI1_awprot(IFNOCPSNCIAXI1AWPROT),
    .IFNOCPSNCIAXI1_awqos(IFNOCPSNCIAXI1AWQOS),
    .IFNOCPSNCIAXI1_awready(IFNOCPSNCIAXI1AWREADY),
    .IFNOCPSNCIAXI1_awsize(IFNOCPSNCIAXI1AWSIZE),
    .IFNOCPSNCIAXI1_awuser(IFNOCPSNCIAXI1AWUSER),
    .IFNOCPSNCIAXI1_awvalid(IFNOCPSNCIAXI1AWVALID),
    .IFNOCPSNCIAXI1_bid(IFNOCPSNCIAXI1BID),
    .IFNOCPSNCIAXI1_bready(IFNOCPSNCIAXI1BREADY),
    .IFNOCPSNCIAXI1_bresp(IFNOCPSNCIAXI1BRESP),
    .IFNOCPSNCIAXI1_buser(IFNOCPSNCIAXI1BUSER),
    .IFNOCPSNCIAXI1_bvalid(IFNOCPSNCIAXI1BVALID),
    .IFNOCPSNCIAXI1_rdata(IFNOCPSNCIAXI1RDATA),
    .IFNOCPSNCIAXI1_rid(IFNOCPSNCIAXI1RID),
    .IFNOCPSNCIAXI1_rlast(IFNOCPSNCIAXI1RLAST),
    .IFNOCPSNCIAXI1_rready(IFNOCPSNCIAXI1RREADY),
    .IFNOCPSNCIAXI1_rresp(IFNOCPSNCIAXI1RRESP),
    .IFNOCPSNCIAXI1_ruser({w_IFNOCPSNCIAXI1RUSER,IFNOCPSNCIAXI1RUSER}),
    .IFNOCPSNCIAXI1_rvalid(IFNOCPSNCIAXI1RVALID),
    .IFNOCPSNCIAXI1_wdata(IFNOCPSNCIAXI1WDATA),
    .IFNOCPSNCIAXI1_wlast(IFNOCPSNCIAXI1WLAST),
    .IFNOCPSNCIAXI1_wready(IFNOCPSNCIAXI1WREADY),
    .IFNOCPSNCIAXI1_wstrb(IFNOCPSNCIAXI1WSTRB),
    .IFNOCPSNCIAXI1_wuser({15'd0,IFNOCPSNCIAXI1WUSER}),
    .IFNOCPSNCIAXI1_wvalid(IFNOCPSNCIAXI1WVALID),
    .IFNOCPSNCIAXI1_wid(IFNOCPSNCIAXI1WID),
    .IFNOCPSPCIAXI0_araddr(IFNOCPSPCIAXI0ARADDR),
    .IFNOCPSPCIAXI0_arburst(IFNOCPSPCIAXI0ARBURST),
    .IFNOCPSPCIAXI0_arcache(IFNOCPSPCIAXI0ARCACHE),
    .IFNOCPSPCIAXI0_arid(IFNOCPSPCIAXI0ARID),
    .IFNOCPSPCIAXI0_arlen(IFNOCPSPCIAXI0ARLEN),
    .IFNOCPSPCIAXI0_arlock(IFNOCPSPCIAXI0ARLOCK),
    .IFNOCPSPCIAXI0_arprot(IFNOCPSPCIAXI0ARPROT),
    .IFNOCPSPCIAXI0_arqos(IFNOCPSPCIAXI0ARQOS),
    .IFNOCPSPCIAXI0_arready(IFNOCPSPCIAXI0ARREADY),
    .IFNOCPSPCIAXI0_arsize(IFNOCPSPCIAXI0ARSIZE),
    .IFNOCPSPCIAXI0_aruser(IFNOCPSPCIAXI0ARUSER),
    .IFNOCPSPCIAXI0_arvalid(IFNOCPSPCIAXI0ARVALID),
    .IFNOCPSPCIAXI0_awaddr(IFNOCPSPCIAXI0AWADDR),
    .IFNOCPSPCIAXI0_awburst(IFNOCPSPCIAXI0AWBURST),
    .IFNOCPSPCIAXI0_awcache(IFNOCPSPCIAXI0AWCACHE),
    .IFNOCPSPCIAXI0_awid(IFNOCPSPCIAXI0AWID),
    .IFNOCPSPCIAXI0_awlen(IFNOCPSPCIAXI0AWLEN),
    .IFNOCPSPCIAXI0_awlock(IFNOCPSPCIAXI0AWLOCK),
    .IFNOCPSPCIAXI0_awprot(IFNOCPSPCIAXI0AWPROT),
    .IFNOCPSPCIAXI0_awqos(IFNOCPSPCIAXI0AWQOS),
    .IFNOCPSPCIAXI0_awready(IFNOCPSPCIAXI0AWREADY),
    .IFNOCPSPCIAXI0_awsize(IFNOCPSPCIAXI0AWSIZE),
    .IFNOCPSPCIAXI0_awuser(IFNOCPSPCIAXI0AWUSER),
    .IFNOCPSPCIAXI0_awvalid(IFNOCPSPCIAXI0AWVALID),
    .IFNOCPSPCIAXI0_bid(IFNOCPSPCIAXI0BID),
    .IFNOCPSPCIAXI0_bready(IFNOCPSPCIAXI0BREADY),
    .IFNOCPSPCIAXI0_bresp(IFNOCPSPCIAXI0BRESP),
    .IFNOCPSPCIAXI0_buser(IFNOCPSPCIAXI0BUSER),
    .IFNOCPSPCIAXI0_bvalid(IFNOCPSPCIAXI0BVALID),
    .IFNOCPSPCIAXI0_rdata(IFNOCPSPCIAXI0RDATA),
    .IFNOCPSPCIAXI0_rid(IFNOCPSPCIAXI0RID),
    .IFNOCPSPCIAXI0_rlast(IFNOCPSPCIAXI0RLAST),
    .IFNOCPSPCIAXI0_rready(IFNOCPSPCIAXI0RREADY),
    .IFNOCPSPCIAXI0_rresp(IFNOCPSPCIAXI0RRESP),
    .IFNOCPSPCIAXI0_ruser({w_IFNOCPSPCIAXI0RUSER,IFNOCPSPCIAXI0RUSER}),
    .IFNOCPSPCIAXI0_rvalid(IFNOCPSPCIAXI0RVALID),
    .IFNOCPSPCIAXI0_wdata(IFNOCPSPCIAXI0WDATA),
    .IFNOCPSPCIAXI0_wlast(IFNOCPSPCIAXI0WLAST),
    .IFNOCPSPCIAXI0_wready(IFNOCPSPCIAXI0WREADY),
    .IFNOCPSPCIAXI0_wstrb(IFNOCPSPCIAXI0WSTRB),
    .IFNOCPSPCIAXI0_wuser({15'd0,IFNOCPSPCIAXI0WUSER}),
    .IFNOCPSPCIAXI0_wvalid(IFNOCPSPCIAXI0WVALID),
    .IFNOCPSPCIAXI0_wid(IFNOCPSPCIAXI0WID),
    .IFPMCNOCAXI0_araddr(IFPMCNOCAXI0ARADDR),
    .IFPMCNOCAXI0_arburst(IFPMCNOCAXI0ARBURST),
    .IFPMCNOCAXI0_arcache(IFPMCNOCAXI0ARCACHE),
    .IFPMCNOCAXI0_arlen(IFPMCNOCAXI0ARLEN),
    .IFPMCNOCAXI0_arlock(IFPMCNOCAXI0ARLOCK),
    .IFPMCNOCAXI0_arprot(IFPMCNOCAXI0ARPROT),
    .IFPMCNOCAXI0_arqos(IFPMCNOCAXI0ARQOS),
    .IFPMCNOCAXI0_arready(IFPMCNOCAXI0ARREADY),
    .IFPMCNOCAXI0_arsize(IFPMCNOCAXI0ARSIZE),
    .IFPMCNOCAXI0_aruser({w_IFPMCNOCAXI0ARUSER,IFPMCNOCAXI0ARUSER}),
    .IFPMCNOCAXI0_arvalid(IFPMCNOCAXI0ARVALID),
    .IFPMCNOCAXI0_arid(IFPMCNOCAXI0ARID),
    .IFPMCNOCAXI0_awaddr(IFPMCNOCAXI0AWADDR),
    .IFPMCNOCAXI0_awburst(IFPMCNOCAXI0AWBURST),
    .IFPMCNOCAXI0_awcache(IFPMCNOCAXI0AWCACHE),
    .IFPMCNOCAXI0_awlen(IFPMCNOCAXI0AWLEN),
    .IFPMCNOCAXI0_awlock(IFPMCNOCAXI0AWLOCK),
    .IFPMCNOCAXI0_awprot(IFPMCNOCAXI0AWPROT),
    .IFPMCNOCAXI0_awqos(IFPMCNOCAXI0AWQOS),
    .IFPMCNOCAXI0_awready(IFPMCNOCAXI0AWREADY),
    .IFPMCNOCAXI0_awsize(IFPMCNOCAXI0AWSIZE),
    .IFPMCNOCAXI0_awuser({w_IFPMCNOCAXI0AWUSER,IFPMCNOCAXI0AWUSER}),
    .IFPMCNOCAXI0_awvalid(IFPMCNOCAXI0AWVALID),
    .IFPMCNOCAXI0_awid(IFPMCNOCAXI0AWID),
    .IFPMCNOCAXI0_bready(IFPMCNOCAXI0BREADY),
    .IFPMCNOCAXI0_bresp(IFPMCNOCAXI0BRESP),
    .IFPMCNOCAXI0_buser(IFPMCNOCAXI0BUSER),
    .IFPMCNOCAXI0_bvalid(IFPMCNOCAXI0BVALID),
    .IFPMCNOCAXI0_bid(IFPMCNOCAXI0BID),
    .IFPMCNOCAXI0_rdata(IFPMCNOCAXI0RDATA),
    .IFPMCNOCAXI0_rlast(IFPMCNOCAXI0RLAST),
    .IFPMCNOCAXI0_rready(IFPMCNOCAXI0RREADY),
    .IFPMCNOCAXI0_rresp(IFPMCNOCAXI0RRESP),
    .IFPMCNOCAXI0_ruser(IFPMCNOCAXI0RUSER),
    .IFPMCNOCAXI0_rid(IFPMCNOCAXI0RID),
    .IFPMCNOCAXI0_rvalid(IFPMCNOCAXI0RVALID),
    .IFPMCNOCAXI0_wdata(IFPMCNOCAXI0WDATA),
    .IFPMCNOCAXI0_wlast(IFPMCNOCAXI0WLAST),
    .IFPMCNOCAXI0_wready(IFPMCNOCAXI0WREADY),
    .IFPMCNOCAXI0_wstrb(IFPMCNOCAXI0WSTRB),
    .IFPMCNOCAXI0_wuser(IFPMCNOCAXI0WUSER),
    .IFPMCNOCAXI0_wvalid(IFPMCNOCAXI0WVALID),
    .IFPMCNOCAXI0_wid(IFPMCNOCAXI0WID),
    .IFPSCPMCFGAXI_araddr(IFPSCPMCFGAXIARADDR),
    .IFPSCPMCFGAXI_arburst(IFPSCPMCFGAXIARBURST),
    .IFPSCPMCFGAXI_arcache(IFPSCPMCFGAXIARCACHE),
    .IFPSCPMCFGAXI_arlen(IFPSCPMCFGAXIARLEN),
    .IFPSCPMCFGAXI_arlock(IFPSCPMCFGAXIARLOCK),
    .IFPSCPMCFGAXI_arprot(IFPSCPMCFGAXIARPROT),
    .IFPSCPMCFGAXI_arqos(IFPSCPMCFGAXIARQOS),
    .IFPSCPMCFGAXI_arready(IFPSCPMCFGAXIARREADY),
    .IFPSCPMCFGAXI_arsize(IFPSCPMCFGAXIARSIZE),
    .IFPSCPMCFGAXI_aruser({w_IFPSCPMCFGAXIARUSER,IFPSCPMCFGAXIARUSER}),
    .IFPSCPMCFGAXI_arvalid(IFPSCPMCFGAXIARVALID),
    .IFPSCPMCFGAXI_awaddr(IFPSCPMCFGAXIAWADDR),
    .IFPSCPMCFGAXI_awburst(IFPSCPMCFGAXIAWBURST),
    .IFPSCPMCFGAXI_awcache(IFPSCPMCFGAXIAWCACHE),
    .IFPSCPMCFGAXI_awlen(IFPSCPMCFGAXIAWLEN),
    .IFPSCPMCFGAXI_awlock(IFPSCPMCFGAXIAWLOCK),
    .IFPSCPMCFGAXI_awprot(IFPSCPMCFGAXIAWPROT),
    .IFPSCPMCFGAXI_awqos(IFPSCPMCFGAXIAWQOS),
    .IFPSCPMCFGAXI_awready(IFPSCPMCFGAXIAWREADY),
    .IFPSCPMCFGAXI_awsize(IFPSCPMCFGAXIAWSIZE),
    .IFPSCPMCFGAXI_awuser({w_IFPSCPMCFGAXIAWUSER,IFPSCPMCFGAXIAWUSER}),
    .IFPSCPMCFGAXI_awvalid(IFPSCPMCFGAXIAWVALID),
    .IFPSCPMCFGAXI_bready(IFPSCPMCFGAXIBREADY),
    .IFPSCPMCFGAXI_bresp(IFPSCPMCFGAXIBRESP),
    .IFPSCPMCFGAXI_buser({15'd0,IFPSCPMCFGAXIBUSER}),
    .IFPSCPMCFGAXI_bvalid(IFPSCPMCFGAXIBVALID),
    .IFPSCPMCFGAXI_rdata(IFPSCPMCFGAXIRDATA),
    .IFPSCPMCFGAXI_rlast(IFPSCPMCFGAXIRLAST),
    .IFPSCPMCFGAXI_rready(IFPSCPMCFGAXIRREADY),
    .IFPSCPMCFGAXI_rresp(IFPSCPMCFGAXIRRESP),
    .IFPSCPMCFGAXI_ruser(IFPSCPMCFGAXIRUSER),
    .IFPSCPMCFGAXI_rvalid(IFPSCPMCFGAXIRVALID),
    .IFPSCPMCFGAXI_wdata(IFPSCPMCFGAXIWDATA),
    .IFPSCPMCFGAXI_wlast(IFPSCPMCFGAXIWLAST),
    .IFPSCPMCFGAXI_wready(IFPSCPMCFGAXIWREADY),
    .IFPSCPMCFGAXI_wstrb(IFPSCPMCFGAXIWSTRB),
    .IFPSCPMCFGAXI_wuser(IFPSCPMCFGAXIWUSER),
    .IFPSCPMCFGAXI_wvalid(IFPSCPMCFGAXIWVALID),
    .IFPSCPMPCIEAXI_araddr(IFPSCPMPCIEAXIARADDR),
    .IFPSCPMPCIEAXI_arburst(IFPSCPMPCIEAXIARBURST),
    .IFPSCPMPCIEAXI_arcache(IFPSCPMPCIEAXIARCACHE),
    .IFPSCPMPCIEAXI_arlen(IFPSCPMPCIEAXIARLEN),
    .IFPSCPMPCIEAXI_arlock(IFPSCPMPCIEAXIARLOCK),
    .IFPSCPMPCIEAXI_arprot(IFPSCPMPCIEAXIARPROT),
    .IFPSCPMPCIEAXI_arqos(IFPSCPMPCIEAXIARQOS),
    .IFPSCPMPCIEAXI_arready(IFPSCPMPCIEAXIARREADY),
    .IFPSCPMPCIEAXI_arsize(IFPSCPMPCIEAXIARSIZE),
    .IFPSCPMPCIEAXI_aruser({w_IFPSCPMPCIEAXIARUSER,IFPSCPMPCIEAXIARUSER}),
    .IFPSCPMPCIEAXI_arvalid(IFPSCPMPCIEAXIARVALID),
    .IFPSCPMPCIEAXI_arid(IFPSCPMPCIEAXIARID),
    .IFPSCPMPCIEAXI_awaddr(IFPSCPMPCIEAXIAWADDR),
    .IFPSCPMPCIEAXI_awburst(IFPSCPMPCIEAXIAWBURST),
    .IFPSCPMPCIEAXI_awcache(IFPSCPMPCIEAXIAWCACHE),
    .IFPSCPMPCIEAXI_awlen(IFPSCPMPCIEAXIAWLEN),
    .IFPSCPMPCIEAXI_awlock(IFPSCPMPCIEAXIAWLOCK),
    .IFPSCPMPCIEAXI_awprot(IFPSCPMPCIEAXIAWPROT),
    .IFPSCPMPCIEAXI_awqos(IFPSCPMPCIEAXIAWQOS),
    .IFPSCPMPCIEAXI_awready(IFPSCPMPCIEAXIAWREADY),
    .IFPSCPMPCIEAXI_awsize(IFPSCPMPCIEAXIAWSIZE),
    .IFPSCPMPCIEAXI_awuser({w_IFPSCPMPCIEAXIAWUSER,IFPSCPMPCIEAXIAWUSER}),
    .IFPSCPMPCIEAXI_awvalid(IFPSCPMPCIEAXIAWVALID),
    .IFPSCPMPCIEAXI_awid(IFPSCPMPCIEAXIAWID),
    .IFPSCPMPCIEAXI_bready(IFPSCPMPCIEAXIBREADY),
    .IFPSCPMPCIEAXI_bresp(IFPSCPMPCIEAXIBRESP),
    .IFPSCPMPCIEAXI_buser(IFPSCPMPCIEAXIBUSER),
    .IFPSCPMPCIEAXI_bvalid(IFPSCPMPCIEAXIBVALID),
    .IFPSCPMPCIEAXI_bid(IFPSCPMPCIEAXIBID),
    .IFPSCPMPCIEAXI_rdata(IFPSCPMPCIEAXIRDATA),
    .IFPSCPMPCIEAXI_rid(IFPSCPMPCIEAXIRID),
    .IFPSCPMPCIEAXI_rlast(IFPSCPMPCIEAXIRLAST),
    .IFPSCPMPCIEAXI_rready(IFPSCPMPCIEAXIRREADY),
    .IFPSCPMPCIEAXI_rresp(IFPSCPMPCIEAXIRRESP),
    .IFPSCPMPCIEAXI_ruser(IFPSCPMPCIEAXIRUSER),
    .IFPSCPMPCIEAXI_rvalid(IFPSCPMPCIEAXIRVALID),
    .IFPSCPMPCIEAXI_wdata(IFPSCPMPCIEAXIWDATA),
    .IFPSCPMPCIEAXI_wlast(IFPSCPMPCIEAXIWLAST),
    .IFPSCPMPCIEAXI_wready(IFPSCPMPCIEAXIWREADY),
    .IFPSCPMPCIEAXI_wstrb(IFPSCPMPCIEAXIWSTRB),
    .IFPSCPMPCIEAXI_wuser(IFPSCPMPCIEAXIWUSER),
    .IFPSCPMPCIEAXI_wvalid(IFPSCPMPCIEAXIWVALID),
    .IFPSCPMPCIEAXI_wid(IFPSCPMPCIEAXIWID),
    //.IFPSNOCCCIAXI0_araddr(IFPSNOCCCIAXI0ARADDR),
    //.IFPSNOCCCIAXI0_arburst(IFPSNOCCCIAXI0ARBURST),
    //.IFPSNOCCCIAXI0_arcache(IFPSNOCCCIAXI0ARCACHE),
    //.IFPSNOCCCIAXI0_arlen(IFPSNOCCCIAXI0ARLEN),
    //.IFPSNOCCCIAXI0_arlock(IFPSNOCCCIAXI0ARLOCK),
    //.IFPSNOCCCIAXI0_arprot(IFPSNOCCCIAXI0ARPROT),
    //.IFPSNOCCCIAXI0_arqos(IFPSNOCCCIAXI0ARQOS),
    //.IFPSNOCCCIAXI0_arready(IFPSNOCCCIAXI0ARREADY),
    //.IFPSNOCCCIAXI0_arsize(IFPSNOCCCIAXI0ARSIZE),
    //.IFPSNOCCCIAXI0_aruser(IFPSNOCCCIAXI0ARUSER),
    //.IFPSNOCCCIAXI0_arvalid(IFPSNOCCCIAXI0ARVALID),
    //.IFPSNOCCCIAXI0_awaddr(IFPSNOCCCIAXI0AWADDR),
    //.IFPSNOCCCIAXI0_awburst(IFPSNOCCCIAXI0AWBURST),
    //.IFPSNOCCCIAXI0_awcache(IFPSNOCCCIAXI0AWCACHE),
    //.IFPSNOCCCIAXI0_awlen(IFPSNOCCCIAXI0AWLEN),
    //.IFPSNOCCCIAXI0_awlock(IFPSNOCCCIAXI0AWLOCK),
    //.IFPSNOCCCIAXI0_awprot(IFPSNOCCCIAXI0AWPROT),
    //.IFPSNOCCCIAXI0_awqos(IFPSNOCCCIAXI0AWQOS),
    //.IFPSNOCCCIAXI0_awready(IFPSNOCCCIAXI0AWREADY),
    //.IFPSNOCCCIAXI0_awsize(IFPSNOCCCIAXI0AWSIZE),
    //.IFPSNOCCCIAXI0_awuser(IFPSNOCCCIAXI0AWUSER),
    //.IFPSNOCCCIAXI0_awvalid(IFPSNOCCCIAXI0AWVALID),
    //.IFPSNOCCCIAXI0_bready(IFPSNOCCCIAXI0BREADY),
    //.IFPSNOCCCIAXI0_bresp(IFPSNOCCCIAXI0BRESP),
    //.IFPSNOCCCIAXI0_buser(IFPSNOCCCIAXI0BUSER),
    //.IFPSNOCCCIAXI0_bvalid(IFPSNOCCCIAXI0BVALID),
    //.IFPSNOCCCIAXI0_rdata(IFPSNOCCCIAXI0RDATA),
    //.IFPSNOCCCIAXI0_rlast(IFPSNOCCCIAXI0RLAST),
    //.IFPSNOCCCIAXI0_rready(IFPSNOCCCIAXI0RREADY),
    //.IFPSNOCCCIAXI0_rresp(IFPSNOCCCIAXI0RRESP),
    //.IFPSNOCCCIAXI0_ruser(IFPSNOCCCIAXI0RUSER),
    //.IFPSNOCCCIAXI0_rvalid(IFPSNOCCCIAXI0RVALID),
    //.IFPSNOCCCIAXI0_wdata(IFPSNOCCCIAXI0WDATA),
    //.IFPSNOCCCIAXI0_wlast(IFPSNOCCCIAXI0WLAST),
    //.IFPSNOCCCIAXI0_wready(IFPSNOCCCIAXI0WREADY),
    //.IFPSNOCCCIAXI0_wstrb(IFPSNOCCCIAXI0WSTRB),
    //.IFPSNOCCCIAXI0_wuser(IFPSNOCCCIAXI0WUSER),
    //.IFPSNOCCCIAXI0_wvalid(IFPSNOCCCIAXI0WVALID),
    //.IFPSNOCCCIAXI1_araddr(IFPSNOCCCIAXI1ARADDR),
    //.IFPSNOCCCIAXI1_arburst(IFPSNOCCCIAXI1ARBURST),
    //.IFPSNOCCCIAXI1_arcache(IFPSNOCCCIAXI1ARCACHE),
    //.IFPSNOCCCIAXI1_arlen(IFPSNOCCCIAXI1ARLEN),
    //.IFPSNOCCCIAXI1_arlock(IFPSNOCCCIAXI1ARLOCK),
    //.IFPSNOCCCIAXI1_arprot(IFPSNOCCCIAXI1ARPROT),
    //.IFPSNOCCCIAXI1_arqos(IFPSNOCCCIAXI1ARQOS),
    //.IFPSNOCCCIAXI1_arready(IFPSNOCCCIAXI1ARREADY),
    //.IFPSNOCCCIAXI1_arsize(IFPSNOCCCIAXI1ARSIZE),
    //.IFPSNOCCCIAXI1_aruser(IFPSNOCCCIAXI1ARUSER),
    //.IFPSNOCCCIAXI1_arvalid(IFPSNOCCCIAXI1ARVALID),
    //.IFPSNOCCCIAXI1_awaddr(IFPSNOCCCIAXI1AWADDR),
    //.IFPSNOCCCIAXI1_awburst(IFPSNOCCCIAXI1AWBURST),
    //.IFPSNOCCCIAXI1_awcache(IFPSNOCCCIAXI1AWCACHE),
    //.IFPSNOCCCIAXI1_awlen(IFPSNOCCCIAXI1AWLEN),
    //.IFPSNOCCCIAXI1_awlock(IFPSNOCCCIAXI1AWLOCK),
    //.IFPSNOCCCIAXI1_awprot(IFPSNOCCCIAXI1AWPROT),
    //.IFPSNOCCCIAXI1_awqos(IFPSNOCCCIAXI1AWQOS),
    //.IFPSNOCCCIAXI1_awready(IFPSNOCCCIAXI1AWREADY),
    //.IFPSNOCCCIAXI1_awsize(IFPSNOCCCIAXI1AWSIZE),
    //.IFPSNOCCCIAXI1_awuser(IFPSNOCCCIAXI1AWUSER),
    //.IFPSNOCCCIAXI1_awvalid(IFPSNOCCCIAXI1AWVALID),
    //.IFPSNOCCCIAXI1_bready(IFPSNOCCCIAXI1BREADY),
    //.IFPSNOCCCIAXI1_bresp(IFPSNOCCCIAXI1BRESP),
    //.IFPSNOCCCIAXI1_buser(IFPSNOCCCIAXI1BUSER),
    //.IFPSNOCCCIAXI1_bvalid(IFPSNOCCCIAXI1BVALID),
    //.IFPSNOCCCIAXI1_rdata(IFPSNOCCCIAXI1RDATA),
    //.IFPSNOCCCIAXI1_rlast(IFPSNOCCCIAXI1RLAST),
    //.IFPSNOCCCIAXI1_rready(IFPSNOCCCIAXI1RREADY),
    //.IFPSNOCCCIAXI1_rresp(IFPSNOCCCIAXI1RRESP),
    //.IFPSNOCCCIAXI1_ruser(IFPSNOCCCIAXI1RUSER),
    //.IFPSNOCCCIAXI1_rvalid(IFPSNOCCCIAXI1RVALID),
    //.IFPSNOCCCIAXI1_wdata(IFPSNOCCCIAXI1WDATA),
    //.IFPSNOCCCIAXI1_wlast(IFPSNOCCCIAXI1WLAST),
    //.IFPSNOCCCIAXI1_wready(IFPSNOCCCIAXI1WREADY),
    //.IFPSNOCCCIAXI1_wstrb(IFPSNOCCCIAXI1WSTRB),
    //.IFPSNOCCCIAXI1_wuser(IFPSNOCCCIAXI1WUSER),
    //.IFPSNOCCCIAXI1_wvalid(IFPSNOCCCIAXI1WVALID),
    //.IFPSNOCCCIAXI2_araddr(IFPSNOCCCIAXI2ARADDR),
    //.IFPSNOCCCIAXI2_arburst(IFPSNOCCCIAXI2ARBURST),
    //.IFPSNOCCCIAXI2_arcache(IFPSNOCCCIAXI2ARCACHE),
    //.IFPSNOCCCIAXI2_arlen(IFPSNOCCCIAXI2ARLEN),
    //.IFPSNOCCCIAXI2_arlock(IFPSNOCCCIAXI2ARLOCK),
    //.IFPSNOCCCIAXI2_arprot(IFPSNOCCCIAXI2ARPROT),
    //.IFPSNOCCCIAXI2_arqos(IFPSNOCCCIAXI2ARQOS),
    //.IFPSNOCCCIAXI2_arready(IFPSNOCCCIAXI2ARREADY),
    //.IFPSNOCCCIAXI2_arsize(IFPSNOCCCIAXI2ARSIZE),
    //.IFPSNOCCCIAXI2_aruser(IFPSNOCCCIAXI2ARUSER),
    //.IFPSNOCCCIAXI2_arvalid(IFPSNOCCCIAXI2ARVALID),
    //.IFPSNOCCCIAXI2_awaddr(IFPSNOCCCIAXI2AWADDR),
    //.IFPSNOCCCIAXI2_awburst(IFPSNOCCCIAXI2AWBURST),
    //.IFPSNOCCCIAXI2_awcache(IFPSNOCCCIAXI2AWCACHE),
    //.IFPSNOCCCIAXI2_awlen(IFPSNOCCCIAXI2AWLEN),
    //.IFPSNOCCCIAXI2_awlock(IFPSNOCCCIAXI2AWLOCK),
    //.IFPSNOCCCIAXI2_awprot(IFPSNOCCCIAXI2AWPROT),
    //.IFPSNOCCCIAXI2_awqos(IFPSNOCCCIAXI2AWQOS),
    //.IFPSNOCCCIAXI2_awready(IFPSNOCCCIAXI2AWREADY),
    //.IFPSNOCCCIAXI2_awsize(IFPSNOCCCIAXI2AWSIZE),
    //.IFPSNOCCCIAXI2_awuser(IFPSNOCCCIAXI2AWUSER),
    //.IFPSNOCCCIAXI2_awvalid(IFPSNOCCCIAXI2AWVALID),
    //.IFPSNOCCCIAXI2_bready(IFPSNOCCCIAXI2BREADY),
    //.IFPSNOCCCIAXI2_bresp(IFPSNOCCCIAXI2BRESP),
    //.IFPSNOCCCIAXI2_buser(IFPSNOCCCIAXI2BUSER),
    //.IFPSNOCCCIAXI2_bvalid(IFPSNOCCCIAXI2BVALID),
    //.IFPSNOCCCIAXI2_rdata(IFPSNOCCCIAXI2RDATA),
    //.IFPSNOCCCIAXI2_rlast(IFPSNOCCCIAXI2RLAST),
    //.IFPSNOCCCIAXI2_rready(IFPSNOCCCIAXI2RREADY),
    //.IFPSNOCCCIAXI2_rresp(IFPSNOCCCIAXI2RRESP),
    //.IFPSNOCCCIAXI2_ruser(IFPSNOCCCIAXI2RUSER),
    //.IFPSNOCCCIAXI2_rvalid(IFPSNOCCCIAXI2RVALID),
    //.IFPSNOCCCIAXI2_wdata(IFPSNOCCCIAXI2WDATA),
    //.IFPSNOCCCIAXI2_wlast(IFPSNOCCCIAXI2WLAST),
    //.IFPSNOCCCIAXI2_wready(IFPSNOCCCIAXI2WREADY),
    //.IFPSNOCCCIAXI2_wstrb(IFPSNOCCCIAXI2WSTRB),
    //.IFPSNOCCCIAXI2_wuser(IFPSNOCCCIAXI2WUSER),
    //.IFPSNOCCCIAXI2_wvalid(IFPSNOCCCIAXI2WVALID),
    //.IFPSNOCCCIAXI3_araddr(IFPSNOCCCIAXI3ARADDR),
    //.IFPSNOCCCIAXI3_arburst(IFPSNOCCCIAXI3ARBURST),
    //.IFPSNOCCCIAXI3_arcache(IFPSNOCCCIAXI3ARCACHE),
    //.IFPSNOCCCIAXI3_arlen(IFPSNOCCCIAXI3ARLEN),
    //.IFPSNOCCCIAXI3_arlock(IFPSNOCCCIAXI3ARLOCK),
    //.IFPSNOCCCIAXI3_arprot(IFPSNOCCCIAXI3ARPROT),
    //.IFPSNOCCCIAXI3_arqos(IFPSNOCCCIAXI3ARQOS),
    //.IFPSNOCCCIAXI3_arready(IFPSNOCCCIAXI3ARREADY),
    //.IFPSNOCCCIAXI3_arsize(IFPSNOCCCIAXI3ARSIZE),
    //.IFPSNOCCCIAXI3_aruser(IFPSNOCCCIAXI3ARUSER),
    //.IFPSNOCCCIAXI3_arvalid(IFPSNOCCCIAXI3ARVALID),
    //.IFPSNOCCCIAXI3_awaddr(IFPSNOCCCIAXI3AWADDR),
    //.IFPSNOCCCIAXI3_awburst(IFPSNOCCCIAXI3AWBURST),
    //.IFPSNOCCCIAXI3_awcache(IFPSNOCCCIAXI3AWCACHE),
    //.IFPSNOCCCIAXI3_awlen(IFPSNOCCCIAXI3AWLEN),
    //.IFPSNOCCCIAXI3_awlock(IFPSNOCCCIAXI3AWLOCK),
    //.IFPSNOCCCIAXI3_awprot(IFPSNOCCCIAXI3AWPROT),
    //.IFPSNOCCCIAXI3_awqos(IFPSNOCCCIAXI3AWQOS),
    //.IFPSNOCCCIAXI3_awready(IFPSNOCCCIAXI3AWREADY),
    //.IFPSNOCCCIAXI3_awsize(IFPSNOCCCIAXI3AWSIZE),
    //.IFPSNOCCCIAXI3_awuser(IFPSNOCCCIAXI3AWUSER),
    //.IFPSNOCCCIAXI3_awvalid(IFPSNOCCCIAXI3AWVALID),
    //.IFPSNOCCCIAXI3_bready(IFPSNOCCCIAXI3BREADY),
    //.IFPSNOCCCIAXI3_bresp(IFPSNOCCCIAXI3BRESP),
    //.IFPSNOCCCIAXI3_buser(IFPSNOCCCIAXI3BUSER),
    //.IFPSNOCCCIAXI3_bvalid(IFPSNOCCCIAXI3BVALID),
    //.IFPSNOCCCIAXI3_rdata(IFPSNOCCCIAXI3RDATA),
    //.IFPSNOCCCIAXI3_rlast(IFPSNOCCCIAXI3RLAST),
    //.IFPSNOCCCIAXI3_rready(IFPSNOCCCIAXI3RREADY),
    //.IFPSNOCCCIAXI3_rresp(IFPSNOCCCIAXI3RRESP),
    //.IFPSNOCCCIAXI3_ruser(IFPSNOCCCIAXI3RUSER),
    //.IFPSNOCCCIAXI3_rvalid(IFPSNOCCCIAXI3RVALID),
    //.IFPSNOCCCIAXI3_wdata(IFPSNOCCCIAXI3WDATA),
    //.IFPSNOCCCIAXI3_wlast(IFPSNOCCCIAXI3WLAST),
    //.IFPSNOCCCIAXI3_wready(IFPSNOCCCIAXI3WREADY),
    //.IFPSNOCCCIAXI3_wstrb(IFPSNOCCCIAXI3WSTRB),
    //.IFPSNOCCCIAXI3_wuser(IFPSNOCCCIAXI3WUSER),
    //.IFPSNOCCCIAXI3_wvalid(IFPSNOCCCIAXI3WVALID),
    .IFPSNOCCCIAXI_araddr(w_reg_psnoccci_axi_araddr),
    .IFPSNOCCCIAXI_arburst(w_reg_psnoccci_axi_arburst),
    .IFPSNOCCCIAXI_arcache(w_reg_psnoccci_axi_arcache),
    .IFPSNOCCCIAXI_arlen(w_reg_psnoccci_axi_arlen),
    .IFPSNOCCCIAXI_arlock(w_reg_psnoccci_axi_arlock),
    .IFPSNOCCCIAXI_arprot(w_reg_psnoccci_axi_arprot),
    .IFPSNOCCCIAXI_arqos(w_reg_psnoccci_axi_arqos),
    .IFPSNOCCCIAXI_arready(w_reg_psnoccci_axi_arready),
    .IFPSNOCCCIAXI_arsize(w_reg_psnoccci_axi_arsize),
    .IFPSNOCCCIAXI_aruser(w_reg_psnoccci_axi_aruser),
    .IFPSNOCCCIAXI_arvalid(w_reg_psnoccci_axi_arvalid),
    .IFPSNOCCCIAXI_arid(w_reg_psnoccci_axi_arid),
    .IFPSNOCCCIAXI_awaddr(w_reg_psnoccci_axi_awaddr),
    .IFPSNOCCCIAXI_awburst(w_reg_psnoccci_axi_awburst),
    .IFPSNOCCCIAXI_awcache(w_reg_psnoccci_axi_awcache),
    .IFPSNOCCCIAXI_awlen(w_reg_psnoccci_axi_awlen),
    .IFPSNOCCCIAXI_awlock(w_reg_psnoccci_axi_awlock),
    .IFPSNOCCCIAXI_awprot(w_reg_psnoccci_axi_awprot),
    .IFPSNOCCCIAXI_awqos(w_reg_psnoccci_axi_awqos),
    .IFPSNOCCCIAXI_awready(w_reg_psnoccci_axi_awready),
    .IFPSNOCCCIAXI_awsize(w_reg_psnoccci_axi_awsize),
    .IFPSNOCCCIAXI_awuser(w_reg_psnoccci_axi_awuser),
    .IFPSNOCCCIAXI_awvalid(w_reg_psnoccci_axi_awvalid),
    .IFPSNOCCCIAXI_awid(w_reg_psnoccci_axi_awid),
    .IFPSNOCCCIAXI_bready(w_reg_psnoccci_axi_bready),
    .IFPSNOCCCIAXI_bresp(w_reg_psnoccci_axi_bresp),
    .IFPSNOCCCIAXI_buser(w_reg_psnoccci_axi_buser),
    .IFPSNOCCCIAXI_bvalid(w_reg_psnoccci_axi_bvalid),
    .IFPSNOCCCIAXI_bid(w_reg_psnoccci_axi_bid),
    .IFPSNOCCCIAXI_rdata(w_reg_psnoccci_axi_rdata),
    .IFPSNOCCCIAXI_rlast(w_reg_psnoccci_axi_rlast),
    .IFPSNOCCCIAXI_rready(w_reg_psnoccci_axi_rready),
    .IFPSNOCCCIAXI_rresp(w_reg_psnoccci_axi_rresp),
    .IFPSNOCCCIAXI_ruser(w_reg_psnoccci_axi_ruser),
    .IFPSNOCCCIAXI_rvalid(w_reg_psnoccci_axi_rvalid),
    .IFPSNOCCCIAXI_rid(w_reg_psnoccci_axi_rid),
    .IFPSNOCCCIAXI_wdata(w_reg_psnoccci_axi_wdata),
    .IFPSNOCCCIAXI_wlast(w_reg_psnoccci_axi_wlast),
    .IFPSNOCCCIAXI_wready(w_reg_psnoccci_axi_wready),
    .IFPSNOCCCIAXI_wstrb(w_reg_psnoccci_axi_wstrb),
    .IFPSNOCCCIAXI_wuser(w_reg_psnoccci_axi_wuser),
    .IFPSNOCCCIAXI_wvalid(w_reg_psnoccci_axi_wvalid),
    .IFPSNOCCCIAXI_wid(w_reg_psnoccci_axi_wid),
    .IFPSNOCNCIAXI0_araddr(IFPSNOCNCIAXI0ARADDR),
    .IFPSNOCNCIAXI0_arburst(IFPSNOCNCIAXI0ARBURST),
    .IFPSNOCNCIAXI0_arcache(IFPSNOCNCIAXI0ARCACHE),
    .IFPSNOCNCIAXI0_arlen(IFPSNOCNCIAXI0ARLEN),
    .IFPSNOCNCIAXI0_arlock(IFPSNOCNCIAXI0ARLOCK),
    .IFPSNOCNCIAXI0_arprot(IFPSNOCNCIAXI0ARPROT),
    .IFPSNOCNCIAXI0_arqos(IFPSNOCNCIAXI0ARQOS),
    .IFPSNOCNCIAXI0_arready(IFPSNOCNCIAXI0ARREADY),
    .IFPSNOCNCIAXI0_arsize(IFPSNOCNCIAXI0ARSIZE),
    .IFPSNOCNCIAXI0_aruser({w_IFPSNOCNCIAXI0ARUSER,IFPSNOCNCIAXI0ARUSER}),
    .IFPSNOCNCIAXI0_arvalid(IFPSNOCNCIAXI0ARVALID),
    .IFPSNOCNCIAXI0_arid(IFPSNOCNCIAXI0ARID),
    .IFPSNOCNCIAXI0_awaddr(IFPSNOCNCIAXI0AWADDR),
    .IFPSNOCNCIAXI0_awburst(IFPSNOCNCIAXI0AWBURST),
    .IFPSNOCNCIAXI0_awcache(IFPSNOCNCIAXI0AWCACHE),
    .IFPSNOCNCIAXI0_awlen(IFPSNOCNCIAXI0AWLEN),
    .IFPSNOCNCIAXI0_awlock(IFPSNOCNCIAXI0AWLOCK),
    .IFPSNOCNCIAXI0_awprot(IFPSNOCNCIAXI0AWPROT),
    .IFPSNOCNCIAXI0_awqos(IFPSNOCNCIAXI0AWQOS),
    .IFPSNOCNCIAXI0_awready(IFPSNOCNCIAXI0AWREADY),
    .IFPSNOCNCIAXI0_awsize(IFPSNOCNCIAXI0AWSIZE),
    .IFPSNOCNCIAXI0_awuser({w_IFPSNOCNCIAXI0AWUSER,IFPSNOCNCIAXI0AWUSER}),
    .IFPSNOCNCIAXI0_awvalid(IFPSNOCNCIAXI0AWVALID),
    .IFPSNOCNCIAXI0_awid(IFPSNOCNCIAXI0AWID),
    .IFPSNOCNCIAXI0_bready(IFPSNOCNCIAXI0BREADY),
    .IFPSNOCNCIAXI0_bresp(IFPSNOCNCIAXI0BRESP),
    .IFPSNOCNCIAXI0_buser(IFPSNOCNCIAXI0BUSER),
    .IFPSNOCNCIAXI0_bvalid(IFPSNOCNCIAXI0BVALID),
    .IFPSNOCNCIAXI0_bid(IFPSNOCNCIAXI0BID),
    .IFPSNOCNCIAXI0_rdata(IFPSNOCNCIAXI0RDATA),
    .IFPSNOCNCIAXI0_rlast(IFPSNOCNCIAXI0RLAST),
    .IFPSNOCNCIAXI0_rready(IFPSNOCNCIAXI0RREADY),
    .IFPSNOCNCIAXI0_rresp(IFPSNOCNCIAXI0RRESP),
    .IFPSNOCNCIAXI0_ruser(IFPSNOCNCIAXI0RUSER),
    .IFPSNOCNCIAXI0_rvalid(IFPSNOCNCIAXI0RVALID),
    .IFPSNOCNCIAXI0_rid(IFPSNOCNCIAXI0RID),
    .IFPSNOCNCIAXI0_wdata(IFPSNOCNCIAXI0WDATA),
    .IFPSNOCNCIAXI0_wlast(IFPSNOCNCIAXI0WLAST),
    .IFPSNOCNCIAXI0_wready(IFPSNOCNCIAXI0WREADY),
    .IFPSNOCNCIAXI0_wstrb(IFPSNOCNCIAXI0WSTRB),
    .IFPSNOCNCIAXI0_wuser(IFPSNOCNCIAXI0WUSER),
    .IFPSNOCNCIAXI0_wvalid(IFPSNOCNCIAXI0WVALID),
    .IFPSNOCNCIAXI0_wid(IFPSNOCNCIAXI0WID),
    .IFPSNOCNCIAXI1_araddr(IFPSNOCNCIAXI1ARADDR),
    .IFPSNOCNCIAXI1_arburst(IFPSNOCNCIAXI1ARBURST),
    .IFPSNOCNCIAXI1_arcache(IFPSNOCNCIAXI1ARCACHE),
    .IFPSNOCNCIAXI1_arlen(IFPSNOCNCIAXI1ARLEN),
    .IFPSNOCNCIAXI1_arlock(IFPSNOCNCIAXI1ARLOCK),
    .IFPSNOCNCIAXI1_arprot(IFPSNOCNCIAXI1ARPROT),
    .IFPSNOCNCIAXI1_arqos(IFPSNOCNCIAXI1ARQOS),
    .IFPSNOCNCIAXI1_arready(IFPSNOCNCIAXI1ARREADY),
    .IFPSNOCNCIAXI1_arsize(IFPSNOCNCIAXI1ARSIZE),
    .IFPSNOCNCIAXI1_aruser({w_IFPSNOCNCIAXI1ARUSER,IFPSNOCNCIAXI1ARUSER}),
    .IFPSNOCNCIAXI1_arvalid(IFPSNOCNCIAXI1ARVALID),
    .IFPSNOCNCIAXI1_arid(IFPSNOCNCIAXI1ARID),
    .IFPSNOCNCIAXI1_awaddr(IFPSNOCNCIAXI1AWADDR),
    .IFPSNOCNCIAXI1_awburst(IFPSNOCNCIAXI1AWBURST),
    .IFPSNOCNCIAXI1_awcache(IFPSNOCNCIAXI1AWCACHE),
    .IFPSNOCNCIAXI1_awlen(IFPSNOCNCIAXI1AWLEN),
    .IFPSNOCNCIAXI1_awlock(IFPSNOCNCIAXI1AWLOCK),
    .IFPSNOCNCIAXI1_awprot(IFPSNOCNCIAXI1AWPROT),
    .IFPSNOCNCIAXI1_awqos(IFPSNOCNCIAXI1AWQOS),
    .IFPSNOCNCIAXI1_awready(IFPSNOCNCIAXI1AWREADY),
    .IFPSNOCNCIAXI1_awsize(IFPSNOCNCIAXI1AWSIZE),
    .IFPSNOCNCIAXI1_awuser({w_IFPSNOCNCIAXI1AWUSER,IFPSNOCNCIAXI1AWUSER}),
    .IFPSNOCNCIAXI1_awvalid(IFPSNOCNCIAXI1AWVALID),
    .IFPSNOCNCIAXI1_awid(IFPSNOCNCIAXI1AWID),
    .IFPSNOCNCIAXI1_bready(IFPSNOCNCIAXI1BREADY),
    .IFPSNOCNCIAXI1_bresp(IFPSNOCNCIAXI1BRESP),
    .IFPSNOCNCIAXI1_buser(IFPSNOCNCIAXI1BUSER),
    .IFPSNOCNCIAXI1_bvalid(IFPSNOCNCIAXI1BVALID),
    .IFPSNOCNCIAXI1_bid(IFPSNOCNCIAXI1BID),
    .IFPSNOCNCIAXI1_rdata(IFPSNOCNCIAXI1RDATA),
    .IFPSNOCNCIAXI1_rlast(IFPSNOCNCIAXI1RLAST),
    .IFPSNOCNCIAXI1_rready(IFPSNOCNCIAXI1RREADY),
    .IFPSNOCNCIAXI1_rresp(IFPSNOCNCIAXI1RRESP),
    .IFPSNOCNCIAXI1_ruser(IFPSNOCNCIAXI1RUSER),
    .IFPSNOCNCIAXI1_rvalid(IFPSNOCNCIAXI1RVALID),
    .IFPSNOCNCIAXI1_rid(IFPSNOCNCIAXI1RID),
    .IFPSNOCNCIAXI1_wdata(IFPSNOCNCIAXI1WDATA),
    .IFPSNOCNCIAXI1_wlast(IFPSNOCNCIAXI1WLAST),
    .IFPSNOCNCIAXI1_wready(IFPSNOCNCIAXI1WREADY),
    .IFPSNOCNCIAXI1_wstrb(IFPSNOCNCIAXI1WSTRB),
    .IFPSNOCNCIAXI1_wuser(IFPSNOCNCIAXI1WUSER),
    .IFPSNOCNCIAXI1_wvalid(IFPSNOCNCIAXI1WVALID),
    .IFPSNOCNCIAXI1_wid(IFPSNOCNCIAXI1WID),
    .IFPSNOCPCIAXI0_araddr(IFPSNOCPCIAXI0ARADDR),
    .IFPSNOCPCIAXI0_arburst(IFPSNOCPCIAXI0ARBURST),
    .IFPSNOCPCIAXI0_arcache(IFPSNOCPCIAXI0ARCACHE),
    .IFPSNOCPCIAXI0_arlen(IFPSNOCPCIAXI0ARLEN),
    .IFPSNOCPCIAXI0_arlock(IFPSNOCPCIAXI0ARLOCK),
    .IFPSNOCPCIAXI0_arprot(IFPSNOCPCIAXI0ARPROT),
    .IFPSNOCPCIAXI0_arqos(IFPSNOCPCIAXI0ARQOS),
    .IFPSNOCPCIAXI0_arready(IFPSNOCPCIAXI0ARREADY),
    .IFPSNOCPCIAXI0_arsize(IFPSNOCPCIAXI0ARSIZE),
    .IFPSNOCPCIAXI0_aruser({w_IFPSNOCPCIAXI0ARUSER,IFPSNOCPCIAXI0ARUSER}),
    .IFPSNOCPCIAXI0_arvalid(IFPSNOCPCIAXI0ARVALID),
    .IFPSNOCPCIAXI0_arid(IFPSNOCPCIAXI0ARID),
    .IFPSNOCPCIAXI0_awaddr(IFPSNOCPCIAXI0AWADDR),
    .IFPSNOCPCIAXI0_awburst(IFPSNOCPCIAXI0AWBURST),
    .IFPSNOCPCIAXI0_awcache(IFPSNOCPCIAXI0AWCACHE),
    .IFPSNOCPCIAXI0_awlen(IFPSNOCPCIAXI0AWLEN),
    .IFPSNOCPCIAXI0_awlock(IFPSNOCPCIAXI0AWLOCK),
    .IFPSNOCPCIAXI0_awprot(IFPSNOCPCIAXI0AWPROT),
    .IFPSNOCPCIAXI0_awqos(IFPSNOCPCIAXI0AWQOS),
    .IFPSNOCPCIAXI0_awready(IFPSNOCPCIAXI0AWREADY),
    .IFPSNOCPCIAXI0_awsize(IFPSNOCPCIAXI0AWSIZE),
    .IFPSNOCPCIAXI0_awuser({w_IFPSNOCPCIAXI0AWUSER,IFPSNOCPCIAXI0AWUSER}),
    .IFPSNOCPCIAXI0_awvalid(IFPSNOCPCIAXI0AWVALID),
    .IFPSNOCPCIAXI0_awid(IFPSNOCPCIAXI0AWID),
    .IFPSNOCPCIAXI0_bready(IFPSNOCPCIAXI0BREADY),
    .IFPSNOCPCIAXI0_bresp(IFPSNOCPCIAXI0BRESP),
    .IFPSNOCPCIAXI0_buser(IFPSNOCPCIAXI0BUSER),
    .IFPSNOCPCIAXI0_bvalid(IFPSNOCPCIAXI0BVALID),
    .IFPSNOCPCIAXI0_bid(IFPSNOCPCIAXI0BID),
    .IFPSNOCPCIAXI0_rdata(IFPSNOCPCIAXI0RDATA),
    .IFPSNOCPCIAXI0_rlast(IFPSNOCPCIAXI0RLAST),
    .IFPSNOCPCIAXI0_rready(IFPSNOCPCIAXI0RREADY),
    .IFPSNOCPCIAXI0_rresp(IFPSNOCPCIAXI0RRESP),
    .IFPSNOCPCIAXI0_ruser(IFPSNOCPCIAXI0RUSER),
    .IFPSNOCPCIAXI0_rvalid(IFPSNOCPCIAXI0RVALID),
    .IFPSNOCPCIAXI0_rid(IFPSNOCPCIAXI0RID),
    .IFPSNOCPCIAXI0_wdata(IFPSNOCPCIAXI0WDATA),
    .IFPSNOCPCIAXI0_wlast(IFPSNOCPCIAXI0WLAST),
    .IFPSNOCPCIAXI0_wready(IFPSNOCPCIAXI0WREADY),
    .IFPSNOCPCIAXI0_wstrb(IFPSNOCPCIAXI0WSTRB),
    .IFPSNOCPCIAXI0_wuser(IFPSNOCPCIAXI0WUSER),
    .IFPSNOCPCIAXI0_wvalid(IFPSNOCPCIAXI0WVALID),
    .IFPSNOCPCIAXI0_wid(IFPSNOCPCIAXI0WID),
    .IFPSNOCPCIAXI1_araddr(IFPSNOCPCIAXI1ARADDR),
    .IFPSNOCPCIAXI1_arburst(IFPSNOCPCIAXI1ARBURST),
    .IFPSNOCPCIAXI1_arcache(IFPSNOCPCIAXI1ARCACHE),
    .IFPSNOCPCIAXI1_arlen(IFPSNOCPCIAXI1ARLEN),
    .IFPSNOCPCIAXI1_arlock(IFPSNOCPCIAXI1ARLOCK),
    .IFPSNOCPCIAXI1_arprot(IFPSNOCPCIAXI1ARPROT),
    .IFPSNOCPCIAXI1_arqos(IFPSNOCPCIAXI1ARQOS),
    .IFPSNOCPCIAXI1_arready(IFPSNOCPCIAXI1ARREADY),
    .IFPSNOCPCIAXI1_arsize(IFPSNOCPCIAXI1ARSIZE),
    .IFPSNOCPCIAXI1_aruser({w_IFPSNOCPCIAXI1ARUSER,IFPSNOCPCIAXI1ARUSER}),
    .IFPSNOCPCIAXI1_arvalid(IFPSNOCPCIAXI1ARVALID),
    .IFPSNOCPCIAXI1_arid(IFPSNOCPCIAXI1ARID),
    .IFPSNOCPCIAXI1_awaddr(IFPSNOCPCIAXI1AWADDR),
    .IFPSNOCPCIAXI1_awburst(IFPSNOCPCIAXI1AWBURST),
    .IFPSNOCPCIAXI1_awcache(IFPSNOCPCIAXI1AWCACHE),
    .IFPSNOCPCIAXI1_awlen(IFPSNOCPCIAXI1AWLEN),
    .IFPSNOCPCIAXI1_awlock(IFPSNOCPCIAXI1AWLOCK),
    .IFPSNOCPCIAXI1_awprot(IFPSNOCPCIAXI1AWPROT),
    .IFPSNOCPCIAXI1_awqos(IFPSNOCPCIAXI1AWQOS),
    .IFPSNOCPCIAXI1_awready(IFPSNOCPCIAXI1AWREADY),
    .IFPSNOCPCIAXI1_awsize(IFPSNOCPCIAXI1AWSIZE),
    .IFPSNOCPCIAXI1_awuser({w_IFPSNOCPCIAXI1AWUSER,IFPSNOCPCIAXI1AWUSER}),
    .IFPSNOCPCIAXI1_awvalid(IFPSNOCPCIAXI1AWVALID),
    .IFPSNOCPCIAXI1_awid(IFPSNOCPCIAXI1AWID),
    .IFPSNOCPCIAXI1_bready(IFPSNOCPCIAXI1BREADY),
    .IFPSNOCPCIAXI1_bresp(IFPSNOCPCIAXI1BRESP),
    .IFPSNOCPCIAXI1_buser(IFPSNOCPCIAXI1BUSER),
    .IFPSNOCPCIAXI1_bvalid(IFPSNOCPCIAXI1BVALID),
    .IFPSNOCPCIAXI1_bid(IFPSNOCPCIAXI1BID),
    .IFPSNOCPCIAXI1_rdata(IFPSNOCPCIAXI1RDATA),
    .IFPSNOCPCIAXI1_rlast(IFPSNOCPCIAXI1RLAST),
    .IFPSNOCPCIAXI1_rready(IFPSNOCPCIAXI1RREADY),
    .IFPSNOCPCIAXI1_rresp(IFPSNOCPCIAXI1RRESP),
    .IFPSNOCPCIAXI1_ruser(IFPSNOCPCIAXI1RUSER),
    .IFPSNOCPCIAXI1_rvalid(IFPSNOCPCIAXI1RVALID),
    .IFPSNOCPCIAXI1_rid(IFPSNOCPCIAXI1RID),
    .IFPSNOCPCIAXI1_wdata(IFPSNOCPCIAXI1WDATA),
    .IFPSNOCPCIAXI1_wlast(IFPSNOCPCIAXI1WLAST),
    .IFPSNOCPCIAXI1_wready(IFPSNOCPCIAXI1WREADY),
    .IFPSNOCPCIAXI1_wstrb(IFPSNOCPCIAXI1WSTRB),
    .IFPSNOCPCIAXI1_wuser(IFPSNOCPCIAXI1WUSER),
    .IFPSNOCPCIAXI1_wvalid(IFPSNOCPCIAXI1WVALID),
    .IFPSNOCPCIAXI1_wid(IFPSNOCPCIAXI1WID),
    .IFPSNOCRPUAXI0_araddr(IFPSNOCRPUAXI0ARADDR),
    .IFPSNOCRPUAXI0_arburst(IFPSNOCRPUAXI0ARBURST),
    .IFPSNOCRPUAXI0_arcache(IFPSNOCRPUAXI0ARCACHE),
    .IFPSNOCRPUAXI0_arlen(IFPSNOCRPUAXI0ARLEN),
    .IFPSNOCRPUAXI0_arlock(IFPSNOCRPUAXI0ARLOCK),
    .IFPSNOCRPUAXI0_arprot(IFPSNOCRPUAXI0ARPROT),
    .IFPSNOCRPUAXI0_arqos(IFPSNOCRPUAXI0ARQOS),
    .IFPSNOCRPUAXI0_arready(IFPSNOCRPUAXI0ARREADY),
    .IFPSNOCRPUAXI0_arsize(IFPSNOCRPUAXI0ARSIZE),
    .IFPSNOCRPUAXI0_aruser({w_IFPSNOCRPUAXI0ARUSER,IFPSNOCRPUAXI0ARUSER}),
    .IFPSNOCRPUAXI0_arvalid(IFPSNOCRPUAXI0ARVALID),
    .IFPSNOCRPUAXI0_arid(IFPSNOCRPUAXI0ARID),
    .IFPSNOCRPUAXI0_awaddr(IFPSNOCRPUAXI0AWADDR),
    .IFPSNOCRPUAXI0_awburst(IFPSNOCRPUAXI0AWBURST),
    .IFPSNOCRPUAXI0_awcache(IFPSNOCRPUAXI0AWCACHE),
    .IFPSNOCRPUAXI0_awlen(IFPSNOCRPUAXI0AWLEN),
    .IFPSNOCRPUAXI0_awlock(IFPSNOCRPUAXI0AWLOCK),
    .IFPSNOCRPUAXI0_awprot(IFPSNOCRPUAXI0AWPROT),
    .IFPSNOCRPUAXI0_awqos(IFPSNOCRPUAXI0AWQOS),
    .IFPSNOCRPUAXI0_awready(IFPSNOCRPUAXI0AWREADY),
    .IFPSNOCRPUAXI0_awsize(IFPSNOCRPUAXI0AWSIZE),
    .IFPSNOCRPUAXI0_awuser({w_IFPSNOCRPUAXI0AWUSER,IFPSNOCRPUAXI0AWUSER}),
    .IFPSNOCRPUAXI0_awvalid(IFPSNOCRPUAXI0AWVALID),
    .IFPSNOCRPUAXI0_awid(IFPSNOCRPUAXI0AWID),
    .IFPSNOCRPUAXI0_bready(IFPSNOCRPUAXI0BREADY),
    .IFPSNOCRPUAXI0_bresp(IFPSNOCRPUAXI0BRESP),
    .IFPSNOCRPUAXI0_buser(IFPSNOCRPUAXI0BUSER),
    .IFPSNOCRPUAXI0_bvalid(IFPSNOCRPUAXI0BVALID),
    .IFPSNOCRPUAXI0_bid(IFPSNOCRPUAXI0BID),
    .IFPSNOCRPUAXI0_rdata(IFPSNOCRPUAXI0RDATA),
    .IFPSNOCRPUAXI0_rlast(IFPSNOCRPUAXI0RLAST),
    .IFPSNOCRPUAXI0_rready(IFPSNOCRPUAXI0RREADY),
    .IFPSNOCRPUAXI0_rresp(IFPSNOCRPUAXI0RRESP),
    .IFPSNOCRPUAXI0_ruser(IFPSNOCRPUAXI0RUSER),
    .IFPSNOCRPUAXI0_rvalid(IFPSNOCRPUAXI0RVALID),
    .IFPSNOCRPUAXI0_rid(IFPSNOCRPUAXI0RID),
    .IFPSNOCRPUAXI0_wdata(IFPSNOCRPUAXI0WDATA),
    .IFPSNOCRPUAXI0_wlast(IFPSNOCRPUAXI0WLAST),
    .IFPSNOCRPUAXI0_wready(IFPSNOCRPUAXI0WREADY),
    .IFPSNOCRPUAXI0_wstrb(IFPSNOCRPUAXI0WSTRB),
    .IFPSNOCRPUAXI0_wuser(IFPSNOCRPUAXI0WUSER),
    .IFPSNOCRPUAXI0_wvalid(IFPSNOCRPUAXI0WVALID),
    .IFPSNOCRPUAXI0_wid(IFPSNOCRPUAXI0WID),
//    .I_PSNOCCCI0AXIS_araddr(w_psnoccci_axi_0_araddr_in),
//    .I_PSNOCCCI0AXIS_arburst(w_psnoccci_axi_0_arburst_in),
//    .I_PSNOCCCI0AXIS_arcache(w_psnoccci_axi_0_arcache_in),
//    .I_PSNOCCCI0AXIS_arid(w_psnoccci_axi_0_arid_in),
//    .I_PSNOCCCI0AXIS_arlen(w_psnoccci_axi_0_arlen_in),
//    .I_PSNOCCCI0AXIS_arlock(w_psnoccci_axi_0_arlock_in),
//    .I_PSNOCCCI0AXIS_arprot(w_psnoccci_axi_0_arprot_in),
//    .I_PSNOCCCI0AXIS_arqos(w_psnoccci_axi_0_arqos_in),
//    .I_PSNOCCCI0AXIS_arready(w_psnoccci_axi_0_arready_in),
//    .I_PSNOCCCI0AXIS_arsize(w_psnoccci_axi_0_arsize_in),
//    .I_PSNOCCCI0AXIS_aruser(w_psnoccci_axi_0_aruser_in),
//    .I_PSNOCCCI0AXIS_arvalid(w_psnoccci_axi_0_arvalid_in),
//    .I_PSNOCCCI0AXIS_awaddr(w_psnoccci_axi_0_awaddr_in),
//    .I_PSNOCCCI0AXIS_awburst(w_psnoccci_axi_0_awburst_in),
//    .I_PSNOCCCI0AXIS_awcache(w_psnoccci_axi_0_awcache_in),
//    .I_PSNOCCCI0AXIS_awid(w_psnoccci_axi_0_awid_in),
//    .I_PSNOCCCI0AXIS_awlen(w_psnoccci_axi_0_awlen_in),
//    .I_PSNOCCCI0AXIS_awlock(w_psnoccci_axi_0_awlock_in),
//    .I_PSNOCCCI0AXIS_awprot(w_psnoccci_axi_0_awprot_in),
//    .I_PSNOCCCI0AXIS_awqos(w_psnoccci_axi_0_awqos_in),
//    .I_PSNOCCCI0AXIS_awready(w_psnoccci_axi_0_awready_in),
//    .I_PSNOCCCI0AXIS_awsize(w_psnoccci_axi_0_awsize_in),
//    .I_PSNOCCCI0AXIS_awuser(w_psnoccci_axi_0_awuser_in),
//    .I_PSNOCCCI0AXIS_awvalid(w_psnoccci_axi_0_awvalid_in),
//    .I_PSNOCCCI0AXIS_bid(w_psnoccci_axi_0_bid_in),
//    .I_PSNOCCCI0AXIS_bready(w_psnoccci_axi_0_bready_in),
//    .I_PSNOCCCI0AXIS_bresp(w_psnoccci_axi_0_bresp_in),
//    .I_PSNOCCCI0AXIS_buser(w_psnoccci_axi_0_buser_in),
//    .I_PSNOCCCI0AXIS_bvalid(w_psnoccci_axi_0_bvalid_in),
//    .I_PSNOCCCI0AXIS_rdata(w_psnoccci_axi_0_rdata_in),
//    .I_PSNOCCCI0AXIS_rid(w_psnoccci_axi_0_rid_in),
//    .I_PSNOCCCI0AXIS_rlast(w_psnoccci_axi_0_rlast_in),
//    .I_PSNOCCCI0AXIS_rready(w_psnoccci_axi_0_rready_in),
//    .I_PSNOCCCI0AXIS_rresp(w_psnoccci_axi_0_rresp_in),
//    .I_PSNOCCCI0AXIS_ruser(w_psnoccci_axi_0_ruser_in),
//    .I_PSNOCCCI0AXIS_rvalid(w_psnoccci_axi_0_rvalid_in),
//    .I_PSNOCCCI0AXIS_wdata(w_psnoccci_axi_0_wdata_in),
//    .I_PSNOCCCI0AXIS_wlast(w_psnoccci_axi_0_wlast_in),
//    .I_PSNOCCCI0AXIS_wready(w_psnoccci_axi_0_wready_in),
//    .I_PSNOCCCI0AXIS_wstrb(w_psnoccci_axi_0_wstrb_in),
//    .I_PSNOCCCI0AXIS_wuser(w_psnoccci_axi_0_wuser_in),
//    .I_PSNOCCCI0AXIS_wvalid(w_psnoccci_axi_0_wvalid_in),
//    .I_PSNOCCCI1AXIS_araddr(w_psnoccci_axi_1_araddr_in),
//    .I_PSNOCCCI1AXIS_arburst(w_psnoccci_axi_1_arburst_in),
//    .I_PSNOCCCI1AXIS_arcache(w_psnoccci_axi_1_arcache_in),
//    .I_PSNOCCCI1AXIS_arlen(w_psnoccci_axi_1_arlen_in),
//    .I_PSNOCCCI1AXIS_arlock(w_psnoccci_axi_1_arlock_in),
//    .I_PSNOCCCI1AXIS_arprot(w_psnoccci_axi_1_arprot_in),
//    .I_PSNOCCCI1AXIS_arqos(w_psnoccci_axi_1_arqos_in),
//    .I_PSNOCCCI1AXIS_arready(w_psnoccci_axi_1_arready_in),
//    .I_PSNOCCCI1AXIS_arsize(w_psnoccci_axi_1_arsize_in),
//    .I_PSNOCCCI1AXIS_aruser(w_psnoccci_axi_1_aruser_in),
//    .I_PSNOCCCI1AXIS_arvalid(w_psnoccci_axi_1_arvalid_in),
//    .I_PSNOCCCI1AXIS_awaddr(w_psnoccci_axi_1_awaddr_in),
//    .I_PSNOCCCI1AXIS_awburst(w_psnoccci_axi_1_awburst_in),
//    .I_PSNOCCCI1AXIS_awcache(w_psnoccci_axi_1_awcache_in),
//    .I_PSNOCCCI1AXIS_awlen(w_psnoccci_axi_1_awlen_in),
//    .I_PSNOCCCI1AXIS_awlock(w_psnoccci_axi_1_awlock_in),
//    .I_PSNOCCCI1AXIS_awprot(w_psnoccci_axi_1_awprot_in),
//    .I_PSNOCCCI1AXIS_awqos(w_psnoccci_axi_1_awqos_in),
//    .I_PSNOCCCI1AXIS_awready(w_psnoccci_axi_1_awready_in),
//    .I_PSNOCCCI1AXIS_awsize(w_psnoccci_axi_1_awsize_in),
//    .I_PSNOCCCI1AXIS_awuser(w_psnoccci_axi_1_awuser_in),
//    .I_PSNOCCCI1AXIS_awvalid(w_psnoccci_axi_1_awvalid_in),
//    .I_PSNOCCCI1AXIS_bready(w_psnoccci_axi_1_bready_in),
//    .I_PSNOCCCI1AXIS_bresp(w_psnoccci_axi_1_bresp_in),
//    .I_PSNOCCCI1AXIS_buser(w_psnoccci_axi_1_buser_in),
//    .I_PSNOCCCI1AXIS_bvalid(w_psnoccci_axi_1_bvalid_in),
//    .I_PSNOCCCI1AXIS_rdata(w_psnoccci_axi_1_rdata_in),
//    .I_PSNOCCCI1AXIS_rlast(w_psnoccci_axi_1_rlast_in),
//    .I_PSNOCCCI1AXIS_rready(w_psnoccci_axi_1_rready_in),
//    .I_PSNOCCCI1AXIS_rresp(w_psnoccci_axi_1_rresp_in),
//    .I_PSNOCCCI1AXIS_ruser(w_psnoccci_axi_1_ruser_in),
//    .I_PSNOCCCI1AXIS_rvalid(w_psnoccci_axi_1_rvalid_in),
//    .I_PSNOCCCI1AXIS_wdata(w_psnoccci_axi_1_wdata_in),
//    .I_PSNOCCCI1AXIS_wlast(w_psnoccci_axi_1_wlast_in),
//    .I_PSNOCCCI1AXIS_wready(w_psnoccci_axi_1_wready_in),
//    .I_PSNOCCCI1AXIS_wstrb(w_psnoccci_axi_1_wstrb_in),
//    .I_PSNOCCCI1AXIS_wuser(w_psnoccci_axi_1_wuser_in),
//    .I_PSNOCCCI1AXIS_wvalid(w_psnoccci_axi_1_wvalid_in),
//    .I_PSNOCCCI2AXIS_araddr(w_psnoccci_axi_2_araddr_in),
//    .I_PSNOCCCI2AXIS_arburst(w_psnoccci_axi_2_arburst_in),
//    .I_PSNOCCCI2AXIS_arcache(w_psnoccci_axi_2_arcache_in),
//    .I_PSNOCCCI2AXIS_arid(w_psnoccci_axi_2_arid_in),
//    .I_PSNOCCCI2AXIS_arlen(w_psnoccci_axi_2_arlen_in),
//    .I_PSNOCCCI2AXIS_arlock(w_psnoccci_axi_2_arlock_in),
//    .I_PSNOCCCI2AXIS_arprot(w_psnoccci_axi_2_arprot_in),
//    .I_PSNOCCCI2AXIS_arqos(w_psnoccci_axi_2_arqos_in),
//    .I_PSNOCCCI2AXIS_arready(w_psnoccci_axi_2_arready_in),
//    .I_PSNOCCCI2AXIS_arsize(w_psnoccci_axi_2_arsize_in),
//    .I_PSNOCCCI2AXIS_aruser(w_psnoccci_axi_2_aruser_in),
//    .I_PSNOCCCI2AXIS_arvalid(w_psnoccci_axi_2_arvalid_in),
//    .I_PSNOCCCI2AXIS_awaddr(w_psnoccci_axi_2_awaddr_in),
//    .I_PSNOCCCI2AXIS_awburst(w_psnoccci_axi_2_awburst_in),
//    .I_PSNOCCCI2AXIS_awcache(w_psnoccci_axi_2_awcache_in),
//    .I_PSNOCCCI2AXIS_awid(w_psnoccci_axi_2_awid_in),
//    .I_PSNOCCCI2AXIS_awlen(w_psnoccci_axi_2_awlen_in),
//    .I_PSNOCCCI2AXIS_awlock(w_psnoccci_axi_2_awlock_in),
//    .I_PSNOCCCI2AXIS_awprot(w_psnoccci_axi_2_awprot_in),
//    .I_PSNOCCCI2AXIS_awqos(w_psnoccci_axi_2_awqos_in),
//    .I_PSNOCCCI2AXIS_awready(w_psnoccci_axi_2_awready_in),
//    .I_PSNOCCCI2AXIS_awsize(w_psnoccci_axi_2_awsize_in),
//    .I_PSNOCCCI2AXIS_awuser(w_psnoccci_axi_2_awuser_in),
//    .I_PSNOCCCI2AXIS_awvalid(w_psnoccci_axi_2_awvalid_in),
//    .I_PSNOCCCI2AXIS_bid(w_psnoccci_axi_2_bid_in),
//    .I_PSNOCCCI2AXIS_bready(w_psnoccci_axi_2_bready_in),
//    .I_PSNOCCCI2AXIS_bresp(w_psnoccci_axi_2_bresp_in),
//    .I_PSNOCCCI2AXIS_buser(w_psnoccci_axi_2_buser_in),
//    .I_PSNOCCCI2AXIS_bvalid(w_psnoccci_axi_2_bvalid_in),
//    .I_PSNOCCCI2AXIS_rdata(w_psnoccci_axi_2_rdata_in),
//    .I_PSNOCCCI2AXIS_rid(w_psnoccci_axi_2_rid_in),
//    .I_PSNOCCCI2AXIS_rlast(w_psnoccci_axi_2_rlast_in),
//    .I_PSNOCCCI2AXIS_rready(w_psnoccci_axi_2_rready_in),
//    .I_PSNOCCCI2AXIS_rresp(w_psnoccci_axi_2_rresp_in),
//    .I_PSNOCCCI2AXIS_ruser(w_psnoccci_axi_2_ruser_in),
//    .I_PSNOCCCI2AXIS_rvalid(w_psnoccci_axi_2_rvalid_in),
//    .I_PSNOCCCI2AXIS_wdata(w_psnoccci_axi_2_wdata_in),
//    .I_PSNOCCCI2AXIS_wlast(w_psnoccci_axi_2_wlast_in),
//    .I_PSNOCCCI2AXIS_wready(w_psnoccci_axi_2_wready_in),
//    .I_PSNOCCCI2AXIS_wstrb(w_psnoccci_axi_2_wstrb_in),
//    .I_PSNOCCCI2AXIS_wuser(w_psnoccci_axi_2_wuser_in),
//    .I_PSNOCCCI2AXIS_wvalid(w_psnoccci_axi_2_wvalid_in),
//    .I_PSNOCCCI3AXIS_araddr(w_psnoccci_axi_3_araddr_in),
//    .I_PSNOCCCI3AXIS_arburst(w_psnoccci_axi_3_arburst_in),
//    .I_PSNOCCCI3AXIS_arcache(w_psnoccci_axi_3_arcache_in),
//    .I_PSNOCCCI3AXIS_arid(w_psnoccci_axi_3_arid_in),
//    .I_PSNOCCCI3AXIS_arlen(w_psnoccci_axi_3_arlen_in),
//    .I_PSNOCCCI3AXIS_arlock(w_psnoccci_axi_3_arlock_in),
//    .I_PSNOCCCI3AXIS_arprot(w_psnoccci_axi_3_arprot_in),
//    .I_PSNOCCCI3AXIS_arqos(w_psnoccci_axi_3_arqos_in),
//    .I_PSNOCCCI3AXIS_arready(w_psnoccci_axi_3_arready_in),
//    .I_PSNOCCCI3AXIS_arsize(w_psnoccci_axi_3_arsize_in),
//    .I_PSNOCCCI3AXIS_aruser(w_psnoccci_axi_3_aruser_in),
//    .I_PSNOCCCI3AXIS_arvalid(w_psnoccci_axi_3_arvalid_in),
//    .I_PSNOCCCI3AXIS_awaddr(w_psnoccci_axi_3_awaddr_in),
//    .I_PSNOCCCI3AXIS_awburst(w_psnoccci_axi_3_awburst_in),
//    .I_PSNOCCCI3AXIS_awcache(w_psnoccci_axi_3_awcache_in),
//    .I_PSNOCCCI3AXIS_awid(w_psnoccci_axi_3_awid_in),
//    .I_PSNOCCCI3AXIS_awlen(w_psnoccci_axi_3_awlen_in),
//    .I_PSNOCCCI3AXIS_awlock(w_psnoccci_axi_3_awlock_in),
//    .I_PSNOCCCI3AXIS_awprot(w_psnoccci_axi_3_awprot_in),
//    .I_PSNOCCCI3AXIS_awqos(w_psnoccci_axi_3_awqos_in),
//    .I_PSNOCCCI3AXIS_awready(w_psnoccci_axi_3_awready_in),
//    .I_PSNOCCCI3AXIS_awsize(w_psnoccci_axi_3_awsize_in),
//    .I_PSNOCCCI3AXIS_awuser(w_psnoccci_axi_3_awuser_in),
//    .I_PSNOCCCI3AXIS_awvalid(w_psnoccci_axi_3_awvalid_in),
//    .I_PSNOCCCI3AXIS_bid(w_psnoccci_axi_3_bid_in),
//    .I_PSNOCCCI3AXIS_bready(w_psnoccci_axi_3_bready_in),
//    .I_PSNOCCCI3AXIS_bresp(w_psnoccci_axi_3_bresp_in),
//    .I_PSNOCCCI3AXIS_buser(w_psnoccci_axi_3_buser_in),
//    .I_PSNOCCCI3AXIS_bvalid(w_psnoccci_axi_3_bvalid_in),
//    .I_PSNOCCCI3AXIS_rdata(w_psnoccci_axi_3_rdata_in),
//    .I_PSNOCCCI3AXIS_rid(w_psnoccci_axi_3_rid_in),
//    .I_PSNOCCCI3AXIS_rlast(w_psnoccci_axi_3_rlast_in),
//    .I_PSNOCCCI3AXIS_rready(w_psnoccci_axi_3_rready_in),
//    .I_PSNOCCCI3AXIS_rresp(w_psnoccci_axi_3_rresp_in),
//    .I_PSNOCCCI3AXIS_ruser(w_psnoccci_axi_3_ruser_in),
//    .I_PSNOCCCI3AXIS_rvalid(w_psnoccci_axi_3_rvalid_in),
//    .I_PSNOCCCI3AXIS_wdata(w_psnoccci_axi_3_wdata_in),
//    .I_PSNOCCCI3AXIS_wlast(w_psnoccci_axi_3_wlast_in),
//    .I_PSNOCCCI3AXIS_wready(w_psnoccci_axi_3_wready_in),
//    .I_PSNOCCCI3AXIS_wstrb(w_psnoccci_axi_3_wstrb_in),
//    .I_PSNOCCCI3AXIS_wuser(w_psnoccci_axi_3_wuser_in),
//    .I_PSNOCCCI3AXIS_wvalid(w_psnoccci_axi_3_wvalid_in),
//    .I_PSNOCCCIAXIM_araddr(w_psnoccci_axi_araddr),
//    .I_PSNOCCCIAXIM_arburst(w_psnoccci_axi_arburst),
//    .I_PSNOCCCIAXIM_arcache(w_psnoccci_axi_arcache),
//    .I_PSNOCCCIAXIM_arlen(w_psnoccci_axi_arlen),
//    .I_PSNOCCCIAXIM_arlock(w_psnoccci_axi_arlock),
//    .I_PSNOCCCIAXIM_arprot(w_psnoccci_axi_arprot),
//    .I_PSNOCCCIAXIM_arqos(w_psnoccci_axi_arqos),
//    .I_PSNOCCCIAXIM_arready(w_psnoccci_axi_arready),
//    .I_PSNOCCCIAXIM_arsize(w_psnoccci_axi_arsize),
//    .I_PSNOCCCIAXIM_aruser(w_psnoccci_axi_aruser),
//    .I_PSNOCCCIAXIM_arvalid(w_psnoccci_axi_arvalid),
//    .I_PSNOCCCIAXIM_awaddr(w_psnoccci_axi_awaddr),
//    .I_PSNOCCCIAXIM_awburst(w_psnoccci_axi_awburst),
//    .I_PSNOCCCIAXIM_awcache(w_psnoccci_axi_awcache),
//    .I_PSNOCCCIAXIM_awlen(w_psnoccci_axi_awlen),
//    .I_PSNOCCCIAXIM_awlock(w_psnoccci_axi_awlock),
//    .I_PSNOCCCIAXIM_awprot(w_psnoccci_axi_awprot),
//    .I_PSNOCCCIAXIM_awqos(w_psnoccci_axi_awqos),
//    .I_PSNOCCCIAXIM_awready(w_psnoccci_axi_awready),
//    .I_PSNOCCCIAXIM_awsize(w_psnoccci_axi_awsize),
//    .I_PSNOCCCIAXIM_awuser(w_psnoccci_axi_awuser),
//    .I_PSNOCCCIAXIM_awvalid(w_psnoccci_axi_awvalid),
//    .I_PSNOCCCIAXIM_bready(w_psnoccci_axi_bready),
//    .I_PSNOCCCIAXIM_bresp(w_psnoccci_axi_bresp),
//    .I_PSNOCCCIAXIM_buser(w_psnoccci_axi_buser),
//    .I_PSNOCCCIAXIM_bvalid(w_psnoccci_axi_bvalid),
//    .I_PSNOCCCIAXIM_rdata(w_psnoccci_axi_rdata),
//    .I_PSNOCCCIAXIM_rlast(w_psnoccci_axi_rlast),
//    .I_PSNOCCCIAXIM_rready(w_psnoccci_axi_rready),
//    .I_PSNOCCCIAXIM_rresp(w_psnoccci_axi_rresp),
//    .I_PSNOCCCIAXIM_ruser(w_psnoccci_axi_ruser),
//    .I_PSNOCCCIAXIM_rvalid(w_psnoccci_axi_rvalid),
//    .I_PSNOCCCIAXIM_wdata(w_psnoccci_axi_wdata),
//    .I_PSNOCCCIAXIM_wlast(w_psnoccci_axi_wlast),
//    .I_PSNOCCCIAXIM_wready(w_psnoccci_axi_wready),
//    .I_PSNOCCCIAXIM_wstrb(w_psnoccci_axi_wstrb),
//    .I_PSNOCCCIAXIM_wuser(w_psnoccci_axi_wuser),
//    .I_PSNOCCCIAXIM_wvalid(w_psnoccci_axi_wvalid),
//    .I_PSNOCCCIAXIS_araddr(w_reg_psnoccci_axi_araddr),
//    .I_PSNOCCCIAXIS_arburst(w_reg_psnoccci_axi_arburst),
//    .I_PSNOCCCIAXIS_arcache(w_reg_psnoccci_axi_arcache),
//    .I_PSNOCCCIAXIS_arid(w_reg_psnoccci_axi_arid),
//    .I_PSNOCCCIAXIS_arlen(w_reg_psnoccci_axi_arlen),
//    .I_PSNOCCCIAXIS_arlock(w_reg_psnoccci_axi_arlock),
//    .I_PSNOCCCIAXIS_arprot(w_reg_psnoccci_axi_arprot),
//    .I_PSNOCCCIAXIS_arqos(w_reg_psnoccci_axi_arqos),
//    .I_PSNOCCCIAXIS_arready(w_reg_psnoccci_axi_arready),
//    .I_PSNOCCCIAXIS_arsize(w_reg_psnoccci_axi_arsize),
//    .I_PSNOCCCIAXIS_aruser(w_reg_psnoccci_axi_aruser),
//    .I_PSNOCCCIAXIS_arvalid(w_reg_psnoccci_axi_arvalid),
//    .I_PSNOCCCIAXIS_awaddr(w_reg_psnoccci_axi_awaddr),
//    .I_PSNOCCCIAXIS_awburst(w_reg_psnoccci_axi_awburst),
//    .I_PSNOCCCIAXIS_awcache(w_reg_psnoccci_axi_awcache),
//    .I_PSNOCCCIAXIS_awid(w_reg_psnoccci_axi_awid),
//    .I_PSNOCCCIAXIS_awlen(w_reg_psnoccci_axi_awlen),
//    .I_PSNOCCCIAXIS_awlock(w_reg_psnoccci_axi_awlock),
//    .I_PSNOCCCIAXIS_awprot(w_reg_psnoccci_axi_awprot),
//    .I_PSNOCCCIAXIS_awqos(w_reg_psnoccci_axi_awqos),
//    .I_PSNOCCCIAXIS_awready(w_reg_psnoccci_axi_awready),
//    .I_PSNOCCCIAXIS_awsize(w_reg_psnoccci_axi_awsize),
//    .I_PSNOCCCIAXIS_awuser(w_reg_psnoccci_axi_awuser),
//    .I_PSNOCCCIAXIS_awvalid(w_reg_psnoccci_axi_awvalid),
//    .I_PSNOCCCIAXIS_bid(w_reg_psnoccci_axi_bid),
//    .I_PSNOCCCIAXIS_bready(w_reg_psnoccci_axi_bready),
//    .I_PSNOCCCIAXIS_bresp(w_reg_psnoccci_axi_bresp),
//    .I_PSNOCCCIAXIS_buser(w_reg_psnoccci_axi_buser),
//    .I_PSNOCCCIAXIS_bvalid(w_reg_psnoccci_axi_bvalid),
//    .I_PSNOCCCIAXIS_rdata(w_reg_psnoccci_axi_rdata),
//    .I_PSNOCCCIAXIS_rid(w_reg_psnoccci_axi_rid),
//    .I_PSNOCCCIAXIS_rlast(w_reg_psnoccci_axi_rlast),
//    .I_PSNOCCCIAXIS_rready(w_reg_psnoccci_axi_rready),
//    .I_PSNOCCCIAXIS_rresp(w_reg_psnoccci_axi_rresp),
//    .I_PSNOCCCIAXIS_ruser(w_reg_psnoccci_axi_ruser),
//    .I_PSNOCCCIAXIS_rvalid(w_reg_psnoccci_axi_rvalid),
//    .I_PSNOCCCIAXIS_wdata(w_reg_psnoccci_axi_wdata),
//    .I_PSNOCCCIAXIS_wlast(w_reg_psnoccci_axi_wlast),
//    .I_PSNOCCCIAXIS_wready(w_reg_psnoccci_axi_wready),
//    .I_PSNOCCCIAXIS_wstrb(w_reg_psnoccci_axi_wstrb),
//    .I_PSNOCCCIAXIS_wuser(w_reg_psnoccci_axi_wuser),
//    .I_PSNOCCCIAXIS_wvalid(w_reg_psnoccci_axi_wvalid),    
    .MAXIGP0_araddr(MAXIGP0ARADDR),
    .MAXIGP0_arburst(MAXIGP0ARBURST),
    .MAXIGP0_arcache(MAXIGP0ARCACHE),
    .MAXIGP0_arlen(MAXIGP0ARLEN),
    .MAXIGP0_arlock(MAXIGP0ARLOCK),
    .MAXIGP0_arprot(MAXIGP0ARPROT),
    .MAXIGP0_arqos(MAXIGP0ARQOS),
    .MAXIGP0_arready(MAXIGP0ARREADY),
    .MAXIGP0_arsize(MAXIGP0ARSIZE),
    .MAXIGP0_aruser({w_MAXIGP0ARUSER,MAXIGP0ARUSER}),
    .MAXIGP0_arvalid(MAXIGP0ARVALID),
    .MAXIGP0_arid(MAXIGP0ARID),
    .MAXIGP0_awaddr(MAXIGP0AWADDR),
    .MAXIGP0_awburst(MAXIGP0AWBURST),
    .MAXIGP0_awcache(MAXIGP0AWCACHE),
    .MAXIGP0_awlen(MAXIGP0AWLEN),
    .MAXIGP0_awlock(MAXIGP0AWLOCK),
    .MAXIGP0_awprot(MAXIGP0AWPROT),
    .MAXIGP0_awqos(MAXIGP0AWQOS),
    .MAXIGP0_awready(MAXIGP0AWREADY),
    .MAXIGP0_awsize(MAXIGP0AWSIZE),
    .MAXIGP0_awuser({w_MAXIGP0AWUSER,MAXIGP0AWUSER}),
    .MAXIGP0_awvalid(MAXIGP0AWVALID),
    .MAXIGP0_awid(MAXIGP0AWID),
    .MAXIGP0_bready(MAXIGP0BREADY),
    .MAXIGP0_bresp(MAXIGP0BRESP),
    //.MAXIGP0_buser(MAXIGP0BUSER),
    .MAXIGP0_buser(16'h0),
    .MAXIGP0_bvalid(MAXIGP0BVALID),
    .MAXIGP0_bid(MAXIGP0BID),
    .MAXIGP0_rdata(MAXIGP0RDATA),
    .MAXIGP0_rlast(MAXIGP0RLAST),
    .MAXIGP0_rready(MAXIGP0RREADY),
    .MAXIGP0_rresp(MAXIGP0RRESP),
    //.MAXIGP0_ruser(MAXIGP0RUSER),
    .MAXIGP0_ruser(16'h0),
    .MAXIGP0_rvalid(MAXIGP0RVALID),
    .MAXIGP0_rid(MAXIGP0RID),
    .MAXIGP0_wdata(MAXIGP0WDATA),
    .MAXIGP0_wlast(MAXIGP0WLAST),
    .MAXIGP0_wready(MAXIGP0WREADY),
    .MAXIGP0_wstrb(MAXIGP0WSTRB),
    .MAXIGP0_wuser(w_MAXIGP0_wuser),
    .MAXIGP0_wvalid(MAXIGP0WVALID),
    .MAXIGP2_araddr(MAXIGP2ARADDR),
    .MAXIGP2_arburst(MAXIGP2ARBURST),
    .MAXIGP2_arcache(MAXIGP2ARCACHE),
    .MAXIGP2_arlen(MAXIGP2ARLEN),
    .MAXIGP2_arlock(MAXIGP2ARLOCK),
    .MAXIGP2_arprot(MAXIGP2ARPROT),
    .MAXIGP2_arqos(MAXIGP2ARQOS),
    .MAXIGP2_arready(MAXIGP2ARREADY),
    .MAXIGP2_arsize(MAXIGP2ARSIZE),
    .MAXIGP2_aruser({w_MAXIGP2ARUSER,MAXIGP2ARUSER}),
    .MAXIGP2_arvalid(MAXIGP2ARVALID),
    .MAXIGP2_arid(MAXIGP2ARID),
    .MAXIGP2_awaddr(MAXIGP2AWADDR),
    .MAXIGP2_awburst(MAXIGP2AWBURST),
    .MAXIGP2_awcache(MAXIGP2AWCACHE),
    .MAXIGP2_awlen(MAXIGP2AWLEN),
    .MAXIGP2_awlock(MAXIGP2AWLOCK),
    .MAXIGP2_awprot(MAXIGP2AWPROT),
    .MAXIGP2_awqos(MAXIGP2AWQOS),
    .MAXIGP2_awready(MAXIGP2AWREADY),
    .MAXIGP2_awsize(MAXIGP2AWSIZE),
    .MAXIGP2_awuser({w_MAXIGP2AWUSER,MAXIGP2AWUSER}),
    .MAXIGP2_awvalid(MAXIGP2AWVALID),
    .MAXIGP2_awid(MAXIGP2AWID),
    .MAXIGP2_bready(MAXIGP2BREADY),
    .MAXIGP2_bresp(MAXIGP2BRESP),
    //.MAXIGP2_buser(MAXIGP2BUSER),
    .MAXIGP2_buser(16'h0),
    .MAXIGP2_bvalid(MAXIGP2BVALID),
    .MAXIGP2_bid(MAXIGP2BID),
    .MAXIGP2_rdata(MAXIGP2RDATA),
    .MAXIGP2_rlast(MAXIGP2RLAST),
    .MAXIGP2_rready(MAXIGP2RREADY),
    .MAXIGP2_rresp(MAXIGP2RRESP),
    //.MAXIGP2_ruser(MAXIGP2RUSER),
    .MAXIGP2_ruser(16'h0),
    .MAXIGP2_rvalid(MAXIGP2RVALID),
    .MAXIGP2_rid(MAXIGP2RID),
    .MAXIGP2_wdata(MAXIGP2WDATA),
    .MAXIGP2_wlast(MAXIGP2WLAST),
    .MAXIGP2_wready(MAXIGP2WREADY),
    .MAXIGP2_wstrb(MAXIGP2WSTRB),
    .MAXIGP2_wuser(w_MAXIGP2_wuser),
    .MAXIGP2_wvalid(MAXIGP2WVALID),
    .NOC_API_araddr(w_NOC_API_araddr),
    .NOC_API_arburst(w_NOC_API_arburst),
    .NOC_API_arcache(w_NOC_API_arcache),
    .NOC_API_arid(w_NOC_API_arid),
    .NOC_API_arlen(w_NOC_API_arlen),
    .NOC_API_arlock(w_NOC_API_arlock),
    .NOC_API_arprot(w_NOC_API_arprot),
    .NOC_API_arqos(w_NOC_API_arqos),
    .NOC_API_arready(w_NOC_API_arready),
    .NOC_API_arsize(w_NOC_API_arsize),
    .NOC_API_aruser(w_NOC_API_aruser),
    .NOC_API_arvalid(w_NOC_API_arvalid),
    .NOC_API_awaddr(w_NOC_API_awaddr),
    .NOC_API_awburst(w_NOC_API_awburst),
    .NOC_API_awcache(w_NOC_API_awcache),
    .NOC_API_awid(w_NOC_API_awid),
    .NOC_API_awlen(w_NOC_API_awlen),
    .NOC_API_awlock(w_NOC_API_awlock),
    .NOC_API_awprot(w_NOC_API_awprot),
    .NOC_API_awqos(w_NOC_API_awqos),
    .NOC_API_awready(w_NOC_API_awready),
    .NOC_API_awsize(w_NOC_API_awsize),
    .NOC_API_awuser(w_NOC_API_awuser),
    .NOC_API_awvalid(w_NOC_API_awvalid),
    .NOC_API_bid(w_NOC_API_bid),
    .NOC_API_bready(w_NOC_API_bready),
    .NOC_API_bresp(w_NOC_API_bresp),
    .NOC_API_buser(w_NOC_API_buser),
    .NOC_API_bvalid(w_NOC_API_bvalid),
    .NOC_API_rdata(w_NOC_API_rdata),
    .NOC_API_rid(w_NOC_API_rid),
    .NOC_API_rlast(w_NOC_API_rlast),
    .NOC_API_rready(w_NOC_API_rready),
    .NOC_API_rresp(w_NOC_API_rresp),
    .NOC_API_ruser(w_NOC_API_ruser),
    .NOC_API_rvalid(w_NOC_API_rvalid),
    .NOC_API_wdata(w_NOC_API_wdata),
    .NOC_API_wlast(w_NOC_API_wlast),
    .NOC_API_wready(w_NOC_API_wready),
    .NOC_API_wstrb(w_NOC_API_wstrb),
    .NOC_API_wuser(w_NOC_API_wuser),
    .NOC_API_wvalid(w_NOC_API_wvalid),
    .OCM_araddr(w_OCM_araddr),
    .OCM_arburst(w_OCM_arburst),
    .OCM_arcache(w_OCM_arcache),
    .OCM_arlen(w_OCM_arlen),
    .OCM_arlock(w_OCM_arlock),
    .OCM_arprot(w_OCM_arprot),
    .OCM_arqos(w_OCM_arqos),
    .OCM_arready(w_OCM_arready),
    .OCM_arsize(w_OCM_arsize),
    .OCM_aruser(w_OCM_aruser),
    .OCM_arvalid(w_OCM_arvalid),
    .OCM_awaddr(w_OCM_awaddr),
    .OCM_awburst(w_OCM_awburst),
    .OCM_awcache(w_OCM_awcache),
    .OCM_awlen(w_OCM_awlen),
    .OCM_awlock(w_OCM_awlock),
    .OCM_awprot(w_OCM_awprot),
    .OCM_awqos(w_OCM_awqos),
    .OCM_awready(w_OCM_awready),
    .OCM_awsize(w_OCM_awsize),
    .OCM_awuser(w_OCM_awuser),
    .OCM_awvalid(w_OCM_awvalid),
    .OCM_bready(w_OCM_bready),
    .OCM_bresp(w_OCM_bresp),
    .OCM_buser(w_OCM_buser),
    .OCM_bvalid(w_OCM_bvalid),
    .OCM_rdata(w_OCM_rdata),
    .OCM_rlast(w_OCM_rlast),
    .OCM_rready(w_OCM_rready),
    .OCM_rresp(w_OCM_rresp),
    .OCM_ruser(w_OCM_ruser),
    .OCM_rvalid(w_OCM_rvalid),
    .OCM_wdata(w_OCM_wdata),
    .OCM_wlast(w_OCM_wlast),
    .OCM_wready(w_OCM_wready),
    .OCM_wstrb(w_OCM_wstrb),
    .OCM_wuser(w_OCM_wuser),
    .OCM_wvalid(w_OCM_wvalid),
    .REG_MEM1_araddr(w_REG_MEM1_araddr),
    .REG_MEM1_arburst(w_REG_MEM1_arburst),
    .REG_MEM1_arcache(w_REG_MEM1_arcache),
    .REG_MEM1_arlen(w_REG_MEM1_arlen),
    .REG_MEM1_arlock(w_REG_MEM1_arlock),
    .REG_MEM1_arprot(w_REG_MEM1_arprot),
    .REG_MEM1_arqos(w_REG_MEM1_arqos),
    .REG_MEM1_arready(w_REG_MEM1_arready),
    .REG_MEM1_arsize(w_REG_MEM1_arsize),
    .REG_MEM1_aruser(w_REG_MEM1_aruser),
    .REG_MEM1_arvalid(w_REG_MEM1_arvalid),
    .REG_MEM1_awaddr(w_REG_MEM1_awaddr),
    .REG_MEM1_awburst(w_REG_MEM1_awburst),
    .REG_MEM1_awcache(w_REG_MEM1_awcache),
    .REG_MEM1_awlen(w_REG_MEM1_awlen),
    .REG_MEM1_awlock(w_REG_MEM1_awlock),
    .REG_MEM1_awprot(w_REG_MEM1_awprot),
    .REG_MEM1_awqos(w_REG_MEM1_awqos),
    .REG_MEM1_awready(w_REG_MEM1_awready),
    .REG_MEM1_awsize(w_REG_MEM1_awsize),
    .REG_MEM1_awuser(w_REG_MEM1_awuser),
    .REG_MEM1_awvalid(w_REG_MEM1_awvalid),
    .REG_MEM1_bready(w_REG_MEM1_bready),
    .REG_MEM1_bresp(w_REG_MEM1_bresp),
    .REG_MEM1_buser(w_REG_MEM1_buser),
    .REG_MEM1_bvalid(w_REG_MEM1_bvalid),
    .REG_MEM1_rdata(w_REG_MEM1_rdata),
    .REG_MEM1_rlast(w_REG_MEM1_rlast),
    .REG_MEM1_rready(w_REG_MEM1_rready),
    .REG_MEM1_rresp(w_REG_MEM1_rresp),
    .REG_MEM1_ruser(w_REG_MEM1_ruser),
    .REG_MEM1_rvalid(w_REG_MEM1_rvalid),
    .REG_MEM1_wdata(w_REG_MEM1_wdata),
    .REG_MEM1_wlast(w_REG_MEM1_wlast),
    .REG_MEM1_wready(w_REG_MEM1_wready),
    .REG_MEM1_wstrb(w_REG_MEM1_wstrb),
    .REG_MEM1_wuser(w_REG_MEM1_wuser),
    .REG_MEM1_wvalid(w_REG_MEM1_wvalid),
    .REG_MEM2_araddr(w_REG_MEM2_araddr),
    .REG_MEM2_arburst(w_REG_MEM2_arburst),
    .REG_MEM2_arcache(w_REG_MEM2_arcache),
    .REG_MEM2_arlen(w_REG_MEM2_arlen),
    .REG_MEM2_arlock(w_REG_MEM2_arlock),
    .REG_MEM2_arprot(w_REG_MEM2_arprot),
    .REG_MEM2_arqos(w_REG_MEM2_arqos),
    .REG_MEM2_arready(w_REG_MEM2_arready),
    .REG_MEM2_arsize(w_REG_MEM2_arsize),
    .REG_MEM2_aruser(w_REG_MEM2_aruser),
    .REG_MEM2_arvalid(w_REG_MEM2_arvalid),
    .REG_MEM2_awaddr(w_REG_MEM2_awaddr),
    .REG_MEM2_awburst(w_REG_MEM2_awburst),
    .REG_MEM2_awcache(w_REG_MEM2_awcache),
    .REG_MEM2_awlen(w_REG_MEM2_awlen),
    .REG_MEM2_awlock(w_REG_MEM2_awlock),
    .REG_MEM2_awprot(w_REG_MEM2_awprot),
    .REG_MEM2_awqos(w_REG_MEM2_awqos),
    .REG_MEM2_awready(w_REG_MEM2_awready),
    .REG_MEM2_awsize(w_REG_MEM2_awsize),
    .REG_MEM2_awuser(w_REG_MEM2_awuser),
    .REG_MEM2_awvalid(w_REG_MEM2_awvalid),
    .REG_MEM2_bready(w_REG_MEM2_bready),
    .REG_MEM2_bresp(w_REG_MEM2_bresp),
    .REG_MEM2_buser(w_REG_MEM2_buser),
    .REG_MEM2_bvalid(w_REG_MEM2_bvalid),
    .REG_MEM2_rdata(w_REG_MEM2_rdata),
    .REG_MEM2_rlast(w_REG_MEM2_rlast),
    .REG_MEM2_rready(w_REG_MEM2_rready),
    .REG_MEM2_rresp(w_REG_MEM2_rresp),
    .REG_MEM2_ruser(w_REG_MEM2_ruser),
    .REG_MEM2_rvalid(w_REG_MEM2_rvalid),
    .REG_MEM2_wdata(w_REG_MEM2_wdata),
    .REG_MEM2_wlast(w_REG_MEM2_wlast),
    .REG_MEM2_wready(w_REG_MEM2_wready),
    .REG_MEM2_wstrb(w_REG_MEM2_wstrb),
    .REG_MEM2_wuser(w_REG_MEM2_wuser),
    .REG_MEM2_wvalid(w_REG_MEM2_wvalid),
    .REG_MEM3_araddr(w_REG_MEM3_araddr),
    .REG_MEM3_arburst(w_REG_MEM3_arburst),
    .REG_MEM3_arcache(w_REG_MEM3_arcache),
    .REG_MEM3_arlen(w_REG_MEM3_arlen),
    .REG_MEM3_arlock(w_REG_MEM3_arlock),
    .REG_MEM3_arprot(w_REG_MEM3_arprot),
    .REG_MEM3_arqos(w_REG_MEM3_arqos),
    .REG_MEM3_arready(w_REG_MEM3_arready),
    .REG_MEM3_arsize(w_REG_MEM3_arsize),
    .REG_MEM3_aruser(w_REG_MEM3_aruser),
    .REG_MEM3_arvalid(w_REG_MEM3_arvalid),
    .REG_MEM3_awaddr(w_REG_MEM3_awaddr),
    .REG_MEM3_awburst(w_REG_MEM3_awburst),
    .REG_MEM3_awcache(w_REG_MEM3_awcache),
    .REG_MEM3_awlen(w_REG_MEM3_awlen),
    .REG_MEM3_awlock(w_REG_MEM3_awlock),
    .REG_MEM3_awprot(w_REG_MEM3_awprot),
    .REG_MEM3_awqos(w_REG_MEM3_awqos),
    .REG_MEM3_awready(w_REG_MEM3_awready),
    .REG_MEM3_awsize(w_REG_MEM3_awsize),
    .REG_MEM3_awuser(w_REG_MEM3_awuser),
    .REG_MEM3_awvalid(w_REG_MEM3_awvalid),
    .REG_MEM3_bready(w_REG_MEM3_bready),
    .REG_MEM3_bresp(w_REG_MEM3_bresp),
    .REG_MEM3_buser(w_REG_MEM3_buser),
    .REG_MEM3_bvalid(w_REG_MEM3_bvalid),
    .REG_MEM3_rdata(w_REG_MEM3_rdata),
    .REG_MEM3_rlast(w_REG_MEM3_rlast),
    .REG_MEM3_rready(w_REG_MEM3_rready),
    .REG_MEM3_rresp(w_REG_MEM3_rresp),
    .REG_MEM3_ruser(w_REG_MEM3_ruser),
    .REG_MEM3_rvalid(w_REG_MEM3_rvalid),
    .REG_MEM3_wdata(w_REG_MEM3_wdata),
    .REG_MEM3_wlast(w_REG_MEM3_wlast),
    .REG_MEM3_wready(w_REG_MEM3_wready),
    .REG_MEM3_wstrb(w_REG_MEM3_wstrb),
    .REG_MEM3_wuser(w_REG_MEM3_wuser),
    .REG_MEM3_wvalid(w_REG_MEM3_wvalid),
    .REG_MEM4_araddr(w_REG_MEM4_araddr),
    .REG_MEM4_arburst(w_REG_MEM4_arburst),
    .REG_MEM4_arcache(w_REG_MEM4_arcache),
    .REG_MEM4_arlen(w_REG_MEM4_arlen),
    .REG_MEM4_arlock(w_REG_MEM4_arlock),
    .REG_MEM4_arprot(w_REG_MEM4_arprot),
    .REG_MEM4_arqos(w_REG_MEM4_arqos),
    .REG_MEM4_arready(w_REG_MEM4_arready),
    .REG_MEM4_arsize(w_REG_MEM4_arsize),
    .REG_MEM4_aruser(w_REG_MEM4_aruser),
    .REG_MEM4_arvalid(w_REG_MEM4_arvalid),
    .REG_MEM4_awaddr(w_REG_MEM4_awaddr),
    .REG_MEM4_awburst(w_REG_MEM4_awburst),
    .REG_MEM4_awcache(w_REG_MEM4_awcache),
    .REG_MEM4_awlen(w_REG_MEM4_awlen),
    .REG_MEM4_awlock(w_REG_MEM4_awlock),
    .REG_MEM4_awprot(w_REG_MEM4_awprot),
    .REG_MEM4_awqos(w_REG_MEM4_awqos),
    .REG_MEM4_awready(w_REG_MEM4_awready),
    .REG_MEM4_awsize(w_REG_MEM4_awsize),
    .REG_MEM4_awuser(w_REG_MEM4_awuser),
    .REG_MEM4_awvalid(w_REG_MEM4_awvalid),
    .REG_MEM4_bready(w_REG_MEM4_bready),
    .REG_MEM4_bresp(w_REG_MEM4_bresp),
    .REG_MEM4_buser(w_REG_MEM4_buser),
    .REG_MEM4_bvalid(w_REG_MEM4_bvalid),
    .REG_MEM4_rdata(w_REG_MEM4_rdata),
    .REG_MEM4_rlast(w_REG_MEM4_rlast),
    .REG_MEM4_rready(w_REG_MEM4_rready),
    .REG_MEM4_rresp(w_REG_MEM4_rresp),
    .REG_MEM4_ruser(w_REG_MEM4_ruser),
    .REG_MEM4_rvalid(w_REG_MEM4_rvalid),
    .REG_MEM4_wdata(w_REG_MEM4_wdata),
    .REG_MEM4_wlast(w_REG_MEM4_wlast),
    .REG_MEM4_wready(w_REG_MEM4_wready),
    .REG_MEM4_wstrb(w_REG_MEM4_wstrb),
    .REG_MEM4_wuser(w_REG_MEM4_wuser),
    .REG_MEM4_wvalid(w_REG_MEM4_wvalid),
    .REG_MEM5_araddr(w_REG_MEM5_araddr),
    .REG_MEM5_arburst(w_REG_MEM5_arburst),
    .REG_MEM5_arcache(w_REG_MEM5_arcache),
    .REG_MEM5_arlen(w_REG_MEM5_arlen),
    .REG_MEM5_arlock(w_REG_MEM5_arlock),
    .REG_MEM5_arprot(w_REG_MEM5_arprot),
    .REG_MEM5_arqos(w_REG_MEM5_arqos),
    .REG_MEM5_arready(w_REG_MEM5_arready),
    .REG_MEM5_arsize(w_REG_MEM5_arsize),
    .REG_MEM5_aruser(w_REG_MEM5_aruser),
    .REG_MEM5_arvalid(w_REG_MEM5_arvalid),
    .REG_MEM5_awaddr(w_REG_MEM5_awaddr),
    .REG_MEM5_awburst(w_REG_MEM5_awburst),
    .REG_MEM5_awcache(w_REG_MEM5_awcache),
    .REG_MEM5_awlen(w_REG_MEM5_awlen),
    .REG_MEM5_awlock(w_REG_MEM5_awlock),
    .REG_MEM5_awprot(w_REG_MEM5_awprot),
    .REG_MEM5_awqos(w_REG_MEM5_awqos),
    .REG_MEM5_awready(w_REG_MEM5_awready),
    .REG_MEM5_awsize(w_REG_MEM5_awsize),
    .REG_MEM5_awuser(w_REG_MEM5_awuser),
    .REG_MEM5_awvalid(w_REG_MEM5_awvalid),
    .REG_MEM5_bready(w_REG_MEM5_bready),
    .REG_MEM5_bresp(w_REG_MEM5_bresp),
    .REG_MEM5_buser(w_REG_MEM5_buser),
    .REG_MEM5_bvalid(w_REG_MEM5_bvalid),
    .REG_MEM5_rdata(w_REG_MEM5_rdata),
    .REG_MEM5_rlast(w_REG_MEM5_rlast),
    .REG_MEM5_rready(w_REG_MEM5_rready),
    .REG_MEM5_rresp(w_REG_MEM5_rresp),
    .REG_MEM5_ruser(w_REG_MEM5_ruser),
    .REG_MEM5_rvalid(w_REG_MEM5_rvalid),
    .REG_MEM5_wdata(w_REG_MEM5_wdata),
    .REG_MEM5_wlast(w_REG_MEM5_wlast),
    .REG_MEM5_wready(w_REG_MEM5_wready),
    .REG_MEM5_wstrb(w_REG_MEM5_wstrb),
    .REG_MEM5_wuser(w_REG_MEM5_wuser),
    .REG_MEM5_wvalid(w_REG_MEM5_wvalid),
    .REG_MEM6_araddr(w_REG_MEM6_araddr),
    .REG_MEM6_arburst(w_REG_MEM6_arburst),
    .REG_MEM6_arcache(w_REG_MEM6_arcache),
    .REG_MEM6_arlen(w_REG_MEM6_arlen),
    .REG_MEM6_arlock(w_REG_MEM6_arlock),
    .REG_MEM6_arprot(w_REG_MEM6_arprot),
    .REG_MEM6_arqos(w_REG_MEM6_arqos),
    .REG_MEM6_arready(w_REG_MEM6_arready),
    .REG_MEM6_arsize(w_REG_MEM6_arsize),
    .REG_MEM6_aruser(w_REG_MEM6_aruser),
    .REG_MEM6_arvalid(w_REG_MEM6_arvalid),
    .REG_MEM6_awaddr(w_REG_MEM6_awaddr),
    .REG_MEM6_awburst(w_REG_MEM6_awburst),
    .REG_MEM6_awcache(w_REG_MEM6_awcache),
    .REG_MEM6_awlen(w_REG_MEM6_awlen),
    .REG_MEM6_awlock(w_REG_MEM6_awlock),
    .REG_MEM6_awprot(w_REG_MEM6_awprot),
    .REG_MEM6_awqos(w_REG_MEM6_awqos),
    .REG_MEM6_awready(w_REG_MEM6_awready),
    .REG_MEM6_awsize(w_REG_MEM6_awsize),
    .REG_MEM6_awuser(w_REG_MEM6_awuser),
    .REG_MEM6_awvalid(w_REG_MEM6_awvalid),
    .REG_MEM6_bready(w_REG_MEM6_bready),
    .REG_MEM6_bresp(w_REG_MEM6_bresp),
    .REG_MEM6_buser(w_REG_MEM6_buser),
    .REG_MEM6_bvalid(w_REG_MEM6_bvalid),
    .REG_MEM6_rdata(w_REG_MEM6_rdata),
    .REG_MEM6_rlast(w_REG_MEM6_rlast),
    .REG_MEM6_rready(w_REG_MEM6_rready),
    .REG_MEM6_rresp(w_REG_MEM6_rresp),
    .REG_MEM6_ruser(w_REG_MEM6_ruser),
    .REG_MEM6_rvalid(w_REG_MEM6_rvalid),
    .REG_MEM6_wdata(w_REG_MEM6_wdata),
    .REG_MEM6_wlast(w_REG_MEM6_wlast),
    .REG_MEM6_wready(w_REG_MEM6_wready),
    .REG_MEM6_wstrb(w_REG_MEM6_wstrb),
    .REG_MEM6_wuser(w_REG_MEM6_wuser),
    .REG_MEM6_wvalid(w_REG_MEM6_wvalid),
    .REG_MEM7_araddr(w_REG_MEM7_araddr),
    .REG_MEM7_arburst(w_REG_MEM7_arburst),
    .REG_MEM7_arcache(w_REG_MEM7_arcache),
    .REG_MEM7_arlen(w_REG_MEM7_arlen),
    .REG_MEM7_arlock(w_REG_MEM7_arlock),
    .REG_MEM7_arprot(w_REG_MEM7_arprot),
    .REG_MEM7_arqos(w_REG_MEM7_arqos),
    .REG_MEM7_arready(w_REG_MEM7_arready),
    .REG_MEM7_arsize(w_REG_MEM7_arsize),
    .REG_MEM7_aruser(w_REG_MEM7_aruser),
    .REG_MEM7_arvalid(w_REG_MEM7_arvalid),
    .REG_MEM7_awaddr(w_REG_MEM7_awaddr),
    .REG_MEM7_awburst(w_REG_MEM7_awburst),
    .REG_MEM7_awcache(w_REG_MEM7_awcache),
    .REG_MEM7_awlen(w_REG_MEM7_awlen),
    .REG_MEM7_awlock(w_REG_MEM7_awlock),
    .REG_MEM7_awprot(w_REG_MEM7_awprot),
    .REG_MEM7_awqos(w_REG_MEM7_awqos),
    .REG_MEM7_awready(w_REG_MEM7_awready),
    .REG_MEM7_awsize(w_REG_MEM7_awsize),
    .REG_MEM7_awuser(w_REG_MEM7_awuser),
    .REG_MEM7_awvalid(w_REG_MEM7_awvalid),
    .REG_MEM7_bready(w_REG_MEM7_bready),
    .REG_MEM7_bresp(w_REG_MEM7_bresp),
    .REG_MEM7_buser(w_REG_MEM7_buser),
    .REG_MEM7_bvalid(w_REG_MEM7_bvalid),
    .REG_MEM7_rdata(w_REG_MEM7_rdata),
    .REG_MEM7_rlast(w_REG_MEM7_rlast),
    .REG_MEM7_rready(w_REG_MEM7_rready),
    .REG_MEM7_rresp(w_REG_MEM7_rresp),
    .REG_MEM7_ruser(w_REG_MEM7_ruser),
    .REG_MEM7_rvalid(w_REG_MEM7_rvalid),
    .REG_MEM7_wdata(w_REG_MEM7_wdata),
    .REG_MEM7_wlast(w_REG_MEM7_wlast),
    .REG_MEM7_wready(w_REG_MEM7_wready),
    .REG_MEM7_wstrb(w_REG_MEM7_wstrb),
    .REG_MEM7_wuser(w_REG_MEM7_wuser),
    .REG_MEM7_wvalid(w_REG_MEM7_wvalid),
    .REG_MEM8_araddr(w_REG_MEM8_araddr),
    .REG_MEM8_arburst(w_REG_MEM8_arburst),
    .REG_MEM8_arcache(w_REG_MEM8_arcache),
    .REG_MEM8_arlen(w_REG_MEM8_arlen),
    .REG_MEM8_arlock(w_REG_MEM8_arlock),
    .REG_MEM8_arprot(w_REG_MEM8_arprot),
    .REG_MEM8_arqos(w_REG_MEM8_arqos),
    .REG_MEM8_arready(w_REG_MEM8_arready),
    .REG_MEM8_arsize(w_REG_MEM8_arsize),
    .REG_MEM8_aruser(w_REG_MEM8_aruser),
    .REG_MEM8_arvalid(w_REG_MEM8_arvalid),
    .REG_MEM8_awaddr(w_REG_MEM8_awaddr),
    .REG_MEM8_awburst(w_REG_MEM8_awburst),
    .REG_MEM8_awcache(w_REG_MEM8_awcache),
    .REG_MEM8_awlen(w_REG_MEM8_awlen),
    .REG_MEM8_awlock(w_REG_MEM8_awlock),
    .REG_MEM8_awprot(w_REG_MEM8_awprot),
    .REG_MEM8_awqos(w_REG_MEM8_awqos),
    .REG_MEM8_awready(w_REG_MEM8_awready),
    .REG_MEM8_awsize(w_REG_MEM8_awsize),
    .REG_MEM8_awuser(w_REG_MEM8_awuser),
    .REG_MEM8_awvalid(w_REG_MEM8_awvalid),
    .REG_MEM8_bready(w_REG_MEM8_bready),
    .REG_MEM8_bresp(w_REG_MEM8_bresp),
    .REG_MEM8_buser(w_REG_MEM8_buser),
    .REG_MEM8_bvalid(w_REG_MEM8_bvalid),
    .REG_MEM8_rdata(w_REG_MEM8_rdata),
    .REG_MEM8_rlast(w_REG_MEM8_rlast),
    .REG_MEM8_rready(w_REG_MEM8_rready),
    .REG_MEM8_rresp(w_REG_MEM8_rresp),
    .REG_MEM8_ruser(w_REG_MEM8_ruser),
    .REG_MEM8_rvalid(w_REG_MEM8_rvalid),
    .REG_MEM8_wdata(w_REG_MEM8_wdata),
    .REG_MEM8_wlast(w_REG_MEM8_wlast),
    .REG_MEM8_wready(w_REG_MEM8_wready),
    .REG_MEM8_wstrb(w_REG_MEM8_wstrb),
    .REG_MEM8_wuser(w_REG_MEM8_wuser),
    .REG_MEM8_wvalid(w_REG_MEM8_wvalid),
    .REG_MEM9_araddr(w_REG_MEM9_araddr),
    .REG_MEM9_arburst(w_REG_MEM9_arburst),
    .REG_MEM9_arcache(w_REG_MEM9_arcache),
    .REG_MEM9_arlen(w_REG_MEM9_arlen),
    .REG_MEM9_arlock(w_REG_MEM9_arlock),
    .REG_MEM9_arprot(w_REG_MEM9_arprot),
    .REG_MEM9_arqos(w_REG_MEM9_arqos),
    .REG_MEM9_arready(w_REG_MEM9_arready),
    .REG_MEM9_arsize(w_REG_MEM9_arsize),
    .REG_MEM9_aruser(w_REG_MEM9_aruser),
    .REG_MEM9_arvalid(w_REG_MEM9_arvalid),
    .REG_MEM9_awaddr(w_REG_MEM9_awaddr),
    .REG_MEM9_awburst(w_REG_MEM9_awburst),
    .REG_MEM9_awcache(w_REG_MEM9_awcache),
    .REG_MEM9_awlen(w_REG_MEM9_awlen),
    .REG_MEM9_awlock(w_REG_MEM9_awlock),
    .REG_MEM9_awprot(w_REG_MEM9_awprot),
    .REG_MEM9_awqos(w_REG_MEM9_awqos),
    .REG_MEM9_awready(w_REG_MEM9_awready),
    .REG_MEM9_awsize(w_REG_MEM9_awsize),
    .REG_MEM9_awuser(w_REG_MEM9_awuser),
    .REG_MEM9_awvalid(w_REG_MEM9_awvalid),
    .REG_MEM9_bready(w_REG_MEM9_bready),
    .REG_MEM9_bresp(w_REG_MEM9_bresp),
    .REG_MEM9_buser(w_REG_MEM9_buser),
    .REG_MEM9_bvalid(w_REG_MEM9_bvalid),
    .REG_MEM9_rdata(w_REG_MEM9_rdata),
    .REG_MEM9_rlast(w_REG_MEM9_rlast),
    .REG_MEM9_rready(w_REG_MEM9_rready),
    .REG_MEM9_rresp(w_REG_MEM9_rresp),
    .REG_MEM9_ruser(w_REG_MEM9_ruser),
    .REG_MEM9_rvalid(w_REG_MEM9_rvalid),
    .REG_MEM9_wdata(w_REG_MEM9_wdata),
    .REG_MEM9_wlast(w_REG_MEM9_wlast),
    .REG_MEM9_wready(w_REG_MEM9_wready),
    .REG_MEM9_wstrb(w_REG_MEM9_wstrb),
    .REG_MEM9_wuser(w_REG_MEM9_wuser),
    .REG_MEM9_wvalid(w_REG_MEM9_wvalid),
    .REG_MEM10_araddr(w_REG_MEM10_araddr),
    .REG_MEM10_arburst(w_REG_MEM10_arburst),
    .REG_MEM10_arcache(w_REG_MEM10_arcache),
    .REG_MEM10_arlen(w_REG_MEM10_arlen),
    .REG_MEM10_arlock(w_REG_MEM10_arlock),
    .REG_MEM10_arprot(w_REG_MEM10_arprot),
    .REG_MEM10_arqos(w_REG_MEM10_arqos),
    .REG_MEM10_arready(w_REG_MEM10_arready),
    .REG_MEM10_arsize(w_REG_MEM10_arsize),
    .REG_MEM10_aruser(w_REG_MEM10_aruser),
    .REG_MEM10_arvalid(w_REG_MEM10_arvalid),
    .REG_MEM10_awaddr(w_REG_MEM10_awaddr),
    .REG_MEM10_awburst(w_REG_MEM10_awburst),
    .REG_MEM10_awcache(w_REG_MEM10_awcache),
    .REG_MEM10_awlen(w_REG_MEM10_awlen),
    .REG_MEM10_awlock(w_REG_MEM10_awlock),
    .REG_MEM10_awprot(w_REG_MEM10_awprot),
    .REG_MEM10_awqos(w_REG_MEM10_awqos),
    .REG_MEM10_awready(w_REG_MEM10_awready),
    .REG_MEM10_awsize(w_REG_MEM10_awsize),
    .REG_MEM10_awuser(w_REG_MEM10_awuser),
    .REG_MEM10_awvalid(w_REG_MEM10_awvalid),
    .REG_MEM10_bready(w_REG_MEM10_bready),
    .REG_MEM10_bresp(w_REG_MEM10_bresp),
    .REG_MEM10_buser(w_REG_MEM10_buser),
    .REG_MEM10_bvalid(w_REG_MEM10_bvalid),
    .REG_MEM10_rdata(w_REG_MEM10_rdata),
    .REG_MEM10_rlast(w_REG_MEM10_rlast),
    .REG_MEM10_rready(w_REG_MEM10_rready),
    .REG_MEM10_rresp(w_REG_MEM10_rresp),
    .REG_MEM10_ruser(w_REG_MEM10_ruser),
    .REG_MEM10_rvalid(w_REG_MEM10_rvalid),
    .REG_MEM10_wdata(w_REG_MEM10_wdata),
    .REG_MEM10_wlast(w_REG_MEM10_wlast),
    .REG_MEM10_wready(w_REG_MEM10_wready),
    .REG_MEM10_wstrb(w_REG_MEM10_wstrb),
    .REG_MEM10_wuser(w_REG_MEM10_wuser),
    .REG_MEM10_wvalid(w_REG_MEM10_wvalid),
    .REG_MEM11_araddr(w_REG_MEM11_araddr),
    .REG_MEM11_arburst(w_REG_MEM11_arburst),
    .REG_MEM11_arcache(w_REG_MEM11_arcache),
    .REG_MEM11_arlen(w_REG_MEM11_arlen),
    .REG_MEM11_arlock(w_REG_MEM11_arlock),
    .REG_MEM11_arprot(w_REG_MEM11_arprot),
    .REG_MEM11_arqos(w_REG_MEM11_arqos),
    .REG_MEM11_arready(w_REG_MEM11_arready),
    .REG_MEM11_arsize(w_REG_MEM11_arsize),
    .REG_MEM11_aruser(w_REG_MEM11_aruser),
    .REG_MEM11_arvalid(w_REG_MEM11_arvalid),
    .REG_MEM11_awaddr(w_REG_MEM11_awaddr),
    .REG_MEM11_awburst(w_REG_MEM11_awburst),
    .REG_MEM11_awcache(w_REG_MEM11_awcache),
    .REG_MEM11_awlen(w_REG_MEM11_awlen),
    .REG_MEM11_awlock(w_REG_MEM11_awlock),
    .REG_MEM11_awprot(w_REG_MEM11_awprot),
    .REG_MEM11_awqos(w_REG_MEM11_awqos),
    .REG_MEM11_awready(w_REG_MEM11_awready),
    .REG_MEM11_awsize(w_REG_MEM11_awsize),
    .REG_MEM11_awuser(w_REG_MEM11_awuser),
    .REG_MEM11_awvalid(w_REG_MEM11_awvalid),
    .REG_MEM11_bready(w_REG_MEM11_bready),
    .REG_MEM11_bresp(w_REG_MEM11_bresp),
    .REG_MEM11_buser(w_REG_MEM11_buser),
    .REG_MEM11_bvalid(w_REG_MEM11_bvalid),
    .REG_MEM11_rdata(w_REG_MEM11_rdata),
    .REG_MEM11_rlast(w_REG_MEM11_rlast),
    .REG_MEM11_rready(w_REG_MEM11_rready),
    .REG_MEM11_rresp(w_REG_MEM11_rresp),
    .REG_MEM11_ruser(w_REG_MEM11_ruser),
    .REG_MEM11_rvalid(w_REG_MEM11_rvalid),
    .REG_MEM11_wdata(w_REG_MEM11_wdata),
    .REG_MEM11_wlast(w_REG_MEM11_wlast),
    .REG_MEM11_wready(w_REG_MEM11_wready),
    .REG_MEM11_wstrb(w_REG_MEM11_wstrb),
    .REG_MEM11_wuser(w_REG_MEM11_wuser),
    .REG_MEM11_wvalid(w_REG_MEM11_wvalid),
    .REG_MEM12_araddr(w_REG_MEM12_araddr),
    .REG_MEM12_arburst(w_REG_MEM12_arburst),
    .REG_MEM12_arcache(w_REG_MEM12_arcache),
    .REG_MEM12_arlen(w_REG_MEM12_arlen),
    .REG_MEM12_arlock(w_REG_MEM12_arlock),
    .REG_MEM12_arprot(w_REG_MEM12_arprot),
    .REG_MEM12_arqos(w_REG_MEM12_arqos),
    .REG_MEM12_arready(w_REG_MEM12_arready),
    .REG_MEM12_arsize(w_REG_MEM12_arsize),
    .REG_MEM12_aruser(w_REG_MEM12_aruser),
    .REG_MEM12_arvalid(w_REG_MEM12_arvalid),
    .REG_MEM12_awaddr(w_REG_MEM12_awaddr),
    .REG_MEM12_awburst(w_REG_MEM12_awburst),
    .REG_MEM12_awcache(w_REG_MEM12_awcache),
    .REG_MEM12_awlen(w_REG_MEM12_awlen),
    .REG_MEM12_awlock(w_REG_MEM12_awlock),
    .REG_MEM12_awprot(w_REG_MEM12_awprot),
    .REG_MEM12_awqos(w_REG_MEM12_awqos),
    .REG_MEM12_awready(w_REG_MEM12_awready),
    .REG_MEM12_awsize(w_REG_MEM12_awsize),
    .REG_MEM12_awuser(w_REG_MEM12_awuser),
    .REG_MEM12_awvalid(w_REG_MEM12_awvalid),
    .REG_MEM12_bready(w_REG_MEM12_bready),
    .REG_MEM12_bresp(w_REG_MEM12_bresp),
    .REG_MEM12_buser(w_REG_MEM12_buser),
    .REG_MEM12_bvalid(w_REG_MEM12_bvalid),
    .REG_MEM12_rdata(w_REG_MEM12_rdata),
    .REG_MEM12_rlast(w_REG_MEM12_rlast),
    .REG_MEM12_rready(w_REG_MEM12_rready),
    .REG_MEM12_rresp(w_REG_MEM12_rresp),
    .REG_MEM12_ruser(w_REG_MEM12_ruser),
    .REG_MEM12_rvalid(w_REG_MEM12_rvalid),
    .REG_MEM12_wdata(w_REG_MEM12_wdata),
    .REG_MEM12_wlast(w_REG_MEM12_wlast),
    .REG_MEM12_wready(w_REG_MEM12_wready),
    .REG_MEM12_wstrb(w_REG_MEM12_wstrb),
    .REG_MEM12_wuser(w_REG_MEM12_wuser),
    .REG_MEM12_wvalid(w_REG_MEM12_wvalid),
    .R5_API_araddr(w_R5_API_araddr),
    .R5_API_arburst(w_R5_API_arburst),
    .R5_API_arcache(w_R5_API_arcache),
    .R5_API_arid(w_R5_API_arid),
    .R5_API_arlen(w_R5_API_arlen),
    .R5_API_arlock(w_R5_API_arlock),
    .R5_API_arprot(w_R5_API_arprot),
    .R5_API_arqos(w_R5_API_arqos),
    .R5_API_arready(w_R5_API_arready),
    .R5_API_arsize(w_R5_API_arsize),
    .R5_API_aruser(w_R5_API_aruser),
    .R5_API_arvalid(w_R5_API_arvalid),
    .R5_API_awaddr(w_R5_API_awaddr),
    .R5_API_awburst(w_R5_API_awburst),
    .R5_API_awcache(w_R5_API_awcache),
    .R5_API_awid(w_R5_API_awid),
    .R5_API_awlen(w_R5_API_awlen),
    .R5_API_awlock(w_R5_API_awlock),
    .R5_API_awprot(w_R5_API_awprot),
    .R5_API_awqos(w_R5_API_awqos),
    .R5_API_awready(w_R5_API_awready),
    .R5_API_awsize(w_R5_API_awsize),
    .R5_API_awuser(w_R5_API_awuser),
    .R5_API_awvalid(w_R5_API_awvalid),
    .R5_API_bid(w_R5_API_bid),
    .R5_API_bready(w_R5_API_bready),
    .R5_API_bresp(w_R5_API_bresp),
    .R5_API_buser(w_R5_API_buser),
    .R5_API_bvalid(w_R5_API_bvalid),
    .R5_API_rdata(w_R5_API_rdata),
    .R5_API_rid(w_R5_API_rid),
    .R5_API_rlast(w_R5_API_rlast),
    .R5_API_rready(w_R5_API_rready),
    .R5_API_rresp(w_R5_API_rresp),
    .R5_API_ruser(w_R5_API_ruser),
    .R5_API_rvalid(w_R5_API_rvalid),
    .R5_API_wdata(w_R5_API_wdata),
    .R5_API_wlast(w_R5_API_wlast),
    .R5_API_wready(w_R5_API_wready),
    .R5_API_wstrb(w_R5_API_wstrb),
    .R5_API_wuser(w_R5_API_wuser),
    .R5_API_wvalid(w_R5_API_wvalid),
    .SACEFPD_araddr(SACEFPDARADDR),
    .SACEFPD_arburst(SACEFPDARBURST),
    .SACEFPD_arcache(SACEFPDARCACHE),
    .SACEFPD_arid(SACEFPDARID),
    .SACEFPD_arlen(SACEFPDARLEN),
    .SACEFPD_arlock(SACEFPDARLOCK),
    .SACEFPD_arprot(SACEFPDARPROT),
    .SACEFPD_arqos(SACEFPDARQOS),
    .SACEFPD_arready(SACEFPDARREADY),
    .SACEFPD_arsize(SACEFPDARSIZE),
    .SACEFPD_aruser(SACEFPDARUSER),
    .SACEFPD_arvalid(SACEFPDARVALID),
    .SACEFPD_awaddr(SACEFPDAWADDR),
    .SACEFPD_awburst(SACEFPDAWBURST),
    .SACEFPD_awcache(SACEFPDAWCACHE),
    .SACEFPD_awid(SACEFPDAWID),
    .SACEFPD_awlen(SACEFPDAWLEN),
    .SACEFPD_awlock(SACEFPDAWLOCK),
    .SACEFPD_awprot(SACEFPDAWPROT),
    .SACEFPD_awqos(SACEFPDAWQOS),
    .SACEFPD_awready(SACEFPDAWREADY),
    .SACEFPD_awsize(SACEFPDAWSIZE),
    .SACEFPD_awuser(SACEFPDAWUSER),
    .SACEFPD_awvalid(SACEFPDAWVALID),
    .SACEFPD_bid(SACEFPDBID),
    .SACEFPD_bready(SACEFPDBREADY),
    .SACEFPD_bresp(SACEFPDBRESP),
    .SACEFPD_buser(SACEFPDBUSER),
    .SACEFPD_bvalid(SACEFPDBVALID),
    .SACEFPD_rdata(SACEFPDRDATA),
    .SACEFPD_rid(SACEFPDRID),
    .SACEFPD_rlast(SACEFPDRLAST),
    .SACEFPD_rready(SACEFPDRREADY),
    .SACEFPD_rresp(SACEFPDRRESP[1:0]),
    .SACEFPD_ruser({w_SACEFPD_ruser,SACEFPDRUSER}),
    .SACEFPD_rvalid(SACEFPDRVALID),
    .SACEFPD_wdata(SACEFPDWDATA),
    .SACEFPD_wlast(SACEFPDWLAST),
    .SACEFPD_wready(SACEFPDWREADY),
    .SACEFPD_wstrb(SACEFPDWSTRB),
    .SACEFPD_wuser({15'h0,SACEFPDWUSER}),
    .SACEFPD_wvalid(SACEFPDWVALID),
    .SAXIACP_araddr(SAXIACPARADDR),
    //.SAXIACP_arburst(SAXIACPARBURST),
    .SAXIACP_arburst(2'h1),
    .SAXIACP_arcache(SAXIACPARCACHE),
    .SAXIACP_arid(SAXIACPARID),
    .SAXIACP_arlen(SAXIACPARLEN),
//    .SAXIACP_arlock(SAXIACPARLOCK),
    .SAXIACP_arlock(1'b0),
    .SAXIACP_arprot(SAXIACPARPROT),
//    .SAXIACP_arqos(SAXIACPARQOS),
    .SAXIACP_arqos(4'h0),
    .SAXIACP_arready(SAXIACPARREADY),
    .SAXIACP_arsize(3'h4),
//    .SAXIACP_arsize(SAXIACPARSIZE),
    .SAXIACP_aruser(SAXIACPARUSER),
//    .SAXIACP_aruser('h0),
    .SAXIACP_arvalid(SAXIACPARVALID),
    .SAXIACP_awaddr(SAXIACPAWADDR),
//    .SAXIACP_awburst(SAXIACPAWBURST),
    .SAXIACP_awburst(2'h1),
    .SAXIACP_awcache(SAXIACPAWCACHE),
    .SAXIACP_awid(SAXIACPAWID),
    .SAXIACP_awlen(SAXIACPAWLEN),
//    .SAXIACP_awlock(SAXIACPAWLOCK),
    .SAXIACP_awlock(1'b0),
    .SAXIACP_awprot(SAXIACPAWPROT),
//    .SAXIACP_awqos(SAXIACPAWQOS),
    .SAXIACP_awqos(4'h0),
    .SAXIACP_awready(SAXIACPAWREADY),
    .SAXIACP_awsize(3'h4),
//    .SAXIACP_awsize(SAXIACPAWSIZE),
    .SAXIACP_awuser(SAXIACPAWUSER),
//    .SAXIACP_awuser('h0),
    .SAXIACP_awvalid(SAXIACPAWVALID),
    .SAXIACP_bid(SAXIACPBID),
    .SAXIACP_bready(SAXIACPBREADY),
    .SAXIACP_bresp(SAXIACPBRESP),
    .SAXIACP_buser(w_SAXIACP_buser),
    .SAXIACP_bvalid(SAXIACPBVALID),
    .SAXIACP_rdata(SAXIACPRDATA),
    .SAXIACP_rid(SAXIACPRID),
    .SAXIACP_rlast(SAXIACPRLAST),
    .SAXIACP_rready(SAXIACPRREADY),
    .SAXIACP_rresp(SAXIACPRRESP),
    .SAXIACP_ruser(w_SAXIACP_ruser),
    .SAXIACP_rvalid(SAXIACPRVALID),
    .SAXIACP_wdata(SAXIACPWDATA),
    .SAXIACP_wlast(SAXIACPWLAST),
    .SAXIACP_wready(SAXIACPWREADY),
    .SAXIACP_wstrb(SAXIACPWSTRB),
//    .SAXIACP_wuser(SAXIACPWUSER),
    .SAXIACP_wuser(16'h0),
    .SAXIACP_wvalid(SAXIACPWVALID),
    .SAXIGP0_araddr(SAXIGP0ARADDR),
    .SAXIGP0_arburst(SAXIGP0ARBURST),
    .SAXIGP0_arcache(SAXIGP0ARCACHE),
    .SAXIGP0_arid(SAXIGP0ARID),
    .SAXIGP0_arlen(SAXIGP0ARLEN),
    .SAXIGP0_arlock(SAXIGP0ARLOCK),
    .SAXIGP0_arprot(SAXIGP0ARPROT),
    .SAXIGP0_arqos(SAXIGP0ARQOS),
    .SAXIGP0_arready(SAXIGP0ARREADY),
    .SAXIGP0_arsize(SAXIGP0ARSIZE),
    .SAXIGP0_aruser(SAXIGP0ARUSER),
    .SAXIGP0_arvalid(SAXIGP0ARVALID),
    .SAXIGP0_awaddr(SAXIGP0AWADDR),
    .SAXIGP0_awburst(SAXIGP0AWBURST),
    .SAXIGP0_awcache(SAXIGP0AWCACHE),
    .SAXIGP0_awid(SAXIGP0AWID),
    .SAXIGP0_awlen(SAXIGP0AWLEN),
    .SAXIGP0_awlock(SAXIGP0AWLOCK),
    .SAXIGP0_awprot(SAXIGP0AWPROT),
    .SAXIGP0_awqos(SAXIGP0AWQOS),
    .SAXIGP0_awready(SAXIGP0AWREADY),
    .SAXIGP0_awsize(SAXIGP0AWSIZE),
    .SAXIGP0_awuser(SAXIGP0AWUSER),
    .SAXIGP0_awvalid(SAXIGP0AWVALID),
    .SAXIGP0_bid(SAXIGP0BID),
    .SAXIGP0_bready(SAXIGP0BREADY),
    .SAXIGP0_bresp(SAXIGP0BRESP),
    .SAXIGP0_buser(w_SAXIGP0_buser),
    .SAXIGP0_bvalid(SAXIGP0BVALID),
    .SAXIGP0_rdata(SAXIGP0RDATA),
    .SAXIGP0_rid(SAXIGP0RID),
    .SAXIGP0_rlast(SAXIGP0RLAST),
    .SAXIGP0_rready(SAXIGP0RREADY),
    .SAXIGP0_rresp(SAXIGP0RRESP),
    .SAXIGP0_ruser(w_SAXIGP0_ruser),
    .SAXIGP0_rvalid(SAXIGP0RVALID),
    .SAXIGP0_wdata(SAXIGP0WDATA),
    .SAXIGP0_wlast(SAXIGP0WLAST),
    .SAXIGP0_wready(SAXIGP0WREADY),
    .SAXIGP0_wstrb(SAXIGP0WSTRB),
    .SAXIGP0_wuser(16'h0),
    .SAXIGP0_wvalid(SAXIGP0WVALID),
    .SAXIGP2_araddr(SAXIGP2ARADDR),
    .SAXIGP2_arburst(SAXIGP2ARBURST),
    .SAXIGP2_arcache(SAXIGP2ARCACHE),
    .SAXIGP2_arid(SAXIGP2ARID),
    .SAXIGP2_arlen(SAXIGP2ARLEN),
    .SAXIGP2_arlock(SAXIGP2ARLOCK),
    .SAXIGP2_arprot(SAXIGP2ARPROT),
    .SAXIGP2_arqos(SAXIGP2ARQOS),
    .SAXIGP2_arready(SAXIGP2ARREADY),
    .SAXIGP2_arsize(SAXIGP2ARSIZE),
    .SAXIGP2_aruser(SAXIGP2ARUSER),
    .SAXIGP2_arvalid(SAXIGP2ARVALID),
    .SAXIGP2_awaddr(SAXIGP2AWADDR),
    .SAXIGP2_awburst(SAXIGP2AWBURST),
    .SAXIGP2_awcache(SAXIGP2AWCACHE),
    .SAXIGP2_awid(SAXIGP2AWID),
    .SAXIGP2_awlen(SAXIGP2AWLEN),
    .SAXIGP2_awlock(SAXIGP2AWLOCK),
    .SAXIGP2_awprot(SAXIGP2AWPROT),
    .SAXIGP2_awqos(SAXIGP2AWQOS),
    .SAXIGP2_awready(SAXIGP2AWREADY),
    .SAXIGP2_awsize(SAXIGP2AWSIZE),
    .SAXIGP2_awuser(SAXIGP2AWUSER),
    .SAXIGP2_awvalid(SAXIGP2AWVALID),
    .SAXIGP2_bid(SAXIGP2BID),
    .SAXIGP2_bready(SAXIGP2BREADY),
    .SAXIGP2_bresp(SAXIGP2BRESP),
    .SAXIGP2_buser(w_SAXIGP2_buser),
    .SAXIGP2_bvalid(SAXIGP2BVALID),
    .SAXIGP2_rdata(SAXIGP2RDATA),
    .SAXIGP2_rid(SAXIGP2RID),
    .SAXIGP2_rlast(SAXIGP2RLAST),
    .SAXIGP2_rready(SAXIGP2RREADY),
    .SAXIGP2_rresp(SAXIGP2RRESP),
    .SAXIGP2_ruser(w_SAXIGP2_ruser),
    .SAXIGP2_rvalid(SAXIGP2RVALID),
    .SAXIGP2_wdata(SAXIGP2WDATA),
    .SAXIGP2_wlast(SAXIGP2WLAST),
    .SAXIGP2_wready(SAXIGP2WREADY),
    .SAXIGP2_wstrb(SAXIGP2WSTRB),
    .SAXIGP2_wuser(16'h0),
    .SAXIGP2_wvalid(SAXIGP2WVALID),
    .SAXIGP4_araddr(SAXIGP4ARADDR),
    .SAXIGP4_arburst(SAXIGP4ARBURST),
    .SAXIGP4_arcache(SAXIGP4ARCACHE),
    .SAXIGP4_arid(SAXIGP4ARID),
    .SAXIGP4_arlen(SAXIGP4ARLEN),
    .SAXIGP4_arlock(SAXIGP4ARLOCK),
    .SAXIGP4_arprot(SAXIGP4ARPROT),
    .SAXIGP4_arqos(SAXIGP4ARQOS),
    .SAXIGP4_arready(SAXIGP4ARREADY),
    .SAXIGP4_arsize(SAXIGP4ARSIZE),
    .SAXIGP4_aruser(SAXIGP4ARUSER),
    .SAXIGP4_arvalid(SAXIGP4ARVALID),
    .SAXIGP4_awaddr(SAXIGP4AWADDR),
    .SAXIGP4_awburst(SAXIGP4AWBURST),
    .SAXIGP4_awcache(SAXIGP4AWCACHE),
    .SAXIGP4_awid(SAXIGP4AWID),
    .SAXIGP4_awlen(SAXIGP4AWLEN),
    .SAXIGP4_awlock(SAXIGP4AWLOCK),
    .SAXIGP4_awprot(SAXIGP4AWPROT),
    .SAXIGP4_awqos(SAXIGP4AWQOS),
    .SAXIGP4_awready(SAXIGP4AWREADY),
    .SAXIGP4_awsize(SAXIGP4AWSIZE),
    .SAXIGP4_awuser(SAXIGP4AWUSER),
    .SAXIGP4_awvalid(SAXIGP4AWVALID),
    .SAXIGP4_bid(SAXIGP4BID),
    .SAXIGP4_bready(SAXIGP4BREADY),
    .SAXIGP4_bresp(SAXIGP4BRESP),
    .SAXIGP4_buser(w_SAXIGP4_buser),
    .SAXIGP4_bvalid(SAXIGP4BVALID),
    .SAXIGP4_rdata(SAXIGP4RDATA),
    .SAXIGP4_rid(SAXIGP4RID),
    .SAXIGP4_rlast(SAXIGP4RLAST),
    .SAXIGP4_rready(SAXIGP4RREADY),
    .SAXIGP4_rresp(SAXIGP4RRESP),
    .SAXIGP4_ruser(w_SAXIGP4_ruser),
    .SAXIGP4_rvalid(SAXIGP4RVALID),
    .SAXIGP4_wdata(SAXIGP4WDATA),
    .SAXIGP4_wlast(SAXIGP4WLAST),
    .SAXIGP4_wready(SAXIGP4WREADY),
    .SAXIGP4_wstrb(SAXIGP4WSTRB),
    .SAXIGP4_wuser(16'h0),
    .SAXIGP4_wvalid(SAXIGP4WVALID),
    .SMARTCONNECT6IN_araddr(w_SMARTCONNECT6_araddr),
    .SMARTCONNECT6IN_arburst(w_SMARTCONNECT6_arburst),
    .SMARTCONNECT6IN_arcache(w_SMARTCONNECT6_arcache),
    .SMARTCONNECT6IN_arlen(w_SMARTCONNECT6_arlen),
    .SMARTCONNECT6IN_arlock(w_SMARTCONNECT6_arlock),
    .SMARTCONNECT6IN_arprot(w_SMARTCONNECT6_arprot),
    .SMARTCONNECT6IN_arqos(w_SMARTCONNECT6_arqos),
    .SMARTCONNECT6IN_arready(w_SMARTCONNECT6_arready),
    .SMARTCONNECT6IN_arsize(w_SMARTCONNECT6_arsize),
    .SMARTCONNECT6IN_aruser(w_SMARTCONNECT6_aruser),
    .SMARTCONNECT6IN_arvalid(w_SMARTCONNECT6_arvalid),
    .SMARTCONNECT6IN_awaddr(w_SMARTCONNECT6_awaddr),
    .SMARTCONNECT6IN_awburst(w_SMARTCONNECT6_awburst),
    .SMARTCONNECT6IN_awcache(w_SMARTCONNECT6_awcache),
    .SMARTCONNECT6IN_awlen(w_SMARTCONNECT6_awlen),
    .SMARTCONNECT6IN_awlock(w_SMARTCONNECT6_awlock),
    .SMARTCONNECT6IN_awprot(w_SMARTCONNECT6_awprot),
    .SMARTCONNECT6IN_awqos(w_SMARTCONNECT6_awqos),
    .SMARTCONNECT6IN_awready(w_SMARTCONNECT6_awready),
    .SMARTCONNECT6IN_awsize(w_SMARTCONNECT6_awsize),
    .SMARTCONNECT6IN_awuser(w_SMARTCONNECT6_awuser),
    .SMARTCONNECT6IN_awvalid(w_SMARTCONNECT6_awvalid),
    .SMARTCONNECT6IN_bready(w_SMARTCONNECT6_bready),
    .SMARTCONNECT6IN_bresp(w_SMARTCONNECT6_bresp),
    .SMARTCONNECT6IN_buser(w_SMARTCONNECT6_buser),
    .SMARTCONNECT6IN_bvalid(w_SMARTCONNECT6_bvalid),
    .SMARTCONNECT6IN_rdata(w_SMARTCONNECT6_rdata),
    .SMARTCONNECT6IN_rlast(w_SMARTCONNECT6_rlast),
    .SMARTCONNECT6IN_rready(w_SMARTCONNECT6_rready),
    .SMARTCONNECT6IN_rresp(w_SMARTCONNECT6_rresp),
    .SMARTCONNECT6IN_ruser(w_SMARTCONNECT6_ruser),
    .SMARTCONNECT6IN_rvalid(w_SMARTCONNECT6_rvalid),
    .SMARTCONNECT6IN_wdata(w_SMARTCONNECT6_wdata),
    .SMARTCONNECT6IN_wlast(w_SMARTCONNECT6_wlast),
    .SMARTCONNECT6IN_wready(w_SMARTCONNECT6_wready),
    .SMARTCONNECT6IN_wstrb(w_SMARTCONNECT6_wstrb),
    .SMARTCONNECT6IN_wuser(w_SMARTCONNECT6_wuser),
    .SMARTCONNECT6IN_wvalid(w_SMARTCONNECT6_wvalid),
    .SMARTCONNECT6OUT_araddr(w_SMARTCONNECT6_araddr),
    .SMARTCONNECT6OUT_arburst(w_SMARTCONNECT6_arburst),
    .SMARTCONNECT6OUT_arcache(w_SMARTCONNECT6_arcache),
    .SMARTCONNECT6OUT_arlen(w_SMARTCONNECT6_arlen),
    .SMARTCONNECT6OUT_arlock(w_SMARTCONNECT6_arlock),
    .SMARTCONNECT6OUT_arprot(w_SMARTCONNECT6_arprot),
    .SMARTCONNECT6OUT_arqos(w_SMARTCONNECT6_arqos),
    .SMARTCONNECT6OUT_arready(w_SMARTCONNECT6_arready),
    .SMARTCONNECT6OUT_arsize(w_SMARTCONNECT6_arsize),
    .SMARTCONNECT6OUT_aruser(w_SMARTCONNECT6_aruser),
    .SMARTCONNECT6OUT_arvalid(w_SMARTCONNECT6_arvalid),
    .SMARTCONNECT6OUT_awaddr(w_SMARTCONNECT6_awaddr),
    .SMARTCONNECT6OUT_awburst(w_SMARTCONNECT6_awburst),
    .SMARTCONNECT6OUT_awcache(w_SMARTCONNECT6_awcache),
    .SMARTCONNECT6OUT_awlen(w_SMARTCONNECT6_awlen),
    .SMARTCONNECT6OUT_awlock(w_SMARTCONNECT6_awlock),
    .SMARTCONNECT6OUT_awprot(w_SMARTCONNECT6_awprot),
    .SMARTCONNECT6OUT_awqos(w_SMARTCONNECT6_awqos),
    .SMARTCONNECT6OUT_awready(w_SMARTCONNECT6_awready),
    .SMARTCONNECT6OUT_awsize(w_SMARTCONNECT6_awsize),
    .SMARTCONNECT6OUT_awuser(w_SMARTCONNECT6_awuser),
    .SMARTCONNECT6OUT_awvalid(w_SMARTCONNECT6_awvalid),
    .SMARTCONNECT6OUT_bready(w_SMARTCONNECT6_bready),
    .SMARTCONNECT6OUT_bresp(w_SMARTCONNECT6_bresp),
    .SMARTCONNECT6OUT_buser(w_SMARTCONNECT6_buser),
    .SMARTCONNECT6OUT_bvalid(w_SMARTCONNECT6_bvalid),
    .SMARTCONNECT6OUT_rdata(w_SMARTCONNECT6_rdata),
    .SMARTCONNECT6OUT_rlast(w_SMARTCONNECT6_rlast),
    .SMARTCONNECT6OUT_rready(w_SMARTCONNECT6_rready),
    .SMARTCONNECT6OUT_rresp(w_SMARTCONNECT6_rresp),
    .SMARTCONNECT6OUT_ruser(w_SMARTCONNECT6_ruser),
    .SMARTCONNECT6OUT_rvalid(w_SMARTCONNECT6_rvalid),
    .SMARTCONNECT6OUT_wdata(w_SMARTCONNECT6_wdata),
    .SMARTCONNECT6OUT_wlast(w_SMARTCONNECT6_wlast),
    .SMARTCONNECT6OUT_wready(w_SMARTCONNECT6_wready),
    .SMARTCONNECT6OUT_wstrb(w_SMARTCONNECT6_wstrb),
    .SMARTCONNECT6OUT_wuser(w_SMARTCONNECT6_wuser),
    .SMARTCONNECT6OUT_wvalid(w_SMARTCONNECT6_wvalid),
    .IFPSOCM2APBPADDR(IFPSOCM2APBPADDR),
    .IFPSOCM2APBPENABLE(IFPSOCM2APBPENABLE),
    .IFPSOCM2APBPPROT(IFPSOCM2APBPPROT),
    .IFPSOCM2APBPSEL(IFPSOCM2APBPSEL),
    .IFPSOCM2APBPSTRB(IFPSOCM2APBPSTRB),
    .IFPSOCM2APBPWDATA(IFPSOCM2APBPWDATA),
    .IFPSOCM2APBPWRITE(IFPSOCM2APBPWRITE),
    .IFPSOCM2APBPRDATA(IFPSOCM2APBPRDATA),
    .IFPSOCM2APBPREADY(IFPSOCM2APBPREADY),
    .IFPSOCM2APBPSLVERR(IFPSOCM2APBPSLVERR),    
    .IFPSOCM2AXIARADDR(IFPSOCM2AXIARADDR),
    .IFPSOCM2AXIARBURST(IFPSOCM2AXIARBURST),
    .IFPSOCM2AXIARCACHE(IFPSOCM2AXIARCACHE),
    .IFPSOCM2AXIARID(IFPSOCM2AXIARID),
    .IFPSOCM2AXIARLEN(IFPSOCM2AXIARLEN),
    .IFPSOCM2AXIARLOCK(IFPSOCM2AXIARLOCK),
    .IFPSOCM2AXIARPROT(IFPSOCM2AXIARPROT),
    .IFPSOCM2AXIARQOS(IFPSOCM2AXIARQOS),
    .IFPSOCM2AXIARREGION(IFPSOCM2AXIARREGION),
    .IFPSOCM2AXIARSIZE(IFPSOCM2AXIARSIZE),
    .IFPSOCM2AXIARUSER(IFPSOCM2AXIARUSER),
    .IFPSOCM2AXIARVALID(IFPSOCM2AXIARVALID),
    .IFPSOCM2AXIAWADDR(IFPSOCM2AXIAWADDR),
    .IFPSOCM2AXIAWBURST(IFPSOCM2AXIAWBURST),
    .IFPSOCM2AXIAWCACHE(IFPSOCM2AXIAWCACHE),
    .IFPSOCM2AXIAWID(IFPSOCM2AXIAWID),
    .IFPSOCM2AXIAWLEN(IFPSOCM2AXIAWLEN),
    .IFPSOCM2AXIAWLOCK(IFPSOCM2AXIAWLOCK),
    .IFPSOCM2AXIAWPROT(IFPSOCM2AXIAWPROT),
    .IFPSOCM2AXIAWQOS(IFPSOCM2AXIAWQOS),
    .IFPSOCM2AXIAWREGION(IFPSOCM2AXIAWREGION),
    .IFPSOCM2AXIAWSIZE(IFPSOCM2AXIAWSIZE),
    .IFPSOCM2AXIAWUSER(IFPSOCM2AXIAWUSER),
    .IFPSOCM2AXIAWVALID(IFPSOCM2AXIAWVALID),
    .IFPSOCM2AXIBREADY(IFPSOCM2AXIBREADY),
    .IFPSOCM2AXIRREADY(IFPSOCM2AXIRREADY),
    .IFPSOCM2AXIWDATA(IFPSOCM2AXIWDATA),
    .IFPSOCM2AXIWID(IFPSOCM2AXIWID),
    .IFPSOCM2AXIWLAST(IFPSOCM2AXIWLAST),
    .IFPSOCM2AXIWSTRB(IFPSOCM2AXIWSTRB),
    .IFPSOCM2AXIWUSER(IFPSOCM2AXIWUSER),
    .IFPSOCM2AXIWVALID(IFPSOCM2AXIWVALID),
    .IFPSOCM2AXIARREADY(IFPSOCM2AXIARREADY),
    .IFPSOCM2AXIAWREADY(IFPSOCM2AXIAWREADY),
    .IFPSOCM2AXIBID(IFPSOCM2AXIBID),
    .IFPSOCM2AXIBRESP(IFPSOCM2AXIBRESP),
    .IFPSOCM2AXIBUSER(IFPSOCM2AXIBUSER),
    .IFPSOCM2AXIBVALID(IFPSOCM2AXIBVALID),
    .IFPSOCM2AXIRDATA(IFPSOCM2AXIRDATA),
    .IFPSOCM2AXIRID(IFPSOCM2AXIRID),
    .IFPSOCM2AXIRLAST(IFPSOCM2AXIRLAST),
    .IFPSOCM2AXIRRESP(IFPSOCM2AXIRRESP),
    .IFPSOCM2AXIRUSER(IFPSOCM2AXIRUSER),
    .IFPSOCM2AXIRVALID(IFPSOCM2AXIRVALID),
    .IFPSOCM2AXIWREADY(IFPSOCM2AXIWREADY),    
    .maxigp0_port_width(maxigp0_port_width),
    .maxigp2_port_width(maxigp2_port_width),
    .aclk_0(versal_cips_ps_vip_clk),
    .aresetn_0(versal_cips_ps_vip_rstn)
    );

//including axi masters R5,AFI,NOC
// balakasa: Added the 128 argument for data width as the smart connect interface in 128-bit
// versal_cips_ps_vip_v1_0_11_axi_master #(1) R5_API(
 versal_cips_ps_vip_v1_0_11_axi_master #(1,"r5_api",128,64,6,16,16,16,16,16) R5_API(
    .M_RESETN  (versal_cips_ps_vip_rstn),
    .M_ARVALID (w_R5_API_arvalid),
    .M_AWVALID (w_R5_API_awvalid),
    .M_BREADY  (w_R5_API_bready),
    .M_RREADY  (w_R5_API_rready),
    .M_WLAST   (w_R5_API_wlast),
    .M_WVALID  (w_R5_API_wvalid),
    .M_ARID    (w_R5_API_arid),
    .M_AWID    (w_R5_API_awid),
    .M_ARBURST (w_R5_API_arburst),
    .M_ARLOCK  (w_R5_API_arlock),
    .M_ARSIZE  (w_R5_API_arsize),
    .M_AWBURST (w_R5_API_awburst),
    .M_AWLOCK  (w_R5_API_awlock),
    .M_AWSIZE  (w_R5_API_awsize),
    .M_ARPROT  (w_R5_API_arprot),
    .M_AWPROT  (w_R5_API_awprot),
    .M_ARADDR  (w_R5_API_araddr),
    .M_AWADDR  (w_R5_API_awaddr),
    .M_WDATA   (w_R5_API_wdata),
    .M_ARCACHE (w_R5_API_arcache),
    .M_ARLEN   (w_R5_API_arlen),
    .M_AWCACHE (w_R5_API_awcache),
    .M_AWLEN   (w_R5_API_awlen),
    .M_ARQOS   (w_R5_API_arqos),
    .M_AWQOS   (w_R5_API_awqos),
    .M_AWREGION(),
    .M_ARREGION(),
    .M_AWUSER  (w_R5_API_awuser),
    .M_WUSER   (w_R5_API_wuser),
    .M_BUSER   (w_R5_API_buser),
    .M_ARUSER  (w_R5_API_aruser),
    .M_RUSER   (w_R5_API_ruser),
    .M_WSTRB   (w_R5_API_wstrb),
    .M_ACLK    (versal_cips_ps_vip_clk),
    .M_ARREADY (w_R5_API_arready),
    .M_AWREADY (w_R5_API_awready),
    .M_BVALID  (w_R5_API_bvalid),
    .M_RLAST   (w_R5_API_rlast),
    .M_RVALID  (w_R5_API_rvalid),
    .M_WREADY  (w_R5_API_wready),
    .M_BID     (w_R5_API_bid),
    .M_RID     (w_R5_API_rid),
    .M_BRESP   (w_R5_API_bresp),
    .M_RRESP   (w_R5_API_rresp),
    .M_RDATA   (w_R5_API_rdata)
);

// balakasa: Added the 128 argument for data width as the smart connect interface is 128-bit
//versal_cips_ps_vip_v1_0_11_axi_master #(1) NOC_API(
versal_cips_ps_vip_v1_0_11_axi_master #(1,"noc_api",128,64,6,16,16,16,16,16) NOC_API(
    .M_RESETN  (versal_cips_ps_vip_rstn),
    .M_ARVALID (w_NOC_API_arvalid),
    .M_AWVALID (w_NOC_API_awvalid),
    .M_BREADY  (w_NOC_API_bready),
    .M_RREADY  (w_NOC_API_rready),
    .M_WLAST   (w_NOC_API_wlast),
    .M_WVALID  (w_NOC_API_wvalid),
    .M_ARID    (w_NOC_API_arid),
    .M_AWID    (w_NOC_API_awid),
    .M_ARBURST (w_NOC_API_arburst),
    .M_ARLOCK  (w_NOC_API_arlock),
    .M_ARSIZE  (w_NOC_API_arsize),
    .M_AWBURST (w_NOC_API_awburst),
    .M_AWLOCK  (w_NOC_API_awlock),
    .M_AWSIZE  (w_NOC_API_awsize),
    .M_ARPROT  (w_NOC_API_arprot),
    .M_AWPROT  (w_NOC_API_awprot),
    .M_ARADDR  (w_NOC_API_araddr),
    .M_AWADDR  (w_NOC_API_awaddr),
    .M_WDATA   (w_NOC_API_wdata),
    .M_ARCACHE (w_NOC_API_arcache),
    .M_ARLEN   (w_NOC_API_arlen),
    .M_AWCACHE (w_NOC_API_awcache),
    .M_AWLEN   (w_NOC_API_awlen),
    .M_ARQOS   (w_NOC_API_arqos),
    .M_AWQOS   (w_NOC_API_awqos),
    .M_AWREGION(),
    .M_ARREGION(),
    .M_AWUSER  (w_NOC_API_awuser),
    .M_WUSER   (w_NOC_API_wuser),
    .M_BUSER   (w_NOC_API_buser),
    .M_ARUSER  (w_NOC_API_aruser),
    .M_RUSER   (w_NOC_API_ruser),
    .M_WSTRB   (w_NOC_API_wstrb),
    .M_ACLK    (versal_cips_ps_vip_clk),
    .M_ARREADY (w_NOC_API_arready),
    .M_AWREADY (w_NOC_API_awready),
    .M_BVALID  (w_NOC_API_bvalid),
    .M_RLAST   (w_NOC_API_rlast),
    .M_RVALID  (w_NOC_API_rvalid),
    .M_WREADY  (w_NOC_API_wready),
    .M_BID     (w_NOC_API_bid),
    .M_RID     (w_NOC_API_rid),
    .M_BRESP   (w_NOC_API_bresp),
    .M_RRESP   (w_NOC_API_rresp),
    .M_RDATA   (w_NOC_API_rdata)
);

// balakasa: Added the 128 argument for data width as the smart connect interface is 128-bit
// versal_cips_ps_vip_v1_0_11_axi_master #(1) AFI_API(
versal_cips_ps_vip_v1_0_11_axi_master #(1,"a72_api",128,64,6,16,16,16,16,16) A72_API(
    .M_RESETN  (versal_cips_ps_vip_rstn),
    .M_ARVALID (w_AFI_API_arvalid),
    .M_AWVALID (w_AFI_API_awvalid),
    .M_BREADY  (w_AFI_API_bready),
    .M_RREADY  (w_AFI_API_rready),
    .M_WLAST   (w_AFI_API_wlast),
    .M_WVALID  (w_AFI_API_wvalid),
    .M_ARID    (w_AFI_API_arid),
    .M_AWID    (w_AFI_API_awid),
    .M_ARBURST (w_AFI_API_arburst),
    .M_ARLOCK  (w_AFI_API_arlock),
    .M_ARSIZE  (w_AFI_API_arsize),
    .M_AWBURST (w_AFI_API_awburst),
    .M_AWLOCK  (w_AFI_API_awlock),
    .M_AWSIZE  (w_AFI_API_awsize),
    .M_ARPROT  (w_AFI_API_arprot),
    .M_AWPROT  (w_AFI_API_awprot),
    .M_ARADDR  (w_AFI_API_araddr),
    .M_AWADDR  (w_AFI_API_awaddr),
    .M_WDATA   (w_AFI_API_wdata),
    .M_ARCACHE (w_AFI_API_arcache),
    .M_ARLEN   (w_AFI_API_arlen),
    .M_AWCACHE (w_AFI_API_awcache),
    .M_AWLEN   (w_AFI_API_awlen),
    .M_ARQOS   (w_AFI_API_arqos),
    .M_AWQOS   (w_AFI_API_awqos),
    .M_AWREGION(),
    .M_ARREGION(),
    .M_AWUSER  (w_AFI_API_awuser),
    .M_WUSER   (w_AFI_API_wuser),
    .M_BUSER   (w_AFI_API_buser),
    .M_ARUSER  (w_AFI_API_aruser),
    .M_RUSER   (w_AFI_API_ruser),
    .M_WSTRB   (w_AFI_API_wstrb),
    .M_ACLK    (versal_cips_ps_vip_clk),
    .M_ARREADY (w_AFI_API_arready),
    .M_AWREADY (w_AFI_API_awready),
    .M_BVALID  (w_AFI_API_bvalid),
    .M_RLAST   (w_AFI_API_rlast),
    .M_RVALID  (w_AFI_API_rvalid),
    .M_WREADY  (w_AFI_API_wready),
    .M_BID     (w_AFI_API_bid),
    .M_RID     (w_AFI_API_rid),
    .M_BRESP   (w_AFI_API_bresp),
    .M_RRESP   (w_AFI_API_rresp),
    .M_RDATA   (w_AFI_API_rdata)
);

/* AXI Slave OCM */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_ocm", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_OCM (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_OCM_awaddr),
            .S_AWLEN            (w_OCM_awlen),
            .S_AWSIZE           (w_OCM_awsize),
            .S_AWBURST          (w_OCM_awburst),
            .S_AWLOCK           (w_OCM_awlock),
            .S_AWCACHE          (w_OCM_awcache),
            .S_AWPROT           (w_OCM_awprot),
            .S_AWVALID          (w_OCM_awvalid),
            .S_AWREADY          (w_OCM_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_OCM_wdata),
            .S_WSTRB            (w_OCM_wstrb), 
            .S_WLAST            (w_OCM_wlast), 
            .S_WVALID           (w_OCM_wvalid),
            .S_WREADY           (w_OCM_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_OCM_bresp),
            .S_BVALID           (w_OCM_bvalid),
            .S_BREADY           (w_OCM_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_OCM_araddr),
            .S_ARLEN            (w_OCM_arlen),
            .S_ARSIZE           (w_OCM_arsize),
            .S_ARBURST          (w_OCM_arburst),
            .S_ARLOCK           (w_OCM_arlock),
            .S_ARCACHE          (w_OCM_arcache),
            .S_ARPROT           (w_OCM_arprot),
            .S_ARVALID          (w_OCM_arvalid),
            .S_ARREADY          (w_OCM_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_OCM_rdata),
            .S_RRESP            (w_OCM_rresp),
            .S_RLAST            (w_OCM_rlast),
            .S_RVALID           (w_OCM_rvalid),
            .S_RREADY           (w_OCM_rready),
            // Side band signals 
            .S_AWQOS            (w_OCM_awqos),
            .S_ARQOS            (w_OCM_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_OCM_awuser),
            .S_WUSER            (w_OCM_wuser),
            .S_BUSER            (w_OCM_buser),
            .S_ARUSER           (w_OCM_aruser),
            .S_RUSER            (w_OCM_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (),
            .WR_DATA_ACK_OCM    (net_ocm_wr_ack),
            .WR_DATA            (net_ocm_wr_data), 
	    .WR_DATA_STRB       (net_ocm_wr_strb),
            .WR_ADDR            (net_ocm_wr_addr), 
            .WR_BYTES           (net_ocm_wr_bytes), 
            .WR_DATA_VALID_DDR  (), 
            .WR_DATA_VALID_OCM  (net_ocm_wr_dv), 
            .WR_QOS             (net_ocm_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (net_ocm_rd_req),
            .RD_REQ_REG         (),
            .RD_ADDR            (net_ocm_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (net_ocm_rd_data),
            .RD_DATA_REG        (),
            .RD_BYTES           (net_ocm_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (net_ocm_rd_dv),
            .RD_DATA_VALID_REG  (),
            .RD_QOS             (net_ocm_rd_qos)
);

  /* include api definition */
  `include "versal_cips_ps_vip_v1_0_11_apis.sv"
 
  versal_cips_ps_vip_v1_0_11_ocmc ocmc (
     .rstn     (versal_cips_ps_vip_rstn),
     .sw_clk   (versal_cips_ps_vip_clk),
     .wr_qos   (net_ocm_wr_qos),
     .wr_ack   (net_ocm_wr_ack),
     .wr_data  (net_ocm_wr_data),
     .wr_strb  (net_ocm_wr_strb),
     .wr_addr  (net_ocm_wr_addr),
     .wr_bytes (net_ocm_wr_bytes),
     .wr_dv    (net_ocm_wr_dv),
     .rd_qos   (net_ocm_rd_qos),
     .rd_req   (net_ocm_rd_req),
     .rd_addr  (net_ocm_rd_addr),
     .rd_bytes (net_ocm_rd_bytes),
     .rd_data  (net_ocm_rd_data),
     .rd_dv    (net_ocm_rd_dv)
  );

versal_cips_ps_vip_cci_address_decode  #(
  44,  // Width of the physical address
  27,  // Must be 27 for the example address map
   6,  // Total number of master interfaces
   4,  // Number of memory master interfaces
   0,  // Indicates the slave interface number this decoder is connected to
   0   // Indicates whether this is a read or write address decoder, high for write
) i_cci_address_wr_decode (
  .addr_i(addr_wr_wire),      // input address
  .addrmap_in(addrmap_wire),   // configuration input, sampled at reset
  .config_in(config_reg),   // configuration input, sampled at reset
  .rsvd_i(2'd0),      // reserved, do not use this input
  .route_z1h_o(route_z1h_wr_wire), // decode output: 1-hot for a valid address, 0 for an invalid address
  .decerr_o(decerr_wire)     // set to 1 for an invalid address
);

versal_cips_ps_vip_cci_address_decode  #(
  44,  // Width of the physical address
  27,  // Must be 27 for the example address map
   6,  // Total number of master interfaces
   4,  // Number of memory master interfaces
   0,  // Indicates the slave interface number this decoder is connected to
   0   // Indicates whether this is a read or write address decoder, high for write
) i_cci_address_rd_decode (
  .addr_i(addr_rd_wire),      // input address
  .addrmap_in(addrmap_wire),   // configuration input, sampled at reset
  .config_in(config_reg),   // configuration input, sampled at reset
  .rsvd_i(2'd0),      // reserved, do not use this input
  .route_z1h_o(route_z1h_rd_wire), // decode output: 1-hot for a valid address, 0 for an invalid address
  .decerr_o(decerr_wire)     // set to 1 for an invalid address
);

  versal_cips_ps_vip_v1_0_11_regc regc (
     .rstn     (versal_cips_ps_vip_rstn),
     .sw_clk   (versal_cips_ps_vip_clk),

     .wr_reg_mem1_qos    (net_reg_mem1_wr_qos),
     .wr_reg_mem1_ack    (net_reg_mem1_wr_ack),
     .wr_reg_mem1_data   (net_reg_mem1_wr_data),
     .wr_reg_mem1_strb   (net_reg_mem1_wr_strb),
     .wr_reg_mem1_addr   (net_reg_mem1_wr_addr),
     .wr_reg_mem1_bytes  (net_reg_mem1_wr_bytes),
     .wr_reg_mem1_dv     (net_reg_mem1_wr_dv),
     .rd_reg_mem1_qos    (net_reg_mem1_rd_qos),
     .rd_reg_mem1_req    (net_reg_mem1_rd_req),
     .rd_reg_mem1_addr   (net_reg_mem1_rd_addr),
     .rd_reg_mem1_bytes  (net_reg_mem1_rd_bytes),
     .rd_reg_mem1_data   (net_reg_mem1_rd_data),
     .rd_reg_mem1_dv     (net_reg_mem1_rd_dv),
     .wr_reg_mem2_qos    (net_reg_mem2_wr_qos),
     .wr_reg_mem2_ack    (net_reg_mem2_wr_ack),
     .wr_reg_mem2_data   (net_reg_mem2_wr_data),
     .wr_reg_mem2_strb   (net_reg_mem2_wr_strb),
     .wr_reg_mem2_addr   (net_reg_mem2_wr_addr),
     .wr_reg_mem2_bytes  (net_reg_mem2_wr_bytes),
     .wr_reg_mem2_dv     (net_reg_mem2_wr_dv),
     .rd_reg_mem2_qos    (net_reg_mem2_rd_qos),
     .rd_reg_mem2_req    (net_reg_mem2_rd_req),
     .rd_reg_mem2_addr   (net_reg_mem2_rd_addr),
     .rd_reg_mem2_bytes  (net_reg_mem2_rd_bytes),
     .rd_reg_mem2_data   (net_reg_mem2_rd_data),
     .rd_reg_mem2_dv     (net_reg_mem2_rd_dv),
     .wr_reg_mem3_qos    (net_reg_mem3_wr_qos),
     .wr_reg_mem3_ack    (net_reg_mem3_wr_ack),
     .wr_reg_mem3_data   (net_reg_mem3_wr_data),
     .wr_reg_mem3_strb   (net_reg_mem3_wr_strb),
     .wr_reg_mem3_addr   (net_reg_mem3_wr_addr),
     .wr_reg_mem3_bytes  (net_reg_mem3_wr_bytes),
     .wr_reg_mem3_dv     (net_reg_mem3_wr_dv),
     .rd_reg_mem3_qos    (net_reg_mem3_rd_qos),
     .rd_reg_mem3_req    (net_reg_mem3_rd_req),
     .rd_reg_mem3_addr   (net_reg_mem3_rd_addr),
     .rd_reg_mem3_bytes  (net_reg_mem3_rd_bytes),
     .rd_reg_mem3_data   (net_reg_mem3_rd_data),
     .rd_reg_mem3_dv     (net_reg_mem3_rd_dv),
     .wr_reg_mem4_qos    (net_reg_mem4_wr_qos),
     .wr_reg_mem4_ack    (net_reg_mem4_wr_ack),
     .wr_reg_mem4_data   (net_reg_mem4_wr_data),
     .wr_reg_mem4_strb   (net_reg_mem4_wr_strb),
     .wr_reg_mem4_addr   (net_reg_mem4_wr_addr),
     .wr_reg_mem4_bytes  (net_reg_mem4_wr_bytes),
     .wr_reg_mem4_dv     (net_reg_mem4_wr_dv),
     .rd_reg_mem4_qos    (net_reg_mem4_rd_qos),
     .rd_reg_mem4_req    (net_reg_mem4_rd_req),
     .rd_reg_mem4_addr   (net_reg_mem4_rd_addr),
     .rd_reg_mem4_bytes  (net_reg_mem4_rd_bytes),
     .rd_reg_mem4_data   (net_reg_mem4_rd_data),
     .rd_reg_mem4_dv     (net_reg_mem4_rd_dv),
     .wr_reg_mem5_qos    (net_reg_mem5_wr_qos),
     .wr_reg_mem5_ack    (net_reg_mem5_wr_ack),
     .wr_reg_mem5_data   (net_reg_mem5_wr_data),
     .wr_reg_mem5_strb   (net_reg_mem5_wr_strb),
     .wr_reg_mem5_addr   (net_reg_mem5_wr_addr),
     .wr_reg_mem5_bytes  (net_reg_mem5_wr_bytes),
     .wr_reg_mem5_dv     (net_reg_mem5_wr_dv),
     .rd_reg_mem5_qos    (net_reg_mem5_rd_qos),
     .rd_reg_mem5_req    (net_reg_mem5_rd_req),
     .rd_reg_mem5_addr   (net_reg_mem5_rd_addr),
     .rd_reg_mem5_bytes  (net_reg_mem5_rd_bytes),
     .rd_reg_mem5_data   (net_reg_mem5_rd_data),
     .rd_reg_mem5_dv     (net_reg_mem5_rd_dv),
     .wr_reg_mem6_qos    (net_reg_mem6_wr_qos),
     .wr_reg_mem6_ack    (net_reg_mem6_wr_ack),
     .wr_reg_mem6_data   (net_reg_mem6_wr_data),
     .wr_reg_mem6_strb   (net_reg_mem6_wr_strb),
     .wr_reg_mem6_addr   (net_reg_mem6_wr_addr),
     .wr_reg_mem6_bytes  (net_reg_mem6_wr_bytes),
     .wr_reg_mem6_dv     (net_reg_mem6_wr_dv),
     .rd_reg_mem6_qos    (net_reg_mem6_rd_qos),
     .rd_reg_mem6_req    (net_reg_mem6_rd_req),
     .rd_reg_mem6_addr   (net_reg_mem6_rd_addr),
     .rd_reg_mem6_bytes  (net_reg_mem6_rd_bytes),
     .rd_reg_mem6_data   (net_reg_mem6_rd_data),
     .rd_reg_mem6_dv     (net_reg_mem6_rd_dv),
     .wr_reg_mem7_qos    (net_reg_mem7_wr_qos),
     .wr_reg_mem7_ack    (net_reg_mem7_wr_ack),
     .wr_reg_mem7_data   (net_reg_mem7_wr_data),
     .wr_reg_mem7_strb   (net_reg_mem7_wr_strb),
     .wr_reg_mem7_addr   (net_reg_mem7_wr_addr),
     .wr_reg_mem7_bytes  (net_reg_mem7_wr_bytes),
     .wr_reg_mem7_dv     (net_reg_mem7_wr_dv),
     .rd_reg_mem7_qos    (net_reg_mem7_rd_qos),
     .rd_reg_mem7_req    (net_reg_mem7_rd_req),
     .rd_reg_mem7_addr   (net_reg_mem7_rd_addr),
     .rd_reg_mem7_bytes  (net_reg_mem7_rd_bytes),
     .rd_reg_mem7_data   (net_reg_mem7_rd_data),
     .rd_reg_mem7_dv     (net_reg_mem7_rd_dv),
     .wr_reg_mem8_qos    (net_reg_mem8_wr_qos),
     .wr_reg_mem8_ack    (net_reg_mem8_wr_ack),
     .wr_reg_mem8_data   (net_reg_mem8_wr_data),
     .wr_reg_mem8_strb   (net_reg_mem8_wr_strb),
     .wr_reg_mem8_addr   (net_reg_mem8_wr_addr),
     .wr_reg_mem8_bytes  (net_reg_mem8_wr_bytes),
     .wr_reg_mem8_dv     (net_reg_mem8_wr_dv),
     .rd_reg_mem8_qos    (net_reg_mem8_rd_qos),
     .rd_reg_mem8_req    (net_reg_mem8_rd_req),
     .rd_reg_mem8_addr   (net_reg_mem8_rd_addr),
     .rd_reg_mem8_bytes  (net_reg_mem8_rd_bytes),
     .rd_reg_mem8_data   (net_reg_mem8_rd_data),
     .rd_reg_mem8_dv     (net_reg_mem8_rd_dv),
     .wr_reg_mem9_qos    (net_reg_mem9_wr_qos),
     .wr_reg_mem9_ack    (net_reg_mem9_wr_ack),
     .wr_reg_mem9_data   (net_reg_mem9_wr_data),
     .wr_reg_mem9_strb   (net_reg_mem9_wr_strb),
     .wr_reg_mem9_addr   (net_reg_mem9_wr_addr),
     .wr_reg_mem9_bytes  (net_reg_mem9_wr_bytes),
     .wr_reg_mem9_dv     (net_reg_mem9_wr_dv),
     .rd_reg_mem9_qos    (net_reg_mem9_rd_qos),
     .rd_reg_mem9_req    (net_reg_mem9_rd_req),
     .rd_reg_mem9_addr   (net_reg_mem9_rd_addr),
     .rd_reg_mem9_bytes  (net_reg_mem9_rd_bytes),
     .rd_reg_mem9_data   (net_reg_mem9_rd_data),
     .rd_reg_mem9_dv     (net_reg_mem9_rd_dv),
     .wr_reg_mem10_qos   (net_reg_mem10_wr_qos),
     .wr_reg_mem10_ack   (net_reg_mem10_wr_ack),
     .wr_reg_mem10_data  (net_reg_mem10_wr_data),
     .wr_reg_mem10_strb  (net_reg_mem10_wr_strb),
     .wr_reg_mem10_addr  (net_reg_mem10_wr_addr),
     .wr_reg_mem10_bytes (net_reg_mem10_wr_bytes),
     .wr_reg_mem10_dv    (net_reg_mem10_wr_dv),
     .rd_reg_mem10_qos   (net_reg_mem10_rd_qos),
     .rd_reg_mem10_req   (net_reg_mem10_rd_req),
     .rd_reg_mem10_addr  (net_reg_mem10_rd_addr),
     .rd_reg_mem10_bytes (net_reg_mem10_rd_bytes),
     .rd_reg_mem10_data  (net_reg_mem10_rd_data),
     .rd_reg_mem10_dv    (net_reg_mem10_rd_dv),
     .wr_reg_mem11_qos   (net_reg_mem11_wr_qos),
     .wr_reg_mem11_ack   (net_reg_mem11_wr_ack),
     .wr_reg_mem11_data  (net_reg_mem11_wr_data),
     .wr_reg_mem11_strb  (net_reg_mem11_wr_strb),
     .wr_reg_mem11_addr  (net_reg_mem11_wr_addr),
     .wr_reg_mem11_bytes (net_reg_mem11_wr_bytes),
     .wr_reg_mem11_dv    (net_reg_mem11_wr_dv),
     .rd_reg_mem11_qos   (net_reg_mem11_rd_qos),
     .rd_reg_mem11_req   (net_reg_mem11_rd_req),
     .rd_reg_mem11_addr  (net_reg_mem11_rd_addr),
     .rd_reg_mem11_bytes (net_reg_mem11_rd_bytes),
     .rd_reg_mem11_data  (net_reg_mem11_rd_data),
     .rd_reg_mem11_dv    (net_reg_mem11_rd_dv),
     .wr_reg_mem12_qos   (net_reg_mem12_wr_qos),
     .wr_reg_mem12_ack   (net_reg_mem12_wr_ack),
     .wr_reg_mem12_data  (net_reg_mem12_wr_data),
     .wr_reg_mem12_strb  (net_reg_mem12_wr_strb),
     .wr_reg_mem12_addr  (net_reg_mem12_wr_addr),
     .wr_reg_mem12_bytes (net_reg_mem12_wr_bytes),
     .wr_reg_mem12_dv    (net_reg_mem12_wr_dv),
     .rd_reg_mem12_qos   (net_reg_mem12_rd_qos),
     .rd_reg_mem12_req   (net_reg_mem12_rd_req),
     .rd_reg_mem12_addr  (net_reg_mem12_rd_addr),
     .rd_reg_mem12_bytes (net_reg_mem12_rd_bytes),
     .rd_reg_mem12_data  (net_reg_mem12_rd_data),
     .rd_reg_mem12_dv    (net_reg_mem12_rd_dv)     
  );

/* AXI Slave REG1 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg1", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG1 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM1_awaddr),
            .S_AWLEN            (w_REG_MEM1_awlen),
            .S_AWSIZE           (w_REG_MEM1_awsize),
            .S_AWBURST          (w_REG_MEM1_awburst),
            .S_AWLOCK           (w_REG_MEM1_awlock),
            .S_AWCACHE          (w_REG_MEM1_awcache),
            .S_AWPROT           (w_REG_MEM1_awprot),
            .S_AWVALID          (w_REG_MEM1_awvalid),
            .S_AWREADY          (w_REG_MEM1_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM1_wdata),
            .S_WSTRB            (w_REG_MEM1_wstrb), 
            .S_WLAST            (w_REG_MEM1_wlast), 
            .S_WVALID           (w_REG_MEM1_wvalid),
            .S_WREADY           (w_REG_MEM1_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM1_bresp),
            .S_BVALID           (w_REG_MEM1_bvalid),
            .S_BREADY           (w_REG_MEM1_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM1_araddr),
            .S_ARLEN            (w_REG_MEM1_arlen),
            .S_ARSIZE           (w_REG_MEM1_arsize),
            .S_ARBURST          (w_REG_MEM1_arburst),
            .S_ARLOCK           (w_REG_MEM1_arlock),
            .S_ARCACHE          (w_REG_MEM1_arcache),
            .S_ARPROT           (w_REG_MEM1_arprot),
            .S_ARVALID          (w_REG_MEM1_arvalid),
            .S_ARREADY          (w_REG_MEM1_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM1_rdata),
            .S_RRESP            (w_REG_MEM1_rresp),
            .S_RLAST            (w_REG_MEM1_rlast),
            .S_RVALID           (w_REG_MEM1_rvalid),
            .S_RREADY           (w_REG_MEM1_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM1_awqos),
            .S_ARQOS            (w_REG_MEM1_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM1_awuser),
            .S_WUSER            (w_REG_MEM1_wuser),
            .S_BUSER            (w_REG_MEM1_buser),
            .S_ARUSER           (w_REG_MEM1_aruser),
            .S_RUSER            (w_REG_MEM1_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem1_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem1_wr_data),
	    .WR_DATA_STRB       (net_reg_mem1_wr_strb),
            .WR_ADDR            (net_reg_mem1_wr_addr),
            .WR_BYTES           (net_reg_mem1_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem1_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem1_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem1_rd_req),
            .RD_ADDR            (net_reg_mem1_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem1_rd_data),
            .RD_BYTES           (net_reg_mem1_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem1_rd_dv),
            .RD_QOS             (net_reg_mem1_rd_qos)
);
/* AXI Slave REG2 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg2", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG2 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM2_awaddr),
            .S_AWLEN            (w_REG_MEM2_awlen),
            .S_AWSIZE           (w_REG_MEM2_awsize),
            .S_AWBURST          (w_REG_MEM2_awburst),
            .S_AWLOCK           (w_REG_MEM2_awlock),
            .S_AWCACHE          (w_REG_MEM2_awcache),
            .S_AWPROT           (w_REG_MEM2_awprot),
            .S_AWVALID          (w_REG_MEM2_awvalid),
            .S_AWREADY          (w_REG_MEM2_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM2_wdata),
            .S_WSTRB            (w_REG_MEM2_wstrb), 
            .S_WLAST            (w_REG_MEM2_wlast), 
            .S_WVALID           (w_REG_MEM2_wvalid),
            .S_WREADY           (w_REG_MEM2_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM2_bresp),
            .S_BVALID           (w_REG_MEM2_bvalid),
            .S_BREADY           (w_REG_MEM2_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM2_araddr),
            .S_ARLEN            (w_REG_MEM2_arlen),
            .S_ARSIZE           (w_REG_MEM2_arsize),
            .S_ARBURST          (w_REG_MEM2_arburst),
            .S_ARLOCK           (w_REG_MEM2_arlock),
            .S_ARCACHE          (w_REG_MEM2_arcache),
            .S_ARPROT           (w_REG_MEM2_arprot),
            .S_ARVALID          (w_REG_MEM2_arvalid),
            .S_ARREADY          (w_REG_MEM2_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM2_rdata),
            .S_RRESP            (w_REG_MEM2_rresp),
            .S_RLAST            (w_REG_MEM2_rlast),
            .S_RVALID           (w_REG_MEM2_rvalid),
            .S_RREADY           (w_REG_MEM2_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM2_awqos),
            .S_ARQOS            (w_REG_MEM2_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM2_awuser),
            .S_WUSER            (w_REG_MEM2_wuser),
            .S_BUSER            (w_REG_MEM2_buser),
            .S_ARUSER           (w_REG_MEM2_aruser),
            .S_RUSER            (w_REG_MEM2_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem2_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem2_wr_data),
	    .WR_DATA_STRB       (net_reg_mem2_wr_strb),
            .WR_ADDR            (net_reg_mem2_wr_addr),
            .WR_BYTES           (net_reg_mem2_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem2_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem2_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem2_rd_req),
            .RD_ADDR            (net_reg_mem2_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem2_rd_data),
            .RD_BYTES           (net_reg_mem2_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem2_rd_dv),
            .RD_QOS             (net_reg_mem2_rd_qos)
);
/* AXI Slave REG3 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg3", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG3 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM3_awaddr),
            .S_AWLEN            (w_REG_MEM3_awlen),
            .S_AWSIZE           (w_REG_MEM3_awsize),
            .S_AWBURST          (w_REG_MEM3_awburst),
            .S_AWLOCK           (w_REG_MEM3_awlock),
            .S_AWCACHE          (w_REG_MEM3_awcache),
            .S_AWPROT           (w_REG_MEM3_awprot),
            .S_AWVALID          (w_REG_MEM3_awvalid),
            .S_AWREADY          (w_REG_MEM3_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM3_wdata),
            .S_WSTRB            (w_REG_MEM3_wstrb), 
            .S_WLAST            (w_REG_MEM3_wlast), 
            .S_WVALID           (w_REG_MEM3_wvalid),
            .S_WREADY           (w_REG_MEM3_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM3_bresp),
            .S_BVALID           (w_REG_MEM3_bvalid),
            .S_BREADY           (w_REG_MEM3_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM3_araddr),
            .S_ARLEN            (w_REG_MEM3_arlen),
            .S_ARSIZE           (w_REG_MEM3_arsize),
            .S_ARBURST          (w_REG_MEM3_arburst),
            .S_ARLOCK           (w_REG_MEM3_arlock),
            .S_ARCACHE          (w_REG_MEM3_arcache),
            .S_ARPROT           (w_REG_MEM3_arprot),
            .S_ARVALID          (w_REG_MEM3_arvalid),
            .S_ARREADY          (w_REG_MEM3_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM3_rdata),
            .S_RRESP            (w_REG_MEM3_rresp),
            .S_RLAST            (w_REG_MEM3_rlast),
            .S_RVALID           (w_REG_MEM3_rvalid),
            .S_RREADY           (w_REG_MEM3_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM3_awqos),
            .S_ARQOS            (w_REG_MEM3_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM3_awuser),
            .S_WUSER            (w_REG_MEM3_wuser),
            .S_BUSER            (w_REG_MEM3_buser),
            .S_ARUSER           (w_REG_MEM3_aruser),
            .S_RUSER            (w_REG_MEM3_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem3_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem3_wr_data),
	    .WR_DATA_STRB       (net_reg_mem3_wr_strb),
            .WR_ADDR            (net_reg_mem3_wr_addr),
            .WR_BYTES           (net_reg_mem3_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem3_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem3_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem3_rd_req),
            .RD_ADDR            (net_reg_mem3_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem3_rd_data),
            .RD_BYTES           (net_reg_mem3_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem3_rd_dv),
            .RD_QOS             (net_reg_mem3_rd_qos)
);
/* AXI Slave REG4 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg4", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG4 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM4_awaddr),
            .S_AWLEN            (w_REG_MEM4_awlen),
            .S_AWSIZE           (w_REG_MEM4_awsize),
            .S_AWBURST          (w_REG_MEM4_awburst),
            .S_AWLOCK           (w_REG_MEM4_awlock),
            .S_AWCACHE          (w_REG_MEM4_awcache),
            .S_AWPROT           (w_REG_MEM4_awprot),
            .S_AWVALID          (w_REG_MEM4_awvalid),
            .S_AWREADY          (w_REG_MEM4_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM4_wdata),
            .S_WSTRB            (w_REG_MEM4_wstrb), 
            .S_WLAST            (w_REG_MEM4_wlast), 
            .S_WVALID           (w_REG_MEM4_wvalid),
            .S_WREADY           (w_REG_MEM4_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM4_bresp),
            .S_BVALID           (w_REG_MEM4_bvalid),
            .S_BREADY           (w_REG_MEM4_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM4_araddr),
            .S_ARLEN            (w_REG_MEM4_arlen),
            .S_ARSIZE           (w_REG_MEM4_arsize),
            .S_ARBURST          (w_REG_MEM4_arburst),
            .S_ARLOCK           (w_REG_MEM4_arlock),
            .S_ARCACHE          (w_REG_MEM4_arcache),
            .S_ARPROT           (w_REG_MEM4_arprot),
            .S_ARVALID          (w_REG_MEM4_arvalid),
            .S_ARREADY          (w_REG_MEM4_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM4_rdata),
            .S_RRESP            (w_REG_MEM4_rresp),
            .S_RLAST            (w_REG_MEM4_rlast),
            .S_RVALID           (w_REG_MEM4_rvalid),
            .S_RREADY           (w_REG_MEM4_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM4_awqos),
            .S_ARQOS            (w_REG_MEM4_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM4_awuser),
            .S_WUSER            (w_REG_MEM4_wuser),
            .S_BUSER            (w_REG_MEM4_buser),
            .S_ARUSER           (w_REG_MEM4_aruser),
            .S_RUSER            (w_REG_MEM4_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem4_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem4_wr_data),
	    .WR_DATA_STRB       (net_reg_mem4_wr_strb),
            .WR_ADDR            (net_reg_mem4_wr_addr),
            .WR_BYTES           (net_reg_mem4_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem4_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem4_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem4_rd_req),
            .RD_ADDR            (net_reg_mem4_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem4_rd_data),
            .RD_BYTES           (net_reg_mem4_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem4_rd_dv),
            .RD_QOS             (net_reg_mem4_rd_qos)
);
/* AXI Slave REG5 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg5", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG5 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM5_awaddr),
            .S_AWLEN            (w_REG_MEM5_awlen),
            .S_AWSIZE           (w_REG_MEM5_awsize),
            .S_AWBURST          (w_REG_MEM5_awburst),
            .S_AWLOCK           (w_REG_MEM5_awlock),
            .S_AWCACHE          (w_REG_MEM5_awcache),
            .S_AWPROT           (w_REG_MEM5_awprot),
            .S_AWVALID          (w_REG_MEM5_awvalid),
            .S_AWREADY          (w_REG_MEM5_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM5_wdata),
            .S_WSTRB            (w_REG_MEM5_wstrb), 
            .S_WLAST            (w_REG_MEM5_wlast), 
            .S_WVALID           (w_REG_MEM5_wvalid),
            .S_WREADY           (w_REG_MEM5_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM5_bresp),
            .S_BVALID           (w_REG_MEM5_bvalid),
            .S_BREADY           (w_REG_MEM5_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM5_araddr),
            .S_ARLEN            (w_REG_MEM5_arlen),
            .S_ARSIZE           (w_REG_MEM5_arsize),
            .S_ARBURST          (w_REG_MEM5_arburst),
            .S_ARLOCK           (w_REG_MEM5_arlock),
            .S_ARCACHE          (w_REG_MEM5_arcache),
            .S_ARPROT           (w_REG_MEM5_arprot),
            .S_ARVALID          (w_REG_MEM5_arvalid),
            .S_ARREADY          (w_REG_MEM5_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM5_rdata),
            .S_RRESP            (w_REG_MEM5_rresp),
            .S_RLAST            (w_REG_MEM5_rlast),
            .S_RVALID           (w_REG_MEM5_rvalid),
            .S_RREADY           (w_REG_MEM5_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM5_awqos),
            .S_ARQOS            (w_REG_MEM5_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM5_awuser),
            .S_WUSER            (w_REG_MEM5_wuser),
            .S_BUSER            (w_REG_MEM5_buser),
            .S_ARUSER           (w_REG_MEM5_aruser),
            .S_RUSER            (w_REG_MEM5_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem5_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem5_wr_data),
	    .WR_DATA_STRB       (net_reg_mem5_wr_strb),
            .WR_ADDR            (net_reg_mem5_wr_addr),
            .WR_BYTES           (net_reg_mem5_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem5_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem5_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem5_rd_req),
            .RD_ADDR            (net_reg_mem5_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem5_rd_data),
            .RD_BYTES           (net_reg_mem5_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem5_rd_dv),
            .RD_QOS             (net_reg_mem5_rd_qos)
);
/* AXI Slave REG6 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg6", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG6 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM6_awaddr),
            .S_AWLEN            (w_REG_MEM6_awlen),
            .S_AWSIZE           (w_REG_MEM6_awsize),
            .S_AWBURST          (w_REG_MEM6_awburst),
            .S_AWLOCK           (w_REG_MEM6_awlock),
            .S_AWCACHE          (w_REG_MEM6_awcache),
            .S_AWPROT           (w_REG_MEM6_awprot),
            .S_AWVALID          (w_REG_MEM6_awvalid),
            .S_AWREADY          (w_REG_MEM6_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM6_wdata),
            .S_WSTRB            (w_REG_MEM6_wstrb), 
            .S_WLAST            (w_REG_MEM6_wlast), 
            .S_WVALID           (w_REG_MEM6_wvalid),
            .S_WREADY           (w_REG_MEM6_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM6_bresp),
            .S_BVALID           (w_REG_MEM6_bvalid),
            .S_BREADY           (w_REG_MEM6_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM6_araddr),
            .S_ARLEN            (w_REG_MEM6_arlen),
            .S_ARSIZE           (w_REG_MEM6_arsize),
            .S_ARBURST          (w_REG_MEM6_arburst),
            .S_ARLOCK           (w_REG_MEM6_arlock),
            .S_ARCACHE          (w_REG_MEM6_arcache),
            .S_ARPROT           (w_REG_MEM6_arprot),
            .S_ARVALID          (w_REG_MEM6_arvalid),
            .S_ARREADY          (w_REG_MEM6_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM6_rdata),
            .S_RRESP            (w_REG_MEM6_rresp),
            .S_RLAST            (w_REG_MEM6_rlast),
            .S_RVALID           (w_REG_MEM6_rvalid),
            .S_RREADY           (w_REG_MEM6_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM6_awqos),
            .S_ARQOS            (w_REG_MEM6_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM6_awuser),
            .S_WUSER            (w_REG_MEM6_wuser),
            .S_BUSER            (w_REG_MEM6_buser),
            .S_ARUSER           (w_REG_MEM6_aruser),
            .S_RUSER            (w_REG_MEM6_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem6_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem6_wr_data),
	    .WR_DATA_STRB       (net_reg_mem6_wr_strb),
            .WR_ADDR            (net_reg_mem6_wr_addr),
            .WR_BYTES           (net_reg_mem6_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem6_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem6_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem6_rd_req),
            .RD_ADDR            (net_reg_mem6_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem6_rd_data),
            .RD_BYTES           (net_reg_mem6_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem6_rd_dv),
            .RD_QOS             (net_reg_mem6_rd_qos)
);
/* AXI Slave REG7 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg7", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG7 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM7_awaddr),
            .S_AWLEN            (w_REG_MEM7_awlen),
            .S_AWSIZE           (w_REG_MEM7_awsize),
            .S_AWBURST          (w_REG_MEM7_awburst),
            .S_AWLOCK           (w_REG_MEM7_awlock),
            .S_AWCACHE          (w_REG_MEM7_awcache),
            .S_AWPROT           (w_REG_MEM7_awprot),
            .S_AWVALID          (w_REG_MEM7_awvalid),
            .S_AWREADY          (w_REG_MEM7_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM7_wdata),
            .S_WSTRB            (w_REG_MEM7_wstrb), 
            .S_WLAST            (w_REG_MEM7_wlast), 
            .S_WVALID           (w_REG_MEM7_wvalid),
            .S_WREADY           (w_REG_MEM7_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM7_bresp),
            .S_BVALID           (w_REG_MEM7_bvalid),
            .S_BREADY           (w_REG_MEM7_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM7_araddr),
            .S_ARLEN            (w_REG_MEM7_arlen),
            .S_ARSIZE           (w_REG_MEM7_arsize),
            .S_ARBURST          (w_REG_MEM7_arburst),
            .S_ARLOCK           (w_REG_MEM7_arlock),
            .S_ARCACHE          (w_REG_MEM7_arcache),
            .S_ARPROT           (w_REG_MEM7_arprot),
            .S_ARVALID          (w_REG_MEM7_arvalid),
            .S_ARREADY          (w_REG_MEM7_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM7_rdata),
            .S_RRESP            (w_REG_MEM7_rresp),
            .S_RLAST            (w_REG_MEM7_rlast),
            .S_RVALID           (w_REG_MEM7_rvalid),
            .S_RREADY           (w_REG_MEM7_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM7_awqos),
            .S_ARQOS            (w_REG_MEM7_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM7_awuser),
            .S_WUSER            (w_REG_MEM7_wuser),
            .S_BUSER            (w_REG_MEM7_buser),
            .S_ARUSER           (w_REG_MEM7_aruser),
            .S_RUSER            (w_REG_MEM7_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem7_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem7_wr_data),
	    .WR_DATA_STRB       (net_reg_mem7_wr_strb),
            .WR_ADDR            (net_reg_mem7_wr_addr),
            .WR_BYTES           (net_reg_mem7_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem7_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem7_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem7_rd_req),
            .RD_ADDR            (net_reg_mem7_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem7_rd_data),
            .RD_BYTES           (net_reg_mem7_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem7_rd_dv),
            .RD_QOS             (net_reg_mem7_rd_qos)
);
/* AXI Slave REG8 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg8", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG8 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM8_awaddr),
            .S_AWLEN            (w_REG_MEM8_awlen),
            .S_AWSIZE           (w_REG_MEM8_awsize),
            .S_AWBURST          (w_REG_MEM8_awburst),
            .S_AWLOCK           (w_REG_MEM8_awlock),
            .S_AWCACHE          (w_REG_MEM8_awcache),
            .S_AWPROT           (w_REG_MEM8_awprot),
            .S_AWVALID          (w_REG_MEM8_awvalid),
            .S_AWREADY          (w_REG_MEM8_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM8_wdata),
            .S_WSTRB            (w_REG_MEM8_wstrb), 
            .S_WLAST            (w_REG_MEM8_wlast), 
            .S_WVALID           (w_REG_MEM8_wvalid),
            .S_WREADY           (w_REG_MEM8_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM8_bresp),
            .S_BVALID           (w_REG_MEM8_bvalid),
            .S_BREADY           (w_REG_MEM8_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM8_araddr),
            .S_ARLEN            (w_REG_MEM8_arlen),
            .S_ARSIZE           (w_REG_MEM8_arsize),
            .S_ARBURST          (w_REG_MEM8_arburst),
            .S_ARLOCK           (w_REG_MEM8_arlock),
            .S_ARCACHE          (w_REG_MEM8_arcache),
            .S_ARPROT           (w_REG_MEM8_arprot),
            .S_ARVALID          (w_REG_MEM8_arvalid),
            .S_ARREADY          (w_REG_MEM8_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM8_rdata),
            .S_RRESP            (w_REG_MEM8_rresp),
            .S_RLAST            (w_REG_MEM8_rlast),
            .S_RVALID           (w_REG_MEM8_rvalid),
            .S_RREADY           (w_REG_MEM8_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM8_awqos),
            .S_ARQOS            (w_REG_MEM8_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM8_awuser),
            .S_WUSER            (w_REG_MEM8_wuser),
            .S_BUSER            (w_REG_MEM8_buser),
            .S_ARUSER           (w_REG_MEM8_aruser),
            .S_RUSER            (w_REG_MEM8_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem8_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem8_wr_data),
	    .WR_DATA_STRB       (net_reg_mem8_wr_strb),
            .WR_ADDR            (net_reg_mem8_wr_addr),
            .WR_BYTES           (net_reg_mem8_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem8_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem8_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem8_rd_req),
            .RD_ADDR            (net_reg_mem8_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem8_rd_data),
            .RD_BYTES           (net_reg_mem8_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem8_rd_dv),
            .RD_QOS             (net_reg_mem8_rd_qos)
);
/* AXI Slave REG9 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg9", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG9 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM9_awaddr),
            .S_AWLEN            (w_REG_MEM9_awlen),
            .S_AWSIZE           (w_REG_MEM9_awsize),
            .S_AWBURST          (w_REG_MEM9_awburst),
            .S_AWLOCK           (w_REG_MEM9_awlock),
            .S_AWCACHE          (w_REG_MEM9_awcache),
            .S_AWPROT           (w_REG_MEM9_awprot),
            .S_AWVALID          (w_REG_MEM9_awvalid),
            .S_AWREADY          (w_REG_MEM9_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM9_wdata),
            .S_WSTRB            (w_REG_MEM9_wstrb), 
            .S_WLAST            (w_REG_MEM9_wlast), 
            .S_WVALID           (w_REG_MEM9_wvalid),
            .S_WREADY           (w_REG_MEM9_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM9_bresp),
            .S_BVALID           (w_REG_MEM9_bvalid),
            .S_BREADY           (w_REG_MEM9_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM9_araddr),
            .S_ARLEN            (w_REG_MEM9_arlen),
            .S_ARSIZE           (w_REG_MEM9_arsize),
            .S_ARBURST          (w_REG_MEM9_arburst),
            .S_ARLOCK           (w_REG_MEM9_arlock),
            .S_ARCACHE          (w_REG_MEM9_arcache),
            .S_ARPROT           (w_REG_MEM9_arprot),
            .S_ARVALID          (w_REG_MEM9_arvalid),
            .S_ARREADY          (w_REG_MEM9_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM9_rdata),
            .S_RRESP            (w_REG_MEM9_rresp),
            .S_RLAST            (w_REG_MEM9_rlast),
            .S_RVALID           (w_REG_MEM9_rvalid),
            .S_RREADY           (w_REG_MEM9_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM9_awqos),
            .S_ARQOS            (w_REG_MEM9_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM9_awuser),
            .S_WUSER            (w_REG_MEM9_wuser),
            .S_BUSER            (w_REG_MEM9_buser),
            .S_ARUSER           (w_REG_MEM9_aruser),
            .S_RUSER            (w_REG_MEM9_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem9_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem9_wr_data),
	    .WR_DATA_STRB       (net_reg_mem9_wr_strb),
            .WR_ADDR            (net_reg_mem9_wr_addr),
            .WR_BYTES           (net_reg_mem9_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem9_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem9_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem9_rd_req),
            .RD_ADDR            (net_reg_mem9_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem9_rd_data),
            .RD_BYTES           (net_reg_mem9_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem9_rd_dv),
            .RD_QOS             (net_reg_mem9_rd_qos)
);
/* AXI Slave REG10 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg10", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG10 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM10_awaddr),
            .S_AWLEN            (w_REG_MEM10_awlen),
            .S_AWSIZE           (w_REG_MEM10_awsize),
            .S_AWBURST          (w_REG_MEM10_awburst),
            .S_AWLOCK           (w_REG_MEM10_awlock),
            .S_AWCACHE          (w_REG_MEM10_awcache),
            .S_AWPROT           (w_REG_MEM10_awprot),
            .S_AWVALID          (w_REG_MEM10_awvalid),
            .S_AWREADY          (w_REG_MEM10_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM10_wdata),
            .S_WSTRB            (w_REG_MEM10_wstrb), 
            .S_WLAST            (w_REG_MEM10_wlast), 
            .S_WVALID           (w_REG_MEM10_wvalid),
            .S_WREADY           (w_REG_MEM10_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM10_bresp),
            .S_BVALID           (w_REG_MEM10_bvalid),
            .S_BREADY           (w_REG_MEM10_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM10_araddr),
            .S_ARLEN            (w_REG_MEM10_arlen),
            .S_ARSIZE           (w_REG_MEM10_arsize),
            .S_ARBURST          (w_REG_MEM10_arburst),
            .S_ARLOCK           (w_REG_MEM10_arlock),
            .S_ARCACHE          (w_REG_MEM10_arcache),
            .S_ARPROT           (w_REG_MEM10_arprot),
            .S_ARVALID          (w_REG_MEM10_arvalid),
            .S_ARREADY          (w_REG_MEM10_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM10_rdata),
            .S_RRESP            (w_REG_MEM10_rresp),
            .S_RLAST            (w_REG_MEM10_rlast),
            .S_RVALID           (w_REG_MEM10_rvalid),
            .S_RREADY           (w_REG_MEM10_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM10_awqos),
            .S_ARQOS            (w_REG_MEM10_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM10_awuser),
            .S_WUSER            (w_REG_MEM10_wuser),
            .S_BUSER            (w_REG_MEM10_buser),
            .S_ARUSER           (w_REG_MEM10_aruser),
            .S_RUSER            (w_REG_MEM10_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem10_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem10_wr_data),
	    .WR_DATA_STRB       (net_reg_mem10_wr_strb),
            .WR_ADDR            (net_reg_mem10_wr_addr),
            .WR_BYTES           (net_reg_mem10_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem10_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem10_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem10_rd_req),
            .RD_ADDR            (net_reg_mem10_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem10_rd_data),
            .RD_BYTES           (net_reg_mem10_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem10_rd_dv),
            .RD_QOS             (net_reg_mem10_rd_qos)
);
/* AXI Slave REG11 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg11", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG11 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM11_awaddr),
            .S_AWLEN            (w_REG_MEM11_awlen),
            .S_AWSIZE           (w_REG_MEM11_awsize),
            .S_AWBURST          (w_REG_MEM11_awburst),
            .S_AWLOCK           (w_REG_MEM11_awlock),
            .S_AWCACHE          (w_REG_MEM11_awcache),
            .S_AWPROT           (w_REG_MEM11_awprot),
            .S_AWVALID          (w_REG_MEM11_awvalid),
            .S_AWREADY          (w_REG_MEM11_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM11_wdata),
            .S_WSTRB            (w_REG_MEM11_wstrb), 
            .S_WLAST            (w_REG_MEM11_wlast), 
            .S_WVALID           (w_REG_MEM11_wvalid),
            .S_WREADY           (w_REG_MEM11_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM11_bresp),
            .S_BVALID           (w_REG_MEM11_bvalid),
            .S_BREADY           (w_REG_MEM11_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM11_araddr),
            .S_ARLEN            (w_REG_MEM11_arlen),
            .S_ARSIZE           (w_REG_MEM11_arsize),
            .S_ARBURST          (w_REG_MEM11_arburst),
            .S_ARLOCK           (w_REG_MEM11_arlock),
            .S_ARCACHE          (w_REG_MEM11_arcache),
            .S_ARPROT           (w_REG_MEM11_arprot),
            .S_ARVALID          (w_REG_MEM11_arvalid),
            .S_ARREADY          (w_REG_MEM11_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM11_rdata),
            .S_RRESP            (w_REG_MEM11_rresp),
            .S_RLAST            (w_REG_MEM11_rlast),
            .S_RVALID           (w_REG_MEM11_rvalid),
            .S_RREADY           (w_REG_MEM11_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM11_awqos),
            .S_ARQOS            (w_REG_MEM11_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM11_awuser),
            .S_WUSER            (w_REG_MEM11_wuser),
            .S_BUSER            (w_REG_MEM11_buser),
            .S_ARUSER           (w_REG_MEM11_aruser),
            .S_RUSER            (w_REG_MEM11_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem11_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem11_wr_data),
	    .WR_DATA_STRB       (net_reg_mem11_wr_strb),
            .WR_ADDR            (net_reg_mem11_wr_addr),
            .WR_BYTES           (net_reg_mem11_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem11_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem11_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem11_rd_req),
            .RD_ADDR            (net_reg_mem11_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem11_rd_data),
            .RD_BYTES           (net_reg_mem11_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem11_rd_dv),
            .RD_QOS             (net_reg_mem11_rd_qos)
);
/* AXI Slave REG12 */
  versal_cips_ps_vip_v1_0_11_axi_slave #( 1 , // enable
               "s_axi_reg12", // name
               32, // data width
               32, /// address width
               32, // ID width
               32,
               32,
               4,
	       4,
               16,
               8, // outstanding transactions // 7 Reads and 3 Writes 
               0, // Exclusive access support
               16,
               16,
	       4)
  S_AXI_REG12 (.S_RESETN           (versal_cips_ps_vip_rstn),
            .S_ACLK             (versal_cips_ps_vip_clk),
            // Write Address Channel
            .S_AWID             (32'b0),
            .S_AWADDR           (w_REG_MEM12_awaddr),
            .S_AWLEN            (w_REG_MEM12_awlen),
            .S_AWSIZE           (w_REG_MEM12_awsize),
            .S_AWBURST          (w_REG_MEM12_awburst),
            .S_AWLOCK           (w_REG_MEM12_awlock),
            .S_AWCACHE          (w_REG_MEM12_awcache),
            .S_AWPROT           (w_REG_MEM12_awprot),
            .S_AWVALID          (w_REG_MEM12_awvalid),
            .S_AWREADY          (w_REG_MEM12_awready),
            // Write Data Channel Signals.
            .S_WDATA            (w_REG_MEM12_wdata),
            .S_WSTRB            (w_REG_MEM12_wstrb), 
            .S_WLAST            (w_REG_MEM12_wlast), 
            .S_WVALID           (w_REG_MEM12_wvalid),
            .S_WREADY           (w_REG_MEM12_wready),
            // Write Response Channel Signals.
            .S_BID              (),
            .S_BRESP            (w_REG_MEM12_bresp),
            .S_BVALID           (w_REG_MEM12_bvalid),
            .S_BREADY           (w_REG_MEM12_bready),
            // Read Address Channel Signals.
            .S_ARID             (32'b0),
            .S_ARADDR           (w_REG_MEM12_araddr),
            .S_ARLEN            (w_REG_MEM12_arlen),
            .S_ARSIZE           (w_REG_MEM12_arsize),
            .S_ARBURST          (w_REG_MEM12_arburst),
            .S_ARLOCK           (w_REG_MEM12_arlock),
            .S_ARCACHE          (w_REG_MEM12_arcache),
            .S_ARPROT           (w_REG_MEM12_arprot),
            .S_ARVALID          (w_REG_MEM12_arvalid),
            .S_ARREADY          (w_REG_MEM12_arready),
            // Read Data Channel Signals.
            .S_RID              (),
            .S_RDATA            (w_REG_MEM12_rdata),
            .S_RRESP            (w_REG_MEM12_rresp),
            .S_RLAST            (w_REG_MEM12_rlast),
            .S_RVALID           (w_REG_MEM12_rvalid),
            .S_RREADY           (w_REG_MEM12_rready),
            // Side band signals 
            .S_AWQOS            (w_REG_MEM12_awqos),
            .S_ARQOS            (w_REG_MEM12_arqos),
            .S_AWREGION         (4'b0),
            .S_ARREGION         (4'b0),
            .S_AWUSER           (w_REG_MEM12_awuser),
            .S_WUSER            (w_REG_MEM12_wuser),
            .S_BUSER            (w_REG_MEM12_buser),
            .S_ARUSER           (w_REG_MEM12_aruser),
            .S_RUSER            (w_REG_MEM12_ruser),
	    .SW_CLK             (versal_cips_ps_vip_clk),
/* This goes to DDR, OCM and REG*/
            .WR_DATA_ACK_DDR    (net_reg_mem12_wr_ack),
            .WR_DATA_ACK_OCM    (),
            .WR_DATA            (net_reg_mem12_wr_data),
	    .WR_DATA_STRB       (net_reg_mem12_wr_strb),
            .WR_ADDR            (net_reg_mem12_wr_addr),
            .WR_BYTES           (net_reg_mem12_wr_bytes),
            .WR_DATA_VALID_DDR  (net_reg_mem12_wr_dv),
            .WR_DATA_VALID_OCM  (),
            .WR_QOS             (net_reg_mem12_wr_qos),
            .RD_REQ_DDR         (),
            .RD_REQ_OCM         (),
            .RD_REQ_REG         (net_reg_mem12_rd_req),
            .RD_ADDR            (net_reg_mem12_rd_addr),
            .RD_DATA_DDR        (),
            .RD_DATA_OCM        (),
            .RD_DATA_REG        (net_reg_mem12_rd_data),
            .RD_BYTES           (net_reg_mem12_rd_bytes),
            .RD_DATA_VALID_DDR  (),
            .RD_DATA_VALID_OCM  (),
            .RD_DATA_VALID_REG  (net_reg_mem12_rd_dv),
            .RD_QOS             (net_reg_mem12_rd_qos)
);

//Driving CCI port's
    assign IFPSNOCCCIAXI0ARADDR 	= w_psnoccci_axi_0_araddr_in;
    assign IFPSNOCCCIAXI0ARBURST	= w_psnoccci_axi_0_arburst_in;
    assign IFPSNOCCCIAXI0ARCACHE	= w_psnoccci_axi_0_arcache_in;
    assign IFPSNOCCCIAXI0ARLEN 		= w_psnoccci_axi_0_arlen_in;
    assign IFPSNOCCCIAXI0ARLOCK 	= w_psnoccci_axi_0_arlock_in;
    assign IFPSNOCCCIAXI0ARPROT 	= w_psnoccci_axi_0_arprot_in;
    assign IFPSNOCCCIAXI0ARQOS		= w_psnoccci_axi_0_arqos_in;
    assign w_psnoccci_axi_0_arready_in 	= IFPSNOCCCIAXI0ARREADY;
    assign IFPSNOCCCIAXI0ARSIZE  	= w_psnoccci_axi_0_arsize_in;
    assign IFPSNOCCCIAXI0ARUSER  	= w_psnoccci_axi_0_aruser_in;
    assign IFPSNOCCCIAXI0ARVALID 	= w_psnoccci_axi_0_arvalid_in;
    assign IFPSNOCCCIAXI0ARID   	= w_psnoccci_axi_0_arid_in;
    assign IFPSNOCCCIAXI0AWADDR  	= w_psnoccci_axi_0_awaddr_in;
    assign IFPSNOCCCIAXI0AWBURST 	= w_psnoccci_axi_0_awburst_in;
    assign IFPSNOCCCIAXI0AWCACHE 	= w_psnoccci_axi_0_awcache_in;
    assign IFPSNOCCCIAXI0AWLEN   	= w_psnoccci_axi_0_awlen_in;
    assign IFPSNOCCCIAXI0AWID   	= w_psnoccci_axi_0_awid_in;
    assign IFPSNOCCCIAXI0AWLOCK  	= w_psnoccci_axi_0_awlock_in;
    assign IFPSNOCCCIAXI0AWPROT  	= w_psnoccci_axi_0_awprot_in;
    assign IFPSNOCCCIAXI0AWQOS   	= w_psnoccci_axi_0_awqos_in;
    assign w_psnoccci_axi_0_awready_in 	= IFPSNOCCCIAXI0AWREADY;

    assign IFPSNOCCCIAXI0AWSIZE 	= w_psnoccci_axi_0_awsize_in;
    assign IFPSNOCCCIAXI0AWUSER 	= w_psnoccci_axi_0_awuser_in;
    assign IFPSNOCCCIAXI0AWVALID	= w_psnoccci_axi_0_awvalid_in;
    assign IFPSNOCCCIAXI0BREADY 	= w_psnoccci_axi_0_bready_in;
    assign w_psnoccci_axi_0_bresp_in  	= IFPSNOCCCIAXI0BRESP;
    assign w_psnoccci_axi_0_buser_in  	= IFPSNOCCCIAXI0BUSER;
    assign w_psnoccci_axi_0_bvalid_in 	= IFPSNOCCCIAXI0BVALID;
    assign w_psnoccci_axi_0_bid_in 	= IFPSNOCCCIAXI0BID;
    assign w_psnoccci_axi_0_rdata_in  	= IFPSNOCCCIAXI0RDATA;
    assign w_psnoccci_axi_0_rlast_in  	= IFPSNOCCCIAXI0RLAST;
    assign IFPSNOCCCIAXI0RREADY       	= w_psnoccci_axi_0_rready_in;
    assign w_psnoccci_axi_0_rresp_in  	= IFPSNOCCCIAXI0RRESP;
    assign w_psnoccci_axi_0_ruser_in  	= IFPSNOCCCIAXI0RUSER;
    assign w_psnoccci_axi_0_rvalid_in 	= IFPSNOCCCIAXI0RVALID;
    assign w_psnoccci_axi_0_rid_in 	= IFPSNOCCCIAXI0RID;
    assign IFPSNOCCCIAXI0WDATA		= w_psnoccci_axi_0_wdata_in;
    assign IFPSNOCCCIAXI0WLAST		= w_psnoccci_axi_0_wlast_in;
    assign w_psnoccci_axi_0_wready_in	= IFPSNOCCCIAXI0WREADY;
    assign IFPSNOCCCIAXI0WSTRB		= w_psnoccci_axi_0_wstrb_in;
    assign IFPSNOCCCIAXI0WUSER		= w_psnoccci_axi_0_wuser_in;
    assign IFPSNOCCCIAXI0WVALID		= w_psnoccci_axi_0_wvalid_in;
    assign IFPSNOCCCIAXI0WID   		= w_psnoccci_axi_0_wid_in;

    assign IFPSNOCCCIAXI1ARADDR		= w_psnoccci_axi_1_araddr_in;
    assign IFPSNOCCCIAXI1ARBURST	= w_psnoccci_axi_1_arburst_in;
    assign IFPSNOCCCIAXI1ARCACHE	= w_psnoccci_axi_1_arcache_in;
    assign IFPSNOCCCIAXI1ARLEN		= w_psnoccci_axi_1_arlen_in;
    assign IFPSNOCCCIAXI1ARLOCK		= w_psnoccci_axi_1_arlock_in;
    assign IFPSNOCCCIAXI1ARPROT		= w_psnoccci_axi_1_arprot_in;
    assign IFPSNOCCCIAXI1ARQOS		= w_psnoccci_axi_1_arqos_in;
    assign w_psnoccci_axi_1_arready_in  = IFPSNOCCCIAXI1ARREADY;
    assign IFPSNOCCCIAXI1ARSIZE		= w_psnoccci_axi_1_arsize_in;
    assign IFPSNOCCCIAXI1ARUSER		= w_psnoccci_axi_1_aruser_in;
    assign IFPSNOCCCIAXI1ARVALID	= w_psnoccci_axi_1_arvalid_in;
    assign IFPSNOCCCIAXI1ARID   	= w_psnoccci_axi_1_arid_in;
    assign IFPSNOCCCIAXI1AWADDR		= w_psnoccci_axi_1_awaddr_in;
    assign IFPSNOCCCIAXI1AWBURST	= w_psnoccci_axi_1_awburst_in;
    assign IFPSNOCCCIAXI1AWCACHE	= w_psnoccci_axi_1_awcache_in;
    assign IFPSNOCCCIAXI1AWLEN		= w_psnoccci_axi_1_awlen_in;
    assign IFPSNOCCCIAXI1AWID		= w_psnoccci_axi_1_awid_in;
    assign IFPSNOCCCIAXI1AWLOCK		= w_psnoccci_axi_1_awlock_in;
    assign IFPSNOCCCIAXI1AWPROT		= w_psnoccci_axi_1_awprot_in;
    assign IFPSNOCCCIAXI1AWQOS		= w_psnoccci_axi_1_awqos_in;
    assign w_psnoccci_axi_1_awready_in 	= IFPSNOCCCIAXI1AWREADY;
    assign IFPSNOCCCIAXI1AWSIZE		= w_psnoccci_axi_1_awsize_in;
    assign IFPSNOCCCIAXI1AWUSER		= w_psnoccci_axi_1_awuser_in;
    assign IFPSNOCCCIAXI1AWVALID	= w_psnoccci_axi_1_awvalid_in;
    assign IFPSNOCCCIAXI1BREADY		= w_psnoccci_axi_1_bready_in;
    assign w_psnoccci_axi_1_bresp_in	= IFPSNOCCCIAXI1BRESP;
    assign w_psnoccci_axi_1_buser_in	= IFPSNOCCCIAXI1BUSER;
    assign w_psnoccci_axi_1_bvalid_in	= IFPSNOCCCIAXI1BVALID;
    assign w_psnoccci_axi_1_bid_in	= IFPSNOCCCIAXI1BID;
    assign w_psnoccci_axi_1_rdata_in	= IFPSNOCCCIAXI1RDATA;
    assign w_psnoccci_axi_1_rlast_in	= IFPSNOCCCIAXI1RLAST;
    assign IFPSNOCCCIAXI1RREADY		= w_psnoccci_axi_1_rready_in;
    assign w_psnoccci_axi_1_rresp_in	= IFPSNOCCCIAXI1RRESP;
    assign w_psnoccci_axi_1_ruser_in	= IFPSNOCCCIAXI1RUSER;
    assign w_psnoccci_axi_1_rvalid_in	= IFPSNOCCCIAXI1RVALID;
    assign w_psnoccci_axi_1_rid_in	= IFPSNOCCCIAXI1RID;
    assign IFPSNOCCCIAXI1WDATA		= w_psnoccci_axi_1_wdata_in;
    assign IFPSNOCCCIAXI1WLAST		= w_psnoccci_axi_1_wlast_in;
    assign w_psnoccci_axi_1_wready_in	= IFPSNOCCCIAXI1WREADY;
    assign IFPSNOCCCIAXI1WSTRB		= w_psnoccci_axi_1_wstrb_in;
    assign IFPSNOCCCIAXI1WUSER		= w_psnoccci_axi_1_wuser_in;
    assign IFPSNOCCCIAXI1WVALID		= w_psnoccci_axi_1_wvalid_in;
    assign IFPSNOCCCIAXI1WID		= w_psnoccci_axi_1_wid_in;

    assign IFPSNOCCCIAXI2ARADDR		= w_psnoccci_axi_2_araddr_in;
    assign IFPSNOCCCIAXI2ARBURST	= w_psnoccci_axi_2_arburst_in;
    assign IFPSNOCCCIAXI2ARCACHE	= w_psnoccci_axi_2_arcache_in;
    assign IFPSNOCCCIAXI2ARLEN		= w_psnoccci_axi_2_arlen_in;
    assign IFPSNOCCCIAXI2ARLOCK		= w_psnoccci_axi_2_arlock_in;
    assign IFPSNOCCCIAXI2ARPROT		= w_psnoccci_axi_2_arprot_in;
    assign IFPSNOCCCIAXI2ARQOS		= w_psnoccci_axi_2_arqos_in;
    assign w_psnoccci_axi_2_arready_in  = IFPSNOCCCIAXI2ARREADY;
    assign IFPSNOCCCIAXI2ARSIZE		= w_psnoccci_axi_2_arsize_in;
    assign IFPSNOCCCIAXI2ARUSER		= w_psnoccci_axi_2_aruser_in;
    assign IFPSNOCCCIAXI2ARVALID	= w_psnoccci_axi_2_arvalid_in;
    assign IFPSNOCCCIAXI2ARID   	= w_psnoccci_axi_2_arid_in;
    assign IFPSNOCCCIAXI2AWADDR		= w_psnoccci_axi_2_awaddr_in;
    assign IFPSNOCCCIAXI2AWBURST	= w_psnoccci_axi_2_awburst_in;
    assign IFPSNOCCCIAXI2AWCACHE	= w_psnoccci_axi_2_awcache_in;
    assign IFPSNOCCCIAXI2AWLEN		= w_psnoccci_axi_2_awlen_in;
    assign IFPSNOCCCIAXI2AWID		= w_psnoccci_axi_2_awid_in;
    assign IFPSNOCCCIAXI2AWLOCK		= w_psnoccci_axi_2_awlock_in;
    assign IFPSNOCCCIAXI2AWPROT		= w_psnoccci_axi_2_awprot_in;
    assign IFPSNOCCCIAXI2AWQOS		= w_psnoccci_axi_2_awqos_in;
    assign w_psnoccci_axi_2_awready_in 	= IFPSNOCCCIAXI2AWREADY;
    assign IFPSNOCCCIAXI2AWSIZE		= w_psnoccci_axi_2_awsize_in;
    assign IFPSNOCCCIAXI2AWUSER		= w_psnoccci_axi_2_awuser_in;
    assign IFPSNOCCCIAXI2AWVALID	= w_psnoccci_axi_2_awvalid_in;
    assign IFPSNOCCCIAXI2BREADY		= w_psnoccci_axi_2_bready_in;
    assign w_psnoccci_axi_2_bresp_in	= IFPSNOCCCIAXI2BRESP;
    assign w_psnoccci_axi_2_buser_in	= IFPSNOCCCIAXI2BUSER;
    assign w_psnoccci_axi_2_bvalid_in	= IFPSNOCCCIAXI2BVALID;
    assign w_psnoccci_axi_2_bid_in	= IFPSNOCCCIAXI2BID;
    assign w_psnoccci_axi_2_rdata_in	= IFPSNOCCCIAXI2RDATA;
    assign w_psnoccci_axi_2_rlast_in	= IFPSNOCCCIAXI2RLAST;
    assign IFPSNOCCCIAXI2RREADY		= w_psnoccci_axi_2_rready_in;
    assign w_psnoccci_axi_2_rresp_in	= IFPSNOCCCIAXI2RRESP;
    assign w_psnoccci_axi_2_ruser_in	= IFPSNOCCCIAXI2RUSER;
    assign w_psnoccci_axi_2_rvalid_in	= IFPSNOCCCIAXI2RVALID;
    assign w_psnoccci_axi_2_rid_in	= IFPSNOCCCIAXI2RID;
    assign IFPSNOCCCIAXI2WDATA		= w_psnoccci_axi_2_wdata_in;
    assign IFPSNOCCCIAXI2WLAST		= w_psnoccci_axi_2_wlast_in;
    assign w_psnoccci_axi_2_wready_in	= IFPSNOCCCIAXI2WREADY;
    assign IFPSNOCCCIAXI2WSTRB		= w_psnoccci_axi_2_wstrb_in;
    assign IFPSNOCCCIAXI2WUSER		= w_psnoccci_axi_2_wuser_in;
    assign IFPSNOCCCIAXI2WVALID		= w_psnoccci_axi_2_wvalid_in;
    assign IFPSNOCCCIAXI2WID		= w_psnoccci_axi_2_wid_in;

    assign IFPSNOCCCIAXI3ARADDR		= w_psnoccci_axi_3_araddr_in;
    assign IFPSNOCCCIAXI3ARBURST	= w_psnoccci_axi_3_arburst_in;
    assign IFPSNOCCCIAXI3ARCACHE	= w_psnoccci_axi_3_arcache_in;
    assign IFPSNOCCCIAXI3ARLEN		= w_psnoccci_axi_3_arlen_in;
    assign IFPSNOCCCIAXI3ARLOCK		= w_psnoccci_axi_3_arlock_in;
    assign IFPSNOCCCIAXI3ARPROT		= w_psnoccci_axi_3_arprot_in;
    assign IFPSNOCCCIAXI3ARQOS		= w_psnoccci_axi_3_arqos_in;
    assign w_psnoccci_axi_3_arready_in	= IFPSNOCCCIAXI3ARREADY;
    assign IFPSNOCCCIAXI3ARSIZE		= w_psnoccci_axi_3_arsize_in;
    assign IFPSNOCCCIAXI3ARUSER		= w_psnoccci_axi_3_aruser_in;
    assign IFPSNOCCCIAXI3ARVALID	= w_psnoccci_axi_3_arvalid_in;
    assign IFPSNOCCCIAXI3ARID   	= w_psnoccci_axi_3_arid_in;
    assign IFPSNOCCCIAXI3AWADDR		= w_psnoccci_axi_3_awaddr_in;
    assign IFPSNOCCCIAXI3AWBURST	= w_psnoccci_axi_3_awburst_in;
    assign IFPSNOCCCIAXI3AWCACHE	= w_psnoccci_axi_3_awcache_in;
    assign IFPSNOCCCIAXI3AWLEN		= w_psnoccci_axi_3_awlen_in;
    assign IFPSNOCCCIAXI3AWID		= w_psnoccci_axi_3_awid_in;
    assign IFPSNOCCCIAXI3AWLOCK		= w_psnoccci_axi_3_awlock_in;
    assign IFPSNOCCCIAXI3AWPROT		= w_psnoccci_axi_3_awprot_in;
    assign IFPSNOCCCIAXI3AWQOS		= w_psnoccci_axi_3_awqos_in;
    assign w_psnoccci_axi_3_awready_in	= IFPSNOCCCIAXI3AWREADY;
    assign IFPSNOCCCIAXI3AWSIZE		= w_psnoccci_axi_3_awsize_in;
    assign IFPSNOCCCIAXI3AWUSER		= w_psnoccci_axi_3_awuser_in;
    assign IFPSNOCCCIAXI3AWVALID	= w_psnoccci_axi_3_awvalid_in;
    assign IFPSNOCCCIAXI3BREADY		= w_psnoccci_axi_3_bready_in;
    assign w_psnoccci_axi_3_bresp_in	= IFPSNOCCCIAXI3BRESP;
    assign w_psnoccci_axi_3_buser_in	= IFPSNOCCCIAXI3BUSER;
    assign w_psnoccci_axi_3_bvalid_in	= IFPSNOCCCIAXI3BVALID;
    assign w_psnoccci_axi_3_bid_in	= IFPSNOCCCIAXI3BID;
    assign w_psnoccci_axi_3_rdata_in	= IFPSNOCCCIAXI3RDATA;
    assign w_psnoccci_axi_3_rlast_in	= IFPSNOCCCIAXI3RLAST;
    assign IFPSNOCCCIAXI3RREADY		= w_psnoccci_axi_3_rready_in;
    assign w_psnoccci_axi_3_rresp_in	= IFPSNOCCCIAXI3RRESP;
    assign w_psnoccci_axi_3_ruser_in	= IFPSNOCCCIAXI3RUSER;
    assign w_psnoccci_axi_3_rvalid_in	= IFPSNOCCCIAXI3RVALID;
    assign w_psnoccci_axi_3_rid_in	= IFPSNOCCCIAXI3RID;
    assign IFPSNOCCCIAXI3WDATA		= w_psnoccci_axi_3_wdata_in;
    assign IFPSNOCCCIAXI3WLAST		= w_psnoccci_axi_3_wlast_in;
    assign w_psnoccci_axi_3_wready_in	= IFPSNOCCCIAXI3WREADY;
    assign IFPSNOCCCIAXI3WSTRB		= w_psnoccci_axi_3_wstrb_in;
    assign IFPSNOCCCIAXI3WUSER		= w_psnoccci_axi_3_wuser_in;
    assign IFPSNOCCCIAXI3WVALID		= w_psnoccci_axi_3_wvalid_in;
    assign IFPSNOCCCIAXI3WID		= w_psnoccci_axi_3_wid_in;


initial
begin
   $display("\n\n\t***DEBUG TIP: If, there's a HANG in simulation. Then, Check and set the routing configuration properly before initiating any traffic\n");
   
   $display("\n\n##########################################################################################################################");
   $display("               		CIPS PS VIP INSIGHTS	");
   $display("##########################################################################################################################");
   $display(" ##\t User needs to provide the routing information to CIPS PS VIP before initiating the traffic");
   $display(" ##\t Address decoding is not modeled inside CIPS PS VIP, hence user needs to provide the routing configuration through API");
   $display(" ##\t Entire CIPS PS VIP works in a single clock domain");
   $display(" ##\t All the CIPS PS VIP AXI interface width's are static i.e Address and Data widths shouldn't be changed through CIPS GUI. If, user tries to change the width's the behavior is undefined");
   $display(" ##\t If user wants to perform 32/64-bit transfers, narrow transfers are supported");
   $display(" ##\t CIPS PS VIP does not handle any configuration information passed through GUI, except enable and disable of AXI interfaces");
   $display(" ##\t CIPS PS VIP is not modeling any AXI path delays");
   $display(" ##\t Only 8/16/32 bit width registers are supported");
   $display(" ##\t There is no AXI ID support");
   $display(" ##\t ACE interface supports only AXI4 traffic, all sideband signals are ignored");
   $display(" ##\t ACP interface supports limited features of AXI4");
   $display(" ##\t 	- AxSIZE  : 4 (128-bit) ");
   $display(" ##\t 	- AxBURST : 1 (Only INCR supported) ");
   $display(" ##\t QoS (AxQOS) is not supported");
   $display(" ##\t Cache Coherency is not supported");
   $display(" ##\t Exclusive Access (AxLOCK) is not supported");
   $display(" ##\t Bufferability (AxCACHE) is not supported");
   $display(" ##\t AxREGION is not supported");
   $display(" ##\t Latency modeling for OCM/REG is not supported");
   $display(" ##\t ACELITE/PLAT/NPI/PIPE are not modeled");
   $display(" ##\t Interconnect arbitration is not modeled as per RTL");
   $display(" ##\t AXI outstanding feature is not supported");
   $display(" ##\t Low Power Modeling is not supported");
   $display(" ##\t AXI4 User signals cannot be accessed. If accessed, the behaviour is undefined");
   $display(" ##\t CIPS PS VIP can be used to access all the AXI paths of Versal CIPS in simulation");
   $display(" ##\t PL clock/PL reset/PS-PL/PL-PS interrupts can be handled through API's hooks");
   $display(" ##\t CCI Ports");
   $display(" ##\t\t a.	Bus split is not supported");
   $display(" ##\t\t b.	No coherency supported");
   $display(" ##\t\t c.	Currently we are supporting, 1K, 2K and 4K boundary only");
   $display(" ##\t\t d.	Only, one CCI port can be accessed at a time");
   $display("##########################################################################################################################\n");

end

endmodule


